<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1">ASESMEN AWAL DOKTER GINEKOLOGI INSTALASI RAWAT JALAN</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">



<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Asesmen Awal</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggalasesmen"><b>Tanggal Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalasesmen" type="text" class="form-control input-date" name="tanggalasesmen" placeholder="Tanggal Asesmen" value="" style="z-index:0">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="jamasesmen"><b>Jam Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamasesmen" type="text" class="form-control" name="jamasesmen" placeholder="Jam Asesmen" value="" style="z-index:0">
                </div>
            </div>
        </div>
        
    </div>
</div>
</div>


<div class="row">
	<div class="col-xs-12">
		<div>
			<a id="tombol-save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a id="tombol-save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="cetak-laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
		</div>
	</div>
</div>


<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">

var ObjectData = {};


function showMePicker(input) {
    Timepicker.showPicker({
        onSubmit: function(time){$(input).val(time.formatted())},
        onCancel: function(){$(input).val('')}
    });
}

$(document).ready(function() {
    
    $('#tombol-save-loading').hide();
    //ALERGI OBAT
    var selected_value = $("input[name='alergiobat']:checked").val();
    if(selected_value == 'YA'){
        $('.alergiobatrow').show();
    }else{
        $('.alergiobatrow').hide();
        $('#uraianalergiobat').val(''); //kosongkan jika tidak ada alergi
    }
    //
    $(".alergiobat").change(function (e) {
        var selected_value = $("input[name='alergiobat']:checked").val();
        if(selected_value == 'YA'){
            $('.alergiobatrow').show();
        }else{
            $('.alergiobatrow').hide();
            $('#uraianalergiobat').val(''); //kosongkan jika tidak ada alergi
        }
    });
    // ALERGI MAKANAN
    var selected_value = $("input[name='alergimakanan']:checked").val();
    if(selected_value == 'YA'){
        $('.alergimakananrow').show();
    }else{
        $('.alergimakananrow').hide();
        $('#uraianalergimakanan').val(''); //kosongkan jika tidak ada alergi
    }
    //
    $(".alergimakanan").change(function (e) {
        var selected_value = $("input[name='alergimakanan']:checked").val();
        if(selected_value == 'YA'){
            $('.alergimakananrow').show();
        }else{
            $('.alergimakananrow').hide();
            $('#uraianalergimakanan').val(''); //kosongkan jika tidak ada alergi
        }
    });
    //RIWAYAT IMUNISASI
    var selected_value = $("input[name='riwayatimunisasi']:checked").val();
    if(selected_value == 'LENGKAP'){
        $('.riwayatimunisasirow').hide();
        $('#uraianriwayatimunisasibelum').val(''); //kosongkan 
    }else if(typeof selected_value === "undefined"){
        $('.riwayatimunisasirow').hide();
        $('#uraianriwayatimunisasibelum').val(''); //kosongkan 
    }
    else{
        $('.riwayatimunisasirow').show();
    }
    //
    $(".riwayatimunisasi").change(function (e) {
        var selected_value = $("input[name='riwayatimunisasi']:checked").val();
        if(selected_value == 'LENGKAP'){
            $('.riwayatimunisasirow').hide();
            $('#uraianriwayatimunisasibelum').val(''); //kosongkan 
        }else if(typeof selected_value === "undefined"){
            $('.riwayatimunisasirow').hide();
            $('#uraianriwayatimunisasibelum').val(''); //kosongkan 
        }
        else{
            $('.riwayatimunisasirow').show();
        }
    });
    //KEADAAN UMUM
    var selected_value = $("input[name='keadaanumum']:checked").val();
    if(selected_value == 'BAIK' || selected_value == 'SESAK' || selected_value == 'PUCAT' || selected_value == 'LEMAH' || selected_value == 'KESADARAN MENURUN'){
        $('.keadaanumumrow').hide();
        $('#uraiankeadaanumum').val(''); //kosongkan 
    }else if(typeof selected_value === "undefined"){
        $('.keadaanumumrow').hide();
        $('#uraiankeadaanumum').val(''); //kosongkan 
    }
    else{
        $('.keadaanumumrow').show();
    }
    //
    $(".keadaanumum").change(function (e) {
        var selected_value = $("input[name='keadaanumum']:checked").val();
        if(selected_value == 'BAIK' || selected_value == 'SESAK' || selected_value == 'PUCAT' || selected_value == 'LEMAH' || selected_value == 'KESADARAN MENURUN'){
            $('.keadaanumumrow').hide();
            $('#uraiankeadaanumum').val(''); //kosongkan 
        }else if(typeof selected_value === "undefined"){
            $('.keadaanumumrow').hide();
            $('#uraiankeadaanumum').val(''); //kosongkan 
        }
        else{
            $('.keadaanumumrow').show();
        }
    });
    //nyeri
    var selected_value = $("input[name='nyeri']:checked").val();
    if(selected_value == 'YA'){
        $('.nyerirow').show();
    }
    else{
        $('.nyerirow').hide();
    }
    $(".nyeri").change(function (e) {
        var selected_value = $("input[name='nyeri']:checked").val();
        if(selected_value == 'YA'){
            $('.nyerirow').show();
        }
        else{
            $('.nyerirow').hide();
        }
    });
    // Skala nyeri dewasa + wbc
    var nilaiSkalaNyeriDewasa = "<?= $objPatientNursing->GeneralNilaiSkalaNyeriDewasa ?>";
    var nilaiSkalaNyeriWbc = "<?= $objPatientNursing->GeneralNilaiSkalaNyeriWbc ?>";
    ObjectData.NilaiSkalaNyeriDewasa = nilaiSkalaNyeriDewasa;
    ObjectData.NilaiSkalaNyeriWbc = nilaiSkalaNyeriWbc;

    $('.areaklik').each(function(i){
        if(String($(this).data('numericscale')) === nilaiSkalaNyeriDewasa){
            $(this).css('fill', '#ff0000');
        }
    })

    $('.iconwbc').each(function(i){
        if(String($(this).data('nilaiwbc')) === nilaiSkalaNyeriWbc){
            var targetcentang = $(this).data('centang');
            $(targetcentang).css('fill', '#00ff00');
        }
    })


    //dewasa
    $('.areaklik').click(function(e){
        $('.areaklik').css('fill', '#ffffaa');
        $(e.target).css('fill', '#ff0000');
        if(nilaiSkalaNyeriDewasa === $(e.target).data('numericscale')){ //hati2 dgn value 0 dan empty string, gunakan === dari pada == 
            $(e.target).css('fill', '#ffffaa');
            nilaiSkalaNyeriDewasa = ""; //reset ke empty string
        }else{
            nilaiSkalaNyeriWbc = ""; //hanya ada 1 skala yg terisi
            $('.tandacentang').css('fill', '#ffffff'); //reset juga style pada skala wbc(wong baker scale)
            nilaiSkalaNyeriDewasa = $(e.target).data('numericscale'); //kode untuk disimpan
        }
        console.log('skalaNyeriDewasa:' + nilaiSkalaNyeriDewasa);
        console.log('skalaNyeriWbc:' + nilaiSkalaNyeriWbc);
        ObjectData.NilaiSkalaNyeriDewasa = nilaiSkalaNyeriDewasa;
        ObjectData.NilaiSkalaNyeriWbc = nilaiSkalaNyeriWbc;
    });
    //wbc
    $('.iconwbc').click(function(e){
        $('.tandacentang').css('fill', '#ffffff');
        var targetcentang = $(e.target).data('centang');
        var nilaiwbc = $(e.target).data('nilaiwbc');
        $(targetcentang).css('fill', '#00ff00');
        if(nilaiSkalaNyeriWbc === nilaiwbc){ //hati2 dgn value 0 dan empty string, gunakan === dari pada == 
            $(targetcentang).css('fill', '#ffffff');
            nilaiSkalaNyeriWbc = ""; //reset ke empty string
        }else{
            nilaiSkalaNyeriDewasa = ""; //hanya ada 1 skala yg terisi
            $('.areaklik').css('fill', '#ffffaa'); //reset juga style pada skala dewasa(numeric)
            nilaiSkalaNyeriWbc = nilaiwbc; //kode untuk disimpan
        }
        console.log('skalaNyeriDewasa:' + nilaiSkalaNyeriDewasa);
        console.log('skalaNyeriWbc:' + nilaiSkalaNyeriWbc);
        ObjectData.NilaiSkalaNyeriDewasa = nilaiSkalaNyeriDewasa;
        ObjectData.NilaiSkalaNyeriWbc = nilaiSkalaNyeriWbc;
    });
});

$('#content').off('click', '#tombol-save, #float-simpan').on('click', '#tombol-save, #float-simpan', function (event) {
    event.preventDefault();
    console.log('simpan asesmen awal');

    ObjectData.pageId = strPageId;
    ObjectData.actorId = strActorId;
    ObjectData.nursingId = '<?= $strId ?>'; //nursing id
    ObjectData.department = strDepartmentId;
    
    ObjectData.TanggalAsesmen = $('#tanggalasesmen').val();
    ObjectData.JamAsesmen = $('#jamasesmen').val();
    // ObjectData.KeluhanUtama = $('#keluhanutama').val();
    // ObjectData.RiwayatPenyakitSekarang = $('#riwayatpenyakitsekarang').val();
    // ObjectData.RiwayatPenyakitDahulu = $('#riwayatpenyakitdahulu').val();
    // ObjectData.RiwayatPenyakitKeluarga = $('#riwayatpenyakitkeluarga').val();
    // ObjectData.AlergiObat = $("input[name='alergiobat']:checked").val() ? $("input[name='alergiobat']:checked").val() : '';
    // ObjectData.UraianAlergiObat = $('#uraianalergiobat').val();
    // ObjectData.AlergiMakanan = $("input[name='alergimakanan']:checked").val() ? $("input[name='alergimakanan']:checked").val() : '';
    // ObjectData.UraianAlergiMakanan = $('#uraianalergimakanan').val();
    // ObjectData.RiwayatImunisasi = $("input[name='riwayatimunisasi']:checked").val() ? $("input[name='riwayatimunisasi']:checked").val() : '';
    // ObjectData.UraianRiwayatImunisasiBelum = $('#uraianriwayatimunisasibelum').val();
    // ObjectData.KeadaanUmum = $("input[name='keadaanumum']:checked").val() ? $("input[name='keadaanumum']:checked").val() : '';
    // ObjectData.UraianKeadaanUmum = $('#uraiankeadaanumum').val();
    // ObjectData.KesanSakit = $("input[name='kesansakit']:checked").val() ? $("input[name='kesansakit']:checked").val() : '';
    // ObjectData.Gcs = $('#gcs').val();
    // ObjectData.Td = $('#td').val();
    // ObjectData.Nadi = $('#nadi').val();
    // ObjectData.Rr = $('#rr').val();
    // ObjectData.Suhu = $('#suhu').val();
    // ObjectData.Bb = $('#bb').val();
    // ObjectData.Tb = $('#tb').val();
    // ObjectData.Nyeri = $("input[name='nyeri']:checked").val() ? $("input[name='nyeri']:checked").val() : '';
    // ObjectData.FlaccScale = $("input[name='flaccscale']:checked").val() ? $("input[name='flaccscale']:checked").val() : '';
    // ObjectData.NipsScale = $("input[name='nipsscale']:checked").val() ? $("input[name='nipsscale']:checked").val() : '';
    // ObjectData.StatusAmbulasi = $('#statusambulasi').val();
    // ObjectData.FisikKepalaWajah = $('#fisikkepalawajah').val();
    // ObjectData.FisikLeher = $('#fisikleher').val();
    // ObjectData.FisikDada = $('#fisikdada').val();
    // ObjectData.FisikAbdomen = $('#fisikabdomen').val();
    // ObjectData.FisikExtremitas = $('#fisikextremitas').val();
    // ObjectData.FisikGenital = $('#fisikgenital').val();
    // ObjectData.KhususParu = $('#khususparu').val();
    // ObjectData.KhususJantung = $('#khususjantung').val();
    // ObjectData.KhususNeurologi = $('#khususneurologi').val();
    // ObjectData.KhususUrologi = $('#khususurologi').val();
    // ObjectData.PemeriksaanLaboratorium = $('#pemeriksaanlaboratorium').val();
    // ObjectData.PemeriksaanRadiologi = $('#pemeriksaanradiologi').val();
    // ObjectData.PemeriksaanEkg = $('#pemeriksaanekg').val();
    // ObjectData.PemeriksaanEchocardiografi = $('#pemeriksaanechocardiografi').val();
    // ObjectData.PemeriksaanTreadmil = $('#pemeriksaantreadmil').val();
    // ObjectData.PemeriksaanLainnya = $('#pemeriksaanlainnya').val();
    // ObjectData.DiagnosaMedis = $('#diagnosamedis').val();
    // ObjectData.MasalahMedis = $('#masalahmedis').val();
    // ObjectData.RencanaTindakan = $('#rencanatindakan').val();
    // ObjectData.RencanaTerapi = $('#rencanaterapi').val();
    // ObjectData.ModalitasFisik = $('#modalitasfisik').val();
    // ObjectData.ProtesaOrtesa = $('#protesaortesa').val();
    


    console.log(ObjectData)
    $.ajax({
        url: "<?= QApplication::UrlActionCreator('PatientNursingAssessment/AsesmenAwalMata')?>", 
        success: function(result){
            toastr.info('Data Terkirim', 'Informasi');
			$('#cetak-laporan').removeClass('disabled');
        },
        timeout: 5* 60 * 1000,
        error: function(xhr,status,error){
            console.log(xhr);
            alert('Gagal menyimpan data');
        },
        beforeSend: function(xhr){
            $('#tombol-save').hide();
            $('#tombol-save-loading').show();
        },
        complete: function(xhr,status){
            $('#tombol-save').show();
            $('#tombol-save-loading').hide();
        },
        type: "POST",
        data: ObjectData
    });

});

$("#jamasesmen").focus(function(e){
    showMePicker(e.target);
});

$('#content').off('click', '#cetak-laporan').on('click', '#cetak-laporan', function () {
		parent.AppPrintPage.setTitle('Print Preview Asesmen Ginekologi')
    var url = '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-ginekologi')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>';
    parent.openAppPrintPage(url);
});

$('#content').off('click', '#page-tindakan').on('click', '#page-tindakan', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
    //var Id = '<?= $objPatientNursing->Id ?>';
    //console.log(Id);
    //setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
});

function openInNewTab(url) {
    var win = window.open(url, '_blank');
    win.focus();
} 

$('.input-date').datepicker({
    format: "dd-mm-yyyy",
    autoclose: true,
    endDate: null
});

function convertDateToISO(strDateIna) {
    return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}
	$('#cetak-laporan, #float-print').addClass('disabled');
</script>
</div></div>