<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

	// $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
	// $waktuakhir = date_create();
	$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
	$umurDalamTahun = $diff->y;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script type="text/javascript">
	// alert('start assement-awal');
</script>

<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>'; 
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
	.chosen-container
	{
		width: 100% !important;
	}
	.uniqueClassTextAlignRight {
		text-align: right;
	}
	tfoot .uniqueClassTextAlignRight {
		padding-right: 8px !important;
	}
	.uniqueClassTextAlignCenter {
		text-align: center;
	}
	.uniqueClassHidden {
		display: none;
	}
	.uniqueClassDisplayHidden {
		display: none;
	}
	.uniqueClassDisplayNone {
		display: none;
	}

	.dataTables_length {
		padding-left: 15px;
		padding-top: 10px;
		padding-right: 40px;
	}
	.subform-diagnosa {
		padding-bottom: 20px;
	}
	#aktifitas .col-md-1,
	#aktifitas .col-md-10,
	#aktifitas .col-md-11,
	#aktifitas .col-md-12,
	#aktifitas .col-md-2,
	#aktifitas .col-md-3,
	#aktifitas .col-md-4,
	#aktifitas .col-md-5,
	#aktifitas .col-md-6,
	#aktifitas .col-md-7,
	#aktifitas .col-md-8,
	#aktifitas .col-md-9 {
		padding-left: 8px !important;
		padding-right: 7px !important;
	}
	.form-horizontal .form-group {margin-bottom: 10px;}
	.visit.off, .non-visit.off { display: none;}
	.btn.toolbar {margin-left: 10px;}
	#search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
	.pemeriksaan-selesai .action { display: none; }
	.text-35{
		display: block;
		width:35px;
		text-align: center;
	}
	textarea, input{
		font-weight: 900;
	}
	input:focus {
		background-color:#ffffcc; 
		border-width:3px;
		border-color:#ff0000;
	}
	textarea:focus {
		background-color:#ffffcc; 
		border-width:3px;
		border-color:#ff0000;
	}
</style>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
	<div class="col-md-6">
		<h1 class="panel-title1">ASESMEN AWAL MEDIS</h1>
	</div>
</div>

<script>
  // alert('assasment awal');
</script>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<i class="fa fa-user"></i>
		<h3 class="box-title">Data Pasien</h3>
	</div>
	<div class="box-body">
		<div class="row">
			<div class="col-md-6">
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Nama</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Alamat</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Umur</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
					</div>
				</div>

			</div>
			<div class="col-md-6">
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
					<div class="col-sm-8">
						<input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
					</div>
				</div>

			</div>
		</div>
	</div>
</div>
<div style="text-align:center; padding: 5px">
	<a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a>
</div>
<form>
<div id="asesmen_awal_medis" name="asesmen_awal_medis" style="display: none;">active</div>
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<i class="fa fa-user"></i>
		<h3 class="box-title">Asesmen Awal Medis</h3>
	</div>
	<div class="box-body">
		<div class="row">
			<div class="col-md-6">
				<label class="control-label" for="tanggalasesmen"><b>Tanggal Asesmen</b></label>
				<div class="input-group">
					<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
					<input id="tanggalasesmen" type="text" class="form-control input-tanggal-asesmen" name="tanggalasesmen" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->GeneralTanggalAsesmen ? $objPatientNursing->GeneralTanggalAsesmen : $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>" style="z-index:0">
				</div>
			</div>
			<div class="col-md-6">
				<label class="control-label" for="jamasesmen"><b>Jam Asesmen</b></label>
				<div class="input-group">
					<span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
					<input id="jamasesmen" type="text" class="form-control" name="jamasesmen" placeholder="HH:mm" value="<?= $objPatientNursing->GeneralJamAsesmen ? $objPatientNursing->GeneralJamAsesmen : date('H:i') ?>" style="z-index:0" data-mask="00:00">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div style=" border-top: 1px solid #aaa; margin-top: 10px"></div>
				<div class="form-group" style="padding: 0 15px;">
					<label for="keluhanutama"><b>Keluhan Utama:</b></label>
					<textarea class="form-control" rows="3" id="keluhanutama" name="keluhanutama" placeholder="Keluhan Utama" autocomplete="on"><?= $objPatientNursing->GeneralKeluhanUtama ?></textarea>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div style=" border-top: 1px solid #aaa; margin-top: 10px"></div>
				<div class="form-group" style="padding: 0 15px;">
					<label for="riwayatpenyakitsekarang"><b>Riwayat Penyakit Sekarang:</b></label>
					<textarea class="form-control" rows="3" id="riwayatpenyakitsekarang" name="riwayatpenyakitsekarang" placeholder="Riwayat Penyakit Sekarang"><?= $objPatientNursing->GeneralRiwayatPenyakitSekarang ?></textarea>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div style=" border-top: 1px solid #aaa; margin-top: 10px"></div>
				<div class="form-group" style="padding: 0 15px;">
					<label for="riwayatpenyakitdahulu"><b>Riwayat Penyakit Dahulu:</b></label>
					<textarea class="form-control" rows="3" id="riwayatpenyakitdahulu" name="riwayatpenyakitdahulu" placeholder="Riwayat Penyakit Dahulu"><?= $objPatientNursing->GeneralRiwayatPenyakitDahulu ? $objPatientNursing->GeneralRiwayatPenyakitDahulu : $objHmisPatient->RiwayatPenyakitDahulu ?></textarea>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div class="form-group" style="padding: 0 15px;">
					<label for="riwayatpenyakitkeluarga"><b>Riwayat Penyakit Keluarga:</b></label>
					<textarea class="form-control" rows="3" id="riwayatpenyakitkeluarga" name="riwayatpenyakitkeluarga" placeholder="Riwayat Penyakit Keluarga"><?= $objPatientNursing->GeneralRiwayatPenyakitKeluarga ? $objPatientNursing->GeneralRiwayatPenyakitKeluarga : $objHmisPatient->HistoryOfFamilialDisease ?></textarea>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div class="form-group" style="padding: 0 15px;">
					<label for="riwayatoperasi"><b>Riwayat Operasi:</b></label>
					<textarea class="form-control" rows="3" id="riwayatoperasi" name="riwayatoperasi" placeholder="Riwayat Operasi"><?= $objPatientNursing->GeneralRiwayatOperasi ? $objPatientNursing->GeneralRiwayatOperasi : $objHmisPatient->HistoryOfSurgery ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-body">
		<div class="row">
			<div class="col-md-12">
				<div class="form-group">
					<label class="radio-inline"><b>Riwayat Alergi Obat: </b></label>
					<label class="radio-inline alergiobat"><input type="radio" name="alergiobat" id="alergiobatya" value="YA" <?= ($objPatientNursing->GeneralAlergiObat == 'YA' || $objHmisPatient->AlergiObat ) ? 'checked' : '' ?>>Ya</label>
					<label class="radio-inline alergiobat"><input type="radio" name="alergiobat" id="alergiobattidak" value="TIDAK" <?= $objPatientNursing->GeneralAlergiObat == 'TIDAK' ? 'checked' : '' ?>>Tidak</label>
				</div>
			</div>
			<div id="alergiobatrow" class="col-md-12 alergiobatrow">
				<div class="form-group" style="padding: 0 15px;">
					<label for="uraianalergiobat"><b>Sebutkan:</b></label>
					<textarea class="form-control" rows="2" id="uraianalergiobat" name="uraianalergiobat" placeholder="Alergi Obat"><?= $objPatientNursing->GeneralUraianAlergiObat ? $objPatientNursing->GeneralUraianAlergiObat : $objHmisPatient->AlergiObat ?></textarea>
				</div>
			</div>

			<div class="col-md-12">
				<div class="form-group">
					<label class="radio-inline"><b>Riwayat Alergi Makanan: </b></label>
					<label class="radio-inline alergimakanan"><input type="radio" name="alergimakanan" id="alergimakananya" value="YA" <?= ($objPatientNursing->GeneralAlergiMakanan == 'YA' || $objHmisPatient->AlergiMakanan ) ? 'checked' : '' ?>>Ya</label>
					<label class="radio-inline alergimakanan"><input type="radio" name="alergimakanan" id="alergimakanantidak" value="TIDAK" <?= $objPatientNursing->GeneralAlergiMakanan == 'TIDAK' ? 'checked' : '' ?>>Tidak</label>
				</div>
			</div>
			<div id="alergimakananrow" class="col-md-12 alergimakananrow">
				<div class="form-group" style="padding: 0 15px;">
					<label for="uraianalergimakanan"><b>Sebutkan:</b></label>
					<textarea class="form-control" rows="2" id="uraianalergimakanan" name="uraianalergimakanan" placeholder="Alergi Makanan"><?= $objPatientNursing->GeneralUraianAlergiMakanan ? $objPatientNursing->GeneralUraianAlergiMakanan : $objHmisPatient->AlergiMakanan ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<h5>Riwayat Imunisasi</h5>
		(Untuk anak-anak &#8804; 14 tahun)
	</div>
	<div class="box-body">
		<div class="row">
			<div class="radio" style="padding: 0 15px;">
				<label><input class="riwayatimunisasi" type="radio" name="riwayatimunisasi" value="LENGKAP" <?= ($objPatientNursing->GeneralRiwayatImunisasi == 'LENGKAP' || $objHmisPatient->RiwayatImunisasi == 'LENGKAP' ) ? 'checked' : '' ?>>Lengkap | BCG, DPT, HEPATITIS B, POLIO, CAMPAK</label>
			</div>
			<div class="radio" style="padding: 0 15px;">
				<label><input class="riwayatimunisasi" type="radio" name="riwayatimunisasi" value="TIDAK LENGKAP" <?= ($objPatientNursing->GeneralRiwayatImunisasi == 'TIDAK LENGKAP' || $objHmisPatient->RiwayatImunisasi == 'TIDAK LENGKAP' ) ? 'checked' : '' ?>>Tidak Lengkap</label>
			</div>
		</div>
		<div class="col-md-12 riwayatimunisasirow">
			<div class="form-group" style="padding: 0 15px;">
				<label for="uraianriwayatimunisasibelum"><b>Sebutkan yang belum:</b></label>
				<textarea class="form-control" rows="2" id="uraianriwayatimunisasibelum" name="uraianriwayatimunisasibelum" placeholder="Sebutkan yang belum"><?= $objPatientNursing->GeneralUraianRiwayatImunisasiBelum ? $objPatientNursing->GeneralUraianRiwayatImunisasiBelum : $objHmisPatient->UraianRiwayatImunisasiBelum ?></textarea>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-body">
		<div class="row">
			<div class="col-md-12">
				<div class="form-group">
					<label class="radio-inline"><b>Keadaan Umum: </b></label>
					<label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="BAIK" <?= $objPatientNursing->GeneralKeadaanUmum == 'BAIK' ? 'checked' : '' ?>>Baik</label>
					<label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="SESAK" <?= $objPatientNursing->GeneralKeadaanUmum == 'SESAK' ? 'checked' : '' ?>>Sesak</label>
					<label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="PUCAT" <?= $objPatientNursing->GeneralKeadaanUmum == 'PUCAT' ? 'checked' : '' ?>>Pucat</label>
					<label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="LEMAH" <?= $objPatientNursing->GeneralKeadaanUmum == 'LEMAH' ? 'checked' : '' ?>>Lemah</label>
					<label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="KESADARAN MENURUN" <?= $objPatientNursing->GeneralKeadaanUmum == 'KESADARAN MENURUN' ? 'checked' : '' ?>>Kesadaran Menurun</label>
					<label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="LAINNYA" <?= $objPatientNursing->GeneralKeadaanUmum == 'LAINNYA' ? 'checked' : '' ?>>Lainnya</label>
				</div>
			</div>
			<div class="col-md-12 keadaanumumrow">
				<div class="form-group" style="padding: 0 15px;">
					<label for="uraiankeadaanumum"><b>Sebutkan:</b></label>
					<textarea class="form-control" rows="2" id="uraiankeadaanumum" name="uraiankeadaanumum" placeholder="Keadaan Umum"><?= $objPatientNursing->GeneralUraianKeadaanUmum ?></textarea>
				</div>
			</div>

			<div class="col-md-12">
				<div class="form-group">
					<label class="radio-inline"><b>Kesan Sakit: </b></label>
					<label class="radio-inline kesansakit"><input type="radio" name="kesansakit" value="RINGAN" <?= $objPatientNursing->GeneralKesanSakit == 'RINGAN' ? 'checked' : '' ?>>Ringan</label>
					<label class="radio-inline kesansakit"><input type="radio" name="kesansakit" value="SEDANG" <?= $objPatientNursing->GeneralKesanSakit == 'SEDANG' ? 'checked' : '' ?>>Sedang</label>
					<label class="radio-inline kesansakit"><input type="radio" name="kesansakit" value="BERAT" <?= $objPatientNursing->GeneralKesanSakit == 'BERAT' ? 'checked' : '' ?>>Berat</label>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-body">
		<div class="row" style="margin-bottom: 5px;">
			<div class="col-md-4">
				<?php
				$arrGcs = explode('-', $objPatientNursing->GeneralGcs);
				$gcs1 = $arrGcs[0];
				$gcs2 = $arrGcs[1];
				$gcs3 = $arrGcs[2];
				?>
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>GCS:</b></span></span>
					<select id="gcs1" class="form-control" style="width:33.3%">
						<option value="">-</option>
						<option value="1" <?= $gcs1 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $gcs1 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $gcs1 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $gcs1 == '4' ?'selected' : '' ?>>4</option>
					</select>
					<select id="gcs2" class="form-control" style="width:33.3%">
						<option value="">-</option>
						<option value="1" <?= $gcs2 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $gcs2 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $gcs2 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $gcs2 == '4' ?'selected' : '' ?>>4</option>
						<option value="5" <?= $gcs2 == '5' ?'selected' : '' ?>>5</option>
					</select>
					<select id="gcs3" class="form-control" style="width:33.3%">
						<option value="">-</option>
						<option value="1" <?= $gcs3 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $gcs3 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $gcs3 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $gcs3 == '4' ?'selected' : '' ?>>4</option>
						<option value="5" <?= $gcs3 == '5' ?'selected' : '' ?>>5</option>
						<option value="6" <?= $gcs3 == '6' ?'selected' : '' ?>>6</option>
					</select>
					<!-- <input type="text" class="form-control" name="gcs" id="gcs" placeholder="GCS" value="<?= $objPatientNursing->GeneralGcs ?>"> -->
				</div>
			</div>
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>Tensi:</b></span></span>
					<input type="text" class="form-control" name="sistolik" id="sistolik" placeholder="sistolik" value="<?= $objPatientNursing->GeneralSistolik ?>" style="width:50%">
					<input type="text" class="form-control" name="diastolik" id="diastolik" placeholder="diastolik" value="<?= $objPatientNursing->GeneralDiastolik ?>" style="width:50%">
					<span class="input-group-addon"><span class="text-35">mmHg</span></span>
				</div>
			</div>
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>Nadi:</b></span></span>
					<input type="text" class="form-control" name="nadi" id="nadi" placeholder="Nadi" value="<?= $objPatientNursing->GeneralNadi ?>">
					<span class="input-group-addon"><span class="text-35">x/m</span></span>
				</div>
			</div>
		</div>
		<div class="row" style="margin-bottom: 5px;">
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>Nafas:</b></span></span>
					<input type="text" class="form-control" name="rr" id="rr" placeholder="RR" autocomplete="on"  value="<?= $objPatientNursing->GeneralRr ?>">
					<span class="input-group-addon"><span class="text-35">x/m</span></span>
				</div>
			</div>
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>Suhu:</b></span></span>
					<input type="text" class="form-control" name="suhu" id="suhu" placeholder="Suhu" value="<?= $objPatientNursing->GeneralSuhu ?>">
					<span class="input-group-addon"><span class="text-35">&#8451;</span></span>
				</div>
			</div>
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span><b>Saturasi Oksigen:</b></span></span>
					<input type="text" class="form-control" name="saturasioksigen" id="saturasioksigen" placeholder="Saturasi Oksigen" value="<?= $objPatientNursing->GeneralSaturasiOksigen ?>">
				</div>
			</div>
		</div>
		<div class="row" style="margin-bottom: 5px;">
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>Berat:</b></span></span>
					<input type="text" class="form-control" name="bb" id="bb" placeholder="Berat Badan"  value="<?= $objPatientNursing->GeneralBb ?>">
					<span class="input-group-addon"><span class="text-35">kg</span></span>
				</div>
			</div>
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35"><b>Tinggi:</b></span></span>
					<input type="text" class="form-control" name="tb" id="tb" placeholder="Tinggi Badan" value="<?= $objPatientNursing->GeneralTb ?>">
					<span class="input-group-addon"><span class="text-35">cm</span></span>
				</div>
			</div>
			<div class="col-md-4">
			</div>
		</div>
		<div class="row" style="margin-bottom: 5px;">
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35x"><b>Kondisi Pupil:</b></span></span>
					<select id="kondisipupil" class="form-control">
						<option selected value="">belum diisi</option>
						<option value="MIDRIASIS" <?= $objPatientNursing->GeneralKondisiPupil == 'MIDRIASIS' ?'selected' : '' ?>>Midriasis</option>
						<option value="ISOCHOR" <?= $objPatientNursing->GeneralKondisiPupil == 'ISOCHOR' ?'selected' : '' ?>>Isochor(Normal)</option>
						<option value="UNISCHOR" <?= $objPatientNursing->GeneralKondisiPupil == 'UNISCHOR' ?'selected' : '' ?>>Unischor</option>
					</select>
				</div>
			</div>
			<div class="col-md-4">
				<div class="input-group">
					<span class="input-group-addon"><span class="text-35x"><b>Reflek Pupil:</b></span></span>
					<select id="reflekpupil" class="form-control">
						<option value="">belum diisi</option>
						<option value="TIDAK ADA" <?= $objPatientNursing->GeneralReflekPupil == 'TIDAK ADA' ?'selected' : '' ?>>TIDAK ADA</option>
						<option value="ADA" <?= $objPatientNursing->GeneralReflekPupil == 'ADA' ?'selected' : '' ?>>ADA</option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<h5>SKALA NYERI</h5>
	</div>
	<div class="box-body">
		<div class="form-group">
			<label class="radio-inline"><b>Apakah terjadi nyeri: </b> <span id="kesimpulanNyeri"><?= $objPatientNursing->GeneralNyeri ?></span></label>
		</div>
		
		<div class="row nyerirow">
			<div class="col-md-6">
				<h6>Dewasa (numeric scale)</h6>
				<?php
					$strExecutionDir = dirname(__FILE__);
					$strFilename = str_replace('\\','/',$strExecutionDir.'/assetfile/numeric_scale.svg');
					if(file_exists($strFilename))
					{
						include($strFilename);
					}
				?>
			</div>
			<div class="col-md-6">
				<h6>Anak &gt; 9th (wong baker scale)</h6>
				<?php
					$strExecutionDir = dirname(__FILE__);
					$strFilename = str_replace('\\','/',$strExecutionDir.'/assetfile/wong_baker_scale.svg');
					if(file_exists($strFilename))
					{
						include($strFilename);
					}
				?>
			</div>
		</div>

	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-body">
		<div class="row">
			<?php if($umurDalamTahun > 1 && $umurDalamTahun < 3 ){ ?>
			<div class="col-md-12">
				<div class="form-group">
					<label class="radio-inline"><b>FLACC Scale(Untuk usia 1-3 Th): </b></label>
					<label class="radio-inline"><input type="radio" class="flaccscale" name="flaccscale" value="0">0 : Tidak Nyeri</label>
					<label class="radio-inline"><input type="radio" class="flaccscale" name="flaccscale" value="1-3">1-3 : Nyeri Ringan</label>
					<label class="radio-inline"><input type="radio" class="flaccscale" name="flaccscale" value="4-6">4-6 : Nyeri Sedang</label>
					<label class="radio-inline"><input type="radio" class="flaccscale" name="flaccscale" value="7-10">7-10 : Nyeri Berat</label>
				</div>
			</div>
			<?php }else if($umurDalamTahun < 1 ){ ?>
			<div class="col-md-12">
				<div class="form-group">
					<label class="radio-inline"><b>NIPS Scale(Untuk usia &lt; 1 Th): </b></label>
					<label class="radio-inline"><input type="radio" class="nipsscale" name="nipsscale" value="0">0 : Tidak Perlu Intervensi</label>
					<label class="radio-inline"><input type="radio" class="nipsscale" name="nipsscale" value="1-3">1-3 : Interv. non farmakologis</label>
					<label class="radio-inline"><input type="radio" class="nipsscale" name="nipsscale" value="4-5">4-5 : Terapi analgesik non opioid</label>
					<label class="radio-inline"><input type="radio" class="nipsscale" name="nipsscale" value="6-7">6-7 : terapi opioid</label>
				</div>
			</div>
			<?php } ?>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-body">
		<div class="row">
			<div class="col-md-12">
				<div class="form-group" style="padding: 0 15px;">
					<label for="statusambulasi"><b> Status Ambulasi:</b></label>
					<textarea class="form-control" rows="3" id="statusambulasi" name="statusambulasi" placeholder="Status Ambulasi"><?= $objPatientNursing->GeneralStatusAmbulasi ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<h4>PEMERIKSAAN FISIK</h4>
	</div>
	<div class="box-body">
		<div class="row">
			<div class="col-md-12">
				<label for="fisikgeneral"><b> Pemeriksaan Fisik General:</b></label>
				<textarea class="form-control" rows="3" id="fisikgeneral" name="fisikgeneral" placeholder="Pemeriksaan Fisik General"><?= $objPatientNursing->GeneralObjective ?></textarea>
			</div>
		</div>
		<hr />
		<div class="row">
			<div class="col-md-7">
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikkepalawajah"><b> Pemeriksaan Kepala dan wajah:</b></label>
							<textarea class="form-control" rows="2" id="fisikkepalawajah" name="fisikkepalawajah" placeholder="Kepala dan wajah"><?= $objPatientNursing->GeneralFisikKepalaWajah ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikleher"><b> Pemeriksaan Leher:</b></label>
							<textarea class="form-control" rows="2" id="fisikleher" name="fisikleher" placeholder="Leher"><?= $objPatientNursing->GeneralFisikLeher ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikdada"><b> Pemeriksaan Dada:</b></label>
							<textarea class="form-control" rows="2" id="fisikdada" name="fisikdada" placeholder="Dada"><?= $objPatientNursing->GeneralFisikDada ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikabdomen"><b> Pemeriksaan Abdomen:</b></label>
							<textarea class="form-control" rows="2" id="fisikabdomen" name="fisikabdomen" placeholder="Abdomen"><?= $objPatientNursing->GeneralFisikAbdomen ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikextremitas"><b> Pemeriksaan Extremitas:</b></label>
							<textarea class="form-control" rows="2" id="fisikextremitas" name="fisikextremitas" placeholder="Extremitas"><?= $objPatientNursing->GeneralFisikExtremitas ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="fisikgenital"><b> Pemeriksaan Genital:</b></label>
							<textarea class="form-control" rows="2" id="fisikgenital" name="fisikgenital" placeholder="Genital"><?= $objPatientNursing->GeneralFisikGenital ?></textarea>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-5">
				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div>
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/anatomi.png';
					// $sumberGambar = __USER_ASSETS__.'/images/eswl.jpg'; 

					$gambarTersimpan = $objPatientNursing->GeneralGambarAnatomi ? __IMAGE_ASSETS__. $objPatientNursing->GeneralGambarAnatomi : $sumberGambar;
					?>
					<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
					<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Sedang menyimpan</button>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<h4>PEMERIKSAAN KHUSUS</h4>
	</div>
	<div class="box-body">
		<div class="row">
			<div class="col-md-12">
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="khususparu"><b> Pemeriksaan Paru:</b></label>
							<textarea class="form-control" rows="2" id="khususparu" name="khususparu" placeholder="PARU"><?= $objPatientNursing->GeneralKhususParu ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="khususjantung"><b> Pemeriksaan Jantung:</b></label>
							<textarea class="form-control" rows="2" id="khususjantung" name="khususjantung" placeholder="JANTUNG"><?= $objPatientNursing->GeneralKhususJantung ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="khususneurologi"><b> Pemeriksaan Neurologi:</b></label>
							<textarea class="form-control" rows="2" id="khususneurologi" name="khususneurologi" placeholder="NEUROLOGI"><?= $objPatientNursing->GeneralKhususNeurologi ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="khususurologi"><b> Pemeriksaan Urologi:</b></label>
							<textarea class="form-control" rows="2" id="khususurologi" name="khususurologi" placeholder="UROLOGI"><?= $objPatientNursing->GeneralKhususUrologi ?></textarea>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-header">
		<h4>PEMERIKSAAN PENUNJANG</h4>
	</div>
	<div class="box-body">
		<div class="row">
			<div class="col-md-12">
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="pemeriksaanlaboratorium"><b> PEMERIKSAAN LABORATORIUM:</b></label>
							<textarea class="form-control" rows="2" id="pemeriksaanlaboratorium" name="pemeriksaanlaboratorium" placeholder="LABORATORIUM"><?= $objPatientNursing->GeneralPemeriksaanLaboratorium ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="pemeriksaanradiologi"><b> PEMERIKSAAN RADIOLOGI:</b></label>
							<textarea class="form-control" rows="2" id="pemeriksaanradiologi" name="pemeriksaanradiologi" placeholder="RADIOLOGI"><?= $objPatientNursing->GeneralPemeriksaanRadiologi ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="pemeriksaanekg"><b> PEMERIKSAAN EKG:</b></label>
							<textarea class="form-control" rows="2" id="pemeriksaanekg" name="pemeriksaanekg" placeholder="EKG"><?= $objPatientNursing->GeneralPemeriksaanEkg ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="pemeriksaanechocardiografi"><b> PEMERIKSAAN ECHOCARDIOGRAFI:</b></label>
							<textarea class="form-control" rows="2" id="pemeriksaanechocardiografi" name="pemeriksaanechocardiografi" placeholder="ECHOCARDIOGRAFI"><?= $objPatientNursing->GeneralPemeriksaanEchocardiografi ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="pemeriksaantreadmil"><b> PEMERIKSAAN TREADMIL:</b></label>
							<textarea class="form-control" rows="2" id="pemeriksaantreadmil" name="pemeriksaantreadmil" placeholder="TREADMIL"><?= $objPatientNursing->GeneralPemeriksaanTreadmil ?></textarea>
						</div>
					</div>
				</div>
				<div class="row">
					<div class="col-md-12">
						<div class="form-group" style="padding: 0 15px;">
							<label for="pemeriksaanlainnya"><b> PEMERIKSAAN LAINNYA:</b></label>
							<textarea class="form-control" rows="2" id="pemeriksaanlainnya" name="pemeriksaanlainnya" placeholder="LAINNYA"><?= $objPatientNursing->GeneralPemeriksaanLainnya ?></textarea>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
	<div class="box-body">
		<div class="row">
			<div class="col-md-12">
				<div style=" border-top: 1px solid #aaa; margin-top: 10px"></div>
				<div class="form-group" style="padding: 0 15px;">
					<label for="diagnosamedis"><b>Diagnosa Medis:</b></label>
					<textarea class="form-control" rows="2" id="diagnosamedis" name="diagnosamedis" placeholder="Diagnosa Medis" autocomplete="on"><?= $objPatientNursing->GeneralDiagnosaMedis ?></textarea>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div style=" border-top: 1px solid #aaa; margin-top: 10px"></div>
				<div class="form-group" style="padding: 0 15px;">
					<label for="masalahmedis"><b>Masalah Medis:</b></label>
					<textarea class="form-control" rows="2" id="masalahmedis" name="masalahmedis" placeholder="Masalah Medis"><?= $objPatientNursing->GeneralMasalahMedis ?></textarea>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div style=" border-top: 1px solid #aaa; margin-top: 10px"></div>
				<div class="form-group" style="padding: 0 15px;">
					<label for="rencanatindakan"><b> Rencana Tindakan:</b></label>
					<textarea class="form-control" rows="2" id="rencanatindakan" name="rencanatindakan" placeholder="Rencana Tindakan"><?= $objPatientNursing->GeneralRencanaTindakan ?></textarea>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div class="form-group" style="padding: 0 15px;">
					<label for="rencanaterapi"><b>Rencana Terapi:</b></label>
					<textarea class="form-control" rows="2" id="rencanaterapi" name="rencanaterapi" placeholder="Rencana Terapi"><?= $objPatientNursing->GeneralRencanaTerapi ?></textarea>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div class="form-group" style="padding: 0 15px;">
					<label for="modalitasfisik"><b>Modalitas Fisik:</b></label>
					<textarea class="form-control" rows="2" id="modalitasfisik" name="modalitasfisik" placeholder="Modalitas Fisik"><?= $objPatientNursing->GeneralModalitasFisik ?></textarea>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div class="form-group" style="padding: 0 15px;">
					<label for="protesaortesa"><b>Pemakaian Protesa / Ortesa:</b></label>
					<textarea class="form-control" rows="2" id="protesaortesa" name="protesaortesa" placeholder="PROTESA/ORTESA"><?= $objPatientNursing->GeneralProtesaOrtesa ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal" style="padding-bottom: 25px;">
	<div class="box-body">
		<div class="row">
			<div class="col-md-12">
				<?php
				if($objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4'){
				?>
				<!-- <button>Simpan</button> -->
				<?php
				}
				?>
				<?php
				$penyelesai = ' ';
				if($objPatientNursing->IdUserPenyelesaiAsesmenAwal){
					$objSystemUser = SystemUser::LoadById($objPatientNursing->IdUserPenyelesaiAsesmenAwal);
					$penyelesai .= $objSystemUser->FullName;
				}
				?>

				<div class="alert alert-success showSelesai" role="alert" style="display:none">
					<strong>Selesai!</strong> Asesmen Awal dinyatakan selesai dan ditandatangani oleh <span id="selesaiFullName"><?= $penyelesai ?></span> 
					pada tanggal <span id="selesaiTanggal"><?= $objPatientNursing->WaktuSelesaiAsesmenAwal ? $objPatientNursing->WaktuSelesaiAsesmenAwal->PhpDate('d-m-Y') : '-' ?></span>
					jam <span id="selesaiJam"><?= $objPatientNursing->WaktuSelesaiAsesmenAwal ? $objPatientNursing->WaktuSelesaiAsesmenAwal->PhpDate('H:i') : '-' ?></span>
					dari IP <span id="selesaiIp"><?= $objPatientNursing->IpUserPenyelesaiAsesmenAwal ?></span>
				</div>

				<a href="#" id="cetak-laporan" class="btn btn-warning showSelesai" style="display:none"><i class="fa fa-print"></i> Cetak Laporan</a>

				<span class="hideSelesai">
					<!--
					<a href="#" class="btn btn-danger" id="open-modal"><i class="fa fa-pencil"></i> Simpan &amp; Tanda Tangan</a>
					<button disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Draft</button>
					<button class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan Draft</button>
					-->
					<button disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Draft</button>
					<button class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan</button>
				</span>

				<a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a>
			</div>
		</div>
	</div>
</div>
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
<br />
</form>


<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

		<div>
			<hr>
			<label><b>Password<b></label>
			<input type="password" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
			<div class="checkbox">
				<label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
			</div>
		</div>
	  </div>
	  <div class="modal-footer">
		<!-- <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button> -->
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var ObjectData = {};
var warnaPencil = 'red';
ObjectData.Nyeri = '<?= $objPatientNursing->GeneralNyeri ?>';
console.log('ks nyeri:'+ObjectData.Nyeri)
// var drawer;


function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

$(document).ready(function() {

	//canvas draw -start
	var mousePressed = false;
	var lastX, lastY;
	var ctx;
	var img = document.getElementById('gambarCanvas');
	var imgTersimpan = document.getElementById('gambarTersimpan');

	/*

	function InitThis() {

		ctx = document.getElementById('myCanvas').getContext("2d");
		ctx.beginPath();
		ctx.drawImage(imgTersimpan, 0, 0, 400, 400);

		$('#myCanvas').mousedown(function (e) {
			console.log('mousedown');
			mousePressed = true;
			Draw(e.pageX - $(this).offset().left, e.pageY - $(this).offset().top, false);
		});

		$('#myCanvas').mousemove(function (e) {
			if (mousePressed) {
				console.log('mousemove');
				Draw(e.pageX - $(this).offset().left, e.pageY - $(this).offset().top, true);
			}
		});

		$('#myCanvas').mouseup(function (e) {
			console.log('mouseup');
			mousePressed = false;
		});

		$('#myCanvas').mouseleave(function (e) {
			console.log('mouseleave');
			mousePressed = false;
		});

	}

	$('#gambarTersimpan').load(function(){
		InitThis();
	})

	function Draw(x, y, isDown) {
		if (isDown) {
			ctx.strokeStyle = warnaPencil;
			ctx.lineWidth = 4;
			ctx.lineJoin = "round";
			ctx.moveTo(lastX, lastY);
			ctx.lineTo(x, y);
			ctx.closePath();
			ctx.stroke();
		}
		lastX = x; lastY = y;
	}
		
	function clearArea() {
		ctx.beginPath();
		ctx.drawImage(img, 0, 0, 400, 400);
	}

	$('#clearArea').click(function(){
		clearArea();
		return false;
	})

	*/

	<?php
		$GambarDefault = __USER_ASSETS__.'/images/anatomi.png';
		$urlGambar = $objPatientNursing->GeneralGambarAnatomi ? __IMAGE_ASSETS__. $objPatientNursing->GeneralGambarAnatomi : $GambarDefault;
	?>

	var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
	fabric.Object.prototype.transparentCorners = false;
	fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

	fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
		image.scaleToWidth(400);
		image.scaleToHeight(400);
		canvas.add(image.set({
			id : 'myCanvas'
			, alt : 'blank'
		}));
	});

	canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
	if (canvas.freeDrawingBrush) {
		var brush = canvas.freeDrawingBrush;
		brush.color = "red";
		if (brush.getPatternSrc) {
			brush.source = brush.getPatternSrc.call(brush);
		}
		brush.width = 4;
		brush.shadow = new fabric.Shadow({
			blur: 0,
			offsetX: 0,
			offsetY: 0,
			affectStroke: true,
			color: "#005E7A",
		});
	}

	$('#edit').click(function(){
		canvas.isDrawingMode = true;
		$('#clearArea').removeClass('disabled');
		$('#simpanGambar').removeClass('disabled');
		$('#edit').addClass('disabled');
		return false;
	})


	$('#clearArea').click(function(){
		fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});
		return false;
	})

	//canvas draw -begin
	function dataURItoBlob(dataURI) {
		// convert base64/URLEncoded data component to raw binary data held in a string
		var byteString;
		if (dataURI.split(',')[0].indexOf('base64') >= 0)
			byteString = atob(dataURI.split(',')[1]);
		else
			byteString = unescape(dataURI.split(',')[1]);

		// separate out the mime component
		var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

		// write the bytes of the string to a typed array
		var ia = new Uint8Array(byteString.length);
		for (var i = 0; i < byteString.length; i++) {
			ia[i] = byteString.charCodeAt(i);
		}

		return new Blob([ia], {type:mimeString});
	}
	//canvas draw -end

	$('#simpanGambar').click(function() {

		var canvas = document.getElementById('myCanvas');
		var hasil = canvas.toDataURL('image/jpeg');
		var blob = dataURItoBlob(hasil);

		var fd = new FormData();
		fd.append("pageId", strPageId);
		fd.append("actorId", strActorId);
		fd.append("nursingId", '<?= $strId ?>');
		fd.append("department", strDepartmentId);
		fd.append("mode", 'ASESMEN AWAL');
		fd.append("gambar", blob, 'anatomi.jpg');

		$.ajax({
			type: 'POST',
			data: fd,
			url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadImage')?>',
			processData: false,
			contentType: false,
			timeout: 5* 60 * 1000,
			success: function(result){
				toastr.info(result.message, 'Informasi');
			},
			error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			},
			beforeSend: function(xhr){
				$('#clearArea').addClass('disabled');
				$('#simpanGambar').hide();
				$('#simpanGambar-loading').show();
			},
			complete: function(xhr,status){
				$('#edit').removeClass('disabled');
				$('#clearArea').addClass('disabled');
				$('#simpanGambar').addClass('disabled');
				$('#simpanGambar').show();
				$('#simpanGambar-loading').hide();
			}
		})

	})

	// Drawer JS
	// drawer = new DrawerJs.Drawer(null, drawerJsConfig, 400, 400);

	// $('#canvas-editor').append(drawer.getHtml());
	// drawer.onInsert();
	// drawer.api.startEditing();
	
	<?php
	// $sumberGambar = __USER_ASSETS__.'/images/anatomi.png';
	?>
	// var imgSrc = '<?= $sumberGambar ?>'
	// var options = {};
	// drawer.api.setBackgroundImageFromUrl(imgSrc, options);
	// Drawer Js -end
	
	$('#tombol-save-loading').hide();
	$('#simpanGambar-loading').hide();
	//ALERGI OBAT
	var selected_value = $("input[name='alergiobat']:checked").val();
	if(selected_value == 'YA'){
		// $('.alergiobatrow').show();
	}else{
		// $('.alergiobatrow').hide();
		$('#uraianalergiobat').val(''); //kosongkan jika tidak ada alergi
	}
	//
	$(".alergiobat").change(function (e) {
		var selected_value = $("input[name='alergiobat']:checked").val();
		if(selected_value == 'YA'){
			// $('.alergiobatrow').show();
		}else{
			// $('.alergiobatrow').hide();
			$('#uraianalergiobat').val(''); //kosongkan jika tidak ada alergi
		}
	});
	// ALERGI MAKANAN
	var selected_value = $("input[name='alergimakanan']:checked").val();
	if(selected_value == 'YA'){
		// $('.alergimakananrow').show();
	}else{
		// $('.alergimakananrow').hide();
		$('#uraianalergimakanan').val(''); //kosongkan jika tidak ada alergi
	}
	//
	$(".alergimakanan").change(function (e) {
		var selected_value = $("input[name='alergimakanan']:checked").val();
		if(selected_value == 'YA'){
			$('.alergimakananrow').show();
		}else{
			$('.alergimakananrow').hide();
			$('#uraianalergimakanan').val(''); //kosongkan jika tidak ada alergi
		}
	});
	//RIWAYAT IMUNISASI
	var selected_value = $("input[name='riwayatimunisasi']:checked").val();
	if(selected_value == 'LENGKAP'){
		// $('.riwayatimunisasirow').hide();
		$('#uraianriwayatimunisasibelum').val(''); //kosongkan 
	}else if(typeof selected_value === "undefined"){
		// $('.riwayatimunisasirow').hide();
		$('#uraianriwayatimunisasibelum').val(''); //kosongkan 
	}
	else{
		// $('.riwayatimunisasirow').show();
	}
	//
	$(".riwayatimunisasi").change(function (e) {
		var selected_value = $("input[name='riwayatimunisasi']:checked").val();
		if(selected_value == 'LENGKAP'){
			// $('.riwayatimunisasirow').hide();
			$('#uraianriwayatimunisasibelum').val(''); //kosongkan 
		}else if(typeof selected_value === "undefined"){
			// $('.riwayatimunisasirow').hide();
			$('#uraianriwayatimunisasibelum').val(''); //kosongkan 
		}
		else{
			// $('.riwayatimunisasirow').show();
		}
	});
	//KEADAAN UMUM
	var selected_value = $("input[name='keadaanumum']:checked").val();
	if(selected_value == 'BAIK' || selected_value == 'SESAK' || selected_value == 'PUCAT' || selected_value == 'LEMAH' || selected_value == 'KESADARAN MENURUN'){
		// $('.keadaanumumrow').hide();
		$('#uraiankeadaanumum').val(''); //kosongkan 
	}else if(typeof selected_value === "undefined"){
		// $('.keadaanumumrow').hide();
		$('#uraiankeadaanumum').val(''); //kosongkan 
	}
	else{
		// $('.keadaanumumrow').show();
	}
	//
	$(".keadaanumum").change(function (e) {
		var selected_value = $("input[name='keadaanumum']:checked").val();
		if(selected_value == 'BAIK' || selected_value == 'SESAK' || selected_value == 'PUCAT' || selected_value == 'LEMAH' || selected_value == 'KESADARAN MENURUN'){
			// $('.keadaanumumrow').hide();
			$('#uraiankeadaanumum').val(''); //kosongkan 
		}else if(typeof selected_value === "undefined"){
			// $('.keadaanumumrow').hide();
			$('#uraiankeadaanumum').val(''); //kosongkan 
		}
		else{
			// $('.keadaanumumrow').show();
		}
	});
	//nyeri
	var selected_value = $("input[name='nyeri']:checked").val();
	// if(selected_value == 'YA'){
	//	 $('.nyerirow').show();
	// }
	// else{
	//	 $('.nyerirow').hide();
	// }
	// $(".nyeri").change(function (e) {
	//	 var selected_value = $("input[name='nyeri']:checked").val();
	//	 if(selected_value == 'YA'){
	//		 $('.nyerirow').show();
	//	 }
	//	 else{
	//		 $('.nyerirow').hide();
	//	 }
	// });
	// Skala nyeri dewasa + wbc
	var nilaiSkalaNyeriDewasa = "<?= $objPatientNursing->GeneralNilaiSkalaNyeriDewasa ?>";
	var nilaiSkalaNyeriWbc = "<?= $objPatientNursing->GeneralNilaiSkalaNyeriWbc ?>";
	ObjectData.NilaiSkalaNyeriDewasa = nilaiSkalaNyeriDewasa;
	ObjectData.NilaiSkalaNyeriWbc = nilaiSkalaNyeriWbc;

	$('.areaklik').each(function(i){
		if(String($(this).data('numericscale')) === nilaiSkalaNyeriDewasa){
			$(this).css('fill', '#ff0000');
		}
	})

	$('.iconwbc').each(function(i){
		if(String($(this).data('nilaiwbc')) === nilaiSkalaNyeriWbc){
			var targetcentang = $(this).data('centang');
			$(targetcentang).css('fill', '#00ff00');
		}
	})


	//dewasa
	$('.areaklik').click(function(e){
		$('.areaklik').css('fill', '#ffffaa');
		$(e.target).css('fill', '#ff0000');
		if(nilaiSkalaNyeriDewasa === $(e.target).data('numericscale')){ // hati2 dgn value 0 dan empty string, gunakan === dari pada == 
			$(e.target).css('fill', '#ffffaa');
			$('.tandacentang').css('fill', '#ffffff'); //reset juga style pada skala wbc(wong baker scale)
			nilaiSkalaNyeriDewasa = ""; //reset ke empty string
			nilaiSkalaNyeriWbc = ""; //hanya ada 1 skala yg terisi
		}else{
			$('.tandacentang').css('fill', '#ffffff'); //reset wbc terlebih dahulu
			nilaiSkalaNyeriDewasa = $(e.target).data('numericscale'); //kode untuk disimpan
			if(nilaiSkalaNyeriDewasa == 0){
				nilaiSkalaNyeriWbc = '0';
				$('#centang1').css('fill', '#00ff00');
			}else if(nilaiSkalaNyeriDewasa == 1 || nilaiSkalaNyeriDewasa == 2){
				nilaiSkalaNyeriWbc = '1-2';
				$('#centang2').css('fill', '#00ff00');
			}else if(nilaiSkalaNyeriDewasa == 3 || nilaiSkalaNyeriDewasa == 4){
				nilaiSkalaNyeriWbc = '3-4';
				$('#centang3').css('fill', '#00ff00');
			}else if(nilaiSkalaNyeriDewasa == 5 || nilaiSkalaNyeriDewasa == 6){
				nilaiSkalaNyeriWbc = '5-6';
				$('#centang4').css('fill', '#00ff00');
			}else if(nilaiSkalaNyeriDewasa == 7 || nilaiSkalaNyeriDewasa == 8){
				nilaiSkalaNyeriWbc = '7-8';
				$('#centang5').css('fill', '#00ff00');
			}else if(nilaiSkalaNyeriDewasa == 9 || nilaiSkalaNyeriDewasa == 10){
				nilaiSkalaNyeriWbc = '9-10';
				$('#centang6').css('fill', '#00ff00');
			}
		}
		console.log('skalaNyeriDewasa:' + nilaiSkalaNyeriDewasa);
		console.log('skalaNyeriWbc:' + nilaiSkalaNyeriWbc);
		ObjectData.NilaiSkalaNyeriDewasa = nilaiSkalaNyeriDewasa;
		ObjectData.NilaiSkalaNyeriWbc = nilaiSkalaNyeriWbc;
		if(nilaiSkalaNyeriDewasa === 0 || nilaiSkalaNyeriDewasa === '0'){
			ObjectData.Nyeri = 'TIDAK'; 
		}else if(nilaiSkalaNyeriDewasa > 0){
			ObjectData.Nyeri = 'YA';
		}else{
			ObjectData.Nyeri = '';
		}
		$('#kesimpulanNyeri').text(ObjectData.Nyeri)
		console.log('ks nyeri:'+ObjectData.Nyeri)
	});
});

$('#content').off('change', '.flaccscale').on('change', '.flaccscale', function (event) {
	ObjectData.FlaccScale = $("input[name='flaccscale']:checked").val() ? $("input[name='flaccscale']:checked").val() : '';
	if(ObjectData.FlaccScale == ''){
		ObjectData.Nyeri = '';
	}else if(ObjectData.FlaccScale == 0){
		ObjectData.Nyeri = 'TIDAK';
	}else{
		ObjectData.Nyeri = 'YA';
	}
	$('#kesimpulanNyeri').text(ObjectData.Nyeri)
	console.log('ks nyeri:'+ObjectData.Nyeri)
})
$('#content').off('change', '.nipsscale').on('change', '.nipsscale', function (event) {
	ObjectData.NipsScale = $("input[name='nipsscale']:checked").val() ? $("input[name='nipsscale']:checked").val() : '';
	if(ObjectData.NipsScale == ''){
		ObjectData.Nyeri = '';
	}else if(ObjectData.NipsScale == 0){
		ObjectData.Nyeri = 'TIDAK';
	}else{
		ObjectData.Nyeri = 'YA';
	}
	$('#kesimpulanNyeri').text(ObjectData.Nyeri)
	console.log('ks nyeri:'+ObjectData.Nyeri)
})

$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
	event.preventDefault();
	console.log('simpan asesmen awal');
	if(validasiSimpan()){
		prosesKirimData('VERIFIKASI');
	}
})

$('#content').off('click', '#tombol-save').on('click', '#tombol-save', function (event) {
	event.preventDefault();
	console.log('simpan draft asesmen awal');
	prosesKirimData('DRAFT');
});

var validasiSimpan = function(){
	var password = $('#password');
	var checkSetuju = $('#check-setuju');

	if(!password.val()){
		toastr.warning('Password Masih Kosong', 'Peringatan');
		return null;
	}
	if(! checkSetuju.prop('checked')){
		toastr.warning('Anda Harus Menyetujui', 'Peringatan');
		return null;
	}
	return true;
}

var prosesKirimData = function(mode){
	ObjectData.pageId = strPageId;
	ObjectData.actorId = strActorId;
	ObjectData.nursingId = '<?= $strId ?>'; //nursing id
	ObjectData.department = strDepartmentId;

	if(mode == 'VERIFIKASI'){
		ObjectData.password = $('#password').val();
	}
	
	ObjectData.TanggalAsesmen = $('#tanggalasesmen').val();
	ObjectData.JamAsesmen = $('#jamasesmen').val();
	ObjectData.KeluhanUtama = $('#keluhanutama').val();
	ObjectData.RiwayatPenyakitSekarang = $('#riwayatpenyakitsekarang').val();
	ObjectData.RiwayatPenyakitDahulu = $('#riwayatpenyakitdahulu').val();
	ObjectData.RiwayatPenyakitKeluarga = $('#riwayatpenyakitkeluarga').val();
	ObjectData.RiwayatOperasi = $('#riwayatoperasi').val();
	ObjectData.AlergiObat = $("input[name='alergiobat']:checked").val() ? $("input[name='alergiobat']:checked").val() : '';
	ObjectData.UraianAlergiObat = $('#uraianalergiobat').val();
	ObjectData.AlergiMakanan = $("input[name='alergimakanan']:checked").val() ? $("input[name='alergimakanan']:checked").val() : '';
	ObjectData.UraianAlergiMakanan = $('#uraianalergimakanan').val();
	ObjectData.RiwayatImunisasi = $("input[name='riwayatimunisasi']:checked").val() ? $("input[name='riwayatimunisasi']:checked").val() : '';
	ObjectData.UraianRiwayatImunisasiBelum = $('#uraianriwayatimunisasibelum').val();
	ObjectData.KeadaanUmum = $("input[name='keadaanumum']:checked").val() ? $("input[name='keadaanumum']:checked").val() : '';
	ObjectData.UraianKeadaanUmum = $('#uraiankeadaanumum').val();
	ObjectData.KesanSakit = $("input[name='kesansakit']:checked").val() ? $("input[name='kesansakit']:checked").val() : '';
	ObjectData.Gcs = $('#gcs1').val() + '-' + $('#gcs2').val() + '-' + $('#gcs3').val();
	ObjectData.Sistolik = $('#sistolik').val();
	ObjectData.Diastolik = $('#diastolik').val();
	ObjectData.Nadi = $('#nadi').val();
	ObjectData.Rr = $('#rr').val();
	ObjectData.Suhu = $('#suhu').val();
	ObjectData.SaturasiOksigen = $('#saturasioksigen').val();
	ObjectData.Bb = $('#bb').val();
	ObjectData.Tb = $('#tb').val();
	ObjectData.ReflekPupil = $('#reflekpupil').val();
	ObjectData.KondisiPupil = $('#kondisipupil').val();
	ObjectData.FlaccScale = $("input[name='flaccscale']:checked").val() ? $("input[name='flaccscale']:checked").val() : '';
	ObjectData.NipsScale = $("input[name='nipsscale']:checked").val() ? $("input[name='nipsscale']:checked").val() : '';
	ObjectData.StatusAmbulasi = $('#statusambulasi').val();
	ObjectData.GeneralObjective = $('#fisikgeneral').val();
	ObjectData.FisikKepalaWajah = $('#fisikkepalawajah').val();
	ObjectData.FisikLeher = $('#fisikleher').val();
	ObjectData.FisikDada = $('#fisikdada').val();
	ObjectData.FisikAbdomen = $('#fisikabdomen').val();
	ObjectData.FisikExtremitas = $('#fisikextremitas').val();
	ObjectData.FisikGenital = $('#fisikgenital').val();
	ObjectData.KhususParu = $('#khususparu').val();
	ObjectData.KhususJantung = $('#khususjantung').val();
	ObjectData.KhususNeurologi = $('#khususneurologi').val();
	ObjectData.KhususUrologi = $('#khususurologi').val();
	ObjectData.PemeriksaanLaboratorium = $('#pemeriksaanlaboratorium').val();
	ObjectData.PemeriksaanRadiologi = $('#pemeriksaanradiologi').val();
	ObjectData.PemeriksaanEkg = $('#pemeriksaanekg').val();
	ObjectData.PemeriksaanEchocardiografi = $('#pemeriksaanechocardiografi').val();
	ObjectData.PemeriksaanTreadmil = $('#pemeriksaantreadmil').val();
	ObjectData.PemeriksaanLainnya = $('#pemeriksaanlainnya').val();
	ObjectData.DiagnosaMedis = $('#diagnosamedis').val();
	ObjectData.MasalahMedis = $('#masalahmedis').val();
	ObjectData.RencanaTindakan = $('#rencanatindakan').val();
	ObjectData.RencanaTerapi = $('#rencanaterapi').val();
	ObjectData.ModalitasFisik = $('#modalitasfisik').val();
	ObjectData.ProtesaOrtesa = $('#protesaortesa').val();
	
	ObjectData.mode = mode;

	var url;
	if(mode == 'DRAFT'){
		url = "<?= QApplication::UrlActionCreator('PatientNursingAssessment/AsesmenAwalMedis')?>";
	}else{
		url = "<?= QApplication::UrlActionCreator('PatientNursingAssessment/AsesmenAwalMedis')?>";
	}


	console.log(ObjectData)
	$.ajax({
		url: url, 
		success: function(result){
			if(mode == 'VERIFIKASI' && result.status != 'error'){
				$('#modal-area').modal("hide");
				disableAllInput();
				toastr.info(result.message, 'Informasi');
				$('#selesaiFullName').text(result.FullName);
				$('#selesaiTanggal').text(result.Tanggal);
				$('#selesaiJam').text(result.Jam);
				$('#selesaiIp').text(result.Ip);
			}else if(result.status == 'error'){
				toastr.error(result.message, 'Error');
			}else{
				toastr.info(result.message, 'Informasi');
			}
		},
		timeout: 5* 60 * 1000,
		error: function(xhr,status,error){
			console.log(xhr);
			alert('Gagal menyimpan data');
		},
		beforeSend: function(xhr){
			$('#tombol-save').hide();
			$('#tombol-save-loading').show();
		},
		complete: function(xhr,status){
			$('#tombol-save').show();
			$('#tombol-save-loading').hide();
		},
		type: "POST",
		data: ObjectData
	});
}

// $("#jamasesmen").focus(function(e){
//	 showMePicker(e.target);
// });

$('#content').off('click', '#cetak-laporan').on('click', '#cetak-laporan', function () {
	var url = '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>';
	openInNewTab(url);
});

$('#content').off('click', '.page-tindakan').on('click', '.page-tindakan', function () {
	//'hmis-patient-medical-service-rnap/tindakan'
	var Id = '<?= $objPatientNursing->Id ?>';
	console.log(Id);
	var backFromAssementAwal = window.sessionStorage.getItem('backFromAssementAwal');
	if( backFromAssementAwal ) {
		setContent(backFromAssementAwal,'content');
		return true;
	}
	var segmenSebelumnya = window.sessionStorage.getItem('segmenSebelumnya');
	if( segmenSebelumnya ) {
		setContent('<?= QApplication::UrlCreator('')?>/'+segmenSebelumnya+'?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
		return true;
	}
});

$('#jamasesmen').change(function(e){
	var waktu = $('#jamasesmen').val().split(":");
	var jam = waktu[0];
	var menit = waktu[1];
	if(jam > 23 || menit > 60){
		$('#jamasesmen').val('')
	}
})
//-------------

$('#content').off('click', '#open-modal').on('click', '#open-modal', function () {
	$('#modal-area').modal("show");
	$('#tandatangani').show();
	$('#tandatanganiperubahan').hide();
});

//-------------
 
if( is_android_ready == true ){ // awal kondisi dijalankan hanya di andoid

$( "#keluhanutama" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'keluhanutama';
	window.scrollTo({
	 top: 440
	});
});

$( "#riwayatpenyakitsekarang" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'riwayatpenyakitsekarang';
	window.scrollTo({
	 top: 610
	});
});

$( "#riwayatpenyakitdahulu" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'riwayatpenyakitdahulu';
	window.scrollTo({
	 top: 730
	});
});


$( "#riwayatpenyakitkeluarga" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'riwayatpenyakitkeluarga';
	window.scrollTo({
	 top: 840
	});
});

$( "#riwayatoperasi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 950
	});
});

var koreksi = 0;

$( "#uraianalergiobat" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'uraianalergiobat';
	window.scrollTo({
	 top: 1100
	});
});

$( "#uraianalergimakanan" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'uraianalergimakanan';
	if( $( "#alergiobatrow" ).is(":visible") ) {
	  // koreksi = koreksi + 20;
	} else {
	  if( koreksi > 0 ) {
		 // koreksi = koreksi - 20;
	  }
	}
	if( $( "#alergimakananrow" ).is(":visible") ) {
	  // koreksi = koreksi + 20;
	} else {
	  if( koreksi > 0 ) {
		 // koreksi = koreksi - 20;
	  }
	}
	window.scrollTo({
	 top: 1245 + koreksi
	});
});


$( "#gcs1" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#gcs2" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#gcs3" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#sistolik" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#diastolik" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#nadi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#rr" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#suhu" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#saturasioksigen" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#bb" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#tb" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1580 + 320
	});
});

$( "#kondisipupil" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1620 + 320
	});
});

$( "#reflekpupil" ).focus(function() {
	// alert( "Handler for .focus() called." );
	// currentFocus = 'riwayatoperasi';
	window.scrollTo({
	 top: 1620 + 320
	});
});


$( "#statusambulasi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'statusambulasi';
	window.scrollTo({
	 top: 2300 + 320
	});
});

$( "#fisikkepalawajah" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'fisikkepalawajah';
	window.scrollTo({
	 top: 2460 + 320
	});
});

$( "#fisikleher" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'fisikleher';
	window.scrollTo({
	 top: 2590 + 320
	});
});

$( "#fisikdada" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'fisikdada';
	window.scrollTo({
	 top: 2700 + 320
	});
});

$( "#fisikabdomen" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'fisikabdomen';
	window.scrollTo({
	 top: 2800 + 320
	});
});

$( "#fisikextremitas" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'fisikextremitas';
	window.scrollTo({
	 top: 2890 + 320
	});
});

$( "#fisikgenital" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'fisikgenital';
	window.scrollTo({
	 top: 2980 + 320
	});
});

$( "#khususparu" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'khususparu';
	window.scrollTo({
	 top: 3150 + 320
	});
});

$( "#khususjantung" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'khususjantung';
	window.scrollTo({
	 top: 3250 + 320
	});
});

$( "#khususneurologi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'khususneurologi';
	window.scrollTo({
	 top: 3350 + 320
	});
});

$( "#khususurologi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'khususurologi';
	window.scrollTo({
	 top: 3440 + 320
	});
});

$( "#pemeriksaanlaboratorium" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'pemeriksaanlaboratorium';
	window.scrollTo({
	 top: 3550 + 320
	});
});

$( "#pemeriksaanradiologi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'pemeriksaanradiologi';
	window.scrollTo({
	 top: 3650 + 320
	});
});

$( "#pemeriksaanekg" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'pemeriksaanekg';
	window.scrollTo({
	 top: 3750 + 320
	});
});

$( "#pemeriksaanechocardiografi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'pemeriksaanechocardiografi';
	window.scrollTo({
	 top: 3850 + 320
	});
});

$( "#pemeriksaantreadmil" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'pemeriksaantreadmil';
	window.scrollTo({
	 top: 3950 + 320
	});
});

$( "#pemeriksaanlainnya" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'pemeriksaanlainnya';
	window.scrollTo({
	 top: 4050 + 320
	});
});

$( "#diagnosamedis" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'diagnosamedis';
	window.scrollTo({
	 top: 4200 + 320
	});
});

$( "#masalahmedis" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'masalahmedis';
	window.scrollTo({
	 top: 4330 + 320
	});
});

$( "#rencanatindakan" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'rencanatindakan';
	window.scrollTo({
	 top: 4430 + 320
	});
});

$( "#rencanaterapi" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'rencanaterapi';
	window.scrollTo({
	 top: 4520 + 320
	});
});

$( "#modalitasfisik" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'modalitasfisik';
	window.scrollTo({
	 top: 4610 + 320
	});
});

$( "#protesaortesa" ).focus(function() {
	// alert( "Handler for .focus() called." );
	currentFocus = 'protesaortesa';
	window.scrollTo({
	 top: 4700 + 320
	});
});

} // akhir kondisi dijalankan hanya di andoid

PromedikaSpeechRecoqnitionOnFormResult = function(msg){
	if( $( "#asesmen_awal_medis" ).html() == 'active' ){
		// console.log("active asesmen_awal_medis");
		var arrayword = [];
		arrayword = msg.toLowerCase().replace("," , ".").replace( /\s\s+/g , ' ' ).trim().split(' '); // tambahan
		for (var j = 0, l = arrayword.length; j < l; j++) {
			var currentCommand = arrayword[j];
			console.log( arrayword[j] );
			if( $.inArray( arrayword[j] , ['keluhan'] ) > -1 ) {			// ======================================================================================
				if( $.inArray( arrayword[j+1] , ['utama','pokok'] ) > -1 ) {
					$( "#keluhanutama" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['riwayat'] ) > -1 ) {	 // ======================================================================================
				if( $.inArray( arrayword[j+1] , ['sekarang'] ) > -1 ) {
					$( "#riwayatpenyakitsekarang" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['saat'] ) > -1 ) {
					if( $.inArray( arrayword[j+2] , ['ini'] ) > -1 ) {
						$( "#riwayatpenyakitsekarang" ).focus();
						return true;
					}
				}
				if( $.inArray( arrayword[j+1] , ['penyakit','sakit'] ) > -1 ) {
					if( $.inArray( arrayword[j+2] , ['sekarang'] ) > -1 ) {
						$( "#riwayatpenyakitsekarang" ).focus();
						return true;
					}
					if( $.inArray( arrayword[j+2] , ['saat'] ) > -1 ) {
						if( $.inArray( arrayword[j+3] , ['ini'] ) > -1 ) {
							$( "#riwayatpenyakitsekarang" ).focus();
							return true;
					 	}
				  	}
					if( $.inArray( arrayword[j+2] , ['dahulu','dulu'] ) > -1 ) {
						$( "#riwayatpenyakitdahulu" ).focus();
						return true;
				  	}
					if( $.inArray( arrayword[j+2] , ['keluarga'] ) > -1 ) {
						$( "#riwayatpenyakitkeluarga" ).focus();
						return true;
					}
				}
				if( $.inArray( arrayword[j+1] , ['operasi'] ) > -1 ) {
					$( "#riwayatoperasi" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['alergi'] ) > -1 ) {
					if( $.inArray( arrayword[j+2] , ['obat'] ) > -1 ) {
						$("input[name='alergiobat']:checked").val('YA');
						$('.alergiobatrow').show();
						$('#uraianalergiobat').focus();
						return true;
					}
				}
			} else if( $.inArray( arrayword[j] , ['penyakit','sakit'] ) > -1 ) {	// ===============================================================================
				if( $.inArray( arrayword[j+1] , ['sekarang'] ) > -1 ) {
					$( "#riwayatpenyakitsekarang" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['dahulu','dulu'] ) > -1 ) {
					$( "#riwayatpenyakitdahulu" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['keluarga'] ) > -1 ) {
					$( "#riwayatpenyakitkeluarga" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['pemeriksaan','inspeksi'] ) > -1 ) { // ===========================================================================
				if( $.inArray( arrayword[j+1] , ['kepala'] ) > -1 ) {
					$( "#fisikkepalawajah" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['leher'] ) > -1 ) {
					$( "#fisikleher" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['thorax','thoraks','thorak','torax','toraks','torak','dada'] ) > -1 ) {
					$( "#fisikdada" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['abdomen','perut'] ) > -1 ) {
					$( "#fisikabdomen" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['ekstremitas','extremitas','tangan','kaki'] ) > -1 ) {
					$( "#fisikextremitas" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['paru'] ) > -1 ) {
					$( "#khususparu" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['jantung'] ) > -1 ) {
					$( "#khususjantung" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['neurologi','saraf','syaraf'] ) > -1 ) {
					$( "#khususneurologi" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['urologi'] ) > -1 ) {
					$( "#khususurologi" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['lab','laborat','laboratorium'] ) > -1 ) {
					$( "#pemeriksaanlaboratorium" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['radiologi','xray','foto'] ) > -1 ) {
					$( "#pemeriksaanradiologi" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['ekg'] ) > -1 ) {
					$( "#pemeriksaanekg" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['echocardiografi','echocardio','ekokardiografi','ekokardio'] ) > -1 ) {
					$( "#pemeriksaanechocardiografi" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['treadmill'] ) > -1 ) {
					$( "#pemeriksaantreadmil" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['lainnya'] ) > -1 ) {
					$( "#pemeriksaanlainnya" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['diagnosa','diagnose'] ) > -1 ) { // ==============================================================================
				if( $.inArray( arrayword[j+1] , ['medis'] ) > -1 ) {
					$( "#diagnosamedis" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['masalah'] ) > -1 ) {			 // ==============================================================================
				if( $.inArray( arrayword[j+1] , ['medis'] ) > -1 ) {
					$( "#masalahmedis" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['rencana'] ) > -1 ) {			 // ==============================================================================
				if( $.inArray( arrayword[j+1] , ['tindakan'] ) > -1 ) {
					$( "#rencanatindakan" ).focus();
					return true;
				}
				if( $.inArray( arrayword[j+1] , ['terapi','pengobatan'] ) > -1 ) { 
					$( "#rencanaterapi" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['modalitas'] ) > -1 ) {			// ==============================================================================
				if( $.inArray( arrayword[j+1] , ['fisik'] ) > -1 ) {
					$( "#modalitasfisik" ).focus();
					return true;
				}
			} else if( $.inArray( arrayword[j] , ['pemakaian'] ) > -1 ) {			// ==============================================================================
				if( $.inArray( arrayword[j+1] , ['protesa' , 'ortesa'] ) > -1 ) {
					$( "#protesaortesa" ).focus();
					return true;
				}	
			} else if( $.inArray( arrayword[j] , ['simpan'] ) > -1 ) {			  // ==============================================================================
				if( $.inArray( arrayword[j+1] , ['sementara' , 'draft'] ) > -1 ) {
					if( $.inArray( arrayword[j+2] , ['oke' , 'ok'] ) > -1 ) {
						console.log('simpan draft asesmen awal');
						prosesKirimData('DRAFT');
						AndroidStopSpeechRecoqnition(); 
						return true;
					}
				}
				if( $.inArray( arrayword[j+1] , ['tanda'] ) > -1 ) {
					if( $.inArray( arrayword[j+2] , ['tangan','tangani'] ) > -1 ) {
						if( $.inArray( arrayword[j+3] , ['oke', 'ok'] ) > -1 ) {
							console.log('simpan tanda tangani asesmen awal');
							$('#modal-area').modal("show");
							$('#tandatangani').show();
							$('#tandatanganiperubahan').hide();
							return true;
						}
					}
				}
			} else if( $.inArray( arrayword[j] , ['tensi','tekanan'] ) > -1 ) {	// ================================================================================
				if( $.inArray( arrayword[j+1] , ['darah'] ) > -1 ) {
					var sistole = parseInt( arrayword[j+2] ), diastole = parseInt( arrayword[j+3] );
					if( sistole > 10  && sistole < 300 ) {
						$("#sistolik").val( sistole );
						$("#sistolik").focus();
						return true;
				  	}
					if( diastole > 10 && diastole < 300 ) {
						$("#diastolik").val( diastole );
						$("#diastolik").focus();
						return true;
					}
				}
				var sistole = parseInt( arrayword[j+1] ), diastole = parseInt( arrayword[j+2] );
				if( 10 < sistole && sistole < 300 ) {
					$("#sistolik").val( sistole );
					$("#sistolik").focus();
				}
				if( 10 < diastole && diastole < 300 ) {
					$("#diastolik").val( diastole );
					$("#diastolik").focus();
				}
			} else if( $.inArray( arrayword[j] , ['nadi','nanti'] ) > -1 ) {	// ===================================================================================
				var nadi = parseInt( arrayword[j+1] ), diastole = parseInt( arrayword[j+2] );
				if( 10 < nadi && nadi < 300 ) {
					$("#nadi").val( nadi );
					$("#nadi").focus();
				}
			} else if( $.inArray( arrayword[j] , ['nafas','rr'] ) > -1 ) {	// =====================================================================================
				var nafas = parseInt( arrayword[j+1] );
				if( 1 < nafas && nafas < 60 ) {
					$("#rr").val( nafas );
					$("#rr").focus();
				}
			} else if( $.inArray( arrayword[j] , ['gcs','ggs','pdf'] ) > -1 ) {	// ================================================================================
				$("#gcs1").val( arrayword[j+1].substr(0,1) );
				$("#gcs1").focus();
				$("#gcs2").val( arrayword[j+1].substr(1,1) );
				$("#gcs2").focus();
				$("#gcs3").val( arrayword[j+1].substr(2,1) );
				$("#gcs3").focus();
			} else if( $.inArray( arrayword[j] , ['suhu','temperatur'] ) > -1 ) {	// ==============================================================================
				$("#suhu").val( arrayword[j+1] );
				$("#suhu").focus();
			} else if( $.inArray( arrayword[j] , ['berat'] ) > -1 ) {	// ==========================================================================================
				$("#bb").val( arrayword[j+1] );
				$("#bb").focus();
			} else if( $.inArray( arrayword[j] , ['tinggi'] ) > -1 ) {	// =========================================================================================
				$("#tb").val( arrayword[j+1] );
				$("#tb").focus();
			} else if( $.inArray( arrayword[j] , ['saturasi'] ) > -1 ) {	// =======================================================================================
				if( $.inArray( arrayword[j+1] , ['oksigen'] ) > -1 ) {
					$("#saturasioksigen").val( arrayword[j+2] );
					$("#saturasioksigen").focus();
					return true;
				}
			}
		}
		if( $("#"+currentFocus).val() ) { $("#"+currentFocus).val( $("#"+currentFocus).val() + ' ' + msg ); } else { $("#"+currentFocus).val( msg ); }
	}
}

//-------------

function openInNewTab(url) {
	var win = window.open(url, '_blank');
	win.focus();
} 

$('.input-tanggal-asesmen').datepicker({
	format: "dd-mm-yyyy",
	autoclose: true,
	maxDate: new Date('<?= date('d-m-Y') ?>'),
	minDate: new Date('<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>'),
	// endDate: null
});

var convertDateToISO = function (strDateIna) {
	return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}

function disableAllInput(){
	$("input, textarea, select").prop('disabled', true);
	$('.hideSelesai').hide();
	$('.showSelesai').show();
	warnaPencil = 'transparent';
}

<?php if($objPatientNursing->IdUserPenyelesaiAsesmenAwal){ ?>
	disableAllInput();
<?php } ?>

/*
function detectInputType(event) {
	switch(event.pointerType) {
		case "mouse":
			console.log('device mouse');
			break;
		case "pen":
			console.log('device pen');
			break;
		case "touch":
			console.log('device touch');
			break;
		default:
			console.log('device default');
	}
}

window.addEventListener("pointerdown", detectInputType);
*/

</script>
