 
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>


<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(),$objPatientNursing->CreateTime->getTimestamp(),false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- 
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script><script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#nama_versi{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">


<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:3px;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h2 class="box-title">ASESMEN MEDIS GAWAT DARURAT</h2>
    </div>
    <div class="box-body" style=";">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="jam_datang_triage_igd"><b>Jam Datang</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="jam_datang_triage_igd" type="text" class="form-control timepicker" name="jam_datang_triage_igd" placeholder="HH:mm" value="<?= $objPatientNursing->vJamDatangTriageIgd != "" ? $objPatientNursing->vJamDatangTriageIgd : $objPatientNursing->NursingStartTime->phpdate('H:i'); ?>" data-mask="00:00" >
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="pasien_datang_triage_igd"><b>Pasien Datang</b></label>
                <div class="input-group" style="width:100%;">
					<select id="pasien_datang_triage_igd" class="form-control" style="width:100%" data-placeholder="Pasien Datang">
						<option value=""></option>
						<option value="Sendiri" <?= $objPatientNursing->vPasienDatangTriageIgd == 'Sendiri' ?'selected' : '' ?>>Sendiri</option>
						<option value="Diantar" <?= $objPatientNursing->vPasienDatangTriageIgd == 'Diantar' ?'selected' : '' ?>>Diantar</option>
					</select>
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="rujukan_dari_triage_igd"><b>Rujukan  dari</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="rujukan_dari_triage_igd" type="text"  class="form-control " name="rujukan_dari_triage_igd" placeholder="Rujukan  dari" value="<?= $objPatientNursing->vRujukanDariTriageIgd  ?>"  >
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="kasus_polisi_triage_igd"><b>Kasus Polisi</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kasus_polisi_triage_igd" id="kasus_polisi_triage_igd_ya" value="Ya" <?= $objPatientNursing->vKasusPolisiTriageIgd  == 'Ya'  ? 'checked' : '' ?>> Ya</label>
						<label class="radio-inline" style="padding-top:5px;margin-left:20px;"><input type="radio" name="kasus_polisi_triage_igd" id="kasus_polisi_triage_igd_tidak" value="Tidak" <?= $objPatientNursing->vKasusPolisiTriageIgd  == 'Tidak' ? 'checked' : '' ?>> Tidak</label>
					</div>
                </div>
            </div>
        </div>
	</div>
</div>




<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:3px;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h2 class="box-title">TRIAGE DIISI OLEH DOKTER</h2>
    </div>
    <div class="box-body" style=";">
        <div class="row">
            <div class="col-md-3">
                <label class="control-label" for="tanggal_diisi_triage_igd"><b>Tanggal</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="tanggal_diisi_triage_igd" type="text" class="form-control input-date" name="tanggal_diisi_triage_igd" placeholder="Tanggal Masuk" value="<?= $objPatientNursing->vTanggalDiisiTriageIgd != "" ?  $objPatientNursing->vTanggalDiisiTriageIgd : $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>" >
                </div>
            </div>
            <div class="col-md-3">
                <label class="control-label" for="jam_diisi_triage_igd"><b>Jam</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="jam_diisi_triage_igd" data-mask="00:00"  type="text" class="form-control timepicker" name="jam_diisi_triage_igd" placeholder="HH:mm" value="<?= $objPatientNursing->vJamDiisiTriageIgd != "" ? $objPatientNursing->vJamDiisiTriageIgd : date('H:i') ?>" >
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                </div>
            </div>
			
            <div class="col-md-6">
                <label class="control-label" for="trauma"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;">
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kondisi_triage_igd" id="kondisi_triage_igd_trauma" value="Trauma" <?= ($objPatientNursing->vKondisiTriageIgd  == 'Trauma' ) ? 'checked' : '' ?>> Trauma</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kondisi_triage_igd" id="kondisi_triage_igd_non_trauma" value="Non Trauma" <?= ($objPatientNursing->vKondisiTriageIgd  == 'Non Trauma' ) ? 'checked' : '' ?>> Non Trauma</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kondisi_triage_igd" id="kondisi_triage_igd_maternity" value="Maternity" <?= ($objPatientNursing->vKondisiTriageIgd  == 'Maternity' ) ? 'checked' : '' ?>> Maternity</label>
							</div>
                </div>
            </div>
        </div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:3px;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h2 class="box-title">SURVEI PRIMER</h2>
    </div>
    <div class="box-body" style=";">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="airway_primer_triage_igd"><b>Airway</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="airway_primer_triage_igd" type="text" class="form-control" name="airway_primer_triage_igd" placeholder="Airway" value="<?= $objPatientNursing->vAirwayTriageIgd ?>">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="breathing_primer_triage_igd"><b>Breathing</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="breathing_primer_triage_igd" type="text" class="form-control" name="breathing_primer_triage_igd" placeholder="Breathing" value="<?= $objPatientNursing->vBreathingTriageIgd ?>">
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="circulation_primer_triage_igd"><b>Circulation</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="circulation_primer_triage_igd" type="text" class="form-control" name="circulation_primer_triage_igd" placeholder="Circulation" value="<?= $objPatientNursing->vCirculationTriageIgd ?>">
                </div>
            </div>

<?php if ($objPatientNursing->vRrPrimerTriageIgd !=""){
	$RR = $objPatientNursing->vRrPrimerTriageIgd;
	$NotifRR = "";
} else if ($objPatientNursing->vRrPrimerTriageIgd == "" && $objPatientNursing->vPernafasanSekunderTriageIgd !=""){
	$RR = $objPatientNursing->vPernafasanSekunderTriageIgd;
	$NotifRR = "Data RR diambil dari Asesmen Medis IGD Umum";
} else if($objPatientNursing->vRrPrimerTriageIgd == "" && $objPatientNursing->vRrPrimarySurveyAkpIgd !=""){
	$RR = $objPatientNursing->vRrPrimarySurveyAkpIgd;
	$NotifRR = "Data RR diambil dari Asuhan Keperawatan Gawat Darurat";
} else if ($objPatientNursing->vRrPrimerTriageIgd == "" && $objPatientNursing->GeneralRr != "") {
	$RR = $objPatientNursing->GeneralRr;
	$NotifRR = "Data RR diambil dari Asesmen Awal";
} else if ($objPatientNursing->vRrPrimerTriageIgd == "" && $objPatientNursing->vRrTriage !=""){
	$RR = $objPatientNursing->vRrTriage;
	$NotifRR = "Data RR diambil dari Triage Gawat Darurat";
} else {
	$RR = "";
	$NotifRR = "";
} ?>
			<div class="col-md-6" style="margin-bottom:5px;">
                <label class="control-label" for="rr_primer_triage_igd"><b>RR</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="rr_primer_triage_igd" id='rr_primer_triage_igd' placeholder="RR" autocomplete="off"  value="<?= $RR ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:50px;">x/mnt</div></span>
				</div><span style="font-size:12px;font-weight:bold"><?=$NotifRR ? '*'.$NotifRR : '' ;?></span>
			</div>
        </div>
        <div class="row">
<?php if ($objPatientNursing->vNPrimerTriageIgd !=""){
	$Nadi = $objPatientNursing->vNPrimerTriageIgd;
	$NotifNadi = "";
} else if ($objPatientNursing->vNPrimerTriageIgd == "" && $objPatientNursing->vNadiKesimpulanTriageIgd !=""){
	$Nadi = $objPatientNursing->vNadiKesimpulanTriageIgd;
	$NotifNadi = "Data nadi diambil dari Asesmen Medis IGD Umum";
} else if($objPatientNursing->vNPrimerTriageIgd == "" && $objPatientNursing->vHrAkpIgd !=""){
	$Nadi = $objPatientNursing->vHrAkpIgd;
	$NotifNadi = "Data nadi diambil dari Asuhan Keperawatan Gawat Darurat";
} else if ($objPatientNursing->vNPrimerTriageIgd == "" && $objPatientNursing->GeneralNadi != "") {
	$Nadi = $objPatientNursing->GeneralNadi;
	$NotifNadi = "Data Nadi diambil dari Asesmen Awal";
} else if ($objPatientNursing->vNPrimerTriageIgd == "" && $objPatientNursing->vHrTriage !=""){
	$Nadi = $objPatientNursing->vHrTriage;
	$NotifNadi = "Data Nadi diambil dari Triage Gawat Darurat";
} else {
	$Nadi = "";
	$NotifNadi = "";
} ?>
			<div class="col-md-6" style="margin-bottom:5px;">
                <label class="control-label" for="n_primer_triage_igd"><b>N</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="n_primer_triage_igd" id='n_primer_triage_igd' placeholder="N" autocomplete="off"  value="<?= $Nadi ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:50px;">x/mnt</div></span>
				</div><span style="font-size:12px;font-weight:bold"><?=$NotifNadi ? '*'.$NotifNadi : '' ;?></span>
			</div>
            <div class="col-md-6">
                <label class="control-label" for="disability_primer_triage_igd"><b>Disability</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control"  style="padding-top:3px;">
								<label class="checkbox-inline" style="padding-top:0px;" ><input type="checkbox" name="disability_primer_triage_igd" id="disability_primer_triage_igd_alert" value="Alert" <?= ($objPatientNursing->vDisabilityPrimerTriageIgd  == 'Alert' ) ? 'checked' : '' ?>> Alert</label>
								<label class="checkbox-inline" style="padding-top:0px;" ><input type="checkbox" name="disability_primer_triage_igd" id="disability_primer_triage_igd_pain" value="Pain" <?= ($objPatientNursing->vDisabilityPrimerTriageIgd  == 'Pain' ) ? 'checked' : '' ?>> Pain</label>
								<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" name="disability_primer_triage_igd" id="disability_primer_triage_igd_verbal" value="Verbal" <?= ($objPatientNursing->vDisabilityPrimerTriageIgd  == 'Verbal' ) ? 'checked' : '' ?>> Verbal</label>
								<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" name="disability_primer_triage_igd" id="disability_primer_triage_igd_unrespon" value="Unrespon" <?= ($objPatientNursing->vDisabilityPrimerTriageIgd  == 'Unrespon' ) ? 'checked' : '' ?>> Unrespon</label>
							</div>
                </div>
            </div>
        </div>
        <div class="row">
		
            <div class="col-md-12">
                <label class="control-label" for="skala_nyeri_primer_triage_igd"><b>Skala Nyeri</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;height:auto;">
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_nyeri_primer_triage_igd" id="skala_nyeri_primer_triage_igd_0" value="0" <?= ($objPatientNursing->vSkalaNyeriTriageIgd  == '0' ) ? 'checked' : '' ?>> 0</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_nyeri_primer_triage_igd" id="skala_nyeri_primer_triage_igd_1" value="1" <?= ($objPatientNursing->vSkalaNyeriTriageIgd  == '1' ) ? 'checked' : '' ?>> 1</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_nyeri_primer_triage_igd" id="skala_nyeri_primer_triage_igd_2" value="2" <?= ($objPatientNursing->vSkalaNyeriTriageIgd  == '2' ) ? 'checked' : '' ?>> 2</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_nyeri_primer_triage_igd" id="skala_nyeri_primer_triage_igd_3" value="3" <?= ($objPatientNursing->vSkalaNyeriTriageIgd  == '3' ) ? 'checked' : '' ?>> 3</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_nyeri_primer_triage_igd" id="skala_nyeri_primer_triage_igd_4" value="4" <?= ($objPatientNursing->vSkalaNyeriTriageIgd  == '4' ) ? 'checked' : '' ?>> 4</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_nyeri_primer_triage_igd" id="skala_nyeri_primer_triage_igd_5" value="5" <?= ($objPatientNursing->vSkalaNyeriTriageIgd  == '5' ) ? 'checked' : '' ?>> 5</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_nyeri_primer_triage_igd" id="skala_nyeri_primer_triage_igd_6" value="6" <?= ($objPatientNursing->vSkalaNyeriTriageIgd  == '6' ) ? 'checked' : '' ?>> 6</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_nyeri_primer_triage_igd" id="skala_nyeri_primer_triage_igd_7" value="7" <?= ($objPatientNursing->vSkalaNyeriTriageIgd  == '7' ) ? 'checked' : '' ?>> 7</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_nyeri_primer_triage_igd" id="skala_nyeri_primer_triage_igd_8" value="8" <?= ($objPatientNursing->vSkalaNyeriTriageIgd  == '8' ) ? 'checked' : '' ?>> 8</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_nyeri_primer_triage_igd" id="skala_nyeri_primer_triage_igd_9" value="9" <?= ($objPatientNursing->vSkalaNyeriTriageIgd  == '9' ) ? 'checked' : '' ?>> 9</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_nyeri_primer_triage_igd" id="skala_nyeri_primer_triage_igd_10" value="10" <?= ($objPatientNursing->vSkalaNyeriTriageIgd  == '10' ) ? 'checked' : '' ?>> 10</label><br>
								<p>0 = Tidak Nyeri, 1-3 = Nyeri Ringan, 4-6 = Nyeri Sedang, 7-9 = Nyeri Berat, 10 = Berat Tidak Terkontrol</p>
							</div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <label class="control-label" for="gangguan_perilaku_primer_triage_igd"><b>Gangguan Perilaku</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;height:auto;">
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="gangguan_perilaku_primer_triage_igd" id="gangguan_perilaku_primer_triage_igd_tidak_terganggu" value="Tidak terganggu" <?= ($objPatientNursing->vGangguanPerilakuPrimerTriageIgd  == 'Tidak terganggu' ) ? 'checked' : '' ?>> Tidak terganggu</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="gangguan_perilaku_primer_triage_igd" id="gangguan_perilaku_primer_triage_igd_ada_gangguan" value="Ada gangguan" <?= ($objPatientNursing->vGangguanPerilakuPrimerTriageIgd  == 'Ada gangguan' ) ? 'checked' : '' ?>> Ada gangguan</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="gangguan_perilaku_primer_triage_igd" id="gangguan_perilaku_primer_triage_igd_tidak_membahayakan" value="Tidak membahayakan" <?= ($objPatientNursing->vGangguanPerilakuPrimerTriageIgd  == 'Tidak membahayakan' ) ? 'checked' : '' ?>> Tidak membahayakan</label><br>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="gangguan_perilaku_primer_triage_igd" id="gangguan_perilaku_primer_triage_igd_membahayakan" value="Membahayakan diri sendiri / orang lain" <?= ($objPatientNursing->vGangguanPerilakuPrimerTriageIgd  == 'Membahayakan diri sendiri / orang lain' ) ? 'checked' : '' ?>> Membahayakan diri sendiri / orang lain (Jika ya, lakukan SPO Restrain)</label>
							</div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <label class="control-label" for="skala_triage_primer_triage_igd"><b>Skala Triage</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;height:auto;">
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_triage_primer_triage_igd" id="skala_triage_primer_triage_igd_ats_1" value="ATS 1" <?= ($objPatientNursing->vSkalaATSTriageIgd  == 'ATS 1' ) ? 'checked' : '' ?>> ATS 1</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_triage_primer_triage_igd" id="skala_triage_primer_triage_igd_ats_2" value="ATS 2" <?= ($objPatientNursing->vSkalaATSTriageIgd  == 'ATS 2' ) ? 'checked' : '' ?>> ATS 2</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_triage_primer_triage_igd" id="skala_triage_primer_triage_igd_ats_3" value="ATS 3" <?= ($objPatientNursing->vSkalaATSTriageIgd  == 'ATS 3' ) ? 'checked' : '' ?>> ATS 3</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_triage_primer_triage_igd" id="skala_triage_primer_triage_igd_ats_4" value="ATS 4" <?= ($objPatientNursing->vSkalaATSTriageIgd  == 'ATS 4' ) ? 'checked' : '' ?>> ATS 4</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="skala_triage_primer_triage_igd" id="skala_triage_primer_triage_igd_ats_5" value="ATS 5" <?= ($objPatientNursing->vSkalaATSTriageIgd  == 'ATS 5' ) ? 'checked' : '' ?>> ATS 5</label>
							</div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-3">
                <label class="control-label" for="jam_keluar_triage"><b>Jam Keluar Triage</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="jam_keluar_triage" type="text" data-mask="00:00" class="form-control timepicker" name="jam_keluar_triage" placeholder="HH:mm" value="<?= $objPatientNursing->vJamKeluarTriageIgd ; ?>">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="dokter_yang_melayani"><b>Dokter yang melayani</b></label>
                <div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_yang_melayani" id="dokter_yang_melayani" data-placeholder="Nama Dokter">
						<option value="<?= $objPatientNursing->vDokterYangMelayaniTriageIgdId ? $objPatientNursing->vDokterYangMelayaniTriageIgdId : $objPatientNursing->DoctorId; ?>" selected ><?= $objPatientNursing->vDokterYangMelayaniTriageIgdNama ? $objPatientNursing->vDokterYangMelayaniTriageIgdNama : $objPatientNursing->DoctorName; ?></option>
					</select>
                </div>
            </div>
        </div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:3px;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h2 class="box-title">SURVEI SEKUNDER</h2>
    </div>
    <div class="box-body" style=";">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="survey_sekunder_triage_igd"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="survey_sekunder_triage_igd" id="survey_sekunder_triage_igd_auto_anamnesa" value="Auto Anamnesa" <?= ($objPatientNursing->vSurveySekunderTriageIgd  == 'Auto Anamnesa' ) ? 'checked' : '' ?>> Auto Anamnesa</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="survey_sekunder_triage_igd" id="survey_sekunder_triage_igd_allow_anamnesa" value="Allow Anamnesa" <?= ($objPatientNursing->vSurveySekunderTriageIgd  == 'Allow Anamnesa' ) ? 'checked' : '' ?>> Allow Anamnesa</label>
					</div>
                </div>
            </div>
				<div class="col-md-3" style="margin-bottom:5px;">
					<label class="control-label" for="berat_badan_triage_igd"><b>Berat Badan</b></label>
					<div class="input-group" style="width:100%;">
						<input type="text" class="form-control" name="berat_badan_triage_igd" id='berat_badan_triage_igd' placeholder="BB" autocomplete="off"  value="<?= $objPatientNursing->vBeratBadanTriageIgd ; ?>">
						<span class="input-group-addon"  style="font-weight:600;"><div style="width:30px;">kg</div></span>
					</div>
				</div>
				<div class="col-md-3" style="margin-bottom:5px;">
					<label class="control-label" for="tinggi_badan_triage_igd"><b>Tinggi Badan</b></label>
					<div class="input-group" style="width:100%;">
						<input type="text" class="form-control" name="tinggi_badan_triage_igd" id='tinggi_badan_triage_igd' placeholder="TB" autocomplete="off"  value="<?= $objPatientNursing->vTinggiBadanTriageIgd ; ?>">
						<span class="input-group-addon"  style="font-weight:600;"><div style="width:30px;">cm</div></span>
					</div>
				</div>
        </div>
        <div class="row">
            <div class="col-md-3">
                <label class="control-label" for="jam_periksa_triage_igd"><b>Jam Periksa</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="jam_periksa_triage_igd"  type="text" class="form-control timepicker" name="jam_periksa_triage_igd" placeholder="HH:mm" value="<?= $objPatientNursing->vJamPeriksaTriageIgd ; ?>" data-mask="00:00">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                </div>
            </div>
        </div>
        <div class="row">
				<div class="col-md-6" style="margin-bottom:5px;">
					<label class="control-label" for="keluhan_utama_triage_igd"><b>Keluhan Utama</b></label>
					<div class="input-group" style="width:100%;">
						<textarea name="keluhan_utama_triage_igd" id="keluhan_utama_triage_igd" rows="4" class="form-control" placeholder="Keluhan Utama" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKeluhanUtamaTriageIgd ?></textarea>
					</div>
				</div>
				<div class="col-md-6" style="margin-bottom:5px;">
					<label class="control-label" for="riwayat_penyakit_sekarang_triage_igd"><b>Riwayat Penyakit Sekarang</b></label>
					<div class="input-group" style="width:100%;">
						<textarea name="riwayat_penyakit_sekarang_triage_igd" id="riwayat_penyakit_sekarang_triage_igd" rows="4" class="form-control" placeholder="Riwayat Penyakit Sekarang" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatPenyakitSekarangTriageIgd ?></textarea>
					</div>
				</div>
        </div>
        <div class="row">
				<div class="col-md-6" style="margin-bottom:5px;">
					<label class="control-label" for="riwayat_penyakit_terdahulu_triage_igd"><b>Riwayat Penyakit Terdahulu</b></label>
					<div class="input-group" style="width:100%;">
						<input type="text" class="form-control" name="riwayat_penyakit_terdahulu_triage_igd" id='riwayat_penyakit_terdahulu_triage_igd' placeholder="Riwayat Penyakit Terdahulu" autocomplete="off"  value="<?= $objPatientNursing->vRiwayatPenyakitTerdahuluTriageIgd ; ?>">
					</div>
				</div>
				<div class="col-md-6" style="margin-bottom:5px;">
					<label class="control-label" for="riwayat_pengotaban_triage_igd"><b>Riwayat Pengobatan</b></label>
					<div class="input-group" style="width:100%;">
						<input type="text" class="form-control" name="riwayat_pengotaban_triage_igd" id='riwayat_pengotaban_triage_igd' placeholder="Riwayat Pengobatan" autocomplete="off"  value="<?= $objPatientNursing->vRiwyatPengobatanTriageIgd ; ?>">
					</div>
				</div>
        </div>
        <div class="row">
				<div class="col-md-6" style="margin-bottom:5px;">
					<label class="control-label" for="riwayat_alergi_triage_igd"><b>Riwayat Alergi</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;">
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="riwayat_alergi_triage_igd" id="riwayat_alergi_triage_igd_ya" value="Ya" <?= ($objPatientNursing->vRiwayatAlergiTriageIgd  == 'Ya' ) ? 'checked' : '' ?>> Ya</label>
								<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="riwayat_alergi_triage_igd" id="riwayat_alergi_triage_igd_tidak" value="Tidak" <?= ($objPatientNursing->vRiwayatAlergiTriageIgd  == 'Tidak' ) ? 'checked' : '' ?>> Tidak</label>
							</div>
                </div>
				</div>
				<div class="col-md-6" style="margin-bottom:5px;">
					<label class="control-label" for="sebutkan_riwayat_alerg_triage_igd"><b>Sebutkan Riwayat Alergi</b></label>
					<div class="input-group" style="width:100%;">
						<input type="text" class="form-control" name="sebutkan_riwayat_alerg_triage_igd" id='sebutkan_riwayat_alerg_triage_igd' placeholder="Sebutkan Riwayat Alergi" autocomplete="off"  value="<?= $objPatientNursing->vSebutkanRiwayatAlergi ; ?>">
					</div>
				</div>
			<div class="col-md-4">
				<?php
				$arrGcsSekunder = explode('-', $objPatientNursing->vGcsSekunderTriageIgd);
				$Gcs1Sekunder = $arrGcsSekunder[0];
				$Gcs2Sekunder = $arrGcsSekunder[1];
				$Gcs3Sekunder = $arrGcsSekunder[2];
				?>
					<label class="control-label" for="gcs_sekunder_triage_igd"><b>GCS</b></label>
					<div class="input-group" style="width:100%;">
					<select id="gcs1_sekunder_triage_igd" class="form-control" style="width:33.3%" data-placeholder="E">
						<option value=""></option>
						<option value="1" <?= $Gcs1Sekunder == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $Gcs1Sekunder == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $Gcs1Sekunder == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $Gcs1Sekunder == '4' ?'selected' : '' ?>>4</option>
					</select>
					<select id="gcs2_sekunder_triage_igd" class="form-control" style="width:33.3%" data-placeholder="V">
						<option value=""></option>
						<option value="1" <?= $Gcs2Sekunder == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $Gcs2Sekunder == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $Gcs2Sekunder == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $Gcs2Sekunder == '4' ?'selected' : '' ?>>4</option>
						<option value="5" <?= $Gcs2Sekunder == '5' ?'selected' : '' ?>>5</option>
					</select>
					<select id="gcs3_sekunder_triage_igd" class="form-control" style="width:33.3%" data-placeholder="M">
						<option value=""></option>
						<option value="1" <?= $Gcs3Sekunder == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $Gcs3Sekunder == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $Gcs3Sekunder == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $Gcs3Sekunder == '4' ?'selected' : '' ?>>4</option>
						<option value="5" <?= $Gcs3Sekunder == '5' ?'selected' : '' ?>>5</option>
						<option value="6" <?= $Gcs3Sekunder == '6' ?'selected' : '' ?>>6</option>
					</select>
					<!-- <input type="text" class="form-control" name="gcs" id="gcs" placeholder="GCS" value="<?= $objPatientNursing->GeneralGcs ?>"> -->
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
                <label class="control-label" for="pupil_sekunder_triage_igd"><b>Pupil</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name='pupil_sekunder_triage_igd_1' id='pupil_sekunder_triage_igd_1' placeholder="mm" autocomplete="off" style="width:50%;text-align:;" value="<?= $objPatientNursing->vPupilSekunderTriageIgd1 ; ?>">
					<input type="text" class="form-control" name='pupil_sekunder_triage_igd_2' id='pupil_sekunder_triage_igd_2' placeholder="mm" autocomplete="off" style="border-width:1px 1px 1px 0px;width:50%;text-align:;" value="<?= $objPatientNursing->vPupilSekunderTriageIgd2 ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:;">mm</div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
                <label class="control-label" for="reflek_cahaya_sekunder_triage_igd"><b>Reflek Cahaya</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name='reflek_cahaya_sekunder_triage_igd_1' id='reflek_cahaya_sekunder_triage_igd_1' placeholder="RC" autocomplete="off" style="width:50%;text-align:;" value="<?= $objPatientNursing->vReflekCahayaSekunderTriageIgd1 ; ?>">
					<input type="text" class="form-control" name='reflek_cahaya_sekunder_triage_igd_2' id='reflek_cahaya_sekunder_triage_igd_2' placeholder="RC" autocomplete="off" style="border-width:1px 1px 1px 0px;width:50%;text-align:;" value="<?= $objPatientNursing->vReflekCahayaSekunderTriageIgd2 ; ?>">
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
				<label class="control-label" for="reguler_irreguler_triage_igd"><b>Reguler / Irreguler</b></label>
					<div class="input-group" style="width:100%;">
						<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="reguler_irreguler_triage_igd" id="reguler_triage_igd" value="Reguler" <?= ($objPatientNursing->vRegulerIrregulerTriageIgd  == 'Reguler' ) ? 'checked' : '' ?>> Reguler</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="reguler_irreguler_triage_igd" id="irreguler_triage_igd" value="Irreguler" <?= ($objPatientNursing->vRegulerIrregulerTriageIgd  == 'Irreguler' ) ? 'checked' : '' ?>> Irreguler</label>
					</div>
				</div>
			</div>
			
<?php if ($objPatientNursing->vSistolikSekuderTriageIgd !=""){
	$Sistolik = $objPatientNursing->vSistolikSekuderTriageIgd;
	$NotifTekananDarah = "";
} else if($objPatientNursing->vSistolikSekuderTriageIgd == "" && $objPatientNursing->vSistolikPengkajianAkpIgd !=""){
	$Sistolik = $objPatientNursing->vSistolikPengkajianAkpIgd;
	$NotifTekananDarah = "Data tekanan darah diambil dari Asuhan Keperawatan Gawat Darurat";
} else if ($objPatientNursing->vSistolikSekuderTriageIgd == "" && $objPatientNursing->GeneralSistolik != "") {
	$Sistolik = $objPatientNursing->GeneralSistolik;
	$NotifTekananDarah = "Data tekanan darah diambil dari Asesmen Awal";
} else if ($objPatientNursing->vSistolikSekuderTriageIgd == "" && $objPatientNursing->vSistolikTriage !=""){
	$Sistolik = $objPatientNursing->vSistolikTriage;
	$NotifTekananDarah = "Data tekanan darah diambil dari Triage Gawat Darurat";
} else {
	$Sistolik = "";
	$NotifTekananDarah = "";
} ?>

<?php if ($objPatientNursing->vDiastolikSekuderTriageIgd !=""){
	$Diastolik = $objPatientNursing->vDiastolikSekuderTriageIgd;
	$NotifTekananDarah = "";
} else if($objPatientNursing->vDiastolikSekuderTriageIgd == "" && $objPatientNursing->vDiastolikPengkajianAkpIgd !=""){
	$Diastolik = $objPatientNursing->vDiastolikPengkajianAkpIgd;
	$NotifTekananDarah = "Data tekanan darah diambil dari Asuhan Keperawatan Gawat Darurat";
} else if ($objPatientNursing->vDiastolikSekuderTriageIgd == "" && $objPatientNursing->GeneralDiastolik != "") {
	$Diastolik = $objPatientNursing->GeneralDiastolik;
	$NotifTekananDarah = "Data tekanan darah diambil dari Asesmen Awal";
} else if ($objPatientNursing->vDiastolikSekuderTriageIgd == "" && $objPatientNursing->vDiastolikTriage !=""){
	$Diastolik = $objPatientNursing->vDiastolikTriage;
	$NotifTekananDarah = "Data tekanan darah diambil dari Triage Gawat Darurat";
} else {
	$Diastolik = "";
	$NotifTekananDarah = "";
} ?>
			<div class="col-md-4" style="margin-bottom:5px;">
             <label class="control-label" for="tekanan_darah_sekunder_triage_igd"><b>Tekanan Darah</b></label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name='sistolik_sekunder_triage_igd' id='sistolik_sekunder_triage_igd' placeholder="Sis" autocomplete="off" style="width:50%;text-align:;" value="<?= $Sistolik ; ?>">
					<input type="text" class="form-control" name='diastolik_sekunder_triage_igd' id='diastolik_sekunder_triage_igd' placeholder="Dias" autocomplete="off" style="border-width:1px 1px 1px 0px;width:50%;text-align:;" value="<?= $Diastolik ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:;">mmHg</div></span>
				</div><span style="font-size:12px;font-weight:bold"><?=$NotifTekananDarah ? '*'.$NotifTekananDarah : '' ;?></span>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
                <label class="control-label" for="nadi_sekunder_triage_igd"><b>Nadi</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="nadi_sekunder_triage_igd" id='nadi_sekunder_triage_igd' placeholder="Nadi" autocomplete="off"  value="<?= $objPatientNursing->vNadiSekunderTriageIgd ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:;">x/mnt</div></span>
				</div>
			</div>
        </div>
        <div class="row">
			<div class="col-md-4" style="margin-bottom:5px;">
                <label class="control-label" for="diagnosa_masuk_form_transfer_pasien_intra_rs_igd_1"><b>Pernafasan</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="pernafasan_sekunder_triage_igd" id='pernafasan_sekunder_triage_igd' placeholder="Pernafasan" autocomplete="off"  value="<?= $objPatientNursing->vPernafasanSekunderTriageIgd ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:;">x/mnt</div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
                <label class="control-label" for="spo2_sekunder_triage_igd"><b>SpO2</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="spo2_sekunder_triage_igd" id='spo2_sekunder_triage_igd' placeholder="SpO2" autocomplete="off"  value="<?= $objPatientNursing->vSpo2SekunderTriageIgd ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:;">%</div></span>
				</div>
			</div>

<?php if ($objPatientNursing->vSuhuSekunderTriageIgd !=""){
	$Suhu = $objPatientNursing->vSuhuSekunderTriageIgd;
	$NotifSuhu = "";
} else if ($objPatientNursing->vSuhuSekunderTriageIgd == "" && $objPatientNursing->vSuhuPengkajianAkpIgd !=""){
	$Suhu = $objPatientNursing->vSuhuPengkajianAkpIgd;
	$NotifSuhu = "Data Suhu diambil dari Asuhan Keperawatan Gawat Darurat";
} else if ($objPatientNursing->vSuhuSekunderTriageIgd == "" && $objPatientNursing->GeneralSuhu != "") {
	$Suhu = $objPatientNursing->GeneralSuhu;
	$NotifSuhu = "Data Suhu diambil dari Asesmen Awal";
} else if ($objPatientNursing->vSuhuSekunderTriageIgd == "" && $objPatientNursing->vSuhuTriage !=""){
	$Suhu = $objPatientNursing->vSuhuTriage;
	$NotifSuhu = "Data Suhu diambil dari Triage Gawat Darurat";
} else  {
	$Suhu = "";
	$NotifSuhu = "";
} ?>
			<div class="col-md-4" style="margin-bottom:5px;">
                <label class="control-label" for="suhu_sekunder_triage_igd"><b>Suhu</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="suhu_sekunder_triage_igd" id='suhu_sekunder_triage_igd' placeholder="Suhu" autocomplete="off"  value="<?= $Suhu ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:;">&#176;C</div></span>
				</div><span style="font-size:12px;font-weight:bold"><?=$NotifSuhu ? '*'.$NotifSuhu : '' ;?></span>
			</div>
        </div>
        <div class="row">
			<div class="col-md-12" style="margin-bottom:5px;">
				<label class="control-label" for="resiko_pasien_cidera"><b>Resiko pasien cidera/jatuh</b></label>
					<div class="input-group" style="width:100%;">
						<div class="form-control" style="padding-top: 0px;height:auto;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="resiko_pasien_cidera_sekunder" id="resiko_pasien_cidera_sekunder_tidak" value="Tidak" <?= ($objPatientNursing->vResikoPasienCideraSekunder  == 'Tidak' ) ? 'checked' : '' ?>> Tidak</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="resiko_pasien_cidera_sekunder" id="resiko_pasien_cidera_sekunder_ya" value="Ya. Bila ya, Isi form monitoring pencegahan pasien jatuh dan pasang kancing kuning" <?= ($objPatientNursing->vResikoPasienCideraSekunder  == 'Ya. Bila ya, Isi form monitoring pencegahan pasien jatuh dan pasang kancing kuning' ) ? 'checked' : '' ?>> Ya. Bila ya, Isi form monitoring pencegahan pasien jatuh dan pasang kancing kuning.</label>
					</div>
				</div>
			</div>
        </div>
        <div class="row">
			<div class="col-md-12" style="margin-bottom:5px;">
				<label class="control-label" for="status_fungsional_triage_igd"><b>Status Fungsional / Aktifitas dan Mobilisasi</b></label>
					<div class="input-group" style="width:100%;">
						<div class="form-control" style="padding-top: 0px;height:auto;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="status_fungsional_triage_igd" id="status_fungsional_triage_igd_mandiri" value="Mandiri" <?= ($objPatientNursing->vStatusFungsionalTriageIgd  == 'Mandiri' ) ? 'checked' : '' ?>> Mandiri</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="status_fungsional_triage_igd" id="status_fungsional_triage_igd_perlu_bantuan" value="Perlu Bantuan" <?= ($objPatientNursing->vStatusFungsionalTriageIgd  == 'Perlu Bantuan' ) ? 'checked' : '' ?>> Perlu Bantuan</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="status_fungsional_triage_igd" id="status_fungsional_triage_igd_alat_bantu_jalan" value="Alat bantu jalan" <?= ($objPatientNursing->vStatusFungsionalTriageIgd  == 'Alat bantu jalan' ) ? 'checked' : '' ?>> Alat bantu jalan</label>
					</div>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
                <label class="control-label" for="sebutkan_perlu_bantuan_triage_igd"><b>Sebutkan Jika Perlu Bantuan</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="sebutkan_perlu_bantuan_triage_igd" id='sebutkan_perlu_bantuan_triage_igd' placeholder="Sebutkan Jika Perlu Bantuan" autocomplete="off"  value="<?= $objPatientNursing->vSebutkanPerluBantuanTriageIgd ; ?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:5px;">
                <label class="control-label" for="sebutkan_alat_bantu_jalan_triage_igd"><b>Sebutkan Jika Perlu Alat Bantu Jalan</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="sebutkan_alat_bantu_jalan_triage_igd" id='sebutkan_alat_bantu_jalan_triage_igd' placeholder="Sebutkan Jika Perlu Alat Bantu Jalan" autocomplete="off"  value="<?= $objPatientNursing->vSebutkanAlatBantuJalanTriageIgd ; ?>">
				</div>
			</div>
        </div>
	</div>
</div>





<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:3px;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h3 class="box-title">PEMERIKSAAN FISIK</h3>
    </div>
    <div class="box-body" style=";">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="kepala_triage_igd"><b>Kepala</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="kepala_triage_igd" type="text" class="form-control" name="kepala_triage_igd" placeholder="Kepala" value="<?= $objPatientNursing->vKepalaTriageIgd ?>">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="mata_triage_igd"><b>Mata</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="mata_triage_igd" type="text" class="form-control" name="mata_triage_igd" placeholder="Mata" value="<?= $objPatientNursing->vMataTriageIgd ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="leher_triage_igd"><b>Leher</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="leher_triage_igd" type="text" class="form-control" name="leher_triage_igd" placeholder="Leher" value="<?= $objPatientNursing->vLeherTriageIgd ?>">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="dada_triage_igd"><b>Dada</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="dada_triage_igd" type="text" class="form-control" name="dada_triage_igd" placeholder="Dada" value="<?= $objPatientNursing->vDadaTriageIgd ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="perut_triage_igd"><b>Perut</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="perut_triage_igd" type="text" class="form-control" name="perut_triage_igd" placeholder="Perut" value="<?= $objPatientNursing->vPerutTriageIgd ?>">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="alat_gerak_triage_igd"><b>Alat Gerak</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="alat_gerak_triage_igd" type="text" class="form-control" name="alat_gerak_triage_igd" placeholder="Alat Gerak" value="<?= $objPatientNursing->vAlatGerakTriageIgd ?>">
                </div>
            </div>
		</div>
        <div class="row">
		<div class="col-md-12">
				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div>
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/anatomi.jpg';

					$gambarTersimpan = $objPatientNursing->vLokasiAsesmenMedisIgd ? $objPatientNursing->vLokasiAsesmenMedisIgd : $sumberGambar;
					?>
					<img id="gambarCanvas_1" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan_1" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center"  style="width:400px;margin:0px auto; margin-top:20px;">
					<canvas id="myCanvas_1" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit_1">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea_1">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar_1">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading_1"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
		</div>

	</div>
</div>







<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:3px;">
    <div class="box-body" style=";">
       <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="dokter_penanganan_triage_igd"><b>Nama Dokter</b></label>
                <div class="input-group" style="width:100%;">
						<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_penanganan_triage_igd" id="dokter_penanganan_triage_igd" data-placeholder="Nama Dokter">
							<option value="<?= $objPatientNursing->vDokterPenangananTriageIgdId ? $objPatientNursing->vDokterPenangananTriageIgdId  : $objPatientNursing->DoctorId ; ?>" selected ><?= $objPatientNursing->vDokterPenangananTriageIgdNama  ? $objPatientNursing->vDokterPenangananTriageIgdNama : $objPatientNursing->DoctorName; ?></option>
						</select>
                </div>
            </div>
		</div>
		<div class="row" style="margin-bottom: 5px;">
			<div class="col-md-12">
				<label class="control-label" for="diagnosa_kerja_triage_igd"><b>Diagnosa Kerja</b></label>
				<textarea name="diagnosa_kerja_triage_igd" id="diagnosa_kerja_triage_igd" rows="4" class="form-control" placeholder="Diagnosa Kerja" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vDiagnosaKerjaTriageIgd ?></textarea>
			</div>
		</div>
		<div class="row" style="margin-bottom: 5px;">
			<div class="col-md-3">
				<div class="row">
					<div class="col-md-12" style="margin-bottom:5px;">
						<label class="control-label" for="jam_penilaian_1_triage_igd"><b>Jam</b></label>
						<div class="input-group" style="width:100%;">
							<input id="jam_penilaian_1_triage_igd" data-mask="00:00" type="text" class="form-control timepicker" name="jam_penilaian_1_triage_igd" placeholder="HH:mm" value="<?= $objPatientNursing->vJamPenilaian1TriageIgd ?>" >
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
						</div>
					</div>
					<div class="col-md-12" style="margin-bottom:5px;">
						<div class="input-group" style="width:100%;">
							<input id="jam_penilaian_2_triage_igd" data-mask="00:00"  type="text" class="form-control timepicker" name="jam_penilaian_2_triage_igd" placeholder="HH:mm" value="<?= $objPatientNursing->vJamPenilaian2TriageIgd ?>" >
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
						</div>
					</div>
					<div class="col-md-12" style="margin-bottom:5px;">
						<div class="input-group" style="width:100%;">
							<input id="jam_penilaian_3_triage_igd" data-mask="00:00"  type="text" class="form-control timepicker" name="jam_penilaian_3_triage_igd" placeholder="HH:mm" value="<?= $objPatientNursing->vJamPenilaian3TriageIgd ?>" >
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
						</div>
					</div>
					<div class="col-md-12" style="margin-bottom:5px;">
						<div class="input-group" style="width:100%;" >
							<input id="jam_penilaian_4_triage_igd" data-mask="00:00"  type="text" class="form-control timepicker" name="jam_penilaian_4_triage_igd" placeholder="HH:mm" value="<?= $objPatientNursing->vJamPenilaian4TriageIgd ?>" >
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
						</div>
					</div>
				</div>
			</div>
            <div class="col-md-6">
				<div class="row">
					<div class="col-md-12" style="margin-bottom:5px;">
						<label class="control-label" for="penilaian_ulang_triage_igd_1"><b>Penanganan dan Peninlaian Ulang</b></label>
						<div class="input-group" style="width:100%;">
							<input id="penilaian_ulang_triage_igd_1" type="text" class="form-control" name="penilaian_ulang_triage_igd_1" placeholder="Penanganan dan Peninlaian Ulang" value="<?= $objPatientNursing->vPenilaianUlangTriageIgd1 ?>">
						</div>
					</div>
					<div class="col-md-12" style="margin-bottom:5px;">
						<div class="input-group" style="width:100%;">
							<input id="penilaian_ulang_triage_igd_2" type="text" class="form-control" name="penilaian_ulang_triage_igd_2" placeholder="Penanganan dan Peninlaian Ulang" value="<?= $objPatientNursing->vPenilaianUlangTriageIgd2 ?>">
						</div>
					</div>
					<div class="col-md-12" style="margin-bottom:5px;">
						<div class="input-group" style="width:100%;">
							<input id="penilaian_ulang_triage_igd_3" type="text" class="form-control" name="penilaian_ulang_triage_igd_3" placeholder="Penanganan dan Peninlaian Ulang" value="<?= $objPatientNursing->vPenilaianUlangTriageIgd3 ?>">
						</div>
					</div>
					<div class="col-md-12" style="margin-bottom:5px;">
						<div class="input-group" style="width:100%;">
							<input id="penilaian_ulang_triage_igd_4" type="text" class="form-control" name="penilaian_ulang_triage_igd_4" placeholder="Penanganan dan Peninlaian Ulang" value="<?= $objPatientNursing->vPenilaianUlangTriageIgd4 ?>">
						</div>
					</div>
				</div>
            </div>
			<div class="col-md-3">
				<div class="row">
				<div class="col-md-12">
						<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
						<div>
							<?php
							$sumberGambar = __USER_ASSETS__.'/images/putih.jpg';

							$gambarTersimpan = $objPatientNursing->vLokasiParafAsesmenMedisIgd ? $objPatientNursing->vLokasiParafAsesmenMedisIgd : $sumberGambar;
							?>
							<img id="gambarCanvas_2" src="<?= $sumberGambar ?>" style="display: none">
							<img id="gambarTersimpan_2" src="<?= $gambarTersimpan ?>" style="display: none">
						</div>
						<div align="center"  style="width:200px;margin:0px auto; margin-top:20px;">
							<canvas id="myCanvas_2" width="200" height="200" style="border:2px solid black; touch-action: none;" ></canvas>
							<div style="display:inline-block;margin-top:15px;">
							<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit_2">Mulai Paraf</a>
							<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea_2">Reset Paraf</a>
							<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar_2">Simpan Paraf</a>
							<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading_2"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Paraf</button>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="row" style="margin-bottom: 5px;">
			<div class="col-md-12">
				<label class="control-label" for="pemeriksaan_penunjang_triage_igd"><b>Pemeriksaan Penunjang</b></label>
				<textarea name="pemeriksaan_penunjang_triage_igd" id="pemeriksaan_penunjang_triage_igd" rows="4" class="form-control" placeholder="Pemeriksaan Penunjang" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vPemeriksaanPenunjangTriageIgd ?></textarea>
			</div>
		</div>
	</div>
</div>




<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:3px;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h3 class="box-title">KESIMPULAN</h3>
    </div>
    <div class="box-body" style=";">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="kesimpulan_medis_igd"><b>Kesimpulan</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="kesimpulan_medis_igd" type="text" class="form-control" name="kesimpulan_medis_igd" placeholder="Kesimpulan" value="<?= $objPatientNursing->vKesimpulanTriageIgd ?>">
                </div>
            </div>
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for="kesimpulan_triage_igd"><b>&nbsp;</b></label>
					<div class="input-group" style="width:100%;">
						<div class="form-control" style="padding-top: 0px;height:auto;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kesimpulan_triage_igd" id="kesimpulan_triage_igd_perbaikan" value="Perbaikan" <?= ($objPatientNursing->vKesimpulangTriageIgd  == 'Perbaikan' ) ? 'checked' : '' ?>> Perbaikan</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kesimpulan_triage_igd" id="kesimpulan_triage_igd_stabil" value="Stabil" <?= ($objPatientNursing->vKesimpulangTriageIgd  == 'Stabil' ) ? 'checked' : '' ?>> Stabil</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="kesimpulan_triage_igd" id="kesimpulan_triage_igd_penurunan" value="Perburukan" <?= ($objPatientNursing->vKesimpulangTriageIgd  == 'Perburukan' ) ? 'checked' : '' ?>> Perburukan</label>
					</div>
				</div>
			</div>
        </div>
        <div class="row">
			<div class="col-md-12" style="margin-bottom:5px;">
				<label class="control-label" for="tindak_lanjut_triage_igd"><b>Tindak Lanjut</b></label>
					<div class="input-group" style="width:100%;">
						<div class="form-control" style="padding-top: 0px;height:auto;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="tindak_lanjut_triage_igd" id="tindak_lanjut_triage_igd_rujuk" value="Rujuk" <?= ($objPatientNursing->vTindakLanjutTriageIgd  == 'Rujuk' ) ? 'checked' : '' ?>> Rujuk</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="tindak_lanjut_triage_igd" id="tindak_lanjut_triage_igd_rawat" value="Rawat" <?= ($objPatientNursing->vTindakLanjutTriageIgd  == 'Stabil' ) ? 'checked' : '' ?>> Rawat</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="tindak_lanjut_triage_igd" id="tindak_lanjut_triage_igd_permintaan_sendiri" value="Atas Permintaan Sendiri" <?= ($objPatientNursing->vTindakLanjutTriageIgd  == 'Atas Permintaan Sendiri' ) ? 'checked' : '' ?>> Atas Permintaan Sendiri</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="tindak_lanjut_triage_igd" id="tindak_lanjut_triage_igd_pulang" value="Pulang" <?= ($objPatientNursing->vTindakLanjutTriageIgd  == 'Pulang' ) ? 'checked' : '' ?>> Pulang</label>
					</div>
				</div>
			</div>
            <div class="col-md-12">
                <label class="control-label" for="tujuan_triage_igd"><b>Tujuan</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="tujuan_triage_igd" type="text" class="form-control" name="tujuan_triage_igd" placeholder="Tujuan" value="<?= $objPatientNursing->vTujuanTriageIgd ?>">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="kondisi_keluar_triage_igd"><b>Kondisi Saat Pasien Keluar</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="kondisi_keluar_triage_igd" type="text" class="form-control" name="kondisi_keluar_triage_igd" placeholder="Kondisi Saat Pasien Keluar" value="<?= $objPatientNursing->vKondisiKeluarTriageIgd ?>">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="jam_pasien_keluar_triage_igd"><b>Jam Saat Pasien Keluar</b></label>
					<div class="input-group" style="width:100%;">
						<input id="jam_pasien_keluar_triage_igd"  type="text" class="form-control timepicker" name="jam_pasien_keluar_triage_igd" placeholder="HH:mm" value="<?=  $objPatientNursing->vJamPasienKeluarTriageIgd  ?>" data-mask="00:00" >
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
					</div>
            </div>
			<div class="col-md-4">
				<?php
				$arrTingkatKesadaranGcs = explode('-', $objPatientNursing->vTingkatKesadaranGcsTriageIgd);
				$TingkatKesadaranGcs1 = $arrTingkatKesadaranGcs[0];
				$TingkatKesadaranGcs2 = $arrTingkatKesadaranGcs[1];
				$TingkatKesadaranGcs3 = $arrTingkatKesadaranGcs[2];
				?>
					<label class="control-label" for="tingkat_kesadaran_gcs_triage_igd"><b>Tingkat Kesadaran : GCS</b></label>
					<div class="input-group" style="width:100%;">
					<select id="tingkat_kesadaran_gcs1_triage_igd" class="form-control" style="width:33.3%" data-placeholder="E">
						<option value=""></option>
						<option value="1" <?= $TingkatKesadaranGcs1 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $TingkatKesadaranGcs1 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $TingkatKesadaranGcs1 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $TingkatKesadaranGcs1 == '4' ?'selected' : '' ?>>4</option>
					</select>
					<select id="tingkat_kesadaran_gcs2_triage_igd" class="form-control" style="width:33.3%" data-placeholder="V">
						<option value=""></option>
						<option value="1" <?= $TingkatKesadaranGcs2 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $TingkatKesadaranGcs2 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $TingkatKesadaranGcs2 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $TingkatKesadaranGcs2 == '4' ?'selected' : '' ?>>4</option>
						<option value="5" <?= $TingkatKesadaranGcs2 == '5' ?'selected' : '' ?>>5</option>
					</select>
					<select id="tingkat_kesadaran_gcs3_triage_igd" class="form-control" style="width:33.3%" data-placeholder="M">
						<option value=""></option>
						<option value="1" <?= $TingkatKesadaranGcs3 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $TingkatKesadaranGcs3 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $TingkatKesadaranGcs3 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $TingkatKesadaranGcs3 == '4' ?'selected' : '' ?>>4</option>
						<option value="5" <?= $TingkatKesadaranGcs3 == '5' ?'selected' : '' ?>>5</option>
						<option value="6" <?= $TingkatKesadaranGcs3 == '6' ?'selected' : '' ?>>6</option>
					</select>
					<!-- <input type="text" class="form-control" name="gcs" id="gcs" placeholder="GCS" value="<?= $objPatientNursing->GeneralGcs ?>"> -->
				</div>
			</div>

			<div class="col-md-4" style="margin-bottom:5px;">
                <label class="control-label" for="tekanan_darah_triage_igd"><b>Tekanan Darah</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name='tekanan_darah_sistolik_triage_igd' id='tekanan_darah_sistolik_triage_igd' placeholder="Sis" autocomplete="off" style="width:50%;text-align:;" value="<?= $objPatientNursing->vTDSistolikTriageIgd ; ?>">
					<input type="text" class="form-control" name='tekanan_darah_diastolik_triage_igd' id='tekanan_darah_diastolik_triage_igd' placeholder="Dias" autocomplete="off" style="border-width:1px 1px 1px 0px;width:50%;text-align:;" value="<?= $objPatientNursing->vTDDiastolikTriageIgd ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:;">mmHg</div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
                <label class="control-label" for="nadi_kesimpulan_triage_igd"><b>Nadi</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="nadi_kesimpulan_triage_igd" id='nadi_kesimpulan_triage_igd' placeholder="Nadi" autocomplete="off"  value="<?= $objPatientNursing->vNadiKesimpulanTriageIgd ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:;">x/mnt</div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
                <label class="control-label" for="rr_kesimpulan_triage_igd"><b>RR</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="rr_kesimpulan_triage_igd" id='rr_kesimpulan_triage_igd' placeholder="Pernafasan" autocomplete="off"  value="<?= $objPatientNursing->vRRKesimpulanTriageIgd ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:;">x/mnt</div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom:5px;">
                <label class="control-label" for="suhu_kesimpulan_triage_igd"><b>Suhu</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="suhu_kesimpulan_triage_igd" id='suhu_kesimpulan_triage_igd' placeholder="Suhu" autocomplete="off"  value="<?= $objPatientNursing->vSuhuKesimpulanTriageIgd ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:;">&#176;C</div></span>
				</div>
			</div>
        </div>
		<div class="row" style="margin-bottom: 5px;">
			<div class="col-md-6">
				<label class="control-label" for="instruksi_lanjutan_kesimpulan_triage_igd"><b>Instruksi Lanjutan</b></label>
				<textarea name="instruksi_lanjutan_kesimpulan_triage_igd" id="instruksi_lanjutan_kesimpulan_triage_igd" rows="4" class="form-control" placeholder="Perawatan Lanjutan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vInstruksiLanjutanKesimpulanTriageIgd ?></textarea>
			</div>
			<div class="col-md-6">
				<label class="control-label" for="obat_saat_pulang_triage_igd"><b>Obat saat pulang</b></label>
				<textarea name="obat_saat_pulang_triage_igd" id="obat_saat_pulang_triage_igd" rows="4" class="form-control" placeholder="Obat saat pulang" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vObatSaatPulangTriageIgd ?></textarea>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:3px;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h3 class="box-title">PERAWATAN LANJUTAN</h3>
    </div>
    <div class="box-body" style=";">
        <div class="row">
			<div class="col-md-6">
				<label class="control-label" for="perawatan_lanjutan_lokasi_triage_igd"><b>Lokasi</b></label>
					<input type="text" class="form-control" name="perawatan_lanjutan_lokasi_triage_igd" id='perawatan_lanjutan_lokasi_triage_igd' placeholder="Lokasi" autocomplete="off"  value="<?= $objPatientNursing->vPerawatanLanjutanLokasiTriageIgd ; ?>">
			</div>
            <div class="col-md-3">
                <label class="control-label" for="perawatan_lanjutan_tanggal_triage_igd"><b>Tanggal</b></label>
					<div class="input-group" style="width:100%;">
						<input id="perawatan_lanjutan_tanggal_triage_igd" inputmode='none' type="text" class="form-control input-date" name="perawatan_lanjutan_tanggal_triage_igd" placeholder="dd-mm-YYYY" value="<?= $objPatientNursing->vPerawatanLanjutanTanggalTriageIgd ; ?>" >
					</div>
            </div>
            <div class="col-md-3">
                <label class="control-label" for="perawatan_lanjutan_jam_triage_igd"><b>Jam </b></label>
					<div class="input-group" style="width:100%;" >
						<input id="perawatan_lanjutan_jam_triage_igd" data-mask="00:00"  type="text" class="form-control timepicker" name="perawatan_lanjutan_jam_triage_igd" placeholder="HH:mm" value="<?= $objPatientNursing->vPerawatanLanjutanJamTriageIgd ; ?>" >
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
					</div>
            </div>
		
        </div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="perawatan_lanjutan_dokter_triage_igd"><b>Dokter</b></label>
                <div class="input-group" style="width:100%;">
						<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="perawatan_lanjutan_dokter_triage_igd" id="perawatan_lanjutan_dokter_triage_igd" data-placeholder="Nama Dokter">
							<option value="<?= $objPatientNursing->vDokterLanjutanId ; ?>" selected ><?= $objPatientNursing->vDokterLanjutanNama; ?></option>
						</select>
                </div>
            </div>
		</div>
	</div>
</div>


<div class="row">
	<div class="col-xs-12">
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		
	</div>
</div>

<?php if ($objPatientNursing->vFormAsesmenMedisTriageIgdlModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormAsesmenMedisTriageIgdEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAsesmenMedisTriageIgdEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAsesmenMedisTriageIgdLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAsesmenMedisTriageIgdLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormAsesmenMedisTriageIgdTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAsesmenMedisTriageIgdTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAsesmenMedisTriageIgdIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormAsesmenMedisTriageIgd) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormAsesmenMedisTriageIgdEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAsesmenMedisTriageIgdEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAsesmenMedisTriageIgdLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAsesmenMedisTriageIgdLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormAsesmenMedisTriageIgdTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAsesmenMedisTriageIgdTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAsesmenMedisTriageIgdIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="height:50%;">
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">



	function jamIGDTriage1() {
		Timepicker.showPicker({
					headerBackground: '#424242',
					headerColor: '#e0e0e0',
					headerSelected: '#fafafa',
					wrapperBackground: "#424242",
					footerBackground: "#424242",
					submitColor: "#F44336",
					cancelColor: "#F44336",
					clockBackground: "#424242",
					clockItemColor: "#fafafa",
					clockItemInnerColor: "#e0e0e0",
					handColor: "#F44336",
			time: document.getElementById("jam_datang_triage_igd").value,
			onSubmit: (selected) => {
				document.getElementById("jam_datang_triage_igd").value = selected.formatted();
				}
			});
	}

var FormGizi = function(){

					
	'use strict';
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_1');
		var imgTersimpan = document.getElementById('gambarTersimpan_1');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/anatomi.jpg';
			$urlGambar = $objPatientNursing->vLokasiAsesmenMedisIgd ? $objPatientNursing->vLokasiAsesmenMedisIgd : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_1' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_1'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_1').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_1').removeClass('disabled');
			$('#simpanGambar_1').removeClass('disabled');
			$('#edit_1').addClass('disabled');
			$('#clearArea_1').show();
			$('#simpanGambar_1').show();
			$('#edit_1').hide();
			return false;
		})


		$('#clearArea_1').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_1'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_1').click(function() {

			var canvas = document.getElementById('myCanvas_1');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD TRIAGE IGD');
			fd.append("gambar", blob, 'anatomi.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDTriageIgd')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_1').addClass('disabled');
					$('#simpanGambar_1').hide();
					$('#simpanGambar-loading_1').show();
				},
				complete: function(xhr,status){
					$('#edit_1').removeClass('disabled');
					$('#clearArea_1').addClass('disabled');
					$('#simpanGambar_1').addClass('disabled');
					$('#simpanGambar_1').hide();
					$('#clearArea_1').hide();
					$('#simpanGambar-loading_1').hide();
					$('#edit_1').show();
				}
			})

		})

		$('#clearArea_1').hide();
		$('#simpanGambar_1').hide();
		$('#tombol-save-loading_1').hide();
		$('#simpanGambar-loading_1').hide();
	});
	
$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_2');
		var imgTersimpan = document.getElementById('gambarTersimpan_2');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiParafAsesmenMedisIgd ? $objPatientNursing->vLokasiParafAsesmenMedisIgd : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_2' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(200);
			image.scaleToHeight(200);
			canvas.add(image.set({
				id : 'myCanvas_2'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_2').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_2').removeClass('disabled');
			$('#simpanGambar_2').removeClass('disabled');
			$('#edit_2').addClass('disabled');
			$('#clearArea_2').show();
			$('#simpanGambar_2').show();
			$('#edit_2').hide();
			return false;
		})


		$('#clearArea_2').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(200);
				image.scaleToHeight(200);
				canvas.add(image.set({
					id : 'myCanvas_2'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_2').click(function() {

			var canvas = document.getElementById('myCanvas_2');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'PARAF TRIAGE IGD');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadParafTriageIgd')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_2').addClass('disabled');
					$('#simpanGambar_2').hide();
					$('#simpanGambar-loading_2').show();
				},
				complete: function(xhr,status){
					$('#edit_2').removeClass('disabled');
					$('#clearArea_2').addClass('disabled');
					$('#simpanGambar_2').addClass('disabled');
					$('#simpanGambar_2').hide();
					$('#clearArea_2').hide();
					$('#simpanGambar-loading_2').hide();
					$('#edit_2').show();
				}
			})

		})

		$('#clearArea_2').hide();
		$('#simpanGambar_2').hide();
		$('#tombol-save-loading_2').hide();
		$('#simpanGambar-loading_2').hide();
	});
			
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}



	
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
 		parent.AppPrintPage.setTitle('Print Preview Asesmen Medis IGD')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-medis-igd') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
/*	
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-medis-igd') ?>', strOption);
	}
*/
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		posting('DRAFT');
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(event){
        event.preventDefault();
        event.stopPropagation();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
	});

	$('#menu-simpan').off('click').on('click',function(){
		$('#save').click();
	});
    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function(event){
        event.preventDefault();
        event.stopPropagation();
		posting('DRAFT');
	});

	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.JamDatangTriageIgd = $('#jam_datang_triage_igd').val();
		post.PasienDatangTriageIgd = $('#pasien_datang_triage_igd').val();
		post.RujukanDariTriageIgd = $('#rujukan_dari_triage_igd').val();
		
		post.KasusPolisiTriageIgd = '';
		$("#kasus_polisi_triage_igd_ya").is(':checked') ?  post.KasusPolisiTriageIgd = 'Ya' : '' ;
		$("#kasus_polisi_triage_igd_tidak").is(':checked') ?  post.KasusPolisiTriageIgd = 'Tidak' : '' ;
		
		
		post.TanggalDiisiTriageIgd = $('#tanggal_diisi_triage_igd').val();
		post.JamDiisiTriageIgd = $('#jam_diisi_triage_igd').val();
		
		post.KondisiTriageIgd = '';
		$("#kondisi_triage_igd_trauma").is(':checked') ?  post.KondisiTriageIgd = 'Trauma' : '' ;
		$("#kondisi_triage_igd_non_trauma").is(':checked') ?  post.KondisiTriageIgd = 'Non Trauma' : '' ;
		$("#kondisi_triage_igd_maternity").is(':checked') ?  post.KondisiTriageIgd = 'Maternity' : '' ;
		
		post.AirwayTriageIgd = $('#airway_primer_triage_igd').val();
		post.BreathingTriageIgd = $('#breathing_primer_triage_igd').val();
		post.CirculationTriageIgd = $('#circulation_primer_triage_igd').val();
		post.RrPrimerTriageIgd = $('#rr_primer_triage_igd').val();
		post.NPrimerTriageIgd = $('#n_primer_triage_igd').val();
		
		post.DisabilityPrimerTriageIgd = '';
		$("#disability_primer_triage_igd_alert").is(':checked') ?  post.DisabilityPrimerTriageIgd = 'Alert' : '' ;
		$("#disability_primer_triage_igd_pain").is(':checked') ?  post.DisabilityPrimerTriageIgd = 'Pain' : '' ;
		$("#disability_primer_triage_igd_verbal").is(':checked') ?  post.DisabilityPrimerTriageIgd = 'Verbal' : '' ;
		$("#disability_primer_triage_igd_unrespon").is(':checked') ?  post.DisabilityPrimerTriageIgd = 'Unrespon' : '' ;
		
		
		post.SkalaNyeriTriageIgd = '';
		$("#skala_nyeri_primer_triage_igd_0").is(':checked') ?  post.SkalaNyeriTriageIgd = '0' : '' ;
		$("#skala_nyeri_primer_triage_igd_1").is(':checked') ?  post.SkalaNyeriTriageIgd = '1' : '' ;
		$("#skala_nyeri_primer_triage_igd_2").is(':checked') ?  post.SkalaNyeriTriageIgd = '2' : '' ;
		$("#skala_nyeri_primer_triage_igd_3").is(':checked') ?  post.SkalaNyeriTriageIgd = '3' : '' ;
		$("#skala_nyeri_primer_triage_igd_4").is(':checked') ?  post.SkalaNyeriTriageIgd = '4' : '' ;
		$("#skala_nyeri_primer_triage_igd_5").is(':checked') ?  post.SkalaNyeriTriageIgd = '5' : '' ;
		$("#skala_nyeri_primer_triage_igd_6").is(':checked') ?  post.SkalaNyeriTriageIgd = '6' : '' ;
		$("#skala_nyeri_primer_triage_igd_7").is(':checked') ?  post.SkalaNyeriTriageIgd = '7' : '' ;
		$("#skala_nyeri_primer_triage_igd_8").is(':checked') ?  post.SkalaNyeriTriageIgd = '8' : '' ;
		$("#skala_nyeri_primer_triage_igd_9").is(':checked') ?  post.SkalaNyeriTriageIgd = '9' : '' ;
		$("#skala_nyeri_primer_triage_igd_10").is(':checked') ?  post.SkalaNyeriTriageIgd = '10,' : '' ;
		
		post.GangguanPerilakuPrimerTriageIgd = '';
		$("#gangguan_perilaku_primer_triage_igd_tidak_terganggu").is(':checked') ?  post.GangguanPerilakuPrimerTriageIgd = 'Tidak terganggu' : '' ;
		$("#gangguan_perilaku_primer_triage_igd_ada_gangguan").is(':checked') ?  post.GangguanPerilakuPrimerTriageIgd = 'Ada gangguan' : '' ;
		$("#gangguan_perilaku_primer_triage_igd_tidak_membahayakan").is(':checked') ?  post.GangguanPerilakuPrimerTriageIgd = 'Tidak membahayakan' : '' ;
		$("#gangguan_perilaku_primer_triage_igd_membahayakan").is(':checked') ?  post.GangguanPerilakuPrimerTriageIgd = 'Membahayakan diri sendiri / orang lain' : '' ;
		
		post.SkalaATSTriageIgd = '';
		$("#skala_triage_primer_triage_igd_ats_1").is(':checked') ?  post.SkalaATSTriageIgd = 'ATS 1' : '' ;
		$("#skala_triage_primer_triage_igd_ats_2").is(':checked') ?  post.SkalaATSTriageIgd = 'ATS 2' : '' ;
		$("#skala_triage_primer_triage_igd_ats_3").is(':checked') ?  post.SkalaATSTriageIgd = 'ATS 3' : '' ;
		$("#skala_triage_primer_triage_igd_ats_4").is(':checked') ?  post.SkalaATSTriageIgd = 'ATS 4' : '' ;
		$("#skala_triage_primer_triage_igd_ats_5").is(':checked') ?  post.SkalaATSTriageIgd = 'ATS 5' : '' ;
		
		post.JamKeluarTriageIgd = $('#jam_keluar_triage').val();
		post.DokterYangMelayaniTriageIgdId = $('#dokter_yang_melayani').val();
		
		post.SurveySekunderTriageIgd = '';
		$("#survey_sekunder_triage_igd_auto_anamnesa").is(':checked') ?  post.SurveySekunderTriageIgd = 'Auto Anamnesa' : '' ;
		$("#survey_sekunder_triage_igd_allow_anamnesa").is(':checked') ?  post.SurveySekunderTriageIgd = 'Allow Anamnesa' : '' ;
		
		post.BeratBadanTriageIgd = $('#berat_badan_triage_igd').val();
		post.TinggiBadanTriageIgd = $('#tinggi_badan_triage_igd').val();
		post.JamPeriksaTriageIgd = $('#jam_periksa_triage_igd').val();
		post.KeluhanUtamaTriageIgd = $('#keluhan_utama_triage_igd').val();
		post.RiwayatPenyakitSekarangTriageIgd = $('#riwayat_penyakit_sekarang_triage_igd').val();
		post.RiwayatPenyakitTerdahuluTriageIgd = $('#riwayat_penyakit_terdahulu_triage_igd').val();
		post.RiwyatPengobatanTriageIgd = $('#riwayat_pengotaban_triage_igd').val();
		
		post.RiwayatAlergiTriageIgd = '';
		$("#riwayat_alergi_triage_igd_ya").is(':checked') ?  post.RiwayatAlergiTriageIgd = 'Ya' : '' ;
		$("#riwayat_alergi_triage_igd_tidak").is(':checked') ?  post.RiwayatAlergiTriageIgd = 'Tidak' : '' ;
		
		post.SebutkanRiwayatAlergi = $('#sebutkan_riwayat_alerg_triage_igd').val();
		
		post.GcsSekunderTriageIgd = $('#gcs1_sekunder_triage_igd').val() + '-' + $('#gcs2_sekunder_triage_igd').val() + '-' + $('#gcs3_sekunder_triage_igd').val();
		
		post.PupilSekunderTriageIgd1 = $('#pupil_sekunder_triage_igd_1').val();
		post.PupilSekunderTriageIgd2 = $('#pupil_sekunder_triage_igd_2').val();
		post.ReflekCahayaSekunderTriageIgd1 = $('#reflek_cahaya_sekunder_triage_igd_1').val();
		post.ReflekCahayaSekunderTriageIgd2 = $('#reflek_cahaya_sekunder_triage_igd_2').val();
		
		post.RegulerIrregulerTriageIgd = '';
		$("#reguler_triage_igd").is(':checked') ?  post.RegulerIrregulerTriageIgd = 'Reguler' : '' ;
		$("#irreguler_triage_igd").is(':checked') ?  post.RegulerIrregulerTriageIgd = 'Irreguler' : '' ;
		
		post.SistolikSekuderTriageIgd = $('#sistolik_sekunder_triage_igd').val();
		post.DiastolikSekuderTriageIgd = $('#diastolik_sekunder_triage_igd').val();
		post.NadiSekunderTriageIgd = $('#nadi_sekunder_triage_igd').val();
		post.PernafasanSekunderTriageIgd = $('#pernafasan_sekunder_triage_igd').val();
		post.Spo2SekunderTriageIgd = $('#spo2_sekunder_triage_igd').val();
		post.SuhuSekunderTriageIgd = $('#suhu_sekunder_triage_igd').val();
		
		post.ResikoPasienCideraSekunder = '';
		$("#resiko_pasien_cidera_sekunder_tidak").is(':checked') ?  post.ResikoPasienCideraSekunder = 'Tidak' : '' ;
		$("#resiko_pasien_cidera_sekunder_ya").is(':checked') ?  post.ResikoPasienCideraSekunder = 'Ya. Bila ya, Isi form monitoring pencegahan pasien jatuh dan pasang kancing kuning' : '' ;
		
		post.StatusFungsionalTriageIgd = '';
		$("#status_fungsional_triage_igd_mandiri").is(':checked') ?  post.StatusFungsionalTriageIgd = 'Mandiri' : '' ;
		$("#status_fungsional_triage_igd_perlu_bantuan").is(':checked') ?  post.StatusFungsionalTriageIgd = 'Perlu Bantuan' : '' ;
		$("#status_fungsional_triage_igd_alat_bantu_jalan").is(':checked') ?  post.StatusFungsionalTriageIgd = 'Alat bantu jalan' : '' ;
		
		
		
		post.SebutkanPerluBantuanTriageIgd = $('#sebutkan_perlu_bantuan_triage_igd').val();
		post.SebutkanAlatBantuJalanTriageIgd = $('#sebutkan_alat_bantu_jalan_triage_igd').val();
		
		post.KepalaTriageIgd = $('#kepala_triage_igd').val();
		post.MataTriageIgd = $('#mata_triage_igd').val();
		post.LeherTriageIgd = $('#leher_triage_igd').val();
		post.DadaTriageIgd = $('#dada_triage_igd').val();
		post.PerutTriageIgd = $('#perut_triage_igd').val();
		post.AlatGerakTriageIgd = $('#alat_gerak_triage_igd').val();
		post.DiagnosaKerjaTriageIgd = $('#diagnosa_kerja_triage_igd').val();
		
		post.DokterPenangananTriageIgdId = $('#dokter_penanganan_triage_igd').val();
		
		post.JamPenilaian1TriageIgd = $('#jam_penilaian_1_triage_igd').val();
		post.JamPenilaian2TriageIgd = $('#jam_penilaian_2_triage_igd').val();
		post.JamPenilaian3TriageIgd = $('#jam_penilaian_3_triage_igd').val();
		post.JamPenilaian4TriageIgd = $('#jam_penilaian_4_triage_igd').val();
		post.PenilaianUlangTriageIgd1 = $('#penilaian_ulang_triage_igd_1').val();
		post.PenilaianUlangTriageIgd2 = $('#penilaian_ulang_triage_igd_2').val();
		post.PenilaianUlangTriageIgd3 = $('#penilaian_ulang_triage_igd_3').val();
		post.PenilaianUlangTriageIgd4 = $('#penilaian_ulang_triage_igd_4').val();
		post.PemeriksaanPenunjangTriageIgd = $('#pemeriksaan_penunjang_triage_igd').val();
		post.KesimpulanTriageIgd = $('#kesimpulan_medis_igd').val();
		
		post.KesimpulangTriageIgd = '';
		$("#kesimpulan_triage_igd_perbaikan").is(':checked') ?  post.KesimpulangTriageIgd = 'Perbaikan' : '' ;
		$("#kesimpulan_triage_igd_stabil").is(':checked') ?  post.KesimpulangTriageIgd = 'Stabil' : '' ;
		$("#kesimpulan_triage_igd_penurunan").is(':checked') ?  post.KesimpulangTriageIgd = 'Perburukan' : '' ;
		
		post.TindakLanjutTriageIgd = '';
		$("#tindak_lanjut_triage_igd_rujuk").is(':checked') ?  post.TindakLanjutTriageIgd = 'Rujuk' : '' ;
		$("#tindak_lanjut_triage_igd_rawat").is(':checked') ?  post.TindakLanjutTriageIgd = 'Rawat' : '' ;
		$("#tindak_lanjut_triage_igd_permintaan_sendiri").is(':checked') ?  post.TindakLanjutTriageIgd = 'Atas Permintaan Sendiri' : '' ;
		$("#tindak_lanjut_triage_igd_pulang").is(':checked') ?  post.TindakLanjutTriageIgd = 'Pulang' : '' ;
		
		
		post.TujuanTriageIgd = $('#tujuan_triage_igd').val();
		post.KondisiKeluarTriageIgd = $('#kondisi_keluar_triage_igd').val();
		post.JamPasienKeluarTriageIgd = $('#jam_pasien_keluar_triage_igd').val();
		
		
		post.TingkatKesadaranGcsTriageIgd = $('#tingkat_kesadaran_gcs1_triage_igd').val() + '-' + $('#tingkat_kesadaran_gcs2_triage_igd').val() + '-' + $('#tingkat_kesadaran_gcs3_triage_igd').val();
		post.TDSistolikTriageIgd = $('#tekanan_darah_sistolik_triage_igd').val();
		post.TDDiastolikTriageIgd = $('#tekanan_darah_diastolik_triage_igd').val();
		post.NadiKesimpulanTriageIgd = $('#nadi_kesimpulan_triage_igd').val();
		post.RRKesimpulanTriageIgd = $('#rr_kesimpulan_triage_igd').val();
		post.SuhuKesimpulanTriageIgd = $('#suhu_kesimpulan_triage_igd').val();
		post.InstruksiLanjutanKesimpulanTriageIgd = $('#instruksi_lanjutan_kesimpulan_triage_igd').val();
		post.ObatSaatPulangTriageIgd = $('#obat_saat_pulang_triage_igd').val();
		post.PerawatanLanjutanLokasiTriageIgd = $('#perawatan_lanjutan_lokasi_triage_igd').val();
		post.PerawatanLanjutanTanggalTriageIgd = $('#perawatan_lanjutan_tanggal_triage_igd').val();
		post.PerawatanLanjutanJamTriageIgd = $('#perawatan_lanjutan_jam_triage_igd').val();
		post.DokterLanjutanId = $('#perawatan_lanjutan_dokter_triage_igd').val();
		

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveAsesmenMedisTriageIGD')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					parent.toastr.success( 'Data Terkirim', 'Informasi');
					parent.boolChange = false;
					parent.$('#asesmen_awal_medis_igd_umum').removeClass('btn-primary').addClass('btn-success').html('Asesmen Medis  (ATS1 - ATS5) <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					parent.boolChange = false;
					parent.$('#asesmen_awal_medis_igd_umum').removeClass('btn-primary').addClass('btn-success').html('Asesmen Medis  (ATS1 - ATS5) <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					parent.toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#gcs1_sekunder_triage_igd").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '33%!important;'
		, allow_single_deselect: true
	});

	$("#gcs2_sekunder_triage_igd").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '33%!important;'
		, allow_single_deselect: true
	});


	$("#gcs3_sekunder_triage_igd").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '33%!important;'
		, allow_single_deselect: true
	});
	$("#tingkat_kesadaran_gcs1_triage_igd").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '33%!important;'
		, allow_single_deselect: true
	});

	$("#tingkat_kesadaran_gcs2_triage_igd").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '33%!important;'
		, allow_single_deselect: true
	});


	$("#tingkat_kesadaran_gcs3_triage_igd").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '33%!important;'
		, allow_single_deselect: true
	});

	$("#pasien_datang_triage_igd").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%!important;'
		, allow_single_deselect: true
	});
	

	
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});

	$('#dokter_yang_melayani').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});

	$('#dokter_penanganan_triage_igd').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});

	$('#perawatan_lanjutan_dokter_triage_igd').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.ruang, .doctor').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	
	
};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormAsesmenMedisTriageIgd ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormAsesmenMedisTriageIgdlModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#nama_versi').attr('placeholder', '~".$objPatientNursing->vFormAsesmenMedisTriageIgdlModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>

});

</script>

</div>
</div>
