
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>--> 

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">ASESMEN SARAF</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">




<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">ASESMEN SARAF</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:5px;">
        <div class="row">
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
                <label class="control-label" for="tanggalasesmen_saraf"><b>Tanggal Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalasesmen_saraf" type="text" class="form-control input-date" name="tanggalasesmen_saraf" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->vTanggalAsesmenSaraf != "" ? $objPatientNursing->vTanggalAsesmenSaraf : date("d-m-Y") ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
                <label class="control-label" for="jamasesmen_saraf"><b>Jam Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamasesmen_saraf" type="text" class="form-control" name="jamasesmen_saraf" placeholder="HH:mm" value="<?= $objPatientNursing->vJamAsesmenSaraf != "" ? $objPatientNursing->vJamAsesmenSaraf : date("H:i"); ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Resiko Tinggi</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="resiko_tinggi_saraf" value="Ya"  <?= $objPatientNursing->vResikoTinggiSaraf == 'Ya' ? 'checked' : '' ?>>Ya</label>
						<label class="checkbox-inline"><input type="checkbox"  name="resiko_tinggi_saraf" value="Tidak"  <?= $objPatientNursing->vResikoTinggiSaraf == 'Tidak' ? 'checked' : '' ?>>Tidak</label>
					</div>
				</div>
			</div>
        </div>
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Keterangan Resiko Tinggi</b></label>
				<textarea name="kterangan_resiko_tinggi" id="kterangan_resiko_tinggi" class="form-control autoresize" placeholder="Keterangan Resiko Tinggi" style="overflow-x: hidden; word-wrap: break-word; resize: none; height:34px!important; width: 100%;"><?= $objPatientNursing->vKeteranganResikoTinggiSaraf ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">DIISI OLEH DOKTER</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
        <div class="row">
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Anamnesis</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="anamnesis_saraf" value="Auto Anamnesis"  <?= $objPatientNursing->vAnamnesisSaraf == 'Auto Anamnesis' ? 'checked' : '' ?>>Auto Anamnesis</label>
						<label class="checkbox-inline"><input type="checkbox"  name="anamnesis_saraf" value="Allow Anamnesis"  <?= $objPatientNursing->vAnamnesisSaraf == 'Allow Anamnesis' ? 'checked' : '' ?>>Allow Anamnesis</label>
					</div>
				</div>
			</div>
        </div>
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Keterangan Anamnesis</b></label>
				<textarea name="keterangan_anamnesis_saraf" id="keterangan_anamnesis_saraf" class="form-control autoresize" placeholder="Keterangan Anamnesis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vKeteranganAnamnesisSaraf ?></textarea>
			</div>
        </div>
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Keluhan Utama, Riwayat Penyakit Sekarang, Riwayat Penyakit Dahulu / Keluarga</b></label>
				<textarea name="keluhan_utama_dan_riwayat_penyakit_saraf" id="keluhan_utama_dan_riwayat_penyakit_saraf" class="form-control autoresize" placeholder="Keluhan Utama, Riwayat Penyakit Sekarang, Riwayat Penyakit Dahulu / Keluarga" style="overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;"><?= $objPatientNursing->vKeluhanUtamaDanRiwayatPenyakitSaraf ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">STATUS UMUM NEUROLOGIK</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
        <div class="row">
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
				<label class="control-label" for=""><b>Kesadaran (GCS)</b></label>
				<?php
				$arrGcs = explode('-', $objPatientNursing->vGcsSaraf);
				$gcs1 = $arrGcs[0];
				$gcs2 = $arrGcs[1];
				$gcs3 = $arrGcs[2];
				?>
				<div class="input-group" style="width:100%;">
					<select id="gcs1" class="form-control" style="width:33.3%">
						<option value="">-</option>
						<option value="1" <?= $gcs1 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $gcs1 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $gcs1 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $gcs1 == '4' ?'selected' : '' ?>>4</option>
					</select>
					<select id="gcs2" class="form-control" style="width:33.3%">
						<option value="">-</option>
						<option value="1" <?= $gcs2 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $gcs2 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $gcs2 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $gcs2 == '4' ?'selected' : '' ?>>4</option>
						<option value="5" <?= $gcs2 == '5' ?'selected' : '' ?>>5</option>
					</select>
					<select id="gcs3" class="form-control" style="width:33.3%">
						<option value="">-</option>
						<option value="1" <?= $gcs3 == '1' ?'selected' : '' ?>>1</option>
						<option value="2" <?= $gcs3 == '2' ?'selected' : '' ?>>2</option>
						<option value="3" <?= $gcs3 == '3' ?'selected' : '' ?>>3</option>
						<option value="4" <?= $gcs3 == '4' ?'selected' : '' ?>>4</option>
						<option value="5" <?= $gcs3 == '5' ?'selected' : '' ?>>5</option>
						<option value="6" <?= $gcs3 == '6' ?'selected' : '' ?>>6</option>
					</select>
				</div>
			</div>
        </div>
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Fungsi Luhur dan Bahasa</b></label>
				<textarea name="fungsi_luhur_dan_bahasa_saraf" id="fungsi_luhur_dan_bahasa_saraf" class="form-control autoresize" placeholder="Fungsi Luhur dan Bahasa" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vFungsiLuhurDanBahasaSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Tanda Rangsang Meningeal</b></label>
				<textarea name="tanda_rangsang_meningeal_saraf" id="tanda_rangsang_meningeal_saraf" class="form-control autoresize" placeholder="Tanda Rangsang Meningeal" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vTandaRangsangMeningealSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">SARAF OTAK</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
				<label class="control-label" for=""><b>N. Kranialis</b></label>
				<textarea name="n_kranialis_saraf" id="n_kranialis_saraf" class="form-control autoresize" placeholder="N. Kranialis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vNKranialisSaraf ?></textarea>
			</div>
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
				<label class="control-label" for=""><b>N. Spinalis</b></label>
				<textarea name="n_spinalis_saraf" id="n_spinalis_saraf" class="form-control autoresize" placeholder="N. Spinalis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vNSpinalisSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Pemeriksaan Koordinasi</b></label>
				<textarea name="pemeriksaan_koordinasi_saraf" id="pemeriksaan_koordinasi_saraf" class="form-control autoresize" placeholder="Pemeriksaan Koordinasi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vPemeriksaanKoordinasiSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">SISTEM MOTORIK DAN REFLEKS</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom:20px;">
				<?php
				$sumberGambar = __USER_ASSETS__.'/images/plus.png';
				?>	
				
				<div class="" style="width:306px;margin:0px auto;border:text-align:center;;">
					<div style="width:304px;height:304px;margin:0px auto;position:relative;">
					<div style="text-align:center;position:absolute;width:100%;text-align:center;top:0px;font-size:20px;"><b>KEKUATAN</b></div>
						<img src="<?= $sumberGambar ?>" style="width:300px;height:300px;">
						<textarea type="text" class="form-control autoresize hide_scrollbar kiri_atas" id="kekuatan_kiri_atas" ><?= $objPatientNursing->vKekuatanKiriAtas ?></textarea>
						<textarea type="text" class="form-control autoresize hide_scrollbar kanan_atas" id="kekuatan_kanan_atas" ><?= $objPatientNursing->vKekuatanKananAtas ?></textarea>
						<textarea type="text" class="form-control autoresize hide_scrollbar kanan_bawah" id="kekuatan_kanan_bawah" ><?= $objPatientNursing->vKekuatanKananBawah ?></textarea>
						<textarea type="text" class="form-control autoresize hide_scrollbar kiri_bawah" id="kekuatan_kiri_bawah" ><?= $objPatientNursing->vKekuatanKiriBawah ?></textarea>
					</div>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:20px;">
				<div class="" style="width:306px;margin:0px auto;border:text-align:center;;">
					<div style="width:304px;height:304px;margin:0px auto;position:relative;">
					<div style="text-align:center;position:absolute;width:100%;text-align:center;top:0px;font-size:20px;"><b>REFLEKS PATOLOGIS</b></div>
						<img src="<?= $sumberGambar ?>" style="width:300px;height:300px;">
						<textarea type="text" class="form-control autoresize hide_scrollbar kiri_atas" id="refleks_patologis_kiri_atas" ><?= $objPatientNursing->vRefleksPatologisKiriAtas ?></textarea>
						<textarea type="text" class="form-control autoresize hide_scrollbar kanan_atas" id="refleks_patologis_kanan_atas" ><?= $objPatientNursing->vRefleksPatologisKananAtas ?></textarea>
						<textarea type="text" class="form-control autoresize hide_scrollbar kanan_bawah" id="refleks_patologis_kanan_bawah" ><?= $objPatientNursing->vRefleksPatologisKananBawah ?></textarea>
						<textarea type="text" class="form-control autoresize hide_scrollbar kiri_bawah" id="refleks_patologis_kiri_bawah" ><?= $objPatientNursing->vRefleksPatologisKiriBawah ?></textarea>
					</div>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:20px;">
				<div class="" style="width:306px;margin:0px auto;border:text-align:center;;">
					<div style="width:304px;height:304px;margin:0px auto;position:relative;">
					<div style="text-align:center;position:absolute;width:100%;text-align:center;top:0px;font-size:20px;"><b>REFLEKS FISIOLOGIS</b></div>
						<img src="<?= $sumberGambar ?>" style="width:300px;height:300px;">
						<textarea type="text" class="form-control autoresize hide_scrollbar kiri_atas" id="refleks_fisiologis_kiri_atas" ><?= $objPatientNursing->vRefleksFisiologisKiriAtas ?></textarea>
						<textarea type="text" class="form-control autoresize hide_scrollbar kanan_atas" id="refleks_fisiologis_kanan_atas" ><?= $objPatientNursing->vRefleksFisiologisKananAtas ?></textarea>
						<textarea type="text" class="form-control autoresize hide_scrollbar kanan_bawah" id="refleks_fisiologis_kanan_bawah" ><?= $objPatientNursing->vRefleksFisiologisKananBawah ?></textarea>
						<textarea type="text" class="form-control autoresize hide_scrollbar kiri_bawah" id="refleks_fisiologis_kiri_bawah" ><?= $objPatientNursing->vRefleksFisiologisKiriBawah ?></textarea>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<style>
.kiri_atas{position:absolute;bottom:158px;left:0px;width:130px;text-align:right;resize:none;}
.kanan_atas{position:absolute;bottom:158px;right:0px;width:138px;text-align:left;resize:none;}
.kanan_bawah{position:absolute;top:168px;right:0px;width:138px;text-align:left;resize:none;}
.kiri_bawah{position:absolute;top:168px;left:0px;width:130px;text-align:right;resize:none;}
.hide_scrollbar::-webkit-scrollbar {
  display: none;
}

</style>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">SISTEM SENSORIK</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
			<div class="col-md-12">
				<span class="control-label" style="display:block;text-align:center;"><b>Sistem Sensorik</b></span>
				<div align="center">
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/dermatome.png';

					$gambarTersimpan = $objPatientNursing->vLokasiGambarSistemSensorikSaraf ? $objPatientNursing->vLokasiGambarSistemSensorikSaraf : $sumberGambar;
					?>
					<img id="gambarCanvas_4" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan_4" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas_4" width="740" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<button href="#" class="btn btn-warning btn-xs hideSelesai_4" id="edit_4">Mulai Sunting</button>
					<button href="#" class="btn btn-danger btn-xs disabled hideSelesai_4" id="clearArea_4">Reset Gambar</button>
					<button href="#" class="btn btn-success btn-xs disabled hideSelesai_4" id="simpanGambar_4">Simpan Gambar</button>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading_4"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Sistem Otonom</b></label>
				<textarea name="sistem_otonom_saraf" id="sistem_otonom_saraf" class="form-control autoresize" placeholder="Sistem Otonom" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vSistemOtonomSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">PEMERIKSAAN TAMBAHAN</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
				<label class="control-label" for=""><b>Laboratorium</b></label>
				<textarea name="pemeriksaan_laboratorium_saraf" id="pemeriksaan_laboratorium_saraf" class="form-control autoresize" placeholder="Laboratorium" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vPemeriksaanLaboratoriumSaraf ?></textarea>
			</div>
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
				<label class="control-label" for=""><b>N. Spinalis</b></label>
				<textarea name="Pemeriksaan_n_spinalis_saraf" id="Pemeriksaan_n_spinalis_saraf" class="form-control autoresize" placeholder="N. Spinalis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vPemeriksaanNSpinalisSaraf ?></textarea>
			</div>
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
				<label class="control-label" for=""><b>Neurofisiologi</b></label>
				<textarea name="pemeriksaan_neurofisiologi_saraf" id="pemeriksaan_neurofisiologi_saraf" class="form-control autoresize" placeholder="Neurofisiologi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vPemeriksaanNeurofisiologiSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Temuan Lain</b></label>
				<textarea name="temuan_lain_saraf" id="temuan_lain_saraf" class="form-control autoresize" placeholder="Temuan Lain" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vTemuanLainSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Diagnosis</b></label>
				<textarea name="diagnosis_saraf" id="diagnosis_saraf" class="form-control autoresize" placeholder="Diagnosis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vDiagnosisSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Planning</b></label>
				<textarea name="planning_saraf" id="planning_saraf" class="form-control autoresize" placeholder="Planning" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vPlanningSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-md-12" style="margin-bottom:;">
				<label class="control-label" for=""><b>Tindakan</b></label>
				<textarea name="tindakan_saraf" id="tindakan_saraf" class="form-control autoresize" placeholder="Pemeriksaan Koordinasi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 30px; width: 100%;"><?= $objPatientNursing->vTindakanSaraf ?></textarea>
			</div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">INFORMASI DAN EDUKASI</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:10px;">
		<div class="row">
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Hasil Pemeriksaan</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="informasi_edukasi_hasil_pemeriksaan_saraf" value="Ya"  <?= $objPatientNursing->vInformasiEdukasiHasilPemeriksaanSaraf == 'Ya' ? 'checked' : '' ?>>Ya</label>
						<label class="checkbox-inline"><input type="checkbox"  name="informasi_edukasi_hasil_pemeriksaan_saraf" value="Tidak"  <?= $objPatientNursing->vInformasiEdukasiHasilPemeriksaanSaraf == 'Tidak' ? 'checked' : '' ?>>Tidak</label>
					</div>
				</div>
			</div>
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Diagnosa</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="informasi_edukasi_diagnosa_saraf" value="Ya"  <?= $objPatientNursing->vInformasiEdukasiDiagnosaSaraf == 'Ya' ? 'checked' : '' ?>>Ya</label>
						<label class="checkbox-inline"><input type="checkbox"  name="informasi_edukasi_diagnosa_saraf" value="Tidak"  <?= $objPatientNursing->vInformasiEdukasiDiagnosaSaraf == 'Tidak' ? 'checked' : '' ?>>Tidak</label>
					</div>
				</div>
			</div>
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Pengobatan dan Tindakan</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="informasi_edukasi_pengobatan_dan_tindakan_saraf" value="Ya"  <?= $objPatientNursing->vInformasiEdukasiPengobatanDanTindakanSaraf == 'Ya' ? 'checked' : '' ?>>Ya</label>
						<label class="checkbox-inline"><input type="checkbox"  name="informasi_edukasi_pengobatan_dan_tindakan_saraf" value="Tidak"  <?= $objPatientNursing->vInformasiEdukasiPengobatanDanTindakanSaraf == 'Tidak' ? 'checked' : '' ?>>Tidak</label>
					</div>
				</div>
			</div>
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Penerima Informasi</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="padding:0px 12px;">
						<label class="checkbox-inline"><input type="checkbox"  name="penerima_informasi" value="Pasien" <?= $objPatientNursing->vPenerimaInformasiSaraf == 'Pasien' ? 'checked' : '' ?>>Pasien</label>
						<label class="checkbox-inline"><input type="checkbox"  name="penerima_informasi" value="Bukan Pasien" <?= $objPatientNursing->vPenerimaInformasiSaraf == 'Bukan Pasien' ? 'checked' : '' ?>>Bukan Pasien</label>
					</div>
				</div>
			</div>
            <div class="col-xs-12 col-sm-12 col-md-6" style="margin-bottom:;" id="container_nama_penerima_informasi_saraf">
                <label class="control-label" for="jamasesmen_saraf"><b>Nama Penerima Informasi</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_penerima_informasi_saraf" type="text" class="form-control" name="nama_penerima_informasi_saraf" placeholder="Nama Penerima Informasi" value="<?= $objPatientNursing->vNamaPenerimaInformasiSaraf; ?>" >
                </div>
            </div>
        </div>
		<div class="row">
			<div class="col-xs-12 col-md-12" style="margin-top:15px;text-align:center;">
                <span class="control-label"><b>Tanda Tangan Penerima Informasi</b></span>
				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div align="center">
					<?php
					$sumberGambar_5 = __USER_ASSETS__.'/images/jiwa.jpg';

					$gambarTersimpan_5 = $objPatientNursing->vLokasiTtdPenerimaInformasiSaraf ? $objPatientNursing->vLokasiTtdPenerimaInformasiSaraf : $sumberGambar;
					?>
					<img id="gambarCanvas_5" src="<?= $sumberGambar_5 ?>" style="display: none">
					<img id="gambarTersimpan_5" src="<?= $gambarTersimpan_5 ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas_5" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<button href="#" class="btn btn-warning btn-xs hideSelesai_5" id="edit_5">Mulai Sunting</button>
					<button href="#" class="btn btn-danger btn-xs disabled hideSelesai_5" id="clearArea_5">Reset Gambar</button>
					<button href="#" class="btn btn-success btn-xs disabled hideSelesai_5" id="simpanGambar_5">Simpan Gambar</button>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading_5"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
        </div>
	</div>
</div>



<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">DOKTER</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:5px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for=""><b>Dokter yang menangani</b></label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_yang_menangani_poli_saraf" id="dokter_yang_menangani_poli_saraf" data-placeholder="Pilih Dokter yang menangani">
					<option value="<?= $objPatientNursing->vDokterPoliSarafId != "" ? $objPatientNursing->vDokterPoliSarafId : $objPatientNursing->DoctorId ; ?>" selected ><?= $objPatientNursing->vDokterPoliSarafNama != "" ? $objPatientNursing->vDokterPoliSarafNama : $objPatientNursing->DoctorName; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>
</div>


<div class="row">
	<div class="col-xs-12">
		<div>
			<button class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</button> 
			<button id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</button>
			<button id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-circle-o-notch fa-spin" style="margin-right:2px;"></i> Simpan</button>
			<button href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </button>
			<button href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </button>
			<button id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</button>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<button id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</button>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormAssementAwalSarafModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormAssementAwalSarafEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAssementAwalSarafEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAssementAwalSarafLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAssementAwalSarafLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormAssementAwalSarafTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAssementAwalSarafTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAssementAwalSarafIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormAssementAwalSaraf) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormAssementAwalSarafEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAssementAwalSarafEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAssementAwalSarafLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAssementAwalSarafLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormAssementAwalSarafTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAssementAwalSarafTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAssementAwalSarafIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

	$("#container_nama_penerima_informasi_saraf").hide();
	$('input[name="penerima_informasi"]').on('change', function() {
		if(this.checked && this.value === 'Bukan Pasien') {
			$("#container_nama_penerima_informasi_saraf").show();
		} else {
			$("#container_nama_penerima_informasi_saraf").hide();
			$("#nama_penerima_informasi_saraf").val("");
		}
	});
	$('input[name="penerima_informasi"][value="Bukan Pasien"]').trigger('change');
	
   function resizeTextarea() {
        $(this).css('height', 'auto');
		$(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
	$('input[type="checkbox"]').change(function() {
	  if ($(this).prop('checked')) {
		$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
	  }
	});
	
	
var FormGizi = function(){

	'use strict';
	
	
	$("#tanggalasesmen_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("tanggalasesmen_saraf" , $("#tanggalasesmen_saraf").val() );
	});
	$("#jamasesmen_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("jamasesmen_saraf" , $("#jamasesmen_saraf").val() );
	});
	$("#keluhan_utama_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("keluhan_utama_saraf" , $("#keluhan_utama_saraf").val() );
	});
	$("#anamnea_khusus_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("anamnea_khusus_saraf" , $("#anamnea_khusus_saraf").val() );
	});
	$("#riwayat_penyakit_dahulu_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_penyakit_dahulu_saraf" , $("#riwayat_penyakit_dahulu_saraf").val() );
	});
	$("#riwayat_alergi_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_alergi_saraf" , $("#riwayat_alergi_saraf").val() );
	});
	$("#riwayat_pengobatan_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_pengobatan_saraf" , $("#riwayat_pengobatan_saraf").val() );
	});
	$("#riwayat_operasi_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_operasi_saraf" , $("#riwayat_operasi_saraf").val() );
	});
	$("#pemeriksaan_psikiatri_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("pemeriksaan_psikiatri_saraf" , $("#pemeriksaan_psikiatri_saraf").val() );
	});
	$("#hasil_pemeriksaan_penunjang_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("hasil_pemeriksaan_penunjang_saraf" , $("#hasil_pemeriksaan_penunjang_saraf").val() );
	});
	$("#diagnosa_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("diagnosa_saraf" , $("#diagnosa_saraf").val() );
	});
	$("#pengobatan_tindakan_rencana_pemeriksaan_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("pengobatan_tindakan_rencana_pemeriksaan_saraf" , $("#pengobatan_tindakan_rencana_pemeriksaan_saraf").val() );
	});
	$("#mrs_ruang_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("mrs_ruang_saraf" , $("#mrs_ruang_saraf").val() );
	});
	$("#kontrol_tanggal_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("kontrol_tanggal_saraf" , $("#kontrol_tanggal_saraf").val() );
	});
	$("#rujuk_ke_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("rujuk_ke_saraf" , $("#rujuk_ke_saraf").val() );
	});
	$("#indikasi_rujuk_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("indikasi_rujuk_saraf" , $("#indikasi_rujuk_saraf").val() );
	});
	$("#dokter_yang_menangani_saraf").bind('input propertychange', function () {
		sessionStorage.setItem("dokter_yang_menangani_saraf" , $("#dokter_yang_menangani_saraf").val() );
	});
	
	$(document).ready(function() {
		
		if( sessionStorage.getItem("form-asesmen-paru") == "yes" ) {
			if( sessionStorage.getItem("form-asesmen-paru-nursing-id") == '<?= $objPatientNursing->Id; ?>' ){
				if ( sessionStorage.getItem("tanggalasesmen_saraf") ) {
					$("#tanggalasesmen_saraf").val(sessionStorage.getItem("tanggalasesmen_saraf") );
				}
				if ( sessionStorage.getItem("jamasesmen_saraf") ) {
					$("#jamasesmen_saraf").val(sessionStorage.getItem("jamasesmen_saraf") );
				}
				if ( sessionStorage.getItem("keluhan_utama_saraf") ) {
					$("#keluhan_utama_saraf").val(sessionStorage.getItem("keluhan_utama_saraf") );
				}
				if ( sessionStorage.getItem("anamnea_khusus_saraf") ) {
					$("#anamnea_khusus_saraf").val(sessionStorage.getItem("anamnea_khusus_saraf") );
				}
				if ( sessionStorage.getItem("riwayat_penyakit_dahulu_saraf") ) {
					$("#riwayat_penyakit_dahulu_saraf").val(sessionStorage.getItem("riwayat_penyakit_dahulu_saraf") );
				}
				if ( sessionStorage.getItem("riwayat_alergi_saraf") ) {
					$("#riwayat_alergi_saraf").val(sessionStorage.getItem("riwayat_alergi_saraf") );
				}
				if ( sessionStorage.getItem("riwayat_pengobatan_saraf") ) {
					$("#riwayat_pengobatan_saraf").val(sessionStorage.getItem("riwayat_pengobatan_saraf") );
				}
				if ( sessionStorage.getItem("riwayat_operasi_saraf") ) {
					$("#riwayat_operasi_saraf").val(sessionStorage.getItem("riwayat_operasi_saraf") );
				}
				if ( sessionStorage.getItem("pemeriksaan_psikiatri_saraf") ) {
					$("#pemeriksaan_psikiatri_saraf").val(sessionStorage.getItem("pemeriksaan_psikiatri_saraf") );
				}
				if ( sessionStorage.getItem("hasil_pemeriksaan_penunjang_saraf") ) {
					$("#hasil_pemeriksaan_penunjang_saraf").val(sessionStorage.getItem("hasil_pemeriksaan_penunjang_saraf") );
				}
				if ( sessionStorage.getItem("diagnosa_saraf") ) {
					$("#diagnosa_saraf").val(sessionStorage.getItem("diagnosa_saraf") );
				}
				if ( sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_saraf") ) {
					$("#pengobatan_tindakan_rencana_pemeriksaan_saraf").val(sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_saraf") );
				}
				if ( sessionStorage.getItem("mrs_ruang_saraf") ) {
					$("#mrs_ruang_saraf").val(sessionStorage.getItem("mrs_ruang_saraf") );
				}
				if ( sessionStorage.getItem("kontrol_tanggal_saraf") ) {
					$("#kontrol_tanggal_saraf").val(sessionStorage.getItem("kontrol_tanggal_saraf") );
				}
				if ( sessionStorage.getItem("rujuk_ke_saraf") ) {
					$("#rujuk_ke_saraf").val(sessionStorage.getItem("rujuk_ke_saraf") );
				}
				if ( sessionStorage.getItem("indikasi_rujuk_saraf") ) {
					$("#indikasi_rujuk_saraf").val(sessionStorage.getItem("indikasi_rujuk_saraf") );
				}
				if ( sessionStorage.getItem("dokter_yang_menangani_saraf") ) {
					$("#dokter_yang_menangani_saraf").val(sessionStorage.getItem("dokter_yang_menangani_saraf") );
				}
			} else {
				sessionStorage.setItem( "form-asesmen-paru-nursing-id" , '<?= $objPatientNursing->Id; ?>' );
				sessionStorage.setItem( "tanggalasesmen_saraf" ,"") ; 
				sessionStorage.setItem( "jamasesmen_saraf" ,"") ; 
				sessionStorage.setItem( "keluhan_utama_saraf" ,"") ; 
				sessionStorage.setItem( "anamnea_khusus_saraf" ,"") ; 
				sessionStorage.setItem( "riwayat_penyakit_dahulu_saraf" ,"") ; 
				sessionStorage.setItem( "riwayat_alergi_saraf" ,"") ; 
				sessionStorage.setItem( "riwayat_pengobatan_saraf" ,"") ; 
				sessionStorage.setItem( "riwayat_operasi_saraf" ,"") ; 
				sessionStorage.setItem( "pemeriksaan_psikiatri_saraf" ,"") ; 
				sessionStorage.setItem( "hasil_pemeriksaan_penunjang_saraf" ,"") ; 
				sessionStorage.setItem( "diagnosa_saraf" ,"") ; 
				sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_saraf" ,"") ; 
				sessionStorage.setItem( "mrs_ruang_saraf" ,"") ; 
				sessionStorage.setItem( "kontrol_tanggal_saraf" ,"") ; 
				sessionStorage.setItem( "rujuk_ke_saraf" ,"") ; 
				sessionStorage.setItem( "indikasi_rujuk_saraf" ,"") ; 
				sessionStorage.setItem( "dokter_yang_menangani_saraf" ,"") ; 
			}
		}  else { 
			sessionStorage.setItem( "form-asesmen-paru" , "yes" );
		}
		
	});
		
	
	function cetaklaporan() {
 		parent.AppPrintPage.setTitle('Print Preview Asesmen Saraf')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-saraf') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
			parent.boolChange = false ; 
		} else {
			posting('DRAFT');
			parent.boolChange = false ; 
		}
		
	});
	
	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function (event) {
		cetaklaporan();
	});

    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormAssementAwalSarafModifiedVersion != "" ? $objPatientNursing->vFormAssementAwalSarafModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});

	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.vTanggalAsesmenSaraf = $('#tanggalasesmen_saraf').val();
		post.vJamAsesmenSaraf = $('#jamasesmen_saraf').val()
		post.vResikoTinggiSaraf = $('input[name="resiko_tinggi_saraf"]:checked').val();
		post.vKeteranganResikoTinggiSaraf = $('#kterangan_resiko_tinggi').val();
		post.vAnamnesisSaraf = $('input[name="anamnesis_saraf"]:checked').val();
		post.vKeteranganAnamnesisSaraf = $('#keterangan_anamnesis_saraf').val();
		post.vKeluhanUtamaDanRiwayatPenyakitSaraf = $('#keluhan_utama_dan_riwayat_penyakit_saraf').val();
		post.vGcsSaraf = $('#gcs1').val()+"-"+$('#gcs2').val()+"-"+$('#gcs3').val();
		post.vFungsiLuhurDanBahasaSaraf = $('#fungsi_luhur_dan_bahasa_saraf').val();
		post.vTandaRangsangMeningealSaraf = $('#tanda_rangsang_meningeal_saraf').val();
		post.vNKranialisSaraf = $('#n_kranialis_saraf').val();
		post.vNSpinalisSaraf = $('#n_spinalis_saraf').val();
		post.vSistemOtonomSaraf = $('#sistem_otonom_saraf').val();
		post.vPemeriksaanKoordinasiSaraf = $('#pemeriksaan_koordinasi_saraf').val();
		
		post.vKekuatanKiriAtas = $('#kekuatan_kiri_atas').val();
		post.vKekuatanKananAtas = $('#kekuatan_kanan_atas').val();
		post.vKekuatanKananBawah = $('#kekuatan_kanan_bawah').val();
		post.vKekuatanKiriBawah = $('#kekuatan_kiri_bawah').val();
		
		post.vRefleksPatologisKiriAtas = $('#refleks_patologis_kiri_atas').val();
		post.vRefleksPatologisKananAtas = $('#refleks_patologis_kanan_atas').val();
		post.vRefleksPatologisKananBawah = $('#refleks_patologis_kanan_bawah').val();
		post.vRefleksPatologisKiriBawah = $('#refleks_patologis_kiri_bawah').val();
		
		post.vRefleksFisiologisKiriAtas = $('#refleks_fisiologis_kiri_atas').val();
		post.vRefleksFisiologisKananAtas = $('#refleks_fisiologis_kanan_atas').val();
		post.vRefleksFisiologisKananBawah = $('#refleks_fisiologis_kanan_bawah').val();
		post.vRefleksFisiologisKiriBawah = $('#refleks_fisiologis_kiri_bawah').val();
		
		post.vPemeriksaanLaboratoriumSaraf = $('#pemeriksaan_laboratorium_saraf').val();
		post.vPemeriksaanNSpinalisSaraf = $('#Pemeriksaan_n_spinalis_saraf').val();
		post.vPemeriksaanNeurofisiologiSaraf = $('#pemeriksaan_neurofisiologi_saraf').val();
		post.vTemuanLainSaraf = $('#temuan_lain_saraf').val();
		post.vDiagnosisSaraf = $('#diagnosis_saraf').val();
		post.vPlanningSaraf = $('#planning_saraf').val();
		post.vTindakanSaraf = $('#tindakan_saraf').val();
		post.vInformasiEdukasiHasilPemeriksaanSaraf = $('input[name="informasi_edukasi_hasil_pemeriksaan_saraf"]:checked').val();
		post.vInformasiEdukasiDiagnosaSaraf = $('input[name="informasi_edukasi_diagnosa_saraf"]:checked').val();
		post.vInformasiEdukasiPengobatanDanTindakanSaraf = $('input[name="informasi_edukasi_pengobatan_dan_tindakan_saraf"]:checked').val();
		post.vPenerimaInformasiSaraf = $('input[name="penerima_informasi"]:checked').val();
		post.vNamaPenerimaInformasiSaraf = $('#nama_penerima_informasi_saraf').val();
		
		post.vDokterPoliSarafId = $('#dokter_yang_menangani_poli_saraf').val();
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/AsesmenAwalSaraf')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#asesmenawalsaraf').removeClass('btn-primary').addClass('btn-success').html('Asesmen Saraf <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					sessionStorage.setItem( "tanggalasesmen_saraf" , "" );
					sessionStorage.setItem( "jamasesmen_saraf" , "" );
					sessionStorage.setItem( "keluhan_utama_saraf" , "" );
					sessionStorage.setItem( "anamnea_khusus_saraf" , "" );
					sessionStorage.setItem( "riwayat_penyakit_dahulu_saraf" , "" );
					sessionStorage.setItem( "riwayat_alergi_saraf" , "" );
					sessionStorage.setItem( "riwayat_pengobatan_saraf" , "" );
					sessionStorage.setItem( "riwayat_operasi_saraf" , "" );
					sessionStorage.setItem( "pemeriksaan_psikiatri_saraf" , "" );
					sessionStorage.setItem( "hasil_pemeriksaan_penunjang_saraf" , "" );
					sessionStorage.setItem( "diagnosa_saraf" , "" );
					sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_saraf" , "" );
					sessionStorage.setItem( "mrs_ruang_saraf" , "" );
					sessionStorage.setItem( "kontrol_tanggal_saraf" , "" );
					sessionStorage.setItem( "rujuk_ke_saraf" , "" );
					sessionStorage.setItem( "indikasi_rujuk_saraf" , "" );
					sessionStorage.setItem( "dokter_yang_menangani_saraf" , "" );
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#asesmenawalsaraf').removeClass('btn-primary').addClass('btn-success').html('Asesmen Saraf <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();

				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('#dokter_yang_menangani_poli_saraf').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('#dokter_yang_menangani_poli_saraf').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormAssementAwalSaraf ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormAssementAwalSarafModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#versi_form').attr('placeholder', '~".$objPatientNursing->vFormAssementAwalSarafModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>


		//canvas draw -start
		var mousePressed_4 = false;
		var lastX_4, lastY_4;
		var ctx_4;
		var img_4 = document.getElementById('gambarCanvas_4');
		var imgTersimpan_4 = document.getElementById('gambarTersimpan_4');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/dermatome.png';
			$urlGambar = $objPatientNursing->vLokasiGambarSistemSensorikSaraf ? $objPatientNursing->vLokasiGambarSistemSensorikSaraf : $GambarDefault;
		?>

		var canvas_4 = window.__canvas_4 = new fabric.Canvas( 'myCanvas_4' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false ; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(740);
			image.scaleToHeight(400);
			canvas_4.add(image.set({
				id : 'myCanvas_4'
				, alt : 'blank',
				"selectable": false,
				"evented": false
			}));
		});

		canvas_4.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas_4);
		if (canvas_4.freeDrawingBrush) {
			var brush = canvas_4.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_4').click(function(){
			canvas_4.isDrawingMode = true;
			$('#clearArea_4').removeClass('disabled');
			$('#simpanGambar_4').removeClass('disabled');
			$('#edit_4').addClass('disabled');
			$('#clearArea_4').show();
			$('#simpanGambar_4').show();
			$('#edit_4').hide();
			return false;
		})


		$('#clearArea_4').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(740);
				image.scaleToHeight(400);
				canvas_4.add(image.set({
					id : 'myCanvas_4'
					, alt : 'blank',
				"selectable": false,
				"evented": false
				}));
			});
			return false;
		})

		//canvas_4 draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas_4 draw -end

		$('#simpanGambar_4').click(function() {

			var canvas_4 = document.getElementById('myCanvas_4');
			var hasil = canvas_4.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'SISTEM SENSORIK');
			fd.append("gambar", blob, 'dermatome.png');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadSistemSensorik')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_4').addClass('disabled');
					$('#simpanGambar_4').hide();
					$('#simpanGambar-loading_4').show();
				},
				complete: function(xhr,status){
					$('#edit_4').removeClass('disabled');
					$('#clearArea_4').addClass('disabled');
					$('#simpanGambar_4').addClass('disabled');
					$('#simpanGambar_4').hide();
					$('#clearArea_4').hide();
					$('#simpanGambar-loading_4').hide();
					$('#edit_4').show();
				}
			})

		})

		$('#clearArea_4').hide();
		$('#simpanGambar_4').hide();
		$('#simpanGambar-loading_4').hide();
		
		
		
		//////////////////////////////////////////////////////////////////////////////////////
		//canvas draw -start
		var mousePressed_5 = false;
		var lastX_5, lastY_5;
		var ctx_5;
		var img_5 = document.getElementById('gambarCanvas_5');
		var imgTersimpan_5 = document.getElementById('gambarTersimpan_5');


		<?php
			$GambarDefault_5 = __USER_ASSETS__.'/images/jiwa.jpg';
			$urlGambar = $objPatientNursing->vLokasiTtdPenerimaInformasiSaraf ? $objPatientNursing->vLokasiTtdPenerimaInformasiSaraf : $GambarDefault_5;
		?>

		var canvas_5 = window.__canvas_5 = new fabric.Canvas( 'myCanvas_5' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = true // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas_5.add(image.set({
				id : 'myCanvas_5'
				, alt : 'blank'
			}));
		});

		canvas_5.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas_5);
		if (canvas_5.freeDrawingBrush) {
			var brush = canvas_5.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_5').click(function(){
			canvas_5.isDrawingMode = true;
			$('#clearArea_5').removeClass('disabled');
			$('#simpanGambar_5').removeClass('disabled');
			$('#edit_5').addClass('disabled');
			$('#clearArea_5').show();
			$('#simpanGambar_5').show();
			$('#edit_5').hide();
			return false;
		})


		$('#clearArea_5').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault_5 ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas_5.add(image.set({
					id : 'myCanvas_5'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas_5 draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas_5 draw -end

		$('#simpanGambar_5').click(function() {

			var canvas_5 = document.getElementById('myCanvas_5');
			var hasil = canvas_5.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD PENERIMA INFORMASI SARAF');
			fd.append("gambar", blob, 'jiwa.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDPenerimaInformasiSaraf')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_5').addClass('disabled');
					$('#simpanGambar_5').hide();
					$('#simpanGambar-loading_5').show();
				},
				complete: function(xhr,status){
					$('#edit_5').removeClass('disabled');
					$('#clearArea_5').addClass('disabled');
					$('#simpanGambar_5').addClass('disabled');
					$('#simpanGambar_5').hide();
					$('#clearArea_5').hide();
					$('#simpanGambar-loading_5').hide();
					$('#edit_5').show();
				}
			})

		})

		$('#clearArea_5').hide();
		$('#simpanGambar_5').hide();
		$('#simpanGambar-loading_5').hide();
		
});

</script>