
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:0px 20px;width:100%;max-width:1100px;margin:0px auto;" id="content">

<?php
if(System::getPublicVariable('stage_bpjs_service')=='production') {
	define( "STR_SERVICE_PROVIDER_CODE" , System::getPublicVariable("kode_bpjs") );
} else if(System::getPublicVariable('stage_bpjs_service')=='testing') {
	define( "STR_SERVICE_PROVIDER_CODE" , System::getPublicVariable("kode_bpjs_testing") );
} else {

	// RSB BONDOWOSO
	define("STR_SERVICE_PROVIDER_CODE", "0191R003");
}
?>


<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

// simulasi error;

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);


	$json = json_decode($objPatientNursing->RegisterJson);
	$tindakanTanggal1 = $json->TindakanTanggal1;
	$tindakanTanggal2 = $json->TindakanTanggal2;
	$tindakanTanggal3 = $json->TindakanTanggal3;
	$tindakanTanggal4 = $json->TindakanTanggal4;
	$tindakanTanggal5 = $json->TindakanTanggal5;
	$statusIndex = $json->StatusIndex;
	$arrObjCompetence = HrisRefCompetence::LoadAll();

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
$umurDalamTahun = $diff->y;

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}
$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);
?>
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#nama_versi{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="row">
	<div class="col-xs-12">
		<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
			<div class="row" id="formBPJS" style="">
<!--				<div class="box-header " style="text-align:center;">
					<h4 class="modal-title">FORM ISIAN DATA BPJS <img id="loadingImg" style="height: 20px; width: 80px; display: none" src="<?= __USER_ASSETS__ ?>/images/loading-img.gif"/></h4>
				</div>
-->					<div class="col-md-12" style="padding:0px 30px;">
					<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left; margin-bottom: -8px; ">
                    <tr bgcolor="#0088cc">
                        <td colspan="4" style="padding: 0px;">
                            <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                                <tr>
                                    <td class="td" style="width: 170px;">Nomor Peserta / NOKA</td>
                                    <td class="td" style="width: 250px;">
                                        <div class="input-group">
                                            <input type="text" class="form-control input-md" name="view_bpjs_noka" id="view_bpjs_noka" autocomplete="off" required="" placeholder="nomor peserta bpjs" value="<?= $objPatientNursing->RegisterMembershipNumber ?>" tabindex="305">
                                            <div class="input-group-btn">
                                                <button id="btnCariNoka" class="btn btn-md" style="height:34px;"><i class="fa fa-lg fa-search"></i></button>
                                            </div>
                                        </div>
                                    </td>
                                    <td class="td" style="width: 150px; text-align: right;">Nomor NIK / KTP</td>
                                    <td class="td" >
                                        <input type="text" class="form-control input-md" name="view_bpjs_nik" id="view_bpjs_nik" autocomplete="off" placeholder="nomor ktp / nik" value="<?= $objPatientNursing->IdentityNumber ?>" tabindex="306">
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr bgcolor="#0088cc">
                        <td colspan="4" style="padding: 0px;">
                            <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                                <tr>
                                    <td class="td" style="width: 170px;">No RM</td>
                                    <td class="td" style="width: 250px;">
                                        <input type="text" class="form-control input-md" name="view_bpjs_mr" id="view_bpjs_mr" autocomplete="off" value="<?= $objPatientNursing->Mr ?>" readonly="" placeholder="Nomor RM" tabindex="301">
                                    </td>
                                    <td class="td" style="width: 150px; text-align: right;">Nomor SEP</td>
                                    <td class="td">
                                        <input readonly type="text" class="form-control input-md" id="sep_ada" value="<?= $objPatientNursing->RegisterWarantyLetterNumber ?>">
                                        <input readonly type="hidden" class="form-control input-md" name="view_bpjs_sep" id="view_bpjs_sep" value="<?= $objPatientNursing->RegisterWarantyLetterNumber ?>">
                                    </td>
                                    <td style="width:100px">
                                        <input readonly type="text" class="form-control input-md" id="view_bpjs_mr_by_kepesertaan" name="view_bpjs_mr_by_kepesertaan">
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr bgcolor="#0088cc">
                        <td colspan="4" style="padding: 0px;">
                            <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                                <tr>
                                    <td class="td" style="width: 170px;">Nama</td>
                                    <td class="td" style="width: 250px;">
                                        <input type="text" class="form-control input-md" name="view_bpjs_full_name" id="view_bpjs_full_name" autocomplete="off" required="" value="<?= $objPatientNursing->FirstName ?>" readonly="" tabindex="302">
                                    </td>
                                    <td class="td" style="width: 150px; text-align: right;">JK</td>
                                    <td class="td" >
                                        <input type="text" class="form-control input-md" name="view_bpjs_gender" id="view_bpjs_gender" autocomplete="off" required="" value="<?= $objPatientNursing->Gender == "MALE" ? "L" : "P" ; ?>" readonly="" tabindex="303">
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr bgcolor="#0088cc">
                        <td colspan="4" style="padding: 0px;">
                            <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                                <tr>
                                    <td class="td" style="width: 170px;">Umur</td>
                                    <td class="td" style="width: 250px;">
                                        <input type="text" class="form-control input-md" name="view_bpjs_age" id="view_bpjs_age" autocomplete="off" required="" value="<?=  $umur ?>" readonly="" tabindex="304">
                                    </td>
                                    <td class="td" style="width: 150px;">Jenis Kepesertaan</td>
                                    <td class="td" >
                                        <input type="text" class="form-control input-md" name="view_bpjs_jenis_kepesertaan_keterangan" id="view_bpjs_jenis_kepesertaan_keterangan" autocomplete="off" required="" value="" readonly>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr bgcolor="#0088cc">
                        <td colspan="4" style="padding: 0px;">
                            <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                                <tr>
                                    <td class="td" style="width: 170px;">No Telp</td>
                                    <td class="td" style="width: 250px;">
                                        <input type="text" class="form-control input-md" name="view_bpjs_telp" id="view_bpjs_telp" autocomplete="off" value="<?= $objPatientNursing->MobilePhone ?>" tabindex="307">
                                    </td>
                                    <td class="td" style="width: 150px;">Hak Kelas</td>
                                    <td class="td" >
                                        <input type="text" class="form-control input-md" name="view_bpjs_hak_kelas_keterangan" id="view_bpjs_hak_kelas_keterangan" autocomplete="off" required="" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>" readonly>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr bgcolor="#0088cc">
                        <td colspan="4" style="padding: 0px;">
                            <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                                <tr>
                                    <td class="td" style="width: 170px;">No Rujukan</td>
                                    <td class="td" style="width: 250px;">
                                        <input type="text" class="form-control input-md" name="view_bpjs_referal_number" id="view_bpjs_referal_number" autocomplete="off" required="" value="" placeholder="Nomor Rujukan" tabindex="308">
                                    </td>
                                    <td class="td" style="width: 150px; text-align: right;">Tanggal Rujukan</td>
                                    <td class="td" >
                                        <input readonly type="text" class="form-control xinput-date" name="view_bpjs_referal_date" id="view_bpjs_referal_date" autocomplete="off" required="" value="<?= date('d-m-Y') ?>" placeholder="Tanggal Rujukan" tabindex="309">
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr bgcolor="#0088cc">
                        <td colspan="4" style="padding: 0px;">
                            <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                                <tr>
                                    <td class="td" style="width: 170px;">Nama Provider</td>
                                    <td class="td" style="width: 250px;">
                                        <input type="text" class="form-control input-md" name="view_bpjs_provider_name" id="view_bpjs_provider_name" autocomplete="off" required="" placeholder="" value="" readonly="" placeholder="Nama Provider" tabindex="">
                                    </td>
                                    <td class="td" style="width: 150px; text-align: right;">Kode Provider</td>
                                    <td class="td" >
                                        <input type="text" class="form-control input-md" name="view_bpjs_provider_code" id="view_bpjs_provider_code" autocomplete="off" placeholder="" value="" readonly="" placeholder="Kode Provider" tabindex="310">
                                        <input type="hidden" name="view_bpjs_jenis_faskes" id="view_bpjs_jenis_faskes">
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr bgcolor="#0088cc">
                        <td colspan="4" style="padding: 0px;">
                            <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                                <tr>
                                    <!-- <td class="td" style="width: 170px;">Poli Rujukan</td>
                                    <td class="td" style="width: 250px;">
                                        <input type="text" class="form-control input-md" name="view_department_name_poli_tujuan" id="view_department_name_poli_tujuan" autocomplete="off" required="" placeholder="" value="" readonly="" placeholder="Poli Tujuan" tabindex="311">
                                        <input type="hidden" class="form-control input-md" name="view_bpjs_poli_tujuan" id="view_bpjs_poli_tujuan">
                                        <input type="hidden" class="form-control input-md" name="view_department_id_poli_tujuan" id="view_department_id_poli_tujuan">
                                        <input type="hidden" class="form-control input-md" name="view_department_code_poli_tujuan" id="view_department_code_poli_tujuan">
                                    </td> -->
                                    <td class="td" style="width: 170px;">Diagnosa Rujukan</td>
                                    <td class="td" style="width: 250px;">
                                        <select name="view_bpjs_diagnose" id="view_bpjs_diagnose" class="form-control input-md-2 diagnosa" placeholder="Search Diagnosa" tabindex="312">
                                        </select>
                                    </td>
                                    <td></td>
                                    <td></td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr bgcolor="#0088cc">
                        <td colspan="4" style="padding: 0px;">
                            <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                                <tr>
                                    <td class="td" style="width: 170px;">Dokter</td>
                                    <td class="td" style="width: 250px;">
                                        <select data-plugin-selecttwo class="form-control dokter" title="" name="view_bpjs_dokter" id="view_bpjs_dokter" data-date-format="dd/mm/yyyy" tabindex="313">
                                        </select>
                                        <!-- <input type="text" class="form-control input-md" name="view_bpjs_dokter" id="view_bpjs_dokter" autocomplete="off" required="" placeholder="" value="" readonly="" tabindex="313"> -->
                                    </td>
                                    <td class="td" style="width: 150px; text-align: right;">No SKDP</td>
                                    <td class="td" >
                                        <input type="text" class="form-control input-md" name="view_bpjs_skdp" id="view_bpjs_skdp" autocomplete="off" placeholder="" value="" placeholder="Nomor SKDP" tabindex="314">
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr bgcolor="#0088cc">
                        <td colspan="4" style="padding: 0px;">
                            <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                                <tr>
                                    <td class="td" style="width: 170px;"></td>
                                    <td class="td" style="width: 250px;">
                                        <input class="" type="checkbox" name="view_operasi_katarak" id="view_operasi_katarak" value="operasi katarak" >
                                        <label for="view_operasi_katarak">
                                            Operasi Katarak
                                        </label>
                                    </td>
                                    <td class="td" style="width: 150px;">&nbsp;</td>
                                    <td class="td" >&nbsp;</td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr bgcolor="#0088cc">
                        <td colspan="4" style="padding: 0px;">
                            <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
                                <tr>
                                    <td class="td" style="width: 170px;">&nbsp;</td>
                                    <td class="td" style="width: 250px;">
                                        <!-- <a class="btn btn-primary" role="button" onclick="saveBPJS();" id="simpanBPJS" tabindex="314"><i class="fa fa-save">   Simpan</i></a> -->
                                    </td>
                                    <td class="td" style="width: 150px;">&nbsp;</td>
                                    <td class="td" style="align-content: flex-end;">
                                        &nbsp;
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
				</div>
				<div class="col-md-12" style="padding:0px 40px;">
					 <div id="statusPembuatanSpri" class="modal-footer hidden" style="text-align: center; color: red">
							SPRI Belum Dibuat
						</div>
						<div class="modal-footer">
							<a class="btn btn-primary pull-left" role="button" onclick="saveBPJS();" id="simpanBPJS" tabindex="314"><i class="fa fa-save">   </i> Simpan</a>
							<span class="pull-left" style="margin-left: 25px">
								<input class="" type="checkbox" name="view_wajib_sep" id="view_wajib_sep" value="wajib_sep" checked>
								<label for="view_wajib_sep">
								 Wajib SEP
								</label>
								<span id="keteranganRujukanDipakai"></span>
							</span>
							<button type="button" class="btn btn-default" data-dismiss="modal" tabindex="299">Close</button>
						</div>
				</div>
			</div>
		</div>
	</div>
</div>

</div>
</div>

<style>
    /* te */
    .te-cover-area *{
        pointer-events: none;
    }
    .te-cover-area:hover{
        cursor: not-allowed;
    }
</style>
<!-- Modal -->
<style>
#modalSuratKontrol .modal-backdrop{display:none;}
</style>


<script>
$(document).ready(function() {
  $("#sep_ada").focus();
});

	var url = window.location.href;
	//alert(url);
	var idStartIndex = url.indexOf('IdSEP=');
	//alert(idStartIndex);
	var idValue = url.substring(idStartIndex + 6); // +3 to skip "id="
	//alert(idValue);
	//alert(parent.$("#noka").val())

	if(typeof parent.$("#noka").val() !== 'undefined') {
		$("#view_bpjs_noka").val(parent.$("#noka").val());
	} else if (idStartIndex != -1) {
		$("#view_bpjs_noka").val(idValue);
	}

$('#content').off('click', '#simpanBPJS').on('click', '#simpanBPJS', function () {
	posting('DRAFT');
});

function posting(mode){
	// alert('post');

	var post = {};

	post.pageId = strPageId;
	post.actorId = strActorId;
	post.nursingId = '<?= $strId ?>'; //nursing id
	post.department = strDepartmentId;

	post.mode = mode;
	if( mode=='VERIFIKASI' ){
		post.password = $('#password').val();
	}

	post.RegisterMembershipNumber = $('#view_bpjs_noka').val();
	post.IdentityNumber = $('#view_bpjs_nik').val();
	post.Mr = $('#view_bpjs_mr').val();
	post.RegisterWarantyLetterNumber = $('#view_bpjs_sep').val();
	post.FirstName = $('#view_bpjs_full_name').val();
	post.vBpjsGender = $('#view_bpjs_gender').val();
	post.MobilePhone = $('#view_bpjs_telp').val();
	post.vBpjsUmur = $('#view_bpjs_age').val();
	post.vBpjsNoRujukan = $('#view_bpjs_referal_number').val();
	post.vBpjsTanggalKunjungan = $('#view_bpjs_referal_date').val();
	//post.vBpjsLabelKunjungan = $('#view_bpjs_label_kunjungan').val();
	//post.vBpjsRujukanKe = $('#view_bpjs_rujukan_ke').val();
	//post.vBpjsProviderFktp = $('#view_bpjs_provider_name_fktp').val();
	//post.vBpjsProviderCodeFktp = $('#view_bpjs_provider_code_fktp').val();
	//post.vBpjsJenisFaskesFktp = $('#view_bpjs_jenis_faskes_fktp').val();
	post.vBpjsProviderName = $('#view_bpjs_provider_name').val();
	post.vBpjsProviderCode = $('#view_bpjs_provider_code').val();
	post.vBpjsJenisFaskes = $('#view_bpjs_jenis_faskes').val();
	//post.vBpjsDepartmentNamePoliRujukan = $('#view_department_name_poli_tujuan').val();
	//post.vBpjsPoliTujuan = $('#view_bpjs_poli_tujuan').val();
	//post.vBpjsDepartmentIdPoliTujuan = $('#view_department_id_poli_tujuan').val();
	//post.vBpjsDepartmentCodePoliTujuan = $('#view_department_code_poli_tujuan').val();
	post.vBpjsDiagnose = $('#view_bpjs_diagnose').val();
	//post.vBpjsTujuanKunjungan = $('#view_bpjs_tujuan_kunjungan').val();
	//post.vBpjsFlagProcedure = $('#view_bpjs_flag_procedure').val();
	//post.vBpjsKdPenunjang = $('#view_bpjs_kd_penunjang').val();
	//post.vBpjsAssesmentPel = $('#view_bpjs_assesment_pel').val();
	post.vBpjsDokter = $('#view_bpjs_dokter').val();
	post.vBpjsSkdp = $('#view_bpjs_skdp').val();
	post.vBpjsOperasiKatarak = $("#view_operasi_katarak").is(':checked') ? 'YA' : '';
	//post.vBpjsCatatanPetugas = $('#view_bpjs_catatan_petugas').val();
	

	parent.console.log(post);
	parent.toastr.info('Menyimpan Data', 'Informasi');
	parent.showLoader(20);
	$.ajax({
		url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/PenerbitanSepRanap')?>"
		, data: post
		, type: "POST"
		, timeout: 20 * 1000
		, beforeSend: function(xhr){
			$('#simpanBPJS').hide();
			$('#simpanBPJS-loading').show();
		}
		, uploadProgress: function (event,position,total,percentComplete){
			// progressBar.width( percentComplete + '%' );
			// progressBar.html( '' + percentComplete + ' % Complete' );
		}
		, success: function(result){
			if( mode == 'VERIFIKASI' && result.status != 'error' ){
				$('#modal-area').modal("hide");
				parent.toastr.success( 'Data Terkirim', 'Informasi');
				//$('#cetak_laporan').removeClass('disabled');
				//$('#float-print').removeClass('btn disabled');
				//$('.koreksi').removeClass('disabled'); 
				//$('#float-koreksi').show();
				//$('#float-validasi').hide();
				parent.boolChange = false;
				parent.toastr.info( result.message , 'Informasi');
				//parent.$('#form_uroflowmetri').removeClass('btn-primary').addClass('btn-success').html('Uroflowmetri <i style="color:yellow;" class="fa fa-check"></i>');
				parent.AppPage.hide();
			} else if( result.status != 'error' ){
				parent.toastr.info( result.message , 'Informasi');
				//$('#cetak_laporan').removeClass('disabled');
				//$('#float-print').removeClass('btn disabled');
				parent.boolChange = false;
				//parent.$('#form_uroflowmetri').removeClass('btn-primary').addClass('btn-success').html('Uroflowmetri <i style="color:yellow;" class="fa fa-check"></i>');
				parent.AppPage.hide();
			} else {
				parent.toastr.error( result.message , 'Error');
			}
		}
		, complete: function(xhr,status){
			parent.hideLoader();
			$('#simpanBPJS-loading').hide();
			$('#simpanBPJS').show();
		}
		, error: function(xhr,status,error){
			console.log(xhr);
			alert('Gagal menyimpan data');
		}
	})
}
	
var ObjectData = {};
function nokaInputHandler(){
	var noka = $('#view_bpjs_noka').val();
	if(noka.length == 13){
	        nokaHandler(noka);
	} else if(noka.length == 16) {
		nikHandler(noka);
	} else if(noka.length == 19){
		referalHandler(noka);
	} else {
		parent.jPopup(
			'NoKA harus 13 Karakter' ,
			(function() {
		    		$('[tabindex=305]').focus();
			})
        	);
	}
}

//jejak jejak
$('#view_bpjs_dokter').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
        , dataType: 'json'
    } , {
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return "<?= QApplication::UrlActionCreator('EmployeeControl/BpjsSearch/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch + '&competence_code=' + competence_code
        }
    }).on('change', function(e) {
        // NOTHING
    });
});

$('.diagnosa').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , noresetSearch: true
        , processItems: function(data){
            return data;
        }
        , generateUrl: function(strSearch) {
            return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=diagnose&search=' + strSearch
        }
    }, {
        allow_single_deselect: true
    }).on('change', function(e) {
        var ini = $(this);
        var id = '.diagnoselabel' + ini.attr('id').substr(12,1);
        $(id).text(ini.val());
    });
}).trigger('change');

function keteranganRujukanDipakai(obj){
    $('.checkboxSuratKontrol').hide()
    $('#view_bpjs_label_kunjungan').val('kunjungan rujukan ke '+ obj.rujukanTerpakai)
    var textTambahan = ' ';
    
    if(obj.sepHistory){
        textTambahan += '  &nbsp;::&nbsp; No SEP sebelumnya '+obj.sepHistory
    }

    if(obj.rujukanDariSepRi === true){
        $('.checkboxSuratKontrol').show();
        textTambahan = ' &nbsp;::&nbsp; Kontrol Setelah Rawat inap';
        $('#view_bpjs_label_kunjungan').val('kunjungan kontrol pasca rawat inap');
	boolRujukanPascaRI = true;
    } else {
	boolRujukanPascaRI = false;
    }
    // console.log(['test',obj.createSuratKontrol]);

    if(obj.createSuratKontrol){
        textTambahan += '  &nbsp;::&nbsp; Surat Kontrol Belum Dibuat'
        $('.checkboxSuratKontrol').show()
    }else if(obj.createSuratKontrol === false){
        $('.checkboxSuratKontrol').hide()
        //jika obj.create_surat_kontrol null atau undefined tdk perlu menampilkan keterangan
        textTambahan += '  &nbsp;::&nbsp; Surat Kontrol Sudah Dibuat'
    }

    if(obj.createSuratKontrol === false && !obj.sepHistory){
        textTambahan = '  &nbsp;::&nbsp; Rujukan Baru'
        $('#view_bpjs_label_kunjungan').val('kunjungan rujukan baru')
    }
    
    $('#keteranganRujukanDipakai').html(textTambahan)
}

function responseBpjsPencarianPeserta(response){
    if(response.histori_pelayanan){
        $('.openModalSuratKontrol').show()
        cSuratKontrol.showHistory(response.histori_pelayanan)
    }

    // alert([ response.STR_SERVICE_PROVIDER_CODE , response.no_sep_history ]);
    // alert([ response.no_sep_history.indexOf( response.STR_SERVICE_PROVIDER_CODE ) ]);

    // response.no_sep_history.indexOf( response.STR_SERVICE_PROVIDER_CODE ) == -1 // => SEP DARI LUAR RS

    // if( (response.skip_create_sep === true) ){
    if( (response.skip_create_sep === true) && response.no_sep_history.indexOf(response.STR_SERVICE_PROVIDER_CODE) == 0 ){
        $('.openModalSuratKontrol').hide()
        $('#bpjs_buat_surat_kontrol').prop('checked', false)
        $('#sep_ada').val('ADA')
        $('#view_bpjs_sep').val(response.no_sep_history)
        $('#view_bpjs_diagnose').append('<option selected value="'+response.diagnosa_sep_skip+'">'+response.diagnosa_sep_skip+'</option>').trigger("chosen:updated");
    }else{
        $('#sep_ada').val('')
        var rujukanTerpakai = 0;
        if(response.histori_pelayanan){
            response.histori_pelayanan.map(function(data){
                // 1335R001
                var providerCode = response.STR_SERVICE_PROVIDER_CODE
                var prefixNoRujukan = data.noRujukan.substring(0, 9);
                if(data.noRujukan === response.no_kunjungan && prefixNoRujukan !== providerCode){
                    rujukanTerpakai++
                }
            })
            $('#view_bpjs_rujukan_ke').val(rujukanTerpakai + 1)
        }
        keteranganRujukanDipakai({
            sepHistory : response.no_sep_history,
            createSuratKontrol : response.create_surat_kontrol,
            rujukanDariSepRi : response.rujukan_dari_sep_ri,
            rujukanTerpakai : rujukanTerpakai + 1,
        });
    }
    if(response.code != '200'){
        return toastr.error(response.message, response.code, {timeOut: 60000});
    }
    ObjectData.CreateSuratKontrol = response.create_surat_kontrol;
    ObjectData.NoSepHistory = response.no_sep_history;
    if ( response.no_sep_history.indexOf(response.STR_SERVICE_PROVIDER_CODE) == -1 ) {
         // ObjectData.NoSepHistory = '';
    }
    competence_code = response.competence_code;
    ObjectData.ViewBpjsHakKelas = response.hak_kelas;
    ObjectData.keterangan_jenis_kepesertaan = response.jenis_kepesertaan_keterangan;
    ObjectData.faskes_perujuk = response.faskes_perujuk ? response.faskes_perujuk : response.provider_name;
    ObjectData.kode_faskes_perujuk = response.kode_faskes_perujuk ? response.kode_faskes_perujuk : response.provider_code;
    $('#view_bpjs_full_name').val(response.full_name);
    $('#view_bpjs_provider_name').val(response.provider_name);
    $('#view_bpjs_provider_code').val(response.provider_code);
    $('#view_bpjs_provider_name_fktp').val(response.provider_name_fktp);
    $('#view_bpjs_provider_code_fktp').val(response.provider_code_fktp);
    // ================================================================================
    $('#view_bpjs_jenis_faskes').val(response.faskes);

    if(! $('#view_bpjs_telp').val()){
        $('#view_bpjs_telp').val(response.peserta_telp);
    }
    if(! $('#post_mobile_phone').val()){
        $('#post_mobile_phone').val(response.peserta_telp);
    }
    $('#view_bpjs_mr_by_kepesertaan').val(response.peserta_rm);

	ObjectData.BpjsRm = '' ;
	if(response.peserta_rm){
		// alert([response.peserta_rm]) ;
	    	var NoMRSaatIni = $('#view_bpjs_mr').val() ;
		var NoMRBPJS = response.peserta_rm ;
		var boolValidRM = false ; intLevelValid = 0;
		if( !NoMRBPJS ) { boolValidRM = true; }
		if( !boolValidRM && ( NoMRSaatIni && NoMRSaatIni.length > 0 ) && ( NoMRBPJS && NoMRBPJS.length > 0 ) ) {
			// alert( [ NoMRSaatIni , NoMRBPJS , NoMRBPJS.indexOf(NoMRSaatIni) , NoMRSaatIni.indexOf(NoMRBPJS) ] );
	        	if( NoMRSaatIni.length == NoMRBPJS.length ) {
        		    	if( NoMRSaatIni == NoMRBPJS ) {
					boolValidRM = true;
					intLevelValid = 2;
				}
				/*
				if( boolValidRM ) {
					alert('MR Valid dgn Nomor MR saat ini sama panjang dengan Nomor BPJS');
				} else {
					alert('MR Tidak Valid dgn Nomor MR saat ini sama panjang dengan Nomor BPJS');
				}
		                */
		    	} else {
				if( NoMRSaatIni.length > NoMRBPJS.length ) {
					if( NoMRSaatIni.indexOf(NoMRBPJS) >= 0 ) {
						boolValidRM = true;
						intLevelValid = 1;
					}
					/*
					if( boolValidRM ) {
						alert('MR Valid dgn Nomor MR saat ini lebih panjang');
					} else {
						alert('MR Tidak Valid dgn Nomor MR saat ini lebih panjang');
					}
					*/
		        	} else {
					if( NoMRBPJS.indexOf(NoMRSaatIni) >= 0 ) {
						boolValidRM = true;
						intLevelValid = 1;
					}
					/*
					if( boolValidRM ) {
						alert('MR Valid dgn Nomor MR di BPJS lebih panjang');
			            	} else {
						alert('MR Tidak Valid dgn Nomor MR di BPJS lebih panjang');
					}
					*/
        			}
    			}
		}
	    	if( !boolValidRM ) {
			parent.jPopup(
				'Nomor RM Saat ini  : ' + NoMRSaatIni + '<br>' +
				'Nomor RM Data BPJS : ' + NoMRBPJS + '<br>' +
				'Cek No KTP Penderita : ' + response.member_nik + '<br>' +
				'Cocokkan Foto KTP dengan Penderita ' + '<br>' +
				'Bila benar , Silahkan didaftar ulang ' +
				'mengunakan Nomor RM ' + NoMRBPJS ,
				( function() {
        				// $('[tabindex=4]').focus();
				} )
	               );
		}
		ObjectData.BpjsRm = response.peserta_rm;
	} else {
		var NoMRSaatIni = '';
		var NoMRBPJS = '';
		ObjectData.BpjsRm = '';
	}
	strMrOnBpjs = ObjectData.BpjsRm;


    $('#view_bpjs_nik').val(response.member_nik);
    $('#view_bpjs_noka').val(response.member_noka);
    $('#view_bpjs_referal_number').val(response.no_kunjungan);
    $('#view_bpjs_skdp').val(response.no_skdp);
    $('#view_bpjs_referal_date').val(response.tgl_kunjungan);
    $('#view_bpjs_poli_tujuan').val(response.poli_rujukan);
    $('#view_department_name_poli_tujuan').val(response.department_name_poli_tujuan);
    $('#view_department_id_poli_tujuan').val(response.department_id_poli_tujuan);
    $('#view_department_code_poli_tujuan').val(response.department_code_poli_tujuan);        
    $('#view_bpjs_diagnose').append('<option selected value="'+response.diagnosa_kode+'">'+response.diagnosa_nama+'</option>').trigger("chosen:updated");
    if(response.idDpjp){
        $('#view_bpjs_dokter').append('<option selected value="'+response.idDpjp+'">'+response.nmDpjp+'</option>').trigger("chosen:updated");
    }else if(response.idDokterK){
        $('#view_bpjs_dokter').append('<option selected value="'+response.idDokterK+'">'+response.nmDokter+'</option>').trigger("chosen:updated");
    }
    console.log(response);
    if(! response.full_name){
        if(response.status_peserta){
            toastr.warning(response.status_peserta, 'Peringatan', {timeOut: 15000});
        }else{
            toastr.warning('Data tidak ditemukan', 'Peringatan');
        }
    }

    //ubah dokter form depan
    $.ajax({
        url: "<?= QApplication::UrlActionCreator('EmployeeControl/BpjsSearch/?pageId=')?><?=$strPageId?>"+ '&search=' + '&competence_code=' + competence_code, 
        success: function(result){
            var doctor = $('#view_main_doctor');
            doctor.empty();
            doctor.append('<option value="">Pilih...</option>');
            result.forEach(function(res){
                doctor.append('<option value="'+res.id+'">'+res.text+'</option>');
            });
            if(doctor.data('dariRujukan')){
                doctor.val(doctor.data('dariRujukan'));
                doctor.data('dariRujukan', ''); //reset data
            }
            doctor.trigger("chosen:updated");
    }});
    // pendaftaranCariSep(response);
    console.table(response.histori_pelayanan);
};

$(document).bind("ajaxStart", function(){ /* alert('start ajax'); */ }).bind("ajaxStop", function(){ /* alert('start stop'); */ });


function nokaHandler(noka){
    console.log('noka handler');
    if(isNaN(noka.trim())){
        return toastr.warning('Nomor kartu harus angka', 'Peringatan');
    }
    var objKirim = {};
    objKirim.searchNoka = noka;
    objKirim.mode = 'RAWAT JALAN';
    // objKirim.jenisPelayanan = 'R.Jalan';
    // objKirim.get_faskes_perujuk = 'YA';

    // if($('#view_jenis_pencarian').val() == 'rujukan'){
    //     var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/RujukanSearchRecordByNoka/?pageId=')?>" + strPageId + '&searchNoka=' + noka;
    // }
    // else {
    //     var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/SearchRecord/?pageId=')?>" + strPageId + '&searchNoka=' + noka;
    // }
    //perubahan alur bpjs rj 21/1/2021
    var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/SearchRecord/?pageId=')?>" + strPageId + '&searchNoka=' + noka;

    var data = objKirim;
    $.ajax({
        url: url,
        data: data,
        method: 'GET',
        success: responseBpjsPencarianPeserta,
        timeout: 5*60*1000,
        beforeSend: function(){
            parent.showLoader(300);
            $('.faLoading').show();
        },
        complete: function(){
            parent.hideLoader();
            $('.faLoading').hide();
        }
      });
}
function nikHandler(nik){
    console.log('nik handler');
    var objKirim = {};
    objKirim.searchNik = nik;
    objKirim.mode = 'RAWAT JALAN';

    // objKirim.jenisPelayanan = 'R.Jalan';
    // objKirim.get_faskes_perujuk = 'YA';
    
    var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/SearchRecordByNik/?pageId=')?>" + strPageId + '&searchNik=' + nik;
    var data = objKirim;
    $.ajax({
        url: url,
        data: data,
        method: 'GET',
        success: responseBpjsPencarianPeserta,
        timeout: 5*60*1000,
        beforeSend: function(){
            parent.showLoader(300);
            $('.faLoading').show();
        },
        complete: function(){
            parent.hideLoader();
            $('.faLoading').hide();
        }
      });
}

function referalHandler(referal){
    // FULL MODIFIKASI 2021-09-05 //RJ-MONTRNG DFR RI/RD
    console.log('rujukan handler lokal monitoring');
    var objKirim = {};
    objKirim.searchReferal = referal;
    objKirim.mode = 'RAWAT JALAN';
    // objKirim.jenisPelayanan = 'R.Jalan';
    // objKirim.get_faskes_perujuk = 'YA';

    // tandai moch_isnaini
    var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/SearchRecordByReferal/?pageId=')?>" + strPageId + '&searchReferal=' + referal;
    // var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/LocalSearchRecordByReferal/?pageId=')?>" + strPageId + '&searchReferal=' + referal;
    var data = objKirim;
    $.ajax({
        url: url,
        data: data,
        method: 'GET',
        success: responseBpjsPencarianPeserta,
        timeout: 5*60*1000,
        beforeSend: function(){
            parent.showLoader(300);
            $('.faLoading').show();
        },
        complete: function(){
            parent.hideLoader();
            $('.faLoading').hide();
        }
    });
}

function nokaInputHandler(){
    var noka = $('#view_bpjs_noka').val();
    if(noka.length == 13) {
        nokaHandler(noka);
    } else if(noka.length == 16) {
        nikHandler(noka);
    } else if(noka.length == 19) {
        referalHandler(noka);
    } else {
        parent.jPopup(
            'NoKA harus 13 Karakter' ,
            (function() {
                $('[tabindex=305]').focus();
            })
        );
    }
}

$('#view_bpjs_noka').on('keydown', function (e) {
    if(e.keyCode=='13'){
        e.preventDefault(); 
        nokaInputHandler();
    }else{
        $('#btnCariNoka').removeClass('disabled');
    }
});

$('#btnCariNoka').click(function(){
    nokaInputHandler();
    $('#btnCariNoka').addClass('disabled');
})

function tinjauFaskes(kodeProvider){
    console.log('Tinjauan Faskes ' + kodeProvider);
    if(! kodeProvider){
        toastr.warning('Kode Provider Masih Kosong', 'Peringatan');
        return null;
    }
    var objKirim = {};
    objKirim.kodeProvider = kodeProvider;
    var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/TinjauFaskes/?pageId=')?>" + strPageId + '&kodeProvider=' + kodeProvider;
    var data = objKirim;
    var success = function(response){
        if(response.code != '200'){
            toastr.error(response.message, response.code, {timeOut: 60000});
        }
        // $('#view_bpjs_full_name').val(response.full_name);
        console.log(response);
        if(! response.faskes){
            toastr.warning('Jenis Faskes Gagal Dikenali', 'Peringatan');
        }
        else {
            $('#view_bpjs_jenis_faskes').val(response.faskes);
            console.log("jenis Faskes: "+response.faskes);
        }
    };
    $.ajax({
        url: url,
        data: data,
        success: success,
        timeout: 5*60*1000,
        beforeSend: function(){
            parent.showLoader();
            // $('#loadingImg').show();
        },
        complete: function(){
            parent.hideLoader();
            // $('#loadingImg').hide();
        }
    });
}

function ambilBerdasarkanRujukanMr(referal){
    var mr = $('#view_bpjs_mr').val();
    // tandai moch_isnaini
    var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/PatientNursingByRujukan/?pageId=')?>" + strPageId + '&referal=' + referal + '&mr='+mr;
    $.ajax({
        url: url,
        success: function(response){ 
            if(response.code != '200'){
                toastr.error(response.message, response.code, {timeOut: 60000});
            }
            console.log(response)
            $('#view_bpjs_skdp').val(response.nomorSuratKontrol);
            $('#view_main_doctor').data('dariRujukan', response.dokterTujuanKontrol);
            $('#view_main_department').val(response.poliTujuanKontrol).trigger('chosen:updated');
        },
        timeout: 5*60*1000,
        beforeSend: function(){
            parent.showLoader();
        },
        complete: function(){
            parent.hideLoader();
        }
    });
}

$('#view_bpjs_nik').on('keydown', function (e) {
    if(e.keyCode=='13'){
        e.preventDefault(); 
        var nik = $('#view_bpjs_nik').val();
        var noka = $('#view_bpjs_noka').val();
        if ( nik.length == 16 || noka.length == 16 ) {
            nikHandler(nik);
        } else {
            parent.jPopup(
                'Nomor NIK/Nomor KTP harus 16 Karakter' ,
                (function() {
                    $('[tabindex=306]').focus();
                })
            );
        }
    }
    // 
});

$('#view_bpjs_referal_number').on('keydown', function (e) {
    if(e.keyCode=='13'){
        e.preventDefault();  
        var referal = $('#view_bpjs_referal_number').val();
        var noka = $('#view_bpjs_noka').val();
        if ( referal.length == 19 || noka.length == 19 ) {
            referalHandler(referal);
        } else {
            parent.jPopup(
                'Nomor Rujukan harus 19 Karakter' ,
                (function() {
                    $('[tabindex=308]').focus();
                })
            );
        }
    }
});

$('#view_bpjs_referal_date').datepicker({
	format: "dd-mm-yyyy",
	autoclose: true,
	endDate: null
});


$('#view_main_department').change(function(){
	console.log('view_main_department CHANGE')

	var adaIdentifier = '';
	if($('#view_main_contract_service option:selected').text().includes('BPJS')){
		adaIdentifier = '&adaIdentifier=YA';
	};

	$.ajax({
		url: "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>&search="+adaIdentifier, 
		success: function(result){
			var doctor = $('#view_main_doctor');
			doctor.empty();
			doctor.append('<option value="">Pilih...</option>');
			result.forEach(function(res){
				doctor.append('<option value="'+res.id+'">'+res.text+'</option>');
			});
			if(doctor.data('dariRujukan')){
				doctor.val(doctor.data('dariRujukan'));
				doctor.data('dariRujukan', ''); //reset data
			}
			doctor.trigger("chosen:updated");
		}
	});
});

$('#view_main_doctor').change(function(){
    ObjectData.ViewMainDoctor = $(this).val();
    console.log(ObjectData.ViewMainDoctor);
});


var pendaftaranCariSep = function(data){
	console.log(data);
	if(data.NomorSep){
		data.NomorSep ? $('#sep_ada').val('ADA') : $('#sep_ada').val('');
		$('#view_bpjs_sep').val(data.NomorSep);
		$('#view_bpjs_referal_number').val(data.RegisterReferalNumber);
		ObjectData.MonitoringRegisterMembershipNumber = data.RegisterMembershipNumber;
		ObjectData.MonitoringRegisterServiceLevelCode = data.RegisterServiceLevelCode;
		ObjectData.MonitoringRegisterReferalNumber = data.RegisterReferalNumber;
		ObjectData.MonitoringRegisterWarantyLetterDate = data.MonitoringRegisterWarantyLetterDate;

		var diagnosa = $('.diagnosa');
	        diagnosa.append('<option value=""></option>');
	        diagnosa.append('<option selected value="'+data.Diagnosa+'">'+ data.NamaDiagnosa +'</option>');
	        diagnosa.trigger("chosen:updated");
	} else {
		console.log('Noka Tidak dikenali');
		$('#sep_ada').val('');
		$('#view_bpjs_sep').val('');
		ObjectData.MonitoringRegisterMembershipNumber = '';
		ObjectData.MonitoringRegisterServiceLevelCode = '';
		ObjectData.MonitoringRegisterReferalNumber = '';
		ObjectData.MonitoringRegisterWarantyLetterDate = '';
	}
};

$('#post_noka').change(function(){
	$('#view_bpjs_noka').val($('#post_noka').val());
})

//$('#view_bpjs_noka').change(function(){
//	$('#post_noka').val($('#view_bpjs_noka').val());
//});

function ambilSPRI(){
	var mr = $('#mrlabel').val();
	if(! mr){
		return null;
	}
	$.ajax({
		url: '<?= QApplication::UrlActionCreator('PatientDatasetQuery/CekSpriTersimpan') ?>',
		data: {
			mr : mr
		},
		type : 'POST',
		success: function(result){
			if(result.nomor_spri){
				$('#view_bpjs_skdp').val(result.nomor_spri)
				$('#view_bpjs_dokter').html('<option selected value="'+result.id_dokter+'">'+result.nama_dokter+'</option>').trigger("chosen:updated");;
			}
			console.log(result)
		},
		timeout: 5*60*1000,
		beforeSend: function(){
			$('#loadingImg').show();
		},
		complete: function(){
			$('#loadingImg').hide();
		}
	});
}

$('#view_bpjs_noka').on('keydown', function (e) {
	if(e.keyCode=='13'){
		e.preventDefault(); 
		nokaInputHandler();
	}
});

$('#btnCariNoka').click(function(){
	nokaInputHandler();
})


$('#post_noka').change(function(){
    $('#view_bpjs_noka').val($('#post_noka').val());
})
// $('#view_bpjs_noka').change(function(){
//    $('#post_noka').val($('#view_bpjs_noka').val());
// });
/*
$('#view_bpjs_tujuan_kunjungan').change(function(){
    if($(this).val() === "0"){
        $('#view_bpjs_flag_procedure').val("");
        $('#view_bpjs_flag_procedure').attr("disabled", true);
        $('#view_bpjs_kd_penunjang').val("");
        $('#view_bpjs_kd_penunjang').attr("disabled", true);
        // $('#view_bpjs_assesment_pel').val("");
        // $('#view_bpjs_assesment_pel').attr("disabled", false);
    }else if($(this).val() === "2"){
        $('#view_bpjs_flag_procedure').attr("disabled", true);
        $('#view_bpjs_kd_penunjang').attr("disabled", true);
        // $('#view_bpjs_assesment_pel').val("");
        // $('#view_bpjs_assesment_pel').attr("disabled", false);
    }else{
        $('#view_bpjs_flag_procedure').attr("disabled", false);
        $('#view_bpjs_kd_penunjang').attr("disabled", false);
        // $('#view_bpjs_assesment_pel').val("");
        // $('#view_bpjs_assesment_pel').attr("disabled", true);
    }
})
$('#view_bpjs_flag_procedure').change(function(){
    if(String($('#view_bpjs_flag_procedure').val()) === "0"){
        $('#view_bpjs_kd_penunjang').html(
            '<option value="">Default</option>'
            +'<option value="7">Laboratorium</option>'
            +'<option value="8">USG</option>'
            +'<option value="9">Farmasi</option>'
            +'<option value="10">Lain-Lain</option>'
            +'<option value="11">MRI</option>'
        )
        
    }else if(String($('#view_bpjs_flag_procedure').val()) === "1"){
        $('#view_bpjs_kd_penunjang').html(
            '<option value="">Default</option>'
            +'<option value="1">Radioterapi</option>'
            +'<option value="2">Kemoterapi</option>'
            +'<option value="3">Rehabilitasi Medik</option>'
            +'<option value="4">Rehabilitasi Psikososial</option>'
            +'<option value="5">Transfusi Darah</option>'
            +'<option value="6">Pelayanan Gigi</option>'
            +'<option value="12">HEMODIALISA</option>'            
        )
    }else{
        $('#view_bpjs_kd_penunjang').html('<option value="">Default</option>')
    }
})

$('.grup-lihat-faskes').hide()
$('#bpjs_lihat_faskes').click(function(){
    var that = this;
    if($(that).prop('checked')){
        $('.grup-lihat-faskes').show()
    }else{
        $('.grup-lihat-faskes').hide()
    }
})

$('.openModalSuratKontrol').click(function(){
    cSuratKontrol.open({
        nama : $('#view_bpjs_full_name').val(),
        detailNoMr : $('#view_bpjs_mr').val(),
    })
	
})

$('.diagnosa').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
    	, dataType: 'json'
    },{
        useAjax: function(e){ return true; }
    	, minLength: 0
    	, noresetSearch: true
    	, processItems: function(data){
        	return data;
	}
    	, generateUrl: function(strSearch) {
        	return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=diagnose&search=' + strSearch ;
	}
    }, {
        allow_single_deselect: true
    }).on('change', function(e) {
    	var ini = $(this) ;
    	var id = '.diagnoselabel' + ini.attr('id').substr(12,1) ;
	$(id).text(ini.val()) ;
    }) ;
}).trigger('change') ;
*/

var cSuratKontrol = (function() {
    'use strict';

    var elModal = $('#modalSuratKontrol')
    var mskPoli = $('#mskPoli')
    var mskDokter = $('#mskDokter')
    var mskTanggal = $('#mskTanggal')

    var updateAjaxChosen = function(elm, url, value) {
        $.ajax({
            data: {},
            url: url,
            type: "GET",
            timeout: 5 * 60 * 1000,
            success: function(result) {
                elm.html('');
                if (typeof elm.chosen === 'function') {
                    elm.trigger("chosen:updated");
                }
                elm.append('<option value="">pilih..</option>');
                result.forEach(function(data) {
                    if (data.id) {
                        var selected = (value === data.id) ? 'selected' : '';
                        elm.append('<option ' + selected + ' value="' + data.id + '">' + data.text + '</option>');
                    }
                });
                if (typeof elm.chosen === 'function') {
                    elm.trigger("chosen:updated");
                } else {
                    elm.chosen({
                        width: "100%"
                    });
                }
            },
            error: function(xhr, status, error) {
                alert('error')
            },
            beforeSend: function(xhr) {
                $('.faLoading').show()
            },
            complete: function(xhr, status) {
                $('.faLoading').hide()
            }
        })
    }

    var open = function(data) {
        $('#modalSuratKontrol').modal('show');
        $('#mskNama').val(data.nama)
        $('#mskMr').val(data.detailNoMr)    
    }

    

    $('#mskInsert').click(function(){
        var that = this;
        $.ajax({
            data: {
                sep : $('#mskNoSep').val(),
                dokter : $('#mskDokter').val(),
                poli : $('#mskPoli').val(),
                tanggal : $('#mskTanggal').val(),
            },
            url: '<?= QApplication::UrlCreator('control/' . base64_encode(QApplication::$ModulName . '/' . QApplication::$ActionName))?>/PatientDatasetBPJS/PendaftaranInsertSuratKontrolManual',
            type: "POST",
            timeout: 5* 60 * 1000,
            success: function(result){
                if(!result.noSuratKontrol){
                    return toastr.error(result.message, "Error-"+result.code)
                }
                $('#mskNoSuratKontrol').val(result.noSuratKontrol)
                return toastr.success(result.message, result.code)
            },
            error: function(xhr,status,error){
                alert('error');
            },
            beforeSend: function(xhr){
                $(that).addClass('disabled')
                $('.faLoading').show()
            },
            complete: function(xhr,status){
                $(that).removeClass('disabled')
                $('.faLoading').hide()
            }
        })
    })

    function showHistory(data){
        if(Array.isArray(data)){
            $('#mskHistoriPelayanan').html('')
            data.map(function(d){
                $('#mskNokaCariKontrol').val(d.noKartu)
                var dom = '<div>'
                dom += '<b>'+d.noSep+'</b> <button href="#" class="btn btn-primary btn-xs mskPakaiNoSep" data-sep="'+d.noSep+'">Pakai</button><br>'
                dom += (d.jnsPelayanan == 2 ? 'Rawat Jalan' : 'Rawat Inap')
                dom += ' - jnsPelayanan '+d.jnsPelayanan+'<br>'
                dom += d.poli+'<br>'
                dom += 'tgl Sep '+ d.tglSep+'<br>'
                dom += 'No Rujukan <code>'+ d.noRujukan+'</code><br>'
                dom += d.diagnosa +'<br>'
                dom += d.ppkPelayanan+'<br>'
                dom += d.kelasRawat+'<br>'
                dom += d.namaPeserta+'<br>'
                dom += 'No Kartu <code>'+ d.noKartu+'</code><br>'
                dom += 'tgl Plg Sep '+ d.tglPlgSep+'<br>'
                dom += '<hr>'
                dom += '</div>'

                $('#mskHistoriPelayanan').append(dom)
            })
        }
    }

    $(document).off('click','.mskPakaiNoSep').on('click','.mskPakaiNoSep',function(){
        var sep = $(this).data('sep');
        $('#mskNoSep').val(sep)

        var urlPoli = "<?= QApplication::UrlActionCreator('ReferensiBpjs/RencanaKontrolListSpesialistik/?pageId=')?><?=$strPageId?>"+ '&jenis=2&nomor=' + sep +'&tanggal='+mskTanggal.val()
        updateAjaxChosen(mskPoli, urlPoli, '')
    })

    mskPoli.change(function(){
        var that = this
        if($(that).val()){
            var poli = $(that).val()
            var urlDokter = "<?= QApplication::UrlActionCreator('ReferensiBpjs/RencanaKontrolJadwalPraktekDokter/?pageId=')?><?=$strPageId?>"+ '&jenis=2&poli=' + poli +'&tanggal='+mskTanggal.val() 
            updateAjaxChosen(mskDokter, urlDokter, '')
        }
    })

    $('#mskCopyNoSuratKontrolHasilManual').click(function(){
        var sKontrol = $('#mskNoSuratKontrol').val()
        if(sKontrol){
            $('#view_bpjs_skdp').val(sKontrol)
            elModal.modal('hide')
            $('#bpjs_buat_surat_kontrol').prop('checked', false)
        }
    })

    var listRencanaKontrol = function(){
        var that = this;
        var bulan = $('#mskBulanCariKontrol').val()
        var tahun = $('#mskTahunCariKontrol').val()
        var noka = $('#mskNokaCariKontrol').val() ? $('#mskNokaCariKontrol').val() : $('#view_bpjs_noka').val()
        $.ajax({
            type: "POST",
            url: "<?= QApplication::UrlActionCreator('ReferensiBpjs/ListRencanaKontrolByNoka/?pageId=')?><?=$strPageId?>",
            data: {
                bulan : bulan,
                tahun : tahun,
                noka : noka,
                filter : '2',
            },
            beforeSend : function(){
                $(that).addClass('disabled');
                $('#mskLoadingCariKontrol').show()
            },
            timeout: 1000 * 60 * 30,
            complete : function(){
                $(that).removeClass('disabled');
                $('#mskLoadingCariKontrol').hide()
            },
            error: function(response){
                console.log(response);
                alert('Error');
            },
            success: function (response) {
                if(response.code == '200'){
                    //
                    if(Array.isArray(response.data)){
                        $('#mskHasilCariKontrol').html('')
                        response.data.map(function(d){
                            var dom = '<div>'
                            dom += 'noSuratKontrol: <code>'+d.noSuratKontrol+'</code> '
                            // dom += '<button href="#" class="btn btn-success btn-xs mskPakaiSkdp" data-skdp="'+d.noSuratKontrol+'">Pakai</button><br>'
                            dom += '<button class="btn btn-success btn-xs mskPakaiSkdp" data-skdp="'+d.noSuratKontrol+'" data-sep="'+d.noSepAsalKontrol+'"data-tgl="'+d.tglSEP+'">Pakai</button><br>'
                            dom += 'jnsPelayanan: '+d.jnsPelayanan+'<br>'
                            dom += 'jnsKontrol: '+d.jnsKontrol+'<br>'
                            dom += 'namaJnsKontrol: '+d.namaJnsKontrol+'<br>'
                            dom += 'tglRencanaKontrol: '+d.tglRencanaKontrol+'<br>'
                            dom += 'tglTerbitKontrol: '+d.tglTerbitKontrol+'<br>'
                            dom += 'noSepAsalKontrol: '+d.noSepAsalKontrol+'<br>'
                            dom += 'poliAsal: '+d.poliAsal+'<br>'
                            dom += 'namaPoliAsal: '+d.namaPoliAsal+'<br>'
                            dom += 'poliTujuan: '+d.poliTujuan+'<br>'
                            dom += 'namaPoliTujuan: '+d.namaPoliTujuan+'<br>'
                            dom += 'tglSEP: '+d.tglSEP+'<br>'
                            dom += 'kodeDokter: '+d.kodeDokter+'<br>'
                            dom += 'namaDokter: '+d.namaDokter+'<br>'
                            dom += 'noKartu: '+d.noKartu+'<br>'
                            dom += 'nama: '+d.nama+'<br>'
                            dom += 'terbitSEP: <b>'+d.terbitSEP+'</b><br>'
                            dom += '<hr>'
                            dom += '</div>'
            
                            $('#mskHasilCariKontrol').append(dom)
                        })
                    }
                    //
                }else{
                    toastr.error(response.message, 'Gagal - '+response.code);
                }
            }
        });
    }

    $('#mskTinjauSuratKontrol').click(listRencanaKontrol)

    function convertIsoDataToIndDate(str){
       return str.split('-').reverse().join('-');
    }

    $(document).off('click','.mskPakaiSkdp').on('click','.mskPakaiSkdp',function(){

        var sep = $(this).data('sep');
        var tgl = $(this).data('tgl');
        var skdp = $(this).data('skdp');
        // alert([sep,tgl,skdp]);

        if( !$('#view_bpjs_referal_number').val() ) {
             $('#view_bpjs_referal_number').val(sep);
        }
        if( !$('#view_bpjs_referal_date').val() ) {
             $('#view_bpjs_referal_date').val( convertIsoDataToIndDate(tgl) );
        }
        // $('#view_bpjs_referal_date').val(tgl);
        $('#view_bpjs_skdp').val(skdp);

        elModal.modal('hide')
        $('#bpjs_buat_surat_kontrol').prop('checked', false)

    })

    //
    $('#mskRangeWaktu').daterangepicker({
        format: 'DD/MM/YYYY',
        dateLimit: { days: 1000 },
        showDropdowns: true,
        showWeekNumbers: true,
        timePicker: false,
        timePickerIncrement: 1,
        timePicker12Hour: true,
        ranges: {
            'Hari ini': [moment(), moment()],
            '30 Hari terakhir': [moment().subtract(29, 'days'), moment()],
            'Bulan Lalu': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')],
            '2 Bulan Lalu': [moment().subtract(2, 'month').startOf('month'), moment().subtract(2, 'month').endOf('month')],
            '3 Bulan Lalu': [moment().subtract(3, 'month').startOf('month'), moment().subtract(3, 'month').endOf('month')],
            '4 Bulan Lalu': [moment().subtract(4, 'month').startOf('month'), moment().subtract(4, 'month').endOf('month')],
            '90 Hari terakhir': [moment().subtract(89, 'days'), moment()],
        },
        opens: 'left',
        drops: 'down',
        buttonClasses: ['btn', 'btn-sm'],
        applyClass: 'btn-primary',
        cancelClass: 'btn-default',
        separator: ' to ',
        locale: {
            applyLabel: 'Submit',
            cancelLabel: 'Cancel',
            fromLabel: 'From',
            toLabel: 'To',
            customRangeLabel: 'Custom',
            daysOfWeek: ['Mg', 'Sn', 'Sl', 'Rb', 'Km', 'Jm','Sb'],
            monthNames: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
            firstDay: 1
        }
    }, function(start, end, label) {
        var newRange = start.format('DD.MM.YYYY') + ' - ' + end.format('DD.MM.YYYY');
        $('#mskRangeWaktu span').html(newRange);
        console.log('testtttttt')
        var noka = $('#mskNokaCariKontrol').val() ? $('#mskNokaCariKontrol').val() : $('#view_bpjs_noka').val()
        $.ajax({
            type: "POST",
            url: "<?= QApplication::UrlActionCreator('ReferensiBpjs/HistoriPelayanan/?pageId=')?><?=$strPageId?>",
            data: {
                range: $('#mskRangeWaktu span').html(),
                search: {value: noka},
            },
            beforeSend : function(){
                $('.faLoading').show()
            },
            timeout: 1000 * 60 * 30,
            complete : function(){
                $('.faLoading').hide()
            },
            error: function(response){
                console.log(response);
                alert('Error');
            },
            success: function (response) {
                showHistory(response.data)
            }
        });
    });
    // 

    return {
        open: open,
        showHistory: showHistory,
    }
})()


$("#view_bpjs_tujuan_kunjungan").chosen({
	no_results_text: 'Tidak ditemukan'
	, width: '100%!important;'
	, allow_single_deselect: true
});
$("#view_bpjs_flag_procedure").chosen({
	no_results_text: 'Tidak ditemukan'
	, width: '100%!important;'
	, allow_single_deselect: true
});
$("#view_bpjs_kd_penunjang").chosen({
	no_results_text: 'Tidak ditemukan'
	, width: '100%!important;'
	, allow_single_deselect: true
});
$("#view_bpjs_assesment_pel").chosen({
	no_results_text: 'Tidak ditemukan'
	, width: '100%!important;'
	, allow_single_deselect: true
});
$(".chosen").chosen({
	no_results_text: 'Tidak ditemukan'
	, width: '100%!important;'
	, allow_single_deselect: true
});

window.addEventListener('resize', function() {
    parent.AppPage.setSize(parent.window.innerWidth - 12, parent.window.innerHeight - 17).setPagePosition(6, (6 + parent.window.pageYOffset));
});
window.addEventListener('scroll', function() {
    parent.AppPage.setSize(parent.window.innerWidth - 12, parent.window.innerHeight - 17).setPagePosition(6, (6 + parent.window.pageYOffset));
});
</script>
