
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">

<?php
if(System::getPublicVariable('stage_bpjs_service')=='production') {
	define( "STR_SERVICE_PROVIDER_CODE" , System::getPublicVariable("kode_bpjs") );
} else if(System::getPublicVariable('stage_bpjs_service')=='testing') {
	define( "STR_SERVICE_PROVIDER_CODE" , System::getPublicVariable("kode_bpjs_testing") );
} else {

	// RSB BONDOWOSO
	define("STR_SERVICE_PROVIDER_CODE", "0191R003");
}
?>


<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

// simulasi error;

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);


	$json = json_decode($objPatientNursing->RegisterJson);
	$tindakanTanggal1 = $json->TindakanTanggal1;
	$tindakanTanggal2 = $json->TindakanTanggal2;
	$tindakanTanggal3 = $json->TindakanTanggal3;
	$tindakanTanggal4 = $json->TindakanTanggal4;
	$tindakanTanggal5 = $json->TindakanTanggal5;
	$statusIndex = $json->StatusIndex;
	$arrObjCompetence = HrisRefCompetence::LoadAll();

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
$umurDalamTahun = $diff->y;

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}
$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);
?>
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#nama_versi{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="row">
	<div class="col-xs-12">
		<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
			<div class="row" id="formBPJS" style="">
				<div class="box-header " style="text-align:center;">
					<h4 class="modal-title">FORM ISIAN DATA BPJS <img id="loadingImg" style="height: 20px; width: 80px; display: none" src="<?= __USER_ASSETS__ ?>/images/loading-img.gif"/></h4>
				</div>
					<div class="col-md-12" style="padding:0px 30px;">
					<table width="100%" class="table" border="0" style="border-collapse: collapse;">
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;border-top:none;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">Nomor Peserta / NOKA</td>
										<td class="td" style="width: 250px;">
											<div class="input-group">
												<input type="text" class="form-control input-md" name="view_bpjs_noka" id="view_bpjs_noka" autocomplete="off" required="" placeholder="nomor peserta bpjs" value="<?= $objPatientNursing->RegisterMembershipNumber ?>" tabindex="305">
												<div class="input-group-btn">
													<button id="btnCariNoka" style="height:30px;" class="btn btn-md"><i class="fa fa-search"></i></button>
												</div>
											</div>
										</td>
										<td class="td" style="width: 150px; text-align: right;">Nomor NIK / KTP</td>
										<td class="td" >
											<input type="text" class="form-control input-md" name="view_bpjs_nik" id="view_bpjs_nik" autocomplete="off" placeholder="nomor ktp / nik" value="<?= $objPatientNursing->IdentityNumber ?>" tabindex="306">
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">Nomor SEP</td>
										<td class="td" style="width: 250px;">
											<input readonly type="text" class="form-control input-md" id="sep_ada">
											<input readonly type="hidden" class="form-control input-md" name="view_bpjs_sep" id="view_bpjs_sep" value="">
										</td>
										<td></td>
										<td></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">No RM</td>
										<td class="td" style="width: 250px;">
											<input type="text" class="form-control input-md" name="view_bpjs_mr" id="view_bpjs_mr" autocomplete="off" value="<?= $objPatientNursing->Mr ?>" readonly="" placeholder="Nomor RM" tabindex="301">
										</td>
										<td class="td" style="width: 150px;">&nbsp;</td>
										<td class="td" >
											<select id="view_jenis_pencarian" name="view_jenis_pencarian" class="form-control input-md">
												<option value="peserta">Peserta</option>
												<option value="rujukan">Rujukan</option>
											</select>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">Nama</td>
										<td class="td" style="width: 250px;">
											<input type="text" class="form-control input-md" name="view_bpjs_full_name" id="view_bpjs_full_name" autocomplete="off" required="" value="<?= $objPatientNursing->FirstName ?>" readonly="" tabindex="302">
										</td>
										<td class="td" style="width: 150px; text-align: right;">JK</td>
										<td class="td" >
											<input type="text" class="form-control input-md" name="view_bpjs_gender" id="view_bpjs_gender" autocomplete="off" required="" value="P" readonly="" tabindex="303">
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">Umur</td>
										<td class="td" style="width: 250px;">
											<input type="text" class="form-control input-md" name="view_bpjs_age" id="view_bpjs_age" autocomplete="off" required="" value="<?=  $umur ?>" readonly="" tabindex="304">
										</td>
										<td class="td" style="width: 150px;">&nbsp;</td>
										<td class="td" >&nbsp;</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">No Telp</td>
										<td class="td" style="width: 250px;">
											<input type="text" class="form-control input-md" name="view_bpjs_telp" id="view_bpjs_telp" autocomplete="off" value="<?= $objPatientNursing->MobilePhone ?>" tabindex="307">
										</td>
										<td class="td" style="width: 150px;">&nbsp;</td>
										<td class="td" >&nbsp;</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">No Rujukan</td>
										<td class="td" style="width: 250px;">
											<input type="text" class="form-control input-md" name="view_bpjs_referal_number" id="view_bpjs_referal_number" autocomplete="off" required="" value="<?= STR_SERVICE_PROVIDER_CODE ?>" placeholder="Nomor Rujukan" tabindex="308">
										</td>
										<td class="td" style="width: 150px; text-align: right;">Tanggal Rujukan</td>
										<td class="td" >
											<input type="text" class="form-control input-date" name="view_bpjs_referal_date" id="view_bpjs_referal_date" autocomplete="off" required="" value="<?= date('d-m-Y') ?>" placeholder="Tanggal Rujukan" tabindex="309">
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">Nama Provider</td>
										<td class="td" style="width: 250px;">
											<input type="text" class="form-control input-md" name="view_bpjs_provider_name" id="view_bpjs_provider_name" autocomplete="off" required="" placeholder="" value="" readonly="" placeholder="Nama Provider" tabindex="">
										</td>
										<td class="td" style="width: 150px; text-align: right;">Kode Provider</td>
										<td class="td" >
											<input type="text" class="form-control input-md" name="view_bpjs_provider_code" id="view_bpjs_provider_code" autocomplete="off" placeholder="" value="" readonly="" placeholder="Kode Provider" tabindex="310">
											<input type="hidden" name="view_bpjs_jenis_faskes" id="view_bpjs_jenis_faskes">
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<!-- <td class="td" style="width: 170px;">Poli Rujukan</td>
											<td class="td" style="width: 250px;">
											    <input type="text" class="form-control input-md" name="view_department_name_poli_tujuan" id="view_department_name_poli_tujuan" autocomplete="off" required="" placeholder="" value="" readonly="" placeholder="Poli Tujuan" tabindex="311">
											    <input type="hidden" class="form-control input-md" name="view_bpjs_poli_tujuan" id="view_bpjs_poli_tujuan">
											    <input type="hidden" class="form-control input-md" name="view_department_id_poli_tujuan" id="view_department_id_poli_tujuan">
											    <input type="hidden" class="form-control input-md" name="view_department_code_poli_tujuan" id="view_department_code_poli_tujuan">
											</td> -->
										<td class="td" style="width: 170px;">Diagnosa</td>
										<td class="td" style="width: 250px;">
											<select name="view_bpjs_diagnose" id="view_bpjs_diagnose" class="form-control input-md-2 diagnosa" placeholder="Search Diagnosa" value=""<?=$objPatientNursing->AdmissionDiagnoseCode1?> tabindex="312">
											</select>
										</td>
										<td></td>
										<td></td>
									</tr>
								</table>
							</td>
						</tr>
						<!-- <tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
							    <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
							        <tr>
							            <td class="td" style="width: 170px;">Dokter</td>
							            <td class="td" style="width: 250px;">
							                <select data-plugin-selecttwo class="form-control dokter" title="" name="view_bpjs_dokter" id="view_bpjs_dokter" data-date-format="dd/mm/yyyy" tabindex="313">
							                </select>
							                <input type="text" class="form-control input-md" name="view_bpjs_dokter" id="view_bpjs_dokter" autocomplete="off" required="" placeholder="" value="" readonly="" tabindex="313">
							            </td>
							            <td class="td" style="width: 150px; text-align: right;">No SKDP</td>
							            <td class="td" >
							                <input type="text" class="form-control input-md" name="view_bpjs_skdp" id="view_bpjs_skdp" autocomplete="off" placeholder="" value="" placeholder="Nomor SKDP" tabindex="314">
							            </td>
							        </tr>
							    </table>
							</td>
							</tr> -->
						<!-- <tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
							    <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
							        <tr>
							            <td class="td" style="width: 170px;"></td>
							            <td class="td" style="width: 250px;">
							                <input class="" type="checkbox" name="view_operasi_katarak" id="view_operasi_katarak" value="operasi katarak" >
							                <label for="view_operasi_katarak">
							                    Operasi Katarak
							                </label>
							            </td>
							            <td class="td" style="width: 150px;">&nbsp;</td>
							            <td class="td" >&nbsp;</td>
							        </tr>
							    </table>
							</td>
							</tr> -->
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">Laka Lantas</td>
										<td class="td" style="width: 250px;">
											<select data-plugin-selecttwo class="form-control" title="" name="view_bpjs_laka_lantas" id="view_bpjs_laka_lantas" tabindex="315">
												<option value="">--Belum Memilih--</option>
												<option value="3">Kecelakaan Kerja</option>
												<option value="2">KLL dan Kecelakaan Kerja</option>
												<option value="1">KLL Bukan Kecelakaan Kerja</option>
												<option value="0">Tidak</option>
											</select>
										</td>
										<td class="td" style="width: 150px; text-align: right;">Penjamin Laka Lantas</td>
										<td class="td" >
											<select multiple class="form-control chosen-select-penjamin" title="" name="view_bpjs_penjamin_laka_lantas" id="view_bpjs_penjamin_laka_lantas" tabindex="316">
												<option value="1">Jasa Raharja</option>
												<option value="2">BPJS Ketenagakerjaan</option>
												<option value="3">TASPEN</option>
												<option value="4">ASABRI</option>
											</select>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">Tanggal Kejadian KLL</td>
										<td class="td" style="width: 250px;">
											<input type="text" class="form-control input-date" name="view_bpjs_kll_date" id="view_bpjs_kll_date" data-date-end-date="+0d" autocomplete="off" required="" value="" placeholder="Tanggal KLL" tabindex="317">
										</td>
										<td class="td" style="width: 150px; text-align: right;">Keterangan Kejadian KLL</td>
										<td class="td" >
											<input type="text" class="form-control input-md" name="view_bpjs_keterangan_kll" id="view_bpjs_keterangan_kll" autocomplete="off" placeholder="" value="" placeholder="Keterangan Kejadian KLL" tabindex="318">
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">Suplesi</td>
										<td class="td" style="width: 250px;">
											<select data-plugin-selecttwo class="form-control" title="" name="view_bpjs_suplesi" id="view_bpjs_suplesi" tabindex="319">
												<option value="">--Belum Memilih--</option>
												<option value="1">Ya</option>
												<option value="0">Tidak</option>
											</select>
										</td>
										<td class="td" style="width: 150px; text-align: right;">No SEP Suplesi</td>
										<td class="td" >
											<input type="text" class="form-control input-md" name="view_bpjs_nomor_sep_suplesi" id="view_bpjs_nomor_sep_suplesi" autocomplete="off" required="" value="" placeholder="Nomor SEP Suplesi" tabindex="320">
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td colspan="4" style="padding: 0px; margin: 0;">
								<table class="table" style="padding: 0; margin:0;">
									<tr>
										<td>
											<h4>Lokasi Kejadian Laka Lantas</h4>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">Propinsi</td>
										<td class="td" style="width: 250px;">
											<select data-plugin-selecttwo class="form-control bpjsPropinsi" title="" name="view_bpjs_propinsi" id="view_bpjs_propinsi" tabindex="321">
											</select>
										</td>
										<td class="td" style="width: 150px; text-align: right;"></td>
										<td class="td" >
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">Kabupaten/Kota</td>
										<td class="td" style="width: 250px;">
											<select data-plugin-selecttwo class="form-control bpjsKabupaten" title="" name="view_bpjs_kabupaten" id="view_bpjs_kabupaten" tabindex="322">
											</select>
										</td>
										<td class="td" style="width: 150px; text-align: right;"></td>
										<td class="td" >
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">Kecamatan</td>
										<td class="td" style="width: 250px;">
											<select data-plugin-selecttwo class="form-control bpjsKecamatan" title="" name="view_bpjs_kecamatan" id="view_bpjs_kecamatan" tabindex="323">
											</select>
										</td>
										<td class="td" style="width: 150px; text-align: right;"></td>
										<td class="td" >
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<!-- <tr bgcolor="#0088cc">
							<td colspan="4" style="padding: 0px;">
								<table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
									<tr>
										<td class="td" style="width: 170px;">&nbsp;</td>
										<td class="td" style="width: 250px;">
											<a class="btn btn-primary" role="button" onclick="saveBPJS();" id="simpanBPJS" tabindex="314"><i class="fa fa-save">   Simpan</i></a>
										</td>
										<td class="td" style="width: 150px;">&nbsp;</td>
										<td class="td" style="align-content: flex-end;">
											&nbsp;
										</td>
									</tr>
								</table>
							</td>
						</tr> -->
					</table>
				</div>
				<div class="col-md-12" style="padding:0px 40px;">
					<a class="btn btn-primary" style="" role="" onclick="" id="simpanBPJS" tabindex="316"><i class="fa fa-save"></i> Simpan</a>
					<a class="btn btn-primary disabled" style="display:none;" role="" onclick="" id="simpanBPJS-loading" tabindex="316"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</a>
					<span class="" style="margin-left: 25px">
					<input class="" type="checkbox" name="view_wajib_sep" id="view_wajib_sep" value="wajib_sep" style="margin-top:-3px;margin-right:2px;cursor:pointer;" checked>
					<label for="view_wajib_sep" style="cursor:pointer;">
					Wajib SEP
					</label>
					<span id="keteranganRujukanDipakai"></span>
					</span>
				</div>
			</div>
		</div>
	</div>
</div>

</div>
</div>



<script>

$('#content').off('click', '#simpanBPJS').on('click', '#simpanBPJS', function () {
	posting('DRAFT');
});

function posting(mode){
	// alert('post');

	var post = {};

	post.pageId = strPageId;
	post.actorId = strActorId;
	post.nursingId = '<?= $strId ?>'; //nursing id
	post.department = strDepartmentId;

	post.mode = mode;
	if( mode=='VERIFIKASI' ){
		post.password = $('#password').val();
	}

	post.RegisterMembershipNumber = $('#view_bpjs_noka').val();
	post.IdentityNumber = $('#view_bpjs_nik').val();
	post.RegisterWarantyLetterNumber = $('#view_bpjs_sep').val();
	post.Mr = $('#view_bpjs_mr').val();
	post.vBpjsJenisPencarian = $('#view_jenis_pencarian').val();
	post.FirstName = $('#view_bpjs_full_name').val();
	post.vBpjsGender = $('#view_bpjs_gender').val();
	post.vBpjsUmur = $('#view_bpjs_age').val();
	post.MobilePhone = $('#view_bpjs_telp').val();
	post.vBpjsNoRujukan = $('#view_bpjs_referal_number').val();
	post.vBpjsTanggalRujukan = $('#view_bpjs_referal_date').val();
	post.vBpjsNamaProvider = $('#view_bpjs_provider_name').val();
	post.vBpjsKodeProvider = $('#view_bpjs_provider_code').val();
	post.vBpjsDiagnosa = $('#view_bpjs_diagnose').val();
	post.vBpjsLakaLantas = $('#view_bpjs_laka_lantas').val();
	post.vBpjsPenjaminLakaLantas = $('#view_bpjs_penjamin_laka_lantas').val();
	post.vBpjsTanggakKejadianKll = $('#view_bpjs_kll_date').val();
	post.vBpjsKeteranganKll = $('#view_bpjs_keterangan_kll').val();
	post.vBpjsSuplesi = $('#view_bpjs_suplesi').val();
	post.vBpjsNoSepSuplesi = $('#view_bpjs_nomor_sep_suplesi').val();
	post.vBpjsPropinsi = $('#view_bpjs_propinsi').val();
	post.vBpjsKabupaten = $('#view_bpjs_kabupaten').val();
	post.vBpjsKecamatan = $('#view_bpjs_kecamatan').val();
	

	console.log(post);
	toastr.info('Menyimpan Data', 'Informasi');
	parent.showLoader(20);
	$.ajax({
		url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/PembuatanSEP')?>"
		, data: post
		, type: "POST"
		, timeout: 20 * 1000
		, beforeSend: function(xhr){
			$('#simpanBPJS').hide();
			$('#simpanBPJS-loading').show();
		}
		, uploadProgress: function (event,position,total,percentComplete){
			// progressBar.width( percentComplete + '%' );
			// progressBar.html( '' + percentComplete + ' % Complete' );
		}
		, success: function(result){
			if( mode == 'VERIFIKASI' && result.status != 'error' ){
				$('#modal-area').modal("hide");
				toastr.success( 'Data Terkirim', 'Informasi');
				//$('#cetak_laporan').removeClass('disabled');
				//$('#float-print').removeClass('btn disabled');
				//$('.koreksi').removeClass('disabled'); 
				//$('#float-koreksi').show();
				//$('#float-validasi').hide();
				parent.boolChange = false;
				parent.toastr.info( result.message , 'Informasi');
				//parent.$('#form_uroflowmetri').removeClass('btn-primary').addClass('btn-success').html('Uroflowmetri <i style="color:yellow;" class="fa fa-check"></i>');
				parent.AppPage.hide();
			} else if( result.status != 'error' ){
				parent.toastr.info( result.message , 'Informasi');
				//$('#cetak_laporan').removeClass('disabled');
				//$('#float-print').removeClass('btn disabled');
				parent.boolChange = false;
				//parent.$('#form_uroflowmetri').removeClass('btn-primary').addClass('btn-success').html('Uroflowmetri <i style="color:yellow;" class="fa fa-check"></i>');
				parent.AppPage.hide();
			} else {
				toastr.error( result.message , 'Error');
			}
		}
		, complete: function(xhr,status){
			parent.hideLoader();
			$('#simpanBPJS-loading').hide();
			$('#simpanBPJS').show();
		}
		, error: function(xhr,status,error){
			console.log(xhr);
			alert('Gagal menyimpan data');
		}
	})
}
	
var ObjectData = {};
function nokaInputHandler(){
	var noka = $('#view_bpjs_noka').val();
	if(noka.length == 13){
	        nokaHandler(noka);
	} else if(noka.length == 16) {
		nikHandler(noka);
	} else if(noka.length == 19){
		referalHandler(noka);
	} else {
		parent.jPopup(
			'NoKA harus 13 Karakter' ,
			(function() {
		    		$('[tabindex=305]').focus();
			})
        	);
	}
}

function responseBpjsPencarianPeserta(response){
	if(response.code != '200'){
		toastr.error(response.message, response.code, {timeOut: 60000}) ;
	}
	// alert([ response.STR_SERVICE_PROVIDER_CODE , response.no_sep_history ]);
	// alert([ response.no_sep_history.indexOf( response.STR_SERVICE_PROVIDER_CODE ) ]);

	// response.no_sep_history.indexOf( response.STR_SERVICE_PROVIDER_CODE ) == -1 // => SEP DARI LUAR RS

	// if( (response.skip_create_sep === true) ){
	if( (response.skip_create_sep === true) && response.no_sep_history && ( response.no_sep_history.indexOf(response.STR_SERVICE_PROVIDER_CODE) == 0 ) ){
		$('#sep_ada').val('ADA') ;
		$('#view_bpjs_sep').val(response.no_sep_history) ;
		$('#view_bpjs_diagnose').append('<option selected value="'+response.diagnosa_sep_skip+'">'+response.diagnosa_sep_skip+'</option>').trigger("chosen:updated") ;
		var igdUmumVal = $('#view_main_department option').filter(function () { 
			return $(this).html().includes('IGD UMUM') ;
		}).val() ;
		$('#view_main_department').val(igdUmumVal).trigger("chosen:updated") ;
	} else {
		$('#sep_ada').val('') ;
	}

	ObjectData.ViewBpjsHakKelas = response.hak_kelas ;
	ObjectData.keterangan_jenis_kepesertaan = response.jenis_kepesertaan_keterangan ;
	$('#view_bpjs_full_name').val(response.full_name) ;
	$('#view_bpjs_provider_name').val(response.provider_name) ;
	$('#view_bpjs_provider_code').val(response.provider_code) ;
	// tinjauFaskes(response.provider_code) ;
	$('#view_bpjs_jenis_faskes').val(response.faskes) ;

	if(! $('#view_bpjs_telp').val()){
		$('#view_bpjs_telp').val(response.peserta_telp) ;
	}
	if(! $('#post_mobile_phone').val()){
		$('#post_mobile_phone').val(response.peserta_telp) ;
	}
	$('#view_bpjs_mr_by_kepesertaan').val(response.peserta_rm) ;

	ObjectData.BpjsRm = '' ;
	if(response.peserta_rm){
		// alert([response.peserta_rm]) ;
	    	var NoMRSaatIni = $('#view_bpjs_mr').val() ;
		var NoMRBPJS = response.peserta_rm ;
		var boolValidRM = false ; intLevelValid = 0;
		if( !NoMRBPJS ) { boolValidRM = true; }
		if( !boolValidRM && ( NoMRSaatIni && NoMRSaatIni.length > 0 ) && ( NoMRBPJS && NoMRBPJS.length > 0 ) ) {
			// alert( [ NoMRSaatIni , NoMRBPJS , NoMRBPJS.indexOf(NoMRSaatIni) , NoMRSaatIni.indexOf(NoMRBPJS) ] );
	        	if( NoMRSaatIni.length == NoMRBPJS.length ) {
        		    	if( NoMRSaatIni == NoMRBPJS ) {
					boolValidRM = true;
					intLevelValid = 2;
				}
				/*
				if( boolValidRM ) {
					alert('MR Valid dgn Nomor MR saat ini sama panjang dengan Nomor BPJS');
				} else {
					alert('MR Tidak Valid dgn Nomor MR saat ini sama panjang dengan Nomor BPJS');
				}
		                */
		    	} else {
				if( NoMRSaatIni.length > NoMRBPJS.length ) {
					if( NoMRSaatIni.indexOf(NoMRBPJS) >= 0 ) {
						boolValidRM = true;
						intLevelValid = 1;
					}
					/*
					if( boolValidRM ) {
						alert('MR Valid dgn Nomor MR saat ini lebih panjang');
					} else {
						alert('MR Tidak Valid dgn Nomor MR saat ini lebih panjang');
					}
					*/
		        	} else {
					if( NoMRBPJS.indexOf(NoMRSaatIni) >= 0 ) {
						boolValidRM = true;
						intLevelValid = 1;
					}
					/*
					if( boolValidRM ) {
						alert('MR Valid dgn Nomor MR di BPJS lebih panjang');
			            	} else {
						alert('MR Tidak Valid dgn Nomor MR di BPJS lebih panjang');
					}
					*/
        			}
    			}
		}
	    	if( !boolValidRM ) {
			parent.jPopup(
				'Nomor RM Saat ini  : ' + NoMRSaatIni + '<br>' +
				'Nomor RM Data BPJS : ' + NoMRBPJS + '<br>' +
				'Cek No KTP Penderita : ' + response.member_nik + '<br>' +
				'Cocokkan Foto KTP dengan Penderita ' + '<br>' +
				'Bila benar , Silahkan didaftar ulang ' +
				'mengunakan Nomor RM ' + NoMRBPJS ,
				( function() {
        				// $('[tabindex=4]').focus();
				} )
	               );
		}
		ObjectData.BpjsRm = response.peserta_rm;
	} else {
		var NoMRSaatIni = '';
		var NoMRBPJS = '';
		ObjectData.BpjsRm = '';
	}
	strMrOnBpjs = ObjectData.BpjsRm;

	$('#view_bpjs_nik').val(response.member_nik);
	$('#view_bpjs_noka').val(response.member_noka);
	if($('#view_jenis_pencarian').val() == 'rujukan'){
	        response.no_kunjungan ? $('#view_bpjs_referal_number').val(response.no_kunjungan) : null;            
		$('#view_bpjs_referal_date').val(response.tgl_kunjungan);
		$('#view_bpjs_poli_tujuan').val(response.poli_rujukan);
		$('#view_department_name_poli_tujuan').val(response.department_name_poli_tujuan);
		$('#view_department_id_poli_tujuan').val(response.department_id_poli_tujuan);
		$('#view_department_code_poli_tujuan').val(response.department_code_poli_tujuan);       
		$('#view_bpjs_diagnose').append('<option selected value="'+response.diagnosa_kode+'">'+response.diagnosa_nama+'</option>').trigger("chosen:updated");
	}
	console.log(response);
	if(! response.full_name) {
		toastr.warning('Data tidak ditemukan', 'Peringatan');
	}
	// pendaftaranCariSep(response);
};

function nokaHandler(noka){
	console.log('noka handler');
	if(isNaN(noka.trim())) {
		return toastr.warning('Nomor kartu harus angka', 'Peringatan');
	}
	var objKirim = {};
	objKirim.searchNoka = noka;
	objKirim.mode = 'RAWAT DARURAT';

	if($('#view_jenis_pencarian').val() == 'rujukan'){
		var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/RujukanSearchRecordByNoka/?pageId=')?>" + strPageId + '&searchNoka=' + noka;
	} else {
		var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/SearchRecord/?pageId=')?>" + strPageId + '&searchNoka=' + noka;
	}
	var data = objKirim;
	$.ajax({
		url: url
		, data: data
		, method: 'GET'
		, timeout: 5*60*1000
		, success: responseBpjsPencarianPeserta
		, beforeSend: function(){
			$('#loadingImg').show();
		}
		, complete: function(){
			$('#loadingImg').hide();
		}
	});
}

function nikHandler(nik){
	console.log('nik handler');
	var objKirim = {};
	objKirim.searchNik = nik;
	objKirim.mode = 'RAWAT DARURAT';
    
	var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/SearchRecordByNik/?pageId=')?>" + strPageId + '&searchNik=' + nik;
	var data = objKirim;
	$.ajax({
		url: url
		, data: data
		, method: 'GET'
		, timeout: 5*60*1000
		, success: responseBpjsPencarianPeserta
		, beforeSend: function(){
			$('#loadingImg').show();
		}
		, complete: function(){
			$('#loadingImg').hide();
		}
	});
}

function referalHandler(referal){
	console.log('rujukan handler');
	var objKirim = {};
	objKirim.searchReferal = referal;
	objKirim.mode = 'RAWAT DARURAT';

	var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/SearchRecordByReferal/?pageId=')?>" + strPageId + '&searchReferal=' + referal;
	var data = objKirim;
    
	$.ajax({
		url: url,
		data: data,
		method: 'GET',
		timeout: 5*60*1000,
		success: responseBpjsPencarianPeserta,
		beforeSend: function(){
			$('#loadingImg').show();
		},
		complete: function(){
			$('#loadingImg').hide();
		}
	});
}

function nokaInputHandler(){
	var noka = $('#view_bpjs_noka').val();
	if(noka.length == 13){
	        nokaHandler(noka);
	} else if(noka.length == 16) {
		nikHandler(noka);
	} else if(noka.length == 19){
		referalHandler(noka);
	} else {
		parent.jPopup(
			'NoKA harus 13 Karakter' ,
			(function() {
		    		$('[tabindex=305]').focus();
			})
        	);
	}
}

$('#view_bpjs_noka').on('keydown', function (e) {
	if(e.keyCode=='13'){
		e.preventDefault(); 
		nokaInputHandler();
	}
});

$('#btnCariNoka').click(function(){
	nokaInputHandler();
})

function tinjauFaskes(kodeProvider){
	console.log('Tinjauan Faskes ' + kodeProvider);
	if(! kodeProvider){
	        toastr.warning('Kode Provider Masih Kosong', 'Peringatan');
	    	return null;
	}
	var objKirim = {};
	objKirim.kodeProvider = kodeProvider;
	var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/TinjauFaskes/?pageId=')?>" + strPageId + '&kodeProvider=' + kodeProvider;
	var data = objKirim;
	var success = function(response){
		if(response.code != '200'){
			toastr.error(response.message, response.code, {timeOut: 60000});
		}
		// $('#view_bpjs_full_name').val(response.full_name);
		console.log(response)
		if(! response.faskes){
			toastr.warning('Jenis Faskes Gagal Dikenali', 'Peringatan');
		} else {
			$('#view_bpjs_jenis_faskes').val(response.faskes);
			console.log("jenis Faskes: "+response.faskes);
		}
	};
	$.ajax({
		url: url
		, data: data
		, timeout: 5*60*1000
		, success: success
		, beforeSend: function(){
			$('#loadingImg').show();
		}
		, complete: function(){
			$('#loadingImg').hide();
		}
	});
}

function ambilBerdasarkanRujukanMr(referal){
	var mr = $('#view_bpjs_mr').val();
	var url = "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/PatientNursingByRujukan/?pageId=')?>" + strPageId + '&referal=' + referal + '&mr='+mr;
	$.ajax({
		url: url,
		success: function(response){
				if(response.code != '200'){
					toastr.error(response.message, response.code, {timeOut: 60000});
				}
				console.log(response)
				$('#view_bpjs_skdp').val(response.nomorSpri);
				$('#view_main_doctor').data('dariRujukan', response.dokterSpri);
				$('#view_main_department').val(response.kompetensiSpri).trigger('chosen:updated');
		}
		, timeout: 5*60*1000
		, beforeSend: function(){
			showLoader();
		}
		, complete: function(){
			hideLoader();
		}
	});
}

$('#view_bpjs_nik').on('keydown', function (e) {
	if(e.keyCode=='13'){
		e.preventDefault(); 
		var nik = $('#view_bpjs_nik').val();
		var noka = $('#view_bpjs_noka').val();
		if(nik.length == 16 || noka.length == 16){
			nikHandler(nik);
		} else {
			parent.jPopup(
				'Nomor NIK/Nomor KTP harus 16 Karakter' ,
				( function() {
					$('[tabindex=306]').focus();
				})
			);
		}
	}
});

$('#view_bpjs_referal_number').on('keydown', function (e) {
	if(e.keyCode=='13'){
		e.preventDefault();  
		var referal = $('#view_bpjs_referal_number').val();
		var noka = $('#view_bpjs_noka').val();
		if(referal.length == 19 || noka.length == 19){
			referalHandler(referal);
		} else {
			parent.jPopup(
				'Nomor Rujukan harus 19 Karakter' ,
				(function() {
					$('[tabindex=308]').focus();
				})
			);
		}
	}
});

$('#view_bpjs_referal_date').datepicker({
	format: "dd-mm-yyyy"
	, autoclose: true
	, endDate: null
});

$('#view_bpjs_kll_date').datepicker({
	format: "dd-mm-yyyy"
	, autoclose: true
	, endDate: null
});


$('#view_bpjs_propinsi').chosen().change( function (e) {
	$('#view_bpjs_kabupaten').val('').trigger("chosen:updated");
	$('#view_bpjs_kecamatan').val('').trigger("chosen:updated");
});

$('#view_bpjs_kabupaten').chosen().change( function (e) {
	$('#view_bpjs_kecamatan').val('').trigger("chosen:updated");
});

$('#view_main_department').change(function(){
	console.log('view_main_department CHANGE')
	setListDokterIgd();
});

$('#view_bpjs_noka').on('keydown', function (e) {
	if(e.keyCode=='13'){
		e.preventDefault(); 
		nokaInputHandler();
	}
});

$('#btnCariNoka').click(function(){
	nokaInputHandler();
})

$(".chosen-select-penjamin").chosen() ;
$('button').click(function(){
	$(".chosen-select-penjamin").val('').trigger("chosen:updated") ;
});

//jejak jejak
$('.bpjsPropinsi').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
    	, dataType: 'json'
    },{
        useAjax: function(e){ return true; }
    	, minLength: 0
    	, processItems: function(data){
		// alert(JSON.stringify(data));
		// return data.list;
        	if(data.code != '200'){
                parent.toastr.error(data.message, data.code, {timeOut: 60000});
    	}
        	return data;
	}
    	, generateUrl: function(strSearch){
		// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
        	return "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/Referensi/?pageId=')?><?=$strPageId?>"+ '&Mode=propinsi'
	}
    }).on('change', function(e) {
	// NOTHING
    });
});

$('.bpjsKabupaten').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
    	, dataType: 'json'
    },{
        useAjax: function(e){ return true; }
    	, minLength: 0
    	, processItems: function(data){
		// alert(JSON.stringify(data));
		// return data.list;
        	if(data.code != '200'){
                parent.toastr.error(data.message, data.code, {timeOut: 60000});
    	}
        	return data;
	}
    	, generateUrl: function(strSearch){
        	var bpjsKodePropinsi = $('#view_bpjs_propinsi').val();
		// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
        	return "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/Referensi/?pageId=')?><?=$strPageId?>"+ '&Mode=kabupaten&Search='+bpjsKodePropinsi
	}
    }).on('change', function(e) {
	// NOTHING
    });
});

$('.bpjsKecamatan').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
    	, dataType: 'json'
    },{
        useAjax: function(e){ return true; }
    	, minLength: 0
    	, processItems: function(data){
		// alert(JSON.stringify(data));
		// return data.list;
        	if(data.code != '200'){
                parent.toastr.error(data.message, data.code, {timeOut: 60000});
    	}
        	return data;
	}
    	, generateUrl: function(strSearch){
        	var bpjsKodeKabupaten = $('#view_bpjs_kabupaten').val();
		// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
        	return "<?= QApplication::UrlActionCreator('PatientDatasetBPJS/Referensi/?pageId=')?><?=$strPageId?>"+ '&Mode=kecamatan&Search='+bpjsKodeKabupaten
	}
    }).on('change', function(e) {
	// NOTHING
    });
});

$('.diagnosa').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
    	, dataType: 'json'
    },{
        useAjax: function(e){ return true; }
    	, minLength: 0
    	, noresetSearch: true
    	, processItems: function(data){
        	return data;
	}
    	, generateUrl: function(strSearch) {
        	return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=diagnose&search=' + strSearch ;
	}
    }, {
        allow_single_deselect: true
    }).on('change', function(e) {
    	var ini = $(this) ;
    	var id = '.diagnoselabel' + ini.attr('id').substr(12,1) ;
	$(id).text(ini.val()) ;
    }) ;
}).trigger('change') ;

</script>