<?php
function tempKomunikasi($objPatientNursing = null, $prefix = null){
    $ori_Bicara = $prefix.'Bicara';
    $edit_Bicara = $prefix.'BicaraEdit';
    $ori_BicaraUraian = $prefix.'BicaraUraian';
    $edit_BicaraUraian = $prefix.'BicaraUraianEdit';
    $ori_Penterjemah = $prefix.'Penterjemah';
    $edit_Penterjemah = $prefix.'PenterjemahEdit';
    $ori_PenterjemahBahasa = $prefix.'PenterjemahBahasa';
    $edit_PenterjemahBahasa = $prefix.'PenterjemahBahasaEdit';
    $ori_BahasaIsyarat = $prefix.'BahasaIsyarat';
    $edit_BahasaIsyarat = $prefix.'BahasaIsyaratEdit';
    $ori_HambatanBelajar = $prefix.'HambatanBelajar';
    $edit_HambatanBelajar = $prefix.'HambatanBelajarEdit';
    $ori_HambatanBelajarUraian = $prefix.'HambatanBelajarUraian';
    $edit_HambatanBelajarUraian = $prefix.'HambatanBelajarUraianEdit';
    $ori_TingkatPendidikan = $prefix.'TingkatPendidikan';
    $edit_TingkatPendidikan = $prefix.'TingkatPendidikanEdit';

    $Bicara = $objPatientNursing->$edit_Bicara ? $objPatientNursing->$edit_Bicara : $objPatientNursing->$ori_Bicara;
    $BicaraUraian = $objPatientNursing->$edit_BicaraUraian ? $objPatientNursing->$edit_BicaraUraian : $objPatientNursing->$ori_BicaraUraian;
    $Penterjemah = $objPatientNursing->$edit_Penterjemah ? $objPatientNursing->$edit_Penterjemah : $objPatientNursing->$ori_Penterjemah;
    $PenterjemahBahasa = $objPatientNursing->$edit_PenterjemahBahasa ? $objPatientNursing->$edit_PenterjemahBahasa : $objPatientNursing->$ori_PenterjemahBahasa;
    $BahasaIsyarat = $objPatientNursing->$edit_BahasaIsyarat ? $objPatientNursing->$edit_BahasaIsyarat : $objPatientNursing->$ori_BahasaIsyarat;
    $HambatanBelajar = $objPatientNursing->$edit_HambatanBelajar ? $objPatientNursing->$edit_HambatanBelajar : $objPatientNursing->$ori_HambatanBelajar;
    $HambatanBelajarUraian = $objPatientNursing->$edit_HambatanBelajarUraian ? $objPatientNursing->$edit_HambatanBelajarUraian : $objPatientNursing->$ori_HambatanBelajarUraian;
    $TingkatPendidikan = $objPatientNursing->$edit_TingkatPendidikan ? $objPatientNursing->$edit_TingkatPendidikan : $objPatientNursing->$ori_TingkatPendidikan;
?>
<div class="row">    
    <div class="col-md-12">
        <div class="form-group">
            <label class="radio-inline"><b>Bicara: </b></label>
            <label class="radio-inline bicara"><input type="radio" name="bicara" value="NORMAL" <?= $Bicara == 'NORMAL' ? 'checked' : '' ?>>Normal</label>
            <label class="radio-inline bicara"><input type="radio" name="bicara" value="GANGGUAN BICARA" <?= $Bicara == 'GANGGUAN BICARA' ? 'checked' : '' ?>>Gangguan Bicara</label>
        </div>
    </div>
    <div class="col-md-12 mb-2 ">
        <div class="form-group" style="padding: 0 15px;">
            <label for="uraianmasaneonatus"><b>Jelaskan:</b></label>
            <textarea class="form-control" rows="2" id="uraianbicara" name="uraianbicara" placeholder=""><?= $BicaraUraian ? $BicaraUraian : '' ?></textarea>
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="radio-inline"><b>Perlu Penterjemah: </b></label>
            <label class="radio-inline terjemah"><input type="radio" name="terjemah" value="TIDAK" <?= $Penterjemah == 'TIDAK' ? 'checked' : '' ?>>Tidak</label>
            <label class="radio-inline terjemah"><input type="radio" name="terjemah" value="YA" <?= $Penterjemah == 'YA' ? 'checked' : '' ?>>Ya</label>
        </div>
    </div>
    <div class="col-md-12 mb-2 ">
        <div class="form-group" style="padding: 0 15px;">
            <label for="terjemahbahasa"><b>Bahasa:</b></label>
            <textarea class="form-control" rows="2" id="terjemahbahasa" name="terjemahbahasa" placeholder=""><?= $PenterjemahBahasa ? $PenterjemahBahasa : '' ?></textarea>
        </div>
    </div>
    <div class="col-md-12 mb-2">
        <div class="form-group">
            <label class="radio-inline"><b>Bahasa Isyarat: </b></label>
            <label class="radio-inline bisyarat"><input type="radio" name="bisyarat" value="TIDAK" <?= $BahasaIsyarat == 'TIDAK' ? 'checked' : '' ?>>Tidak</label>
            <label class="radio-inline bisyarat"><input type="radio" name="bisyarat" value="YA" <?= $BahasaIsyarat == 'YA' ? 'checked' : '' ?>>Ya</label>
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="radio-inline"><b>Hambatan Belajar: </b></label>
            <label class="radio-inline hambatanbelajar"><input type="radio" name="hambatanbelajar" id="hambatanbelajartidak" value="TIDAK" <?= $HambatanBelajar == 'TIDAK' ? 'checked' : '' ?>>Tidak</label>
            <label class="radio-inline hambatanbelajar"><input type="radio" name="hambatanbelajar" id="hambatanbelajarya" value="YA" <?= $HambatanBelajar == 'YA' ? 'checked' : '' ?>>Ya</label>
        </div>
    </div>
    <div class="col-md-12 mb-2 ">
        <div class="form-group" style="padding: 0 15px;">
            <label for="hambatanbelajaruraian"><b>Jelaskan:</b></label>
            <textarea class="form-control" rows="2" id="hambatanbelajaruraian" name="hambatanbelajaruraian" placeholder=""><?= $HambatanBelajarUraian ? $HambatanBelajarUraian : '' ?></textarea>
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="radio-inline"><b>Tingkat Pendidikan: </b></label>
            <label class="radio-inline pendidikan"><input type="radio" name="pendidikan" value="TK" <?= $TingkatPendidikan == 'TK' ? 'checked' : '' ?>>TK</label>
            <label class="radio-inline pendidikan"><input type="radio" name="pendidikan" value="SD" <?= $TingkatPendidikan == 'SD' ? 'checked' : '' ?>>SD</label>
            <label class="radio-inline pendidikan"><input type="radio" name="pendidikan" value="" <?= ($TingkatPendidikan != 'TK' && $TingkatPendidikan != 'SD' && $TingkatPendidikan != '') ? 'checked' : '' ?>>LAIN-LAIN</label>
        </div>
    </div>
    <div class="col-md-12 mb-2 ">
        <div class="form-group" style="padding: 0 15px;">
            <label for="pendidikanlain"><b>Jika Lain-Lain:</b></label>
            <textarea class="form-control" rows="2" id="pendidikanlain" name="pendidikanlain" placeholder=""><?= ($TingkatPendidikan != 'TK' && $TingkatPendidikan != 'SD' && $TingkatPendidikan != '') ? $TingkatPendidikan : '' ?></textarea>
        </div>
    </div>
</div>

<script>
    var segmenKomunikasi = {
        stateEditBicara : false,
        stateEditPenterjemah : false,
        stateEditBahasaIsyarat : false,
        stateEditHambatanBelajar : false,
        stateEditTingkatPendidikan : false,
        ambilValue : function (){
            var obj = {};
            obj.Bicara = $("input[name='bicara']:checked").val() ? $("input[name='bicara']:checked").val() : '';
            if(obj.Bicara == 'GANGGUAN BICARA'){
                obj.BicaraUraian = $('#uraianbicara').val();
            }
            obj.Penterjemah = $("input[name='terjemah']:checked").val() ? $("input[name='terjemah']:checked").val() : '';
            if(obj.Penterjemah == 'YA'){
                obj.PenterjemahBahasa = $('#terjemahbahasa').val();
            }
            obj.BahasaIsyarat = $("input[name='bisyarat']:checked").val() ? $("input[name='bisyarat']:checked").val() : '';
            obj.HambatanBelajar = $("input[name='hambatanbelajar']:checked").val() ? $("input[name='hambatanbelajar']:checked").val() : '';
            if(obj.HambatanBelajar == 'YA'){
                obj.HambatanBelajarUraian = $('#hambatanbelajaruraian').val();
            }
            obj.TingkatPendidikan = $("input[name='pendidikan']:checked").val() ? $("input[name='pendidikan']:checked").val() : $('#pendidikanlain').val();

            return obj;
        },
        ambilValueEdit : function (){
            var obj = {};
            if(this.stateEditBicara){
                obj.Bicara = $("input[name='bicara']:checked").val() ? $("input[name='bicara']:checked").val() : '';
                if(obj.Bicara == 'GANGGUAN BICARA'){
                    obj.BicaraUraian = $('#uraianbicara').val();
                }
            }
            if(this.stateEditPenterjemah){
                obj.Penterjemah = $("input[name='terjemah']:checked").val() ? $("input[name='terjemah']:checked").val() : '';
                if(obj.Penterjemah == 'YA'){
                    obj.PenterjemahBahasa = $('#terjemahbahasa').val();
                }
            }
            if(this.stateEditBahasaIsyarat){
                obj.BahasaIsyarat = $("input[name='bisyarat']:checked").val() ? $("input[name='bisyarat']:checked").val() : '';
            }
            if(this.stateEditHambatanBelajar){
                obj.HambatanBelajar = $("input[name='hambatanbelajar']:checked").val() ? $("input[name='hambatanbelajar']:checked").val() : '';
                if(obj.HambatanBelajar == 'YA'){
                    obj.HambatanBelajarUraian = $('#hambatanbelajaruraian').val();
                }
            }
            if(this.stateEditTingkatPendidikan){
                obj.TingkatPendidikan = $("input[name='pendidikan']:checked").val() ? $("input[name='pendidikan']:checked").val() : $('#pendidikanlain').val();
            }
            
            return obj;
        }
    }

    $("input[name='bicara']").click(function(){
        segmenKomunikasi.stateEditBicara = true;
    })
    $("#uraianbicara").click(function(){
        segmenKomunikasi.stateEditBicara = true;
    })
    $("input[name='terjemah']").click(function(){
        segmenKomunikasi.stateEditPenterjemah = true;
    })
    $("#terjemahbahasa").click(function(){
        segmenKomunikasi.stateEditPenterjemah = true;
    })
    $("input[name='bisyarat']").click(function(){
        segmenKomunikasi.stateEditBahasaIsyarat = true;
    })
    $("input[name='hambatanbelajar']").click(function(){
        segmenKomunikasi.stateEditHambatanBelajar = true;
    })
    $("#hambatanbelajaruraian").click(function(){
        segmenKomunikasi.stateEditHambatanBelajar = true;
    })
    $("input[name='pendidikan']").click(function(){
        segmenKomunikasi.stateEditTingkatPendidikan = true;
    })
    $("#pendidikanlain").click(function(){
        segmenKomunikasi.stateEditTingkatPendidikan = true;
    })
</script>
<?php
}
?>