
<?php require (__DIR__ . '/../aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/../aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$strExecutionDir = dirname(__FILE__);
$prefix_funct = 'Keperawatan';

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

	// $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
	// $waktuakhir = date_create();
	$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
	$umurDalamTahun = $diff->y;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>'; 
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#nama_versi{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>


<div class="row" style="margin-bottom: 10px;">
	<div class="col-md-12">
		<!--
		<h1 class="panel-title1">KEPERAWATAN RAWAT JALAN</h1>
		-->
		<h1 class="panel-title1">CATATAN PERKEMBANGAN PASIEN</h1>
	</div>
</div>

<div class="row">
	<div class="col-sm-11">

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">

		<?php if($objPatientNursing->KeperawatanVerifikasi){?>
		<div class="row">
			<div class="col-md-1"></div>
			<div class="col-md-6">
				<div class="callout callout-success">
					<h3><i class="fa fa-key"></i> Tanda Tangan!</h3>
					<p>Data telah ditandatangani dengan Signature<br>
					<b><?= $objPatientNursing->KeperawatanVerifikasi ?></b>
					</p>
				</div>
			</div>
			<div class="col-md-5">
				<div id="koreksi" class="callout callout-warning" style="">
					<h3><i class="fa fa-key"></i> Koreksi Data!</h3>
					<p><b>Perhatian !!!</b>Semua data yang di koreksi akan disalin dan ditandai<br>
					</p>
				</div>
			</div>
		</div>
		<?php } ?>

		<!-- <form id="formasesmen">-->

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<?php
					require (__DOCROOT__ . __SUBDIRECTORY__ . '/src/ddfa-form-medis-rajal/template-input/vital-sign-std.php');
					tpltVitalSign($objPatientNursing, $prefix_funct);
					?>
				</div>
			</div>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<?php
					require (__DOCROOT__ . __SUBDIRECTORY__ . '/src/ddfa-form-medis-rajal/template-input/gcs.php');
					tpltGcs($objPatientNursing, $prefix_funct);
					?>
				</div>
			</div>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<div class="row" style="margin-bottom: 5px;">
						<div class="col-md-12">
							<label class="control-label" for="situation">
								<b>Situation</b>
							</label>
							<div class="">
								<textarea id="situation" name="situation" class="form-control" placeholder="Situation"><?= $situation ?></textarea>
							</div>
						</div>
					</div>
				</div>
			</div>
			<script>
			var segmenSituation = {
				ambilValue : function (){
					return {
						Situation : $('#situation').val()
					}
				},
				ambilValueEdit : function (){
					var obj = {};
					var situation = $('#situation');
					if(situation.data('status') == 'edit'){
						obj.Situation= situation.val();
					}
					return obj;
				}
			}
			</script>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<div class="row" style="margin-bottom: 5px;">
						<div class="col-md-12">
							<label class="control-label" for="background">
								<b>Background</b>
							</label>
							<div class="">
								<textarea id="background" name="background" class="form-control" placeholder="Background"><?= $background ?></textarea>
							</div>
						</div>
					</div>
				</div>
			</div>
			<script>
			var segmenBackground = {
				ambilValue : function (){
					return {
						Background : $('#background').val()
					}
				},
				ambilValueEdit : function (){
					var obj = {};
					var background = $('#background');
					if(background.data('status') == 'edit'){
						obj.Background = background.val();
					}
					return obj;
				}
			}
			</script>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<div class="row" style="margin-bottom: 5px;">
						<div class="col-md-12">
							<label class="control-label" for="assesment_sbar">
								<b>Assesment</b>
							</label>
							<div class="">
								<textarea id="assesment_sbar" name="assesment_sbar" class="form-control" placeholder="Assesment"><?= $assesment_sbar?></textarea>
							</div>
						</div>
					</div>
				</div>
			</div>
			<script>
			var segmenAssesmentSbar = {
				ambilValue : function (){
					return {
						AssesmentSbar : $('#assesment_sbar').val()
					}
				},
				ambilValueEdit : function (){
					var obj = {};
					var assesment_sbar = $('#assesment_sbar');
					if(assesment_sbar.data('status') == 'edit'){
						obj.AssesmentSbar = assesment_sbar.val();
					}
					return obj;
				}
			}
			</script>


			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<div class="row" style="margin-bottom: 5px;">
						<div class="col-md-12">
							<label class="control-label" for="recommendation">
								<b>Recommendation</b>
							</label>
							<div class="">
								<textarea id="recommendation" name="recommendation" class="form-control" placeholder="Recommendation"><?= $recommendation ?></textarea>
							</div>
						</div>
					</div>
				</div>
			</div>
			<script>
			var segmenRecommendation = {
				ambilValue : function (){
					return {
						Recommendation : $('#recommendation').val()
					}
				},
				ambilValueEdit : function (){
					var obj = {};
					var recommendation = $('#recommendation');
					if(recommendation.data('status') == 'edit'){
						obj.Recommendation = recommendation.val();
					}
					return obj;
				}
			}
			</script>

	
</div>

			<div class="box box-info form-horizontal" style="padding-bottom: 25px;">
				<div class="box-body">
					<div class="row">
						<div class="col-md-12">
								<a href="#" disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</a>
								<a href="#" class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan </a>
							<?php
							if($objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4'){
							?>
							<!-- <button>Simpan</button>
							<?php
							}
							?>
							<?php if($objPatientNursing->KeperawatanVerifikasi){ ?>
								<button class="btn btn-danger" id="btn-modal-perubahan"><i class="fa fa-pencil"></i> Simpan Perubahan</button>
								<button class="btn btn-danger" id="btn-modal-konfirmasi-edit"><i class="fa fa-pencil"></i> Edit</button>
								<a href="#" id="cetak-laporan" class="btn btn-warning"><i class="fa fa-print"></i> Cetak Laporan</a>
							<?php } else { ?>
								
								<a href="#" class="btn btn-danger" id="open-modal"><i class="fa fa-pencil"></i> Simpan &amp; Tanda Tangan</a>
								<a href="#" disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Draft</a>
								
								<a href="#" disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</a>
								<a href="#" class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan </a>
							<?php } ?>-->
						</div>
					</div>
				</div>
			</div>

		<!-- </form> -->
	</div>
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

		<div>
			<hr>
			<label><b>Password<b></label>
			<input type="text" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
			<div class="checkbox">
				<label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
			</div>
		</div>
	  </div>
	  <div class="modal-footer">
	  <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button>
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

$('#content').ready(function(){
	
var ObjectData = {};
ObjectData.Nyeri = '<?= $objPatientNursing->GeneralNyeri ?>';
console.log('ks nyeri:'+ObjectData.Nyeri)
// var drawer;


function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

$(document).ready(function() {
	$('#tombol-save-loading').hide();
});

<?php
	if($objPatientNursing->DepartmentName){
		$namaDepartemen = $objPatientNursing->DepartmentName;
	}elseif($objPatientNursing->TransferDepartmentId){
		$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->TransferDepartmentId);
		$namaDepartemen = $objDepartment->Name;
	}elseif($objPatientNursing->StartCheckinDepartmentId){
		$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->StartCheckinDepartmentId);
		$namaDepartemen = $objDepartment->Name;
	}
	?>
function kirimData(mode){
	ObjectData.pageId = strPageId;
	ObjectData.actorId = strActorId;
	ObjectData.nursingId = '<?= $strId ?>'; //nursing id
	ObjectData.department = '<?= $objPatientNursing->DepartmentId ?>';
	ObjectData.departmentName = '<?= $namaDepartemen ?>';


	if(mode == 'DRAF'){
		ObjectData.Password = null;
		ObjectData.UserId = null;
	}else if('VERIFIKASI'){
		ObjectData.Password = $('#password').val();
		ObjectData.UserId = strStaffId;
	}else{
		return null;
	}
	ObjectData.Mode = mode;

	var ObjectVitalSign = segmenVitalSign.ambilValue();
	var ObjectGcs = segmenGcs.ambilValue();
	//var ObjectSubjective = segmenSubjective.ambilValue();
	//var ObjectObjective = segmenObjective.ambilValue();
	//var ObjectAssesment = segmenAssesment.ambilValue();
	//var ObjectPlan = segmenPlan.ambilValue();
	//var ObjectKonsultasi = segmenKonsultasi.ambilValue();
	//var ObjectDiitBesokPagi = segmenDiitBesokPagi.ambilValue();
	//var ObjectDiitBesokSiang = segmenDiitBesokSiang.ambilValue();
	//var ObjectDiitBesokSore = segmenDiitBesokSore.ambilValue();
	var ObjectSituation = segmenSituation.ambilValue();
	var ObjectBackground = segmenBackground.ambilValue();
	var ObjectAssesmentSbar = segmenAssesmentSbar.ambilValue();
	var ObjectRecommendation = segmenRecommendation.ambilValue();



	var ObjectDataKirim = Object.assign({},
		ObjectData,
		ObjectVitalSign,
		ObjectGcs,
		//ObjectSubjective,
		//ObjectObjective,
		//ObjectAssesment,
		//ObjectPlan,
		//ObjectKonsultasi,
		//ObjectDiitBesokPagi,
		//ObjectDiitBesokSiang,
		//ObjectDiitBesokSore,
		ObjectSituation,
		ObjectBackground,
		ObjectAssesmentSbar,
		ObjectRecommendation
	);

	console.log(ObjectDataKirim)
	$.ajax({
		url: "<?= QApplication::UrlActionCreator('PatientNursingAssessment/StandartDokter')?>"
		, success: function(result){
			if(result.status == 'error'){
				toastr.error(result.message, 'Informasi');
			}else{
                parent.toastr.info('Data Terkirim', 'Informasi');
				parent.boolChange = false;
				//parent.$('#asesmenkandungan').removeClass('btn-primary').addClass('btn-success').html('Klinik Kandungan <i style="color:yellow;" class="fa fa-check"></i>');
				parent.AppPage.hide();
                //window.location.reload();
			}
		}
		, timeout: 5* 60 * 1000
		, error: function(xhr,status,error){
			console.log(xhr);
			alert('Gagal menyimpan data');
		}
		, beforeSend: function(xhr){
            $('#tombol-save').hide();
            $('#tombol-save-loading').show();
			$('#float-loading').show();
			$('#float-simpan').hide();
		}
		, complete: function(xhr,status){
            $('#tombol-save').show();
            $('#tombol-save-loading').hide();
			$('#float-simpan').show();
			$('#float-loading').hide();
		}
		, type: "POST"
		, data: ObjectDataKirim
	});

}


function kirimPerubahan(){
	ObjectData.pageId = strPageId;
	ObjectData.actorId = strActorId;
	ObjectData.nursingId = '<?= $strId ?>'; //nursing id
	ObjectData.department = strDepartmentId;

	ObjectData.Password = $('#password').val();
	ObjectData.UserId = strStaffId;

	ObjectData.PrefixPost = '<?= $prefix_funct ?>';

	//gunakan ambilValueEdit() jangan pakai ambilValue() krn data edit saja yg dikirim
	var ObjectVitalSign = segmenVitalSign.ambilValueEdit();
	var ObjectGcs = segmenGcs.ambilValueEdit();
	//var ObjectSubjective = segmenSubjective.ambilValueEdit();
	//var ObjectObjective = segmenObjective.ambilValueEdit();
	//var ObjectAssesment = segmenAssesment.ambilValueEdit();
	//var ObjectPlan = segmenPlan.ambilValueEdit();
	//var ObjectKonsultasi = segmenKonsultasi.ambilValue();
	//var ObjectDiitBesokPagi = segmenDiitBesokPagi.ambilValue();
	//var ObjectDiitBesokSiang = segmenDiitBesokSiang.ambilValue();
	//var ObjectDiitBesokSore = segmenDiitBesokSore.ambilValue();
	var ObjectSituation = segmenSituation.ambilValue();
	var ObjectBackground = segmenBackground.ambilValue();
	var ObjectAssesmentSbar = segmenAssesmentSbar.ambilValue();
	var ObjectRecommendation = segmenRecommendation.ambilValue();


	var ObjectDataKirim = Object.assign({},
		ObjectData,
		ObjectVitalSign,
		ObjectGcs,
		//ObjectSubjective,
		//ObjectObjective,
		//ObjectAssesment,
		//ObjectPlan,
		//ObjectKonsultasi,
		//ObjectDiitBesokPagi,
		//ObjectDiitBesokSiang,
		//ObjectDiitBesokSore,
		ObjectSituation,
		ObjectBackground,
		ObjectAssesmentSbar,
		ObjectRecommendation

	);

	console.log(ObjectDataKirim)
	$.ajax({
		url: "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/EditKeperawatan')?>", 
		success: function(result){
			if(result.status == 'error'){
				toastr.error(result.message, 'Informasi');
			}
			else{
				toastr.info('Perubahan Terkirim', 'Informasi');
				window.location.reload();
			}
		},
		timeout: 5* 60 * 1000,
		error: function(xhr,status,error){
			console.log(xhr);
			alert('Gagal menyimpan data | '+ status);
		},
		beforeSend: function(xhr){
			$('#tombol-save').hide();
			$('#tombol-save-loading').show();
		},
		complete: function(xhr,status){
			$('#tombol-save').show();
			$('#tombol-save-loading').hide();
		},
		type: "POST",
		data: ObjectDataKirim
	});
}

	$('#tombol-save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#tombol-save, #float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#tombol-save, #float-simpan').removeClass('disabled');
	  });
	});
	$('.ruang, .doctor').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#tombol-save, #float-simpan').removeClass('disabled');
	  });
	});

$('#content').off('click', '#open-modal').on('click', '#open-modal', function () {
	$('#modal-area').modal("show");
	$('#tandatangani').show();
	$('#tandatanganiperubahan').hide();
});

$('#content').off('click', '#btn-modal-perubahan').on('click', '#btn-modal-perubahan', function () {
	$('#modal-area').modal("show");
	$('#tandatanganiperubahan').show();
	$('#tandatangani').hide();

});

$('#content').off('click', '#tombol-save, #float-simpan').on('click', '#tombol-save, #float-simpan', function (event) {
	event.preventDefault();
	console.log('simpan asesmen awal');
	kirimData('DRAF');
});

function validasiSimpan(){
	var password = $('#password');
	var checkSetuju = $('#check-setuju');

	if(!password.val()){
		toastr.warning('Password Masih Kosong', 'Peringatan');
		return null;
	}
	if(! checkSetuju.prop('checked')){
		toastr.warning('Anda Harus Menyetujui', 'Peringatan');
		return null;
	}
	return true;
}


$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
	if(validasiSimpan()){
		kirimData('VERIFIKASI');
	}
});


$('#content').off('click', '#tandatanganiperubahan').on('click', '#tandatanganiperubahan', function () {
	if(validasiSimpan()){
		kirimPerubahan();
	}
});


$('#content').off('click', '#page-tindakan').on('click', '#page-tindakan', function () {
	setContent(goBackLink(),'content');

});


function openInNewTab(url) {
	var win = window.open(url, '_blank');
	win.focus();
} 

$('.input-date').datepicker({
	format: "dd-mm-yyyy",
	autoclose: true,
	endDate: null
});

function convertDateToISO(strDateIna) {
	return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}


$('#content').off('click', '#float-print').on('click','#float-print',function(){
	alert('under_construction')
});

$('#content').off('click','#float-kembali').on('click','#float-kembali',function(){
	$('#float-kembali').hide();
	$('#float-kembali-loading').show();
	setContent(goBackLink(),'content');
});

$("input, textarea").attr('autocomplete', 'off');
<?php if($objPatientNursing->KeperawatanVerifikasi){ ?>
	$("#formasesmen input, #formasesmen textarea, #formasesmen select").prop('disabled', true);
	$('#btn-modal-konfirmasi-edit').show();
	$('#btn-modal-perubahan').hide();
	
	$('#btn-modal-konfirmasi-edit').click(function(){
		jFallr("Edit Dokumen Ini [Ya/Tidak]?",
			konfirmasiEditPerubahan,
			function(){
				jQuery.fallr('hide',function(){});
			}
		);
	});

	function konfirmasiEditPerubahan(){
		$("#formasesmen input, #formasesmen textarea, #formasesmen select").prop('disabled', false);
		$('#btn-modal-perubahan').show();
		$('#btn-modal-konfirmasi-edit').hide();
		jQuery.fallr('hide',function(){});
	}

	$("#formasesmen input, #formasesmen textarea, #formasesmen select").click(function(){
		$(this).data('status', 'edit'); //tanam state edit di element
	});

<?php } ?>

$('#float-print').hide()

});
</script>
</div>
</div>
