
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

// simulasi error;

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);


	$json = json_decode($objPatientNursing->RegisterJson);
	$tindakanTanggal1 = $json->TindakanTanggal1;
	$tindakanTanggal2 = $json->TindakanTanggal2;
	$tindakanTanggal3 = $json->TindakanTanggal3;
	$tindakanTanggal4 = $json->TindakanTanggal4;
	$tindakanTanggal5 = $json->TindakanTanggal5;
	$statusIndex = $json->StatusIndex;
	$arrObjCompetence = HrisRefCompetence::LoadAll();

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
$umurDalamTahun = $diff->y;

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}
$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);
?>
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#nama_versi{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<script>
	// alert('<?= $umurDalamTahun; ?>');
</script>

<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">



<!-- <form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/StartService')?>" > -->
	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">
	
	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;margin-top:5px;" ><b>PENGKAJIAN AWAL MEDIS PASIEN RAWAT INAP</b></div>
				</div>
				<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>ANAMNESIS</b></div>
						</span>
							<input type="text" class="form-control" name="anamnesis" id="anamnesis" placeholder="ANAMNESIS" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vAnamnesisAM ; ?>">
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Keluhan Utama</b></div>
						</span>
							<textarea name="keluhan_utama" id="keluhan_utama" rows="4" class="form-control" placeholder="Isi Keluhan Utama [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKeluhanUtamaAM ?></textarea>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Riwayat Penyakit<br>Sekarang</b></div>
						</span>
							<textarea name="riwayat_penyakit_sekarang" id="riwayat_penyakit_sekarang" rows="4" class="form-control" placeholder="Isi Riwayat Penyakit Sekarang [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatPenyakitSekarangAM ?></textarea>
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Riwayat Penyakit<br>Terdahulu</b></div>
						</span>
							<textarea name="riwayat_penyakit_terdahulu" id="riwayat_penyakit_terdahulu" rows="4" class="form-control" placeholder="Isi Riwayat Penyakit Terdahulu [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatPenyakitTerdahuluAM ?></textarea>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Riwayat Tumbuh<br>Kembang</b></div>
						</span>
							<textarea name="riwayat_tumbuh_kembang" id="riwayat_tumbuh_kembang" rows="4" class="form-control" placeholder="Isi Riwayat Tumbuh Kembang [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatTumbuhKembangAM ?></textarea>
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Riwayat Alergi</b></div>
						</span>
							<textarea name="riwayat_alergi" id="riwayat_alergi" rows="4" class="form-control" placeholder="Isi Riwayat Alergi [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatAlergiAM ?></textarea>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Riwayat Pengobatan</b></div>
						</span>
							<textarea name="riwayat_pengobatan" id="riwayat_pengobatan" rows="4" class="form-control" placeholder="Isi Riwayat Pengobatan [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatPengobatanAM ?></textarea>
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Riwayat Penyakit<br>Keluarga (Turunan,<br>Menular dan Kejiwaan)</b></div>
						</span>
							<textarea name="riwayat_penyakit_keluarga" id="riwayat_penyakit_keluarga" rows="4" class="form-control" placeholder="Isi Jika Ada Riwayat Penyakit Keluarga" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatPenyakitKeluargaAM ?></textarea>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Status Psikologis</b></div>
						</span>
							<textarea name="status_psikologis" id="status_psikologis" rows="4" class="form-control" placeholder="Isi Jika Ada Status Psikologis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vStatusPsikologisAM ?></textarea>
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Status Ekonomi - <br>Sosial</b></div>
						</span>
							<textarea name="status_ekonomi_sosial" id="status_ekonomi_sosial" rows="4" class="form-control" placeholder="Isi Jika Ada Status Ekonomi Sosial" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vStatusEkonomiSosialAM ?></textarea>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>


	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Pemeriksaan Fisik</b></div>
						</span>
							<textarea name="pemeriksaan_fisik" id="pemeriksaan_fisik" rows="4" class="form-control" placeholder="Isi Jika Ada Pemeriksaan Fisik" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vPemeriksanFisikAM ?></textarea>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Keadaan Umum</b></div>
						</span>
							<textarea name="keadaan_umum" id="keadaan_umum" rows="4" class="form-control" placeholder="Isi Keadaan Umum [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKeadaanUmumAM ?></textarea>
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>Kesadaran</b></div>
						</span>
							<input type="text" class="form-control" name="kesadaran" id="kesadaran" placeholder="Kesadaran" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vKesadaranAM ; ?>">
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-4">

						<div class="input-group"">
						<span class="input-group-addon" style="text-align:left;">
							<div class="text-35"  style="width: 45px;"><b>GCS</b></div>
						</span>
						<select id="gcs1" name="gcs1"  class="form-control" style="width: 33.3%!important;" data-placeholder="-">
							<option></option>
							<option value="1" <?= $objPatientNursing->vGcs1AM == '1' ? 'selected' : '' ?>>1</option>
							<option value="2" <?= $objPatientNursing->vGcs1AM == '2' ? 'selected' : '' ?>>2</option>
							<option value="3" <?= $objPatientNursing->vGcs1AM == '3' ? 'selected' : '' ?>>3</option>
							<option value="4" <?= $objPatientNursing->vGcs1AM == '4' ? 'selected' : '' ?>>4</option>
							<option value="X" <?= $objPatientNursing->vGcs1AK == 'X' ? 'selected' : '' ?>>X</option>
						</select>
						<select id="gcs2" name="gcs2"  class="form-control" style="width: 33.3%!important; border-width:1px 0px" data-placeholder="-">
							<option></option>
							<option value="1" <?= $objPatientNursing->vGcs2AM == '1' ? 'selected' : '' ?>>1</option>
							<option value="2" <?= $objPatientNursing->vGcs2AM == '2' ? 'selected' : '' ?>>2</option>
							<option value="3" <?= $objPatientNursing->vGcs2AM == '3' ? 'selected' : '' ?>>3</option>
							<option value="4" <?= $objPatientNursing->vGcs2AM == '4' ? 'selected' : '' ?>>4</option>
							<option value="5" <?= $objPatientNursing->vGcs2AM == '5' ? 'selected' : '' ?>>5</option>
							<option value="X" <?= $objPatientNursing->vGcs2AM == 'X' ? 'selected' : '' ?>>X</option>
						</select>
						<select id="gcs3" name="gcs3"  class="form-control" style="width: 33.3%!important;" data-placeholder="-">
							<option></option>
							<option value="1" <?= $objPatientNursing->vGcs3AM == '1' ? 'selected' : '' ?>>1</option>
							<option value="2" <?= $objPatientNursing->vGcs3AM == '2' ? 'selected' : '' ?>>2</option>
							<option value="3" <?= $objPatientNursing->vGcs3AM == '3' ? 'selected' : '' ?>>3</option>
							<option value="4" <?= $objPatientNursing->vGcs3AM == '4' ? 'selected' : '' ?>>4</option>
							<option value="5" <?= $objPatientNursing->vGcs3AM == '5' ? 'selected' : '' ?>>5</option>
							<option value="6" <?= $objPatientNursing->vGcs3AM == '6' ? 'selected' : '' ?>>6</option>
<option value="X" <?= $objPatientNursing->vGcs3AM == 'X' ? 'selected' : '' ?>>X</option>
						</select>
					</div>
				</div>
				<div class="col-md-4">
					<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width:45px; padding-right: 5px; margin-top: 3px;" ><b>TD</b></div>
						</span>
						<input type="text" class="form-control" name="sistolik" id="sistolik" placeholder="Sistolik" autocomplete="off" style="width:50%;" value="<?= $objPatientNursing->vSistolikAM ; ?>">
						<input type="text" class="form-control" name="diastolik" id="diastolik" placeholder="Diastolik" autocomplete="off" style="border-width:1px 1px 1px 0px;width:50%" value="<?= $objPatientNursing->vDiastolikAM ; ?>">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="padding-right: 5px; margin-top: 3px;" ><b>mmHg</b></div>
						</span>
					</div>
				</div>
				<div class="col-md-4">
					<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width:45px; padding-right: 5px; margin-top: 3px;" ><b>Suhu</b></div>
						</span>
						<input type="text" class="form-control" name="suhu" id="suhu" placeholder="Suhu" autocomplete="off" style="" value="<?= $objPatientNursing->vSuhuAM ; ?>">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="padding-right: 5px; margin-top: 3px;" ><b>&#8451;</b></div>
						</span>
					</div>
				</div>
			</div>

			<div class="row" style="margin-bottom: 5px;">
				<div class="col-md-4">
					<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width:45px; padding-right: 5px; margin-top: 3px;" ><b>Nadi</b></div>
						</span>
						<input type="text" class="form-control" name="nadi" id="nadi" placeholder="Nadi" autocomplete="off" style="" value="<?= $objPatientNursing->vNadiAM ; ?>">
					</div>
				</div>
				<div class="col-md-4">
					<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style=" padding-right: 5px; margin-top: 3px;" ><b>Pernapasan</b></div>
						</span>
						<input type="text" class="form-control" name="pernapasan" id="pernapasan" placeholder="Pernapasan" autocomplete="off" style="" value="<?= $objPatientNursing->vPernapasanAM ; ?>">
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="row">
	<div class="col-xs-12">
		<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
			<div class="row" style="">
				<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;margin-top:5px;" ><b>STATUS GENERALIS</b></div>
			</div>
			<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
				<div class="col-md-12">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>Status Generalis</b></div>
					</span>
						<input type="text" class="form-control" name="status_generalis" id="status_generalis" placeholder="Status Generalis" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vStatusGeneralisAM ; ?>">
					</div>
				</div>
			</div>
			<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
				<div class="col-md-6">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>Kepala</b></div>
					</span>
						<input type="text" class="form-control" name="kepala" id="kepala" placeholder="Status Kepala" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vKepalaAM ; ?>">
					</div>
				</div>
				<div class="col-md-6">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>Mata</b></div>
					</span>
						<input type="text" class="form-control" name="mata" id="mata" placeholder="Status Mata" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vMataAM ; ?>">
					</div>
				</div>
			</div>
			<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
				<div class="col-md-6">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>Telinga</b></div>
					</span>
						<input type="text" class="form-control" name="telinga" id="telinga" placeholder="Status Telinga" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vTelingaAM ; ?>">
					</div>
				</div>
				<div class="col-md-6">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>Hidung</b></div>
					</span>
						<input type="text" class="form-control" name="hidung" id="hidung" placeholder="Status Hidung" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vHidungAM ; ?>">
					</div>
				</div>
			</div>
			<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
				<div class="col-md-6">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>Gigi</b></div>
					</span>
						<input type="text" class="form-control" name="gigi" id="gigi" placeholder="Status Gigi" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vGigiAM ; ?>">
					</div>
				</div>
				<div class="col-md-6">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>Mulut</b></div>
					</span>
						<input type="text" class="form-control" name="mulut" id="mulut" placeholder="Status Mulut" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vMulutAM ; ?>">
					</div>
				</div>
			</div>
			<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
				<div class="col-md-6">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>Leher</b></div>
					</span>
						<input type="text" class="form-control" name="leher" id="leher" placeholder="Status Leher" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vLeherAM ; ?>">
					</div>
				</div>
				<div class="col-md-6">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>Thorax</b></div>
					</span>
						<input type="text" class="form-control" name="thorax" id="thorax" placeholder="Status Thorax" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vThoraxAM ; ?>">
					</div>
				</div>
			</div>

			<div class="row" style="margin-bottom: 5px;">
				<div class="col-md-6">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Paru</b></div>
					</span>
						<input type="text" class="form-control" name="paru" id="paru" placeholder="Isi Status Paru [ Bila Ada ]" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vParuAM ; ?>"></textarea>
					</div>
				</div>
				<div class="col-md-6">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Jantung</b></div>
					</span>
						<input type="text" class="form-control" name="jantung" id="jantung" placeholder="Isi Status Jantung [ Bila Ada ]" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vJantungAM ; ?>">
					</div>
				</div>
			</div>
			<div class="row" style="margin-bottom: 5px;">
				<div class="col-md-6">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Abdomen</b></div>
					</span>
						<input type="text" class="form-control" name="abdomen" id="abdomen" placeholder="Isi Status Abdomen [ Bila Ada ]" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vAbdomenAM ; ?>">
					</div>
				</div>
				<div class="col-md-6">
					<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
						<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Status Lokalis</b></div>
					</span>
						<input type="text" class="form-control" name="status_lokalis" id="status_lokalis" placeholder="Isi Status Lokalis [ Bila Ada ]" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vStatusLokalisAM ; ?>">
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Pemeriksaan <br>Penunjang</b></div>
						</span>
							<textarea name="pemeriksaan_penunjang" id="pemeriksaan_penunjang" rows="4" class="form-control" placeholder="Isi Pemeriksaan Penunjang [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vPemeriksaanPenunjangAM ?></textarea>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Diagnosa Utama</b></div>
						</span>
							<textarea name="diagnosa_utama" id="diagnosa_utama" rows="4" class="form-control" placeholder="Isi Diagnosa Utama [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vDiagnosaUtamaAM ?></textarea>
						</div>
					</div>
				</div>
				<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Diagnosa Sekunder</b></div>
						</span>
							<textarea name="diagnosa_sekunder" id="diagnosa_sekunder" rows="4" class="form-control" placeholder="Isi Diagnosa Sekunder [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vDiagnosaSekunderAM ?></textarea>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
							<div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Tata Laksana</b></div>
						</span>
							<textarea name="tata_laksana" id="tata_laksana" rows="4" class="form-control" placeholder="Isi Tata Laksana [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vTataLaksanaAM ?></textarea>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>


<!-- </form> -->
<!--
<div class="row">
	<div class="col-xs-6">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Tunggu</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<!--
		<button id="saveback" class="btn btn-success"><i class="fa fa-save"></i> Simpan dan Kembali</button>
		
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		
	</div>
	<div class="col-xs-6 btn-group">
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>
-->
</div>	

<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="nama_versi" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vAsesmenMedisRanapModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormAsesmenMedisRanapEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAsesmenMedisRanapEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAsesmenMedisRanapLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAsesmenMedisRanapLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormAsesmenMedisRanapTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAsesmenMedisRanapTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAsesmenMedisRanapIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormAsesmenMedisRanap) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormAsesmenMedisRanapEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAsesmenMedisRanapEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAsesmenMedisRanapLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAsesmenMedisRanapLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormAsesmenMedisRanapTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAsesmenMedisRanapTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAsesmenMedisRanapIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;" role="alert">
			*Validasi hanya dapat dilakukan oleh <b>DPJP</b>.
		</div>
	</div>
</div>
<div class="row" style="height:50%;">
</div>

<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

        <div>
            <hr>
            <label><b>Password</b></label>
            <input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
            <div class="checkbox">
                <label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
            </div>
        </div>
	  </div>
	  <div class="modal-footer">
		<button type="button" class="btn btn-danger" style="display:none;" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button>
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>



<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">
$('.chosen').chosen();

   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
	$('input[type="checkbox"]').change(function() {
	  if ($(this).prop('checked')) {
		$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
	  }
	});
	
	
	<?php $objSystemUser = SystemUser::LoadById($objUser->Id); ?>
	var revisionNumber = parseInt('<?=$objPatientNursing->vAsesmenMedisRanapModifiedVersion != "" ? $objPatientNursing->vAsesmenMedisRanapModifiedVersion : "0" ;?>');
	var clientIP = "<?=System::getClientIpAddress();?>";
	var clientUserId = "<?=$objSystemUser->Id;?>";
	var clientUserName = "<?=$objSystemUser->LoginName;?>"	;
	var DPJPId = "<?=$objPatientNursing->DoctorId;?>";
	var personalId = "<?=$objSystemUser->ReferenceId;?>";

var FormGizi = function(){

	'use strict';
	
	if ( revisionNumber > 0 ) {
		sudahTTD();
	} else {
		//$('.sudah-simpan').hide();
		//$('#float-print').prop('disabled', true);
		//$('#float-print').removeClass('btn-blue');
		//$('#float-print').addClass('btn btn-primary disabled');
	}
	


	
	
	$('#nama_versi').attr('max', revisionNumber);
	$('#nama_versi').attr('min', 1);
	
	$('#nama_versi').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});
	
	function tambah_revisionNumber() {
		revisionNumber = revisionNumber + 1;
		$('#nama_versi').attr("placeholder", "Versi 1 ~ " + revisionNumber);
		$('#nama_versi').attr("max", revisionNumber);
	};
	
	
	function sudahTTD() {
		$('#nama_versi').attr("placeholder", "Versi 1 ~ " + revisionNumber);
		$('#float-simpan').prop('disabled', true);
		$('#float-simpan').removeClass('btn-green');
		$('#float-simpan').addClass('btn btn-success disabled');
		
		$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function () {
			$('#modal-area').modal("show");
		});
		
		//$('#float-simpan').addClass('btn btn-success disabled show-modal');
		//$('#float-simpan').removeAttr('id');
		$('#save').remove();
		$('#tandatanganiperubahan').show();
		$('#tandatangani').hide();
		$('.sudah-simpan').show();
		$('.print_preview').css('visibility', 'visible');
		$('#float-print').addClass('btn-blue');
		$('#float-print').removeClass('btn btn-primary disabled');
		$('#float-print').prop('disabled', false);
		 disableEdit()
	}
	
	function disableEdit() {
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true);
		$('#edit, .show-modal').addClass('disabled');
		$('.show-modal').prop('disabled', true);
		$('#FormPage select').prop('disabled', true).trigger("chosen:updated");
		//$('.show-modal i:first').removeClass('fa-circle-o-notch fa-spin');
		//$('.show-modal i:first').addClass('fa-save');
		$('.koreksi').removeClass('disabled');
	}
	
	function bolehEdit(){
		$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function () {
			$('#modal-area').modal("show");
		});
		$('#edit, .show-modal, #float-simpan').removeClass('disabled');
		$('.show-modal, #float-simpan').prop('disabled', false);
		$('#FormPage select').prop('disabled', false).trigger("chosen:updated");
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false);
		$('.koreksi').addClass('disabled');
	}

	$('.show-modal').click(function(){
        $('#modal-area').modal('show');
    });
	

    $('.koreksi').click(function(){
         parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
                bolehEdit();
                 parent.jQuery.fallr('hide',function(){});
            },
            function(){
                 parent.jQuery.fallr('hide',function(){});
            }
        );
    })


	
	function efekSebelumSimpan() {
		if (revisionNumber > 0){
			//$('.show-modal i:first').removeClass('fa-save');
			//$('.show-modal i:first').addClass('fa-circle-o-notch fa-spin');
		} else {
			$('#float-simpan').hide();
			$('#float-loading').show();
			//$('#save i').removeClass('fa-save');
			//$('#save i').addClass('disabled fa-circle-o-notch fa-spin');
		}
	}
	
	function efekSesudahSimpanVerif() {
		//$('.show-modal i:first').addClass('fa-save');
		//$('.show-modal i:first').removeClass('fa-circle-o-notch fa-spin');
		disableEdit();
		tambah_revisionNumber();
		sudahTTD();
		$('#float-loading').hide();
		$('#float-simpan').show();
		$('.show-modal').show();
		//$('.clientTimeStamp').html(new Date().getDate() + "-" + (new Date().getMonth() < 9 ? "0" + (new Date().getMonth() + 1) : new Date().getMonth() + 1) + "-" + new Date().getFullYear() +  " " + new Date().getHours() + ":" + new Date().getMinutes() + ":" + new Date().getSeconds());
		//$('.clientUserName').html(clientUserName);
		//$('.clientUserId').html(clientUserId);
		//$('.clientIP').html(clientIP);
	}
	
	function efekSesudahSimpan() {
		$('#float-simpan').show();
		$('#float-loading').hide();
	}
	
	function efekErrorSimpan() {
		if (revisionNumber > 0){
			
		} else {
			$('#save').show();
			$('#float-simpan').show();
			$('#float-loading').hide();
		}
	}
	
		
	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}
	
	
	
	function cetaklaporan() {
		var ModifiedVersion = $('#nama_versi').val();
		//var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>;
		//printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal') ?>', strOption);
 		parent.AppPrintPage.setTitle('Print Preview Asesmen Awal Medis')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('hmis-patient-medical-service-rnap/print-assasement-awal-medis') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion);
	}
	
	$('.input-tanggal-asesmen').datepicker({
		format: "dd-mm-yyyy",
		autoclose: true,
		maxDate: new Date('<?= date('d-m-Y') ?>'),
		minDate: new Date('<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>'),
		// endDate: null
	});
	
	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	$('#content').off('click', '#tandatanganiperubahan').on('click', '#tandatanganiperubahan', function () {
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});
	
	
	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	
 
	
	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function (event) {
		posting('DRAFT');
	});
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});

	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function unInitialize() {
		setTimeout(function(){
			Reflect.deleteProperty(window, 'FormGizi');
		},100);
	}

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = '<?= $objPatientNursing->DepartmentId ?>';
		post.departmentName = '<?= $namaDepartemen ?>';

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}


		post.AnamnesisAM = $('#anamnesis').val();
		post.KeluhanUtamaAM = $('#keluhan_utama').val();
		post.RiwayatPenyakitSekarangAM = $('#riwayat_penyakit_sekarang').val();
		post.RiwayatPenyakitTerdahuluAM = $('#riwayat_penyakit_terdahulu').val();
		post.RiwayatTumbuhKembangAM = $('#riwayat_tumbuh_kembang').val();
		post.RiwayatAlergiAM = $('#riwayat_alergi').val();
		post.RiwayatPengobatanAM = $('#riwayat_pengobatan').val();
		post.RiwayatPenyakitKeluargaAM = $('#riwayat_penyakit_keluarga').val();
		post.StatusPsikologisAM = $('#status_psikologis').val();
		post.StatusEkonomiSosialAM = $('#status_ekonomi_sosial').val();
		post.PemeriksanFisikAM = $('#pemeriksaan_fisik').val();
		post.KeadaanUmumAM = $('#keadaan_umum').val();
		post.KesadaranAM = $('#kesadaran').val();
		post.Gcs1AM = $('#gcs1').val();
		post.Gcs2AM = $('#gcs2').val();
		post.Gcs3AM = $('#gcs3').val();
		post.SistolikAM = $('#sistolik').val();
		post.DiastolikAM = $('#diastolik').val();
		post.SuhuAM = $('#suhu').val();
		post.NadiAM = $('#nadi').val();
		post.PernapasanAM = $('#pernapasan').val();
		post.StatusGeneralisAM = $('#status_generalis').val();
		post.KepalaAM = $('#kepala').val();
		post.MataAM = $('#mata').val();
		post.TelingaAM = $('#telinga').val();
		post.HidungAM = $('#hidung').val();
		post.GigiAM = $('#gigi').val();
		post.MulutAM = $('#mulut').val();
		post.LeherAM = $('#leher').val();
		post.ThoraxAM = $('#thorax').val();
		post.ParuAM = $('#paru').val();
		post.JantungAM = $('#jantung').val();
		post.AbdomenAM = $('#abdomen').val();
		post.StatusLokalisAM = $('#status_lokalis').val();
		post.PemeriksaanPenunjangAM = $('#pemeriksaan_penunjang').val();
		post.DiagnosaUtamaAM = $('#diagnosa_utama').val();
		post.DiagnosaSekunderAM = $('#diagnosa_sekunder').val();
		post.TataLaksanaAM = $('#tata_laksana').val();



		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingMedicalRecord/SaveAssessmentPengkajianAwalMedisRawatInap')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#float-validasi').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					parent.toastr.success( 'Data Terkirim', 'Informasi');
					efekSesudahSimpanVerif();
					parent.boolChange = false;
					$('.hasil-simpan').html(result.tempSaveText);
					parent.$('#assasement_awal_medis').removeClass('btn-primary').addClass('btn-success').html('Asesmen Awal Medis <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					efekSesudahSimpan();
					parent.boolChange = false;
					$('.hasil-simpan').html(result.tempSaveText);
					$('.simpan-saja').show();
					parent.$('#assasement_awal_medis').removeClass('btn-primary').addClass('btn-success').html('Asesmen Awal Medis <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					toastr.error( result.message , 'Errors');
					efekErrorSimpan()
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
				efekErrorSimpan()
			}
		});

	}

	$("#anamnesis").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);
	
	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.chosen').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});

};

$('#content').ready(function(){
	FormGizi();
	$("#gizi_status").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_biokimia").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_klinis").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pola_makan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_susunan_makanan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gcs1").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '33%!important;'
		, allow_single_deselect: true
	});
	$("#gcs2").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '33%!important'
		, allow_single_deselect: true
	});
	$("#gcs3").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '33%!important;'
		, allow_single_deselect: true
	});
});
$('.timepicker').timepicker({
	minuteStep:1,
	showMeridian:false,
	defaultTime:false
});

<?= $objPatientNursing->vFormAsesmenMedisRanap == "1.0" ? "$('.simpan-saja').show();" : "" ; ?>
</script>

<script>
console.log('ReferenceId : <?= $objSystemUser->ReferenceId ?> \nDoctorId : <?= $objPatientNursing->DoctorId ?>')
<?php if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
	$('#validasi').addClass('disabled');
	$('.koreksi').addClass('disabled');
<?php } ?>
$('#content').ready(function(){
	$('#tanda_tangan_elektronik').hide();
	//$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormAsesmenMedisRanap ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vAsesmenMedisRanapModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#nama_versi').attr('placeholder', '~".$objPatientNursing->vAsesmenMedisRanapModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>

})
</script>

</div>
</div>
