
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

// simulasi error;

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);


	$json = json_decode($objPatientNursing->RegisterJson);
	$tindakanTanggal1 = $json->TindakanTanggal1;
	$tindakanTanggal2 = $json->TindakanTanggal2;
	$tindakanTanggal3 = $json->TindakanTanggal3;
	$tindakanTanggal4 = $json->TindakanTanggal4;
	$tindakanTanggal5 = $json->TindakanTanggal5;
	$statusIndex = $json->StatusIndex;
	$arrObjCompetence = HrisRefCompetence::LoadAll();

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
$umurDalamTahun = $diff->y;

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}
$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);
?>

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!--<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
-->
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#nama_versi{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>


<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">


<!-- <form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/StartService')?>" > -->
	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 20px;">

				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;margin-top:5px;" ><b>DISCHARGE PLANNING</b></div>
				</div>

				<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Kriteria</b></div></span>
							<input type='text' id="kriteria_list" style="display:none;" value="<?= $objPatientNursing->vKriteriaDP ?>"/>
							<select id="kriteria" name="kriteria"  class="form-control chosen" style="width: 100%;" data-placeholder='BELUM DIISI' multiple>
								<option></option>
								<option id='usia_lebih_65tahun' value="USIA>65TAHUN" >Usia > 65 Tahun</option>
								<option id='pasien_pemulangan_khusus' value="PASIEN-PEMULANGAN-KHUSUS">Pasien dengan kebutuhan pemulangan khusus</option>
								<option id='pasien_gangguan_mobilitas' value="PASIEN-GANGGUAN-MOBILITAS">Pasien dengan gangguan mobilitas</option>
								<option id='pasien_ganggugan_perawatan' value="PASIEN-GANGGUAN-PERAWATAN">Pasien dengan gangguan perawatan lanjutan</option>
							</select>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 20px;">

		
				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;margin-top:5px;" ><b>PERAWATAN LANJUTAN</b></div>
				</div>
				<div class="row" style="margin-bottom: 2px;">

					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;box-sizing:border-box" ><div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Perawatan Lanjutan</b></div></span>
							<input type='text' id="perawatan_lanjutan_list" style="display:none;" value="<?= $objPatientNursing->vPerawatanLanjutanDP ?>"/>
							<select id="perawatan_lanjutan" name="perawatan_lanjutan"  class="form-control chosen" style="width: 100%;" data-placeholder='BELUM DIISI' multiple>
								<option></option>
								<option id='aktivitas_dirumah' value="AKTIVITAS-DIRUMAH" >Aktivitas sehari hari secara mandiri  di rumah</option>
								<option id='aktivitas_bantuan' value="AKTIVITAS-BANTUAN" >Aktivitas terbatas dengan bantuan</option>
								<option id='bantuan_keluarga' value="BANTUAN-KELUARGA" >Bantuan pengobatan / perawatan dasar oleh keluarga</option>
								<option id='perawatan_lanjutan_profesional' value="PERAWATAN-LANJUTAN-PROFESIONAL" >Perawatan lanjutan berkala oleh profesional (Perawat/Bidan/Fisioterapi)</option>
								<option id='perawatan_intensif_profesional' value="PERAWATAN-INTENSIF-PROFESIONAL" >Perawatan intensif oleh profesional</option>
								<option id='perawatan_rajal_setempat' value="PERAWATAN-RAJAL-SETEMPAT" >Perawatan Rawat Jalan di RS setempat</option>
								<option id='perawatan_ranap_setempat' value="PERAWATAN-RANAP-SETEMPAT" >Perawatan Rawat Inap di RS setempat</option>
							</select>
						</div>
					</div>
				</div>

				<div class="row" style="height: 2px;"></div>

				<div class="row" style="padding-bottom: 0px;">
					<div class="col-md-6">
						<div class="input-group" style="width:100%">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>Perawatan Rajal ke RS</b></div></span>
							<input type="text" class="form-control" name="perawatan_rajal_ke_rs" id="perawatan_rajal_ke_rs" placeholder="Perawatan Rajal ke RS" autocomplete="off" value="<?= $objPatientNursing->vPerawatanRawatJalanKeRSDP ?>">
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="width:100%">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 5px; margin-top: 3px;" ><b>Perawatan Ranap ke RS</b></div></span>
							<input type="text" class="form-control" name="perawatan_ranap_ke_rs" id="perawatan_ranap_ke_rs" placeholder="Perawatan Ranap ke RS" autocomplete="off" value="<?= $objPatientNursing->vPerawatanRawatInapKeRSDP ?>">
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 20px;">

				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;margin-top:5px;" ><b>PERKIRAAN KONDISI SAAT KRS</b></div>
				</div>

				<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="row">
							<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >Tingkat Ketergantungan Aktivitas Hidup sehari hari</div>

							<div class="col-md-12" style="margin-bottom:5px;">
								<div class="input-group" style="width:100%">
									<span class="input-group-addon" style="text-align:left;"><div class="text-35"  style="width: 120px;"><b>Berpakaian sendiri</b></div></span>
									<select id="berpakaian_sendiri" name="berpakaian_sendiri"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
										<option></option>
										<option value="MANDIRI" <?= $objPatientNursing->vBerpakaianSendiriDP == 'MANDIRI' ? 'selected' : '' ?>>MANDIRI</option>
										<option value="PARTIAL" <?= $objPatientNursing->vBerpakaianSendiriDP == 'PARTIAL' ? 'selected' : '' ?>>PARTIAL</option>
										<option value="TOTAL" <?= $objPatientNursing->vBerpakaianSendiriDP == 'TOTAL' ? 'selected' : '' ?>>TOTAL</option>
									</select>
								</div></div>
							<div class="col-md-12" style="margin-bottom:5px;">
								<div class="input-group" style="width:100%">
									<span class="input-group-addon" style="text-align:left;"><div class="text-35"  style="width: 120px;"><b>Mandi</b></div></span>
									<select id="mandi" name="mandi"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
										<option></option>
										<option value="MANDIRI" <?= $objPatientNursing->vMandiDP == 'MANDIRI' ? 'selected' : '' ?>>MANDIRI</option>
										<option value="PARTIAL" <?= $objPatientNursing->vMandiDP == 'PARTIAL' ? 'selected' : '' ?>>PARTIAL</option>
										<option value="TOTAL" <?= $objPatientNursing->vMandiDP == 'TOTAL' ? 'selected' : '' ?>>TOTAL</option>
									</select>
								</div></div>
							<div class="col-md-12" style="margin-bottom:5px;">
								<div class="input-group" style="width:100%">
									<span class="input-group-addon" style="text-align:left;"><div class="text-35"  style="width: 120px;"><b>Kondisi kulit</b></div></span>
									<select id="kondisi_kulit" name="kondisi_kulit"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
										<option></option>
										<option value="MANDIRI" <?= $objPatientNursing->vKondisiKulitDP == 'MANDIRI' ? 'selected' : '' ?>>MANDIRI</option>
										<option value="PARTIAL" <?= $objPatientNursing->vKondisiKulitDP == 'PARTIAL' ? 'selected' : '' ?>>PARTIAL</option>
										<option value="TOTAL" <?= $objPatientNursing->vKondisiKulitDP == 'TOTAL' ? 'selected' : '' ?>>TOTAL</option>
									</select>
								</div></div></div></div>
					<div class="col-md-6">
						<div class="row">
							<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >Mobilitas</div>
							<div class="col-md-12" style="margin-bottom:5px;">
								<div class="input-group" style="width:100%">
									<span class="input-group-addon" style="text-align:left;"><div class="text-35"  style="width: 120px;"><b>Berjalan</b></div></span>
									<select id="mobilitas_berjalan" name="mobilitas_berjalan"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
										<option></option>
										<option value="MANDIRI" <?= $objPatientNursing->vMobilitasBerjalanDP == 'MANDIRI' ? 'selected' : '' ?>>MANDIRI</option>
										<option value="PARTIAL" <?= $objPatientNursing->vMobilitasBerjalanDP == 'PARTIAL' ? 'selected' : '' ?>>PARTIAL</option>
										<option value="TOTAL" <?= $objPatientNursing->vMobilitasBerjalanDP == 'TOTAL' ? 'selected' : '' ?>>TOTAL</option>
									</select>
								</div></div>
							<div class="col-md-12" style="margin-bottom:5px;">
								<div class="input-group" style="width:100%">
									<span class="input-group-addon" style="text-align:left;"><div class="text-35"  style="width: 120px;"><b>Tirah Baring</b></div></span>
									<select id="mobilitas_tirah_baring" name="mobilitas_tirah_baring"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
										<option></option>
										<option value="MANDIRI" <?= $objPatientNursing->vMobilitasTirahBaringDP == 'MANDIRI' ? 'selected' : '' ?>>MANDIRI</option>
										<option value="PARTIAL" <?= $objPatientNursing->vMobilitasTirahBaringDP == 'PARTIAL' ? 'selected' : '' ?>>PARTIAL</option>
										<option value="TOTAL" <?= $objPatientNursing->vMobilitasTirahBaringDP == 'TOTAL' ? 'selected' : '' ?>>TOTAL</option>
									</select>
								</div></div>
						</div></div>
				</div>
				<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="row">
							<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >Kondisi mental</div>
							<div class="col-md-12" style="margin-bottom:5px;">
								<div class="input-group" style="width:100%">
									<span class="input-group-addon" style="text-align:left;"><div class="text-35"  style="width: 120px;"><b>Kebingungan</b></div></span>
									<select id="kondisi_kebingungan" name="kondisi_kebingungan"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
										<option></option>
										<option value="MANDIRI" <?= $objPatientNursing->vKondisiKebingunganDP == 'MANDIRI' ? 'selected' : '' ?>>MANDIRI</option>
										<option value="PARTIAL" <?= $objPatientNursing->vKondisiKebingunganDP == 'PARTIAL' ? 'selected' : '' ?>>PARTIAL</option>
										<option value="TOTAL" <?= $objPatientNursing->vKondisiKebingunganDP == 'TOTAL' ? 'selected' : '' ?>>TOTAL</option>
									</select>
								</div></div>
							<div class="col-md-12" style="margin-bottom:5px;">
								<div class="input-group" style="width:100%">
									<span class="input-group-addon" style="text-align:left;"><div class="text-35"  style="width: 120px;"><b><i>Alert</i></b></div></span>
									<select id="kondisi_alert" name="kondisi_alert"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
										<option></option>
										<option value="MANDIRI" <?= $objPatientNursing->vKondisiAlertDP == 'MANDIRI' ? 'selected' : '' ?>>MANDIRI</option>
										<option value="PARTIAL" <?= $objPatientNursing->vKondisiAlertDP == 'PARTIAL' ? 'selected' : '' ?>>PARTIAL</option>
										<option value="TOTAL" <?= $objPatientNursing->vKondisiAlertDP == 'TOTAL' ? 'selected' : '' ?>>TOTAL</option>
									</select>
								</div></div>
							<div class="col-md-12">
								<div class="input-group" style="width:100%">
									<span class="input-group-addon" style="text-align:left;"><div class="text-35"  style="width: 120px;"><b><i>Orientasi</i></b></div></span>
									<select id="kondisi_orientasi" name="kondisi_orientasi"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
										<option></option>
										<option value="MANDIRI" <?= $objPatientNursing->vKondisiOrientasiDP == 'MANDIRI' ? 'selected' : '' ?>>MANDIRI</option>
										<option value="PARTIAL" <?= $objPatientNursing->vKondisiOrientasiDP == 'PARTIAL' ? 'selected' : '' ?>>PARTIAL</option>
										<option value="TOTAL" <?= $objPatientNursing->vKondisiOrientasiDP == 'TOTAL' ? 'selected' : '' ?>>TOTAL</option>
									</select>
								</div></div>
						</div></div>
					<div class="col-md-6">
						<div class="row">
							<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >Kemampuan sensori</div>
							<div class="col-md-12" style="margin-bottom:5px;">
								<div class="input-group" style="width:100%">
									<span class="input-group-addon" style="text-align:left;"><div class="text-35"  style="width: 120px;"><b>Kaca mata</b></div></span>
									<select id="kemampuan_mata" name="kemampuan_mata"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
										<option></option>
										<option value="MANDIRI" <?= $objPatientNursing->vKemampuanMataDP == 'MANDIRI' ? 'selected' : '' ?>>MANDIRI</option>
										<option value="PARTIAL" <?= $objPatientNursing->vKemampuanMataDP == 'PARTIAL' ? 'selected' : '' ?>>PARTIAL</option>
										<option value="TOTAL" <?= $objPatientNursing->vKemampuanMataDP == 'TOTAL' ? 'selected' : '' ?>>TOTAL</option>
									</select>
								</div></div>
							<div class="col-md-12" style="margin-bottom:5px;">
								<div class="input-group" style="width:100%">
									<span class="input-group-addon" style="text-align:left;"><div class="text-35"  style="width: 120px;"><b>Alat bantu dengar</b></div></span>
									<select id="kemampuan_dengar" name="kemampuan_dengar"  class="form-control chosen" style="width: 100%;" data-placeholder="BELUM DIISI">
										<option></option>
										<option value="MANDIRI" <?= $objPatientNursing->vKemampuanDengarDP == 'MANDIRI' ? 'selected' : '' ?>>MANDIRI</option>
										<option value="PARTIAL" <?= $objPatientNursing->vKemampuanDengarDP == 'PARTIAL' ? 'selected' : '' ?>>PARTIAL</option>
										<option value="TOTAL" <?= $objPatientNursing->vKemampuanDengarDP == 'TOTAL' ? 'selected' : '' ?>>TOTAL</option>
									</select>
								</div></div>
						</div></div>
				</div>

				<div class="row" style="height: 2px;"></div>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 20px;">


				<div class="row" style="padding-bottom: 0px;margin-top:7px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="text-align:left;"><div class="text-35"  style="width: 140px;"><b>Transportasi</b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="transportasi_pribadi" id="transportasi_pribadi" <?= ( stripos( '@'.$objPatientNursing->vTransportasiDP , 'PRIBADI' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="transportasi_pribadi" style="margin-left: 5px; margin-top: 5px;" >Pribadi</label>
								<input type="checkbox" name="transportasi_taksi" id="transportasi_taksi" <?= ( stripos( '@'.$objPatientNursing->vTransportasiDP , 'TAKSI' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="transportasi_taksi" style="margin-left: 5px; margin-top: 5px;" >Taksi</label>
								<input type="checkbox" name="transportasi_umum" id="transportasi_umum" value="YA" <?= ( stripos( '@'.$objPatientNursing->vTransportasiDP , 'UMUM' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="transportasi_umum" style="margin-left: 5px; margin-top: 5px;" >Umum</label>
								<input type="checkbox" name="transportasi_ambulance" id="transportasi_ambulance" value="YA" <?= ( stripos( '@'.$objPatientNursing->vTransportasiDP , 'AMBULANCE' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="transportasi_ambulance" style="margin-left: 5px; margin-top: 5px;" >Ambulance</label>
							</div>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 20px;">


				<div class="row" style="padding-bottom: 0px;margin-top:7px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Masalah / Kebutuhan <br>Klinis Pasien</b></div></span>
							<textarea name="masalah_kebutuhan_klinis_pasien" id="masalah_kebutuhan_klinis_pasien" rows="4" class="form-control" placeholder="Isi Masalah / Kebutuhan Klinis Pasien [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vMasalahKebutuhanKlinisPasienDP ?></textarea>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 20px;">
				<div class="row" style="padding-bottom: 0px;margin-top:7px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="text-align:left;"><div class="text-35"  style="width: 140px;"><b>Kebutuhan alat bantu</b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="kebutuhan_brankar" id="kebutuhan_brankar" <?= ( stripos( '@'.$objPatientNursing->vKebutuhanAlatBantuDP , 'BRANKAR' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="kebutuhan_brankar" style="margin-left: 5px; margin-top: 5px;" >Brankar</label>
								<input type="checkbox" name="kebutuhan_kursi_roda" id="kebutuhan_kursi_roda" <?= ( stripos( '@'.$objPatientNursing->vKebutuhanAlatBantuDP , 'KURSI-RODA' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="kebutuhan_kursi_roda" style="margin-left: 5px; margin-top: 5px;" >Kursi roda</label>
								<input type="checkbox" name="kebutuhan_kruk" id="kebutuhan_kruk" value="YA" <?= ( stripos( '@'.$objPatientNursing->vKebutuhanAlatBantuDP , 'KRUK' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="kebutuhan_kruk" style="margin-left: 5px; margin-top: 5px;" >Kruk</label>
								<input type="checkbox" name="kebutuhan_lainnya" id="kebutuhan_lainnya" value="YA" <?= ( stripos( '@'.$objPatientNursing->vKebutuhanAlatBantuDP , 'LAINNYA' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="kebutuhan_lainnya" style="margin-left: 5px; margin-top: 5px;" >Lainnya</label>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 20px;">

				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;margin-top:5px;" ><b>EDUKASI</b></div>
				</div>

				<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
							<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Materi Topik Nutrisi</b></div>
						</span>
							<input id="materi_topik_nutrisi" type="text" class="form-control" name="materi_topik_nutrisi" placeholder="Materi Topik Nutrisi" value="<?= $objPatientNursing->vMateriTopikNutrisiDP ?>" >
						</div>
					</div>
					<div class="col-md-6" style="margin-bottom:5px;">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
								<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Narasumber</b></div>
							</span>
							<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="narasumber_topik_nutrisi" id="narasumber_topik_nutrisi" data-placeholder="Pilih Narasumber">
							<option value="<?= $objPatientNursing->vNarasumberTopikNutrisiDPId ; ?>" selected ><?= $objPatientNursing->vNarasumberTopikNutrisiDPNama; ?></option>
							</select>
						</div>
					</div>
				</div>
				
				<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
							<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Materi Topik Medikasi</b></div>
						</span>
							<input id="materi_topik_medikasi" type="text" class="form-control" name="materi_topik_medikasi" placeholder="Materi Topik Medikasi" value="<?= $objPatientNursing->vMateriTopikMedikasiDP ?>" >
						</div>
					</div>
					<div class="col-md-6" style="margin-bottom:5px;">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
								<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Narasumber</b></div>
							</span>
							<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="narasumber_topik_medikasi" id="narasumber_topik_medikasi" data-placeholder="Pilih Narasumber">
							<option value="<?= $objPatientNursing->vNarasumberTopikMedikasiDPId ; ?>" selected ><?= $objPatientNursing->vNarasumberTopikMedikasiDPNama; ?></option>
							</select>
						</div>
					</div>
				</div>
				
				<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
							<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Materi Topik Mobilisasi</b></div>
						</span>
							<input id="materi_topik_mobilisasi" type="text" class="form-control" name="materi_topik_mobilisasi" placeholder="Materi Topik Mobilisasi" value="<?= $objPatientNursing->vMateriTopikMobilisasiDP ?>" >
						</div>
					</div>
					<div class="col-md-6" style="margin-bottom:5px;">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
								<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Narasumber</b></div>
							</span>
							<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="narasumber_topik_mobilisasi" id="narasumber_topik_mobilisasi" data-placeholder="Pilih Narasumber">
							<option value="<?= $objPatientNursing->vNarasumberTopikMobilisasiDPId ; ?>" selected ><?= $objPatientNursing->vNarasumberTopikMobilisasiDPNama; ?></option>
							</select>
						</div>
					</div>
				</div>
				
				<div class="row" style="padding-bottom: 0px;margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
							<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Materi Topik Nyeri</b></div>
						</span>
							<input id="materi_topik_nyeri" type="text" class="form-control" name="materi_topik_nyeri" placeholder="Materi Topik Nutrisi" value="<?= $objPatientNursing->vMateriTopikNyeriDP ?>" >
						</div>
					</div>
					<div class="col-md-6" style="margin-bottom:5px;">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
								<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Narasumber</b></div>
							</span>
							<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="narasumber_topik_nyeri" id="narasumber_topik_nyeri" data-placeholder="Pilih Narasumber">
							<option value="<?= $objPatientNursing->vNarasumberTopikNyeriDPId ; ?>" selected ><?= $objPatientNursing->vNarasumberTopikNyeriDPNama; ?></option>
							</select>
						</div>
					</div>
				</div>
				
			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 20px;">


				<div class="row" style="padding-bottom: 0px;margin-top:7px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;line-height:18px;" ><b>Keterlibatan Keluarga</b></div></span>
							<textarea name="keterlibatan_keluarga" id="keterlibatan_keluarga" rows="4" class="form-control" placeholder="Keterlibatan Keluarga [ Bila Ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKeterlibatanKeluargaDP ?></textarea>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>



<div class="box box-info form-horizontal box-info-pasien " style="padding-bottom: 10px;padding-top:15px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
				<div class="col-md-6">
					<div class="row">
						<div class="col-md-12" style="margin-top:25px;margin-bottom:5px;">
							<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
								<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Wali / Keluarga Pasien</b></div>
							</span>
								<input id="wali_keluarga_pasien_dp" type="text" class="form-control" name="wali_keluarga_pasien_dp" placeholder="Diisi jika Tanda Tangan Diwakilkan" value="<?= $objPatientNursing->vWaliKeluargaPasienDP ?>" >
							</div>
						</div>
						<div class="col-md-12">
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
									<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Kepala Ruangan</b></div>
								</span>
								<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="kepala_ruangan_dp" id="kepala_ruangan_dp" data-placeholder="Pilih Kepala Ruangan">
								<option value="<?= $objPatientNursing->vKepalaRuanganDPId ; ?>" selected ><?= $objPatientNursing->vKepalaRuanganDPNama ; ?></option>
								</select>
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-6">
					<div class="col-md-12" style="">
						<div style="width: 100%; padding:3px 0px 0px 0px;text-align:center;" >
						<b>TANDA TANGAN PASIEN / KELUARGA</b>
						</div>
					</div>
				<div class="col-md-12" style="">
					<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
					<div>
						<?php
						$sumberGambar = __USER_ASSETS__.'/images/putih.jpg';

						$gambarTersimpan = $objPatientNursing->vLokasiTandaTanganDischargePlanning ? $objPatientNursing->vLokasiTandaTanganDischargePlanning : $sumberGambar;
						?>
						<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
						<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
					</div>
					<div align="center">
						<canvas id="myCanvas" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
						<div style="display:inline-block;margin-top:10px;">
						<a href="#" class="btn btn-success btn-xs hideSelesai" id="edit">Mulai Tanda Tangan</a>
						<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Tanda Tangan</a>
						<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Tanda Tangan</a>
						<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Tanda Tangan</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<!-- </form> -->
<div class="row">
	<div class="col-xs-12">
		<button id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<!--
		<button id="saveback" class="btn btn-success"><i class="fa fa-save"></i> Simpan dan Kembali</button>
		-->
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
	</div>
</div>


<?php if ($objPatientNursing->vFormDischargePlanningModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormDischargePlanningEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormDischargePlanningEmployeeId)->FirstName.' ('.$objPatientNursing->vFormDischargePlanningLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormDischargePlanningLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormDischargePlanningTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormDischargePlanningTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormDischargePlanningIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormDischargePlanning) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormDischargePlanningEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormDischargePlanningEmployeeId)->FirstName.' ('.$objPatientNursing->vFormDischargePlanningLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormDischargePlanningLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormDischargePlanningTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormDischargePlanningTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormDischargePlanningIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">
	$('.chosen').chosen({
		no_results_text: 'Tidak ditemukan'
		, allow_single_deselect: true
	});

var FormGizi = function(){

	'use strict';
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTandaTanganDischargePlanning ? $objPatientNursing->vLokasiTandaTanganDischargePlanning : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar').click(function() {

			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD DP');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDDischargePlanning')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})

		})

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	});
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function unInitialize() {
		setTimeout(function(){
			Reflect.deleteProperty(window, 'FormGizi');
		},100);
	}

	function back() {
        var Id = '<?= $objPatientNursing->Id ?>';
        console.log(Id);
        setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}

	// cetak di applikasi
	
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		// printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-mata') ?>', strOption);
 		parent.AppPrintPage.setTitle('Print Preview Discharge Planning')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('hmis-patient-medical-service-rnap/print-discharge-planning') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
/*
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		printPreview('ina', '<?= QApplication::UrlCreator('hmis-patient-medical-service-rnap/print-discharge-planning') ?>', strOption);
	}
*/
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});


	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}


	$('#content').off('click', '#back').on('click', '#back', function (event) {
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function (event) {
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});

	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});


	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.KriteriaDP = '';
		if( $("#usia_lebih_65tahun").is(':selected') ) {
			if( post.KriteriaDP ) {
				post.Kriteria = post.KriteriaDP + ',' + 'USIA>65TAHUN';
			} else {
				post.KriteriaDP = 'USIA>65TAHUN';
			}
		}
		if( $("#pasien_pemulangan_khusus").is(':selected') ) {
			if( post.KriteriaDP ) {
				post.KriteriaDP = post.KriteriaDP + ',' + 'PASIEN-PEMULANGAN-KHUSUS';
			} else {
				post.KriteriaDP = 'PASIEN-PEMULANGAN-KHUSUS';
			}
		}
		if( $("#pasien_gangguan_mobilitas").is(':selected') ) {
			if( post.KriteriaDP ) {
				post.KriteriaDP = post.KriteriaDP + ',' + 'PASIEN-GANGGUAN-MOBILITAS';
			} else {
				post.KriteriaDP = 'PASIEN-GANGGUAN-MOBILITAS';
			}
		}
		if( $("#pasien_ganggugan_perawatan").is(':selected') ) {
			if( post.KriteriaDP ) {
				post.KriteriaDP = post.KriteriaDP + ',' + 'PASIEN-GANGGUAN-PERAWATAN';
			} else {
				post.KriteriaDP = 'PASIEN-GANGGUAN-PERAWATAN';
			}
		}

		post.PerawatanLanjutanDP = '';
		if( $("#aktivitas_dirumah").is(':selected') ) {
			if( post.PerawatanLanjutanDP ) {
				post.PerawatanLanjutanDP = post.PerawatanLanjutanDP + ',' + 'AKTIVITAS-DIRUMAH';
			} else {
				post.PerawatanLanjutanDP = 'AKTIVITAS-DIRUMAH';
			}
		}
		if( $("#aktivitas_bantuan").is(':selected') ) {
			if( post.PerawatanLanjutanDP ) {
				post.PerawatanLanjutanDP = post.PerawatanLanjutanDP + ',' + 'AKTIVITAS-BANTUAN';
			} else {
				post.PerawatanLanjutanDP = 'AKTIVITAS-BANTUAN';
			}
		}
		if( $("#bantuan_keluarga").is(':selected') ) {
			if( post.PerawatanLanjutanDP ) {
				post.PerawatanLanjutanDP = post.PerawatanLanjutanDP + ',' + 'BANTUAN-KELUARGA';
			} else {
				post.PerawatanLanjutanDP = 'BANTUAN-KELUARGA';
			}
		}
		if( $("#perawatan_lanjutan_profesional").is(':selected') ) {
			if( post.PerawatanLanjutanDP ) {
				post.PerawatanLanjutanDP = post.PerawatanLanjutanDP + ',' + 'PERAWATAN-LANJUTAN-PROFESIONAL';
			} else {
				post.PerawatanLanjutanDP = 'PERAWATAN-LANJUTAN-PROFESIONAL';
			}
		}
		if( $("#perawatan_intensif_profesional").is(':selected') ) {
			if( post.PerawatanLanjutanDP ) {
				post.PerawatanLanjutanDP = post.PerawatanLanjutanDP + ',' + 'PERAWATAN-INTENSIF-PROFESIONAL';
			} else {
				post.PerawatanLanjutanDP = 'PERAWATAN-INTENSIF-PROFESIONAL';
			}
		}
		if( $("#perawatan_rajal_setempat").is(':selected') ) {
			if( post.PerawatanLanjutanDP ) {
				post.PerawatanLanjutanDP = post.PerawatanLanjutanDP + ',' + 'PERAWATAN-RAJAL-SETEMPAT';
			} else {
				post.PerawatanLanjutanDP = 'PERAWATAN-RAJAL-SETEMPAT';
			}
		}
		if( $("#perawatan_ranap_setempat").is(':selected') ) {
			if( post.PerawatanLanjutanDP ) {
				post.PerawatanLanjutanDP = post.PerawatanLanjutanDP + ',' + 'PERAWATAN-RANAP-SETEMPAT';
			} else {
				post.PerawatanLanjutanDP = 'PERAWATAN-RANAP-SETEMPAT';
			}
		}

		post.PerawatanRawatJalanKeRSDP = $('#perawatan_rajal_ke_rs').val();
		post.PerawatanRawatInapKeRSDP = $('#perawatan_ranap_ke_rs').val();
		post.BerpakaianSendiriDP = $('#berpakaian_sendiri').val() ;
		post.MandiDP = $('#mandi').val() ;
		post.KondisiKulitDP = $('#kondisi_kulit').val() ;
		post.MobilitasBerjalanDP = $('#mobilitas_berjalan').val() ;
		post.MobilitasTirahBaringDP = $('#mobilitas_tirah_baring').val() ;
		post.KondisiKebingunganDP = $('#kondisi_kebingungan').val() ;
		post.KondisiAlertDP = $('#kondisi_alert').val() ;
		post.KondisiOrientasiDP = $('#kondisi_orientasi').val() ;
		post.KemampuanMataDP = $('#kemampuan_mata').val() ;
		post.KemampuanDengarDP = $('#kemampuan_dengar').val() ;


		post.TransportasiDP = '';
		if( $("#transportasi_pribadi").is(':checked') ) {
			if( post.TransportasiDP ) {
				post.TransportasiDP = post.TransportasiDP + ',' + 'PRIBADI';
			} else {
				post.TransportasiDP = 'PRIBADI';
			}
		}
		if( $("#transportasi_taksi").is(':checked') ) {
			if( post.TransportasiDP ) {
				post.TransportasiDP = post.TransportasiDP + ',' + 'TAKSI';
			} else {
				post.TransportasiDP = 'TAKSI';
			}
		}
		if( $("#transportasi_umum").is(':checked') ) {
			if( post.TransportasiDP ) {
				post.TransportasiDP = post.TransportasiDP + ',' + 'UMUM';
			} else {
				post.TransportasiDP = 'UMUM';
			}
		}
		if( $("#transportasi_ambulance").is(':checked') ) {
			if( post.TransportasiDP ) {
				post.TransportasiDP = post.TransportasiDP + ',' + 'AMBULANCE';
			} else {
				post.TransportasiDP = 'AMBULANCE';
			}
		}

		post.MasalahKebutuhanKlinisPasienDP = $('#masalah_kebutuhan_klinis_pasien').val();

		post.KebutuhanAlatBantuDP = '';
		if( $("#kebutuhan_brankar").is(':checked') ) {
			if( post.KebutuhanAlatBantuDP ) {
				post.KebutuhanAlatBantuDP = post.KebutuhanAlatBantuDP + ',' + 'BRANKAR';
			} else {
				post.KebutuhanAlatBantuDP = 'BRANKAR';
			}
		}
		if( $("#kebutuhan_kursi_roda").is(':checked') ) {
			if( post.KebutuhanAlatBantuDP ) {
				post.KebutuhanAlatBantuDP = post.KebutuhanAlatBantuDP + ',' + 'KURSI-RODA';
			} else {
				post.KebutuhanAlatBantuDP = 'KURSI-RODA';
			}
		}
		if( $("#kebutuhan_kruk").is(':checked') ) {
			if( post.KebutuhanAlatBantuDP ) {
				post.KebutuhanAlatBantuDP = post.KebutuhanAlatBantuDP + ',' + 'KRUK';
			} else {
				post.KebutuhanAlatBantuDP = 'KRUK';
			}
		}
		if( $("#kebutuhan_lainnya").is(':checked') ) {
			if( post.KebutuhanAlatBantuDP ) {
				post.KebutuhanAlatBantuDP = post.KebutuhanAlatBantuDP + ',' + 'LAINNYA';
			} else {
				post.KebutuhanAlatBantuDP = 'LAINNYA';
			}
		}

		post.MateriTopikNutrisiDP = $('#materi_topik_nutrisi').val();
		post.NarasumberTopikNutrisiDPId = $('#narasumber_topik_nutrisi').val();
		post.MateriTopikMedikasiDP = $('#materi_topik_medikasi').val();
		post.NarasumberTopikMedikasiDPId = $('#narasumber_topik_medikasi').val();
		post.MateriTopikMobilisasiDP = $('#materi_topik_mobilisasi').val();
		post.NarasumberTopikMobilisasiDPId = $('#narasumber_topik_mobilisasi').val();
		post.MateriTopikNyeriDP = $('#materi_topik_nyeri').val();
		post.NarasumberTopikNyeriDPId = $('#narasumber_topik_nyeri').val();
		post.KeterlibatanKeluargaDP = $('#keterlibatan_keluarga').val();
		post.WaliKeluargaPasienDP = $('#wali_keluarga_pasien_dp').val();
		post.KepalaRuanganDPId = $('#kepala_ruangan_dp').val();

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingMedicalRecord/SaveAssessmentDischargePlanning')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save-loading').show();
				$('#save').hide();
				$('#float-simpan').hide();
				$('#float-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					parent.toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#discharge_planning').removeClass('btn-primary').addClass('btn-success').html('Discharge Planning <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();

				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#discharge_planning').removeClass('btn-primary').addClass('btn-success').html('Discharge Planning <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();

				} else {
					toastr.error( result.message , 'Error');
					$('#save-loading').hide();
					$('#float-simpan').show();
					$('#float-loading').hide();
					$('#save').show();
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
				$('#save-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
			}
		});

	}

	$("#nama_dokter_bedah").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);
	
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});


	
	$('#narasumber_topik_nutrisi').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
	$('#narasumber_topik_medikasi').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
	$('#narasumber_topik_mobilisasi').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
	$('#narasumber_topik_nyeri').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
	$('#kepala_ruangan_dp').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.ruang, .doctor').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	
	
	$(document).ready(function () {
		var kriteriaList = document.getElementById('kriteria_list').value;

		var str_array = kriteriaList.split(',');

		for (var i = 0; i < str_array.length; i++) {
			str_array[i] = str_array[i].replace(/^\s*/, "").replace(/\s*$/, "");
		}

		$("#kriteria").val(str_array).trigger("chosen:updated");
	});

	$(document).ready(function () {
		var perawatanLanjutanList = document.getElementById('perawatan_lanjutan_list').value;

		var str_array = perawatanLanjutanList.split(',');

		for (var i = 0; i < str_array.length; i++) {
			str_array[i] = str_array[i].replace(/^\s*/, "").replace(/\s*$/, "");
		}

		$("#perawatan_lanjutan").val(str_array).trigger("chosen:updated");
	});
	
};

$('#content').ready(function(){
	FormGizi();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormDischargePlanning ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>

});

</script>