<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>


<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}
?>

<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> 
<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>

<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>

<!-- Modal -->
<div id="modalGambarEswl" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Upload Gambar</h4>
	  </div>
	  <div class="modal-body">
		<form>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">No RM</div>
				<div class="col-sm-8">
					<input type="text" class="form-control" value="<?= $objPatientNursing->Mr ?>" readonly>
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Nama</div>
				<div class="col-sm-8">
					<input type="text" class="form-control" value="<?= $objPatientNursing->FirstName ?>" readonly>
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Upload Data</div>
				<div class="col-sm-8">
					<input type="file" name="filegambareswl" id="filegambareswl" class="form-control">
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Deskripsi</div>
				<div class="col-sm-8">
					<textarea name="deskripsigambareswl" id="deskripsigambareswl" class="form-control"></textarea>
				</div>
			</div>
		<form>
	  </div>
	  <div class="modal-footer">
		<button type="button" id="simpanGambarEswl" class="btn btn-success">Simpan</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Close</button> 
	  </div>
	</div>

  </div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">


	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">

	<div class="row">

		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-header">
			    		<i class="fa fa-user"></i>
			    		<h3 class="box-title">FORM ESWL</h3>
				</div>
				

				<div class="row" style="height: 8px;">
				</div>

				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Dokter Pelaksana</b></div></span>
							<select name="dokter_eswl" id="dokter_eswl" class="form-control doctor" style="width: 300px;">
								<option value="<?= $objPatientNursing->vDokterEswl ?>" selected><?= $objPatientNursing->vDokterEswl != "" ? HmisRefEmployee::LoadById($objPatientNursing->vDokterEswl)->FirstName : "" ; ?></option>
							</select>
						</div>
					</div>
				</div>

				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Asisten Pelaksana</b></div></span>
							<select name="asisten_eswl" id="asisten_eswl" class="form-control asisten" style="width: 300px;">
								<option value="<?= $objPatientNursing->vAsistenEswl ?>" selected><?= $objPatientNursing->vAsistenEswl != "" ? HmisRefEmployee::LoadById( $objPatientNursing->vAsistenEswl)->FirstName : "" ; ?></option>
							</select>
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Waktu Mulai Tgl: </b></div></span>
							<input type="text" data-mask="00-00-0000" class="form-control input-date" name="tgl_mulai_eswl" id="tgl_mulai_eswl" placeholder="Waktu Mulai" autocomplete="off" value="<?= $objPatientNursing->vTglMulaiEswl ; ?>">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 16px; text-align:center;font-size:16px;" ><i class="fa fa-calendar" aria-hidden="true"></i></div>
						</span>

						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Jam:</b></span></span>
							<input type="text" data-mask="00:00" class="form-control" name="jam_mulai_eswl" id="jam_mulai_eswl" placeholder="Waktu Mulai" autocomplete="off" value="<?= $objPatientNursing->vJamMulaiEswl ; ?>">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 16px; text-align:center;font-size:16px;" ><i class="fa fa-clock-o" aria-hidden="true"></i></div>
						</span>

						</div>
					</div>
				</div>

				<div class="row" style="padding-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Waktu Selesai Tgl:</b></div></span>
							<input type="text" data-mask="00-00-0000" class="form-control input-date" name="tgl_selesai_eswl" id="tgl_selesai_eswl" placeholder="Waktu Selesai" autocomplete="off" value="<?= $objPatientNursing->vTglSelesaiEswl ; ?>">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 16px; text-align:center;font-size:16px;" ><i class="fa fa-calendar" aria-hidden="true"></i></div>
						</span>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Jam:</b></span></span>
							<input type="text" data-mask="00:00"  class="form-control" name="jam_selesai_eswl" id="jam_selesai_eswl" placeholder="Waktu Selesai" autocomplete="off" value="<?= $objPatientNursing->vJamSelesaiEswl ; ?>">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 16px; text-align:center;font-size:16px;" ><i class="fa fa-clock-o" aria-hidden="true"></i></div>
						</span>
						</div>
					</div>
				</div>
				<div class="row" style="padding-bottom: 2px;">
					<div class="col-md-4">
						<div class="input-group" style="width:100%;">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Lama Tindakan</b></div></span>
							<input type="text" class="form-control" name="eswl_lama_tindakan" id="eswl_lama_tindakan" placeholder="Lama Tindakan" autocomplete="off" value="<?= $objPatientNursing->vLamaTindakan ; ?>">
						</div>
					</div>
				</div>


			</div>
		</div>
	</div>


	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >BATU</div>
				</div>

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 140px;"><span class="text-35"><b>Nomor:</b></span></span>
							<input type="text" class="form-control" name="eswl_nomor_batu_1" id="eswl_nomor_batu_1" placeholder="Nomor" autocomplete="off" value="<?= $objPatientNursing->vEswlNomoBatu1 ; ?>">
						</div>
					</div>
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Posisi:</b></span></span>
							<input type="text" class="form-control" name="eswl_posisi_batu_1" id="eswl_posisi_batu_1" placeholder="Posisi" autocomplete="off" value="<?= $objPatientNursing->vEswlPosisiBatu1; ?>">
						</div>
					</div>
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Ukuran:</b></span></span>
							<input type="text" class="form-control" name="eswl_ukuran_batu_1" id="eswl_ukuran_batu_1" placeholder="Ukuran" autocomplete="off" value="<?= $objPatientNursing->vEswlUkuranBatu1 ; ?>">
							<span class="input-group-addon"><span class="text-35"> mm </span></span>

						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 140px;"><span class="text-35"><b>Nomor:</b></span></span>
							<input type="text" class="form-control" name="eswl_nomor_batu_2" id="eswl_nomor_batu_2" placeholder="Nomor" autocomplete="off" value="<?= $objPatientNursing->vEswlNomoBatu2 ; ?>">
						</div>
					</div>
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Posisi:</b></span></span>
							<input type="text" class="form-control" name="eswl_posisi_batu_2" id="eswl_posisi_batu_2" placeholder="Posisi" autocomplete="off" value="<?= $objPatientNursing->vEswlPosisiBatu2; ?>">
						</div>
					</div>
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Ukuran:</b></span></span>
							<input type="text" class="form-control" name="eswl_ukuran_batu_2" id="eswl_ukuran_batu_2" placeholder="Ukuran" autocomplete="off" value="<?= $objPatientNursing->vEswlUkuranBatu2 ; ?>">
							<span class="input-group-addon"><span class="text-35"> mm </span></span>
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Lokalisasi tipe</b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="x_ray" id="x_ray" <?= ( stripos( '@'.$objPatientNursing->vEswlLokasiTipe , 'X-ray' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="x_ray" style="margin-left: 5px; margin-top: 5px;" >X-Ray</label>
								<input type="checkbox" name="ultrasound" id="ultrasound" <?= ( stripos( '@'.$objPatientNursing->vEswlLokasiTipe , 'Ultrasound' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="ultrasound" style="margin-left: 5px; margin-top: 5px;" >Ultrasound</label>
								<input type="checkbox" name="keduanya" id="keduanya" <?= ( stripos( '@'.$objPatientNursing->vEswlLokasiTipe , 'Keduanya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="keduanya" style="margin-left: 5px; margin-top: 5px;" >Kedua-duanya</label>

							</div>
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 150px;"><span class="text-35"><b>Lokalisasi X-Ray : KV :</b></span></span>
							<input type="text" class="form-control" name="eswl_KV" id="eswl_KV" placeholder="KV" autocomplete="off" value="<?= $objPatientNursing->vEswlKV ; ?>">
						</div>
					</div>
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>MA:</b></span></span>
							<input type="text" class="form-control" name="eswl_MA" id="eswl_MA" placeholder="MA" autocomplete="off" value="<?= $objPatientNursing->vEswlMA; ?>">
						</div>
					</div>
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Fluoroscopy:</b></span></span>
							<input type="text" class="form-control" name="eswl_fluoroscopy" id="eswl_fluoroscopy" placeholder="Fluoroscopy" autocomplete="off" value="<?= $objPatientNursing->vEswlFluoroscopy ; ?>">
							<span class="input-group-addon"><span class="text-35"> menit </span></span>

						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="width: 160px;"><span class="text-35"><b>Lokalisasi u/s Jarak:</b></span></span>
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Probe  Fokus:</b></span></span>
							<input type="text" class="form-control" name="eswl_probe_fokus" id="eswl_probe_fokus" placeholder="Probe Fokus" autocomplete="off" value="<?= $objPatientNursing->vEswlProbeFokus ; ?>">
							<span class="input-group-addon"><span class="text-35"> mm </span></span>

						</div>
					</div>
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Probe Batu:</b></span></span>
							<input type="text" class="form-control" name="eswl_probe_batu" id="eswl_probe_batu" placeholder="Probe Batu" autocomplete="off" value="<?= $objPatientNursing->vEswlProbeBatu ; ?>">
							<span class="input-group-addon"><span class="text-35"> mm </span></span>

						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Gambar</b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="eswl_gambar_bagus" id="eswl_gambar_bagus" <?= ( stripos( '@'.$objPatientNursing->vEswlGambarBatu , 'Bagus' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="eswl_gambar_bagus" style="margin-left: 5px; margin-top: 5px;" >Bagus</label>
								<input type="checkbox" name="eswl_gambar_cukup_bagus" id="eswl_gambar_cukup_bagus" <?= ( stripos( '@'.$objPatientNursing->vEswlGambarBatu , 'Cukup bagus' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="eswl_gambar_cukup_bagus" style="margin-left: 5px; margin-top: 5px;" >Cukup Bagus</label>
								<input type="checkbox" name="eswl_gambar_tidak_bagus" id="eswl_gambar_tidak_bagus" <?= ( stripos( '@'.$objPatientNursing->vEswlGambarBatu , 'Tidak bagus' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="eswl_gambar_tidak_bagus" style="margin-left: 5px; margin-top: 5px;" >Tidak Bagus</label>

							</div>
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>IVP saat ESWL</b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="eswl_ivp" id="eswl_ivp" <?= ( stripos( '@'.$objPatientNursing->vEswlIVP , 'Ya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="eswl_ivp" style="margin-left: 5px; margin-top: 5px;" >Ya</label>
								<input type="checkbox" name="eswl_tidak_ivp" id="eswl_tidak_ivp" <?= ( stripos( '@'.$objPatientNursing->vEswlIVP , 'Tidak' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="eswl_tidak_ivp" style="margin-left: 5px; margin-top: 5px;" >Tidak</label>

							</div>
						</div>
					</div>
				</div>

				<div class="row" style="height: 2px;"></div>

				<div class="row" style="padding-bottom: 0px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Keterangan</b></div></span>
							<textarea name="eswl_keterangan_batu" id="eswl_keterangan_batu" rows="4" class="form-control" placeholder="Keterangan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vEswlKeteranganBatu ?></textarea>
						</div>
					</div>
				</div>
				<!--<div>
						<a href="#" id="uploadGambarEswl" class="btn btn-success btn-xs" style="margin-bottom:2px">Upload Gambar</a>
						<a href="#" id="previewGambarEswl" class="btn btn-warning btn-xs" style="display:none; margin-bottom:2px">Preview</a>
				<div>-->

				<div class="row" style="height: 5px;"></div>

			</div>
		</div>
	</div>
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-body">
        <div class="row" style="margin-bottom: 5px;">
            <div class="col-md-12" style="text-align:center;" >

				<div style="align:center;" >
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/eswl.jpg';
					$gambarTersimpan = $objPatientNursing->vGambarESWL ? __IMAGE_ASSETS__. $objPatientNursing->vGambarESWL : $sumberGambar;
					?>
					<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas" width="240" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
					<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Sedang menyimpan</button>
				</div>
			 </div>
        </div>
    </div>
</div>


	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >PENEMBAKAN</div>
				</div>

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group" style="width:100%;">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Batu 1 : Jumlah tembakan:</b></span></span>
							<input type="number" class="form-control" name="eswl_jumlah_tembakan_batu_1" id="eswl_jumlah_tembakan_batu_1" placeholder="Jumlah Tembakan" autocomplete="off" value="<?= $objPatientNursing->vEswlJumlahTembakanBatu1 ; ?>">

						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="width:100%;">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Power:</b></span></span>
							<input type="number" class="form-control" name="eswl_power_tembakan_batu_kv_1" id="eswl_power_tembakan_batu_kv_1" placeholder="Power Tembakan" autocomplete="off" value="<?= $objPatientNursing->vEswlPowerTembakanBatuKv1 ; ?>">
							<span class="input-group-addon"><span class="text-35"> kV </span></span>
							<input type="number" class="form-control" name="eswl_power_tembakan_batu_hz_1" id="eswl_power_tembakan_batu_hz_1" placeholder="Power Tembakan" autocomplete="off" value="<?= $objPatientNursing->vEswlPowerTembakanBatuHz1 ; ?>">
							<span class="input-group-addon"><span class="text-35"> Hz </span></span>

						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group" style="width:100%;">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Batu 2 : Jumlah tembakan:</b></span></span>
							<input type="number" class="form-control" name="eswl_jumlah_tembakan_batu_2" id="eswl_jumlah_tembakan_batu_2" placeholder="Jumlah Tembakan" autocomplete="off" value="<?= $objPatientNursing->vEswlJumlahTembakanBatu2 ; ?>">

						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="width:100%;">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Power:</b></span></span>
							<input type="number" class="form-control" name="eswl_power_tembakan_batu_kv_2" id="eswl_power_tembakan_batu_kv_2" placeholder="Power Tembakan" autocomplete="off" value="<?= $objPatientNursing->vEswlPowerTembakanBatuKv2 ; ?>">
							<span class="input-group-addon"><span class="text-35"> kV </span></span>
							<input type="number" class="form-control" name="eswl_power_tembakan_batu_hz_2" id="eswl_power_tembakan_batu_hz_2" placeholder="Power Tembakan" autocomplete="off" value="<?= $objPatientNursing->vEswlPowerTembakanBatuHz2 ; ?>">
							<span class="input-group-addon"><span class="text-35"> Hz </span></span>

						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-6">
						<div class="input-group" style="width:100%;">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Batu 3 : Jumlah tembakan:</b></span></span>
							<input type="number" class="form-control" name="eswl_jumlah_tembakan_batu_3" id="eswl_jumlah_tembakan_batu_3" placeholder="Jumlah Tembakan" autocomplete="off" value="<?= $objPatientNursing->vEswlJumlahTembakanBatu3 ; ?>">

						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="width:100%;">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Power:</b></span></span>
							<input type="number" class="form-control" name="eswl_power_tembakan_batu_kv_3" id="eswl_power_tembakan_batu_kv_3" placeholder="Power Tembakan" autocomplete="off" value="<?= $objPatientNursing->vEswlPowerTembakanBatuKv3 ; ?>">
							<span class="input-group-addon"><span class="text-35"> kV </span></span>
							<input type="number" class="form-control" name="eswl_power_tembakan_batu_hz_3" id="eswl_power_tembakan_batu_hz_3" placeholder="Power Tembakan" autocomplete="off" value="<?= $objPatientNursing->vEswlPowerTembakanBatuHz3 ; ?>">
							<span class="input-group-addon"><span class="text-35"> Hz </span></span>

						</div>
					</div>
				</div>


			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >MONITOR</div>
				</div>

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;" ><b>USG : </b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="eswl_usg" id="eswl_usg" <?= ( stripos( '@'.$objPatientNursing->vEswlUSG , 'Ya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="eswl_usg" style="margin-left: 5px; margin-top: 5px;" >Ya</label>
								<input type="checkbox" name="eswl_tidak_usg" id="eswl_tidak_usg" <?= ( stripos( '@'.$objPatientNursing->vEswlUSG , 'Tidak' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="eswl_tidak_usg" style="margin-left: 5px; margin-top: 5px;" >Tidak</label>

							</div>
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Catatan:</b></span></span>
							<input type="text" class="form-control" name="eswl_catatan_usg" id="eswl_catatan_usg" placeholder="Catatan USG" autocomplete="off" value="<?= $objPatientNursing->vEswlCatatanUSG ; ?>">

						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;" ><b>Rontgen : </b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="eswl_rontgen" id="eswl_rontgen" <?= ( stripos( '@'.$objPatientNursing->vEswlRontgen , 'Ya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="eswl_rontgen" style="margin-left: 5px; margin-top: 5px;" >Ya</label>
								<input type="checkbox" name="eswl_tidak_rontgen" id="eswl_tidak_rontgen" <?= ( stripos( '@'.$objPatientNursing->vEswlRontgen , 'Tidak' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="eswl_tidak_rontgen" style="margin-left: 5px; margin-top: 5px;" >Tidak</label>

							</div>
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Catatan:</b></span></span>
							<input type="text" class="form-control" name="eswl_catatan_rontgen" id="eswl_catatan_rontgen" placeholder="Catatan" autocomplete="off" value="<?= $objPatientNursing->vEswlCatatanRontgen ; ?>">

						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;" ><b>Tingkat kesakitan : </b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="eswl_tingkat_kesakitan_1" id="eswl_tingkat_kesakitan_1" <?= ( stripos( '@'.$objPatientNursing->vEswlTingkatSakit , 'Tidak Sakit' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="eswl_tingkat_kesakitan_1" style="margin-left: 5px; margin-top: 5px;" >Tidak Sakit </label>
								<input type="checkbox" name="eswl_tingkat_kesakitan_2" id="eswl_tingkat_kesakitan_2" <?= ( stripos( '@'.$objPatientNursing->vEswlTingkatSakit , 'Sedikit Sakit' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="eswl_tingkat_kesakitan_2" style="margin-left: 5px; margin-top: 5px;" >Sedikit Sakit</label>
								<input type="checkbox" name="eswl_tingkat_kesakitan_3" id="eswl_tingkat_kesakitan_3" <?= ( stripos( '@'.$objPatientNursing->vEswlTingkatSakit , 'Cukup Sakit' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="eswl_tingkat_kesakitan_3" style="margin-left: 5px; margin-top: 5px;" >Cukup Sakit</label>
								<input type="checkbox" name="eswl_tingkat_kesakitan_4" id="eswl_tingkat_kesakitan_4" <?= ( stripos( '@'.$objPatientNursing->vEswlTingkatSakit , 'Sakit Sekali' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="eswl_tingkat_kesakitan_4" style="margin-left: 5px; margin-top: 5px;" >Sakit Sekali</label>


							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;" ><b>Penggunaan obat :</b></div></span>

						</div>
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;" ><b> Sebelum penembakan :</b></div></span>
							<textarea name="eswl_penggunaan_obat_sebelum_penembakan" id="eswl_penggunaan_obat_sebelum_penembakan" rows="4" class="form-control" placeholder="Penggunaan Obat" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vEswlPenggunaanObatSebelumPenembakan ?></textarea>

						</div>
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;" ><b>Selama penembakan :</b></div></span>
							<textarea name="eswl_penggunaan_obat_selama_penembakan" id="eswl_penggunaan_obat_selama_penembakan" rows="4" class="form-control" placeholder="Penggunaan Obat" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vEswlPenggunaanObatSelamaPenembakan ?></textarea>

						</div>
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;" ><b>Setelah penembakan :</b></div></span>
							<textarea name="eswl_penggunaan_obat_setelah_penembakan" id="eswl_penggunaan_obat_setelah_penembakan" rows="4" class="form-control" placeholder="Penggunaan Obat" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vEswlPenggunaanObatSetelahPenembakan ?></textarea>

						</div>


					</div>
				</div>

			</div>
		</div>
	</div>
	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >TINGKAT KEPECAHAN</div>
				</div>

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;" ><b>Di monitor : </b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="eswl_tingkat_kepecahan_1" id="eswl_tingkat_kepecahan_1" <?= ( stripos( '@'.$objPatientNursing->vEswlTingkatKepecahan , 'Terlihat Jelas' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="eswl_tingkat_kepecahan_1" style="margin-left: 5px; margin-top: 5px;" >Terlihat jelas </label>
								<input type="checkbox" name="eswl_tingkat_kepecahan_2" id="eswl_tingkat_kepecahan_2" <?= ( stripos( '@'.$objPatientNursing->vEswlTingkatKepecahan , 'Terlihat Samar' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="eswl_tingkat_kepecahan_2" style="margin-left: 5px; margin-top: 5px;" >Terlihat Samar</label>
								<input type="checkbox" name="eswl_tingkat_kepecahan_3" id="eswl_tingkat_kepecahan_3" <?= ( stripos( '@'.$objPatientNursing->vEswlTingkatKepecahan , 'Tidak Terlihat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="eswl_tingkat_kepecahan_3" style="margin-left: 5px; margin-top: 5px;" >Tidak Terlihat</label>


							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;" ><b> Waktu selesai :</b></div></span>
							<textarea name="eswl_waktu_selesai_kepecahan" id="eswl_waktu_selesai_kepecahan" rows="4" class="form-control" placeholder="Waktu Selesai" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vEswlWaktuSelesaiKepecahan ?></textarea>

						</div>
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 140px; padding-right: 0px;" ><b>Keterangan :</b></div></span>
							<textarea name="eswl_keterangan_kepecahan" id="eswl_keterangan_kepecahan" rows="4" class="form-control" placeholder="Keterangan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vEswlKeteranganKepecahan ?></textarea>

						</div>

					</div>
				</div>
			</div>
		</div>
	</div>

</div>

<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormESWLModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormESWLEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormESWLEmployeeId)->FirstName.' ('.$objPatientNursing->vFormESWLLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormESWLLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormESWLTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormESWLTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormESWLIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormESWL) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormESWLEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormESWLEmployeeId)->FirstName.' ('.$objPatientNursing->vFormESWLLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormESWLLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormESWLTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormESWLTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormESWLIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>

<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';

	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}


	$('.koreksi, #float-koreksi').click(function(){
        parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
				$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false).trigger('chosen:updated');
				$('#validasi-modal, #float-validasi').removeClass('disabled'); 
				$('.koreksi').addClass('disabled'); 
				$('#float-koreksi').hide();
				$('#float-validasi').show();
                parent.jQuery.fallr('hide',function(){});
            },
            function(){
                parent.jQuery.fallr('hide',function(){});
            }
        );
    })

	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function () {
		posting('DRAFT');
	});

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#cetak_laporan, #float-print, #cetak_laporan_validasi').off('click').on('click',function(){
		parent.AppPrintPage.setTitle('Print Preview ESWL')
		var url = '<?= QApplication::UrlCreator('form-medis-rajal/print-eswl')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>';
		parent.openAppPrintPage(url);
	});

    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormESWLModifiedVersion != "" ? $objPatientNursing->vFormESWLModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});

	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.GiziTb = $('#gizi_tb').val();
		post.GiziBb = $('#gizi_bb').val();
		post.GiziBbi = $('#gizi_bbi').val();

		post.GiziTbu = $('#gizi_tbu').val();
		post.GiziBbu = $('#gizi_bbu').val();
		post.GiziBbtb = $('#gizi_bbtb').val();

		post.GiziImtu = $('#gizi_imtu').val();
		post.GiziImt = $('#gizi_imt').val();

		post.GiziStatus = $('#gizi_status').val();

		post.GiziStatusBiokimia = $('#gizi_status_biokimia').val();
		post.GiziMasalahBiokimia = $('#gizi_masalah_biokimia').text() ? $('#gizi_masalah_biokimia').text() : $('#gizi_masalah_biokimia').val();

		post.GiziStatusKlinis = $('#gizi_status_klinis').val();
		post.GiziMasalahKlinis = $('#gizi_masalah_klinis').text() ? $('#gizi_masalah_klinis').text() : $('#gizi_masalah_klinis').val() ;

		post.GiziAlergiMakanan = $('#gizi_alergi_makanan').text() ? $('#gizi_alergi_makanan').text() : $('#gizi_alergi_makanan').val() ;

		post.GiziPolaMakan = $('#gizi_pola_makan').val();
		post.GiziSusunanMakanan = $('#gizi_susunan_makanan').val();


		post.GiziPemberianMakan = $('#gizi_alergi_makanan').text() ? $('#gizi_alergi_makanan').text() : $('#gizi_alergi_makanan').val() ;
		post.GiziPemberianASI = $('#gizi_pemberian_asi').val();

		post.DokterEswl = $('#dokter_eswl').val();
		post.AsistenEswl = $('#asisten_eswl').val();

		console.log( $("#gizi_hipertensi").is(':checked') );

		post.GiziRiwayatPenyakitDahulu = '';
		if( $("#gizi_hipertensi").is(':checked') ) {
			if( post.GiziRiwayatPenyakitDahulu ) {
				post.GiziRiwayatPenyakitDahulu = post.GiziRiwayatPenyakitDahulu + ',' + 'HIPERTENSI';
			} else {
				post.GiziRiwayatPenyakitDahulu = 'HIPERTENSI';
			}
		}
		if( $("#gizi_dm").is(':checked') ) {
			if( post.GiziRiwayatPenyakitDahulu ) {
				post.GiziRiwayatPenyakitDahulu = post.GiziRiwayatPenyakitDahulu + ',' + 'DM';
			} else {
				post.GiziRiwayatPenyakitDahulu = 'DM';
			}
		}
		if( $("#gizi_jantung").is(':checked') ) {
			if( post.GiziRiwayatPenyakitDahulu ) {
				post.GiziRiwayatPenyakitDahulu = post.GiziRiwayatPenyakitDahulu + ',' + 'JANtUNG';
			} else {
				post.GiziRiwayatPenyakitDahulu = 'JANtUNG';
			}
		}
		if( $("#gizi_ginjal").is(':checked') ) {
			if( post.GiziRiwayatPenyakitDahulu ) {
				post.GiziRiwayatPenyakitDahulu = post.GiziRiwayatPenyakitDahulu + ',' + 'GINJAL';
			} else {
				post.GiziRiwayatPenyakitDahulu = 'GINJAL';
			}
		}
		post.GiziRiwayatPenyakitDahuluLainLain = $("#gizi_riwayat_penyakit_dahulu_lain_lain").val() ? $("#gizi_riwayat_penyakit_dahulu_lain_lain").val() : $("#gizi_riwayat_penyakit_dahulu_lain_lain").text();

		post.GiziNafsuMakan = '';
		if( $("#gizi_nafsu_makan_baik").is(':checked') ) {
			if( post.GiziNafsuMakan ) {
				post.GiziNafsuMakan = post.GiziNafsuMakan + ',' + 'BAIK';
			} else {
				post.GiziNafsuMakan = 'BAIK';
			}
		}
		if( $("#gizi_nafsu_makan_kurang").is(':checked') ) {
			if( post.GiziNafsuMakan ) {
				post.GiziNafsuMakan = post.GiziNafsuMakan + ',' + 'KURANG';
			} else {
				post.GiziNafsuMakan = 'KURANG';
			}
		}
		if( $("#gizi_nafsu_makan_sulit_menelan").is(':checked') ) {
			if( post.GiziNafsuMakan ) {
				post.GiziNafsuMakan = post.GiziNafsuMakan + ',' + 'SULIT MENELAN';
			} else {
				post.GiziNafsuMakan = 'SULIT MENELAN';
			}
		}
		if( $("#gizi_nafsu_makan_sulit_mengunyah").is(':checked') ) {
			if( post.GiziNafsuMakan ) {
				post.GiziNafsuMakan = post.GiziNafsuMakan + ',' + 'SULIT MENGUNYAH';
			} else {
				post.GiziNafsuMakan = 'SULIT MENGUNYAH';
			}
		}
		if( $("#gizi_nafsu_makan_mual").is(':checked') ) {
			if( post.GiziNafsuMakan ) {
				post.GiziNafsuMakan = post.GiziNafsuMakan + ',' + 'MUAL';
			} else {
				post.GiziNafsuMakan = 'MUAL';
			}
		}
		if( $("#gizi_nafsu_makan_mual").is(':checked') ) {
			if( post.GiziNafsuMakan ) {
				post.GiziNafsuMakan = post.GiziNafsuMakan + ',' + 'MUNTAH';
			} else {
				post.GiziNafsuMakan = 'MUNTAH';
			}
		}

		post.DiagnosaGizi = $('#gizi_diagnosa').val();

		post.GiziIntervensi = $('#gizi_intervensi').val();

		post.GiziKalori = $('#gizi_kalori').val();
		post.GiziProtein = $('#gizi_protein').val();
		post.GiziLemak = $('#gizi_lemak').val();
		post.GiziKarbohidrat = $('#gizi_karbohidrat').val();

		post.GiziDiit = $('#gizi_diit').val();

		post.GiziBentukMakanan = '';
		if( $("#gizi_nasi").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'NASI';
			} else {
				post.GiziBentukMakanan = 'NASI';
			}
		}
		if( $("#gizi_tim").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'TIM';
			} else {
				post.GiziBentukMakanan = 'TIM';
			}
		}
		if( $("#gizi_bk").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'BK';
			} else {
				post.GiziBentukMakanan = 'BK';
			}
		}
		if( $("#gizi_bk_cincang").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'BK-CINCANG';
			} else {
				post.GiziBentukMakanan = 'BK-CINCANG';
			}
		}
		if( $("#gizi_bh_cincang_kaldu").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'BH-CINCANG-KALDU';
			} else {
				post.GiziBentukMakanan = 'BH-CINCANG-KALDU';
			}
		}
		if( $("#gizi_bh_gula").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'BH-GULA';
			} else {
				post.GiziBentukMakanan = 'BH-GULA';
			}
		}
		if( $("#gizi_bh_ge").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'BH-GE';
			} else {
				post.GiziBentukMakanan = 'BH-GE';
			}
		}
		if( $("#gizi_cair").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'CAIR';
			} else {
				post.GiziBentukMakanan = 'CAIR';
			}
		}

		post.GiziPemberianMakan = '';
		if( $("#gizi_oral").is(':checked') ) {
			if( post.GiziPemberianMakan ) {
				post.GiziPemberianMakan = post.GiziPemberianMakan + ',' + 'ORAL';
			} else {
				post.GiziPemberianMakan = 'ORAL';
			}
		}
		if( $("#gizi_enteral").is(':checked') ) {
			if( post.GiziPemberianMakan ) {
				post.GiziPemberianMakan = post.GiziPemberianMakan + ',' + 'ENTERAL';
			} else {
				post.GiziPemberianMakan = 'ENTERAL';
			}
		}
		if( $("#gizi_parenteral").is(':checked') ) {
			if( post.GiziPemberianMakan ) {
				post.GiziPemberianMakan = post.GiziPemberianMakan + ',' + 'PARENTERAL';
			} else {
				post.GiziPemberianMakan = 'ENTERAL';
			}
		}

		post.GiziFrekuensi = $('#gizi_frekuensi').val();
		post.GiziMonitoring = $("#gizi_monitoring").val() ? $("#gizi_monitoring").val() : $("#gizi_monitoring").text();

		post.GiziEvaluasi = $("#gizi_evaluasi").val() ? $("#gizi_evaluasi").val() : $("#gizi_evaluasi").text();


//===============================ESWL===============================================

		post.DokterEswl = $("#dokter_eswl").val();
		post.AsistenEswl = $('#asisten_eswl').val(); 
		post.TglMulaiEswl = $('#tgl_mulai_eswl').val(); 
		post.JamMulaiEswl = $('#jam_mulai_eswl').val(); 
		post.TglSelesaiEswl = $('#tgl_selesai_eswl').val(); 
		post.JamSelesaiEswl = $('#jam_selesai_eswl').val(); 
		post.LamaTindakan  = $('#eswl_lama_tindakan').val(); 

		post.AntiProfilaksis = $('#anti_profilaksis').val(); 
		post.ObatAntiProfilaksis = $('#nama_obat_anti_profilaksis').val(); 
		post.DosisAntiProfilaksis = $('#dosis_obat_anti_profilaksis').val(); 

		post.Analgenikum = $('#analgenikum').val(); 
		post.ObatAnalgenikum = $('#nama_obat_analgenikum').val(); 
		post.DosisObatAnalgenikum = $('#dosis_obat_analgenikum').val();
 
		post.Sedation = $('#sedation').val(); 
		post.ObatSedation = $('#nama_obat_sedation').val(); 
		post.DosisObatSedation = $('#dosis_obat_sedation').val(); 

		post.EswlLainLain = $('#eswl_lain_lain').val(); 

		console.log( $("#eswl_frekuensi_tembakan").is(':checked') );
		post.FrekuensiTembakan = '';
		if( $("#eswl_1_per_det").is(':checked') ) {
			if( post.FrekuensiTembakan) {
				post.FrekuensiTembakan = post.FrekuensiTembakan + ',' + '1/det';
			} else {
				post.FrekuensiTembakan = '1/det';
			}
		}
		if( $("#eswl_2_per_det").is(':checked') ) {
			if( post.FrekuensiTembakan ) {
				post.FrekuensiTembakan = post.FrekuensiTembakan + ',' + '2/det';
			} else {
				post.FrekuensiTembakan = '2/det';
			}
		}
		if( $("#eswl_4_per_det").is(':checked') ) {
			if( post.FrekuensiTembakan ) {
				post.FrekuensiTembakan = post.FrekuensiTembakan + ',' + '4/det';
			} else {
				post.FrekuensiTembakan = '4/det';
			}
		}
		if( $("#eswl_6_per_det").is(':checked') ) {
			if( post.FrekuensiTembakan ) {
				post.FrekuensiTembakan = post.FrekuensiTembakan + ',' + '6/det';
			} else {
				post.FrekuensiTembakan = '6/det';
			}
		}

		post.EswlPowerMaksimal = $('#eswl_power_maksimal').val(); 
		post.EswlLamaTembakan = $('#eswl_lama_tembakan').val(); 
		post.EswlJumlahTembakan = $('#eswl_jumlah_tembakan').val(); 
		post.EswlPosisiPasien = $('#eswl_posisi_pasien').val(); 

		console.log( $("#eswl_posisi_pasien").is(':checked') );
		post.EswlPosisiPasien = '';
		if( $("#prone").is(':checked') ) {
			if( post.EswlPosisiPasien ) {
				post.EswlPosisiPasien = post.EswlPosisiPasien + ',' + 'Prone';
			} else {
				post.EswlPosisiPasien = 'Prone';
			}
		}
		if( $("#supine").is(':checked') ) {
			if( post.EswlPosisiPasien ) {
				post.EswlPosisiPasien = post.EswlPosisiPasien + ',' + 'Supine';
			} else {
				post.EswlPosisiPasien = 'Supine';
			}
		}

		post.EswlNomoBatu1 = $('#eswl_nomor_batu_1').val(); 
		post.EswlPosisiBatu1 = $('#eswl_posisi_batu_1').val(); 
		post.EswlUkuranBatu1 = $('#eswl_ukuran_batu_1').val(); 
		post.EswlNomoBatu2 = $('#eswl_nomor_batu_2').val();
		post.EswlPosisiBatu2 = $('#eswl_posisi_batu_2').val(); 
		post.EswlUkuranBatu2 = $('#eswl_ukuran_batu_2').val(); 

		//------------------------------------------
		post.EswlLokasiTipe = '';
		if( $("#x_ray").is(':checked') ) {
			if( post.EswlLokasiTipe ) {
				post.EswlLokasiTipe = post.EswlLokasiTipe + ',' + 'X-Ray';
			} else {
				post.EswlLokasiTipe = 'X-Ray';
			}
		}
		if( $("#ultrasound").is(':checked') ) {
			if( post.EswlLokasiTipe ) {
				post.EswlLokasiTipe = post.EswlLokasiTipe + ',' + 'Ultrasound';
			} else {
				post.EswlLokasiTipe = 'Ultrasound';
			}
		}
		if( $("#keduanya").is(':checked') ) {
			if( post.EswlLokasiTipe ) {
				post.EswlLokasiTipe = post.EswlLokasiTipe + ',' + 'Keduanya';
			} else {
				post.EswlLokasiTipe = 'Keduanya';
			}
		}

		post.EswlKV = $('#eswl_KV').val();
		post.EswlMA = $('#eswl_MA').val(); 
		post.EswlFluoroscopy = $('#eswl_fluoroscopy').val(); 
		post.EswlProbeFokus = $('#eswl_probe_fokus').val(); 
		post.EswlProbeBatu = $('#eswl_probe_batu').val();

		//--------------------------------------
		post.EswlGambarBatu = '';
		if( $("#eswl_gambar_bagus").is(':checked') ) {
			if( post.EswlGambarBatu ) {
				post.EswlGambarBatu = post.EswlGambarBatu + ',' + 'Bagus';
			} else {
				post.EswlGambarBatu = 'Bagus';
			}
		}
		if( $("#eswl_gambar_cukup_bagus").is(':checked') ) {
			if( post.EswlGambarBatu ) {
				post.EswlGambarBatu = post.EswlGambarBatu + ',' + 'Cukup Bagus';
			} else {
				post.EswlGambarBatu = 'Cukup Bagus';
			}
		}
		if( $("#eswl_gambar_tidak_bagus").is(':checked') ) {
			if( post.EswlGambarBatu ) {
				post.EswlGambarBatu = post.EswlGambarBatu + ',' + 'Tidak Bagus';
			} else {
				post.EswlGambarBatu = 'Tidak Bagus';
			}
		}

		//----------------------------
		post.EswlIVP = '';
		if( $("#eswl_ivp").is(':checked') ) {
			if( post.EswlIVP ) {
				post.vEswlIVP = post.EswlIVP + ',' + 'Ya';
			} else {
				post.EswlIVP = 'Ya';
			}
		}
		if( $("#eswl__tidak_ivp").is(':checked') ) {
			if( post.EswlIVP ) {
				post.EswlIVP = post.EswlIVP + ',' + 'Tidak';
			} else {
				post.EswlIVP = 'Tidak';
			}
		}

		post.EswlKeteranganBatu = $('#eswl_keterangan_batu').val(); 

		post.EswlJumlahTembakanBatu1 = $('#eswl_jumlah_tembakan_batu_1').val(); 
		post.EswlPowerTembakanBatuKv1 = $('#eswl_power_tembakan_batu_kv_1').val(); 
		post.EswlPowerTembakanBatuHz1 = $('#eswl_power_tembakan_batu_hz_1').val(); 
		post.EswlJumlahTembakanBatu2 = $('#eswl_jumlah_tembakan_batu_2').val(); 
		post.EswlPowerTembakanBatuKv2 = $('#eswl_power_tembakan_batu_kv_2').val(); 
		post.EswlPowerTembakanBatuHz2 = $('#eswl_power_tembakan_batu_hz_2').val();
		post.EswlJumlahTembakanBatu3 = $('#eswl_jumlah_tembakan_batu_3').val(); 
		post.EswlPowerTembakanBatuKv3 = $('#eswl_power_tembakan_batu_kv_3').val(); 
		post.EswlPowerTembakanBatuHz3 = $('#eswl_power_tembakan_batu_hz_3').val();

		//----------------------------
		post.EswlUSG = '';
		if( $("#eswl_usg").is(':checked') ) {
			if( post.EswlUSG) {
				post.EswlUSG = post.EswlUSG + ',' + 'Ya';
			} else {
				post.EswlUSG = 'Ya';
			}
		}
		if( $("#eswl__tidak_usg").is(':checked') ) {
			if( post.EswlUSG ) {
				post.EswlUSG = post.EswlUSG + ',' + 'Tidak';
			} else {
				post.EswlUSG = 'Tidak';
			}
		}

		//----------------------------
		post.EswlRontgen = '';
		if( $("#eswl_rontgen").is(':checked') ) {
			if( post.EswlRontgen ) {
				post.EswlRontgen = post.EswlRontgen + ',' + 'Ya';
			} else {
				post.EswlRontgen = 'Ya';
			}
		}
		if( $("#eswl__tidak_rontgen").is(':checked') ) {
			if( post.EswlRontgen ) {
				post.EswlRontgen = post.EswlRontgen + ',' + 'Tidak';
			} else {
				post.EswlRontgen = 'Tidak';
			}
		}

		//----------------------------
		post.EswlTingkatSakit = '';
		if( $("#eswl_tingkat_kesakitan_1").is(':checked') ) {
			if( post.EswlTingkatSakit ) {
				post.EswlTingkatSakit = post.EswlTingkatSakit + ',' + 'Tidak Sakit';
			} else {
				post.EswlTingkatSakit = 'Tidak Sakit';
			}
		}
		if( $("#eswl_tingkat_kesakitan_2").is(':checked') ) {
			if( post.EswlTingkatSakit ) {
				post.EswlTingkatSakit = post.EswlTingkatSakit + ',' + 'Sedikit Sakit';
			} else {
				post.EswlTingkatSakit = 'Sedikit Sakit';
			}
		}
		if( $("#eswl_tingkat_kesakitan_3").is(':checked') ) {
			if( post.EswlTingkatSakit ) {
				post.EswlTingkatSakit = post.EswlTingkatSakit + ',' + 'Cukup Sakit';
			} else {
				post.EswlTingkatSakit = 'Cukup Sakit';
			}
		}
		if( $("#eswl_tingkat_kesakitan_4").is(':checked') ) {
			if( post.EswlTingkatSakit ) {
				post.EswlTingkatSakit = post.EswlTingkatSakit + ',' + 'Sakit Sekali';
			} else {
				post.EswlTingkatSakit = 'Sakit Sekali';
			}
		}

		post.EswlCatatanRontgen = $('#eswl_catatan_rontgen').val(); 
		post.EswlCatatanUSG = $('#eswl_catatan_usg').val(); 
		post.EswlPenggunaanObatSebelumPenembakan = $('#eswl_penggunaan_obat_sebelum_penembakan').val(); 
		post.EswlPenggunaanObatSelamaPenembakan = $('#eswl_penggunaan_obat_selama_penembakan').val();
		post.EswlPenggunaanObatSetelahPenembakan = $('#eswl_penggunaan_obat_setelah_penembakan').val();

		//----------------------------
		post.EswlTingkatKepecahan = '';
		if( $("#eswl_tingkat_kepecahan_1").is(':checked') ) {
			if( post.EswlTingkatKepecahan ) {
				post.EswlTingkatKepecahan = post.EswlTingkatKepecahan + ',' + 'Terlihat Jelas';
			} else {
				post.EswlTingkatKepecahan = 'Terlihat Jelas';
			}
		}
		if( $("#eswl_tingkat_kepecahan_2").is(':checked') ) {
			if( post.EswlTingkatKepecahan ) {
				post.EswlTingkatKepecahan = post.EswlTingkatKepecahan + ',' + 'Terlihat Samar';
			} else {
				post.EswlTingkatKepecahan = 'Terlihat Samar';
			}
		}
		if( $("#eswl_tingkat_kepecahan_3").is(':checked') ) {
			if( post.EswlTingkatKepecahan ) {
				post.EswlTingkatKepecahan = post.EswlTingkatKepecahan + ',' + 'Tidak Terlihat';
			} else {
				post.EswlTingkatKepecahan = 'Tidak Terlihat';
			}
		}


		post.EswlWaktuSelesaiKepecahan = $('#eswl_waktu_selesai_kepecahan').val();
		post.EswlKeteranganKepecahan = $('#eswl_keterangan_kepecahan').val();


		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanRJ/SavePerawatanEswl')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#eswluro').removeClass('btn-primary').addClass('btn-success').html('ESWL <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#eswluro').removeClass('btn-primary').addClass('btn-success').html('ESWL <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

};

$('#content').ready(function(){
	FormGizi();
	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('#dokter_eswl, #asisten_eswl, #anti_profilaksis, #analgenikum, #sedation').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$("#dokter_eswl").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#asisten_eswl").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#anti_profilaksis").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#analgenikum").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#sedation").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormESWL ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormESWLModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#versi_form').attr('placeholder', '~".$objPatientNursing->vFormESWLModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>



	//canvas draw -start
	var mousePressed = false;
	var lastX, lastY;
	var ctx;
	var img = document.getElementById('gambarCanvas');
	var imgTersimpan = document.getElementById('gambarTersimpan');

	/*

	function InitThis() {

		ctx = document.getElementById('myCanvas').getContext("2d");
		ctx.beginPath();
		ctx.drawImage(imgTersimpan, 0, 0, 240, 400);

		$('#myCanvas').mousedown(function (e) {
			console.log('mousedown');
			mousePressed = true;
			Draw(e.pageX - $(this).offset().left, e.pageY - $(this).offset().top, false);
		});

		$('#myCanvas').mousemove(function (e) {
			if (mousePressed) {
				console.log('mousemove');
				Draw(e.pageX - $(this).offset().left, e.pageY - $(this).offset().top, true);
			}
		});

		$('#myCanvas').mouseup(function (e) {
			console.log('mouseup');
			mousePressed = false;
		});

		$('#myCanvas').mouseleave(function (e) {
			console.log('mouseleave');
			mousePressed = false;
		});

	}

	$('#gambarTersimpan').load(function(){
		InitThis();
	})

	function Draw(x, y, isDown) {
		if (isDown) {
			ctx.strokeStyle = warnaPencil;
			ctx.lineWidth = 4;
			ctx.lineJoin = "round";
			ctx.moveTo(lastX, lastY);
			ctx.lineTo(x, y);
			ctx.closePath();
			ctx.stroke();
		}
		lastX = x; lastY = y;
	}
		
	function clearArea() {
		ctx.beginPath();
		ctx.drawImage(img, 0, 0, 240, 400);
	}

	$('#clearArea').click(function(){
		clearArea();
		return false;
	})

	*/

	<?php
		$GambarDefault = __USER_ASSETS__.'/images/eswl.jpg';
		$urlGambar = $objPatientNursing->vGambarESWL ? __IMAGE_ASSETS__. $objPatientNursing->vGambarESWL : $GambarDefault;
	?>

	var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
	fabric.Object.prototype.transparentCorners = false;
	fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

	fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
		image.scaleToWidth(240);
		image.scaleToHeight(400);
		canvas.add(image.set({
			id : 'myCanvas'
			, alt : 'blank'
		}));
	});

	canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
	if (canvas.freeDrawingBrush) {
		var brush = canvas.freeDrawingBrush;
		brush.color = "red";
		if (brush.getPatternSrc) {
			brush.source = brush.getPatternSrc.call(brush);
		}
		brush.width = 4;
		brush.shadow = new fabric.Shadow({
			blur: 0,
			offsetX: 0,
			offsetY: 0,
			affectStroke: true,
			color: "#005E7A",
		});
	}

	$('#edit').click(function(){
		canvas.isDrawingMode = true;
		$('#clearArea').removeClass('disabled');
		$('#simpanGambar').removeClass('disabled');
		$('#edit').addClass('disabled');
		return false;
	})


	$('#clearArea').click(function(){
		fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
			image.scaleToWidth(240);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});
		return false;
	})

	//canvas draw -begin
	function dataURItoBlob(dataURI) {
		// convert base64/URLEncoded data component to raw binary data held in a string
		var byteString;
		if (dataURI.split(',')[0].indexOf('base64') >= 0)
			byteString = atob(dataURI.split(',')[1]);
		else
			byteString = unescape(dataURI.split(',')[1]);

		// separate out the mime component
		var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

		// write the bytes of the string to a typed array
		var ia = new Uint8Array(byteString.length);
		for (var i = 0; i < byteString.length; i++) {
			ia[i] = byteString.charCodeAt(i);
		}

		return new Blob([ia], {type:mimeString});
	}
	//canvas draw -end

	$('#simpanGambar').click(function() {

		var canvas = document.getElementById('myCanvas');
		var hasil = canvas.toDataURL('image/jpeg');
		var blob = dataURItoBlob(hasil);

		var fd = new FormData();
		fd.append("pageId", strPageId);
		fd.append("actorId", strActorId);
		fd.append("nursingId", '<?= $strId ?>');
		fd.append("department", strDepartmentId);
		fd.append("mode", 'ESWL');
		fd.append("gambar", blob, 'eswl.jpg');

		$.ajax({
			type: 'POST',
			data: fd,
			url : '<?= QApplication::UrlActionCreator('PatientNursingPerawatanRJ/HandleUploadImage')?>',
			processData: false,
			contentType: false,
			timeout: 5* 60 * 1000,
			success: function(result){
				toastr.info(result.message, 'Informasi');
			},
			error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			},
			beforeSend: function(xhr){
				$('#clearArea').addClass('disabled');
				$('#simpanGambar').hide();
				$('#simpanGambar-loading').show();
			},
			complete: function(xhr,status){
				$('#edit').removeClass('disabled');
				$('#clearArea').addClass('disabled');
				$('#simpanGambar').addClass('disabled');
				$('#simpanGambar').show();
				$('#simpanGambar-loading').hide();
			}
		})

	})

	
	$('#tombol-save-loading').hide();
	$('#simpanGambar-loading').hide();

});

$('#content').off('click', '.page-tindakan').on('click', '.page-tindakan', function () {
	//'hmis-patient-medical-service-rnap/tindakan'
	var Id = '<?= $objPatientNursing->Id ?>';
	console.log(Id);
	var backFromAssementAwal = window.sessionStorage.getItem('backFromAssementAwal');
	if( backFromAssementAwal ) {
		setContent(backFromAssementAwal,'content');
		return true;
	}
	var segmenSebelumnya = window.sessionStorage.getItem('segmenSebelumnya');
	if( segmenSebelumnya ) {
		setContent('<?= QApplication::UrlCreator('')?>/'+segmenSebelumnya+'?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
		return true;
	}
});


var urlDoctor = "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>&search=";
$('.doctor').each(function () {
    $(this).ajaxChosen({
        type: 'GET' 
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return urlDoctor + strSearch
        }
    });
});

var urlAsisten = "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>&search=";
$('.asisten').each(function () {
    $(this).ajaxChosen({
        type: 'GET' 
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return urlDoctor + strSearch
        }
    });
});

	 //------------------upload Gambar-----------------

	var urlPreviewGambarEswl = '<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/HospitalFileService/Content/?pageId='+sessionStorage.pageId+'&Id=';

	$('#content').off('click', '#uploadGambarEswl').on('click', '#uploadGambarEswl', function () {
		$('#modalGambarEswl').modal('show');
	});

	$('#content').off('click', '#previewGambarEswl').on('click', '#previewGambarEswl', function () {
		var idfile = $('#previewGambarEswl').data('idfile');
		window.open(urlPreviewGambarEswl + idfile, '_blank').focus();
	});


	$('#simpanGambarEswl').click(function(){
		var fd = new FormData();
		var files = $('#filegambareswl')[0].files;
		
		// Check file selected or not
		if(files.length == 0 ){
			alert("Please select a file.");
			return null;
		}
		fd.append("pageId", strPageId);
		fd.append("actorId", strActorId);
		fd.append("nursingId", '<?= $objPatientNursing->Id ?>');
		fd.append("department", strDepartmentId);

		fd.append('deskripsifile', $('#deskripsigambareswl').val());
		fd.append('file',files[0]);

		$.ajax({
			url: '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadGambarEswl')?>',
			type: 'post',
			data: fd,
			contentType: false,
			processData: false,
			success: function(response){
				if(response.status == 'success'){
					$('#modalGambarEswl').modal('hide');
					toastr.info(response.message,'Informasi');
					$('#uploadGambarEswl').html('Upload Gambar <i class="fa fa-check"></i>');
					$('#previewGambarEswl').show();
					$('#previewGambarEswl').data('idfile', response.id);
				}else{
					alert('file not uploaded');
				}
			},
		});
	})

	var statusUploadGambarEswl = false;
	<?php
	$objSystemFileManager = SystemFileManager::QuerySingle(
		QQ::AndCondition(
			QQ::Equal(QQN::SystemFileManager()->PatientNursingId, $objPatientNursing->Id)
			, QQ::Equal(QQN::SystemFileManager()->Category, 'GAMBAR ESWL')
			, QQ::Equal(QQN::SystemFileManager()->State, 'A')
		)
	);

	if($objSystemFileManager){
	?>
		statusUploadGambarEswl = true;
		$('#previewGambarEswl').data('idfile', '<?= $objSystemFileManager->Id ?>');
	<?php
	}
	?>

	if(statusUploadGambarEswl){
		$('#uploadGambarEswl').html('Upload Gambar Eswl<i class="fa fa-check"></i>');
		$('#previewGambarEswl').show();
	};


</script>