

<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>--> 
<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>

<!--
 <script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>
<!-- <link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css"> -->
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">RESEP KACAMATA</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">


<div class="box" style="border-top-width:0px;">
    <div class="box-body" style="">
        <div class="row">
            <div class="col-md-6 col-lg-3" style="margin-bottom: 10px;">
                <label class="control-label" for="tanggalresep">Tanggal Resep</label>
                <div class="input-group" style="width:100%;">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalresep" type="text" data-mask="00-00-0000" class="form-control input-date" name="tanggalresep" placeholder="Tanggal" value="<?= $objPatientNursing->vTanggalResepKacamata != "" ? $objPatientNursing->vTanggalResepKacamata : date("d-m-Y") ?>" style="z-index:0">
                </div>
            </div>
            <div class="col-md-6 col-lg-3">
                <label class="control-label" for="jamresep">Jam Resep</label>
                <div class="input-group" style="width:100%;">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamresep" type="text" data-mask="00:00" class="form-control" name="jamresep" placeholder="HH:mm" value="<?= $objPatientNursing->vJamResepKacamata != "" ? $objPatientNursing->vJamResepKacamata : date("H:i"); ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
	    <div class="col-md-6 col-lg-3">
		<div class="form-group">
			<label class="radio-inline"><b>Kegunaan Kacamata: </b></label>
			<label class="radio-inline alergiobat"><input type="radio" name="KegunaanKacamata" id="untuk_melihat_jauh" value="Untuk Melihat Jauh" <?= ($objPatientNursing->vKegunaanKacamata == 'Untuk Melihat Jauh' ) ? 'checked' : '' ?>>Untuk Melihat Jauh</label>
			<label class="radio-inline alergiobat"><input type="radio" name="KegunaanKacamata" id="untuk_melihat_dekat" value="Untuk Melihat Dekat" <?= ($objPatientNursing->vKegunaanKacamata == 'Untuk Melihat Dekat') ? 'checked' : '' ?>>Untuk Melihat Dekat</label>
		</div>
	    </div>
        </div>

	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-body">
	<table cellspacing="0" border="1" width="100%" align="center">
	    <tr align="center">
		<td width="10%">Gelas</td>
		<td width="10%">Spher</td>
		<td width="10%">Cyl</td>
		<td width="10%">As.</td>
		<td width="10%">Prism</td>
		<td width="10%">Basis</td>
		<td width="10%">Warna</td>
	    </tr>
	    <tr align="center">
		<td height="100px">Kanan</td>
		<td>
		   <textarea name="spher_mata_kanan" id="spher_mata_kanan" class="form-control autoresize" placeholder="spher kanan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vSpherMataKanan ?></textarea>
		</td>
		<td>
		   <textarea name="cyl_mata_kanan" id="cyl_mata_kanan" class="form-control autoresize" placeholder="cyl kanan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vCylMataKanan ?></textarea>
		</td>
		<td>
		   <textarea name="as_mata_kanan" id="as_mata_kanan" class="form-control autoresize" placeholder="as kanan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vAsMataKanan ?></textarea>
		</td>
		<td>
		   <textarea name="prism_mata_kanan" id="prism_mata_kanan" class="form-control autoresize" placeholder="prism kanan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vPrismMataKanan ?></textarea>
		</td>
		<td>
		   <textarea name="basis_mata_kanan" id="basis_mata_kanan" class="form-control autoresize" placeholder="basis kanan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vBasisMataKanan ?></textarea>
		</td>
		<td>
		   <textarea name="warna_mata_kanan" id="warna_mata_kanan" class="form-control autoresize" placeholder="warna kanan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vWarnaMataKanan ?></textarea>
		</td>

	    </tr>
	    <tr align="center">
		<td height="100px">Kiri</td>
		<td>
		   <textarea name="spher_mata_kiri" id="spher_mata_kiri" class="form-control autoresize" placeholder="spher kiri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vSpherMataKiri ?></textarea>
		</td>
		<td>
		   <textarea name="cyl_mata_kiri" id="cyl_mata_kiri" class="form-control autoresize" placeholder="cyl kiri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vCylMataKiri ?></textarea>
		</td>
		<td>
		   <textarea name="as_mata_kiri" id="as_mata_kiri" class="form-control autoresize" placeholder="as kiri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vAsMataKiri ?></textarea>
		</td>
		<td>
		   <textarea name="prism_mata_kiri" id="prism_mata_kiri" class="form-control autoresize" placeholder="prism kiri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vPrismMataKiri ?></textarea>
		</td>
		<td>
		   <textarea name="basis_mata_kiri" id="basis_mata_kiri" class="form-control autoresize" placeholder="basis kiri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vBasisMataKiri ?></textarea>
		</td>
		<td>
		   <textarea name="warna_mata_kiri" id="warna_mata_kiri" class="form-control autoresize" placeholder="warna kiri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vWarnaMataKiri ?></textarea>
		</td>
	     </tr>
	    <tr align="center">
		<td height="100px">Addisi</td>
		<td colspan="6" align="left">
		   <textarea name="addisi_resep_kacamata" id="addisi_resep_kacamata" class="form-control autoresize" placeholder="addisi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 100%; width: 100%; padding:0px;border-width:0px 0px 1px 0px; text-align:center;"><?= $objPatientNursing->vAddisiResepKacamata ?></textarea>
		</td>
	     </tr>

	</table>
	<table cellpadding="5" width="100%"  style="margin-top:20px;">
	     <tr>
		<td>Gagang</td>
		<td>: </td>
		<td colspan="4">
			<input type="text" name="gagang_kacamata" id="gagang_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vGagangKacamata ?>">
		</td>
	     </tr>
	     <tr>
		<td>Jarak antara kedua pupil</td>
		<td>: </td>
		<td colspan="4">
			<input type="text" name="jarak_kedua_pupil_kacamata" id="jarak_kedua_pupil_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vJarakKeduaPupilKacamata ?>">
		</td>
	     </tr>
	     <tr>
		<td>Gelas miring kemuka</td>
		<td>: </td>
		<td colspan="4">
			<input type="text" name="gelas_miring_kemuka_kacamata" id="gelas_miring_kemuka_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vGelasMiringKemukaKacamata ?>">
		</td>
	     </tr>
	     <tr>
		<td width="160px">Jembatan hidung</td>
		<td width="1px">: </td>
		<td width="110px">
			<input type="text" name="jembatan_hidung_1_kacamata" id="jembatan_hidung_1_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vJembatanHidung1Kacamata ?>">
		</td>
		<td width="105px">mm diatas dan </td>
		<td width="90px">
			<input type="text" name="jembatan_hidung_2_kacamata" id="jembatan_hidung_2_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vJembatanHidung2Kacamata ?>">
		</td>
		<td>mm</td>
	     </tr>
	     <tr>
		<td colspan="6">Dimuka/dibelakang garis antara centra kedua gelas</td>
	     </tr>
	     <tr>
		<td>Lebar muka</td>
		<td>: </td>
		<td>
			<input type="text" name="lebar_muka_kacamata" id="lebar_muka_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vLebarMukaKacamata ?>">
		</td>
		<td>Panjang gagang : </td>
		<td>
			<input type="text" name="panjang_gagang_kacamata" id="panjang_gagang_kacamata" class="form-control autoresize" placeholder=" ..............................." style="padding:0px;border-width:0px 0px 0px 0px;" value= "<?= $objPatientNursing->vPanjangGagangKacamata ?>">

		</td>

	     </tr>

	</table>
    </div>
</div>
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:15px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-12">
				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div>
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/kacamata.jpg';

					$gambarTersimpan = $objPatientNursing->vLokasiKacamata ? $objPatientNursing->vLokasiKacamata : $sumberGambar;
					?>
					<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas" width="900" height="458" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit">Mulai Sunting</a>
					<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Gambar</a>
					<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Gambar</a>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

</div>

<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-circle-o-notch fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormResepKacamataModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormResepKacamataEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormResepKacamataEmployeeId)->FirstName.' ('.$objPatientNursing->vFormResepKacamataLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormResepKacamataLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormResepKacamataTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormResepKacamataTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormResepKacamataIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormResepKacamata) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormResepKacamataEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormResepKacamataEmployeeId)->FirstName.' ('.$objPatientNursing->vFormResepKacamataLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormResepKacamataLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormResepKacamataTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormResepKacamataTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormResepKacamataIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>

<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">
        
   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
var FormGizi = function(){

	'use strict';
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/kacamata.jpg';
			$urlGambar = $objPatientNursing->vLokasiKacamata ? $objPatientNursing->vLokasiKacamata : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ; ?>', function(image){
			image.scaleToWidth(900);
			image.scaleToHeight(458);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(900);
				image.scaleToHeight(458);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end
		
		$('#simpanGambar').click(function() {
			simpangambar();
		})
		
		var simpangambar = function(){
			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'KACAMATA');
			fd.append("gambar", blob, 'kacamata.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadMata')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})		
		}

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	

	$('.koreksi, #float-koreksi').click(function(){
        parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
				$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false).trigger('chosen:updated');
				$('#validasi-modal, #float-validasi').removeClass('disabled'); 
				$('.koreksi').addClass('disabled'); 
				$('#float-koreksi').hide();
				$('#float-validasi').show();
                parent.jQuery.fallr('hide',function(){});
            },
            function(){
                parent.jQuery.fallr('hide',function(){});
            }
        );
    })

	function cetaklaporan() {
 		parent.AppPrintPage.setTitle('Print Preview Resep Kacamata')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-form-kacamata') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
		
	});
	
	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });

	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('#dokter_pemeriksa_id').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormResepKacamataModifiedVersion != "" ? $objPatientNursing->vFormResepKacamataModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}


	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalResepKacamata = $('#tanggalresep').val();
		post.JamResepKacamata = $('#jamresep').val();

		post.KegunaanKacamata = '';
		if( $("#untuk_melihat_jauh").is(':checked') ) {
			if( post.KegunaanKacamata ) {
				post.KegunaanKacamata = post.KegunaanKacamata + ',' + 'Untuk Melihat Jauh';
			} else {
				post.KegunaanKacamata = 'Untuk Melihat Jauh';
			}
		}
		if( $("#untuk_melihat_dekat").is(':checked') ) {
			if( post.KegunaanKacamata ) {
				post.KegunaanKacamata = post.KegunaanKacamata + ',' + 'Untuk Melihat Dekat';
			} else {
				post.KegunaanKacamata = 'Untuk Melihat Dekat';
			}
		}

		post.SpherMataKanan= $('#spher_mata_kanan').val();
		post.CylMataKanan= $('#cyl_mata_kanan').val();
		post.AsMataKanan= $('#as_mata_kanan').val();
		post.PrismMataKanan= $('#prism_mata_kanan').val();
		post.BasisMataKanan= $('#basis_mata_kanan').val();
		post.WarnaMataKanan= $('#warna_mata_kanan').val();
		post.SpherMataKiri= $('#spher_mata_kiri').val();
		post.CylMataKiri= $('#cyl_mata_kiri').val();
		post.AsMataKiri= $('#as_mata_kiri').val();
		post.PrismMataKiri= $('#prism_mata_kiri').val();
		post.BasisMataKiri= $('#basis_mata_kiri').val();
		post.WarnaMataKiri= $('#warna_mata_kiri').val();
		post.AddisiResepKacamata= $('#addisi_resep_kacamata').val();
		post.GagangKacamata= $('#gagang_kacamata').val();
		post.JarakKeduaPupilKacamata= $('#jarak_kedua_pupil_kacamata').val();
		post.GelasMiringKemukaKacamata= $('#gelas_miring_kemuka_kacamata').val();
		post.JembatanHidung1Kacamata= $('#jembatan_hidung_1_kacamata').val();
		post.JembatanHidung2Kacamata= $('#jembatan_hidung_2_kacamata').val();
		post.LebarMukaKacamata= $('#lebar_muka_kacamata').val();
		post.PanjangGagangKacamata= $('#panjang_gagang_kacamata').val();

				
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveResepKacamata')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#resepkacamata').removeClass('btn-primary').addClass('btn-success').html('Resep Kacamata <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#resepkacamata').removeClass('btn-primary').addClass('btn-success').html('Resep Kacamata <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}


	$("#dokter_pemeriksa_id").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	
	$('#dokter_pemeriksa_id').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormResepKacamata ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormResepKacamataModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#versi_form').attr('placeholder', '~".$objPatientNursing->vFormResepKacamataModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>




});

</script>
</div>
</div>