
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<!-- 
<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#nama_versi{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>


<div class="row" style="margin-bottom: 10px;">
	<div class="col-md-12" style="text-align:center;">
		<h1 class="panel-title1">KONSULTASI RANAP</h1>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>




<?php 
 if ($objPatientNursing->vKonsultasiRanapVer5){
	$KonsultasiVer = "5" ;
?>
<script>
		$('#tab_konsultasi5').removeClass('disabled2').addClass('active');
		$('#tab_konsultasi4').removeClass('disabled2');
		$('#tab_konsultasi3').removeClass('disabled2');
		$('#tab_konsultasi2').removeClass('disabled2');
		$('#tab_konsultasi1').removeClass('active');
		$('#tab_konsultasi1 a').html('Form Konsultasi 1 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi2 a').html('Form Konsultasi 2 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi3 a').html('Form Konsultasi 3 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi4 a').html('Form Konsultasi 4 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi5 a').html('Form Konsultasi 5 <i style="color:#;" class="fa fa-check"></i>');
</script>
<?php	
 } else if ($objPatientNursing->vKonsultasiRanapVer4){
	$KonsultasiVer = "4" ;
?>
<script>
		$('#tab_konsultasi5').removeClass('disabled2');
		$('#tab_konsultasi4').removeClass('disabled2').addClass('active');
		$('#tab_konsultasi3').removeClass('disabled2');
		$('#tab_konsultasi2').removeClass('disabled2');
		$('#tab_konsultasi1').removeClass('active');
		$('#tab_konsultasi1 a').html('Form Konsultasi 1 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi2 a').html('Form Konsultasi 2 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi3 a').html('Form Konsultasi 3 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi4 a').html('Form Konsultasi 4 <i style="color:#;" class="fa fa-check"></i>');
</script>
<?php	
 } else if ($objPatientNursing->vKonsultasiRanapVer3){
	$KonsultasiVer = "3" ;
?>
<script>
		$('#tab_konsultasi4').removeClass('disabled2');
		$('#tab_konsultasi3').removeClass('disabled2').addClass('active');
		$('#tab_konsultasi2').removeClass('disabled2');
		$('#tab_konsultasi1').removeClass('active');
		$('#tab_konsultasi1 a').html('Form Konsultasi 1 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi2 a').html('Form Konsultasi 2 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi3 a').html('Form Konsultasi 3 <i style="color:#;" class="fa fa-check"></i>');
</script>
<?php	
 } else if($objPatientNursing->vKonsultasiRanapVer2){
	$KonsultasiVer = "2" ;
?>
<script>
		$('#tab_konsultasi3').removeClass('disabled2');
		$('#tab_konsultasi2').removeClass('disabled2').addClass('active');
		$('#tab_konsultasi1').removeClass('active');
		$('#tab_konsultasi1 a').html('Form Konsultasi 1 <i style="color:#;" class="fa fa-check"></i>');
		$('#tab_konsultasi2 a').html('Form Konsultasi 2 <i style="color:#;" class="fa fa-check"></i>');
</script>
<?php	
 } else if ($objPatientNursing->vKonsultasiRanapVer1) {
	$KonsultasiVer = "1" ;
?>
<script>
		$('#tab_konsultasi2').removeClass('disabled2');
		$('#tab_konsultasi1 a').html('Form Konsultasi 1 <i style="color:#;" class="fa fa-check"></i>');
</script>
<?php	
 } else {
	$KonsultasiVer = "1" ;
 }
?>

<input type="hidden" class="form-control" id="versi_konsultasi" value="<?= $KonsultasiVer ?>">
<script>
	$('#content').off('click', '#tab_konsultasi1').on('click', '#tab_konsultasi1', function () {
		$('#tab_konsultasi1').addClass('active');
		$('#tab_konsultasi2').removeClass('active');
		$('#tab_konsultasi3').removeClass('active');
		$('#tab_konsultasi4').removeClass('active');
		$('#tab_konsultasi5').removeClass('active');
		$('#versi_konsultasi').val('1');
		requestKonsulVer('1');
	});
	$('#content').off('click', '#tab_konsultasi2').on('click', '#tab_konsultasi2', function () {
		$('#tab_konsultasi1').removeClass('active');
		$('#tab_konsultasi2').addClass('active');
		$('#tab_konsultasi3').removeClass('active');
		$('#tab_konsultasi4').removeClass('active');
		$('#tab_konsultasi5').removeClass('active');
		$('#versi_konsultasi').val('2');
		requestKonsulVer('2');
	});
	$('#content').off('click', '#tab_konsultasi3').on('click', '#tab_konsultasi3', function () {
		$('#tab_konsultasi1').removeClass('active');
		$('#tab_konsultasi2').removeClass('active');
		$('#tab_konsultasi3').addClass('active');
		$('#tab_konsultasi4').removeClass('active');
		$('#tab_konsultasi5').removeClass('active');
		$('#versi_konsultasi').val('3');
		requestKonsulVer('3');
	});
	$('#content').off('click', '#tab_konsultasi4').on('click', '#tab_konsultasi4', function () {
		$('#tab_konsultasi1').removeClass('active');
		$('#tab_konsultasi2').removeClass('active');
		$('#tab_konsultasi3').removeClass('active');
		$('#tab_konsultasi4').addClass('active');
		$('#tab_konsultasi5').removeClass('active');
		$('#versi_konsultasi').val('4');
		requestKonsulVer('4');
	});
	$('#content').off('click', '#tab_konsultasi5').on('click', '#tab_konsultasi5', function () {
		$('#tab_konsultasi1').removeClass('active');
		$('#tab_konsultasi2').removeClass('active');
		$('#tab_konsultasi3').removeClass('active');
		$('#tab_konsultasi4').removeClass('active');
		$('#tab_konsultasi5').addClass('active');
		$('#versi_konsultasi').val('5');
		requestKonsulVer('5');
	});
	
	function requestKonsulVer(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; 
		post.department = strDepartmentId;
		post.mode = mode;

		//console.log(post);
		//toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/requestKonsulVer')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( result.status != 'error' ){
					//toastr.info( result.message , 'Informasi');
					
					result.vTanggalKonsul ? $('#tanggalkonsul').val(result.vTanggalKonsul) : $('#tanggalkonsul').val("<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>") ;
					result.vJamKonsul ? $('#jamkonsul').val(result.vJamKonsul) : $('#jamkonsul').val("<?= date('H:i') ?>") ;
					result.vKondisiKlinisKonsultasi  ? $('#kondisiklinis').val(result.vKondisiKlinisKonsultasi) : $('#kondisiklinis').val("") ;
					result.vTujuanKonsultasi ? $('#tujuankonsultasi').val(result.vTujuanKonsultasi)  : $('#tujuankonsultasi').val("") ;
					result.vJawabanKonsultasi ? $('#jawabankonsultasi').val(result.vJawabanKonsultasi)  : $('#jawabankonsultasi').val("") ;

					if (result.vDokterKonsulId) {
						var doctor = $('#dokterkonsul');
						doctor.html('<option value="'+result.vDokterKonsulId+'">'+result.vDokterKonsulNama+'</option>');
						doctor.trigger("chosen:updated");
					} else {
						var doctor = $('#dokterkonsul');
						doctor.html('<option value="">Pilih Dokter</option>');
						doctor.trigger("chosen:updated");
					}

					if (result.vPermintaanRawatBersama == "YA") {
						$("#rawat_bersama").prop("checked", true);
					} else {
						$("#rawat_bersama").prop("checked", false);
					}
				} else {
					parent.toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal memanggil data');
			}
		});

	}
</script>

<div class="box" style="border-top-width:0px;margin-bottom:20px!important;">
    <div class="box-header " style="padding:0px;">
		<div id="tab-pasien" class="nav-tabs-custom" >
			<ul class="nav nav-tabs">
				<li class="active" id="tab_konsultasi1"><a href="#" class="" data-toggle="tab" aria-expanded="true">Form Konsultasi 1</a></li>
				<li class="disabled2" id="tab_konsultasi2"><a href="#"  data-toggle="tab" aria-expanded="false">Form Konsultasi 2</a></li>
				<li class="disabled2" id="tab_konsultasi3"><a href="#"  data-toggle="tab" aria-expanded="false">Form Konsultasi 3</a></li>
				<li class="disabled2" id="tab_konsultasi4"><a href="#"  data-toggle="tab" aria-expanded="false">Form Konsultasi 4</a></li>
				<li class="disabled2" id="tab_konsultasi5"><a href="#"  data-toggle="tab" aria-expanded="false">Form Konsultasi 5</a></li>
			</ul>
		</div>
    </div>
	<div class="box-body" style="padding-top:0px;">
	<div id="FormPage">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:10px;">
				<label class="control-label" for="tanggalkonsul"><b>Tanggal Konsul</b></label>
				<div class="input-group">
					<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
					<?php $vTanggalKonsul = 'vTanggalKonsul'.$KonsultasiVer ?>
					<input id="tanggalkonsul" type="text" class="form-control input-tanggal-konsul" name="tanggalkonsul" placeholder="Tanggal Konsul" value="<?= $objPatientNursing->$vTanggalKonsul ? $objPatientNursing->$vTanggalKonsul : $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>" style="z-index:0">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom:10px;">
				<label class="control-label" for="jamkonsul"><b>Jam Konsul</b></label>
				<div class="input-group">
					<span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
					<?php $vJamKonsul = 'vJamKonsul'.$KonsultasiVer ?>
					<input id="jamkonsul" type="text" class="form-control" name="jamkonsul" placeholder="HH:mm" value="<?= $objPatientNursing->$vJamKonsul ? $objPatientNursing->$vJamKonsul : date('H:i') ?>" style="z-index:0" data-mask="00:00">
				</div>
			</div>
		</div>
		<div class="row">
<!--			<div class="col-md-6" style="margin-bottom:10px;">
				<label class="control-label" for="jamkonsul"><b>Tujuan / Poli</b></label>
				<div class="input-group" style="width:100%;">
					<select name="tujuankonsul" id="tujuankonsul" class="form-control input-sm-2 department" data-placeholder="Pilih Poli" style="width:100%:">
					<?php $vTujuanKonsul = 'vTujuanKonsul'.$KonsultasiVer ?>
					<?php $vTujuanKonsulNama = 'vTujuanKonsulNama'.$KonsultasiVer ?>
						<option value="<?= $objPatientNursing->$vTujuanKonsul ?>" selected><?= $objPatientNursing->$vTujuanKonsulNama ?></option>
					</select>
				</div>
			</div>
-->			<div class="col-md-6" style="margin-bottom:10px;">
				<label class="control-label" for="jamkonsul"><b>Kepada Dokter Konsultan :</b></label>
				<div class="input-group" style="width:100%;">
					<select name="dokterkonsul" id="dokterkonsul" class="form-control doctor" style="width: 540px;"  data-placeholder="Pilih Dokter" style="width:100%:">
					<?php $vDokterKonsulId = 'vDokterKonsulId'.$KonsultasiVer ?>
					<?php $vDokterKonsulNama = 'vDokterKonsulNama'.$KonsultasiVer ?>
						<option value="<?= $objPatientNursing->$vDokterKonsulId ?>" selected><?= $objPatientNursing->$vDokterKonsulNama ?></option>
					</select>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
				<div class="form-group" style="padding: 0px;">
					<label for="kondisiklinis"><b>Kondisi Klinis</b></label>
						<?php $vKondisiKlinisKonsultasi = 'vKondisiKlinisKonsultasi'.$KonsultasiVer ?>
					<textarea class="form-control autoresize" rows="3" id="kondisiklinis" name="kondisiklinis" placeholder="Kondisi Klinis" autocomplete="on"><?= $objPatientNursing->$vKondisiKlinisKonsultasi ?></textarea>
				</div>
			</div>

			<div class="col-md-12">
				<div class="form-group" style="padding: 0px;">
					<label for="tujuankonsultasi"><b>Tujuan Konsultasi</b></label>
						<?php $vTujuanKonsultasi = 'vTujuanKonsultasi'.$KonsultasiVer ?>
					<textarea class="form-control autoresize" rows="3" id="tujuankonsultasi" name="tujuankonsultasi" placeholder="Tujuan Konsultasi" autocomplete="on"><?= $objPatientNursing->$vTujuanKonsultasi ?></textarea>
				</div>
			</div>


			<div class="col-md-12">
				<div class="form-group" style="padding: 0px;margin:0px;">
					<?php $vAlihRawat = 'vAlihRawat'.$KonsultasiVer ?>
					<input class="border-checkbox" type="checkbox" name="alih_rawat" id="alih_rawat" value="YA" <?= $objPatientNursing->$vAlihRawat == 'YA' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="alih_rawat"><b>Alih Rawat<b></label>
				</div>
			</div>

			<div class="col-md-12">
				<div class="form-group" style="padding: 0px;margin:0px;">
					<?php $vPermintaanRawatBersama = 'vPermintaanRawatBersama'.$KonsultasiVer ?>
					<input class="border-checkbox" type="checkbox" name="rawat_bersama" id="rawat_bersama" value="YA" <?= $objPatientNursing->$vPermintaanRawatBersama == 'YA' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="rawat_bersama"><b>Permintaan Rawat Inap Bersama<b></label>
				</div>
			</div>

			<div class="col-md-12">
				<div class="form-group" style="padding: 0px;">
					<?php $vKonsultasiSewaktu = 'vKonsultasiSewaktu'.$KonsultasiVer ?>
					<input class="border-checkbox" type="checkbox" name="konsultasi_sewaktu" id="konsultasi_sewaktu" value="YA" <?= $objPatientNursing->$vKonsultasiSewaktu == 'YA' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="konsultasi_sewaktu"><b>Konsultasi Sewaktu<b></label>
				</div>
			</div>

			<div class="col-md-12">
				
				<div class="form-group" style="padding: 0px;">
					<?php $vPersetujuanSebelumTindakanKonsultasi = 'vPersetujuanSebelumTindakanKonsultasi'.$KonsultasiVer ?>
					<span class="control-label"><b>Pasien kembali ke sejawat / bagian yang meminta sebelum pengobatan / tindakan untuk persetujuan terlebih dahulu ?</b></span><br>
					<input class="border-checkbox" type="checkbox" name="persetujuan_terlebih_dahulu" id="persetujuan_terlebih_dahulu_1" value="YA" <?= $objPatientNursing->$vPersetujuanSebelumTindakanKonsultasi == 'YA' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="persetujuan_terlebih_dahulu_1"><b>Ya<b></label>
					<input class="border-checkbox" type="checkbox" name="persetujuan_terlebih_dahulu" id="persetujuan_terlebih_dahulu_2" value="YA" <?= $objPatientNursing->$vPersetujuanSebelumTindakanKonsultasi == 'TIDAK' ? 'checked' : '' ?>>
					<label class="border-checkbox-label" for="persetujuan_terlebih_dahulu_2"><b>Tidak<b></label>
				</div>
			</div>
			
			
			<?php $vJawabanKonsultasi = 'vJawabanKonsultasi'.$KonsultasiVer ?>
			<div class="col-md-12">
				<div class="form-group" style="padding: 0px;margin:0px;">
					<label for="jawabankonsultasi"><b>Jawaban Konsultasi</b></label>
					<textarea class="form-control autoresize" style="font-weight:400; border:2px solid #4099ff" rows="3" id="jawabankonsultasi" name="jawabankonsultasi" placeholder="Jawaban Konsultasi" autocomplete="on" readonly><?= $objPatientNursing->$vJawabanKonsultasi ?></textarea>
				</div>
			</div>

		</div>
	</div>
	</div>
    <div class="box-footer with-border" >
		<div class="row">
			<div class="col-md-12">
				<button disabled class="btn btn-success" id="tombol-save-loading" style="display:none;"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
				<button class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan</button>
				<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
			</div>
		</div>
    </div>
</div>





<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">


var FormGizi = function(){

	$('input[type="checkbox"]').change(function() {
	  if ($(this).prop('checked')) {
		$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
	  }
	});
	
   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
	function cetaklaporan() {
 		parent.AppPrintPage.setTitle('Print Preview Konsultasi')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-form-konsultasi') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&FormVer='+$('#versi_konsultasi').val());
	}
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});

    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
	
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		event.preventDefault();
		posting('DRAFT');
	});
	
var ObjectData = {};


$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
	event.preventDefault();
	console.log('simpan asesmen awal');
	if(validasiSimpan()){
		posting('VERIFIKASI');
	}
})

$('#content').off('click', '#tombol-save').on('click', '#tombol-save', function (event) {
	event.preventDefault();
	console.log('simpan draft asesmen awal');
	posting('DRAFT');
});

var validasiSimpan = function(){
	var password = $('#password');
	var checkSetuju = $('#check-setuju');

	if(!password.val()){
		toastr.warning('Password Masih Kosong', 'Peringatan');
		return null;
	}
	if(! checkSetuju.prop('checked')){
		toastr.warning('Anda Harus Menyetujui', 'Peringatan');
		return null;
	}
	return true;
}

var posting = function(mode){
	ObjectData.pageId = strPageId;
	ObjectData.actorId = strActorId;
	ObjectData.nursingId = '<?= $strId ?>'; //nursing id
	ObjectData.department = strDepartmentId;

	if(mode == 'VERIFIKASI'){
		ObjectData.password = $('#password').val();
	}
	
	ObjectData.vKonsultasiVer = $('#versi_konsultasi').val();
	ObjectData.vTanggalKonsul = $('#tanggalkonsul').val();
	ObjectData.vJamKonsul = $('#jamkonsul').val();
	ObjectData.vAlihRawat = $("input[name='alih_rawat']:checked").val() ? $("input[name='alih_rawat']:checked").val() : '';
	ObjectData.vPermintaanRawatBersama = $("input[name='rawat_bersama']:checked").val() ? $("input[name='rawat_bersama']:checked").val() : '';
	ObjectData.vKonsultasiSewaktu = $("input[name='konsultasi_sewaktu']:checked").val() ? $("input[name='konsultasi_sewaktu']:checked").val() : '';
	ObjectData.vPersetujuanSebelumTindakanKonsultasi = $("input[name='persetujuan_terlebih_dahulu']:checked").val() ? $("input[name='persetujuan_terlebih_dahulu']:checked").val() : '';
	ObjectData.vDokterKonsulId = $('#dokterkonsul').val();
	ObjectData.vKondisiKlinisKonsultasi = $('#kondisiklinis').val();
	ObjectData.vTujuanKonsultasi = $('#tujuankonsultasi').val();

	ObjectData.mode = mode;

	var url;
	if(mode == 'DRAFT'){
		url = "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/ConsultRanap')?>";
	}else{
		url = "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/ConsultRanap')?>";
	}


	console.log(ObjectData)
	
	if(! ObjectData.vDokterKonsulId){
		toastr.error('Dokter Konsultasi masih kosong', 'Informasi');
		return null;
	}
	if(! ObjectData.vKondisiKlinisKonsultasi){
		toastr.error('Kondisi Klinis masih kosong', 'Informasi');
		return null;
	}

	$.ajax({
		url: url, 
		success: function(result){
			if(mode == 'VERIFIKASI' && result.status != 'error'){
				$('#modal-area').modal("hide");
				disableAllInput();
				parent.toastr.info(result.message, 'Informasi');
				$('#selesaiFullName').text(result.FullName);
				$('#selesaiTanggal').text(result.Tanggal);
				$('#selesaiJam').text(result.Jam);
				$('#selesaiIp').text(result.Ip);
				parent.boolChange = false;
				parent.$('#formkonsultasi').removeClass('btn-primary').addClass('btn-success').html('Form Konsultasi <i style="color:yellow;" class="fa fa-check"></i>');
				parent.$('#formkonsultasiigd').removeClass('btn-primary').addClass('btn-success').html('Form Konsultasi <i style="color:yellow;" class="fa fa-check"></i>');
				parent.AppPage.hide();
			}else if(result.status == 'error'){
				toastr.error(result.message, 'Error');
				console.log(result.debugInfo);
			}else{
				parent.toastr.info(result.message, 'Informasi');
				if (result.vKonsultasiVer5) {
					$('#tab_konsultasi5 a').html('Form Konsultasi 5 <i class="fa fa-check"></i>');
				} else if (result.vKonsultasiVer4) {
					$('#tab_konsultasi5').removeClass('disabled2');
					$('#tab_konsultasi4 a').html('Form Konsultasi 4 <i class="fa fa-check"></i>');
				} else if (result.vKonsultasiVer3) {
					$('#tab_konsultasi4').removeClass('disabled2');
					$('#tab_konsultasi3 a').html('Form Konsultasi 3 <i class="fa fa-check"></i>');
				}else if (result.vKonsultasiVer2) {
					$('#tab_konsultasi3').removeClass('disabled2');
					$('#tab_konsultasi2 a').html('Form Konsultasi 2 <i class="fa fa-check"></i>');
				} else if (result.vKonsultasiVer1) {
					$('#tab_konsultasi2').removeClass('disabled2');
					$('#tab_konsultasi1 a').html('Form Konsultasi 1 <i class="fa fa-check"></i>');
				}
				parent.boolChange = false;
				parent.$('#formkonsultasi').removeClass('btn-primary').addClass('btn-success').html('Form Konsultasi <i style="color:yellow;" class="fa fa-check"></i>');
				parent.$('#formkonsultasiigd').removeClass('btn-primary').addClass('btn-success').html('Form Konsultasi <i style="color:yellow;" class="fa fa-check"></i>');
				parent.AppPage.hide();
			}
		},
		timeout: 5* 60 * 1000,
		error: function(xhr,status,error){
			console.log(xhr);
			alert('Gagal menyimpan data');
		},
		beforeSend: function(xhr){
			$('#float-simpan').hide();
			$('#float-loading').show();
			$('#tombol-save').hide();
			$('#tombol-save-loading').show();
		},
		complete: function(xhr,status){
			$('#tombol-save').show();
			$('#tombol-save-loading').hide();
			$('#float-simpan').show();
			$('#float-loading').hide();
		},
		type: "POST",
		data: ObjectData
	});
}



$('#content').off('click', '.page-tindakan').on('click', '.page-tindakan', function(event){
	event.preventDefault();
	event.stopPropagation();
	$('#float-kembali').hide();
	$('#float-kembali-loading').show();
	if (sessionStorage.exitForm) {
	setContent(sessionStorage.exitForm,'content');
	} else {
		setContent(goBackLink(),'content');
	}
});


$('#jamkonsul').change(function(e){
	var waktu = $('#jamkonsul').val().split(":");
	var jam = waktu[0];
	var menit = waktu[1];
	if(jam > 23 || menit > 60){
		$('#jamkonsul').val('')
	}
})
//-------------

$('#content').off('click', '#open-modal').on('click', '#open-modal', function () {
	$('#modal-area').modal("show");
	$('#tandatangani').show();
	$('#tandatanganiperubahan').hide();
});

//-------------
$('#dokterkonsul').each(function() {
		$(this).ajaxChosen({
			type: 'GET'
			, dataType: 'json'
		},{
			useAjax: function(e){ return true; }
			, minLength: 0
			, processItems: function(data){
				// alert(JSON.stringify(data));
				return data;
			}
			, generateUrl: function(strSearch){
				// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
				return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
			}
		}).on('change', function(e) {
			// NOTHING
		});
});
/*
$('.department').each(function() {
	$(this).ajaxChosen({
		type: 'GET'
		, dataType: 'json'
	},{
		useAjax: function(e){ return true; }
		, minLength: 0
		, processItems: function(data){
			return data;
		}
		, generateUrl: function(strSearch) {

			return "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmen/?pageId=')?><?=$strPageId?>"+ '&type=POLI&search=' + strSearch
		}
	}, {
		allow_single_deselect: true
	}).on('change', function(e) {
		// NOTHING
	});
});

$('#tujuankonsul').change(function(){
	console.log('tujuankonsul CHANGE')

	var optionSelected = $('#tujuankonsul option:selected');
	var doctor = $('#dokterkonsul');
	doctor.empty();
	if(optionSelected.data('personilId') && optionSelected.data('personilName')){
		doctor.append('<option selected value="'+optionSelected.data('personilId')+'">'+optionSelected.data('personilName')+'</option>');
		doctor.trigger("chosen:updated");
		return null;
	}

	var viewMainDepartment = $('#tujuankonsul').val() ? $('#tujuankonsul').val() : '';
	$.ajax({
		url: "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDoctor/?pageId=')?><?=$strPageId?>&department=" + viewMainDepartment, 
		success: function(result){
			var doctor = $('#dokterkonsul');
			doctor.empty();
			doctor.append('<option value="" >Pilih Dokter...</option>');
			result.forEach(function(res){
				doctor.append('<option value="'+res.id+'">'+res.text+'</option>');
			});
			doctor.trigger("chosen:updated");
	}});
});

$('#dokterkonsul').chosen({
});



$('#content').off('click', '#dokterkonsul_chosen').on('click', '#dokterkonsul_chosen', function(event){
	//console.log('test')
	var viewMainDepartment = $('#tujuankonsul').val() ? $('#tujuankonsul').val() : '';
	if ($('#tujuankonsul').val() == "") {
		toastr.error('Pilih Poli Tujuan Terlebih Dahulu','informasi')
		return false;
	}
	if ($('#tujuankonsul').val() != "" && $('#tujuankonsul_chosen a span').text() != "kosongkan / reset") {
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDoctor/?pageId=')?><?=$strPageId?>&department=" + viewMainDepartment, 
			success: function(result){
				var doctor = $('#dokterkonsul');
				var doctortId = $('#dokterkonsul').val();
				var doctortName = $('#dokterkonsul_chosen a span').text();
				if (doctortId != ""){
					doctor.html('<option value="'+doctortId+'">'+doctortName+'</option>');
					doctor.append('<option value="" disabled>GANTI DOKTER</option>');
				} else {
					doctor.html('<option value="'+doctortId+'">'+doctortName+'</option>');
				}
				result.forEach(function(res){
					doctor.append('<option value="'+res.id+'">'+res.text+'</option>');
				});
				doctor.trigger("chosen:updated");
		}});
	}
});


$('#content').off('click', '#tujuankonsul_chosen').on('click', '#tujuankonsul_chosen', function(event){
	//console.log('test')
	$.ajax({
		url: "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmen/?pageId=')?><?=$strPageId?>&type=POLI", 
		success: function(result){
			var tujuankonsul = $('#tujuankonsul');
			var tujuankonsultId = $('#tujuankonsul').val();
			var tujuankonsulName = $('#tujuankonsul_chosen a span').text();
			if (tujuankonsultId != ""){
				tujuankonsul.html('<option value="'+tujuankonsultId+'">'+tujuankonsulName+'</option>');
				tujuankonsul.append('<option value="" disabled>===== GANTI POLI =====</option>');
			} else {
				tujuankonsul.html('<option value="'+tujuankonsultId+'">'+tujuankonsulName+'</option>');
			}
			result.forEach(function(res){
				tujuankonsul.append('<option value="'+res.id+'">'+res.text+'</option>');
			});
			tujuankonsul.trigger("chosen:updated");
	}});
});
$('#dokterkonsul').change(function(){
	ObjectData.vDokterKonsul = $(this).val();
	console.log(ObjectData.vDokterKonsul);
});
*/

function openInNewTab(url) {
	var win = window.open(url, '_blank');
	win.focus();
} 

$('.input-tanggal-konsul').datepicker({
	format: "dd-mm-yyyy",
	autoclose: true,
	maxDate: new Date('<?= date('d-m-Y') ?>'),
	minDate: new Date('<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>'),
	// endDate: null
});

function convertDateToISO(strDateIna) {
	return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}
}


$('#content').ready(function(){
		FormGizi();
		
		
		
<?php $objSystemUser = SystemUser::LoadById($objUser->Id); 
$objPersonil = HmisRefEmployee::LoadById($objUser->ReferenceId); 

?>
//console.log("Email User : <?=$objSystemUser->Email;?>\nEmail Personil : <?=$objPersonil->Email;?>")		

});
</script>

</div>
</div>

