
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>
<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

if( $objUser->ReferenceId ) {
	$objPersonil = HmisRefEmployee::LoadById( $objUser->ReferenceId );
}


$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->

<!-- <script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
		
	
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>


<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">SITOSTATIKA</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">



<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h2 class="box-title">OBAT SITOSTATIKA JKN</h2>
    </div>
    <div class="box-body" style="padding-top:0px;">
        <div class="row">
            <div class="col-md-12">
                <label class="control-label" for="diagnosa_sitostatika"><b>Diagnosa</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="diagnosa_sitostatika" id="diagnosa_sitostatika_ca_prostat" value="Ca Prostat" <?= ($objPatientNursing->vDiagnosaSitostatika  == 'Ca Prostat' ) ? 'checked' : '' ?>> Ca Prostat</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="diagnosa_sitostatika" id="diagnosa_sitostatika_ca_mamae" value="Ca  Mamae" <?= ($objPatientNursing->vDiagnosaSitostatika  == 'Ca  Mamae' ) ? 'checked' : '' ?>> Ca  Mamae</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="diagnosa_sitostatika" id="diagnosa_sitostatika_nhl" value="NHL" <?= ($objPatientNursing->vDiagnosaSitostatika  == 'NHL' ) ? 'checked' : '' ?>> NHL</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="diagnosa_sitostatika" id="diagnosa_sitostatika_ca_buli" value="Ca Buli" <?= ($objPatientNursing->vDiagnosaSitostatika  == 'Ca Buli' ) ? 'checked' : '' ?>> Ca Buli</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="diagnosa_sitostatika" id="diagnosa_sitostatika_malignat_stt" value="Malignat STT" <?= ($objPatientNursing->vDiagnosaSitostatika  == 'Malignat STT' ) ? 'checked' : '' ?>> Malignat STT</label>
					</div>
                </div>
            </div>
            <div class="col-md-12">
                <label class="control-label" for="rencana_pemberian_obat_sitostatika_1_keur"><b>Rencana Pemberian Obat Sitostatika 1 keur</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="rencana_pemberian_obat_sitostatika" id="rencana_pemberian_obat_sitostatika_6seri" value="6 Seri" <?= ($objPatientNursing->vObatSitostatikaSeri  == '6 Seri' ) ? 'checked' : '' ?>> 6 Seri</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="rencana_pemberian_obat_sitostatika" id="rencana_pemberian_obat_sitostatika_12seri" value="12 Seri" <?= ($objPatientNursing->vObatSitostatikaSeri  == '12 Seri' ) ? 'checked' : '' ?>> 12 Seri</label>
					</div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="mulai_tanggal_sitostatika"><b>Mulai Tanggal</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="mulai_tanggal_sitostatika" type="text" class="form-control input-date" name="mulai_tanggal_sitostatika" placeholder="Mulai Tanggal" value="<?= $objPatientNursing->vMulaiTanggalObatSitostatika != '' ? $objPatientNursing->vMulaiTanggalObatSitostatika : $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="sampai_tanggal_sitostatika"><b>Sampai Tanggal</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="sampai_tanggal_sitostatika" type="text" class="form-control input-date" name="sampai_tanggal_sitostatika" placeholder="Sampai Tanggal" value="<?= $objPatientNursing->vSampaiTanggalObatSitostatika != '' ? $objPatientNursing->vSampaiTanggalObatSitostatika : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
        </div>
		<div class="row">
            <div class="col-md-12">
                <label class="control-label" for="di_ulang_setiap"><b>Di Ulang Setiap</b></label>
                <div class="input-group" style="width:100%;">
                    <div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="di_ulang_setiap" id="di_ulang_setiap_21hari" value="7" <?= ($objPatientNursing->vDiUlangSetiap  == '21 Hari' ) ? 'checked' : '' ?>> 21 Hari</label>
						<label class="radio-inline" style="padding-top:5px;"><input type="radio" name="di_ulang_setiap" id="di_ulang_setiap_30hari" value="8 Hari" <?= ($objPatientNursing->vDiUlangSetiap  == '30 Hari' ) ? 'checked' : '' ?>> 30 Hari</label>
					</div>
                </div>
            </div>
		</div>
	</div>
</div>



<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h2 class="box-title">DAFTAR OBAT</h2>
    </div>
    <div class="box-body" style="padding-top:0px;">
        <div class="row">
            <div class="col-md-4">
                <label class="control-label" for="kasus_polisi_triage_igd"><b>Nama Obat</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_1" type="text" class="form-control" name="nama_obat_sitostatika_1" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika1 != "" ? $objPatientNursing->vNamaObatSitostatika1 : "Cappe Citabine" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <label class="control-label" for="kasus_polisi_triage_igd"><b>Jumlah</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_1" type="text" class="form-control" name="jumlah_obat_sitostatika_1" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika1; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <label class="control-label" for="kasus_polisi_triage_igd"><b>Dosis</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_1" type="text" class="form-control" name="dosis_obat_sitostatika_1" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika1; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <label class="control-label" for="kasus_polisi_triage_igd"><b>Keterangan</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_1" type="text" class="form-control" name="keterangan_obat_sitostatika_1" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika1; ?>">
                </div>
            </div>
		</div>
        <div class="row" style="margin-top:5px;">
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_2" type="text" class="form-control" name="nama_obat_sitostatika_2" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika2 != "" ? $objPatientNursing->vNamaObatSitostatika2 : "Tamoxifen" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_2" type="text" class="form-control" name="jumlah_obat_sitostatika_2" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika2; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_2" type="text" class="form-control" name="dosis_obat_sitostatika_2" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika2; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_2" type="text" class="form-control" name="keterangan_obat_sitostatika_2" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika2 ; ?>">
                </div>
            </div>
		</div>
        <div class="row" style="margin-top:5px;">
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_3" type="text" class="form-control" name="nama_obat_sitostatika_3" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika3 != "" ? $objPatientNursing->vNamaObatSitostatika3 : "Aromasin" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_3" type="text" class="form-control" name="jumlah_obat_sitostatika_3" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika3 ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_3" type="text" class="form-control" name="dosis_obat_sitostatika_3" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika3 ; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_3" type="text" class="form-control" name="keterangan_obat_sitostatika_3" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika3 ; ?>">
                </div>
            </div>
		</div>
        <div class="row" style="margin-top:5px;">
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_4" type="text" class="form-control" name="nama_obat_sitostatika_4" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika4 != "" ? $objPatientNursing->vNamaObatSitostatika4 : "Ca Sodex" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_4" type="text" class="form-control" name="jumlah_obat_sitostatika_4" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika4 ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_4" type="text" class="form-control" name="dosis_obat_sitostatika_4" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika4 ; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_4" type="text" class="form-control" name="keterangan_obat_sitostatika_4" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika4 ; ?>">
                </div>
            </div>
		</div>
        <div class="row" style="margin-top:5px;">
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_5" type="text" class="form-control" name="nama_obat_sitostatika_5" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika5 != "" ? $objPatientNursing->vNamaObatSitostatika5 : "Zoladex" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_5" type="text" class="form-control" name="jumlah_obat_sitostatika_5" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika5; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_5" type="text" class="form-control" name="dosis_obat_sitostatika_5" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika5 ; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_5" type="text" class="form-control" name="keterangan_obat_sitostatika_5" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika5 ; ?>">
                </div>
            </div>
		</div>
        <div class="row" style="margin-top:5px;">
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_6" type="text" class="form-control" name="nama_obat_sitostatika_6" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika6 != "" ? $objPatientNursing->vNamaObatSitostatika6 : "Nateran" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_6" type="text" class="form-control" name="jumlah_obat_sitostatika_6" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika6 ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_6" type="text" class="form-control" name="dosis_obat_sitostatika_6" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika6 ; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_6" type="text" class="form-control" name="keterangan_obat_sitostatika_6" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika6 ; ?>">
                </div>
            </div>
		</div>
        <div class="row" style="margin-top:5px;">
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_sitostatika_7" type="text" class="form-control" name="nama_obat_sitostatika_7" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatika7 != "" ? $objPatientNursing->vNamaObatSitostatika7 : "Letrozole" ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="jumlah_obat_sitostatika_7" type="text" class="form-control" name="jumlah_obat_sitostatika_7" placeholder="Jumlah" value="<?= $objPatientNursing->vJumlahObatSitostatika7 ; ?>">
                </div>
            </div>
            <div class="col-md-2">
                <div class="input-group" style="width:100%;">
                    <input id="dosis_obat_sitostatika_7" type="text" class="form-control" name="dosis_obat_sitostatika_7" placeholder="Dosis" value="<?= $objPatientNursing->vDosisObatSitostatika7 ; ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group" style="width:100%;">
                    <input id="keterangan_obat_sitostatika_7" type="text" class="form-control" name="keterangan_obat_sitostatika_7" placeholder="Keterangan" value="<?= $objPatientNursing->vKetObatSitostatika7 ; ?>">
                </div>
            </div>
		</div>
	</div>
</div>



<div class="box box-info form-horizontal box-info-pasien" style="padding:20px;border-radius:;">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h2 class="box-title">PEMBERIAN ORAL SITOSTIKA</h2>
    </div>
    <div class="box-body" style="padding-top:0px;">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_1"><b>Tanggal Siklus I</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_1" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_1" placeholder="Tanggal Siklus I" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus1 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus1 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_1"><b>Nama Obat</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_1" type="text" class="form-control" name="nama_obat_siklus_sitostatika_1" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus1 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_2"><b>Tanggal Siklus II</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_2" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_2" placeholder="Tanggal Siklus II" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus2 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus2 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_2"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_2" type="text" class="form-control" name="nama_obat_siklus_sitostatika_2" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus2 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_3"><b>Tanggal Siklus III</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_3" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_3" placeholder="Tanggal Siklus III" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus3 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus3 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_3"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_3" type="text" class="form-control" name="nama_obat_siklus_sitostatika_3" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus3 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_4"><b>Tanggal Siklus IV</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_4" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_4" placeholder="Tanggal Siklus IV" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus4 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus4 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_4"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_4" type="text" class="form-control" name="nama_obat_siklus_sitostatika_4" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus4 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_5"><b>Tanggal Siklus V</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_5" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_5" placeholder="Tanggal Siklus V" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus5 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus5 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_5"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_5" type="text" class="form-control" name="nama_obat_siklus_sitostatika_5" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus5 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_6"><b>Tanggal Siklus VI</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_6" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_6" placeholder="Tanggal Siklus VI" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus6 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus6 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_6"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_6" type="text" class="form-control" name="nama_obat_siklus_sitostatika_6" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus6 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_7"><b>Tanggal Siklus VII</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_7" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_7" placeholder="Tanggal Siklus VII" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus7 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus7 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_7"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_7" type="text" class="form-control" name="nama_obat_siklus_sitostatika_7" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus7 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_8"><b>Tanggal Siklus VIII</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_8" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_8" placeholder="Tanggal Siklus VIII" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus8 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus8 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_8"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_8" type="text" class="form-control" name="nama_obat_siklus_sitostatika_8" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus8 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_9"><b>Tanggal Siklus IX</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_9" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_9" placeholder="Tanggal Siklus IX" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus9 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus9 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_9"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_9" type="text" class="form-control" name="nama_obat_siklus_sitostatika_9" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus9 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_10"><b>Tanggal Siklus X</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_10" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_10" placeholder="Tanggal Siklus X" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus10 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus10 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_10"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_10" type="text" class="form-control" name="nama_obat_siklus_sitostatika_10" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus10 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_11"><b>Tanggal Siklus XI</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_11" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_11" placeholder="Tanggal Siklus XI" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus11 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus11 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_11"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_11" type="text" class="form-control" name="nama_obat_siklus_sitostatika_11" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus11 ; ?>">
                </div>
            </div>
		</div>
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggal_siklus_sitostatika_12"><b>Tanggal Siklus XII</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_siklus_sitostatika_12" type="text" class="form-control input-date" name="tanggal_siklus_sitostatika_12" placeholder="Tanggal Siklus XII" value="<?= $objPatientNursing->vTanggalSitostatikaSiklus12 != '' ? $objPatientNursing->vTanggalSitostatikaSiklus12 : '' ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="nama_obat_siklus_sitostatika_12"><b>&nbsp;</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="nama_obat_siklus_sitostatika_12" type="text" class="form-control" name="nama_obat_siklus_sitostatika_12" placeholder="Nama Obat" value="<?= $objPatientNursing->vNamaObatSitostatikaSiklus12 ; ?>">
                </div>
            </div>
		</div>
	</div>
</div>


<!-- 
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="box-header" style="">
		<i class="fa fa-user-md"></i>
        <h3 class="box-title">Dokter</h3>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
						<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Dokter yang menangani</b></div>
					</span>
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_yang_menangani_uroflowmetri" id="dokter_yang_menangani_uroflowmetri" data-placeholder="Pilih Dokter yang menangani">
					<option value="<?= $objPatientNursing->vDokterUroflowmetriId ; ?>" selected ><?= $objPatientNursing->vDokterUroflowmetriNama; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>
-->
</div>



<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormObatSitostatikaModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormObatSitostatikaEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormObatSitostatikaEmployeeId)->FirstName.' ('.$objPatientNursing->vFormObatSitostatikaLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormObatSitostatikaLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormObatSitostatikaTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormObatSitostatikaTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormObatSitostatikaIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormObatSitostatika) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormObatSitostatikaEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormObatSitostatikaEmployeeId)->FirstName.' ('.$objPatientNursing->vFormObatSitostatikaLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormObatSitostatikaLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormObatSitostatikaTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormObatSitostatikaTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormObatSitostatikaIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

	// Function to add days to the start date
	function addDays(date, days) {
		return moment(date).add(days, 'days').toDate();
	}

	// Function to format the date
	function formatDate(date) {
		return moment(date).format('DD-MM-YYYY');
	}

	// Function to parse the date from the input
	function parseDate(dateString) {
		return moment(dateString, 'DD-MM-YYYY');
	}

	// Function to get the start date from the input
	function getStartDate() {
		var dateString = document.getElementById("mulai_tanggal_sitostatika").value;
		if (dateString === "") {
			// Return a default date if the dateString is empty
			return new Date();
		}
		var startDate = parseDate(dateString);
		return startDate.toDate(); // Return the original date object
	}
	
	// Function to handle the radio input change
	function diulangSetiap21Hari() {
		var newDateSiklus1 = addDays(getStartDate(), 21);
		var dateSiklus1 = formatDate(newDateSiklus1);
		$("#tanggal_siklus_sitostatika_1").val(dateSiklus1);
		
		var newDateSiklus2 = addDays(newDateSiklus1, 21);
		var dateSiklus2 = formatDate(newDateSiklus2);
		$("#tanggal_siklus_sitostatika_2").val(dateSiklus2);
		
		var newDateSiklus3 = addDays(newDateSiklus2, 21);
		var dateSiklus3 = formatDate(newDateSiklus3);
		$("#tanggal_siklus_sitostatika_3").val(dateSiklus3);
		
		var newDateSiklus4 = addDays(newDateSiklus3, 21);
		var dateSiklus4 = formatDate(newDateSiklus4);
		$("#tanggal_siklus_sitostatika_4").val(dateSiklus4);
		
		var newDateSiklus5 = addDays(newDateSiklus4, 21);
		var dateSiklus5 = formatDate(newDateSiklus5);
		$("#tanggal_siklus_sitostatika_5").val(dateSiklus5);
		
		var newDateSiklus6 = addDays(newDateSiklus5, 21);
		var dateSiklus6 = formatDate(newDateSiklus6);
		$("#tanggal_siklus_sitostatika_6").val(dateSiklus6);
		
		var newDateSiklus7 = addDays(newDateSiklus6, 21);
		var dateSiklus7 = formatDate(newDateSiklus7);
		$("#tanggal_siklus_sitostatika_7").val(dateSiklus7);
		
		var newDateSiklus8 = addDays(newDateSiklus7, 21);
		var dateSiklus8 = formatDate(newDateSiklus8);
		$("#tanggal_siklus_sitostatika_8").val(dateSiklus8);
		
		var newDateSiklus9 = addDays(newDateSiklus8, 21);
		var dateSiklus9 = formatDate(newDateSiklus9);
		$("#tanggal_siklus_sitostatika_9").val(dateSiklus9);
		
		var newDateSiklus10 = addDays(newDateSiklus9, 21);
		var dateSiklus10 = formatDate(newDateSiklus10);
		$("#tanggal_siklus_sitostatika_10").val(dateSiklus10);
		
		var newDateSiklus11 = addDays(newDateSiklus10, 21);
		var dateSiklus11 = formatDate(newDateSiklus11);
		$("#tanggal_siklus_sitostatika_11").val(dateSiklus11);
		
		var newDateSiklus12 = addDays(newDateSiklus11, 21);
		var dateSiklus12 = formatDate(newDateSiklus12);
		$("#tanggal_siklus_sitostatika_12").val(dateSiklus12);
	}
	
	function diulangSetiap30Hari() {
		var newDateSiklus1 = addDays(getStartDate(), 30);
		var dateSiklus1 = formatDate(newDateSiklus1);
		$("#tanggal_siklus_sitostatika_1").val(dateSiklus1);
		
		var newDateSiklus2 = addDays(newDateSiklus1, 30);
		var dateSiklus2 = formatDate(newDateSiklus2);
		$("#tanggal_siklus_sitostatika_2").val(dateSiklus2);
		
		var newDateSiklus3 = addDays(newDateSiklus2, 30);
		var dateSiklus3 = formatDate(newDateSiklus3);
		$("#tanggal_siklus_sitostatika_3").val(dateSiklus3);
		
		var newDateSiklus4 = addDays(newDateSiklus3, 30);
		var dateSiklus4 = formatDate(newDateSiklus4);
		$("#tanggal_siklus_sitostatika_4").val(dateSiklus4);
		
		var newDateSiklus5 = addDays(newDateSiklus4, 30);
		var dateSiklus5 = formatDate(newDateSiklus5);
		$("#tanggal_siklus_sitostatika_5").val(dateSiklus5);
		
		var newDateSiklus6 = addDays(newDateSiklus5, 30);
		var dateSiklus6 = formatDate(newDateSiklus6);
		$("#tanggal_siklus_sitostatika_6").val(dateSiklus6);
		
		var newDateSiklus7 = addDays(newDateSiklus6, 30);
		var dateSiklus7 = formatDate(newDateSiklus7);
		$("#tanggal_siklus_sitostatika_7").val(dateSiklus7);
		
		var newDateSiklus8 = addDays(newDateSiklus7, 30);
		var dateSiklus8 = formatDate(newDateSiklus8);
		$("#tanggal_siklus_sitostatika_8").val(dateSiklus8);
		
		var newDateSiklus9 = addDays(newDateSiklus8, 30);
		var dateSiklus9 = formatDate(newDateSiklus9);
		$("#tanggal_siklus_sitostatika_9").val(dateSiklus9);
		
		var newDateSiklus10 = addDays(newDateSiklus9, 30);
		var dateSiklus10 = formatDate(newDateSiklus10);
		$("#tanggal_siklus_sitostatika_10").val(dateSiklus10);
		
		var newDateSiklus11 = addDays(newDateSiklus10, 30);
		var dateSiklus11 = formatDate(newDateSiklus11);
		$("#tanggal_siklus_sitostatika_11").val(dateSiklus11);
		
		var newDateSiklus12 = addDays(newDateSiklus11, 30);
		var dateSiklus12 = formatDate(newDateSiklus12);
		$("#tanggal_siklus_sitostatika_12").val(dateSiklus12);
	}

	// Add an event listener to the radio inputs to call the handleRadioChange function when their state changes
	$("#di_ulang_setiap_21hari").change(diulangSetiap21Hari);
	$("#di_ulang_setiap_30hari").change(diulangSetiap30Hari);
	
	

var FormGizi = function(){

	'use strict';
	
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function cetaklaporan() {
		parent.AppPrintPage.setTitle('Print Preview Obat Sitostatika')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-obat-sitostatika') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	
	$('.koreksi, #float-koreksi').click(function(){
        parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
				$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false).trigger('chosen:updated');
				$('#validasi-modal, #float-validasi').removeClass('disabled'); 
				$('.koreksi').addClass('disabled'); 
				$('#float-koreksi').hide();
				$('#float-validasi').show();
                parent.jQuery.fallr('hide',function(){});
            },
            function(){
                parent.jQuery.fallr('hide',function(){});
            }
        );
    })


	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function () {
		posting('DRAFT');
	});

	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormObatSitostatikaModifiedVersion != "" ? $objPatientNursing->vFormObatSitostatikaModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});

	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.ruang, .doctor').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}


		post.DiagnosaSitostatika = '';
		$("#diagnosa_sitostatika_ca_prostat").is(':checked') ?  post.DiagnosaSitostatika = 'Ca Prostat' : '' ;
		$("#diagnosa_sitostatika_ca_mamae").is(':checked') ?  post.DiagnosaSitostatika = 'Ca  Mamae' : '' ;
		$("#diagnosa_sitostatika_nhl").is(':checked') ?  post.DiagnosaSitostatika = 'NHL' : '' ;
		$("#diagnosa_sitostatika_ca_buli").is(':checked') ?  post.DiagnosaSitostatika = 'Ca Buli' : '' ;
		$("#diagnosa_sitostatika_malignat_stt").is(':checked') ?  post.DiagnosaSitostatika = 'Malignat STT' : '' ;
		

		post.ObatSitostatikaSeri = '';
		$("#rencana_pemberian_obat_sitostatika_6seri").is(':checked') ?  post.ObatSitostatikaSeri = '6 Seri' : '' ;
		$("#rencana_pemberian_obat_sitostatika_12seri").is(':checked') ?  post.ObatSitostatikaSeri = '12 Seri' : '' ;
		
	
		post.MulaiTanggalObatSitostatika = $('#mulai_tanggal_sitostatika').val();
		post.SampaiTanggalObatSitostatika = $('#sampai_tanggal_sitostatika').val();
		

		post.DiUlangSetiap = '';
		$("#di_ulang_setiap_21hari").is(':checked') ?  post.DiUlangSetiap = '21 Hari' : '' ;
		$("#di_ulang_setiap_30hari").is(':checked') ?  post.DiUlangSetiap = '30 Hari' : '' ;
		
		
		post.NamaObatSitostatika1 = $('#nama_obat_sitostatika_1').val();
		post.JumlahObatSitostatika1 = $('#jumlah_obat_sitostatika_1').val();
		post.DosisObatSitostatika1 = $('#dosis_obat_sitostatika_1').val();
		post.KetObatSitostatika1 = $('#keterangan_obat_sitostatika_1').val();
		
		post.NamaObatSitostatika2 = $('#nama_obat_sitostatika_2').val();
		post.JumlahObatSitostatika2 = $('#jumlah_obat_sitostatika_2').val();
		post.DosisObatSitostatika2 = $('#dosis_obat_sitostatika_2').val();
		post.KetObatSitostatika2 = $('#keterangan_obat_sitostatika_2').val();
				
		post.NamaObatSitostatika3 = $('#nama_obat_sitostatika_3').val();
		post.JumlahObatSitostatika3 = $('#jumlah_obat_sitostatika_3').val();
		post.DosisObatSitostatika3 = $('#dosis_obat_sitostatika_3').val();
		post.KetObatSitostatika3 = $('#keterangan_obat_sitostatika_3').val();
		
		post.NamaObatSitostatika4 = $('#nama_obat_sitostatika_4').val();
		post.JumlahObatSitostatika4 = $('#jumlah_obat_sitostatika_4').val();
		post.DosisObatSitostatika4 = $('#dosis_obat_sitostatika_4').val();
		post.KetObatSitostatika4 = $('#keterangan_obat_sitostatika_4').val();
		
		post.NamaObatSitostatika5 = $('#nama_obat_sitostatika_5').val();
		post.JumlahObatSitostatika5 = $('#jumlah_obat_sitostatika_5').val();
		post.DosisObatSitostatika5 = $('#dosis_obat_sitostatika_5').val();
		post.KetObatSitostatika5 = $('#keterangan_obat_sitostatika_5').val();
		
		post.NamaObatSitostatika6 = $('#nama_obat_sitostatika_6').val();
		post.JumlahObatSitostatika6 = $('#jumlah_obat_sitostatika_6').val();
		post.DosisObatSitostatika6 = $('#dosis_obat_sitostatika_6').val();
		post.KetObatSitostatika6 = $('#keterangan_obat_sitostatika_6').val();
		
		post.NamaObatSitostatika7 = $('#nama_obat_sitostatika_7').val();
		post.JumlahObatSitostatika7 = $('#jumlah_obat_sitostatika_7').val();
		post.DosisObatSitostatika7 = $('#dosis_obat_sitostatika_7').val();
		post.KetObatSitostatika7 = $('#keterangan_obat_sitostatika_7').val();
		
		post.TanggalSitostatikaSiklus1 = $('#tanggal_siklus_sitostatika_1').val();
		post.NamaObatSitostatikaSiklus1 = $('#nama_obat_siklus_sitostatika_1').val();
		
		post.TanggalSitostatikaSiklus2 = $('#tanggal_siklus_sitostatika_2').val();
		post.NamaObatSitostatikaSiklus2 = $('#nama_obat_siklus_sitostatika_2').val();
		
		post.TanggalSitostatikaSiklus3 = $('#tanggal_siklus_sitostatika_3').val();
		post.NamaObatSitostatikaSiklus3 = $('#nama_obat_siklus_sitostatika_3').val();
		
		post.TanggalSitostatikaSiklus4 = $('#tanggal_siklus_sitostatika_4').val();
		post.NamaObatSitostatikaSiklus4 = $('#nama_obat_siklus_sitostatika_4').val();
		
		post.TanggalSitostatikaSiklus5 = $('#tanggal_siklus_sitostatika_5').val();
		post.NamaObatSitostatikaSiklus5 = $('#nama_obat_siklus_sitostatika_5').val();
		
		post.TanggalSitostatikaSiklus6 = $('#tanggal_siklus_sitostatika_6').val();
		post.NamaObatSitostatikaSiklus6 = $('#nama_obat_siklus_sitostatika_6').val();
		
		post.TanggalSitostatikaSiklus7 = $('#tanggal_siklus_sitostatika_7').val();
		post.NamaObatSitostatikaSiklus7 = $('#nama_obat_siklus_sitostatika_7').val();
		
		post.TanggalSitostatikaSiklus8 = $('#tanggal_siklus_sitostatika_8').val();
		post.NamaObatSitostatikaSiklus8 = $('#nama_obat_siklus_sitostatika_8').val();
		
		post.TanggalSitostatikaSiklus9 = $('#tanggal_siklus_sitostatika_9').val();
		post.NamaObatSitostatikaSiklus9 = $('#nama_obat_siklus_sitostatika_9').val();
		
		post.TanggalSitostatikaSiklus10 = $('#tanggal_siklus_sitostatika_10').val();
		post.NamaObatSitostatikaSiklus10 = $('#nama_obat_siklus_sitostatika_10').val();
		
		post.TanggalSitostatikaSiklus11 = $('#tanggal_siklus_sitostatika_11').val();
		post.NamaObatSitostatikaSiklus11 = $('#nama_obat_siklus_sitostatika_11').val();
		
		post.TanggalSitostatikaSiklus12 = $('#tanggal_siklus_sitostatika_12').val();
		post.NamaObatSitostatikaSiklus12 = $('#nama_obat_siklus_sitostatika_12').val();
		
		

		
		post.JamAsesmenUroflowmetri = $('#jamasesmen_uroflowmetri').val();
		post.HasilUroflowmetri = $('#uroflowmetri').val();
		post.DokterUroflowmetriId = $('#dokter_yang_menangani_uroflowmetri').val();
		

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/ObatSitostatika')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#obat_sitostatika').removeClass('btn-primary').addClass('btn-success').html('Obat Sitostatika <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#obat_sitostatika').removeClass('btn-primary').addClass('btn-success').html('Obat Sitostatika <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					parent.toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}


	$('#dokter_yang_menangani_uroflowmetri').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormObatSitostatika ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormObatSitostatikaModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#versi_form').attr('placeholder', '~".$objPatientNursing->vFormObatSitostatikaModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>

});

</script>