
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>


<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$strExecutionDir = dirname(__FILE__);
$prefix_funct = 'GIZI';

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

	// $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
	// $waktuakhir = date_create();
	$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
	$umurDalamTahun = $diff->y;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>'; 
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#nama_versi{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<script>
	// alert('<?= $umurDalamTahun; ?>');
</script>

<div id="e-rm-form-gizi" class="hidden">true</div>

<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">

				<script>
				//alert('<?=preg_replace('/-/', '', date('Y-m-d', strtotime('+1 day')))?>\n<?=preg_replace('/-/', '', date('Y-m-d'))?>')
				</script>
<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>FORMULIR PENGAJUAN MAKAN <span class='title_pengajuan'>BESOK ( <?= date('d M Y', strtotime('+1 day')) ?> )</span></b></span>
    </div>
	<div class="box-body">
		<?php	$TanggalPengajuanMakan = preg_replace('/-/', '', date('Y-m-d', strtotime('+1 day'))); 
				$PengajuanMakanVersioning = '_' . $TanggalPengajuanMakan ; ?>
		<div class="row">
			<div class="col-md-12" style="margin-top:10px;">
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Pengajuan</div>
				</div>
				<div class="col-sm-4" style="padding-left:5px!Important;">
					<?php	$vPengajuanMakanTanggal = 'vPengajuanMakanTanggal'.$PengajuanMakanVersioning ?>
					<div class="form-control" style="height:auto;">
						<label class="checkbox-inline" style="padding-top:0px;padding-right:20px;padding-left:0px;">
							<input name="hari_pengajuan"  type="radio" id="pengajuan_hari_ini" style="margin-right:5px;">Hari Ini
						</label>
						<label class="checkbox-inline" style="padding-top:0px;padding-left:0px;">
							<input name="hari_pengajuan"  type="radio" id="pengajuan_besok" style="margin-right:5px;" checked>Besok
						</label>
					</div>
					<input type="hidden" autocomplete="off" name="pengajuan_makan_tanggal" id="pengajuan_makan_tanggal" class="form-control input-date" value="<?= $objPatientNursing->$vPengajuanMakanTanggal != "" ? date('d-m-Y', strtotime($objPatientNursing->$vPengajuanMakanTanggal)) : date('d-m-Y', strtotime('+1 day')) ;; ?>">
				</div>
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Nasi / Tym</div>
				</div>
				<div class="col-sm-4" style="padding-left:0px!Important;">
					<div class="form-control" style="height:auto;">
						<label class="checkbox-inline" style="padding-top:0px;padding-right:20px;">
							<?php	$vPengajuanMakanNasi = 'vPengajuanMakanNasi'.$PengajuanMakanVersioning ?>
							<input name="pengajuan_makan_nasi"  type="checkbox" id="pengajuan_makan_nasi" style="margin-right:5px;" <?= $objPatientNursing->$vPengajuanMakanNasi == "YA" ? 'checked' : '' ; ?>>Nasi
						</label>
						<label class="checkbox-inline" style="padding-top:0px;padding-left:10px;">
							<?php	$vPengajuanMakanTym = 'vPengajuanMakanTym'.$PengajuanMakanVersioning ?>
							<input name="pengajuan_makan_tym"  type="checkbox" id="pengajuan_makan_tym" style="margin-right:5px;" <?= $objPatientNursing->$vPengajuanMakanTym == "YA" ? 'checked' : '' ; ?>>Tym
						</label>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-top:10px;">
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Bubur Kasar (BK)</div>
				</div>
				<div class="col-sm-4" style="padding-left:5px!Important;">
					<div class="form-control" style="height:auto;">
						<label class="checkbox-inline" style="padding-top:0px;padding-right:20px;">
							<?php	$vBuburKasarBiasa = 'vBuburKasarBiasa'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_bubur_kasar_biasa" id="pengajuan_makan_bubur_kasar_biasa" style="margin-right:5px;" <?= $objPatientNursing->$vBuburKasarBiasa == "YA" ? 'checked' : '' ; ?>>Biasa
						</label>
						<label class="checkbox-inline" style="padding-top:0px;padding-left:10px;">
							<?php	$vBuburKasarCincang = 'vBuburKasarCincang'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_bubur_kasar_cincang" id="pengajuan_makan_bubur_kasar_cincang" style="margin-right:5px;" <?= $objPatientNursing->$vBuburKasarCincang == "YA" ? 'checked' : '' ; ?>>Cincang
						</label>
					</div>
				</div>
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Bubur Halus (BL)</div>
				</div>
				<div class="col-sm-4" style="padding-left:0px!Important;">
					<div class="form-control" style="height:auto;">
						<label class="checkbox-inline" style="padding-top:0px;padding-right:20px;">
							<?php	$vPengajuanMakanBuburHalusCincangKaldu = 'vPengajuanMakanBuburHalusCincangKaldu'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_bubur_halus_cincang_kaldu" id="pengajuan_makan_bubur_halus_cincang_kaldu" style="margin-right:5px;" <?= $objPatientNursing->$vPengajuanMakanBuburHalusCincangKaldu == "YA" ? 'checked' : '' ; ?>>Cincang Kaldu
						</label>
						<label class="checkbox-inline" style="padding-top:0px;padding-right:20px;padding-left:10px;">
							<?php	$vPengajuanMakanBuburHalusTelurRebusGulaCair = 'vPengajuanMakanBuburHalusTelurRebusGulaCair'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_bubur_halus_telur_rebus_gula_cair" id="pengajuan_makan_bubur_halus_telur_rebus_gula_cair" style="margin-right:5px;" <?= $objPatientNursing->$vPengajuanMakanBuburHalusTelurRebusGulaCair == "YA" ? 'checked' : '' ; ?>>Telur Rebus Gula Cair
						</label>
						<label class="checkbox-inline" style="padding-top:0px;padding-left:10px;">
							<?php	$vPengajuanMakanBuburHalusGE = 'vPengajuanMakanBuburHalusGE'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_bubur_halus_ge" id="pengajuan_makan_bubur_halus_ge" style="margin-right:5px;"  <?= $objPatientNursing->$vPengajuanMakanBuburHalusGE == "YA" ? 'checked' : '' ; ?>>GE
						</label>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-top:10px;">
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Cair / Sonde / Buah</div>
				</div>
				<div class="col-sm-4" style="padding-left:5px!Important;">
					<div class="form-control" style="height:auto;">
						<label class="checkbox-inline" style="padding-top:0px;padding-right:20px;">
							<?php	$vPengajuanMakanCair = 'vPengajuanMakanCair'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_cair" id="pengajuan_makan_cair" style="margin-right:5px;" <?= $objPatientNursing->$vPengajuanMakanCair == "YA" ? 'checked' : '' ; ?>>Cair
						</label>
						<label class="checkbox-inline" style="padding-top:0px;padding-right:20px;padding-left:10px;">
							<?php	$vPengajuanMakanSonde = 'vPengajuanMakanSonde'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_sonde" id="pengajuan_makan_sonde" style="margin-right:5px;" <?= $objPatientNursing->$vPengajuanMakanSonde == "YA" ? 'checked' : '' ; ?>>Sonde
						</label>
						<label class="checkbox-inline" style="padding-top:0px;padding-left:10px;">
							<?php	$vPengajuanMakanBuah = 'vPengajuanMakanBuah'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_buah" id="pengajuan_makan_buah" style="margin-right:5px;" <?= $objPatientNursing->$vPengajuanMakanBuah == "YA" ? 'checked' : '' ; ?> >Buah
						</label>
					</div>
				</div>
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Snack</div>
				</div>
				<div class="col-sm-4" style="padding-left:0px!Important;">
					<div class="form-control" style="height:auto;">
						<label class="checkbox-inline" style="padding-top:0px;padding-right:20px;">
							<?php	$vPengajuanMakanSnackPagi = 'vPengajuanMakanSnackPagi'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_snack_pagi" id="pengajuan_makan_snack_pagi" style="margin-right:5px;" <?= $objPatientNursing->$vPengajuanMakanSnackPagi == "YA" ? 'checked' : '' ; ?>>Pagi
						</label>
						<label class="checkbox-inline" style="padding-top:0px;padding-left:10px;">
							<?php	$vPengajuanMakanSnackSore = 'vPengajuanMakanSnackSore'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_snack_sore" id="pengajuan_makan_snack_sore" style="margin-right:5px;"  <?= $objPatientNursing->$vPengajuanMakanSnackSore == "YA" ? 'checked' : '' ; ?> >Sore
						</label>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-top:10px;">
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Diet</div>
				</div>
				<div class="col-sm-4" style="padding-left:5px!Important;">
							<?php	$vPengajuanMakanDiet = 'vPengajuanMakanDiet'.$PengajuanMakanVersioning ?>
					<input autocomplete="off" name="pengajuan_makan_diet" id="pengajuan_makan_diet" placeholder="Diet" class="form-control " value="<?= $objPatientNursing->$vPengajuanMakanDiet ; ?>">
				</div>
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Alergi</div>
				</div>
				<div class="col-sm-4" style="padding-left:0px!Important;">
							<?php	$vPengajuanMakanAlergi = 'vPengajuanMakanAlergi'.$PengajuanMakanVersioning ?>
					<input autocomplete="off" name="pengajuan_makan_alergi" id="pengajuan_makan_alergi" placeholder="Alergi" class="form-control " value="<?= $objPatientNursing->$vPengajuanMakanAlergi ; ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-top:10px;">
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Jadwal</div>
				</div>
				<div class="col-sm-4" style="padding-left:5px!Important;">
					<div class="form-control" style="height:auto;">
						<label class="checkbox-inline" style="padding-top:0px;padding-right:20px;">
							<?php	$vPengajuanMakanJadwalPagi = 'vPengajuanMakanJadwalPagi'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_jadwal_pagi" id="pengajuan_makan_jadwal_pagi" style="margin-right:5px;" <?= $objPatientNursing->$vPengajuanMakanJadwalPagi == "YA" ? 'checked' : '' ; ?>>Pagi
						</label>
						<label class="checkbox-inline" style="padding-top:0px;padding-right:20px;">
							<?php	$vPengajuanMakanJadwalSiang = 'vPengajuanMakanJadwalSiang'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_jadwal_siang" id="pengajuan_makan_jadwal_siang" style="margin-right:5px;" <?= $objPatientNursing->$vPengajuanMakanJadwalSiang == "YA" ? 'checked' : '' ; ?>>Siang
						</label>
						<label class="checkbox-inline" style="padding-top:0px;padding-left:10px;">
							<?php	$vPengajuanMakanJadwalSore = 'vPengajuanMakanJadwalSore'.$PengajuanMakanVersioning ?>
							<input type="checkbox" name="pengajuan_makan_jadwal_sore" id="pengajuan_makan_jadwal_sore" style="margin-right:5px;" <?= $objPatientNursing->$vPengajuanMakanJadwalSore  == "YA" ? 'checked' : '' ; ?> >Sore
						</label>
					</div>
				</div>
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Catatan / Menu Makan Lain</div>
				</div>
				<div class="col-sm-4" style="padding-left:0px!Important;">
					<?php	$vPengajuanMakanCatatan = 'vPengajuanMakanCatatan'.$PengajuanMakanVersioning ?>
					<textarea autocomplete="off" id="pengajuan_makan_catatan" name="pengajuan_makan_catatan" placeholder="Catatan / Menu makan lain [Bila Perlu]" class="form-control autoresize"><?= $objPatientNursing->$vPengajuanMakanCatatan ; ?></textarea>
				</div>
			</div>
		</div>
		
		<div class="row">
			<div class="col-md-12" style="margin-top:10px;">
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Kepala Instalasi Penunjang Perawatan</div>
				</div>
				<div class="col-sm-4" style="padding-left:5px!Important;">
					<?php	$vKepalaInstalasiPenunjangPerawatanId = 'vKepalaInstalasiPenunjangPerawatanId'.$PengajuanMakanVersioning ?>
					<?php	$vKepalaInstalasiPenunjangPerawatanNama = 'vKepalaInstalasiPenunjangPerawatanNama'.$PengajuanMakanVersioning ?>
					<select data-plugin-selecttwo class="form-control" title="" name="kepala_instalasi_penunjang_perawatan" id="kepala_instalasi_penunjang_perawatan" data-placeholder="Pilih Kepala Instalasi Penunjang Perawatan">
						<option value="<?= $objPatientNursing->$vKepalaInstalasiPenunjangPerawatanId != "" ? $objPatientNursing->$vKepalaInstalasiPenunjangPerawatanId : "" ; ?>" selected ><?= $objPatientNursing->$vKepalaInstalasiPenunjangPerawatanNama != "" ? $objPatientNursing->$vKepalaInstalasiPenunjangPerawatanNama : "" ; ?></option>
					</select>
				</div>
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Kepala Ruangan</div>
				</div>
				<div class="col-sm-4" style="padding-left:0px!Important;">
					<?php	$vKepalaRuanganId = 'vKepalaRuanganId'.$PengajuanMakanVersioning ?>
					<?php	$vKepalaRuanganNama = 'vKepalaRuanganNama'.$PengajuanMakanVersioning ?>
					<select data-plugin-selecttwo class="form-control" title="" name="kepala_ruangan" id="kepala_ruangan" data-placeholder="Pilih Kepala Ruangan">
						<option value="<?= $objPatientNursing->$vKepalaRuanganId != "" ? $objPatientNursing->$vKepalaRuanganId : "" ; ?>" selected ><?= $objPatientNursing->$vKepalaRuanganNama != "" ? $objPatientNursing->$vKepalaRuanganNama : "" ; ?></option>
					</select>
				</div>
			</div>
		</div>
		
		<div class="row">
			<div class="col-md-12" style="margin-top:10px;">
				<div class="col-sm-2" style="padding-right:30px!Important;min-height:36px;height:auto;display:flex;align-items:center;text-align:right;">
					<div style="width:100%;text-align:right;">Kepala Jaga Ruangan</div>
				</div>
				<div class="col-sm-4" style="padding-left:5px!Important;">
					<?php	$vKepalaJagaRuanganId = 'vKepalaJagaRuanganId'.$PengajuanMakanVersioning ?>
					<?php	$vKepalaJagaRuanganNama = 'vKepalaJagaRuanganNama'.$PengajuanMakanVersioning ?>
					<select data-plugin-selecttwo class="form-control" title="" name="kepala_jaga_ruangan" id="kepala_jaga_ruangan" data-placeholder="Pilih Kepala Jaga Ruangan">
						<option value="<?= $objPatientNursing->$vKepalaJagaRuanganId != "" ? $objPatientNursing->$vKepalaJagaRuanganId : "" ; ?>" selected ><?= $objPatientNursing->$vKepalaJagaRuanganNama != "" ? $objPatientNursing->$vKepalaJagaRuanganNama : "" ; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
	<div class="box-footer">
		<div class="row">
			<div class="col-xs-12">
				<div>
					<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
					<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
					<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
					<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
					<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
					<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
					<div class="print-container">
						<input type="number" id="nama_versi" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
						<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="row" style="height:50%;">
</div>

<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

		<div>
			<hr>
			<label><b>Password<b></label>
			<input type="text" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
			<div class="checkbox">
				<label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
			</div>
		</div>
	  </div>
	  <div class="modal-footer">
		<!-- <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button> -->
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>
<!-- Modal -->

<style>



</style>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>


<script> 
	$('#pengajuan_hari_ini').on('change', function() {
		if ($('#pengajuan_hari_ini').is(':checked')) {
		  $('#pengajuan_makan_tanggal').val('<?= date('d-m-Y') ?>');
		  requestTanggal('<?= date('d-m-Y') ?>')
		  $('.title_pengajuan').html('HARI INI ( <?= date('d M Y')?> )')
		} 
	});
	$('#pengajuan_besok').on('change', function() {
		if ($('#pengajuan_besok').is(':checked')) {
		  $('#pengajuan_makan_tanggal').val('<?= date('d-m-Y', strtotime('+1 day')) ?>');
		  requestTanggal('<?= date('d-m-Y', strtotime('+1 day')) ?>')
		  $('.title_pengajuan').html('BESOK ( <?= date('d M Y', strtotime('+1 day')) ?> )')
		} 
	});

	function requestTanggal(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; 
		post.department = strDepartmentId;
		post.mode = mode;

		//console.log(post);
		//toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/requestDataTanggalMakan')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( result.status != 'error' ){
					//toastr.info( result.message , 'Informasi');
					//$('#pengajuan_makan_tanggal').val(result.vPengajuanMakanTanggal);
					result.vPengajuanMakanNasi == 'YA' ? $('#pengajuan_makan_nasi').prop("checked",true) : $('#pengajuan_makan_nasi').prop("checked",false) ;
					result.vPengajuanMakanTym == 'YA' ? $('#pengajuan_makan_tym').prop("checked",true) : $('#pengajuan_makan_tym').prop("checked",false) ;
					result.vBuburKasarBiasa == 'YA' ? $('#pengajuan_makan_bubur_kasar_biasa').prop("checked",true) : $('#pengajuan_makan_bubur_kasar_biasa').prop("checked",false) ;
					result.vBuburKasarCincang == 'YA' ? $('#pengajuan_makan_bubur_kasar_cincang').prop("checked",true) : $('#pengajuan_makan_bubur_kasar_cincang').prop("checked",false) ;
					result.vPengajuanMakanBuburHalusCincangKaldu == 'YA' ? $('#pengajuan_makan_bubur_halus_cincang_kaldu').prop("checked",true) : $('#pengajuan_makan_bubur_halus_cincang_kaldu').prop("checked",false) ;
					result.vPengajuanMakanBuburHalusTelurRebusGulaCair == 'YA' ? $('#pengajuan_makan_bubur_halus_telur_rebus_gula_cair').prop("checked",true) : $('#pengajuan_makan_bubur_halus_telur_rebus_gula_cair').prop("checked",false) ;
					result.vPengajuanMakanBuburHalusGE == 'YA' ? $('#pengajuan_makan_bubur_halus_ge').prop("checked",true) : $('#pengajuan_makan_bubur_halus_ge').prop("checked",false) ;
					result.vPengajuanMakanCair == 'YA' ? $('#pengajuan_makan_cair').prop("checked",true) : $('#pengajuan_makan_cair').prop("checked",false) ;
					result.vPengajuanMakanSonde == 'YA' ? $('#pengajuan_makan_sonde').prop("checked",true) : $('#pengajuan_makan_sonde').prop("checked",false) ;
					result.vPengajuanMakanBuah == 'YA' ? $('#pengajuan_makan_buah').prop("checked",true) : $('#pengajuan_makan_buah').prop("checked",false) ;
					result.vPengajuanMakanSnackPagi == 'YA' ? $('#pengajuan_makan_snack_pagi').prop("checked",true) : $('#pengajuan_makan_snack_pagi').prop("checked",false) ;
					result.vPengajuanMakanSnackSore == 'YA' ? $('#pengajuan_makan_snack_sore').prop("checked",true) : $('#pengajuan_makan_snack_sore').prop("checked",false) ;
					result.vPengajuanMakanDiet == '&#45;' ? $('#pengajuan_makan_diet').val('-') : $('#pengajuan_makan_diet').val(result.vPengajuanMakanDiet);
					result.vPengajuanMakanAlergi == '&#45;' ? $('#pengajuan_makan_alergi').val('-') : $('#pengajuan_makan_alergi').val(result.vPengajuanMakanAlergi);
					result.vPengajuanMakanJadwalPagi == 'YA' ? $('#pengajuan_makan_jadwal_pagi').prop("checked",true) : $('#pengajuan_makan_jadwal_pagi').prop("checked",false) ;
					result.vPengajuanMakanJadwalSiang == 'YA' ? $('#pengajuan_makan_jadwal_siang').prop("checked",true) : $('#pengajuan_makan_jadwal_siang').prop("checked",false) ;
					result.vPengajuanMakanJadwalSore == 'YA' ? $('#pengajuan_makan_jadwal_sore').prop("checked",true) : $('#pengajuan_makan_jadwal_sore').prop("checked",false) ;
					result.vPengajuanMakanCatatan == '&#45;' ? $('#pengajuan_makan_catatan').val('-') : $('#pengajuan_makan_catatan').val(result.vPengajuanMakanCatatan);
					$('select#kepala_instalasi_penunjang_perawatan option').val(result.vKepalaInstalasiPenunjangPerawatanId).text(result.vKepalaInstalasiPenunjangPerawatanNama).trigger("chosen:updated");
					$('select#kepala_ruangan option').val(result.vKepalaRuanganId).text(result.vKepalaRuanganNama).trigger("chosen:updated");
					$('select#kepala_jaga_ruangan option').val(result.vKepalaJagaRuanganId).text(result.vKepalaJagaRuanganNama).trigger("chosen:updated");
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal memanggil data');
			}
		});

	}
</script>
		
<script type="text/javascript">


$('input[type="checkbox"]').change(function() {
  if ($(this).prop('checked')) {
	$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
  }
});

function resizeTextarea() {
	$(this).css('height', 'auto');
	$(this).css('height', $(this)[0].scrollHeight + 'px');
}
$('.autoresize').on('input', resizeTextarea).trigger('input');
	
var FormGizi = function(){

	'use strict';

	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});

	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function unInitialize() {
		setTimeout(function(){
			Reflect.deleteProperty(window, 'FormGizi');
		},100);
	}

	
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		// printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-mata') ?>', strOption);
 		parent.AppPrintPage.setTitle('Print Preview Laporan Pengajuan Makan')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('perawatan-gizi/cetak-laporan-gizi') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		posting('DRAFT');
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		posting('DRAFT');
	});

	$('#content').off('click','#float-print').on('click','#float-print',function(){
		//cetaklaporan();
	});
	$('#float-print').removeClass('btn-blue');
	$('#float-print').addClass('btn disabled btn-primary');
	
	$('#content').off('click','#float-kembali').on('click','#float-kembali',function(){
		$('#float-kembali').hide();
		$('#backList').hide();
		$('#float-kembali-loading').show();
		$('#backList_loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
	
	$('#content').off('click','#backList').on('click','#backList',function(){
		$('#float-kembali').hide();
		$('#backList').hide();
		$('#float-kembali-loading').show();
		$('#backList_loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
    });

	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.PengajuanMakanTanggal = $('#pengajuan_makan_tanggal').val();
		post.PengajuanMakanNasi = $("#pengajuan_makan_nasi").is(':checked') ? 'YA' : '';
		post.PengajuanMakanTym = $("#pengajuan_makan_tym").is(':checked') ? 'YA' : '';
		post.BuburKasarBiasa = $("#pengajuan_makan_bubur_kasar_biasa").is(':checked') ? 'YA' : '';
		post.BuburKasarCincang = $("#pengajuan_makan_bubur_kasar_cincang").is(':checked') ? 'YA' : '';
		post.PengajuanMakanBuburHalusCincangKaldu = $("#pengajuan_makan_bubur_halus_cincang_kaldu").is(':checked') ? 'YA' : '';
		post.PengajuanMakanBuburHalusTelurRebusGulaCair = $("#pengajuan_makan_bubur_halus_telur_rebus_gula_cair").is(':checked') ? 'YA' : '';
		post.PengajuanMakanBuburHalusGE = $("#pengajuan_makan_bubur_halus_ge").is(':checked') ? 'YA' : '';
		post.PengajuanMakanCair = $("#pengajuan_makan_cair").is(':checked') ? 'YA' : '';
		post.PengajuanMakanSonde = $("#pengajuan_makan_sonde").is(':checked') ? 'YA' : '';
		post.PengajuanMakanBuah = $("#pengajuan_makan_buah").is(':checked') ? 'YA' : '';
		post.PengajuanMakanSnackPagi = $("#pengajuan_makan_snack_pagi").is(':checked') ? 'YA' : '';
		post.PengajuanMakanSnackSore = $("#pengajuan_makan_snack_sore").is(':checked') ? 'YA' : '';
		post.PengajuanMakanDiet = $('#pengajuan_makan_diet').val();
		post.PengajuanMakanAlergi = $('#pengajuan_makan_alergi').val();
		post.PengajuanMakanJadwalPagi = $("#pengajuan_makan_jadwal_pagi").is(':checked') ? 'YA' : '';
		post.PengajuanMakanJadwalSiang = $("#pengajuan_makan_jadwal_siang").is(':checked') ? 'YA' : '';
		post.PengajuanMakanJadwalSore = $("#pengajuan_makan_jadwal_sore").is(':checked') ? 'YA' : '';
		post.PengajuanMakanCatatan = $('#pengajuan_makan_catatan').val();
		post.KepalaInstalasiPenunjangPerawatanId = $('#kepala_instalasi_penunjang_perawatan').val();
		post.KepalaRuanganId = $('#kepala_ruangan').val();
		post.KepalaJagaRuanganId = $('#kepala_jaga_ruangan').val();

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/SavePengajuanMakan')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#float-validasi').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					parent.toastr.success( 'Data Terkirim', 'Informasi');
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#pengajuan_makan').removeClass('btn-primary').addClass('btn-success').html('Pengajuan Makan <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$('#kepala_instalasi_penunjang_perawatan').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#kepala_ruangan').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#kepala_jaga_ruangan').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});

};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').hide();

});

</script>