
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}


?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!--<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
 <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
input.checkbox{
	width: 30px;
        height: 30px;
}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">PENGANTAR PERMINTAAN PEMERIKSAAN MIKROBIOLOGI</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">

	
	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>
				<!--<div class="col-md-3" style="margin-bottom:10px;">
					<label class="control-label" for="tanggal_permintaan_pemeriksaan"><b>Tanggal Permintaan</b></label>
					<div class="input-group" style="width:100%;">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 16px; text-align:center;font-size:16px;" ><i class="fa fa-calendar" aria-hidden="true"></i></div>
						</span>
							<input type="text" class="form-control input-date" data-mask="00-00-0000" name='tanggal_permintaan_pemeriksaan' id='tanggal_permintaan_pemeriksaan' placeholder="Tgl" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vTanggalPermintaanPemeriksaanMikro != "" ? $objPatientNursing->vTanggalPermintaanPemeriksaanMikro : date("d-m-Y") ; ?>"  >
					</div>
				</div>
				<div class="col-md-3" style="margin-bottom:10px;">
					<label class="control-label" for="jam_permintaan_pemeriksaan"><b>Jam Permintaan</b></label>
					<div class="input-group" style="width:100%;">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 16px; text-align:center;font-size:16px;" ><i class="fa fa-clock-o" aria-hidden="true"></i></div>
						</span>
							<input type="text" class="form-control timepicker" name='jam_permintaan_pemeriksaan' id='jam_permintaan_pemeriksaan' placeholder="Jam" data-mask="00:00" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vJamPermintaanPemeriksaanMikro != "" ? $objPatientNursing->vJamPermintaanPemeriksaanMikro : date("H:i") ; ?>"  >
					</div>
				</div>-->
				<div class="col-md-4" style="margin-bottom:10px;">
					<label class="control-label" for="tanggal_pengambilan_pemeriksaan"><b>Tanggal Pengambilan</b></label>
					<div class="input-group" style="width:100%;">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 16px; text-align:center;font-size:16px;" ><i class="fa fa-calendar" aria-hidden="true"></i></div>
						</span>
							<input type="text" class="form-control input-date" data-mask="00-00-0000" name='tanggal_pengambilan_pemeriksaan' id='tanggal_pengambilan_pemeriksaan' placeholder="Tgl" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vTanggalPermintaanPengambilanMikro; ?>"  >
					</div>
				</div>
				<div class="col-md-4" style="margin-bottom:10px; margin-top:30px;">
					<div class="input-group" style="width:100%;">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 60px; text-align:center;font-size:14px;" ><b>Suhu</b></i></div>
						</span>
							<input type="number" class="form-control"  name='suhu' id='suhu' placeholder="Suhu" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSuhuPemeriksaanMikro ?>"  >
					</div>
				</div>
				<div class="col-md-4" style="margin-bottom:10px; margin-top:30px;">
					<div class="input-group" style="width:100%;">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 90px; text-align:center;font-size:14px;" ><b>Tekanan Darah</b></i></div>
						</span>
							<input type="text" class="form-control"  name='tekanan_darah' id='tekanan_darah' placeholder="Tekanan Darah" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vTekananDarahPemeriksaanMikro  ?>"  >
					</div>
				</div>

				<div class="col-md-4" style="margin-bottom:10px;">
					<label class="control-label" for="jam_pengambilan_pemeriksaan"><b>Jam Pengambilan</b></label>
					<div class="input-group" style="width:100%;">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 16px; text-align:center;font-size:16px;" ><i class="fa fa-clock-o" aria-hidden="true"></i></div>
						</span>
							<input type="text" class="form-control timepicker" name='jam_pengambilan_pemeriksaan' id='jam_pengambilan_pemeriksaan' placeholder="Jam" data-mask="00:00" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vJamPermintaanPengambilanMikro ; ?>"  >
					</div>
				</div>
				<div class="col-md-4" style="margin-bottom:10px;margin-top:30px;">
					<div class="input-group" style="width:100%;">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 90px; text-align:center;font-size:14px;" ><b>Frekuensi Nafas</b></i></div>
						</span>
							<input type="text" class="form-control"  name='frekuensi_nafas' id='frekuensi_nafas' placeholder="Frekuensi Nafas" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vFrekuensiNafasPemeriksaanMikro  ; ?>"  >
					</div>
				</div>
				<div class="col-md-4" style="margin-bottom:10px;margin-top:30px;">
					<div class="input-group" style="width:100%;">
						<span class="input-group-addon" style="vertical-align: middle; text-align: left;background:#;" >
							<div style="width: 60px; text-align:center;font-size:14px;" ><b>Nadi</b></i></div>
						</span>
							<input type="number" class="form-control"  name='nadi' id='nadi' placeholder="Nadi" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vNadiPemeriksaanMikro ; ?>"  >
					</div>
				</div>


				<!--<div class="col-md-6" style="margin-bottom:10px">
					<label class="control-label" for="dokter_pengirim"><b>Dokter Pengirim</b></label>
					<div class="input-group" style="width:100%">
						<select data-plugin-selecttwo class="form-control doctor" tabindex="14" title="" name="dokter_pengirim" id="dokter_pengirim" data-placeholder="Dokter Pengirim" style="width:100%">

								<option value="<?= $objPatientNursing->vDokterPengirimLabId ?>" selected><?= $objPatientNursing->vDokterPengirimLabNama ?></option>
	
						</select>

					</div>
				</div>-->
				<div class="col-md-6" style="margin-bottom:10px">
					<label class="control-label" for="dokter_pengirim"><b>Petugas Sampling</b></label>
					<div class="input-group" style="width:100%">
						<select data-plugin-selecttwo class="form-control doctor" tabindex="14" title="" name="petugas_sampling" id="petugas_sampling" data-placeholder="Petugas Sampling" style="width:100%">
						
								<option value="<?= $objPatientNursing->vPetugasSamplingMikroId ?>" selected><?= $objPatientNursing->vPetugasSamplingMikroNama ?></option>
						
						</select>

					</div>
				</div>
				<div class="col-md-6" style="margin-bottom:10px">
					<label class="control-label" for="diagnosa_mikro"><b>Diagnosa :</b></label>
					<div class="input-group" style="width:100%">
						<input type="text" class="form-control" name='diagnosa_mikro' id='diagnosa_mikro' placeholder="Diagnosa " autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vDiagnosaMikro ; ?>">

					</div>
				</div>
				<div class="col-md-6" style="margin-bottom:10px">
					<label class="control-label" for="diagnosa_mikro"><b>Gejala Klinis :</b></label>
					<div class="input-group" style="width:100%">
						<input type="text" class="form-control" name='gelaja_klinis_mikro' id='gelaja_klinis_mikro' placeholder="Gejala Klinis" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vGejalaKlinisMikro ; ?>">

					</div>
				</div>
				<div class="col-md-6" style="margin-bottom:50px">
					<label class="control-label" for="diagnosa_mikro"><b>Terapi Antibiotik / Anti Jamur (yang sudah diberikan) :</b></label>
					<div class="input-group" style="width:100%">
						<input type="text" class="form-control" name='terapi_antibiotik_mikro' id='terapi_antibiotik_mikro' placeholder="Terapi Antibiotik / Anti Jamur (yang sudah diberikan) " autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vTerapiAntibiotikMikro ; ?>">

					</div>
				</div>



				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="darah_dan_cairan" style="padding-bottom:4px"><b>DARAH DAN CAIRAN STERIL </b></label>
					</div>
					<div class="col-md-12">
						<label class="control-label" for="spesimen_darah_dan_cairan" ><b>SPESIMEN </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="darah_lengan_kanan" id="darah_lengan_kanan" <?= ( stripos( '@'.$objPatientNursing->vSpesimenDarahDanCairanMikro , 'Darah Lengan Kanan' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="darah_lengan_kanan" style="margin-left: 5px; margin-top: 5px;" >Darah Lengan Kanan</label>
								<input type="checkbox" name="darah_lengan_kiri" id="darah_lengan_kiri" <?= ( stripos( '@'.$objPatientNursing->vSpesimenDarahDanCairanMikro , 'Darah Lengan Kiri' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="darah_lengan_kiri" style="margin-left: 5px; margin-top: 5px;" >Darah Lengan Kiri</label>
								<input type="checkbox" name="darah_cvc" id="darah_cvc" <?= ( stripos( '@'.$objPatientNursing->vSpesimenDarahDanCairanMikro , 'Darah CVC' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="darah_cvc" style="margin-left: 5px; margin-top: 5px;" >Darah CVC)</label>
								<input type="checkbox" name="cairan_otak" id="cairan_otak" <?= ( stripos( '@'.$objPatientNursing->vSpesimenDarahDanCairanMikro , 'Cairan Otak' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cairan_otak" style="margin-left: 5px; margin-top: 5px;" >CSF/cairan otak</label>
								<input type="checkbox" name="cairan_pleura" id="cairan_pleura" <?= ( stripos( '@'.$objPatientNursing->vSpesimenDarahDanCairanMikro , 'Cairan Pleura' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cairan_pleura" style="margin-left: 5px; margin-top: 5px;" >Cairan pleura</label>
								<input type="checkbox" name="cairan_sendi" id="cairan_sendi" <?= ( stripos( '@'.$objPatientNursing->vSpesimenDarahDanCairanMikro , 'Cairan Sendi' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cairan_sendi" style="margin-left: 5px; margin-top: 5px;" >Cairan Sendi</label>
								<input type="checkbox" name="cairan_lainnya" id="cairan_lainnya" <?= ( stripos( '@'.$objPatientNursing->vSpesimenDarahDanCairanMikro , 'Cairan Lainnya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cairan_lainnya" style="margin-left: 5px; margin-top: 5px;" >Cairan lainnya</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="margin-left:25px; vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='darah_lainnya' id='darah_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpesimenDarahDanCairanLainnyaMikro ; ?>">
						</div>
					</div>

					<div class="col-md-12">
						<label class="control-label" for="tes_darah_dan_cairan" ><b>TES </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="kultur_aerob_darah" id="kultur_aerob_darah" <?= ( stripos( '@'.$objPatientNursing->vTesDarahDanCairanMikro , 'Kultur Aerob' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_aerob_darah" style="margin-left: 5px; margin-top: 5px;" >Kultur Aerob</label>
								<input type="checkbox" name="kultur_jamur_darah" id="kultur_jamur_darah" <?= ( stripos( '@'.$objPatientNursing->vTesDarahDanCairanMikro , 'Kultur Jamur' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_jamur_darah" style="margin-left: 5px; margin-top: 5px;" >Kultur Jamur</label>
							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="urine_dan_saluran_kemih" style="padding-bottom:4px"><b>URINE DAN SALURAN KEMIH</b></label>
					</div>
					<div class="col-md-12">
						<label class="control-label" for="spesimen_urine_dan_saluran_kemih" ><b>SPESIMEN </b></label>
					</div>
					<div class="col-md-8">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="urine_porsi_tengah" id="urine_porsi_tengah" <?= ( stripos( '@'.$objPatientNursing->vSpesimenUrineDanSaluranKemihMikro , 'Urine Porsi Tengah' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="urine_porsi_tengah" style="margin-left: 5px; margin-top: 5px;" >Urine Porsi Tengah</label>
								<input type="checkbox" name="urine_suprapubik" id="urine_suprapubik" <?= ( stripos( '@'.$objPatientNursing->vSpesimenUrineDanSaluranKemihMikro , 'Urine Suprapubik' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="urine_suprapubik" style="margin-left: 5px; margin-top: 5px;" >Urine Suprapubik</label>
								<input type="checkbox" name="urine_kateter" id="urine_kateter" <?= ( stripos( '@'.$objPatientNursing->vSpesimenUrineDanSaluranKemihMikro , 'Urine Kateter' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="urine_kateter" style="margin-left: 5px; margin-top: 5px;" >Urine Kateter</label>
								<input type="checkbox" name="lainnya" id="lainnya" <?= ( stripos( '@'.$objPatientNursing->vSpesimenUrineDanSaluranKemihMikro , 'Lainnya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lainnya" style="margin-left: 5px; margin-top: 5px;" >Lainnya</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='saluran_kemih_lainnya' id='saluran_kemih_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpesimenSaluraKemihLainnyaMikro ; ?>">
						</div>
					</div>

					<div class="col-md-12">
						<label class="control-label" for="tes_urine_dan_saluran_kemih" ><b>TES </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="kultur_aerob_urine" id="kultur_aerob_urine" <?= ( stripos( '@'.$objPatientNursing->vTesUrineDanSaluranKemihMikro , 'Kultur Aerob' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_aerob_urine" style="margin-left: 5px; margin-top: 5px;" >Kultur Aerob</label>
								<input type="checkbox" name="kultur_jamur_urine" id="kultur_jamur_urine" <?= ( stripos( '@'.$objPatientNursing->vTesUrineDanSaluranKemihMikro , 'Kultur Jamur' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_jamur_urine" style="margin-left: 5px; margin-top: 5px;" >Kultur Jamur</label>
							</div>
						</div>
					</div>
				</div>

				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="saluran_gastrointestinal" style="padding-bottom:4px"><b>SALURAN GASTROINTESTINAL</b></label>
					</div>
					<div class="col-md-12">
						<label class="control-label" for="spesimen_saluran_gastrointestinal" ><b>SPESIMEN </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="feses" id="feses" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluranGastrointestinalMikro , 'Feses' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="feses" style="margin-left: 5px; margin-top: 5px;" >Feses</label>
								<input type="checkbox" name="swab_rectal" id="swab_rectal" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluranGastrointestinalMikro , 'Swab Rectal' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_rectal" style="margin-left: 5px; margin-top: 5px;" >Swab Rectal</label>
								<input type="checkbox" name="lainnya" id="lainnya" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluranGastrointestinalMikro , 'Lainnya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lainnya" style="margin-left: 5px; margin-top: 5px;" >Lainnya</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='saluran_gastrointestinal_lainnya' id='saluran_gastrointestinal_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpesimenSaluraGastrointestinalLainnyaMikro ; ?>">
						</div>
					</div>

					<div class="col-md-12">
						<label class="control-label" for="tes_saluran_gastrointestinal" ><b>TES </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="kultur_aerob_saluran_gastro" id="kultur_aerob_saluran_gastro" <?= ( stripos( '@'.$objPatientNursing->vTesSaluranGastrointestinalMikro , 'Kultur Aerob' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_aerob_saluran_gastro" style="margin-left: 5px; margin-top: 5px;" >Kultur Aerob</label>
								<input type="checkbox" name="kultur_jamur_saluran_gastro" id="kultur_jamur_saluran_gastro" <?= ( stripos( '@'.$objPatientNursing->vTesSaluranGastrointestinalMikro , 'Kultur Jamur' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_jamur_saluran_gastro" style="margin-left: 5px; margin-top: 5px;" >Kultur Jamur</label>
							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="saluran_genitalia" style="padding-bottom:4px"><b>SALURAN GENITALIA</b></label>
					</div>
					<div class="col-md-12">
						<label class="control-label" for="spesimen_saluran_genitalia" ><b>SPESIMEN </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="swab_vagina" id="swab_vagina" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluranGenitaliaMikro , 'Swab Vagina/urethra' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_vagina" style="margin-left: 5px; margin-top: 5px;" >Swab Vagina/urethra</label>
								<input type="checkbox" name="swab_servix" id="swab_servix" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluranGenitaliaMikro , 'Swab servix, Vulva' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_servix" style="margin-left: 5px; margin-top: 5px;" >Swab servix, Vulva</label>
								<input type="checkbox" name="secret_vagina" id="secret_vagina" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluranGenitaliaMikro , 'Secret Vagina/urethra' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="secret_vagina" style="margin-left: 5px; margin-top: 5px;" >Secret Vagina/urethra</label>
								<input type="checkbox" name="lainnya" id="lainnya" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluranGenitaliaMikro , 'Lainnya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lainnya" style="margin-left: 5px; margin-top: 5px;" >Lainnya</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='saluran_gentalia_lainnya' id='saluran_gentalia_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpesimenSaluraGentaliaLainnyaMikro ; ?>">
						</div>
					</div>

					<div class="col-md-12">
						<label class="control-label" for="tes_saluran_genitalia" ><b>TES </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="kultur_aerob_genitalia" id="kultur_aerob_genitalia" <?= ( stripos( '@'.$objPatientNursing->vTesSaluranGenitaliaMikro , 'Kultur Aerob' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_aerob_genitalia" style="margin-left: 5px; margin-top: 5px;" >Kultur Aerob</label>
								<input type="checkbox" name="kultur_jamur_genitalia" id="kultur_jamur_genitalia" <?= ( stripos( '@'.$objPatientNursing->vTesSaluranGenitaliaMikro , 'Kultur Jamur' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_jamur_genitalia" style="margin-left: 5px; margin-top: 5px;" >Kultur Jamur</label>
							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-9" style="background-color:#CCCCFF;">
						<label class="control-label" for="saluran_pernafasan_atas" style="padding-bottom:4px"><b>SALURAN PERNAFASAN ATAS</b></label>
					</div>
					<div class="col-md-12">
						<label class="control-label" for="spesimen_saluran_pernafasan_atas" ><b>SPESIMEN </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="swab_mulut" id="swab_mulut" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluraPernafasanAtasMikro , 'Swab Mulut' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_mulut" style="margin-left: 5px; margin-top: 5px;" >Swab Mulut</label>
								<input type="checkbox" name="swab_tenggorokan" id="swab_tenggorokan" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluraPernafasanAtasMikro , 'Swab Tenggorokan' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_tenggorokan" style="margin-left: 5px; margin-top: 5px;" >Swab Tenggorokan</label>
								<input type="checkbox" name="lainnya" id="lainnya" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluraPernafasanAtasMikro , 'Lainnya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lainnya" style="margin-left: 5px; margin-top: 5px;" >Lainnya</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='saluran_nafas_atas_lainnya' id='saluran_nafas_atas_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpesimenSaluraPernafasanAtasLainnyaMikro ; ?>">
						</div>
					</div>

					<div class="col-md-12">
						<label class="control-label" for="tes_saluran_pernafasan_atas" ><b>TES </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="kultur_aerob_nafas_atas" id="kultur_aerob_nafas_atas" <?= ( stripos( '@'.$objPatientNursing->vTesSaluranPernafasanAtasMikro , 'Kultur Aerob' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_aerob_nafas_atas" style="margin-left: 5px; margin-top: 5px;" >Kultur Aerob</label>
								<input type="checkbox" name="kultur_jamur_nafas_atas" id="kultur_jamur_nafas_atas" <?= ( stripos( '@'.$objPatientNursing->vTesSaluranPernafasanAtasMikro , 'Kultur Jamur' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_jamur_nafas_atas" style="margin-left: 5px; margin-top: 5px;" >Kultur Jamur</label>
							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="saluran_pernafasan_bawah" style="padding-bottom:4px"><b>SALURAN PERNAFASAN BAWAH</b></label>
					</div>
					<div class="col-md-12">
						<label class="control-label" for="spesimen_saluran_pernafasan_bawah" ><b>SPESIMEN </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="sputum" id="sputum" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluraPernafasanBawahMikro , 'Spuntum' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="sputum" style="margin-left: 5px; margin-top: 5px;" >Sputum</label>
								<input type="checkbox" name="ett_suction" id="ett_suction" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluraPernafasanBawahMikro , 'ETT suction' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ett_suction" style="margin-left: 5px; margin-top: 5px;" >ETT suction</label>
								<input type="checkbox" name="bilasan_bronkus" id="swab_tenggorokan" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluraPernafasanBawahMikro , 'Bilasan bronkus' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_tenggorokan" style="margin-left: 5px; margin-top: 5px;" >Swab Tenggorokan</label>
								<input type="checkbox" name="bal" id="bal" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluraPernafasanBawahMikro , 'BAL' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="bal" style="margin-left: 5px; margin-top: 5px;" >Bal</label>
								<input type="checkbox" name="biopsi" id="biopsi" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluraPernafasanBawahMikro , 'Biopsi/aspirasi paru' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="biopsi" style="margin-left: 5px; margin-top: 5px;" >Biopsi/aspirasi paru</label>
								<input type="checkbox" name="lainnya" id="lainnya" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSaluraPernafasanBawahMikro , 'Lainnya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lainnya" style="margin-left: 5px; margin-top: 5px;" >Lainnya</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='saluran_nafas_bawah_lainnya' id='saluran_nafas_bawah_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpesimenSaluraPernafasanBawahLainnyaMikro ; ?>">
						</div>
					</div>

					<div class="col-md-12">
						<label class="control-label" for="tes_saluran_pernafasan_bawah" ><b>TES </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="kultur_aerob_nafas_bawah" id="kultur_aerob_nafas_bawah" <?= ( stripos( '@'.$objPatientNursing->vTesSaluranPernafasanBawahMikro , 'Kultur Aerob' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_aerob_nafas_bawah" style="margin-left: 5px; margin-top: 5px;" >Kultur Aerob</label>
								<input type="checkbox" name="kultur_jamur_nafas_bawah" id="kultur_jamur_nafas_bawah" <?= ( stripos( '@'.$objPatientNursing->vTesSaluranPernafasanBawahMikro , 'Kultur Jamur' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_jamur_nafas_bawah" style="margin-left: 5px; margin-top: 5px;" >Kultur Jamur</label>
							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="lkasj" style="padding-bottom:4px"><b>LUKA-KULIT-ABSES-SPESIMEN BEDAH-JARINGAN</b></label>
					</div>
					<div class="col-md-12">
						<label class="control-label" for="spesimen_lkasj" ><b>SPESIMEN </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="swab" id="swab" <?= ( stripos( '@'.$objPatientNursing->vSpesimenLKASJMikro , 'Swab' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab" style="margin-left: 5px; margin-top: 5px;" >Swab</label>
								<input type="checkbox" name="jaringan" id="jaringan" <?= ( stripos( '@'.$objPatientNursing->vSpesimenLKASJMikro , 'Jaringan' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="jaringan" style="margin-left: 5px; margin-top: 5px;" >Jaringan</label>
								<input type="checkbox" name="ulkus_luka" id="ulkus_luka" <?= ( stripos( '@'.$objPatientNursing->vSpesimenLKASJMikro , 'Ulkus-Luka' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ulkus_luka" style="margin-left: 5px; margin-top: 5px;" >Ulkus-Luka</label>
								<input type="checkbox" name="aspirasi" id="aspirasi" <?= ( stripos( '@'.$objPatientNursing->vSpesimenLKASJMikro , 'Aspirasi' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="aspirasi" style="margin-left: 5px; margin-top: 5px;" >Aspirasi</label>
								<input type="checkbox" name="kerokan_kulit" id="kerokan_kulit" <?= ( stripos( '@'.$objPatientNursing->vSpesimenLKASJMikro , 'Kerokan Kulit' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kerokan_kulit" style="margin-left: 5px; margin-top: 5px;" >Kerokan Kulit</label>
								<input type="checkbox" name="ujung_kateter" id="ujung_kateter" <?= ( stripos( '@'.$objPatientNursing->vSpesimenLKASJMikro , 'Ujung Kateter' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ujung_kateter" style="margin-left: 5px; margin-top: 5px;" >Ujung Kateter</label>
								<input type="checkbox" name="lainnya" id="lainnya" <?= ( stripos( '@'.$objPatientNursing->vSpesimenLKASJMikro , 'Lainnya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lainnya" style="margin-left: 5px; margin-top: 5px;" >Lainnya</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='lkasj_lainnya' id='lkasj_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpesimenLKASJLainnyaMikro ; ?>">
						</div>
					</div>

					<div class="col-md-12">
						<label class="control-label" for="tes_lkasj" ><b>TES </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="kultur_aerob_lkasj" id="kultur_aerob_lkasj" <?= ( stripos( '@'.$objPatientNursing->vTesLKASJMikro , 'Kultur Aerob' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_aerob_lkasj" style="margin-left: 5px; margin-top: 5px;" >Kultur Aerob</label>
								<input type="checkbox" name="kultur_jamur_lkasj" id="kultur_jamur_lkasj" <?= ( stripos( '@'.$objPatientNursing->vTesLKASJMikro , 'Kultur Jamur' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_jamur_lkasj" style="margin-left: 5px; margin-top: 5px;" >Kultur Jamur</label>
							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="skrining_mrsa" style="padding-bottom:4px"><b>SKRINING MRSA</b></label>
					</div>
					<div class="col-md-12">
						<label class="control-label" for="spesimen_skrining_mrsa" ><b>SPESIMEN </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="swab_hidung" id="swab_hidung" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSkriningMrsaMikro , 'Swab Hidung' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_hidung" style="margin-left: 5px; margin-top: 5px;" >Swab Hidung</label>
								<input type="checkbox" name="swab_ketiak" id="swab_ketiak" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSkriningMrsaMikro, 'Swab Ketiak' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_ketiak" style="margin-left: 5px; margin-top: 5px;" >Swab Ketiak</label>
								<input type="checkbox" name="swab_lipat_paha" id="swab_lipat_paha" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSkriningMrsaMikro, 'Swab lipat paha' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_lipat_paha" style="margin-left: 5px; margin-top: 5px;" >Swab lipat paha</label>
								<input type="checkbox" name="lainnya" id="lainnya" <?= ( stripos( '@'.$objPatientNursing->vSpesimenSkriningMrsaMikro, 'Lainnya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lainnya" style="margin-left: 5px; margin-top: 5px;" >Lainnya</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='skrining_mrsa_lainnya' id='skrining_mrsa_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpesimenSkriningMrsaLainnyaMikro ; ?>">
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="mht" style="padding-bottom:4px"><b>MATA-HIDUNG-TELINGA</b></label>
					</div>
					<div class="col-md-12">
						<label class="control-label" for="spesimen_mata" ><b>SPESIMEN MATA</b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="swab_mata_kanan" id="swab_mata_kanan" <?= ( stripos( '@'.$objPatientNursing->vSpesimenMataMikro , 'Swab Mata Kanan' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_mata_kanan" style="margin-left: 5px; margin-top: 5px;" >Swab Mata Kanan</label>
								<input type="checkbox" name="swab_mata_kiri" id="swab_mata_kiri" <?= ( stripos( '@'.$objPatientNursing->vSpesimenMataMikro , 'Swab Mata Kiri' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_mata_kiri" style="margin-left: 5px; margin-top: 5px;" >Swab Mata Kiri</label>
								<input type="checkbox" name="konjungtiva" id="konjungtiva" <?= ( stripos( '@'.$objPatientNursing->vSpesimenMataMikro , 'Konjungtiva' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="konjungtiva" style="margin-left: 5px; margin-top: 5px;" >Konjungtiva</label>
								<input type="checkbox" name="kornea" id="kornea" <?= ( stripos( '@'.$objPatientNursing->vSpesimenMataMikro , 'Kornea' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kornea" style="margin-left: 5px; margin-top: 5px;" >Kornea</label>
								<input type="checkbox" name="lainnya" id="lainnya" <?= ( stripos( '@'.$objPatientNursing->vSpesimenMataMikro , 'Lainnya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lainnya" style="margin-left: 5px; margin-top: 5px;" >Lainnya</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='spesimen_mata_lainnya' id='spesimen_mata_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpesimenMataLainnyaMikro ; ?>">
						</div>
					</div>

					<div class="col-md-12">
						<label class="control-label" for="tes_mata" ><b>TES </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="kultur_aerob_mata" id="kultur_aerob_mata" <?= ( stripos( '@'.$objPatientNursing->vTesMataMikro , 'Kultur Aerob' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_aerob_mata" style="margin-left: 5px; margin-top: 5px;" >Kultur Aerob</label>
								<input type="checkbox" name="kultur_jamur_mata" id="kultur_jamur_mata" <?= ( stripos( '@'.$objPatientNursing->vTesMataMikro , 'Kultur Jamur' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_jamur_mata" style="margin-left: 5px; margin-top: 5px;" >Kultur Jamur</label>
							</div>
						</div>
					</div>
					<div class="col-md-12">
						<label class="control-label" for="spesimen_telinga" ><b>SPESIMEN TELINGA</b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="swab_telinga_kanan" id="swab_telinga_kanan" <?= ( stripos( '@'.$objPatientNursing->vSpesimenTelingaMikro , 'Swab Telinga Kanan' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_telinga_kanan" style="margin-left: 5px; margin-top: 5px;" >Swab Telinga Kanan</label>
								<input type="checkbox" name="swab_telinga_kiri" id="swab_telinga_kiri" <?= ( stripos( '@'.$objPatientNursing->vSpesimenTelingaMikro , 'Swab Telinga Kiri' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_telinga_kiri" style="margin-left: 5px; margin-top: 5px;" >Swab Telinga Kiri</label>
								<input type="checkbox" name="drainase" id="drainase" <?= ( stripos( '@'.$objPatientNursing->vSpesimenTelingaMikro , 'Drainase' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="drainase" style="margin-left: 5px; margin-top: 5px;" >Drainase</label>
								<input type="checkbox" name="kanal_eksternal" id="kanal_eksternal" <?= ( stripos( '@'.$objPatientNursing->vSpesimenTelingaMikro , 'Kanal Eksternal' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kanal_eksternal" style="margin-left: 5px; margin-top: 5px;" >Kanal Eksternal</label>
								<input type="checkbox" name="lainnya" id="lainnya" <?= ( stripos( '@'.$objPatientNursing->vSpesimenTelingaMikro , 'Lainnya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lainnya" style="margin-left: 5px; margin-top: 5px;" >Lainnya</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='spesimen_telinga_lainnya' id='spesimen_telinga_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpesimenTelingaLainnyaMikro ; ?>">
						</div>
					</div>

					<div class="col-md-12">
						<label class="control-label" for="tes_telinga" ><b>TES </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="kultur_aerob_telinga" id="kultur_aerob_telinga" <?= ( stripos( '@'.$objPatientNursing->vTesTelingaMikro , 'Kultur Aerob' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_aerob_telinga" style="margin-left: 5px; margin-top: 5px;" >Kultur Aerob</label>
								<input type="checkbox" name="kultur_jamur_telinga" id="kultur_jamur_telinga" <?= ( stripos( '@'.$objPatientNursing->vTesTelingaMikro , 'Kultur Jamur' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_jamur_telinga" style="margin-left: 5px; margin-top: 5px;" >Kultur Jamur</label>
							</div>
						</div>
					</div>
					<div class="col-md-12">
						<label class="control-label" for="spesimen_hidung" ><b>SPESIMEN HIDUNG</b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="swab_hidung_kanan" id="swab_hidung_kanan" <?= ( stripos( '@'.$objPatientNursing->vSpesimenHidungMikro , 'Swab Hidung Kanan' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_hidung_kanan" style="margin-left: 5px; margin-top: 5px;" >Swab Hidung Kanan</label>
								<input type="checkbox" name="swab_hidung_kiri" id="swab_hidung_kiri" <?= ( stripos( '@'.$objPatientNursing->vSpesimenHidungMikro , 'Swab Hidung Kiri' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="swab_hidung_kiri" style="margin-left: 5px; margin-top: 5px;" >Swab Hidung Kiri</label>
								<input type="checkbox" name="lainnya" id="lainnya" <?= ( stripos( '@'.$objPatientNursing->vSpesimenHidungMikro , 'Lainnya' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lainnya" style="margin-left: 5px; margin-top: 5px;" >Lainnya</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='spesimen_hidung_lainnya' id='spesimen_hidung_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpesimenHidungLainnyaMikro ; ?>">
						</div>
					</div>

					<div class="col-md-12">
						<label class="control-label" for="tes_hidung" ><b>TES </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="kultur_aerob_hidung" id="kultur_aerob_hidung" <?= ( stripos( '@'.$objPatientNursing->vTesHidungMikro , 'Kultur Aerob' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_aerob_hidung" style="margin-left: 5px; margin-top: 5px;" >Kultur Aerob</label>
								<input type="checkbox" name="kultur_jamur_hidung" id="kultur_jamur_hidung" <?= ( stripos( '@'.$objPatientNursing->vTesHidungMikro , 'Kultur Jamur' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kultur_jamur_hidung" style="margin-left: 5px; margin-top: 5px;" >Kultur Jamur</label>
							</div>
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="mikroskopis" style="padding-bottom:4px"><b>PEMERIKSAAN MIKROSKOPIS</b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="gram" id="gram" <?= ( stripos( '@'.$objPatientNursing->vMikroskopisMikro , 'Gram' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="gram" style="margin-left: 5px; margin-top: 5px;" >Gram</label>
								<input type="checkbox" name="koh" id="koh" <?= ( stripos( '@'.$objPatientNursing->vMikroskopisMikro , 'KOH' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="koh" style="margin-left: 5px; margin-top: 5px;" >KOH</label>
								<input type="checkbox" name="wet_mount" id="wet_mount" <?= ( stripos( '@'.$objPatientNursing->vMikroskopisMikro , 'Wet Mount' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="wet_mount" style="margin-left: 5px; margin-top: 5px;" >Wet Mount</label>
								<input type="checkbox" name="bta_zn" id="bta_zn" <?= ( stripos( '@'.$objPatientNursing->vMikroskopisMikro , 'BTA-ZN' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="bta_zn" style="margin-left: 5px; margin-top: 5px;" >BTA-ZN</label>

							</div>
						</div>
					</div>
				</div>


			</div>
		</div>
	</div>
	
</div>









<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<!--<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>-->
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormPermintaanPemeriksaanMikroModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormPermintaanPemeriksaanMikroEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormPermintaanPemeriksaanMikroEmployeeId)->FirstName.' ('.$objPatientNursing->vFormPermintaanPemeriksaanMikroLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormPermintaanPemeriksaanMikroLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormPermintaanPemeriksaanMikroTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormPermintaanPemeriksaanMikroTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormPermintaanPemeriksaanMikroIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormPermintaanPemeriksaanMikro) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Permintaan terakhir oleh <b><?= $objPatientNursing->vFormPermintaanPemeriksaanMikroEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormPermintaanPemeriksaanMikroEmployeeId)->FirstName.' ('.$objPatientNursing->vFormPermintaanPemeriksaanMikroLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormPermintaanPemeriksaanMikroLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormPermintaanPemeriksaanMikroTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormPermintaanPemeriksaanMikroTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormPermintaanPemeriksaanMikroIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>

<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
	
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_1');
		var imgTersimpan = document.getElementById('gambarTersimpan_1');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi1 ? $objPatientNursing->vLokasiTTDEdukasi1 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_1' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_1'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_1').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_1').removeClass('disabled');
			$('#simpanGambar_1').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_1').show();
			$('#simpanGambar_1').show();
			$('#edit_1').hide();
			return false;
		})


		$('#clearArea_1').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_1'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_1').click(function() {

			var canvas = document.getElementById('myCanvas_1');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_1');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi1')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_1').addClass('disabled');
					$('#simpanGambar_1').hide();
					$('#simpanGambar-loading_1').show();
				},
				complete: function(xhr,status){
					$('#edit_1').removeClass('disabled');
					$('#clearArea_1').addClass('disabled');
					$('#simpanGambar_1').addClass('disabled');
					$('#simpanGambar_1').hide();
					$('#clearArea_1').hide();
					$('#simpanGambar-loading_1').hide();
					$('#edit_1').show();
				}
			})

		})

		$('#clearArea_1').hide();
		$('#simpanGambar_1').hide();
		$('#tombol-save-loading_1').hide();
		$('#simpanGambar-loading_1').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_2');
		var imgTersimpan = document.getElementById('gambarTersimpan_2');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi2 ? $objPatientNursing->vLokasiTTDEdukasi2 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_2' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_2'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_2').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_2').removeClass('disabled');
			$('#simpanGambar_2').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_2').show();
			$('#simpanGambar_2').show();
			$('#edit_2').hide();
			return false;
		})


		$('#clearArea_2').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_2').click(function() {

			var canvas = document.getElementById('myCanvas_2');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_2');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi2')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_2').addClass('disabled');
					$('#simpanGambar_2').hide();
					$('#simpanGambar-loading_2').show();
				},
				complete: function(xhr,status){
					$('#edit_2').removeClass('disabled');
					$('#clearArea_2').addClass('disabled');
					$('#simpanGambar_2').addClass('disabled');
					$('#simpanGambar_2').hide();
					$('#clearArea_2').hide();
					$('#simpanGambar-loading_2').hide();
					$('#edit_2').show();
				}
			})

		})

		$('#clearArea_2').hide();
		$('#simpanGambar_2').hide();
		$('#tombol-save-loading_2').hide();
		$('#simpanGambar-loading_2').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_3');
		var imgTersimpan = document.getElementById('gambarTersimpan_3');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi3 ? $objPatientNursing->vLokasiTTDEdukasi3 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_3' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_3'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_3').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_3').removeClass('disabled');
			$('#simpanGambar_3').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_3').show();
			$('#simpanGambar_3').show();
			$('#edit_3').hide();
			return false;
		})


		$('#clearArea_3').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_3'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_3').click(function() {

			var canvas = document.getElementById('myCanvas_3');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_3');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi3')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_3').addClass('disabled');
					$('#simpanGambar_3').hide();
					$('#simpanGambar-loading_3').show();
				},
				complete: function(xhr,status){
					$('#edit_3').removeClass('disabled');
					$('#clearArea_3').addClass('disabled');
					$('#simpanGambar_3').addClass('disabled');
					$('#simpanGambar_3').hide();
					$('#clearArea_3').hide();
					$('#simpanGambar-loading_3').hide();
					$('#edit_3').show();
				}
			})

		})

		$('#clearArea_3').hide();
		$('#simpanGambar_3').hide();
		$('#tombol-save-loading_3').hide();
		$('#simpanGambar-loading_3').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_4');
		var imgTersimpan = document.getElementById('gambarTersimpan_4');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi4 ? $objPatientNursing->vLokasiTTDEdukasi4 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_4' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_4'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_4').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_4').removeClass('disabled');
			$('#simpanGambar_4').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_4').show();
			$('#simpanGambar_4').show();
			$('#edit_4').hide();
			return false;
		})


		$('#clearArea_4').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_4'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_4').click(function() {

			var canvas = document.getElementById('myCanvas_4');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_4');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi4')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_4').addClass('disabled');
					$('#simpanGambar_4').hide();
					$('#simpanGambar-loading_4').show();
				},
				complete: function(xhr,status){
					$('#edit_4').removeClass('disabled');
					$('#clearArea_4').addClass('disabled');
					$('#simpanGambar_4').addClass('disabled');
					$('#simpanGambar_4').hide();
					$('#clearArea_4').hide();
					$('#simpanGambar-loading_4').hide();
					$('#edit_4').show();
				}
			})

		})

		$('#clearArea_4').hide();
		$('#simpanGambar_4').hide();
		$('#tombol-save-loading_4').hide();
		$('#simpanGambar-loading_4').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_5');
		var imgTersimpan = document.getElementById('gambarTersimpan_5');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi5 ? $objPatientNursing->vLokasiTTDEdukasi5 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_5' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_5'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_5').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_5').removeClass('disabled');
			$('#simpanGambar_5').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_5').show();
			$('#simpanGambar_5').show();
			$('#edit_5').hide();
			return false;
		})


		$('#clearArea_5').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_5'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_5').click(function() {

			var canvas = document.getElementById('myCanvas_5');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_5');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi5')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_5').addClass('disabled');
					$('#simpanGambar_5').hide();
					$('#simpanGambar-loading_5').show();
				},
				complete: function(xhr,status){
					$('#edit_5').removeClass('disabled');
					$('#clearArea_5').addClass('disabled');
					$('#simpanGambar_5').addClass('disabled');
					$('#simpanGambar_5').hide();
					$('#clearArea_5').hide();
					$('#simpanGambar-loading_5').hide();
					$('#edit_5').show();
				}
			})

		})

		$('#clearArea_5').hide();
		$('#simpanGambar_5').hide();
		$('#tombol-save-loading_5').hide();
		$('#simpanGambar-loading_5').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_6');
		var imgTersimpan = document.getElementById('gambarTersimpan_6');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi6 ? $objPatientNursing->vLokasiTTDEdukasi6 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_6' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_6'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_6').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_6').removeClass('disabled');
			$('#simpanGambar_6').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_6').show();
			$('#simpanGambar_6').show();
			$('#edit_6').hide();
			return false;
		})


		$('#clearArea_6').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_6'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_6').click(function() {

			var canvas = document.getElementById('myCanvas_6');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_6');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi6')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_6').addClass('disabled');
					$('#simpanGambar_6').hide();
					$('#simpanGambar-loading_6').show();
				},
				complete: function(xhr,status){
					$('#edit_6').removeClass('disabled');
					$('#clearArea_6').addClass('disabled');
					$('#simpanGambar_6').addClass('disabled');
					$('#simpanGambar_6').hide();
					$('#clearArea_6').hide();
					$('#simpanGambar-loading_6').hide();
					$('#edit_6').show();
				}
			})

		})

		$('#clearArea_6').hide();
		$('#simpanGambar_6').hide();
		$('#tombol-save-loading_6').hide();
		$('#simpanGambar-loading_6').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_7');
		var imgTersimpan = document.getElementById('gambarTersimpan_7');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi7 ? $objPatientNursing->vLokasiTTDEdukasi7 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_7' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_7'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_7').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_7').removeClass('disabled');
			$('#simpanGambar_7').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_7').show();
			$('#simpanGambar_7').show();
			$('#edit_7').hide();
			return false;
		})


		$('#clearArea_7').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_7'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_7').click(function() {

			var canvas = document.getElementById('myCanvas_7');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_7');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi7')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_7').addClass('disabled');
					$('#simpanGambar_7').hide();
					$('#simpanGambar-loading_7').show();
				},
				complete: function(xhr,status){
					$('#edit_7').removeClass('disabled');
					$('#clearArea_7').addClass('disabled');
					$('#simpanGambar_7').addClass('disabled');
					$('#simpanGambar_7').hide();
					$('#clearArea_7').hide();
					$('#simpanGambar-loading_7').hide();
					$('#edit_7').show();
				}
			})

		})

		$('#clearArea_7').hide();
		$('#simpanGambar_7').hide();
		$('#tombol-save-loading_7').hide();
		$('#simpanGambar-loading_7').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_8');
		var imgTersimpan = document.getElementById('gambarTersimpan_8');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi8 ? $objPatientNursing->vLokasiTTDEdukasi8 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_8' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_8'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_8').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_8').removeClass('disabled');
			$('#simpanGambar_8').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_8').show();
			$('#simpanGambar_8').show();
			$('#edit_8').hide();
			return false;
		})


		$('#clearArea_8').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_8'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_8').click(function() {

			var canvas = document.getElementById('myCanvas_8');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_8');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi8')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_8').addClass('disabled');
					$('#simpanGambar_8').hide();
					$('#simpanGambar-loading_8').show();
				},
				complete: function(xhr,status){
					$('#edit_8').removeClass('disabled');
					$('#clearArea_8').addClass('disabled');
					$('#simpanGambar_8').addClass('disabled');
					$('#simpanGambar_8').hide();
					$('#clearArea_8').hide();
					$('#simpanGambar-loading_8').hide();
					$('#edit_8').show();
				}
			})

		})

		$('#clearArea_8').hide();
		$('#simpanGambar_8').hide();
		$('#tombol-save-loading_8').hide();
		$('#simpanGambar-loading_8').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_9');
		var imgTersimpan = document.getElementById('gambarTersimpan_9');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi9 ? $objPatientNursing->vLokasiTTDEdukasi9 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_9' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_9'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_9').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_9').removeClass('disabled');
			$('#simpanGambar_9').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_9').show();
			$('#simpanGambar_9').show();
			$('#edit_9').hide();
			return false;
		})


		$('#clearArea_9').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_9'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_9').click(function() {

			var canvas = document.getElementById('myCanvas_9');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_9');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi9')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_9').addClass('disabled');
					$('#simpanGambar_9').hide();
					$('#simpanGambar-loading_9').show();
				},
				complete: function(xhr,status){
					$('#edit_9').removeClass('disabled');
					$('#clearArea_9').addClass('disabled');
					$('#simpanGambar_9').addClass('disabled');
					$('#simpanGambar_9').hide();
					$('#clearArea_9').hide();
					$('#simpanGambar-loading_9').hide();
					$('#edit_9').show();
				}
			})

		})

		$('#clearArea_9').hide();
		$('#simpanGambar_9').hide();
		$('#tombol-save-loading_9').hide();
		$('#simpanGambar-loading_9').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_10');
		var imgTersimpan = document.getElementById('gambarTersimpan_10');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi10 ? $objPatientNursing->vLokasiTTDEdukasi10 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_10' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_10'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_10').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_10').removeClass('disabled');
			$('#simpanGambar_10').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_10').show();
			$('#simpanGambar_10').show();
			$('#edit_10').hide();
			return false;
		})


		$('#clearArea_10').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_10'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_10').click(function() {

			var canvas = document.getElementById('myCanvas_10');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_10');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi10')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_10').addClass('disabled');
					$('#simpanGambar_10').hide();
					$('#simpanGambar-loading_10').show();
				},
				complete: function(xhr,status){
					$('#edit_10').removeClass('disabled');
					$('#clearArea_10').addClass('disabled');
					$('#simpanGambar_10').addClass('disabled');
					$('#simpanGambar_10').hide();
					$('#clearArea_10').hide();
					$('#simpanGambar-loading_10').hide();
					$('#edit_10').show();
				}
			})

		})

		$('#clearArea_10').hide();
		$('#simpanGambar_10').hide();
		$('#tombol-save-loading_10').hide();
		$('#simpanGambar-loading_10').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_11');
		var imgTersimpan = document.getElementById('gambarTersimpan_11');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi11 ? $objPatientNursing->vLokasiTTDEdukasi11 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_11' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_11'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_11').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_11').removeClass('disabled');
			$('#simpanGambar_11').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_11').show();
			$('#simpanGambar_11').show();
			$('#edit_11').hide();
			return false;
		})


		$('#clearArea_11').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_11'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_11').click(function() {

			var canvas = document.getElementById('myCanvas_11');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_11');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi11')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_11').addClass('disabled');
					$('#simpanGambar_11').hide();
					$('#simpanGambar-loading_11').show();
				},
				complete: function(xhr,status){
					$('#edit_11').removeClass('disabled');
					$('#clearArea_11').addClass('disabled');
					$('#simpanGambar_11').addClass('disabled');
					$('#simpanGambar_11').hide();
					$('#clearArea_11').hide();
					$('#simpanGambar-loading_11').hide();
					$('#edit_11').show();
				}
			})

		})

		$('#clearArea_11').hide();
		$('#simpanGambar_11').hide();
		$('#tombol-save-loading_11').hide();
		$('#simpanGambar-loading_11').hide();
	});
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}
	

	var urlDoctor = "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>&search=";
	$('.doctor').each(function () {
    		$(this).ajaxChosen({
        		type: 'GET' 
        			, dataType: 'json'
    		},{
        	useAjax: function(e){ return true; }
       			, minLength: 0
        		, processItems: function(data){
            		// alert(JSON.stringify(data));
            	return data;
        	}
        	, generateUrl: function(strSearch){
            		// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            	return urlDoctor + strSearch
        	}
    		});
	});

	//function cetaklaporan() {
	//	parent.AppPrintPage.setTitle('Print Preview Permintaan Pemeriksaan Lab')
	//	parent.openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-permintaan-pemeriksaan-lab') ?>' + '?page=<?= __PAGE__?>&IdPermintaan=<?=$objPatientNursing->vIdCetakTerakhirPermintaanPemeriksaanLab?>&Id=<?=$objPatientNursing->Id?>' );
	//}
	

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});


	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.ruang, .doctor').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	
	
	$('.koreksi, #float-koreksi').click(function(){
        parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
				$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false).trigger('chosen:updated');
				$('#validasi-modal, #float-validasi').removeClass('disabled'); 
				$('.koreksi').addClass('disabled'); 
				$('#float-koreksi').hide();
				$('#float-validasi').show();
                parent.jQuery.fallr('hide',function(){});
            },
            function(){
                parent.jQuery.fallr('hide',function(){});
            }
        );
    })


	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function () {
		posting('DRAFT');
	});

	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormPermintaanPemeriksaanLabModifiedVersion != "" ? $objPatientNursing->vFormPermintaanPemeriksaanLabModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});

	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}


		post.TanggalPermintaanPemeriksaanMikro= $('#tanggal_permintaan_pemeriksaan').val();
		post.JamPermintaanPemeriksaanMikro= $('#jam_permintaan_pemeriksaan').val();
		post.TanggalPengambilanPemeriksaanMikro= $('#tanggal_pengambilan_pemeriksaan').val();
		post.JamPengambilanPemeriksaanMikro= $('#jam_pengambilan_pemeriksaan').val();
		post.PetugasSamplingMikroId= $('#petugas_sampling').val();
		post.SuhuMikro= $('#suhu').val();
		post.TekananDarahMikro= $('#tekanan_darah').val();
		post.FrekuensiNafasMikro= $('#frekuensi_nafas').val();
		post.NadiMikro= $('#nadi').val();
		post.DiagnosaMikro= $('#diagnosa_mikro').val();
		post.GejalaKlinisMikro= $('#gelaja_klinis_mikro').val();
		post.TerapiAntibiotikMikro= $('#terapi_antibiotik_mikro').val();

		post.SpesimenDarahDanCairanMikro= '';
		if( $("#darah_lengan_kanan").is(':checked') ) {
			if( post.SpesimenDarahDanCairanMikro) {
				post.SpesimenDarahDanCairanMikro= post.SpesimenDarahDanCairanMikro+ ',' + 'Darah Lengan Kanan';
			} else {
				post.SpesimenDarahDanCairanMikro= 'Darah Lengan Kanan';
			}
		}
		if( $("#darah_lengan_kiri").is(':checked') ) {
			if( post.SpesimenDarahDanCairanMikro) {
				post.SpesimenDarahDanCairanMikro= post.SpesimenDarahDanCairanMikro+ ',' + 'Darah Lengan Kiri';
			} else {
				post.SpesimenDarahDanCairanMikro= 'Darah Lengan Kiri';
			}
		}
		if( $("#darah_cvc").is(':checked') ) {
			if( post.SpesimenDarahDanCairanMikro) {
				post.SpesimenDarahDanCairanMikro= post.SpesimenDarahDanCairanMikro+ ',' + 'Darah CVC';
			} else {
				post.SpesimenDarahDanCairanMikro= 'Darah CVC';
			}
		}
		if( $("#cairan_otak").is(':checked') ) {
			if( post.SpesimenDarahDanCairanMikro) {
				post.SpesimenDarahDanCairanMikro= post.SpesimenDarahDanCairanMikro+ ',' + 'Cairan Otak';
			} else {
				post.SpesimenDarahDanCairanMikro= 'Cairan Otak';
			}
		}
		if( $("#cairan_pleura").is(':checked') ) {
			if( post.SpesimenDarahDanCairanMikro) {
				post.SpesimenDarahDanCairanMikro= post.SpesimenDarahDanCairanMikro+ ',' + 'Cairan Pleura';
			} else {
				post.SpesimenDarahDanCairanMikro= 'Cairan Pleura';
			}
		}
		if( $("#cairan_sendi").is(':checked') ) {
			if( post.SpesimenDarahDanCairanMikro) {
				post.SpesimenDarahDanCairanMikro= post.SpesimenDarahDanCairanMikro+ ',' + 'Cairan Sendi';
			} else {
				post.SpesimenDarahDanCairanMikro= 'Cairan Sendi';
			}
		}
		if( $("#cairan_lainnya").is(':checked') ) {
			if( post.SpesimenDarahDanCairanMikro) {
				post.SpesimenDarahDanCairanMikro= post.SpesimenDarahDanCairanMikro+ ',' + 'Cairan Lainnya';
			} else {
				post.SpesimenDarahDanCairanMikro= 'Cairan Lainnya';
			}
		}

		post.TesDarahDanCairanMikro= '';
		if( $("#kultur_aerob_darah").is(':checked') ) {
			if( post.TesDarahDanCairanMikro) {
				post.TesDarahDanCairanMikro= post.TesDarahDanCairanMikro+ ',' + 'Kultur Aerob';
			} else {
				post.TesDarahDanCairanMikro= 'Kultur Aerob';
			}
		}
		if( $("#kultur_jamur_darah").is(':checked') ) {
			if( post.TesDarahDanCairanMikro) {
				post.TesDarahDanCairanMikro= post.TesDarahDanCairanMikro+ ',' + 'Kultur Jamur';
			} else {
				post.TesDarahDanCairanMikro= 'Kultur Jamur';
			}
		}

		post.SpesimenDarahDanCairanLainnyaMikro= $('#darah_lainnya').val();


		post.SpesimenUrineDanSaluranKemihMikro = '';
		if( $("#urine_porsi_tengah").is(':checked') ) {
			if( post.SpesimenUrineDanSaluranKemihMikro ) {
				post.SpesimenUrineDanSaluranKemihMikro = post.SpesimenUrineDanSaluranKemihMikro + ',' + 'Urine Porsi Tengah';
			} else {
				post.SpesimenUrineDanSaluranKemihMikro = 'Urine Porsi Tengah';
			}
		}
		if( $("#urine_suprapubik").is(':checked') ) {
			if( post.SpesimenUrineDanSaluranKemihMikro ) {
				post.SpesimenUrineDanSaluranKemihMikro = post.SpesimenUrineDanSaluranKemihMikro + ',' + 'Urine Suprapubik';
			} else {
				post.SpesimenUrineDanSaluranKemihMikro = 'Urine Suprapubik';
			}
		}
		if( $("#urine_kateter").is(':checked') ) {
			if( post.SpesimenUrineDanSaluranKemihMikro ) {
				post.SpesimenUrineDanSaluranKemihMikro = post.SpesimenUrineDanSaluranKemihMikro + ',' + 'Urine Kateter';
			} else {
				post.SpesimenUrineDanSaluranKemihMikro = 'Urine Kateter';
			}
		}
		if( $("#lainnya").is(':checked') ) {
			if( post.SpesimenUrineDanSaluranKemihMikro ) {
				post.SpesimenUrineDanSaluranKemihMikro = post.SpesimenUrineDanSaluranKemihMikro + ',' + 'Lainnya';
			} else {
				post.SpesimenUrineDanSaluranKemihMikro = 'Lainnya';
			}
		}

		post.SpesimenSaluraKemihLainnyaMikro= $('#saluran_kemih_lainnya').val();

		post.TesUrineDanSaluranKemihMikro = '';
		if( $("#kultur_aerob_urine").is(':checked') ) {
			if( post.TesUrineDanSaluranKemihMikro ) {
				post.TesUrineDanSaluranKemihMikro = post.TesUrineDanSaluranKemihMikro + ',' + 'Kultur Aerob';
			} else {
				post.TesUrineDanSaluranKemihMikro = 'Kultur Aerob';
			}
		}
		if( $("#kultur_jamur_urine").is(':checked') ) {
			if( post.TesUrineDanSaluranKemihMikro ) {
				post.TesUrineDanSaluranKemihMikro = post.TesUrineDanSaluranKemihMikro + ',' + 'Kultur Jamur';
			} else {
				post.TesUrineDanSaluranKemihMikro = 'Kultur Jamur';
			}
		}


		post.SpesimenSaluranGastrointestinalMikro= '';
		if( $("#feses").is(':checked') ) {
			if( post.SpesimenSaluranGastrointestinalMikro) {
				post.SpesimenSaluranGastrointestinalMikro= post.SpesimenSaluranGastrointestinalMikro+ ',' + 'Feses';
			} else {
				post.SpesimenSaluranGastrointestinalMikro= 'Feses';
			}
		}
		if( $("#swab_rectal").is(':checked') ) {
			if( post.SpesimenSaluranGastrointestinalMikro) {
				post.SpesimenSaluranGastrointestinalMikro= post.SpesimenSaluranGastrointestinalMikro+ ',' + 'Swab Rectal';
			} else {
				post.SpesimenSaluranGastrointestinalMikro= 'Swab Rectal';
			}
		}
		if( $("#lainnya").is(':checked') ) {
			if( post.SpesimenSaluranGastrointestinalMikro) {
				post.SpesimenSaluranGastrointestinalMikro= post.SpesimenSaluranGastrointestinalMikro+ ',' + 'Lainnya';
			} else {
				post.SpesimenSaluranGastrointestinalMikro= 'Lainnya';
			}
		}

		post.SpesimenSaluraGastrointestinalLainnyaMikro= $('#saluran_gastrointestinal_lainnya').val();

		post.TesSaluranGastrointestinalMikro = '';
		if( $("#kultur_aerob_saluran_gastro").is(':checked') ) {
			if( post.TesSaluranGastrointestinalMikro ) {
				post.TesSaluranGastrointestinalMikro = post.TesSaluranGastrointestinalMikro + ',' + 'Kultur Aerob';
			} else {
				post.TesSaluranGastrointestinalMikro = 'Kultur Aerob';
			}
		}
		if( $("#kultur_jamur_saluran_gastro").is(':checked') ) {
			if( post.TesSaluranGastrointestinalMikro ) {
				post.TesSaluranGastrointestinalMikro = post.TesSaluranGastrointestinalMikro + ',' + 'Kultur Jamur';
			} else {
				post.TesSaluranGastrointestinalMikro = 'Kultur Jamur';
			}
		}

		post.SpesimenSaluranGenitaliaMikro = '';
		if( $("#swab_vagina").is(':checked') ) {
			if( post.SpesimenSaluranGenitaliaMikro ) {
				post.SpesimenSaluranGenitaliaMikro = post.SpesimenSaluranGenitaliaMikro + ',' + 'Swab Vagina/urethra';
			} else {
				post.SpesimenSaluranGenitaliaMikro = 'Swab Vagina/urethra';
			} 
		}
		if( $("#swab_servix").is(':checked') ) {
			if( post.SpesimenSaluranGenitaliaMikro ) {
				post.SpesimenSaluranGenitaliaMikro = post.SpesimenSaluranGenitaliaMikro + ',' + 'Swab servix, Vulva';
			} else {
				post.SpesimenSaluranGenitaliaMikro = 'Swab servix, Vulva'; 
			}
		}
		if( $("#secret_vagina").is(':checked') ) {
			if( post.SpesimenSaluranGenitaliaMikro ) {
				post.SpesimenSaluranGenitaliaMikro = post.SpesimenSaluranGenitaliaMikro + ',' + 'Secret Vagina/urethra';
			} else {
				post.SpesimenSaluranGenitaliaMikro = 'Secret Vagina/urethra';
			}
		}
		if( $("#lainnya").is(':checked') ) {
			if( post.SpesimenSaluranGenitaliaMikro ) {
				post.SpesimenSaluranGenitaliaMikro = post.SpesimenSaluranGenitaliaMikro + ',' + 'Lainnya';
			} else {
				post.SpesimenSaluranGenitaliaMikro = 'Lainnya';
			}
		}

		post.SpesimenSaluraGentaliaLainnyaMikro = $('#saluran_gentalia_lainnya').val();

		post.TesSaluranGenitaliaMikro = '';
		if( $("#kultur_aerob_genitalia").is(':checked') ) {
			if( post.TesSaluranGenitaliaMikro ) {
				post.TesSaluranGenitaliaMikro = post.TesSaluranGenitaliaMikro + ',' + 'Kultur Aerob';
			} else {
				post.TesSaluranGenitaliaMikro = 'Kultur Aerob';
			}
		}
		if( $("#kultur_jamur_genitalia").is(':checked') ) {
			if( post.TesSaluranGenitaliaMikro ) {
				post.TesSaluranGenitaliaMikro = post.TesSaluranGenitaliaMikro + ',' + 'Kultur Jamur';
			} else {
				post.TesSaluranGenitaliaMikro = 'Kultur Jamur';
			}
		}

		post.SpesimenSaluraPernafasanAtasMikro = '';
		if( $("#swab_mulut").is(':checked') ) {
			if( post.SpesimenSaluraPernafasanAtasMikro ) {
				post.SpesimenSaluraPernafasanAtasMikro = post.SpesimenSaluraPernafasanAtasMikro + ',' + 'Swab Mulut';
			} else {
				post.SpesimenSaluraPernafasanAtasMikro = 'Swab Mulut';
			}
		}
		if( $("#swab_tenggorokan").is(':checked') ) {
			if( post.SpesimenSaluraPernafasanAtasMikro ) {
				post.SpesimenSaluraPernafasanAtasMikro = post.SpesimenSaluraPernafasanAtasMikro + ',' + 'Swab Tenggorokan';
			} else {
				post.SpesimenSaluraPernafasanAtasMikro = 'Swab Tenggorokan';
			}
		}
		if( $("#lainnya").is(':checked') ) {
			if( post.SpesimenSaluraPernafasanAtasMikro ) {
				post.SpesimenSaluraPernafasanAtasMikro = post.SpesimenSaluraPernafasanAtasMikro + ',' + 'Lainnya';
			} else {
				post.SpesimenSaluraPernafasanAtasMikro = 'Lainnya';
			}
		}

		post.SpesimenSaluraPernafasanAtasLainnyaMikro = $('#saluran_nafas_atas_lainnya').val();

		post.TesSaluranPernafasanAtasMikro = '';
		if( $("#kultur_aerob_nafas_atas").is(':checked') ) {
			if( post.TesSaluranPernafasanAtasMikro ) {
				post.TesSaluranPernafasanAtasMikro = post.TesSaluranPernafasanAtasMikro + ',' + 'Kultur Aerob';
			} else {
				post.TesSaluranPernafasanAtasMikro = 'Kultur Aerob';
			}
		}
		if( $("#kultur_jamur_nafas_atas").is(':checked') ) {
			if( post.TesSaluranPernafasanAtasMikro ) {
				post.TesSaluranPernafasanAtasMikro = post.TesSaluranPernafasanAtasMikro + ',' + 'Kultur Jamur';
			} else {
				post.TesSaluranPernafasanAtasMikro = 'Kultur Jamur';
			}
		}

		post.SpesimenSaluraPernafasanBawahMikro = '';
		if( $("#sputum").is(':checked') ) {
			if( post.SpesimenSaluraPernafasanBawahMikro ) {
				post.SpesimenSaluraPernafasanBawahMikro = post.SpesimenSaluraPernafasanBawahMikro + ',' + 'Spuntum';
			} else {
				post.SpesimenSaluraPernafasanBawahMikro = 'Spuntum';
			}
		}
		if( $("#ett_suction").is(':checked') ) {
			if( post.SpesimenSaluraPernafasanBawahMikro ) {
				post.SpesimenSaluraPernafasanBawahMikro = post.SpesimenSaluraPernafasanBawahMikro + ',' + 'ETT suction';
			} else {
				post.SpesimenSaluraPernafasanBawahMikro = 'ETT suction';
			}
		}
		if( $("#bilasan_bronkus").is(':checked') ) {
			if( post.SpesimenSaluraPernafasanBawahMikro ) {
				post.SpesimenSaluraPernafasanBawahMikro = post.SpesimenSaluraPernafasanBawahMikro + ',' + 'Bilasan bronkus';
			} else {
				post.SpesimenSaluraPernafasanBawahMikro = 'Bilasan bronkus';
			}
		}
		if( $("#bal").is(':checked') ) {
			if( post.SpesimenSaluraPernafasanBawahMikro ) {
				post.SpesimenSaluraPernafasanBawahMikro = post.SpesimenSaluraPernafasanBawahMikro + ',' + 'BAL';
			} else {
				post.SpesimenSaluraPernafasanBawahMikro = 'BAL';
			}
		}
		if( $("#biopsi").is(':checked') ) {
			if( post.SpesimenSaluraPernafasanBawahMikro ) {
				post.SpesimenSaluraPernafasanBawahMikro = post.SpesimenSaluraPernafasanBawahMikro + ',' + 'Biopsi/aspirasi paru';
			} else {
				post.SpesimenSaluraPernafasanBawahMikro = 'Biopsi/aspirasi paru';
			}
		}
		if( $("#lainnya").is(':checked') ) {
			if( post.SpesimenSaluraPernafasanBawahMikro ) {
				post.SpesimenSaluraPernafasanBawahMikro = post.SpesimenSaluraPernafasanBawahMikro + ',' + 'Lainnya';
			} else {
				post.SpesimenSaluraPernafasanBawahMikro = 'Lainnya';
			}
		}

		post.SpesimenSaluraPernafasanBawahLainnyaMikro = $('#saluran_nafas_bawah_lainnya').val();

		post.TesSaluranPernafasanBawahMikro = '';
		if( $("#kultur_aerob_nafas_bawah").is(':checked') ) {
			if( post.TesSaluranPernafasanBawahMikro) {
				post.TesSaluranPernafasanAtasMikro = post.TesSaluranPernafasanBawahMikro + ',' + 'Kultur Aerob';
			} else {
				post.TesSaluranPernafasanBawahMikro = 'Kultur Aerob';
			}
		}
		if( $("#kultur_jamur_nafas_bawah").is(':checked') ) {
			if( post.TesSaluranPernafasanBawahMikro ) {
				post.TesSaluranPernafasanBawahMikro = post.TesSaluranPernafasanBawahMikro + ',' + 'Kultur Jamur';
			} else {
				post.TesSaluranPernafasanBawahMikro = 'Kultur Jamur';
			}
		}

		post.SpesimenLKASJMikro = '';
		if( $("#swab").is(':checked') ) {
			if( post.SpesimenLKASJMikro ) {
				post.SpesimenLKASJMikro = post.SpesimenLKASJMikro + ',' + 'Swab';
			} else {
				post.SpesimenLKASJMikro = 'Swab';
			}
		}
		if( $("#jaringan").is(':checked') ) {
			if( post.SpesimenLKASJMikro ) {
				post.SpesimenLKASJMikro = post.SpesimenLKASJMikro + ',' + 'Jaringan';
			} else {
				post.SpesimenLKASJMikro = 'Jaringan';
			}
		}
		if( $("#ulkus_luka").is(':checked') ) {
			if( post.SpesimenLKASJMikro ) {
				post.SpesimenLKASJMikro = post.SpesimenLKASJMikro + ',' + 'Ulkus-Luka';
			} else {
				post.SpesimenLKASJMikro = 'Ulkus-Luka';
			}
		}
		if( $("#aspirasi").is(':checked') ) {
			if( post.SpesimenLKASJMikro ) {
				post.SpesimenLKASJMikro = post.SpesimenLKASJMikro + ',' + 'Aspirasi';
			} else {
				post.SpesimenLKASJMikro = 'Aspirasi';
			}
		}
		if( $("#kerokan_kulit").is(':checked') ) {
			if( post.SpesimenLKASJMikro ) {
				post.SpesimenLKASJMikro = post.SpesimenLKASJMikro + ',' + 'Kerokan Kulit';
			} else {
				post.SpesimenLKASJMikro = 'Kerokan Kulit';
			}
		}
		if( $("#ujung_kateter").is(':checked') ) {
			if( post.SpesimenLKASJMikro ) {
				post.SpesimenLKASJMikro = post.SpesimenLKASJMikro + ',' + 'Ujung Kateter';
			} else {
				post.SpesimenLKASJMikro = 'Ujung Kateter';
			}
		}
		if( $("#lainnya").is(':checked') ) {
			if( post.SpesimenLKASJMikro ) {
				post.SpesimenLKASJMikro = post.SpesimenLKASJMikro + ',' + 'Lainnya';
			} else {
				post.SpesimenLKASJMikro = 'Lainnya';
			}
		}

		post.SpesimenLKASJLainnyaMikro = $('#lkasj_lainnya').val();

		post.TesLKASJMikro = '';
		if( $("#kultur_aerob_lkasj").is(':checked') ) {
			if( post.TesLKASJMikro ) {
				post.TesLKASJMikro = post.TesLKASJMikro + ',' + 'Kultur Aerob';
			} else {
				post.TesLKASJMikro = 'Kultur Aerob';
			}
		}
		if( $("#kultur_jamur_lkasj").is(':checked') ) {
			if( post.TesLKASJMikro ) {
				post.TesLKASJMikro = post.TesLKASJMikro + ',' + 'Kultur Jamur';
			} else {
				post.TesLKASJMikro = 'Kultur Jamur';
			}
		}

		post.SpesimenSkriningMrsaMikro = '';
		if( $("#swab_hidung").is(':checked') ) {
			if( post.SpesimenSkriningMrsaMikro ) {
				post.SpesimenSkriningMrsaMikro = post.SpesimenSkriningMrsaMikro + ',' + 'Swab Hidung';
			} else {
				post.SpesimenSkriningMrsaMikro = 'Swab Hidung';
			}
		}
		if( $("#swab_ketiak").is(':checked') ) {
			if( post.SpesimenSkriningMrsaMikro ) {
				post.SpesimenSkriningMrsaMikro = post.SpesimenSkriningMrsaMikro + ',' + 'Swab Ketiak';
			} else {
				post.SpesimenSkriningMrsaMikro = 'Swab Ketiak';
			}
		}
		if( $("#swab_lipat_paha").is(':checked') ) {
			if( post.SpesimenSkriningMrsaMikro ) {
				post.SpesimenSkriningMrsaMikro = post.SpesimenSkriningMrsaMikro + ',' + 'Swab lipat paha';
			} else {
				post.SpesimenSkriningMrsaMikro = 'Swab lipat paha';
			}
		}
		if( $("#lainnya").is(':checked') ) {
			if( post.SpesimenSkriningMrsaMikro ) {
				post.SpesimenSkriningMrsaMikro = post.SpesimenSkriningMrsaMikro + ',' + 'Lainnya';
			} else {
				post.SpesimenSkriningMrsaMikro = 'Lainnya';
			}
		}

		post.SpesimenSkriningMrsaLainnyaMikro= $('#skrining_mrsa_lainnya').val();

		post.SpesimenMataMikro = '';
		if( $("#swab_mata_kanan").is(':checked') ) {
			if( post.SpesimenMataMikro ) {
				post.SpesimenMataMikro = post.SpesimenMataMikro + ',' + 'Swab Mata Kanan';
			} else {
				post.SpesimenMataMikro = 'Swab Mata Kanan';
			}
		}
		if( $("#swab_mata_kiri").is(':checked') ) {
			if( post.SpesimenMataMikro ) {
				post.SpesimenMataMikro = post.SpesimenMataMikro + ',' + 'Swab Mata Kiri';
			} else {
				post.SpesimenMataMikro = 'Swab Mata Kiri';
			}
		}
		if( $("#konjungtiva").is(':checked') ) {
			if( post.SpesimenMataMikro ) {
				post.SpesimenMataMikro = post.SpesimenMataMikro + ',' + 'Konjungtiva';
			} else {
				post.SpesimenMataMikro = 'Konjungtiva';
			}
		}
		if( $("#kornea").is(':checked') ) {
			if( post.SpesimenMataMikro ) {
				post.SpesimenMataMikro = post.SpesimenMataMikro  + ',' + 'Kornea';
			} else {
				post.SpesimenMataMikro = 'Kornea';
			}
		}
		if( $("#lainnya").is(':checked') ) {
			if( post.SpesimenMataMikro ) {
				post.SpesimenMataMikro = post.SpesimenMataMikro + ',' + 'Lainnya';
			} else {
				post.SpesimenMataMikro = 'Lainnya';
			}
		}

		post.SpesimenMataLainnyaMikro = $('#spesimen_mata_lainnya').val();

		post.TesMataMikro= '';
		if( $("#kultur_aerob_mata").is(':checked') ) {
			if( post.TesMataMikro) {
				post.TesMataMikro= post.TesMataMikro+ ',' + 'Kultur Aerob';
			} else {
				post.TesMataMikro= 'Kultur Aerob';
			}
		}
		if( $("#kultur_jamur_mata").is(':checked') ) {
			if( post.TesMataMikro) {
				post.TesMataMikro= post.TesMataMikro+ ',' + 'Kultur Jamur';
			} else {
				post.TesMataMikro= 'Kultur Jamur';
			}
		}

		post.SpesimenTelingaMikro = '';
		if( $("#swab_telinga_kanan").is(':checked') ) {
			if( post.SpesimenTelingaMikro ) {
				post.SpesimenTelingaMikro = post.SpesimenTelingaMikro + ',' + 'Swab Telinga Kanan';
			} else {
				post.SpesimenTelingaMikro = 'Swab Telinga Kanan';
			}
		}
		if( $("#swab_telinga_kiri").is(':checked') ) {
			if( post.SpesimenTelingaMikro ) {
				post.SpesimenTelingaMikro = post.SpesimenTelingaMikro + ',' + 'Swab Telinga Kiri';
			} else {
				post.SpesimenTelingaMikro = 'Swab Telinga Kiri';
			}
		}
		if( $("#drainase").is(':checked') ) {
			if( post.SpesimenTelingaMikro ) {
				post.SpesimenTelingaMikro = post.SpesimenTelingaMikro + ',' + 'Drainase';
			} else {
				post.SpesimenTelingaMikro = 'Drainase';
			}
		}
		if( $("#kanal_eksternal").is(':checked') ) {
			if( post.SpesimenTelingaMikro ) {
				post.SpesimenTelingaMikro = post.SpesimenTelingaMikro + ',' + 'Kanal Eksternal';
			} else {
				post.SpesimenTelingaMikro = 'Kanal Eksternal';
			}
		}
		if( $("#lainnya").is(':checked') ) {
			if( post.SpesimenTelingaMikro ) {
				post.SpesimenTelingaMikro = post.SpesimenTelingaMikro + ',' + 'Lainnya';
			} else {
				post.SpesimenTelingaMikro = 'Lainnya';
			}
		}

		post.SpesimenTelingaLainnyaMikro= $('#spesimen_telinga_lainnya').val();

		post.TesTelingaMikro = '';
		if( $("#kultur_aerob_telinga").is(':checked') ) {
			if( post.TesTelingaMikro ) {
				post.TesTelingaMikro = post.TesTelingaMikro + ',' + 'Kultur Aerob';
			} else {
				post.TesTelingaMikro = 'Kultur Aerob';
			}
		}
		if( $("#kultur_jamur_telinga").is(':checked') ) {
			if( post.TesTelingaMikro ) {
				post.TesTelingaMikro = post.TesTelingaMikro + ',' + 'Kultur Jamur';
			} else {
				post.TesTelingaMikro = 'Kultur Jamur';
			}
		}


		post.SpesimenHidungMikro = '';
		if( $("#swab_hidung_kanan").is(':checked') ) {
			if( post.SpesimenHidungMikro ) {
				post.SpesimenHidungMikro = post.SpesimenHidungMikro + ',' + 'Swab Hidung Kanan';
			} else {
				post.ElektrolitLab = 'Swab Hidung Kanan';
			}
		}
		if( $("#swab_hidung_kiri").is(':checked') ) {
			if( post.SpesimenHidungMikro ) {
				post.SpesimenHidungMikro = post.SpesimenHidungMikro + ',' + 'Swab Hidung Kiri';
			} else {
				post.SpesimenHidungMikro = 'Swab Hidung Kiri';
			}
		}
		if( $("#lainnya").is(':checked') ) {
			if( post.SpesimenHidungMikro ) {
				post.SpesimenHidungMikro = post.SpesimenHidungMikro + ',' + 'Lainnya';
			} else {
				post.SpesimenHidungMikro = 'Lainnya';
			}
		}

		post.SpesimenHidungLainnyaMikro= $('#spesimen_hidung_lainnya').val();

		post.TesHidungMikro = '';
		if( $("#kultur_aerob_hidung").is(':checked') ) {
			if( post.TesHidungMikro ) {
				post.TesHidungMikro = post.TesHidungMikro + ',' + 'Kultur Aerob';
			} else {
				post.TesHidungMikro = 'Kultur Aerob';
			}
		}
		if( $("#kultur_jamur_hidung").is(':checked') ) {
			if( post.TesHidungMikro ) {
				post.TesHidungMikro = post.TesHidungMikro + ',' + 'Kultur Jamur';
			} else {
				post.TesHidungMikro = 'Kultur Jamur';
			}
		}


		post.MikroskopisMikro = '';
		if( $("#gram").is(':checked') ) {
			if( post.MikroskopisMikro ) {
				post.MikroskopisMikro = post.MikroskopisMikro + ',' + 'Gram';
			} else {
				post.MikroskopisMikro = 'Gram';
			}
		}
		if( $("#koh").is(':checked') ) {
			if( post.MikroskopisMikro ) {
				post.MikroskopisMikro = post.MikroskopisMikro + ',' + 'KOH';
			} else {
				post.MikroskopisMikro = 'KOH';
			}
		}
		if( $("#wet_mount").is(':checked') ) {
			if( post.MikroskopisMikro ) {
				post.MikroskopisMikro = post.MikroskopisMikro + ',' + 'Wet Mount';
			} else {
				post.MikroskopisMikro = 'Wet Mount';
			}
		}
		if( $("#bta_zn").is(':checked') ) {
			if( post.MikroskopisMikro ) {
				post.MikroskopisMikro = post.MikroskopisMikro + ',' + 'BTA-ZN';
			} else {
				post.MikroskopisMikro = 'BTA-ZN';
			}
		}






		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SavePermintaanPemeriksaanMikro')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#permintaan_pemeriksaan_lab').removeClass('btn-primary').addClass('btn-success').html('Permintaan Pemeriksaan Lab ('+result.vJumlahPermintaanPemeriksaanLab+') <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#permintaan_pemeriksaan_lab').removeClass('btn-primary').addClass('btn-success').html('Permintaan Pemeriksaan Lab ('+result.vJumlahPermintaanPemeriksaanLab+') <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$(".chosen").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$('#edukator_1').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_2').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
	$('#edukator_3').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_4').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_5').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_6').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_7').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_8').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_9').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_10').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_11').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
};

$('#content').ready(function(){
	FormGizi();	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormPermintaanPemeriksaanLab ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormPermintaanPemeriksaanLabModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#versi_form').attr('placeholder', '~".$objPatientNursing->vFormPermintaanPemeriksaanLabModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>




});

</script>

</div>
</div>