<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

// simulasi error;

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	
	$json = json_decode($objPatientNursing->RegisterJson);
	$tindakanTanggal1 = $json->TindakanTanggal1;
	$tindakanTanggal2 = $json->TindakanTanggal2;
	$tindakanTanggal3 = $json->TindakanTanggal3;
	$tindakanTanggal4 = $json->TindakanTanggal4;
	$tindakanTanggal5 = $json->TindakanTanggal5;
	$statusIndex = $json->StatusIndex;
	$arrObjCompetence = HrisRefCompetence::LoadAll();

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
$umurDalamTahun = $diff->y;

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}
$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

if( strlen($objPatientNursing->vRuangSPPR) > 0 ) {
	$objRuangTujuan = HmisRefDepartment::LoadById( $objPatientNursing->vRuangSPPR);
	if( $objRuangTujuan ) {
		$RuangTujuanId = $objPatientNursing->vRuangSPPR;
		$RuangTujuan = $objRuangTujuan->Name ;
	}
}


if( strlen($objPatientNursing->vDokterSPPR) > 0 ) {
	$objDokterSPPR = HmisRefEmployee::LoadById( $objPatientNursing->vDokterSPPR);
	if( $objDokterSPPR ) {
		$DokterSPPRId = $objPatientNursing->vDokterSPPR;
		$DokterSPPR= $objDokterSPPR->FirstName ;
	}
}


?>
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr>
			<td>Nama&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr>
			<td>No. RM&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr>
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr>
			<td>Alamat&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr>
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr>
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr>
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr>
			<td>DPJP&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<script>
	// alert('<?= $umurDalamTahun; ?>');
</script>


<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">

	<div class="row" id="FormPage">

		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-header">
			    		<i class="fa fa-user"></i>
			    		<h3 class="box-title">FORM SURAT PENGANTAR PERMINTAAN RAWAT (SPPR)</h3>
				</div>
				

				<div class="row" style="height: 8px;">
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Tanggal Permintaan </b></div></span>
							<input type="text" class="form-control input-date"  data-mask="00-00-0000" name="tgl_permintaan_sppr" id="tgl_permintaan_sppr" placeholder="Tanggal Permintaan" autocomplete="off" value="<?= $objPatientNursing->vTglPermintaanSPPR ; ?>">

						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;text-align: left"><b><div  style="width:135px;">Ketentuan Rawat </div></b></span>
							<div class="form-control" style="border:none;">
								<label class="radio-inline" style="padding-top:0px;"><input type="radio" name="KetentuanRawat" id="segera" value="Segera" <?= ($objPatientNursing->vKetentuanPerawatanSPPR == 'Segera' ) ? 'checked' : '' ?>>Segera</label>
								<label class="radio-inline" style="padding-top:0px;"><input type="radio" name="KetentuanRawat" id="bisaditunda" value="Bisa Ditunda" <?= $objPatientNursing->vKetentuanPerawatanSPPR == 'Bisa Ditunda' ? 'checked' : '' ?>>Bisa Ditunda</label>
							</div>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Ruang perawatan</b></div></span>
							<select name="ruang_sppr" id="ruang_sppr" class="form-control ruang" style="width: 300px;" data-placeholder="Pilih Ruangan">
								<option value="">-- Pilih Ruangan --</option>
								<?php $objDepartment = SystemDepartment::LoadByGroupName('RUANGAN'); ?>
								<?php foreach ($objDepartment as $item) { ?> 
								<?php if( strlen($RuangTujuanId) ) { ?>
									<option value="<?= $item->Id ?>" ><?= $item->Name; ?></option>
									<option value="<?= $RuangTujuanId ?>" selected><?= $RuangTujuan ?> </option>
								<?php } }?>

								<!--<option value="<?= $objPatientNursing->vRuangSPPR ?>" selected><?= $objPatientNursing->vRuangSPPR ? HmisRefDepartment::LoadById( $objPatientNursing->vRuangSPPR)->Name : ""; ?> </option>-->
							</select>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Dokter Rawat Inap</b></div></span>
							<select name="dokter_sppr" id="dokter_sppr" class="form-control doctor" style="width: 300px;">
							<?php if( strlen($DokterSPPRId) ) { ?>
								<option value="<?= $DokterSPPRId ?>" selected><?= $DokterSPPR ?></option>
							<?php } ?>
							</select>
						</div>
					</div>
				</div>

				<!--
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Nama Pasien</b></div></span>
							<input type="text" class="form-control" name="nama_pasien" id="nama_pasien" placeholder="Nama Pasien" autocomplete="off" value="<?= $objPatientNursing->FirstName ; ?>" readonly>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Tanggal Lahir</b></div></span>
							<input type="text" class="form-control" name="tgl_lahir" id="tgl_lahir" placeholder="Tgl Lahir" autocomplete="off" value="<?= $lahir ; ?>" readonly>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>No RM</b></div></span>
							<input type="text" class="form-control" name="mr" id="mr" placeholder="No RM" autocomplete="off" value="<?= $objPatientNursing->Mr ; ?>" readonly>
						</div>
					</div>
				</div>
				-->
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Diagnosa</b></div></span>
							<input type="text" class="form-control" name="diagnosa" id="diagnosa" placeholder="Diagnosa" autocomplete="off" value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ; ?>" readonly>

						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Kebutuhan pasien <br>prioritas</b></div></span>
							<textarea name="kebutuhan_prioritas_sppr" id="kebutuhan_prioritas_sppr" rows="4" class="form-control" placeholder="Kebutuhan pasien prioritas" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKebutuhanPasienPrioritasSPPR ?></textarea>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Prosedur / Operasi</b></div></span>
							<textarea name="prosedur_operasi_sppr" id="prosedur_operasi_sppr" rows="4" class="form-control" placeholder="Prosedur / Operasi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vProsedurOperasiSPPR ?></textarea>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>DPJP</b></div></span>
							<input type="text" class="form-control" name="dpjp" id="dpjp" placeholder="DPJP" autocomplete="off" value="<?= $objPatientNursing->DoctorName ; ?>" readonly>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>GCS</b></div></span>
							<input type="text" class="form-control" name="gcs_sppr" id="gcs_sppr" placeholder="GCS" autocomplete="off" value="<?= $objPatientNursing->vGCSSPPR ; ?>">
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 135px; padding-right: 0px;" ><b>Alat Terpasang</b></div></span>
							<input type="text" class="form-control" name="alat_terpasang_sppr" id="alat_terpasang_sppr" placeholder="Alat Terpasang" autocomplete="off" value="<?= $objPatientNursing->vAlatTerpasangSPPR ; ?>">
						</div>
					</div>
				</div>



			</div>
		</div>
	</div>





<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-lg fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormSPPRModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormSPPREmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormSPPREmployeeId)->FirstName.' ('.$objPatientNursing->vFormSPPRLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormSPPRLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormSPPRTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormSPPRTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormSPPRIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormSPPR) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormSPPREmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormSPPREmployeeId)->FirstName.' ('.$objPatientNursing->vFormSPPRLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormSPPRLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormSPPRTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormSPPRTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormSPPRIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>

<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label style="float:right;padding:0px;margin-left:17px;"><input type="checkbox" id="check-setuju" name="check-setuju" style="float:left;">Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

	
function cetaklaporan() {
	parent.AppPrintPage.setTitle('Print Preview SPPR')
	parent.openAppPrintPage('<?= QApplication::UrlCreator('form-medis-rajal/print-sppr')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>');
}
$('.input-date').datepicker({
	format: "dd-mm-yyyy"
	, autoclose: true
	, endDate: null
});

function posting(mode){
	// alert('post');

	var post = {};

	post.pageId = strPageId;
	post.actorId = strActorId;
	post.nursingId = '<?= $strId ?>'; //nursing id
	post.department = strDepartmentId;

	post.mode = mode;
	if( mode=='VERIFIKASI' ){
		post.password = $('#password').val();
	}

	post.TglPermintaanSPPR = $('#tgl_permintaan_sppr').val();
	post.RuangSPPR = $('#ruang_sppr').val();
	post.DokterSPPR = $('#dokter_sppr').val();
	post.GCSSPPR = $('#gcs_sppr').val();
	post.AlatTerpasangSPPR = $('#alat_terpasang_sppr').val();

	post.KebutuhanPasienPrioritasSPPR = $('#kebutuhan_prioritas_sppr').val();
	post.ProsedurOperasiSPPR = $('#prosedur_operasi_sppr').val();

	post.KetentuanPerawatanSPPR = '';
	if( $("#segera").is(':checked') ) {
		if( post.KetentuanPerawatanSPPR ) {
			post.KetentuanPerawatanSPPR = post.KetentuanPerawatanSPPR + ',' + 'Segera';
		} else {
			post.KetentuanPerawatanSPPR = 'Segera';
		}
	}
	if( $("#bisaditunda").is(':checked') ) {
		if( post.KetentuanPerawatanSPPR ) {
			post.KetentuanPerawatanSPPR = post.KetentuanPerawatanSPPR + ',' + 'Bisa Ditunda';
		} else {
			post.KetentuanPerawatanSPPR = 'Bisa Ditunda';
		}
	}



	console.log(post);
	toastr.info('Menyimpan Data', 'Informasi');
	parent.showLoader(20);
	$.ajax({
		url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanRJ/SavePerawatanSPPR')?>"
		, data: post
		, type: "POST"
		, timeout: 20 * 1000
		, beforeSend: function(xhr){
				$('#save').hide();
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#float-validasi').hide();
				$('#save-loading').show();
		}
		, uploadProgress: function (event,position,total,percentComplete){
			// progressBar.width( percentComplete + '%' );
			// progressBar.html( '' + percentComplete + ' % Complete' );
		}
		, success: function(result){
			if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#sppr').removeClass('btn-primary').addClass('btn-success').html('SPPR <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
			} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#sppr').removeClass('btn-primary').addClass('btn-success').html('SPPR <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
			} else {
				toastr.error( result.message , 'Error');
			}
		}
		, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
		}
		, error: function(xhr,status,error){
			console.log(xhr);
			alert('Gagal menyimpan data');
		}
	});

}


var urlRuang = "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmenRanap/?pageId=')?><?=$strPageId?>&search=";
$('.ruang').each(function () {
    $(this).ajaxChosen({
        type: 'GET' 
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmenRanap/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return urlRuang + strSearch
        }
    });
});

var urlDoctor = "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>&search=";
$('.doctor').each(function () {
    $(this).ajaxChosen({
        type: 'GET' 
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return urlDoctor + strSearch
        }
    });
});


$('#save').addClass('disabled');
$('#float-simpan').addClass('disabled');

$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
  $(this).on('input', function() {
	parent.boolChange = true;
	$('#save').removeClass('disabled');
	$('#float-simpan').removeClass('disabled');
  });
});
$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
  $(this).on('change', function() {
	parent.boolChange = true;
	$('#save').removeClass('disabled');
	$('#float-simpan').removeClass('disabled');
  });
});
$('.ruang, .doctor').each(function() {
  const chosenInput = $(this).chosen();
  $(this).on('change', function() {
    parent.boolChange = true;
    $('#save').removeClass('disabled');
    $('#float-simpan').removeClass('disabled');
  });
});

	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function () {
		posting('DRAFT');
	});

	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });

    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormSPPRModifiedVersion != "" ? $objPatientNursing->vFormSPPRModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});
$('#content').ready(function(){
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormSPPR ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormSPPRModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi-modal').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		//$('#versi_form').val('".$objPatientNursing->vFormSPPRModifiedVersion."');
	" : "" ?>
$("#ruang_sppr").chosen({
	no_results_text: 'Tidak ditemukan'
	, width: '100% !important;'
	, allow_single_deselect: true
});
	
});

</script>

</div>
</div>