<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

// simulasi error;

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	
	$json = json_decode($objPatientNursing->RegisterJson);
	$tindakanTanggal1 = $json->TindakanTanggal1;
	$tindakanTanggal2 = $json->TindakanTanggal2;
	$tindakanTanggal3 = $json->TindakanTanggal3;
	$tindakanTanggal4 = $json->TindakanTanggal4;
	$tindakanTanggal5 = $json->TindakanTanggal5;
	$statusIndex = $json->StatusIndex;
	$arrObjCompetence = HrisRefCompetence::LoadAll();

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
$umurDalamTahun = $diff->y;

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}
$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);
?>
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
	.chosen-container
	{
		width: 100% !important;
	}
	.uniqueClassTextAlignRight {
		text-align: right;
	}
	tfoot .uniqueClassTextAlignRight {
		padding-right: 8px !important;
	}
	.uniqueClassTextAlignCenter {
		text-align: center;
	}
	.uniqueClassHidden {
		display: none;
	}
	.uniqueClassDisplayHidden {
		display: none;
	}
	.uniqueClassDisplayNone {
		display: none;
	}

	.dataTables_length {
		padding-left: 15px;
		padding-top: 10px;
		padding-right: 40px;
	}
	.subform-diagnosa {
		padding-bottom: 20px;
	}
	#aktifitas .col-md-1,
	#aktifitas .col-md-10,
	#aktifitas .col-md-11,
	#aktifitas .col-md-12,
	#aktifitas .col-md-2,
	#aktifitas .col-md-3,
	#aktifitas .col-md-4,
	#aktifitas .col-md-5,
	#aktifitas .col-md-6,
	#aktifitas .col-md-7,
	#aktifitas .col-md-8,
	#aktifitas .col-md-9 {
		padding-left: 8px !important;
		padding-right: 7px !important;
	}
	.form-horizontal .form-group {margin-bottom: 10px;}
	.visit.off, .non-visit.off { display: none;}
	.btn.toolbar {margin-left: 10px;}
	#search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
	.pemeriksaan-selesai .action { display: none; }
</style>
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<script>
	// alert('<?= $umurDalamTahun; ?>');
</script>

<div id="e-rm-form-gizi" class="hidden">true</div>

<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>

<div class="row">
	<div class="col-xs-12">
		<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
			<div class="box-header">
				<i class="fa fa-user"></i>
				<h3 class="box-title">Data Pasien</h3>
			</div>
			<div class="box-body">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Nama</label>
							<div class="col-sm-8">
								<?php
								$namaPasien = ViewHelper::autoFullName($objPatientNursing->FirstName, $objHmisPatient->Predicate, $objPatientNursing->CreateTime->Timestamp, $objPatientNursing->DateOfBirth->Timestamp, $objPatientNursing->Gender);
								?>
								<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $namaPasien ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Alamat</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Umur</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="dpjp" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
							</div>
						</div>
						<?php if($objPatientNursing->NursingCategory == 3){ ?>
							<div class="form-group">
								<label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
								<div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
									<input type="text" class="form-control input-sm" id="ppjp" required value="<?= $strPpjp ?>" readonly>
								</div>
							</div>
						<?php } ?>

					</div>


					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
							<div class="col-sm-8">
								<?php
								if($objPatientNursing->DepartmentName){
									$namaDepartemen = $objPatientNursing->DepartmentName;
								}elseif($objPatientNursing->TransferDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->TransferDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}elseif($objPatientNursing->StartCheckinDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->StartCheckinDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}
								?>
								<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $namaDepartemen ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">TT</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" required value="<?= $objPatientNursing->NursingBedName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="dxU" id="dxU" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">ID</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>
<!-- <form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/StartService')?>" > -->
	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>
				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >SURAT KETERANGAN RAWAT INAP | Khusus untuk Peserta BPJS Kesehatan</div>
				</div>
				<div class="row" style="margin-bottom: 2px;">
				<div class="col-md-6" style="margin-bottom: 5px;">
					<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 160px; padding-right: 5px; margin-top: 3px;" ><b>Kepala Ruangan</b></div></span>
						<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="kepala_ruangan_kbpjs" id="kepala_ruangan_kbpjs" data-placeholder="Kepala Ruangan">
						<option value="<?= $objPatientNursing->vKepalaRuanganKBPJSId ; ?>" selected ><?= $objPatientNursing->vKepalaRuanganKBPJSNama; ?></option>
						</select>
					</div>
				</div>
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 160px; padding-right: 5px; margin-top: 3px;" ><b>UPF</b></div></span>
							<input type="text" class="form-control" name="upf" id="upf" placeholder="UPF" autocomplete="off" value="<?= $objPatientNursing->vUpf ?>">
						</div>
					</div>
				</div>


			</div>
		</div>
	</div>
	

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>
				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 160px; padding-right: 5px; margin-top: 3px;" ><b>Nama pemegang Kp BPJS</b></div></span>
							<input type="text" class="form-control" name="nama_pemegang_kp_bpjs" id="nama_pemegang_kp_bpjs" placeholder="Nama pemegang Kp BPJS" autocomplete="off" value="<?= $objPatientNursing->vNamaPemegangKpBpjs ?>">
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 160px; padding-right: 5px; margin-top: 3px;" ><b>Status Penderita BPJS</b></div></span>
							<input type="text" class="form-control" name="status_penderita_bpjs" id="status_penderita_bpjs" placeholder="Status Penderita BPJS" autocomplete="off" value="<?= $objPatientNursing->vStatusPenderitaBpjs ?>">
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 160px; padding-right: 5px; margin-top: 3px;" ><b>Rujukan dari</b></div></span>
							<input type="text" class="form-control" name="rujukan_dari" id="rujukan_dari" placeholder="Rujukan dari" autocomplete="off" value="<?= $objPatientNursing->vRujukanDari ?>">
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 160px; padding-right: 5px; margin-top: 3px;" ><b>Nomor dan Tgl.Rujukan</b></div></span>
							<input type="text" style='width:20%' class="form-control" name="nomor_rujukan" id="nomor_rujukan" placeholder="Nomor rujukan" autocomplete="off" value="<?= $objPatientNursing->vNomorRujukan ?>">
							<input type="text" style='width:80%'  class="form-control" name="tanggal_rujukan" id="tanggal_rujukan" class="datepicker" data-date-format="dd-mm-yyyy" data-provide="datepicker" placeholder="Tanggal rujukan" autocomplete="off" value="<?= $objPatientNursing->vTanggalRujukan ?>">

						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 160px; padding-right: 5px; margin-top: 3px;" ><b>Telah dirawat sejak tanggal</b></div></span>
							<input type="text" class="form-control" name="telah_di_rawat_sejak_tanggal" class="datepicker" data-date-format="dd-mm-yyyy" data-provide="datepicker" id="telah_di_rawat_sejak_tanggal" placeholder="Telah dirawat sejak tanggal" autocomplete="off" value="<?= $objPatientNursing->vTelahDiRawatSejakTanggal ?>">
						</div>
					</div>
				</div>
		</div>
	</div>
	</div>


	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>
				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 160px; padding-right: 5px; margin-top: 3px;" ><b>MRS Jam</b></div></span>
							<input type="text" class="form-control timepicker" name="mrs_jam" id="mrs_jam" placeholder="MRS Jam" autocomplete="off" value="<?= $objPatientNursing->vMrsJam ?>">
						</div>
					</div>
					<div class="col-md-6">
					<div class="input-group">
						<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 160px; padding-right: 5px; margin-top: 3px;" ><b>Diagnosa</b></div></span>
						<input type="text" class="form-control" name="diagnosa" id="diagnosa" placeholder="Diagnosa" autocomplete="off" value="<?= $objPatientNursing->vDiagnosa ?>">
					</div>
				</div>
				</div>

				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 160px; padding-right: 5px; margin-top: 3px;" ><b>ICD</b></div></span>
							<input type="text" class="form-control" name="icd" id="icd" placeholder="ICD" autocomplete="off" value="<?= $objPatientNursing->vIcd ?>">
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 160px; padding-right: 5px; margin-top: 3px;" ><b>Kode Grouper</b></div></span>
							<input type="text" class="form-control" name="kode_grouper" id="kode_grouper" placeholder="Kode Grouper" autocomplete="off" value="<?= $objPatientNursing->vKodeGrouper ?>">
						</div>
					</div>
				</div>





				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 160px; padding-right: 5px; margin-top: 3px;" ><b>Biaya Klaim</b></div></span>
							<input type="text" class="form-control" name="biaya_klaim" id="biaya_klaim" placeholder="Biaya Klaim" autocomplete="off" value="<?= $objPatientNursing->vBiayaKlaim ?>">
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>


	<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
		<div class="box-body" style="padding-top:0px;">
			<div class="row">
				<div class="col-md-6">
					<label class="control-label" for="tanggal_pengisian"><b>Tanggal Pengisian</b></label>
					<div class="input-group">
						<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
						<input id="tanggal_pengisian" type="text" class="form-control input-date" name="tanggal_pengisian" placeholder="dd-mm-YYYY" value="<?= $objPatientNursing->vTanggalPengisianKBPJS ?>" style="z-index:0" data-mask="00-00-0000">
					</div>
				</div>
				<div class="col-md-6">
					<label class="control-label" for="jam_pengisian"><b>Jam Pengisian</b></label>
					<div class="input-group">
						<span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
						<input id="jam_pengisian" type="text" class="form-control timepicker" name="jam_pengisian" placeholder="HH:mm" value="<?= $objPatientNursing->vJamPengisianKBPJS ?>" style="z-index:0" data-mask="00:00">
					</div>
				</div>
			</div>
		</div>
	</div>	


<!-- </form> -->

<div class="row">
	<div class="col-xs-6">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Tunggu</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<!--<button id="saveback" class="btn btn-success"><i class="fa fa-save"></i> Simpan dan Kembali</button>-->
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
	</div>
	<div class="col-xs-6 btn-group">
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>


<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

		<div>
			<hr>
			<label><b>Password<b></label>
			<input type="password" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
			<div class="checkbox">
				<label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
			</div>
		</div>
	  </div>
	  <div class="modal-footer">
		<!-- <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button> -->
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>
<!-- Modal -->


<style>

.ui-state-focus
{
	color:White;
	background:#96B202;
	outline:none;
}
.ui-autocomplete-wrapper {
}
.ui-autocomplete {
	list-style-type: none;
	padding: 0;
	font-weight: bold;
}

</style>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
	$('#kepala_ruangan_kbpjs').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function unInitialize() {
		setTimeout(function(){
			Reflect.deleteProperty(window, 'FormGizi');
		},100);
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
		console.log(Id);
		setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		posting('DRAFT');
	});
	
	$('#content').off('click', '#saveback').on('click', '#saveback', function (event) {
		posting('DRAFT');
		back();
		unInitialize();
	});


	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function (event) {
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
		back();
		unInitialize();
	});
	
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		posting('DRAFT');
	});


	$('#float-print').click(function(){
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		printPreview('ina', '<?= QApplication::UrlCreator('hmis-patient-medical-service-rnap/print-surat-rnap-bpjs') ?>', strOption);
	})
	
	$(document).off('click','#float-kembali').on('click','#float-kembali',function(){
		$('#float-kembali').hide();
		$('#backList').hide();
		$('#float-kembali-loading').show();
		$('#backList_loading').show();
		setContent(goBackLink(),'content');
	});

	$('#cetak_laporan').click(function(){
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		printPreview('ina', '<?= QApplication::UrlCreator('hmis-patient-medical-service-rnap/print-surat-rnap-bpjs') ?>', strOption);
	})

	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.KepalaRuanganKBPJSId = $('#kepala_ruangan_kbpjs').val();

		post.UpfKBPJS = $('#upf').val();
		post.NamaPemegangKpBpjsKBPJS = $('#nama_pemegang_kp_bpjs').val();
		post.StatusPenderitaBpjsKBPJS = $('#status_penderita_bpjs').val();
		post.RujukanDariKBPJS = $('#rujukan_dari').val();
		post.NomorRujukanKBPJS = $('#nomor_rujukan').val();
		post.TanggalRujukanKBPJS = $('#tanggal_rujukan').val();
		post.DiRuangPerawatanKelasKBPJS = $('#di_ruang_perawatan_kelas').val();
		post.TelahDiRawatSejakTanggalKBPJS = $('#telah_di_rawat_sejak_tanggal').val();
		post.MrsJamKBPJS = $('#mrs_jam').val();
		post.DiagnosaKBPJS = $('#diagnosa').val();
		post.IcdKBPJS = $('#icd').val();
		post.KodeGrouperKBPJS = $('#kode_grouper').val();
		post.BiayaKlaimKBPJS = $('#biaya_klaim').val();

		post.TanggalPengisianKBPJS = $('#tanggal_pengisian').val();
		post.JamPengisianKBPJS = $('#jam_pengisian').val();
		
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingMedicalRecord/SaveAssessmentSuratRnapBpjs')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save-menu').hide();
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');

				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');

				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save-menu').show();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#nama_dokter_bedah").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		__timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#gizi_status").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_biokimia").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_klinis").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pola_makan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_susunan_makanan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pemberian_asi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_diagnosa").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '350px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_evaluasi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
};

$('#content').ready(function(){
	FormGizi();
});
</script>