 
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(),$objPatientNursing->CreateTime->getTimestamp(),false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<!-- 
<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script> 
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>-->
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">


<div class="box box-info form-horizontal box-info-pasien" style="border-radius:5px;border:1px solid #eee;">
    <div class="box-body" style="padding:20px;">
        <div class="row">
            <div class="col-sm-6 col-md-6 col-lg-4">
                <label class="control-label" for="tanggal_pindah_form_transfer_pasien_intra_rs"><b>Tanggal Pindah</b></label>
                <div class="input-group" style="width:100%;">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggal_pindah_form_transfer_pasien_intra_rs" type="text"  data-mask="00-00-0000" class="form-control input-date" name="tanggal_pindah_form_transfer_pasien_intra_rs" placeholder="dd-mm-YYYY" value="<?= $objPatientNursing->vTanggalPindahTpiRs != "" ? $objPatientNursing->vTanggalPindahTpiRs : date("d-m-Y") ?>" style="z-index:0" >
                </div>
            </div>
            <div class="col-sm-6 col-md-6 col-lg-4">
                <label class="control-label" for="jam_pindah_form_transfer_pasien_intra_rs"><b>Jam Pindah</b></label>
                <div class="input-group" style="width:100%;">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jam_pindah_form_transfer_pasien_intra_rs" data-mask="00:00" type="text" class="form-control" name="jam_pindah_form_transfer_pasien_intra_rs" placeholder="HH:mm" value="<?= $objPatientNursing->vJamPindahTpiRs != "" ? $objPatientNursing->vJamPindahTpiRs : date("H:i") ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
			
            <div class="col-sm-6 col-md-6 col-lg-4">
                <label class="control-label" for="pindah_ke_ruang_form_transfer_pasien_intra_rs"><b>Pindah ke ruang / kamar</b></label>
                <div class="input-group" style="width:100%;">
					<select name="ruang_pindah_tpirs" id="ruang_pindah_tpirs" class="form-control ruang" style="width: 300px;" data-placeholder="Pilih Ruangan">
						<option value=""></option>
							<option value="<?= $objPatientNursing->vPindahKeRuangTpiRsId ?>" selected><?= $objPatientNursing->vPindahKeRuangTpiRsNama ?> </option>
					</select>
				</div>
            </div>
            <div class="col-sm-6 col-md-6 col-lg-4">
                <label class="control-label" for="diagnosa_masuk_form_transfer_pasien_intra_rs"><b>Diagnosa Masuk</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="diagnosa_masuk_form_transfer_pasien_intra_rs" type="text" class="form-control" name="diagnosa_masuk_form_transfer_pasien_intra_rs" placeholder="Diagnosa Masuk" value="<?= $objPatientNursing->vDiagnosaMasukTpiRs ?>">
                </div>
            </div>
            <div class="col-sm-6 col-md-6 col-lg-4">
                <label class="control-label" for="diagnosa_sekarang_form_transfer_pasien_intra_rs"><b>Diagnosa sekarang</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="diagnosa_sekarang_form_transfer_pasien_intra_rs" type="text" class="form-control" name="diagnosa_sekarang_form_transfer_pasien_intra_rs" placeholder="Diagnosa sekarang" value="<?= $objPatientNursing->vDiagnosaSekarangTpiRs ?>">
                </div>
            </div>
        </div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="border-radius:5px;border:1px solid #eee;">
    <div class="box-header" style="border-bottom:1px solid #e9e9ef;padding:14px 20px;">
		<!--<i class="fa fa-male"  style="border:1px solid #333;float:left;width:26px;height:26px;line-height:24px!important;text-align:center;font-size:18px!important;border-radius:3px;margin-right:10px!important;color:#fff;background:#495057;cursor:pointer;"></i>-->
		<h2 class="box-title" style="margin:0px;line-height:24px;font-size:16px;color:#495057;">PEMERIKSAAN FISIK</h2>
    </div>
    <div class="box-body" style="padding:20px;">
        <div class="row">
            <div class="col-sm-6 col-md-6 col-lg-4">
                <label class="control-label" for="keadaan_umum_tpirs"><b>Keadaan Umum</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="keadaan_umum_tpirs" type="text" class="form-control" name="keadaan_umum_tpirs" placeholder="Keadaan Umum" value="<?= $objPatientNursing->vKeadaanUmumTpiRs ?>">
                </div>
            </div>
            <div class="col-sm-6 col-md-6 col-lg-4">
                <label class="control-label" for="kesadaran_tpirs"><b>Kesadaran</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="kesadaran_tpirs" type="text" class="form-control" name="kesadaran_tpirs" placeholder="Keadaan Umum" value="<?= $objPatientNursing->vKesadaranTpiRs ?>">
                </div>
            </div>
            <div class="col-sm-6 col-md-6 col-lg-4">
                <label class="control-label" for="sistolik"><b>Tekanan Darah</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name='sistolik' id='sistolik' placeholder="Sistolik" autocomplete="off" style="width:50%;text-align:;" value="<?= $objPatientNursing->vSistolikTpiRs ; ?>">
					<input type="text" class="form-control" name='diastolik' id='diastolik' placeholder="Diastolik" autocomplete="off" style="border-width:1px 1px 1px 0px;width:50%;text-align:;" value="<?= $objPatientNursing->vDiastolikTpiRs ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:50px;">mmHg</div></span>
				</div>
			</div>
            <div class="col-sm-6 col-md-6 col-lg-4">
                <label class="control-label" for="status_suhu"><b>Suhu</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="status_suhu" id='status_suhu' placeholder="Suhu" autocomplete="off"  value="<?= $objPatientNursing->vSuhuTpiRs ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:50px;">&#176;C</div></span>
				</div>
			</div>
            <div class="col-sm-6 col-md-6 col-lg-4">
                <label class="control-label" for="status_nadi"><b>Nadi</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="status_nadi" id='status_nadi' placeholder="Nadi" autocomplete="off"  value="<?= $objPatientNursing->vNadiTpiRs ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:50px;">x/mnt</div></span>
				</div>
			</div>
            <div class="col-sm-6 col-md-6 col-lg-4">
                <label class="control-label" for="status_respirasi"><b>Respirasi Rate</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="status_respirasi" id='status_respirasi' placeholder="Resp" autocomplete="off"  value="<?= $objPatientNursing->vRespirationRateTpiRs ; ?>">
					<span class="input-group-addon"  style="font-weight:600;"><div style="width:50px;">x/mnt</div></span>
				</div>
			</div>
            <div class="col-sm-12">
                <label class="control-label" for="keluhan_tpirs"><b>Keluhan</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="keluhan_tpirs" id='keluhan_tpirs' placeholder="Keluhan" autocomplete="off"  value="<?= $objPatientNursing->vKeluhanTpiRs ; ?>">
				</div>
			</div>
            <div class="col-sm-12">
                <label class="control-label" for="riwayat_penyakit_tpirs"><b>Riwayat Penyakit</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="riwayat_penyakit_tpirs" id='riwayat_penyakit_tpirs' placeholder="Riwayat Penyakit" autocomplete="off"  value="<?= $objPatientNursing->vRiwayatPenyakitTpiRs ; ?>">
				</div>
			</div>
            <div class="col-sm-12">
                <label class="control-label" for="riwayat_alergi_tpirs"><b>Riwayat Alergi</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="riwayat_alergi_tpirs" id='riwayat_alergi_tpirs' placeholder="Riwayat Alergi" autocomplete="off"  value="<?= $objPatientNursing->vRiwayatAlergiTpiRs ; ?>">
				</div>
			</div>
            <div class="col-sm-12">
                <label class="control-label" for="alasan_pindah_ruangan_tpirs"><b>Alasan Pindah Ruangan</b></label>
                <div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="alasan_pindah_ruangan_tpirs" id='alasan_pindah_ruangan_tpirs' placeholder="Alasan Pindah Ruangan" autocomplete="off"  value="<?= $objPatientNursing->vAlasanPindahRuanganTpiRs ; ?>">
				</div>
			</div>
		</div>
	</div>
</div>





<div class="box box-info form-horizontal box-info-pasien" style="border-radius:5px;border:1px solid #eee;">
    <div class="box-header" style="border-bottom:1px solid #e9e9ef;padding:14px 20px;">
	<!--	<i class="fa fa-heartbeat"  style="border:1px solid #333;float:left;width:26px;height:26px;line-height:24px!important;text-align:center;font-size:18px!important;border-radius:3px;margin-right:10px!important;color:#fff;background:#495057;cursor:pointer;"></i>-->
		<h2 class="box-title" style="margin:0px;line-height:24px;font-size:16px;color:#495057;">PEMERIKSAAN DIAGNOSIS YANG SUDAH DILAKUKAN</h2>
    </div>
    <div class="box-body" style="padding:20px;">
        <div class="row">
            <div class="col-sm-6 col-md-6 col-lg-3">
                <label class="control-label" for="laboratorium_tpirs"><b>Laboratorium</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="laboratorium_tpirs" type="text" class="form-control" name="laboratorium_tpirs" placeholder="Laboratorium" value="<?= $objPatientNursing->vLaboratoriumTpiRs ?>">
                </div>
            </div>
            <div class="col-sm-6 col-md-6 col-lg-3">
                <label class="control-label" for="ct_scan_tpirs"><b>CT Scan</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="ct_scan_tpirs" type="text" class="form-control" name="ct_scan_tpirs" placeholder="CT Scan" value="<?= $objPatientNursing->vCtScanTpiRs ?>">
                </div>
            </div>
            <div class="col-sm-6 col-md-6 col-lg-3">
                <label class="control-label" for="endoscopi_tpirs"><b>Endoscopi</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="endoscopi_tpirs" type="text" class="form-control" name="endoscopi_tpirs" placeholder="Endoscopi" value="<?= $objPatientNursing->vEndoscopiTpiRs ?>">
                </div>
            </div>
            <div class="col-sm-6 col-md-6 col-lg-3">
                <label class="control-label" for="ctg_tpirs"><b>CTG</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="ctg_tpirs" type="text" class="form-control" name="ctg_tpirs" placeholder="CTG" value="<?= $objPatientNursing->vCTGTpiRs ?>">
                </div>
            </div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-top:15px;">
				<div class="form-control" style="height:auto;">
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="rencana_observasi_potensi_jalan_nafas_ekg"  <?= ( stripos( '@'.$objPatientNursing->vPemeriksaanTpiRs , 'EKG' ) > 0 ) ? 'checked' : '' ?>>EKG</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="rencana_observasi_potensi_jalan_nafas_thorax_foto"  <?= ( stripos( '@'.$objPatientNursing->vPemeriksaanTpiRs , 'Thorax foto' ) > 0 ) ? 'checked' : '' ?>>Thorax foto</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="rencana_observasi_potensi_jalan_nafas_foto_cervical"  <?= ( stripos( '@'.$objPatientNursing->vPemeriksaanTpiRs , 'Foto Cervical / Vetebrata' ) > 0 ) ? 'checked' : '' ?>>Foto Cervical / Vetebrata</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="rencana_observasi_potensi_jalan_nafas_foto_genu"  <?= ( stripos( '@'.$objPatientNursing->vPemeriksaanTpiRs , 'Foto Genu / Femur' ) > 0 ) ? 'checked' : '' ?>>Foto Genu / Femur</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="rencana_observasi_potensi_jalan_nafas_foto_abdomen"  <?= ( stripos( '@'.$objPatientNursing->vPemeriksaanTpiRs , 'Foto Abdomen' ) > 0 ) ? 'checked' : '' ?>>Foto Abdomen</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="rencana_observasi_potensi_jalan_nafas_spirometri"  <?= ( stripos( '@'.$objPatientNursing->vPemeriksaanTpiRs , 'Spirometri' ) > 0 ) ? 'checked' : '' ?>>Spirometri</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="rencana_observasi_potensi_jalan_nafas_echo"  <?= ( stripos( '@'.$objPatientNursing->vPemeriksaanTpiRs , 'Echo / Treadmill' ) > 0 ) ? 'checked' : '' ?>>Echo / Treadmill</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="rencana_observasi_potensi_jalan_nafas_usg_mri"  <?= ( stripos( '@'.$objPatientNursing->vPemeriksaanTpiRs , 'USG / MRI / A' ) > 0 ) ? 'checked' : '' ?>>USG / MRI / A</label>
				</div>
			</div>
            <div class="col-sm-12 col-md-12 col-lg-12">
                <label class="control-label" for="pemeriksaan_lain"><b>Lain-lain</b></label>
                <div class="input-group" style="width:100%;">
                    <input id="pemeriksaan_lain" type="text" class="form-control" name="pemeriksaan_lain" placeholder="Lain-lain" value="<?= $objPatientNursing->vPemeriksaanLainTpiRs ?>">
                </div>
            </div>
		</div>
	</div>
</div>




<div class="box box-info form-horizontal box-info-pasien" style="border-radius:5px;border:1px solid #eee;">
    <div class="box-header" style="border-bottom:1px solid #e9e9ef;padding:14px 20px;">
		<h2 class="box-title" style="margin:0px;line-height:24px;font-size:16px;color:#495057;">TINDAKAN MEDIS YANG SUDAH DILAKUKAN</h2>
    </div>
    <div class="box-body" style="padding:20px;">
        <div class="row">
			<div class="col-sm-12 col-md-12 col-lg-12">
				<div class="input-group" style="width:100%;">
					<textarea name="tindakan_yang_sudah_dilakukan" id="tindakan_yang_sudah_dilakukan" class="form-control autoresize" placeholder="Tindakan Medis Yang Sudah Dilakukan"  style="min-height:70px;overflow: hidden; word-wrap: break-word; resize: none; width: 100%;"><?= $objPatientNursing->vTindakanMedisYangSudahDilakukanTpiRs ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="border-radius:5px;border:1px solid #eee;">
    <div class="box-header" style="border-bottom:1px solid #e9e9ef;padding:14px 20px;">
		<h2 class="box-title" style="margin:0px;line-height:24px;font-size:16px;color:#495057;">PEMBERIAN TERAPI</h2>
    </div>
    <div class="box-body" style="padding:20px;">
        <div class="row">
			<div class="col-sm-6 col-md-6 col-lg-3" style="">
				<label class="control-label" for="tanggal_pemberian_terapi"><b>Tanggal Pemberian Terapi</b></label>
				<div class="input-group" style="width:100%;">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
					<input id="tanggal_pemberian_terapi" data-mask="00-00-0000" type="text" class="form-control input-date" name="tanggal_pemberian_terapi" placeholder="dd-mm-yyyy" value="<?= $objPatientNursing->vTanggalPemberianTerapiTpiRs ?>">
				</div>
			</div>
			<div class="col-sm-6 col-md-6 col-lg-3" style="">
				<label class="control-label" for="jam_pemberian_terapi"><b>Jam Pemberian Terapi</b></label>
				<div class="input-group" style="width:100%;">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
					<input id="jam_pemberian_terapi" data-mask="00:00" type="text" class="form-control" name="jam_pemberian_terapi" placeholder="HH:mm" value="<?= $objPatientNursing->vJamPemberianTerapiTpiRs ?>">
				</div>
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6" style="">
				<label class="control-label" for="infus_tpirs"><b>Infus</b></label>
				<div class="input-group" style="width:100%;">
					<input id="infus_tpirs" type="text" class="form-control" name="infus_tpirs" placeholder="Infus" value="<?= $objPatientNursing->vInfusTpiRs ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-sm-12 col-md-12 col-lg-12">
                <label class="control-label" for="obat_injeksi"><b>Obat Injeksi</b></label>
				<div class="input-group" style="width:100%;">
					<textarea name="obat_injeksi" id="obat_injeksi" class="form-control autoresize" placeholder="Obat Injeksi"  style="min-height:70px;overflow: hidden; word-wrap: break-word; resize: none; width: 100%;"><?= $objPatientNursing->vObatIenjeksiTpiRs ?></textarea>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-sm-12 col-md-12 col-lg-12">
                <label class="control-label" for="obat_oral"><b>Obat Oral</b></label>
				<div class="input-group" style="width:100%;">
					<textarea name="obat_oral" id="obat_oral" class="form-control autoresize" placeholder="Obat Oral"  style="min-height:70px;overflow: hidden; word-wrap: break-word; resize: none; width: 100%;"><?= $objPatientNursing->vObatOralTpiRs ?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>




<div class="box box-info form-horizontal box-info-pasien" style="border-radius:5px;border:1px solid #eee;">
    <div class="box-header" style="border-bottom:1px solid #e9e9ef;padding:14px 20px;">
		<h2 class="box-title" style="margin:0px;line-height:24px;font-size:16px;color:#495057;">RENCANA KONSULTASI</h2>
    </div>
    <div class="box-body" style="padding:20px;">
		<div class="row">
			<div class="col-md-12" style="">
				<label class="control-label" for="form_konsul_tpirs"><b>Form Konsul</b></label>
				<div class="form-control" style="height:auto;">
					<label class="radio-inline" style="padding-top:0px;"  ><input type="radio" name="form_konsul" id="form_konsul_terlampir"  <?= ( stripos( '@'.$objPatientNursing->vFormKonsulTpiRs , 'Terlampir' ) > 0 ) ? 'checked' : '' ?>>Terlampir</label>
					<label class="radio-inline" style="padding-top:0px;"  ><input type="radio" name="form_konsul" id="form_konsul_tidak"  <?= ( stripos( '@'.$objPatientNursing->vFormKonsulTpiRs , 'Tidak' ) > 0 ) ? 'checked' : '' ?>>Tidak</label>
				</div>
			</div>
		</div>
        <div class="row">
			<div class="col-sm-12 col-md-12 col-lg-12">
				<label class="control-label" for="terapi_tpirs"><b>Terapi</b></label>
				<div class="input-group" style="width:100%;">
					<textarea name="terapi_tpirs" id="terapi_tpirs" class="form-control autoresize" placeholder="Tindakan Medis Yang Sudah Dilakukan"  style="min-height:70px;overflow: hidden; word-wrap: break-word; resize: none; width: 100%;"><?= $objPatientNursing->vTerapiTpiRs ?></textarea>
				</div>
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6" style="">
				<label class="control-label" for="rencana_pemeriksaan_lab"><b>Rencana pemeriksaan Lab/Radiologi</b></label>
				<div class="input-group" style="width:100%;">
					<input id="rencana_pemeriksaan_lab" type="text" class="form-control" name="rencana_pemeriksaan_lab" placeholder="Rencana pemeriksaan Lab/Radiologi" value="<?= $objPatientNursing->vRencanaPemeriksaanLabRadTpiRs ?>">
				</div>
			</div>
			<div class="col-sm-12 col-md-6 col-lg-6" style="">
				<label class="control-label" for="rencana_tindakan_lebih_lanjut"><b>Rencana tindakan lebih lanjut</b></label>
				<div class="input-group" style="width:100%;">
					<input id="rencana_tindakan_lebih_lanjut" type="text" class="form-control" name="rencana_tindakan_lebih_lanjut" placeholder="Rencana tindakan lebih lanjut" value="<?= $objPatientNursing->vRencanaTindakanLebihLanjutTpiRs ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="">
				<label class="control-label" for="hasil_pemeriksaan"><b>Hasil Pemeriksaan</b></label>
				<div class="form-control" style="height:auto;">
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="hasil_pemeriksaan_laboratorium"  <?= ( stripos( '@'.$objPatientNursing->vHasilPemeriksaanTpiRs , 'Laboratorium' ) > 0 ) ? 'checked' : '' ?>>Laboratorium</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="hasil_pemeriksaan_radiologi"  <?= ( stripos( '@'.$objPatientNursing->vHasilPemeriksaanTpiRs , 'Radiologi' ) > 0 ) ? 'checked' : '' ?>>Radiologi</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="hasil_pemeriksaan_lain_lain"  <?= ( stripos( '@'.$objPatientNursing->vHasilPemeriksaanTpiRs , 'Lain-lain' ) > 0 ) ? 'checked' : '' ?>>Lain-lain</label>
				</div>
			</div>
			<div class="col-md-12" style="">
				<label class="control-label" for="dokumen_yang_disertakan"><b>Dokumen yang disertakan</b></label>
				<div class="form-control" style="height:auto;">
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="dokumen_yang_disertakan_surat_masuk_perawatan"  <?= ( stripos( '@'.$objPatientNursing->vDokumenYangDisertakanTpiRs , 'Surat masuk perawatan' ) > 0 ) ? 'checked' : '' ?>>Surat masuk perawatan</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="dokumen_yang_disertakan_berkas_rekam_medis"  <?= ( stripos( '@'.$objPatientNursing->vDokumenYangDisertakanTpiRs , 'Berkas Rekam Medis' ) > 0 ) ? 'checked' : '' ?>>Berkas Rekam Medis</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="dokumen_yang_disertakan_gelang_nama"  <?= ( stripos( '@'.$objPatientNursing->vDokumenYangDisertakanTpiRs , 'Gelang Nama' ) > 0 ) ? 'checked' : '' ?>>Gelang Nama</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="dokumen_yang_disertakan_catatan_terintegrasi"  <?= ( stripos( '@'.$objPatientNursing->vDokumenYangDisertakanTpiRs , 'Catatan terintegrasi yang berisi instruksi/therapi' ) > 0 ) ? 'checked' : '' ?>>Catatan terintegrasi yang berisi instruksi/therapi</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="dokumen_yang_disertakan_surat_rujukan"  <?= ( stripos( '@'.$objPatientNursing->vDokumenYangDisertakanTpiRs , 'Surat Rujukan' ) > 0 ) ? 'checked' : '' ?>>Surat Rujukan</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="dokumen_yang_disertakan_jaringan_pa"  <?= ( stripos( '@'.$objPatientNursing->vDokumenYangDisertakanTpiRs , 'Jaringan PA' ) > 0 ) ? 'checked' : '' ?>>Jaringan PA</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="dokumen_yang_disertakan_laporan_operasi"  <?= ( stripos( '@'.$objPatientNursing->vDokumenYangDisertakanTpiRs , 'Laporan Operasi / Tindakan' ) > 0 ) ? 'checked' : '' ?>>Laporan Operasi / Tindakan</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="dokumen_yang_disertakan_inform_consent"  <?= ( stripos( '@'.$objPatientNursing->vDokumenYangDisertakanTpiRs , 'Inform Consent' ) > 0 ) ? 'checked' : '' ?>>Inform Consent</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="dokumen_yang_disertakan_lain_lain"  <?= ( stripos( '@'.$objPatientNursing->vDokumenYangDisertakanTpiRs , 'Lain-lain' ) > 0 ) ? 'checked' : '' ?>>Lain-lain</label>
				</div>
			</div>
			<div class="col-md-12" style="">
				<label class="control-label" for="mobilisasi"><b>Mobilisasi</b></label>
				<div class="form-control" style="height:auto;">
					<label class="radio-inline" style="padding-top:0px;"  ><input type="radio" name="mobilisasi_mandiri" id="mobilisasi_mandiri"  <?= ( stripos( '@'.$objPatientNursing->vMobilisasiTpiRs , 'Mandiri' ) > 0 ) ? 'checked' : '' ?>>Mandiri</label>
					<label class="radio-inline" style="padding-top:0px;"  ><input type="radio" name="mobilisasi_mandiri" id="mobilisasi_dibantu"  <?= ( stripos( '@'.$objPatientNursing->vMobilisasiTpiRs , 'Dibantu' ) > 0 ) ? 'checked' : '' ?>>Dibantu</label>
					<label class="radio-inline" style="padding-top:0px;"  ><input type="radio" name="mobilisasi_mandiri" id="mobilisasi_dibantu_penuh"  <?= ( stripos( '@'.$objPatientNursing->vMobilisasiTpiRs , 'Dibantu Penuh' ) > 0 ) ? 'checked' : '' ?>>Dibantu Penuh</label>
				</div>
			</div>
			<div class="col-md-12" style="">
				<label class="control-label" for="kewaspadaan"><b>Kewaspadaan</b></label>
				<div class="form-control" style="height:auto;">
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="kewaspadaan_standard"  <?= ( stripos( '@'.$objPatientNursing->vKewaspadaanTpiRs , 'Standard' ) > 0 ) ? 'checked' : '' ?>>Standard</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="kewaspadaan_contact"  <?= ( stripos( '@'.$objPatientNursing->vKewaspadaanTpiRs , 'Contact' ) > 0 ) ? 'checked' : '' ?>>Contact</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="kewaspadaan_airbone"  <?= ( stripos( '@'.$objPatientNursing->vKewaspadaanTpiRs , 'Airbone' ) > 0 ) ? 'checked' : '' ?>>Airbone</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="kewaspadaan_droplet"  <?= ( stripos( '@'.$objPatientNursing->vKewaspadaanTpiRs , 'Droplet' ) > 0 ) ? 'checked' : '' ?>>Droplet</label>
				</div>
			</div>
			<div class="col-md-12" style="">
				<label class="control-label" for="kebutuhan_khusus"><b>Kebutuhan Khusus</b></label>
				<div class="form-control" style="height:auto;">
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="kebutuhan_khusus_protokol_resiko_pasien_jatuh"  <?= ( stripos( '@'.$objPatientNursing->vKetubuhanKhususTpiRs , 'Protokol Resiko Pasien Jatuh' ) > 0 ) ? 'checked' : '' ?>>Protokol Resiko Pasien Jatuh</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="kebutuhan_khusus_protokol_restrain"  <?= ( stripos( '@'.$objPatientNursing->vKetubuhanKhususTpiRs , 'Protokol Restrain' ) > 0 ) ? 'checked' : '' ?>>Protokol Restrain</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="kebutuhan_khusus_perawatan_luka"  <?= ( stripos( '@'.$objPatientNursing->vKetubuhanKhususTpiRs , 'Perawatan Luka' ) > 0 ) ? 'checked' : '' ?>>Perawatan Luka</label>
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="kebutuhan_khusus_hygine"  <?= ( stripos( '@'.$objPatientNursing->vKetubuhanKhususTpiRs , 'Hygiene' ) > 0 ) ? 'checked' : '' ?>>Hygiene</label>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="border-radius:5px;border:1px solid #eee;">
    <div class="box-header" style="border-bottom:1px solid #e9e9ef;padding:14px 20px;">
		<h2 class="box-title" style="margin:0px;line-height:24px;font-size:16px;color:#495057;">SERAH TERIMA</h2>
    </div>
    <div class="box-body" style="padding:20px;">
        <div class="row">
			<div class="col-sm-6 col-md-6 col-lg-2" style="">
				<label class="control-label" data-mask="00:00" for="jam_penyerahan_tpirs"><b>Jam Penyerahan</b></label>
				<div class="input-group" style="width:100%;">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
					<input id="jam_penyerahan_tpirs" type="text" data-mask="00:00" class="form-control" name="jam_penyerahan_tpirs" placeholder="HH:mm" value="<?= $objPatientNursing->vJamPenyerahanTpiRs ?>">
				</div>
			</div>
			
			<div class="col-sm-6 col-md-6 col-lg-4" style="">
				<label class="control-label" for="perawat_yang_menyerahkan"><b>Perawat yang menyerahkan</b></label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="perawat_yang_menyerahkan" id="perawat_yang_menyerahkan" data-placeholder="Perawat yang menyerahkan">
					<option value="<?= $objPatientNursing->vPerawatYangMenyerahkanTpiIgdId ; ?>" selected ><?= $objPatientNursing->vPerawatYangMenyerahkanTpiIgdNama; ?></option>
					</select>
				</div>
			</div>
			
			<div class="col-sm-6 col-md-6 col-lg-2" style="">
				<label class="control-label" for="jam_menerima_tpirs"><b>Jam Menerima</b></label>
				<div class="input-group" style="width:100%;">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
					<input id="jam_menerima_tpirs" data-mask="00:00" type="text" class="form-control" name="jam_menerima_tpirs" placeholder="HH:mm" value="<?= $objPatientNursing->vJamMenerimaTpiRs ?>">
				</div>
			</div>
			
			<div class="col-sm-6 col-md-6 col-lg-4" style="">
				<label class="control-label" for="perawat_yang_menerima"><b>Perawat yang menerima</b></label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="perawat_yang_menerima" id="perawat_yang_menerima" data-placeholder="Perawat yang menerima">
					<option value="<?= $objPatientNursing->vPerawatYangMenerimaTpiIgdId ; ?>" selected ><?= $objPatientNursing->vPerawatYangMenerimaTpiIgdNama; ?></option>
					</select>
				</div>
			</div>
			
			<div class="col-sm-6 col-md-6 col-lg-2" style="">
				<label class="control-label" for="jam_menerima_tpirs"><b>Jam Disetujui</b></label>
				<div class="input-group" style="width:100%;">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
					<input id="jam_disetujui" data-mask="00:00" type="text" class="form-control" name="jam_disetujui" placeholder="HH:mm" value="<?= $objPatientNursing->vJamDiSetujuiTpiRs ?>">
				</div>
			</div>
			
			<div class="col-sm-6 col-md-6 col-lg-4" style="">
				<label class="control-label" for="perawat_yang_menerima"><b>Pasien/Penanggung Jawab</b></label>
				<div class="input-group" style="width:100%;">
					<input id="pasien_penanggung_jawab" type="text" class="form-control" name="pasien_penanggung_jawab" placeholder="Pasien/Penanggung Jawab" value="<?= $objPatientNursing->vPasienPenanggungJawabTpiRs ?>">
				</div>
			</div>
			
			
			<div class="col-sm-12 col-md-12 col-lg-6">
				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<label class="control-label" for="perawat_yang_menerima" style="display:block;margin:0px auto;text-align:center;"><b>TTD Pasien/Penanggung Jawab</b></label>
				<div style="margin:0px auto;display:block;">
					<div>
						<?php
						$sumberGambar = __USER_ASSETS__.'/images/jiwa.jpg';

						$gambarTersimpan = $objPatientNursing->vTTDTransferPasienIntraRS ? $objPatientNursing->vTTDTransferPasienIntraRS : $sumberGambar;
						?>
						<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
						<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
					</div>
					<div align="center" >
						<canvas id="myCanvas" width="400" height="400" style="width:100%;max-width:400px;border:2px solid black; touch-action: none;" ></canvas>
						<div style="display:block;margin:0px auto;">
							<a href="#" class="btn btn-warning btn-xs hideSelesai" id="edit">Mulai Tanda Tangan</a>
							<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Tanda Tangan</a>
							<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Tanda Tangan</a>
							<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Tanda Tangan</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


</div>	


<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormTransferPasienIntraRsModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormTransferPasienIntraRsEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormTransferPasienIntraRsEmployeeId)->FirstName.' ('.$objPatientNursing->vFormTransferPasienIntraRsLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormTransferPasienIntraRsLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormTransferPasienIntraRsTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormTransferPasienIntraRsTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormTransferPasienIntraRsIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormTransferPasienIntraRs) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormTransferPasienIntraRsEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormTransferPasienIntraRsEmployeeId)->FirstName.' ('.$objPatientNursing->vFormTransferPasienIntraRsLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormTransferPasienIntraRsLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormTransferPasienIntraRsTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormTransferPasienIntraRsTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormTransferPasienIntraRsIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>


<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">



var FormGizi = function(){

	'use strict';
	
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/jiwa.jpg';
			$urlGambar = $objPatientNursing->vTTDTransferPasienIntraRS ? $objPatientNursing->vTTDTransferPasienIntraRS : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 6;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			parent.boolChange = true;
			$('#save').removeClass('disabled');
			$('#float-simpan').removeClass('disabled');
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar').click(function() {

			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD TPI RS');
			fd.append("gambar", blob, 'jiwa.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/TTDTransferPasienIntraRS')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})

		})

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	
	
	
   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
	$('#ubah_data_1').click(function(){
        $("#editNoka").hide();
        $("#noka").attr("readonly", false); 
        $("#noka").focus(); 
    });
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function cetaklaporan() {
		parent.AppPrintPage.setTitle('Print Preview Transfer Pasien Intra RS')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-form-transfer-pasien-intra-rs') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	


	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function (event) {
        event.preventDefault();
        event.stopPropagation();
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});
	
	
	$('.koreksi, #float-koreksi').click(function(){
        parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
				$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false).trigger('chosen:updated');
				$('#validasi-modal, #float-validasi').removeClass('disabled'); 
				$('.koreksi').addClass('disabled'); 
				$('#float-koreksi').hide();
				$('#float-validasi').show();
                parent.jQuery.fallr('hide',function(){});
            },
            function(){
                parent.jQuery.fallr('hide',function(){});
            }
        );
    })

	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormTransferPasienIntraRsModifiedVersion != "" ? $objPatientNursing->vFormTransferPasienIntraRsModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});

	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('#pindah_ke_ruang_form_transfer_pasien_intra_rs, #ruang_pindah_tpirs, #perawat_yang_menerima, #perawat_yang_menyerahkan, .ruang').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalPindahTpiRs = $('#tanggal_pindah_form_transfer_pasien_intra_rs').val();
		post.JamPindahTpiRs = $('#jam_pindah_form_transfer_pasien_intra_rs').val();
		<?php 
			if($objPatientNursing->vPindahKeRuangTpiRsId){
				$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->vPindahKeRuangTpiRsId);
				$namaDepartemen = $objDepartment->Name;
			}
		?>
		post.PindahKeRuangTpiRsId = $('#ruang_pindah_tpirs').val();
		post.PindahKeRuangTpiRsNama = '<?= $namaDepartemen ?>';
		post.DiagnosaMasukTpiRs = $('#diagnosa_masuk_form_transfer_pasien_intra_rs').val();
		post.DiagnosaSekarangTpiRs = $('#diagnosa_sekarang_form_transfer_pasien_intra_rs').val();
		post.KeadaanUmumTpiRs = $('#keadaan_umum_tpirs').val();
		post.KesadaranTpiRs = $('#kesadaran_tpirs').val();
		post.SistolikTpiRs = $('#sistolik').val();
		post.DiastolikTpiRs = $('#diastolik').val();
		post.SuhuTpiRs = $('#status_suhu').val();
		post.NadiTpiRs = $('#status_nadi').val();
		post.RespirationRateTpiRs = $('#status_respirasi').val();
		post.KeluhanTpiRs = $('#keluhan_tpirs').val();
		post.RiwayatPenyakitTpiRs = $('#riwayat_penyakit_tpirs').val();
		post.RiwayatAlergiTpiRs = $('#riwayat_alergi_tpirs').val();
		post.AlasanPindahRuanganTpiRs = $('#alasan_pindah_ruangan_tpirs').val();
		post.LaboratoriumTpiRs = $('#laboratorium_tpirs').val();
		post.CtScanTpiRs = $('#ct_scan_tpirs').val();
		post.EndoscopiTpiRs = $('#endoscopi_tpirs').val();
		post.CTGTpiRs = $('#ctg_tpirs').val();
		
		post.PemeriksaanTpiRs = '';
		$("#rencana_observasi_potensi_jalan_nafas_ekg").is(':checked') ? (post.PemeriksaanTpiRs ? post.PemeriksaanTpiRs += ',' + 'EKG' : post.PemeriksaanTpiRs = 'EKG') : '';
		$("#rencana_observasi_potensi_jalan_nafas_thorax_foto").is(':checked') ? (post.PemeriksaanTpiRs ? post.PemeriksaanTpiRs += ',' + 'Thorax foto' : post.PemeriksaanTpiRs = 'Thorax foto') : '';
		$("#rencana_observasi_potensi_jalan_nafas_foto_cervical").is(':checked') ? (post.PemeriksaanTpiRs ? post.PemeriksaanTpiRs += ',' + 'Foto Cervical / Vetebrata' : post.PemeriksaanTpiRs = 'Foto Cervical / Vetebrata') : '';
		$("#rencana_observasi_potensi_jalan_nafas_foto_genu").is(':checked') ? (post.PemeriksaanTpiRs ? post.PemeriksaanTpiRs += ',' + 'Foto Genu / Femur' : post.PemeriksaanTpiRs = 'Foto Genu / Femur') : '';
		$("#rencana_observasi_potensi_jalan_nafas_foto_abdomen").is(':checked') ? (post.PemeriksaanTpiRs ? post.PemeriksaanTpiRs += ',' + 'Foto Abdomen' : post.PemeriksaanTpiRs = 'Foto Abdomen') : '';
		$("#rencana_observasi_potensi_jalan_nafas_spirometri").is(':checked') ? (post.PemeriksaanTpiRs ? post.PemeriksaanTpiRs += ',' + 'Spirometri' : post.PemeriksaanTpiRs = 'Spirometri') : '';
		$("#rencana_observasi_potensi_jalan_nafas_echo").is(':checked') ? (post.PemeriksaanTpiRs ? post.PemeriksaanTpiRs += ',' + 'Echo / Treadmill' : post.PemeriksaanTpiRs = 'Echo / Treadmill') : '';
		$("#rencana_observasi_potensi_jalan_nafas_usg_mri").is(':checked') ? (post.PemeriksaanTpiRs ? post.PemeriksaanTpiRs += ',' + 'USG / MRI / A' : post.PemeriksaanTpiRs = 'USG / MRI / A') : '';
		
		post.PemeriksaanLainTpiRs = $('#pemeriksaan_lain').val();
		post.TindakanMedisYangSudahDilakukanTpiRs = $('#tindakan_yang_sudah_dilakukan').val();
		post.TanggalPemberianTerapiTpiRs = $('#tanggal_pemberian_terapi').val();
		post.JamPemberianTerapiTpiRs = $('#jam_pemberian_terapi').val();
		post.InfusTpiRs = $('#infus_tpirs').val();
		post.ObatIenjeksiTpiRs = $('#obat_injeksi').val();
		post.ObatOralTpiRs = $('#obat_oral').val();
		
		post.FormKonsulTpiRs = '';
		$("#form_konsul_terlampir").is(':checked') ? (post.FormKonsulTpiRs ? post.FormKonsulTpiRs += ',' + 'Terlampir' : post.FormKonsulTpiRs = 'Terlampir') : '';
		$("#form_konsul_tidak").is(':checked') ? (post.FormKonsulTpiRs ? post.FormKonsulTpiRs += ',' + 'Tidak' : post.FormKonsulTpiRs = 'Tidak') : '';
				
		post.TerapiTpiRs = $('#terapi_tpirs').val();
		post.RencanaPemeriksaanLabRadTpiRs = $('#rencana_pemeriksaan_lab').val();
		post.RencanaTindakanLebihLanjutTpiRs = $('#rencana_tindakan_lebih_lanjut').val();
		
		post.HasilPemeriksaanTpiRs = '';
		$("#hasil_pemeriksaan_laboratorium").is(':checked') ? (post.HasilPemeriksaanTpiRs ? post.HasilPemeriksaanTpiRs += ',' + 'Laboratorium' : post.HasilPemeriksaanTpiRs = 'Laboratorium') : '';
		$("#hasil_pemeriksaan_radiologi").is(':checked') ? (post.HasilPemeriksaanTpiRs ? post.HasilPemeriksaanTpiRs += ',' + 'Radiologi' : post.HasilPemeriksaanTpiRs = 'Radiologi') : '';
		$("#hasil_pemeriksaan_lain_lain").is(':checked') ? (post.HasilPemeriksaanTpiRs ? post.HasilPemeriksaanTpiRs += ',' + 'Lain-lain' : post.HasilPemeriksaanTpiRs = 'Lain-lain') : '';
		
		post.DokumenYangDisertakanTpiRs = '';
		$("#dokumen_yang_disertakan_surat_masuk_perawatan").is(':checked') ? (post.DokumenYangDisertakanTpiRs ? post.DokumenYangDisertakanTpiRs += ',' + 'Surat masuk perawatan' : post.DokumenYangDisertakanTpiRs = 'Surat masuk perawatan') : '';
		$("#dokumen_yang_disertakan_berkas_rekam_medis").is(':checked') ? (post.DokumenYangDisertakanTpiRs ? post.DokumenYangDisertakanTpiRs += ',' + 'Berkas Rekam Medis' : post.DokumenYangDisertakanTpiRs = 'Berkas Rekam Medis') : '';
		$("#dokumen_yang_disertakan_gelang_nama").is(':checked') ? (post.DokumenYangDisertakanTpiRs ? post.DokumenYangDisertakanTpiRs += ',' + 'Gelang Nama' : post.DokumenYangDisertakanTpiRs = 'Gelang Nama') : '';
		$("#dokumen_yang_disertakan_catatan_terintegrasi").is(':checked') ? (post.DokumenYangDisertakanTpiRs ? post.DokumenYangDisertakanTpiRs += ',' + 'Catatan terintegrasi yang berisi instruksi/therapi' : post.DokumenYangDisertakanTpiRs = 'Catatan terintegrasi yang berisi instruksi/therapi') : '';
		$("#dokumen_yang_disertakan_surat_rujukan").is(':checked') ? (post.DokumenYangDisertakanTpiRs ? post.DokumenYangDisertakanTpiRs += ',' + 'Surat Rujukan' : post.DokumenYangDisertakanTpiRs = 'Surat Rujukan') : '';
		$("#dokumen_yang_disertakan_jaringan_pa").is(':checked') ? (post.DokumenYangDisertakanTpiRs ? post.DokumenYangDisertakanTpiRs += ',' + 'Jaringan PA' : post.DokumenYangDisertakanTpiRs = 'Jaringan PA') : '';
		$("#dokumen_yang_disertakan_laporan_operasi").is(':checked') ? (post.DokumenYangDisertakanTpiRs ? post.DokumenYangDisertakanTpiRs += ',' + 'Laporan Operasi / Tindakan' : post.DokumenYangDisertakanTpiRs = 'Laporan Operasi / Tindakan') : '';
		$("#dokumen_yang_disertakan_inform_consent").is(':checked') ? (post.DokumenYangDisertakanTpiRs ? post.DokumenYangDisertakanTpiRs += ',' + 'Inform Consent' : post.DokumenYangDisertakanTpiRs = 'Inform Consent') : '';
		$("#dokumen_yang_disertakan_lain_lain").is(':checked') ? (post.DokumenYangDisertakanTpiRs ? post.DokumenYangDisertakanTpiRs += ',' + 'Lain-lain' : post.DokumenYangDisertakanTpiRs = 'Lain-lain') : '';
		
		post.MobilisasiTpiRs = '';
		$("#mobilisasi_mandiri").is(':checked') ? (post.MobilisasiTpiRs ? post.MobilisasiTpiRs += ',' + 'Mandiri' : post.MobilisasiTpiRs = 'Mandiri') : '';
		$("#mobilisasi_dibantu").is(':checked') ? (post.MobilisasiTpiRs ? post.MobilisasiTpiRs += ',' + 'Dibantu' : post.MobilisasiTpiRs = 'Dibantu') : '';
		$("#mobilisasi_dibantu_penuh").is(':checked') ? (post.MobilisasiTpiRs ? post.MobilisasiTpiRs += ',' + 'Dibantu Penuh' : post.MobilisasiTpiRs = 'Dibantu Penuh') : '';
		
		post.KewaspadaanTpiRs = '';
		$("#kewaspadaan_standard").is(':checked') ? (post.KewaspadaanTpiRs ? post.KewaspadaanTpiRs += ',' + 'Standard' : post.KewaspadaanTpiRs = 'Standard') : '';
		$("#kewaspadaan_contact").is(':checked') ? (post.KewaspadaanTpiRs ? post.KewaspadaanTpiRs += ',' + 'Contact' : post.KewaspadaanTpiRs = 'Contact') : '';
		$("#kewaspadaan_airbone").is(':checked') ? (post.KewaspadaanTpiRs ? post.KewaspadaanTpiRs += ',' + 'Airbone' : post.KewaspadaanTpiRs = 'Airbone') : '';
		$("#kewaspadaan_droplet").is(':checked') ? (post.KewaspadaanTpiRs ? post.KewaspadaanTpiRs += ',' + 'Droplet' : post.KewaspadaanTpiRs = 'Droplet') : '';
		
		post.KetubuhanKhususTpiRs = '';
		$("#kebutuhan_khusus_protokol_resiko_pasien_jatuh").is(':checked') ? (post.KetubuhanKhususTpiRs ? post.KetubuhanKhususTpiRs += ',' + 'Protokol Resiko Pasien Jatuh' : post.KetubuhanKhususTpiRs = 'Protokol Resiko Pasien Jatuh') : '';
		$("#kebutuhan_khusus_protokol_restrain").is(':checked') ? (post.KetubuhanKhususTpiRs ? post.KetubuhanKhususTpiRs += ',' + 'Protokol Restrain' : post.KetubuhanKhususTpiRs = 'Protokol Restrain') : '';
		$("#kebutuhan_khusus_perawatan_luka").is(':checked') ? (post.KetubuhanKhususTpiRs ? post.KetubuhanKhususTpiRs += ',' + 'Perawatan Luka' : post.KetubuhanKhususTpiRs = 'Perawatan Luka') : '';
		$("#kebutuhan_khusus_hygine").is(':checked') ? (post.KetubuhanKhususTpiRs ? post.KetubuhanKhususTpiRs += ',' + 'Hygiene' : post.KetubuhanKhususTpiRs = 'Hygiene') : '';
		
				
		post.JamPenyerahanTpiRs = $('#jam_penyerahan_tpirs').val();
		post.PerawatYangMenyerahkanTpiIgdId = $('#perawat_yang_menyerahkan').val();
		post.JamMenerimaTpiRs = $('#jam_menerima_tpirs').val();
		post.PerawatYangMenerimaTpiIgdId = $('#perawat_yang_menerima').val();
		post.JamDiSetujuiTpiRs = $('#jam_disetujui').val();
		post.PasienPenanggungJawabTpiRs = $('#pasien_penanggung_jawab').val();
		

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/FormTransferPasienIntraRs')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#formulir_transfer_pasien_intra_rs').removeClass('btn-primary').addClass('btn-success').html('Transfer Pasien Intra RS <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#formulir_transfer_pasien_intra_rs').removeClass('btn-primary').addClass('btn-success').html('Transfer Pasien Intra RS <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					parent.toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}


	$("#pindah_ke_ruang_form_transfer_pasien_intra_rs").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%!important'
		, height: '50px!important'
		, allow_single_deselect: true
	});
	$("#ruang_pindah_tpirs").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%!important'
		, height: '50px!important'
		, allow_single_deselect: true
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
	
	$('#perawat_yang_menerima').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
	$('#perawat_yang_menyerahkan').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
	var urlRuang = "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmenRanap/?pageId=')?><?=$strPageId?>&search=";
	$('.ruang').each(function () {
		$(this).ajaxChosen({
			type: 'GET' 
			, dataType: 'json'
		},{
			useAjax: function(e){ return true; }
			, minLength: 0
			, processItems: function(data){
				// alert(JSON.stringify(data));
				return data;
			}
			, generateUrl: function(strSearch){
				// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmenRanap/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
				return urlRuang + strSearch
			}
		});
	});
	
	
};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormTransferPasienIntraRs ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormTransferPasienIntraRsModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#versi_form').attr('placeholder', '~".$objPatientNursing->vFormTransferPasienIntraRsModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>

});

</script>
<style>
.chosen-container-single .chosen-single{height:34px!important;font-size:14px;line-height:28px;padding-left:12px;}
.chosen-container-single .chosen-single div b {margin-top:5px!important;}
.search-choice-close{top:10px!Important;}
</style>