

<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

// simulasi error;

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	
	$json = json_decode($objPatientNursing->RegisterJson);
	$tindakanTanggal1 = $json->TindakanTanggal1;
	$tindakanTanggal2 = $json->TindakanTanggal2;
	$tindakanTanggal3 = $json->TindakanTanggal3;
	$tindakanTanggal4 = $json->TindakanTanggal4;
	$tindakanTanggal5 = $json->TindakanTanggal5;
	$statusIndex = $json->StatusIndex;
	$arrObjCompetence = HrisRefCompetence::LoadAll();

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
$umurDalamTahun = $diff->y;

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}
$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);
?>
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#nama_versi{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>



<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">


	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">

	<div class="box box-info form-horizontal box-info-pasien" style="padding:20px">
    <div class="box-header" style="padding:0px;text-align:center;">
        <h2 class="box-title">PENGKAJIAN TRIAGE GAWAT DARURAT</h2>
    </div>

		<tr>
			<td colspan="7" align="center"></td>
		</tr>
		<tr>
			<td>
				<table cellspacing="0" border="1" width="100%" align="left" cellpadding="5">
					<tbody>
						<tr>
							<td>Anamnesa &emsp;</td>
							<td colspan="6">Keluhan Utama :
							<div class="input-group" style="width:100%"> 
								<input type="text" class="form-control" name='keluhan_utama' id='keluhan_utama' placeholder="Keluhan Utama " autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vKeluhanUtamaTriage; ?>">
							</div>
							</td>
						</tr>
						<tr>
							<td>Kegawatdaruratan<br>PMK no.47/2018</td>
							<td colspan="6">
								<div class="input-group">
									<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
								<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
									<input type="checkbox" name="life_threatening_triage" id="life_threatening_triage" <?= ( stripos( '@'.$objPatientNursing->vKegawatdaruratanTriage , 'Life threatening' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="life_threatening" style="margin-left: 5px; margin-top: 5px;" >Life threatening </label>
									<input type="checkbox" name="gangguan_sistem_airway_triage" id="gangguan_sistem_airway_triage" <?= ( stripos( '@'.$objPatientNursing->vKegawatdaruratanTriage , 'Gangguan pada sistem airway, breathing dan circulation' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="gangguan_sistem_airway" style="margin-left: 5px; margin-top: 5px;" >Gangguan pada sistem airway, breathing dan circulation</label>
									<input type="checkbox" name="penurunan_kesadaran_triage" id="penurunan_kesadaran_triage" <?= ( stripos( '@'.$objPatientNursing->vKegawatdaruratanTriage , 'Penurunan kesadaran ' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="penurunan_kesadaran" style="margin-left: 5px; margin-top: 5px;" >Penurunan kesadaran </label>
								</div>
								<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
									<input type="checkbox" name="non_gawat_darurat_triage" id="non_gawat_darurat_triage" <?= ( stripos( '@'.$objPatientNursing->vKegawatdaruratanTriage , 'Non gawat darurat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="non_gawat_darurat" style="margin-left: 5px; margin-top: 5px;" >Non gawat darurat</label>
									<input type="checkbox" name="hemodiamik_triage" id="hemodiamik_triage" <?= ( stripos( '@'.$objPatientNursing->vKegawatdaruratanTriage , 'hemodinamik terganggu atau dengan ancaman gangguan hemodinamik' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="hemodiamik" style="margin-left: 5px; margin-top: 5px;" >hemodinamik terganggu atau dengan ancaman gangguan hemodinamik</label>
								</div>
								<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
									<input type="checkbox" name="tindakan_medis_segera_triage" id="tindakan_medis_segera_triage" <?= ( stripos( '@'.$objPatientNursing->vKegawatdaruratanTriage , 'Perlu tindakan medis segera' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="tindakan_medis_segera" style="margin-left: 5px; margin-top: 5px;" >Perlu tindakan medis segera</label>
								</div>

								</div> 
							</td>

						</tr>
						<tr>
							<td><b>PEMERIKSAAN</b></td>
							<td bgcolor="red" colspan="2">
							    <div class="input-group" >
								<div class="form-control" style="padding-top: 0px;border:none;height:auto;background-color:red;color:black;">
									<input type="checkbox" name="urgent_triage" id="urgent_triage" <?= ( stripos( '@'.$objPatientNursing->vKesimpulanTriage , 'URGENT segera atau < 30 menit' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 5px;" ><label for="urgent" style="margin-left: 15px; margin-top: 5px;" >URGENT<br>segera atau < 30 menit</label>
								</div>
							    </div>
							</td>
							<td bgcolor="yellow" colspan="2">
							    <div class="input-group" >
								<div class="form-control" style="padding-top: 0px;border:none;height:auto;background-color:yellow;color:black;">
									<input type="checkbox" name="less_urgent_triage" id="less_urgent_triage" <?= ( stripos( '@'.$objPatientNursing->vKesimpulanTriage , 'Less urgent < 60 menit' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 5px;" ><label for="less_urgent" style="margin-left: 15px; margin-top: 5px;" >Less urgent<br>< 60 menit</label>
								</div>
							    </div>

							</td>
							<td bgcolor="green">
							    <div class="input-group" >
								<div class="form-control" style="padding-top: 0px;border:none;height:auto;background-color:green;color:black;">
									<input type="checkbox" name="false_emergency_triage" id="false_emergency_triage" <?= ( stripos( '@'.$objPatientNursing->vKesimpulanTriage , 'False Emergency < 120 menit' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 0px;" ><label for="false_emergency" style="margin-left: 5px; margin-top: 5px;" >False <br>Emergency<br>< 120 menit</label>
								</div>
							    </div>

							</td>
							<td><center>TTV</center></td>
						</tr>
						<tr>
							<td><b>AIRWAY</b></td>
							<td>Obstruksi total</td>
							<td>Obstruksi parsial</td>
							<td>Bebas dengan ancaman obstruction</td>
							<td>Bebas</td>
							<td>Bebas</td>
							<td rowspan="6">RR : 	

						
								<div class="input-group" style="width:100%"> 
									<input type="text" class="form-control" name='rr' id='rr' placeholder="RR " autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vRrTriage ; ; ?>">
								</div>
 
							     <br> SpO2 : 
								<div class="input-group" style="width:100%"> 
									<input type="text" class="form-control" name='spo2_1' id='spo2_1' placeholder="SpO2 " autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSpo2Triage1 ; ?>">
								</div>



							     <br><br><br> Nadi/HR : 
								<div class="input-group" style="width:100%"> 
									<input type="text" class="form-control" name='hr' id='hr' placeholder="Nadi " autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vHrTriage ; ?>">
								</div> 


							     <br><br> TD : 
								<div class="input-group" style="width:100%"> 
									<input type="text" class="form-control" name='sistolik_triage_igd' id='sistolik_triage_igd' placeholder="Sis" autocomplete="off" style="width:50%;text-align:;" value="<?= $objPatientNursing->vSistolikTriage; ?>">
									<input type="text" class="form-control" name='diastolik_triage_igd' id='diastolik_triage_igd' placeholder="Dias" autocomplete="off" style="border-width:1px 1px 1px 0px;width:50%;text-align:;" value="<?= $objPatientNursing->vDiastolikTriage ; ?>">
								</div>
								<div class="input-group" style="width:100%"> 
									<span class="input-group-addon" style="vertical-align: top; text-align: left;" >
										<div style="width: 40px; padding-right: 5px; margin-top: 3px;" ><b>mmHg</b></div>
									</span>
								</div>

							     <br><br> GCS : 
								<div class="input-group" style="width:100%"> 
									<input type="text" class="form-control" name='gcss' id='gcss' placeholder="GCS " autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vGcsTriage ; ?>">
								</div>


							     <br> Suhu :
								<div class="input-group" style="width:100%"> 
									<input type="text" class="form-control" name='suhu' id='suhu' placeholder="Suhu " autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSuhuTriage ; ?>">
								</div>
							</td>
						</tr>
						<tr>
							<td><b>BREATHING</b><br>(RR x/menit)</td>
							<td>Dewasa : Apnea atau RR < 10</td>
							<td>Dewasa RR > 32 x/m</td>
							<td>Rr 24-32 x/m</td>
							<td>16-24 x/m</td>
							<td>&emsp;</td>
						</tr>
						<tr>
							<td rowspan="2"><b>SIRKULASI</b><br>(Nadi x/menit)</td> 
							<td>Cardiac arrest<br>Nadi tak teraba</td>
							<td>
								<div class="form-control" style="padding-top: 0px;height:30%;">
									<label class="radio-inline keteranganNadi" ><input type="radio" name="keteranganNadi" id="nadi_lemah" value="Nadi lemah" <?= ($objPatientNursing->vKeteranganNadiTriage == 'Nadi lemah' ) ? 'checked' : '' ?>> Nadi lemah</label><br>
									<label class="radio-inline keteranganNadi" ><input type="radio" name="keteranganNadi" id="akral_dingin" value="Akral Dingin" <?= ($objPatientNursing->vKeteranganNadiTriage == 'Akral Dingin' ) ? 'checked' : '' ?>> Akral Dingin</label><br>
									<label class="radio-inline keteranganNadi" ><input type="radio" name="keteranganNadi" id="cyanosis" value="Cyanosis" <?= ($objPatientNursing->vKeteranganNadiTriage == 'Cyanosis' ) ? 'checked' : '' ?>> Cyanosis</label>
								</div> 
							</td> 

							<td rowspan="2">HR nadi : <br> Dewasa 120 - 150 x/m <br> Neonatus > 180 x/m <br><br> TDS > 160 mmHg <br> TDD > 100 mmHg</td>
							<td rowspan="2">Normal</td>
							<td rowspan="2">Normal</td>
						</tr>
						<tr>
							<td>
								<div class="form-control" style="padding-top: 0px;height:30%;">
									<label class="radio-inline pulseFrekuensi" ><input type="radio" name="pulseFrekuensi" id="neo_hr_kurang_60" value="Neonatus HR < 60" <?= ($objPatientNursing->vPulseFrekuensiTriage == 'Neonatus HR < 60' ) ? 'checked' : '' ?>> Neonatus HR < 60</label><br>
									<label class="radio-inline pulseFrekuensi" ><input type="radio" name="pulseFrekuensi" id="crt_3detik" value="CRT > 3 detik" <?= ($objPatientNursing->vPulseFrekuensiTriage == 'CRT > 3 detik' ) ? 'checked' : '' ?>> CRT > 3 detik</label><br>
									<label class="radio-inline pulseFrekuensi" ><input type="radio" name="pulseFrekuensi" id="td_kurang_90/60" value="TD < 90/60" <?= ($objPatientNursing->vPulseFrekuensiTriage == 'TD < 90/60' ) ? 'checked' : '' ?>> TD < 90/60</label>
								</div> 
							</td>
							<td>
								<div class="form-control" style="padding-top: 0px;height:30%;">
									<label class="radio-inline pulseFrekuensi" ><input type="radio" name="pulseFrekuensi" id="dewasa_50-150" value="Dewasa : 50 > HR > 150" <?= ($objPatientNursing->vPulseFrekuensiTriage == 'Dewasa : 50 > HR > 150' ) ? 'checked' : '' ?>> Dewasa : 50 > HR > 150</label><br>
									<label class="radio-inline pulseFrekuensi" ><input type="radio" name="pulseFrekuensi" id="neonatus_kurang100" value="Neonatus : HR < 100" <?= ($objPatientNursing->vPulseFrekuensiTriage == 'Neonatus : HR < 100' ) ? 'checked' : '' ?>> Neonatus : HR < 100</label><br>
								</div> 
							</td> 
						</tr>
						<tr>
							<td><b>KESADARAN</b><br>(disabilitas)</td>
							<td>GCS < 9</td>
							<td>GCS < 9</td>
							<td>GCS 9-12</td>
							<td>GCS 13-15</td>
							<td>GCS 15</td>
						</tr>
						<tr>
							<td><b>EXPOSURE</b></td>
							<td>-</td>
							<td>> 41.5</td>
							<td>> 38.5</td>
							<td>37.5 - 38.5</td>
							<td>36.5 - 37.5</td>
						</tr>
						<tr>
							<td><b>KONDISI</b><br>KHUSUS :</td>
							<td colspan="2">
								<div class="form-control" style="padding-top: 0px;height:30%;">
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="kejang_aktif" value="Kejang aktif" <?= ($objPatientNursing->vKondisiKhususTriage  == 'Kejang aktif' ) ? 'checked' : '' ?>> Kejang aktif</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="gangguan_perilaku_berat" value="Gangguan perilaku berat dan ancaman kekerasan" <?= ($objPatientNursing->vKondisiKhususTriage  == 'Gangguan perilaku berat dan ancaman kekerasan' ) ? 'checked' : '' ?>> Gangguan perilaku berat dan ancaman kekerasan</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="nyeri_dada" value="Nyeri dada" <?= ($objPatientNursing->vKondisiKhususTriage  == 'Nyeri dada' ) ? 'checked' : '' ?>> Nyeri dada</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="kesan_penyakit_kritis" value="Kesan penyakit kritis" <?= ($objPatientNursing->vKondisiKhususTriage  == 'Kesan penyakit kritis' ) ? 'checked' : '' ?>> Kesan penyakit kritis</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="cedera_kimia_okuli" value="Cedera kimia okuli" <?= ($objPatientNursing->vKondisiKhususTriage  == 'Cedera kimia okuli' ) ? 'checked' : '' ?>> Cedera kimia okuli</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="gangguan_neurologis_akut" value="Gangguan neurologis akut" <?= ($objPatientNursing->vKondisiKhususTriage  == 'Gangguan neurologis akut' ) ? 'checked' : '' ?>> Gangguan neurologis akut</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="nyeri_hebat" value="Nyeri hebat" <?= ($objPatientNursing->vKondisiKhususTriage  == 'Nyeri hebat' ) ? 'checked' : '' ?>> Nyeri hebat</label>
								</div>
							</td>
							<td colspan="3">
								<div class="form-control" style="padding-top: 0px;height:30%;">
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="edema_ekstremitas" value="edema ekstremitas" <?= ($objPatientNursing->vKondisiKhususTriage  == 'edema ekstremitas' ) ? 'checked' : '' ?>> edema ekstremitas</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="nyeri_vas" value="nyeri vas" <?= ($objPatientNursing->vKondisiKhususTriage  == 'nyeri vas' ) ? 'checked' : '' ?>> nyeri vas</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="terkait_termal_lingkungan" value="terkait termal lingkungan" <?= ($objPatientNursing->vKondisiKhususTriage  == 'terkait termal lingkungan' ) ? 'checked' : '' ?>> terkait termal lingkungan</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="keracunan_makanan" value="keracunan makanan" <?= ($objPatientNursing->vKondisiKhususTriage  == 'keracunan makanan' ) ? 'checked' : '' ?>> keracunan makanan</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="terkait_post_partum_kehamilan" value="terkait post partum/kehamilan" <?= ($objPatientNursing->vKondisiKhususTriage  == 'terkait post partum/kehamilan' ) ? 'checked' : '' ?>> terkait post partum/kehamilan</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="nyeri_dada_non_typical" value="nyeri dada non typical" <?= ($objPatientNursing->vKondisiKhususTriage  == 'nyeri dada non typical' ) ? 'checked' : '' ?>> nyeri dada non typical</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="trauma_multi_trauma" value="trauma / multi trauma" <?= ($objPatientNursing->vKondisiKhususTriage  == 'trauma / multi trauma' ) ? 'checked' : '' ?>> trauma / multi trauma</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="perdarahan_aktif" value="perdarahan aktif" <?= ($objPatientNursing->vKondisiKhususTriage  == 'perdarahan aktif' ) ? 'checked' : '' ?>> perdarahan aktif</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="penunjang_abnormal" value="penunjang abnormal " <?= ($objPatientNursing->vKondisiKhususTriage  == 'penunjang abnormal' ) ? 'checked' : '' ?>> penunjang abnormal </label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="disfagi" value="disfagi" <?= ($objPatientNursing->vKondisiKhususTriage  == 'disfagi' ) ? 'checked' : '' ?>> disfagi</label><br>
									<label class="radio-inline kondisiKhusus" ><input type="radio" name="kondisiKhusus" id="bengkak_panas_sendi" value="bengkak panas sendi" <?= ($objPatientNursing->vKondisiKhususTriage  == 'bengkak panas sendi' ) ? 'checked' : '' ?>> bengkak "panas" sendi</label><br>
								</div> 
							</td>
							<td></td>
						</tr>
						<tr>
							<td colspan="7">Catatan Khusus :
							<div class="input-group" style="width:100%"> 
								<input type="text" class="form-control" name='catatan_khusus' id='catatan_khusus' placeholder="Catatan Khusus " autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vCatatanKhususTriage ; ?>">
							</div>

							</td>
						</tr>
					</tbody>
				</table>
			</td>
		</tr>




		<div class="row">
		</div>
		<div class="row">
		</div>
		<div class="row">
		</div>
	</div>


	<div class="box box-info form-horizontal box-info-pasien" style="padding:20px">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for="tanggal_diisi_triage_igd"><b>Petugas Triage</b></label>
					<div class="input-group" style="width:100%">
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="petugas_triage" id="petugas_triage" data-placeholder="Pilih Petugas Triage">
					<option value="<?= $objPatientNursing->vPetugasTriageId != "" ? $objPatientNursing->vPetugasTriageId : $objPatientNursing->DoctorId ; ?>" selected ><?= $objPatientNursing->vPetugasTriageNama!= "" ? $objPatientNursing->vPetugasTriageNama : $objPatientNursing->DoctorName  ; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
	
</div>	


<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<span href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </span>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="nama_versi" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vTriageModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormTriageGawatDaruratEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormTriageGawatDaruratEmployeeId)->FirstName.' ('.$objPatientNursing->vFormTriageGawatDaruratLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormTriageGawatDaruratLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormTriageGawatDaruratTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormTriageGawatDaruratTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormTriageGawatDaruratIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormTriageGawatDarurat) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormTriageGawatDaruratEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormTriageGawatDaruratEmployeeId)->FirstName.' ('.$objPatientNursing->vFormTriageGawatDaruratLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormTriageGawatDaruratLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormTriageGawatDaruratTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormTriageGawatDaruratTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormTriageGawatDaruratIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;" role="alert">
			*Validasi hanya dapat dilakukan oleh <b>DPJP</b>.
		</div>
	</div>
</div>
<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>


<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

console.log('<?=System::getPublicVariable('mode_validasi')?>')
//alert('DPJP Name = <?=$objPatientNursing->DoctorName;?> \nDPJP  Id = <?=$objPatientNursing->DoctorId ?> \nUsername = <?=$objSystemUser->LoginName;?> \nPersonal Name = <?=$objSystemUser->FullName;?> \nPersonal Id = <?=$objSystemUser->ReferenceId;?> ')
	
	
var FormGizi = function(){

	'use strict';
	
	
	function cetaklaporan() {
		var ModifiedVersion = $('#nama_versi').val();
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
 		parent.AppPrintPage.setTitle('Print Preview Triage Gawat Darurat')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-triage-gawat-darurat-rsmz') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion );
	}
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.KeluhanUtamaTriage= $('#keluhan_utama').val();
		post.KegawatdaruratanTriage = '';
		$("#life_threatening_triage").is(':checked') ?  post.KegawatdaruratanTriage = 'Life threatening' : '' ;
		$("#gangguan_sistem_airway_triage").is(':checked') ?  post.KegawatdaruratanTriage = 'Gangguan pada sistem airway, breathing dan circulation' : '' ;
		$("#penurunan_kesadaran_triage").is(':checked') ?  post.KegawatdaruratanTriage = 'Penurunan kesadaran' : '' ;
		$("#non_gawat_darurat_triage").is(':checked') ?  post.KegawatdaruratanTriage = 'Non gawat darurat' : '' ;
		$("#hemodiamik_triage").is(':checked') ?  post.KegawatdaruratanTriage = 'hemodinamik terganggu atau dengan ancaman gangguan hemodinamik' : '' ;
		$("#tindakan_medis_segera_triage").is(':checked') ?  post.KegawatdaruratanTriage = 'Perlu tindakan medis segera' : '' ;

		post.KesimpulanTriage = '';
		$("#urgent_triage").is(':checked') ?  post.KesimpulanTriage = 'URGENT segera atau < 30 menit' : '' ;
		$("#less_urgent_triage").is(':checked') ?  post.KesimpulanTriage = 'Less urgent < 60 menit' : '' ;
		$("#false_emergency_triage").is(':checked') ?  post.KesimpulanTriage = 'False Emergency < 120 menit' : '' ;
		
		//post.KeteranganNadiTriage = '';
		//$("#nadi_lemah").is(':checked') ?  post.KeteranganNadiTriage = 'Nadi lemah' : '' ;
		//$("#akral_dingin").is(':checked') ?  post.KeteranganNadiTriage = 'Akral Dingin' : '' ;
		//$("#cyanosis").is(':checked') ?  post.KeteranganNadiTriage = 'Cyanosis' : '' ; 

		post.KeteranganNadiTriage = $("input[name='keteranganNadi']:checked").val() ? $("input[name='keteranganNadi']:checked").val() : '';
		post.PulseFrekuensiTriage = $("input[name='pulseFrekuensi']:checked").val() ? $("input[name='pulseFrekuensi']:checked").val() : '';
		post.KondisiKhususTriage = $("input[name='kondisiKhusus']:checked").val() ? $("input[name='kondisiKhusus']:checked").val() : '';
		
		//post.PulseFrekuensiTriage = '';
		//$("#neo_hr_kurang_60").is(':checked') ?  post.PulseFrekuensiTriage = 'Neonatus HR < 60' : '' ;
		//$("#crt_3detik").is(':checked') ?  post.PulseFrekuensiTriage = 'CRT > 3 detik' : '' ;
		//$("#td_kurang_90").is(':checked') ?  post.PulseFrekuensiTriage = 'TD < 90/60' : '' ;
		//$("#dewasa_50-150").is(':checked') ?  post.PulseFrekuensiTriage = 'Dewasa : 50 > HR > 150' : '' ;
		//$("#neonatus_kurang100").is(':checked') ?  post.PulseFrekuensiTriage = 'Neonatus : HR < 100' : '' ;

		//post.KondisiKhususTriage = '';
		//$("#kejang_aktif").is(':checked') ?  post.KondisiKhususTriage = 'Kejang aktif' : '' ;
		//$("#gangguan_perilaku_berat").is(':checked') ?  post.KondisiKhususTriage = 'Gangguan perilaku berat dan ancaman kekerasan' : '' ;
		//$("#nyeri_dada").is(':checked') ?  post.KondisiKhususTriage = 'Nyeri dada' : '' ;
		//$("#kesan_penyakit_kritis").is(':checked') ?  post.KondisiKhususTriage = 'Kesan penyakit kritis' : '' ;
		//$("#cedera_kimia_okuli").is(':checked') ?  post.KondisiKhususTriage = 'Cedera kimia okuli' : '' ;
		//$("#gangguan_neurologis_akut").is(':checked') ?  post.KondisiKhususTriage = 'Gangguan neurologis akut' : '' ;
		//$("#nyeri_hebat").is(':checked') ?  post.KondisiKhususTriage = 'Nyeri hebat' : '' ;
		//$("#edema_ekstremitas").is(':checked') ?  post.KondisiKhususTriage = 'edema ekstremitas' : '' ;
		//$("#nyeri_vas").is(':checked') ?  post.KondisiKhususTriage = 'nyeri vas' : '' ;
		//$("#terkait_termal_lingkungan").is(':checked') ?  post.KondisiKhususTriage = 'terkait termal lingkungan' : '' ;
		//$("#keracunan_makanan").is(':checked') ?  post.KondisiKhususTriage = 'keracunan makanan' : '' ;
		//$("#terkait_post_partum_kehamilan").is(':checked') ?  post.KondisiKhususTriage = 'terkait post partum/kehamilan' : '' ;
		//$("#nyeri_dada_non_typical").is(':checked') ?  post.KondisiKhususTriage = 'nyeri dada non typical' : '' ;
		//$("#trauma_multi_trauma").is(':checked') ?  post.KondisiKhususTriage = 'trauma / multi trauma' : '' ;
		//$("#perdarahan_aktif").is(':checked') ?  post.KondisiKhususTriage = 'perdarahan aktif' : '' ;
		//$("#penunjang_abnormal").is(':checked') ?  post.KondisiKhususTriage = 'penunjang abnormal' : '' ;
		//$("#disfagi").is(':checked') ?  post.KondisiKhususTriage = 'disfagi' : '' ;
		//$("#bengkak_panas_sendi").is(':checked') ?  post.KondisiKhususTriage = 'bengkak panas sendi' : '' ;

		post.CatatanKhususTriage = $('#catatan_khusus').val();		

		post.JamKedatanganTriage = $('#jam_kedatangan').val();
		
		post.Triage = '';
		$("#kondisi_triage_igd_trauma").is(':checked') ?  post.Triage = 'Trauma' : '' ;
		$("#kondisi_triage_igd_non_trauma").is(':checked') ?  post.Triage = 'Non Trauma' : '' ;
		$("#kondisi_triage_igd_maternity").is(':checked') ?  post.Triage = 'Maternity' : '' ;
		$("#kondisi_triage_igd_belum").is(':checked') ?  post.Triage = 'Belum dipilih' : '' ;
		
		post.PasienTriageDatang = '';
		$("#pasien_datang_sendiri").is(':checked') ?  post.PasienTriageDatang = 'Sendiri' : '' ;
		$("#pasien_datang_diantar").is(':checked') ?  post.PasienTriageDatang = 'Diantar' : '' ;
		$("#pasien_datang_rujukan").is(':checked') ?  post.PasienTriageDatang = 'Rujukan' : '' ;
		$("#pasien_datang_belum").is(':checked') ?  post.PasienTriageDatang = 'Belum dipilih' : '' ;
		
		
		post.DiantarOlehTriage = $('#diantar_oleh').val();
		post.KeluhanPasienTriage = $('#keluhan_pasien').val();
		
		post.AirwayTriage = '';
		$("#airway_obstruksi").is(':checked') ?  post.AirwayTriage = 'Obstruksi' : '' ;
		$("#airway_paten").is(':checked') ?  post.AirwayTriage = 'Paten' : '' ;
		$("#airway_belum").is(':checked') ?  post.AirwayTriage = 'Belum dipilih' : '' ;
		
		
		post.RrTriage = $('#rr').val();
		post.Spo2Triage1 = $('#spo2_1').val();
		post.HrTriage = $('#hr').val();
		post.SistolikTriage = $('#sistolik_triage_igd').val();
		post.DiastolikTriage = $('#diastolik_triage_igd').val();
		post.GcsTriage = $('#gcss').val();
		post.SuhuTriage = $('#suhu').val();

		
		
		post.RespirasiTiage = '';
		$("#respirasi_ada").is(':checked') ?  post.RespirasiTiage = 'Ada' : '' ;
		$("#respirasi_tidak_ada").is(':checked') ?  post.RespirasiTiage = 'Tidak Ada' : '' ;
		$("#respirasi_belum").is(':checked') ?  post.RespirasiTiage = 'Belum dipilih' : '' ;
		
		post.DistresNafasBeratTriage = $('#distres_nafas_berat').val();
		
		post.DistresNafasBeratTriage = '';
		$("#distres_nafas_berat_ya").is(':checked') ?  post.DistresNafasBeratTriage = 'Ya' : '' ;
		$("#distres_nafas_berat_tidak").is(':checked') ?  post.DistresNafasBeratTriage = 'Tidak' : '' ;
		$("#distres_nafas_berat_belum").is(':checked') ?  post.DistresNafasBeratTriage = 'Belum dipilih' : '' ;
		
		
		post.FrekuensiNafas = $('#frekuensi_nafas').val();
		
		post.ParuParuTriage = '';
		$("#paru_paru_asimetrical").is(':checked') ?  post.ParuParuTriage = 'Asimentrical' : '' ;
		$("#paru_paru_symetrical").is(':checked') ?  post.ParuParuTriage = 'Symetrical' : '' ;
		$("#paru_paru_belum").is(':checked') ?  post.ParuParuTriage = 'Belum dipilih' : '' ;
		
		
		
		post.Spo2Triage2 = $('#spo2_2').val();
		post.BpTriage = $('#bp').val();
		post.MembranColor = $('#membran_color').val();
		post.SkinTemp = $('#skin_temp').val();
		post.GangguanHemodinamik = $('#gangguan_hemodinamik').val();
		post.CriCrtTriage = $('#cri_crt').val();
		post.AksalDingin = $('#aksal_dingin').val();
		post.SistoleTriage = $('#sistole').val();
		post.ResponTriage = $('#respon').val();
		post.VerbalTriage = $('#verbal').val();
		post.PainTriage = $('#pain').val();
		post.AlertTriage = $('#alert').val();		
		
		post.TanggalPengisianTriage = $('#tanggal_pengisian').val();
		post.JamPengisianTriage = $('#jam_pengisian').val();
		post.PetugasTriageId = $('#petugas_triage').val();
		
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/TriageGawatDarurat')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#float-validasi').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#triage_gawat_darurat').removeClass('btn-primary').addClass('btn-success').html('Triage Gawat Darurat (P0 - P3) <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#triage_gawat_darurat').removeClass('btn-primary').addClass('btn-success').html('Triage Gawat Darurat (P0 - P3) <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					toastr.error( result.message , 'Errors');
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
			}
		});

	}
	
	$('.koreksi, #float-koreksi').click(function(){
        parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
				$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false).trigger('chosen:updated');
				$('#validasi-modal, #float-validasi').removeClass('disabled'); 
				$('.koreksi').addClass('disabled'); 
				$('#float-koreksi').hide();
				$('#float-validasi').show();
                parent.jQuery.fallr('hide',function(){});
            },
            function(){
                parent.jQuery.fallr('hide',function(){});
            }
        );
    })


	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function () {
		posting('DRAFT');
	});

	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vTriageModifiedVersion != "" ? $objPatientNursing->vTriageModifiedVersion : "0" ;?>');
	$('#nama_versi').attr('max', revisionNumber);
	$('#nama_versi').attr('min', 1);
	$('#nama_versi').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});

	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('#frekuensi_nafas, #spo2_2, #membran_color, #skin_temp, #gangguan_hemodinamik, #nadi, #pulse_frekuensi, #cri_crt, #aksal_dingin, #sistole, #gcs, #respon, #verbal, #pain, #alert').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	
};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormTriageGawatDarurat ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vTriageModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#nama_versi').attr('placeholder', '~".$objPatientNursing->vTriageModifiedVersion."');
	" : "" ?>

<?php $modeValidasi = System::getPublicVariable('mode_validasi'); ?>
<?php 	if($modeValidasi == "verifikasi_tanda_tangan") { ?>
	$('#validasi-modal').show();
	//$('#tanda_tangan_elektronik').show();
<?php } else if($modeValidasi == "verifikasi") { ?>	
	$('#validasi-modal').show();
<?php }  else if($modeValidasi == "tanda_tangan") { ?>	
	//$('#tanda_tangan_elektronik').show();
<?php }?>
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>
	$("#frekuensi_nafas").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#spo2_2").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#membran_color").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#skin_temp").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#gangguan_hemodinamik").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#nadi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#pulse_frekuensi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#cri_crt").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#aksal_dingin").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#sistole").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#gcs").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#respon").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#verbal").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#pain").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$("#alert").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$.fn.allowKey = function( chars ) {
		return this.keydown(function(e) {
			var found = false, i = -1;
			while(chars[++i] && !found) {
				found = 
				  ( e.which == vk_LEFT || e.which == vk_RIGHT || e.which == vk_DELETE ) ||
				  ( chars[i] == String.fromCharCode(e.which).toLowerCase() ) || 
				  ( chars[i] == e.which ) || 
				  ( chars[i] == '0' && e.which == 96 ) || 
				  ( chars[i] == '1' && e.which == 97 ) || 
				  ( chars[i] == '2' && e.which == 98 ) || 
				  ( chars[i] == '3' && e.which == 99 ) || 
				  ( chars[i] == '4' && e.which == 100 ) || 
				  ( chars[i] == '5' && e.which == 101 ) || 
				  ( chars[i] == '6' && e.which == 102 ) || 
				  ( chars[i] == '7' && e.which == 103 ) || 
				  ( chars[i] == '8' && e.which == 104 ) || 
				  ( chars[i] == '9' && e.which == 105 ) || 
				  ( chars[i] == '.' && e.which == 190 ) || 
				  ( chars[i] == ',' && e.which == 188 )
				  ;
				// if( found ) { 
				//	alert( [e.which] ); 
				// }
			}
			if (!found) { e.preventDefault(); }
		});
	};

	if( is_android_ready==true ) {
		 $('#info-time').css({"bottom": "35px"}); // penyesuaian css
		 $('#device-android').css({"bottom": "35px"}); // penyesuaian css
		 $('#device-android').show(); // android
	 }
	 $('#rr').allowKey(['0','1','2','3','4','5','6','7','8','9']);
	 $('#hr').allowKey(['0','1','2','3','4','5','6','7','8','9']);
	 $('#sistolik_triage_igd').allowKey(['0','1','2','3','4','5','6','7','8','9']);
	 $('#diastolik_triage_igd').allowKey(['0','1','2','3','4','5','6','7','8','9']);


	$( "#rr" ).blur(function() {
	   if( $("#rr").val() ) {
		  var rr = parseInt( $("#rr").val() );
		  if( rr >= 1  && rr < 80 ) {
			  $("#rr").val( rr );
		  } else {
			  $("#rr").val('');
		  }
		  if( rr > 80 ) {
			  toastr.error('nafas diatas 80 , diatas batas yg diijinkan , silah cek ulang','Kesalahan');
		  }
		  if( rr < 1 ) {
			  toastr.error('nafas dibawah 2 , dibawah batas yg diijinkan , silah cek ulang','Kesalahan');
		  }
	   }
	});

	$( "#hr" ).blur(function() {
	   if( $("#hr").val() ) {
		  var nadi = parseInt( $("#hr").val() );
		  if( nadi > 10  && nadi < 250 ) {
			  $("#hr").val( nadi );
		  } else {
			  $("#hr").val('');
		  }
		  if( nadi > 250 ) {
			  toastr.error('Denyut Nadi diatas 250 , diatas range yg diijinkan , silah cek ulang','Kesalahan');
		  }
		  if( nadi < 5 ) {
			  toastr.error('Denyut Nadi dibawah 5 , dibawah range yg diijinkan , silah cek ulang','Kesalahan');
		  }
	   }
	});

	$( "#sistolik_triage_igd" ).blur(function() {
	   if( $("#sistolik_triage_igd").val() ) {
		  var sistole = parseInt( $("#sistolik_triage_igd").val() );
		  if( sistole > 10  && sistole < 400 ) {
			  $("#sistolik_triage_igd").val( sistole );
		  } else {
			  $("#sistolik_triage_igd").val('');
		  }
		  if( sistole > 400 ) {
			  toastr.error('Tekanan Sistole diatas 400 , diatas range yg diijinkan , silah cek ulang','Kesalahan');
		  }
		  if( sistole < 5 ) {
			  toastr.error('Tekanan Sistole dibawah 10 , dibawah range yg diijinkan , silah cek ulang','Kesalahan');
		  }
	   }
	});

	$( "#diastolik_triage_igd" ).blur(function() {
	   if( $("#diastolik_triage_igd").val() ) {
		  var diastole = parseInt( $("#diastolik_triage_igd").val() );
		  if( diastole > 10  && diastole < 400 ) {
			  $("#diastolik_triage_igd").val( diastole );
		  } else {
			  $("#diastolik_triage_igd").val('');
		  }
		  if( diastole > 400 ) {
			  toastr.error('Tekanan Diastole diatas 400 , diatas range yg diijinkan , silah cek ulang','Kesalahan');
		  }
		  if( diastole < 5 ) {
			  toastr.error('Tekanan Diastole dibawah 10 , dibawah range yg diijinkan , silah cek ulang','Kesalahan');
		  }
	   }
	});

	$( "#sistolik_triage_igd" ).on('input', function() {
		// Convert the input value to a number
		const inputValue = parseInt($( "#sistolik_triage_igd" ).val(), 10);

		// Check if the input value is more than 150
		if (inputValue > 180 || inputValue < 90)   {
			// If it is, set the "selected" attribute to the "option" element with value "YA"
			$( "#sistole_param_lebih" ).prop('selected', true);
		} else if (inputValue < 181  || inputValue > 89) {
			// If it's not, set the "selected" attribute to the "option" element with value "TIDAK"
			$( "#sistole_param_kurang" ).prop('selected', true);
		} else {
			// If it's not, set the "selected" attribute to the "option" element with value "TIDAK"
			$( "#sistole_param_lebih" ).prop('selected', false);
			$( "#sistole_param_kurang" ).prop('selected', false);
		}

		// Update the select element using the Chosen plugin
		$( "#sistole" ).trigger('chosen:updated');
	});
});

$('#petugas_triage').each(function() {
        $(this).ajaxChosen({
            type: 'GET'
            , dataType: 'json'
        },{
            useAjax: function(e){ return true; }
            , minLength: 0
            , processItems: function(data){
                // alert(JSON.stringify(data));
                return data;
            }
            , generateUrl: function(strSearch){
                // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
                return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
            }
        }).on('change', function(e) {
            // NOTHING
        });
});
//-------------
</script>

