<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>



<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> 

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>-->
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">USG OBSTETRI</h1>
    </div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="box-header" style="padding-bottom:0px;">
        <i class="fa fa-user"></i>
        <h4 class="box-title">Pemeriksaan</h4>
    </div>
    <div class="box-body" style="padding-top:0px;">
        <div class="row">
            <div class="col-md-6" style="margin-bottom:5px;">
                <label class="control-label" for="tanggal_pemeriksaan_usg_obstetri"><b>Tanggal Pemeriksaan</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><div style="width:20px;"><i class="glyphicon glyphicon-calendar"></i></div></span>
                    <input id="tanggal_pemeriksaan_usg_obstetri" type="text" class="form-control input-date" name="tanggal_pemeriksaan_usg_obstetri" placeholder="Tanggal Pemeriksaan" value="<?= $objPatientNursing->vTanggalPemeriksaanUsgObstetri != "" ? $objPatientNursing->vTanggalPemeriksaanUsgObstetri : date("d-m-Y")  ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6" style="margin-bottom:5px;">
                <label class="control-label" for="jam_pemeriksaan_usg_obstetri"><b>Jam Pemeriksaan</b></label>
				<div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                <input id="jam_pemeriksaan_usg_obstetri" type="text" class="form-control timepicker" name="jam_pemeriksaan_usg_obstetri" placeholder="HH:mm" value="<?= $objPatientNursing->vJamPemeriksaanUsgObstetri != "" ? $objPatientNursing->vJamPemeriksaanUsgObstetri : date("H:i"); ?>"  style="z-index:0" data-mask="00:00">
            </div>
			</div>
        </div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:;">
    <div class="box-header">
        <h4>Hasil Pemeriksaan</h4>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-9" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Janin</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="janin" id="janin_tunggal_usg_obstetri" value="Tunggal" <?= ($objPatientNursing->vJaninUsgObstetri == 'Tunggal' ) ? 'checked' : '' ?>>Tunggal</label>
						<label class="radio-inline"><input type="radio" name="janin" id="janin_ganda_usg_obstetri" value="Ganda" <?= ($objPatientNursing->vJaninUsgObstetri == 'Ganda' ) ? 'checked' : '' ?>>Ganda</label>
						<label class="radio-inline"><input type="radio" name="janin" id="janin_triple_usg_obstetri" value="Triplet" <?= ($objPatientNursing->vJaninUsgObstetri == 'Triplet' ) ? 'checked' : '' ?>>Triplet</label>
						<label class="radio-inline"><input type="radio" name="janin" id="janin_intrauterin_usg_obstetri" value="Intrauterin" <?= ($objPatientNursing->vJaninUsgObstetri == 'Intrauterin' ) ? 'checked' : '' ?>>Intrauterin</label>
						<label class="radio-inline"><input type="radio" name="janin" id="janin_ekstrauterin_usg_obstetri" value="Kestrausterin" <?= ($objPatientNursing->vJaninUsgObstetri == 'Kestrausterin' ) ? 'checked' : '' ?>>Kestrausterin</label>
					</div>
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Lainnya</b></div></span>
					<input type="text" class="form-control" name="janin_lainnya" id="janin_lainnya_usg_obstetrii" placeholder="Lainnya" value="<?= $objPatientNursing->vJaninLainnyaUsgObstetrii  ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-5" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Presentasi</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="presentasi" id="presentasi_kepala_usg_obstetri" value="Kepala" <?= ($objPatientNursing->vPresentasiUsgObstetri == 'Kepala' ) ? 'checked' : '' ?>>Kepala</label>
						<label class="radio-inline"><input type="radio" name="presentasi" id="presentasi_bokong_usg_obstetri" value="Bokong" <?= ($objPatientNursing->vPresentasiUsgObstetri == 'Bokong' ) ? 'checked' : '' ?>>Bokong</label>
					</div>
				</div>
			</div>
			<div class="col-md-7" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Lainnya</b></div></span>
					<input type="text" class="form-control" name="presentasi_lainnya_usg_obstetri" id="presentasi_lainnya_usg_obstetri" placeholder="Lainnya" value="<?= $objPatientNursing->vPresentasiLainnyaUsgObstetri  ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-5" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Letak</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="letak" id="letak_lintang_usg_obstetri" value="Lintang" <?= ($objPatientNursing->vLetakUsgObstetri  == 'Lintang' ) ? 'checked' : '' ?>>Lintang</label>
						<label class="radio-inline"><input type="radio" name="letak" id="letak_kepala_di_usg_obstetri" value="Kepala di" <?= ($objPatientNursing->vLetakUsgObstetri == 'Kepala' ) ? 'checked' : '' ?>>Kepala di</label>
					</div>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Posisi Kepala</b></div></span>
					<input type="text" class="form-control" name="posisi_kepala_usg_obstetri" id="posisi_kepala_usg_obstetri" placeholder="Posisi Kepala" value="<?= $objPatientNursing->vPosisiKepalaUsgObstetri  ?>">
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 70px;" ><b>Lainnya</b></div></span>
					<input type="text" class="form-control" name="nadi" id="posisi_kepala_lainnya_usg_obstetri" placeholder="Posisi kepala lainnya" value="<?= $objPatientNursing->vPosisiKepalaLainnyaUsgObstetri  ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-5" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>Tanda hidup</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="tanda_hidup" id="tanda_hidup_hidup_usg_osbstetri" value="Hidup" <?= ($objPatientNursing->vTandaHidupUsgOsbstetri  == 'Hidup' ) ? 'checked' : '' ?>>Hidup, dengan DJJ</label>
						<label class="radio-inline"><input type="radio" name="tanda_hidup" id="tanda_hidup_iufd_usg_osbstetri" value="IUFD" <?= ($objPatientNursing->vTandaHidupUsgOsbstetri == 'IUFD' ) ? 'checked' : '' ?>>IUFD</label>
					</div>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 85px;" ><b>DJJ</b></div></span>
					<input type="text" class="form-control" name="djj_usg_obstetri" id="djj_usg_obstetri" placeholder="DJJ" value="<?= $objPatientNursing->vDjjUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 105px;" ><b>dpm dan teratur</b></div></span>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:;">
    <div class="box-header">
        <h4>Biometri</h4>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 35px;" ><b>CRL</b></div></span>
					<input type="text" class="form-control" name="crl_usg_obstetri" id="crl_usg_obstetri" placeholder="CRL" value="<?= $objPatientNursing->vCrlUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 35px;" ><b>BPD</b></div></span>
					<input type="text" class="form-control" name="bpd_usg_obstetri" id="bpd_usg_obstetri" placeholder="BPD" value="<?= $objPatientNursing->vBpdUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 35px;" ><b>HC</b></div></span>
					<input type="text" class="form-control" name="hc_usg_obstetri" id="hc_usg_obstetri" placeholder="HC" value="<?= $objPatientNursing->vHcUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 35px;" ><b>AC</b></div></span>
					<input type="text" class="form-control" name="ac_usg_obstetri" id="ac_usg_obstetri" placeholder="AC" value="<?= $objPatientNursing->vAcUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-3" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 35px;" ><b>FL</b></div></span>
					<input type="text" class="form-control" name="fl_usg_obstetri" id="fl_usg_obstetri" placeholder="FL" value="<?= $objPatientNursing->vFlUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
			<div class="col-md-5" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 90px;" ><b>EFW (BPD AC)</b></div></span>
					<input type="text" class="form-control" name="efw_bpd_ac_usg_obstetri" id="efw_bpd_ac_usg_obstetri" placeholder="EFW (BPD AC)" value="<?= $objPatientNursing->vEfwBpdAcUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 35px;" ><b>gram</b></div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 70px;" ><b>Lainnya</b></div></span>
					<input type="text" class="form-control" name="biometri_lainnya_usg_obstetri" id="biometri_lainnya_usg_obstetri" placeholder="Lainnya" value="<?= $objPatientNursing->vBiometriLainnyaUsgObstetri  ?>">
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:5px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 70px;" ><b>Usia gestasi</b></div></span>
					<input type="text" class="form-control" name="usia_gestasi_minggu_usg_obstetri" id="usia_gestasi_minggu_usg_obstetri" placeholder="Minggu" value="<?= $objPatientNursing->vUsiaGestasiMingguUsgObstetri  ?>">
					<span class="input-group-addon" style="border-width:1px 0px;"><div style="width: 45px;" ><b>Minggu</b></div></span>
					<input type="text" class="form-control" name="usia_gestasi_hari_usg_obstetri" id="usia_gestasi_hari_usg_obstetri" placeholder="Hari" value="<?= $objPatientNursing->vUsiaGestasiHariUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>Hari</b></div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Berdasarkan</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="usia_berdasarkan" id="usia_berdasarkan_crl_usg_obstetri" value="CRL" <?= ($objPatientNursing->vUsiaBerdasarkanUsgObstetri  == 'CRL' ) ? 'checked' : '' ?>>CRL</label>
						<label class="radio-inline"><input type="radio" name="usia_berdasarkan" id="usia_berdasarkan_bpd_usg_obstetri" value="BPD" <?= ($objPatientNursing->vUsiaBerdasarkanUsgObstetri == 'BPD' ) ? 'checked' : '' ?>>BPD</label>
						<label class="radio-inline"><input type="radio" name="usia_berdasarkan" id="usia_berdasarkan_hc_usg_obstetri" value="HC" <?= ($objPatientNursing->vUsiaBerdasarkanUsgObstetri == 'HC' ) ? 'checked' : '' ?>>HC</label>
					</div>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Lainnya</b></div></span>
					<input type="text" class="form-control" name="usia_gestasi_lainnya_usg_obstetri" id="usia_gestasi_lainnya_usg_obstetri" placeholder="Lainnya" value="<?= $objPatientNursing->vUsiaGestasiLainnyaUsgObstetri  ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 70px;" ><b>Plasenta</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="plasenta_usg_obstetri" id="plasenta_normal_usg_obstetri" value="Normal" <?= ($objPatientNursing->vPlasentaUsgObstetri  == 'Normal' ) ? 'checked' : '' ?>>Normal</label>
						<label class="radio-inline"><input type="radio" name="plasenta_usg_obstetri" id="plasenta_abnormal_usg_obstetri" value="Abnormal" <?= ($objPatientNursing->vPlasentaUsgObstetri == 'Abnormal' ) ? 'checked' : '' ?>>Abnormal</label>
					</div>
				</div>
			</div>
			<div class="col-md-8" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Masalah</b></div></span>
					<input type="text" class="form-control" name="masalah_plasenta_usg_obstetri" id="masalah_plasenta_usg_obstetri" placeholder="Masalah" value="<?= $objPatientNursing->vMasalahPlasentaUsgObstetri ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Lokasi Implantasi</b></div></span>
					<input type="text" class="form-control" name="lokasi_implantasi_usg_obstetri" id="lokasi_implantasi_usg_obstetri" placeholder="Lokasi Implantasi" value="<?= $objPatientNursing->vLokasiImplantasiUsgObstetri  ?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Derajat maturasi</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="derajat_maturasi" id="derajat_maturasi_0_usg_obstetri" value="0" <?= ($objPatientNursing->vDerajatMaturasiUsgObstetri  == '0' ) ? 'checked' : '' ?>>0</label>
						<label class="radio-inline"><input type="radio" name="derajat_maturasi" id="derajat_maturasi_1_usg_obstetri" value="1" <?= ($objPatientNursing->vDerajatMaturasiUsgObstetri == '1' ) ? 'checked' : '' ?>>1</label>
						<label class="radio-inline"><input type="radio" name="derajat_maturasi" id="derajat_maturasi_2_usg_obstetri" value="2" <?= ($objPatientNursing->vDerajatMaturasiUsgObstetri == '2' ) ? 'checked' : '' ?>>2</label>
						<label class="radio-inline"><input type="radio" name="derajat_maturasi" id="derajat_maturasi_3_usg_obstetri" value="3" <?= ($objPatientNursing->vDerajatMaturasiUsgObstetri == '3' ) ? 'checked' : '' ?>>3</label>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:;">
    <div class="box-header">
        <h4>MVP amnion</h4>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Normal</b></div></span>
					<input type="text" class="form-control" name="mvp_amnion_normal_usg_obstetri" id="mvp_amnion_normal_usg_obstetri" placeholder="Normal" value="<?= $objPatientNursing->vMvpAmnionNormalUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Oligohidramnion</b></div></span>
					<input type="text" class="form-control" name="mvp_amnion_oligohidramnion_usg_obstetri" id="mvp_amnion_oligohidramnion_usg_obstetri" placeholder="Oligohidramnion" value="<?= $objPatientNursing->vMvpAmnionOligohidramnionUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
			<div class="col-md-4" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Hidramnion</b></div></span>
					<input type="text" class="form-control" name="mvp_amnion_hidramnion_usg_obstetri" id="mvp_amnion_hidramnion_usg_obstetri" placeholder="Hidramnion" value="<?= $objPatientNursing->vMvpAmnionHidramnionUsgObstetri  ?>">
					<span class="input-group-addon"><div style="width: 25px;" ><b>mm</b></div></span>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:5px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Air ketuban</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="air_ketuban_usg_obstetri" id="air_ketuban_jernih_usg_obstetri" value="Jernih" <?= ($objPatientNursing->vAirKetubanUsgObstetri  == 'Jernih' ) ? 'checked' : '' ?>>Jernih</label>
						<label class="radio-inline"><input type="radio" name="air_ketuban_usg_obstetri" id="air_ketuban_mengandung_usg_obstetri" value="Mengandung" <?= ($objPatientNursing->vAirKetubanUsgObstetri == 'Mengandung' ) ? 'checked' : '' ?>>Mengandung partiker vernits janin</label>
						<label class="radio-inline"><input type="radio" name="air_ketuban_usg_obstetri" id="air_ketuban_keruh_usg_obstetri" value="Keruh" <?= ($objPatientNursing->vAirKetubanUsgObstetri == 'Keruh' ) ? 'checked' : '' ?>>Keruh</label>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Gerak janin</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="gerak_janin_usg_obstetri" id="gerak_janin_normal_usg_obstetri" value="Normal" <?= ($objPatientNursing->vGerakJaninUsgObstetri  == 'Normal' ) ? 'checked' : '' ?>>Normal</label>
						<label class="radio-inline"><input type="radio" name="gerak_janin_usg_obstetri" id="gerak_janin_jarang_usg_obstetri" value="Sedikit" <?= ($objPatientNursing->vGerakJaninUsgObstetri == 'Sedikit' ) ? 'checked' : '' ?>>Sedikit/jarang partiker vernits janin</label>
						<label class="radio-inline"><input type="radio" name="gerak_janin_usg_obstetri" id="gerak_janin_berlebihan_usg_obstetri" value="Banyak" <?= ($objPatientNursing->vGerakJaninUsgObstetri == 'Banyak' ) ? 'checked' : '' ?>>Banyak/berlebihan</label>
					</div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Anatomi janin</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="anatomi_janin_usg_obstetri" id="anatomi_janin_normal_usg_obstetri" value="normal" <?= ($objPatientNursing->vAnatomiJaninUsgObstetri  == 'normal' ) ? 'checked' : '' ?>>Tampak normal</label>
						<label class="radio-inline"><input type="radio" name="anatomi_janin_usg_obstetri" id="anatomi_janin_curiga_usg_obstetri" value="Curiga" <?= ($objPatientNursing->vAnatomiJaninUsgObstetri == 'Curiga' ) ? 'checked' : '' ?>>Curiga ada kelainan</label>
					</div>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Kelainan</b></div></span>
					<input type="text" class="form-control" name="kelainan_anatomi_janin_usg_obstetri" id="kelainan_anatomi_janin_usg_obstetri" placeholder="Kelainan" value="<?= $objPatientNursing->vKelainanAnatomiJaninUsgObstetri  ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 110px;" ><b>Doppler</b></div></span>
					<div class="form-control" style="padding-top: 0px;">
						<label class="radio-inline"><input type="radio" name="doppler_usg_obstetri" id="doppler_tidak_dilakukan_usg_obstetri" value="Tidak" <?= ($objPatientNursing->vDopplerUsgObstetri  == 'Tidak' ) ? 'checked' : '' ?>>Tidak dilakukan</label>
						<label class="radio-inline"><input type="radio" name="doppler_usg_obstetri" id="doppler_dilakukan_usg_obstetri" value="Dilakukan" <?= ($objPatientNursing->vDopplerUsgObstetri == 'Dilakukan' ) ? 'checked' : '' ?>>Dilakukan</label>
					</div>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group">
					<span class="input-group-addon"><div style="width: 75px;" ><b>Hasilnya</b></div></span>
					<input type="text" class="form-control" name="hasilnya_dilakukan_doppler_usg_obstetri" id="hasilnya_dilakukan_doppler_usg_obstetri" placeholder="Hasilnya" value="<?= $objPatientNursing->vHasilnyaDilakukanDopplerUsgObstetr ?>">
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="box-header" style="">
		<i class="fa fa-user-md"></i>
        <h3 class="box-title">Dokter</h3>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
						<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Dokter yang menangani</b></div>
					</span>
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_yang_menangani_usg_obstetri" id="dokter_yang_menangani_usg_obstetri" data-placeholder="Pilih Dokter yang menangani">
					<option value="<?= $objPatientNursing->vDokterUsgObstetriaId != "" ? $objPatientNursing->vDokterUsgObstetriaId : $objPatientNursing->DoctorId  ; ?>" selected ><?= $objPatientNursing->vDokterUsgObstetriNama != "" ? $objPatientNursing->vDokterUsgObstetriNama : $objPatientNursing->DoctorName ; ; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>


<!-- 
<div class="box box-info form-horizontal box-info-pasien" style="padding-top: 10px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-12">
				<h4>Diagnosa</h4>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Utama</label>
					<div class="col-sm-4">
						<input name="diagnosedesc1" id="diagnosedesc1" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" id="diagnosedesc1" placeholder="Diagnosa Utama Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" autocomplete="off"/>
					</div>
					<div class="col-sm-5">
						<select name="diagnosecode1" id="diagnosecode1" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?> >
							<?php if ($objPatientNursing->AdmissionDiagnoseCode1) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode1);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select>
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel1" style="font-weight: bold"></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Sekunder</label>
					<div class="col-sm-4">
						<input name="diagnosedesc2" id="diagnosedesc2" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" placeholder="Diagnosa Sekunder Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription2 ?>" autocomplete="off"/>
					</div>
				<div class="col-sm-5">
							<select name="diagnosecode2" id="diagnosecode2" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : '' ?> >
							<?php if ($objPatientNursing->AdmissionDiagnoseCode2) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode2);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select>
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel2" style="font-weight: bold"></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Komplikasi 1</label>
					<div class="col-sm-4">
						<input name="diagnosedesc3" id="diagnosedesc3" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" id="diagnosedesc3" placeholder="Diagnosa Komplikasi 1 Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription3 ?>" autocomplete="off"/>
					</div>
					<div class="col-sm-5">
						<select name="diagnosecode3" id="diagnosecode3" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
							<?php if ($objPatientNursing->AdmissionDiagnoseCode3) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode3);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select>
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel3" style="font-weight: bold"></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Komplikasi 2</label>
					<div class="col-sm-4">
						<input name="diagnosedesc4" id="diagnosedesc4" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" id="diagnosedesc4" placeholder="Diagnosa Komplikasi 2 Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription4 ?>" autocomplete="off"/>
					</div>
					<div class="col-sm-5">
						 <select name="diagnosecode4" id="diagnosecode4" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
							<?php if ($objPatientNursing->AdmissionDiagnoseCode4) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode4);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select> 
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel4" style="font-weight: bold"></span>
					</div>
				</div>
				<div class="form-group">
					<label class="col-sm-2 control-label" for="w1-username">Diagnosa Komplikasi 3</label>
					<div class="col-sm-4">
						<input name="diagnosedesc5" id="diagnosedesc5" type="text" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2" id="diagnosedesc5" placeholder="Diagnosa Komplikasi 3 Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription5 ?>" autocomplete="off"/>
					</div>
					<div class="col-sm-5">
						<select name="diagnosecode5" id="diagnosecode5" <?= $boolReadOnlyRekamMedis ? 'readonly' : '' ; ?> class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
							<?php if ($objPatientNursing->AdmissionDiagnoseCode5) {
								$objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode5);
								?>
								<option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
							<?php } ?>
						</select>
					</div>
					<div class="col-sm-1">
						<span class="diagnoselabel5" style="font-weight: bold"></span>
					</div>
				</div>
				<hr>
			</div>
		</div>
	</div>
</div>
 -->
</dviv>

<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormAssemenUsgObstetriModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormAssemenUsgObstetriEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAssemenUsgObstetriEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAssemenUsgObstetriLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAssemenUsgObstetriLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormAssemenUsgObstetriTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAssemenUsgObstetriTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAssemenUsgObstetriIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormAssemenUsgObstetri) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormAssemenUsgObstetriEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAssemenUsgObstetriEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAssemenUsgObstetriLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAssemenUsgObstetriLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormAssemenUsgObstetriTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAssemenUsgObstetriTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAssemenUsgObstetriIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
		
	$("#tanggal_pemeriksaan_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("tanggal_pemeriksaan_usg_obstetri" , $("#tanggal_pemeriksaan_usg_obstetri").val() );
	});
	$("#jam_pemeriksaan_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("jam_pemeriksaan_usg_obstetri" , $("#jam_pemeriksaan_usg_obstetri").val() );
	});
	$("#janin_tunggal_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("janin_tunggal_usg_obstetri" , $("#janin_tunggal_usg_obstetri").val() );
	});
	$("#janin_ganda_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("janin_ganda_usg_obstetri" , $("#janin_ganda_usg_obstetri").val() );
	});
	$("#janin_triple_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("janin_triple_usg_obstetri" , $("#janin_triple_usg_obstetri").val() );
	});
	$("#janin_lainnya_usg_obstetrii").bind('input propertychange', function () {
		sessionStorage.setItem("janin_lainnya_usg_obstetrii" , $("#janin_lainnya_usg_obstetrii").val() );
	});
	$("#presentasi_kepala_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("presentasi_kepala_usg_obstetri" , $("#presentasi_kepala_usg_obstetri").val() );
	});
	$("#presentasi_bokong_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("presentasi_bokong_usg_obstetri" , $("#presentasi_bokong_usg_obstetri").val() );
	});
	$("#presentasi_lainnya_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("presentasi_lainnya_usg_obstetri" , $("#presentasi_lainnya_usg_obstetri").val() );
	});
	$("#letak_lintang_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("letak_lintang_usg_obstetri" , $("#letak_lintang_usg_obstetri").val() );
	});
	$("#letak_kepala_di_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("letak_kepala_di_usg_obstetri" , $("#letak_kepala_di_usg_obstetri").val() );
	});
	$("#posisi_kepala_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("posisi_kepala_usg_obstetri" , $("#posisi_kepala_usg_obstetri").val() );
	});
	$("#posisi_kepala_lainnya_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("posisi_kepala_lainnya_usg_obstetri" , $("#posisi_kepala_lainnya_usg_obstetri").val() );
	});
	$("#tanda_hidup_hidup_usg_osbstetri").bind('input propertychange', function () {
		sessionStorage.setItem("tanda_hidup_hidup_usg_osbstetri" , $("#tanda_hidup_hidup_usg_osbstetri").val() );
	});
	$("#tanda_hidup_iufd_usg_osbstetri").bind('input propertychange', function () {
		sessionStorage.setItem("tanda_hidup_iufd_usg_osbstetri" , $("#tanda_hidup_iufd_usg_osbstetri").val() );
	});
	$("#djj_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("djj_usg_obstetri" , $("#djj_usg_obstetri").val() );
	});
	$("#crl_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("crl_usg_obstetri" , $("#crl_usg_obstetri").val() );
	});
	$("#bpd_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("bpd_usg_obstetri" , $("#bpd_usg_obstetri").val() );
	});
	$("#hc_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("hc_usg_obstetri" , $("#hc_usg_obstetri").val() );
	});
	$("#ac_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("ac_usg_obstetri" , $("#ac_usg_obstetri").val() );
	});
	$("#fl_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("fl_usg_obstetri" , $("#fl_usg_obstetri").val() );
	});
	$("#efw_bpd_ac_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("efw_bpd_ac_usg_obstetri" , $("#efw_bpd_ac_usg_obstetri").val() );
	});
	$("#biometri_lainnya_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("biometri_lainnya_usg_obstetri" , $("#biometri_lainnya_usg_obstetri").val() );
	});
	$("#usia_gestasi_minggu_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("usia_gestasi_minggu_usg_obstetri" , $("#usia_gestasi_minggu_usg_obstetri").val() );
	});
	$("#usia_gestasi_hari_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("usia_gestasi_hari_usg_obstetri" , $("#usia_gestasi_hari_usg_obstetri").val() );
	});
	$("#usia_berdasarkan_crl_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("usia_berdasarkan_crl_usg_obstetri" , $("#usia_berdasarkan_crl_usg_obstetri").val() );
	});
	$("#usia_berdasarkan_bpd_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("usia_berdasarkan_bpd_usg_obstetri" , $("#usia_berdasarkan_bpd_usg_obstetri").val() );
	});
	$("#usia_berdasarkan_hc_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("usia_berdasarkan_hc_usg_obstetri" , $("#usia_berdasarkan_hc_usg_obstetri").val() );
	});
	$("#usia_gestasi_lainnya_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("usia_gestasi_lainnya_usg_obstetri" , $("#usia_gestasi_lainnya_usg_obstetri").val() );
	});
	$("#plasenta_normal_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("plasenta_normal_usg_obstetri" , $("#plasenta_normal_usg_obstetri").val() );
	});
	$("#plasenta_abnormal_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("plasenta_abnormal_usg_obstetri" , $("#plasenta_abnormal_usg_obstetri").val() );
	});
	$("#masalah_plasenta_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("masalah_plasenta_usg_obstetri" , $("#masalah_plasenta_usg_obstetri").val() );
	});
	$("#lokasi_implantasi_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("lokasi_implantasi_usg_obstetri" , $("#lokasi_implantasi_usg_obstetri").val() );
	});
	$("#derajat_maturasi_0_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("derajat_maturasi_0_usg_obstetri" , $("#derajat_maturasi_0_usg_obstetri").val() );
	});
	$("#derajat_maturasi_1_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("derajat_maturasi_1_usg_obstetri" , $("#derajat_maturasi_1_usg_obstetri").val() );
	});
	$("#derajat_maturasi_2_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("derajat_maturasi_2_usg_obstetri" , $("#derajat_maturasi_2_usg_obstetri").val() );
	});
	$("#derajat_maturasi_3_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("derajat_maturasi_3_usg_obstetri" , $("#derajat_maturasi_3_usg_obstetri").val() );
	});
	$("#mvp_amnion_normal_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("mvp_amnion_normal_usg_obstetri" , $("#mvp_amnion_normal_usg_obstetri").val() );
	});
	$("#mvp_amnion_oligohidramnion_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("mvp_amnion_oligohidramnion_usg_obstetri" , $("#mvp_amnion_oligohidramnion_usg_obstetri").val() );
	});
	$("#mvp_amnion_hidramnion_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("mvp_amnion_hidramnion_usg_obstetri" , $("#mvp_amnion_hidramnion_usg_obstetri").val() );
	});
	$("#air_ketuban_jernih_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("air_ketuban_jernih_usg_obstetri" , $("#air_ketuban_jernih_usg_obstetri").val() );
	});
	$("#air_ketuban_mengandung_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("air_ketuban_mengandung_usg_obstetri" , $("#air_ketuban_mengandung_usg_obstetri").val() );
	});
	$("#air_ketuban_keruh_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("air_ketuban_keruh_usg_obstetri" , $("#air_ketuban_keruh_usg_obstetri").val() );
	});
	$("#gerak_janin_normal_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("gerak_janin_normal_usg_obstetri" , $("#gerak_janin_normal_usg_obstetri").val() );
	});
	$("#gerak_janin_jarang_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("gerak_janin_jarang_usg_obstetri" , $("#gerak_janin_jarang_usg_obstetri").val() );
	});
	$("#gerak_janin_berlebihan_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("gerak_janin_berlebihan_usg_obstetri" , $("#gerak_janin_berlebihan_usg_obstetri").val() );
	});
	$("#anatomi_janin_normal_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("anatomi_janin_normal_usg_obstetri" , $("#anatomi_janin_normal_usg_obstetri").val() );
	});
	$("#anatomi_janin_curiga_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("anatomi_janin_curiga_usg_obstetri" , $("#anatomi_janin_curiga_usg_obstetri").val() );
	});
	$("#kelainan_anatomi_janin_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("kelainan_anatomi_janin_usg_obstetri" , $("#kelainan_anatomi_janin_usg_obstetri").val() );
	});
	$("#doppler_tidak_dilakukan_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("doppler_tidak_dilakukan_usg_obstetri" , $("#doppler_tidak_dilakukan_usg_obstetri").val() );
	});
	$("#doppler_dilakukan_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("doppler_dilakukan_usg_obstetri" , $("#doppler_dilakukan_usg_obstetri").val() );
	});
	$("#hasilnya_dilakukan_doppler_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("hasilnya_dilakukan_doppler_usg_obstetri" , $("#hasilnya_dilakukan_doppler_usg_obstetri").val() );
	});
	$("#dokter_yang_menangani_usg_obstetri").bind('input propertychange', function () {
		sessionStorage.setItem("dokter_yang_menangani_usg_obstetri" , $("#dokter_yang_menangani_usg_obstetri").val() );
	});


	$(document).ready(function() {
		sessionStorage.setItem( "form-usg-obstetri" , "yes" );
		if( sessionStorage.getItem("form-usg-obstetri") == "yes" ) {
			if(sessionStorage.getItem("form-usg-obstetri-nursing-id") == '<?= $objPatientNursing->Id; ?>'){
				if ( sessionStorage.getItem("tanggal_pemeriksaan_usg_obstetri") ) {
					$("#tanggal_pemeriksaan_usg_obstetri").val(sessionStorage.getItem("tanggal_pemeriksaan_usg_obstetri") );
				}
				if ( sessionStorage.getItem("jam_pemeriksaan_usg_obstetri") ) {
					$("#jam_pemeriksaan_usg_obstetri").val(sessionStorage.getItem("jam_pemeriksaan_usg_obstetri") );
				}
				if ( sessionStorage.getItem("janin_tunggal_usg_obstetri") ) {
					$("#janin_tunggal_usg_obstetri").val(sessionStorage.getItem("janin_tunggal_usg_obstetri") );
				}
				if ( sessionStorage.getItem("janin_ganda_usg_obstetri") ) {
					$("#janin_ganda_usg_obstetri").val(sessionStorage.getItem("janin_ganda_usg_obstetri") );
				}
				if ( sessionStorage.getItem("janin_triple_usg_obstetri") ) {
					$("#janin_triple_usg_obstetri").val(sessionStorage.getItem("janin_triple_usg_obstetri") );
				}
				if ( sessionStorage.getItem("janin_lainnya_usg_obstetrii") ) {
					$("#janin_lainnya_usg_obstetrii").val(sessionStorage.getItem("janin_lainnya_usg_obstetrii") );
				}
				if ( sessionStorage.getItem("presentasi_kepala_usg_obstetri") ) {
					$("#presentasi_kepala_usg_obstetri").val(sessionStorage.getItem("presentasi_kepala_usg_obstetri") );
				}
				if ( sessionStorage.getItem("presentasi_bokong_usg_obstetri") ) {
					$("#presentasi_bokong_usg_obstetri").val(sessionStorage.getItem("presentasi_bokong_usg_obstetri") );
				}
				if ( sessionStorage.getItem("presentasi_lainnya_usg_obstetri") ) {
					$("#presentasi_lainnya_usg_obstetri").val(sessionStorage.getItem("presentasi_lainnya_usg_obstetri") );
				}
				if ( sessionStorage.getItem("letak_lintang_usg_obstetri") ) {
					$("#letak_lintang_usg_obstetri").val(sessionStorage.getItem("letak_lintang_usg_obstetri") );
				}
				if ( sessionStorage.getItem("letak_kepala_di_usg_obstetri") ) {
					$("#letak_kepala_di_usg_obstetri").val(sessionStorage.getItem("letak_kepala_di_usg_obstetri") );
				}
				if ( sessionStorage.getItem("posisi_kepala_usg_obstetri") ) {
					$("#posisi_kepala_usg_obstetri").val(sessionStorage.getItem("posisi_kepala_usg_obstetri") );
				}
				if ( sessionStorage.getItem("posisi_kepala_lainnya_usg_obstetri") ) {
					$("#posisi_kepala_lainnya_usg_obstetri").val(sessionStorage.getItem("posisi_kepala_lainnya_usg_obstetri") );
				}
				if ( sessionStorage.getItem("tanda_hidup_hidup_usg_osbstetri") ) {
					$("#tanda_hidup_hidup_usg_osbstetri").val(sessionStorage.getItem("tanda_hidup_hidup_usg_osbstetri") );
				}
				if ( sessionStorage.getItem("tanda_hidup_iufd_usg_osbstetri") ) {
					$("#tanda_hidup_iufd_usg_osbstetri").val(sessionStorage.getItem("tanda_hidup_iufd_usg_osbstetri") );
				}
				if ( sessionStorage.getItem("djj_usg_obstetri") ) {
					$("#djj_usg_obstetri").val(sessionStorage.getItem("djj_usg_obstetri") );
				}
				if ( sessionStorage.getItem("crl_usg_obstetri") ) {
					$("#crl_usg_obstetri").val(sessionStorage.getItem("crl_usg_obstetri") );
				}
				if ( sessionStorage.getItem("bpd_usg_obstetri") ) {
					$("#bpd_usg_obstetri").val(sessionStorage.getItem("bpd_usg_obstetri") );
				}
				if ( sessionStorage.getItem("hc_usg_obstetri") ) {
					$("#hc_usg_obstetri").val(sessionStorage.getItem("hc_usg_obstetri") );
				}
				if ( sessionStorage.getItem("ac_usg_obstetri") ) {
					$("#ac_usg_obstetri").val(sessionStorage.getItem("ac_usg_obstetri") );
				}
				if ( sessionStorage.getItem("fl_usg_obstetri") ) {
					$("#fl_usg_obstetri").val(sessionStorage.getItem("fl_usg_obstetri") );
				}
				if ( sessionStorage.getItem("efw_bpd_ac_usg_obstetri") ) {
					$("#efw_bpd_ac_usg_obstetri").val(sessionStorage.getItem("efw_bpd_ac_usg_obstetri") );
				}
				if ( sessionStorage.getItem("biometri_lainnya_usg_obstetri") ) {
					$("#biometri_lainnya_usg_obstetri").val(sessionStorage.getItem("biometri_lainnya_usg_obstetri") );
				}
				if ( sessionStorage.getItem("usia_gestasi_minggu_usg_obstetri") ) {
					$("#usia_gestasi_minggu_usg_obstetri").val(sessionStorage.getItem("usia_gestasi_minggu_usg_obstetri") );
				}
				if ( sessionStorage.getItem("usia_gestasi_hari_usg_obstetri") ) {
					$("#usia_gestasi_hari_usg_obstetri").val(sessionStorage.getItem("usia_gestasi_hari_usg_obstetri") );
				}
				if ( sessionStorage.getItem("usia_berdasarkan_crl_usg_obstetri") ) {
					$("#usia_berdasarkan_crl_usg_obstetri").val(sessionStorage.getItem("usia_berdasarkan_crl_usg_obstetri") );
				}
				if ( sessionStorage.getItem("usia_berdasarkan_bpd_usg_obstetri") ) {
					$("#usia_berdasarkan_bpd_usg_obstetri").val(sessionStorage.getItem("usia_berdasarkan_bpd_usg_obstetri") );
				}
				if ( sessionStorage.getItem("usia_berdasarkan_hc_usg_obstetri") ) {
					$("#usia_berdasarkan_hc_usg_obstetri").val(sessionStorage.getItem("usia_berdasarkan_hc_usg_obstetri") );
				}
				if ( sessionStorage.getItem("usia_gestasi_lainnya_usg_obstetri") ) {
					$("#usia_gestasi_lainnya_usg_obstetri").val(sessionStorage.getItem("usia_gestasi_lainnya_usg_obstetri") );
				}
				if ( sessionStorage.getItem("plasenta_normal_usg_obstetri") ) {
					$("#plasenta_normal_usg_obstetri").val(sessionStorage.getItem("plasenta_normal_usg_obstetri") );
				}
				if ( sessionStorage.getItem("plasenta_abnormal_usg_obstetri") ) {
					$("#plasenta_abnormal_usg_obstetri").val(sessionStorage.getItem("plasenta_abnormal_usg_obstetri") );
				}
				if ( sessionStorage.getItem("masalah_plasenta_usg_obstetri") ) {
					$("#masalah_plasenta_usg_obstetri").val(sessionStorage.getItem("masalah_plasenta_usg_obstetri") );
				}
				if ( sessionStorage.getItem("lokasi_implantasi_usg_obstetri") ) {
					$("#lokasi_implantasi_usg_obstetri").val(sessionStorage.getItem("lokasi_implantasi_usg_obstetri") );
				}
				if ( sessionStorage.getItem("derajat_maturasi_0_usg_obstetri") ) {
					$("#derajat_maturasi_0_usg_obstetri").val(sessionStorage.getItem("derajat_maturasi_0_usg_obstetri") );
				}
				if ( sessionStorage.getItem("derajat_maturasi_1_usg_obstetri") ) {
					$("#derajat_maturasi_1_usg_obstetri").val(sessionStorage.getItem("derajat_maturasi_1_usg_obstetri") );
				}
				if ( sessionStorage.getItem("derajat_maturasi_2_usg_obstetri") ) {
					$("#derajat_maturasi_2_usg_obstetri").val(sessionStorage.getItem("derajat_maturasi_2_usg_obstetri") );
				}
				if ( sessionStorage.getItem("derajat_maturasi_3_usg_obstetri") ) {
					$("#derajat_maturasi_3_usg_obstetri").val(sessionStorage.getItem("derajat_maturasi_3_usg_obstetri") );
				}
				if ( sessionStorage.getItem("mvp_amnion_normal_usg_obstetri") ) {
					$("#mvp_amnion_normal_usg_obstetri").val(sessionStorage.getItem("mvp_amnion_normal_usg_obstetri") );
				}
				if ( sessionStorage.getItem("mvp_amnion_oligohidramnion_usg_obstetri") ) {
					$("#mvp_amnion_oligohidramnion_usg_obstetri").val(sessionStorage.getItem("mvp_amnion_oligohidramnion_usg_obstetri") );
				}
				if ( sessionStorage.getItem("mvp_amnion_hidramnion_usg_obstetri") ) {
					$("#mvp_amnion_hidramnion_usg_obstetri").val(sessionStorage.getItem("mvp_amnion_hidramnion_usg_obstetri") );
				}
				if ( sessionStorage.getItem("air_ketuban_jernih_usg_obstetri") ) {
					$("#air_ketuban_jernih_usg_obstetri").val(sessionStorage.getItem("air_ketuban_jernih_usg_obstetri") );
				}
				if ( sessionStorage.getItem("air_ketuban_mengandung_usg_obstetri") ) {
					$("#air_ketuban_mengandung_usg_obstetri").val(sessionStorage.getItem("air_ketuban_mengandung_usg_obstetri") );
				}
				if ( sessionStorage.getItem("air_ketuban_keruh_usg_obstetri") ) {
					$("#air_ketuban_keruh_usg_obstetri").val(sessionStorage.getItem("air_ketuban_keruh_usg_obstetri") );
				}
				if ( sessionStorage.getItem("gerak_janin_normal_usg_obstetri") ) {
					$("#gerak_janin_normal_usg_obstetri").val(sessionStorage.getItem("gerak_janin_normal_usg_obstetri") );
				}
				if ( sessionStorage.getItem("gerak_janin_jarang_usg_obstetri") ) {
					$("#gerak_janin_jarang_usg_obstetri").val(sessionStorage.getItem("gerak_janin_jarang_usg_obstetri") );
				}
				if ( sessionStorage.getItem("gerak_janin_berlebihan_usg_obstetri") ) {
					$("#gerak_janin_berlebihan_usg_obstetri").val(sessionStorage.getItem("gerak_janin_berlebihan_usg_obstetri") );
				}
				if ( sessionStorage.getItem("anatomi_janin_normal_usg_obstetri") ) {
					$("#anatomi_janin_normal_usg_obstetri").val(sessionStorage.getItem("anatomi_janin_normal_usg_obstetri") );
				}
				if ( sessionStorage.getItem("anatomi_janin_curiga_usg_obstetri") ) {
					$("#anatomi_janin_curiga_usg_obstetri").val(sessionStorage.getItem("anatomi_janin_curiga_usg_obstetri") );
				}
				if ( sessionStorage.getItem("kelainan_anatomi_janin_usg_obstetri") ) {
					$("#kelainan_anatomi_janin_usg_obstetri").val(sessionStorage.getItem("kelainan_anatomi_janin_usg_obstetri") );
				}
				if ( sessionStorage.getItem("doppler_tidak_dilakukan_usg_obstetri") ) {
					$("#doppler_tidak_dilakukan_usg_obstetri").val(sessionStorage.getItem("doppler_tidak_dilakukan_usg_obstetri") );
				}
				if ( sessionStorage.getItem("doppler_dilakukan_usg_obstetri") ) {
					$("#doppler_dilakukan_usg_obstetri").val(sessionStorage.getItem("doppler_dilakukan_usg_obstetri") );
				}
				if ( sessionStorage.getItem("hasilnya_dilakukan_doppler_usg_obstetri") ) {
					$("#hasilnya_dilakukan_doppler_usg_obstetri").val(sessionStorage.getItem("hasilnya_dilakukan_doppler_usg_obstetri") );
				}
				if ( sessionStorage.getItem("dokter_yang_menangani_usg_obstetri") ) {
					$("#dokter_yang_menangani_usg_obstetri").val(sessionStorage.getItem("dokter_yang_menangani_usg_obstetri") );
				}

			}else{
				sessionStorage.setItem( "form-usg-obstetri-nursing-id" , '<?= $objPatientNursing->Id; ?>' );
				sessionStorage.setItem( "tanggal_pemeriksaan_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "jam_pemeriksaan_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "janin_tunggal_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "janin_ganda_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "janin_triple_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "janin_lainnya_usg_obstetrii" ,"") ; 
				sessionStorage.setItem( "presentasi_kepala_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "presentasi_bokong_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "presentasi_lainnya_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "letak_lintang_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "letak_kepala_di_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "posisi_kepala_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "posisi_kepala_lainnya_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "tanda_hidup_hidup_usg_osbstetri" ,"") ; 
				sessionStorage.setItem( "tanda_hidup_iufd_usg_osbstetri" ,"") ; 
				sessionStorage.setItem( "djj_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "crl_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "bpd_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "hc_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "ac_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "fl_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "efw_bpd_ac_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "biometri_lainnya_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "usia_gestasi_minggu_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "usia_gestasi_hari_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "usia_berdasarkan_crl_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "usia_berdasarkan_bpd_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "usia_berdasarkan_hc_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "usia_gestasi_lainnya_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "plasenta_normal_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "plasenta_abnormal_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "masalah_plasenta_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "lokasi_implantasi_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "derajat_maturasi_0_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "derajat_maturasi_1_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "derajat_maturasi_2_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "derajat_maturasi_3_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "mvp_amnion_normal_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "mvp_amnion_oligohidramnion_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "mvp_amnion_hidramnion_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "air_ketuban_jernih_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "air_ketuban_mengandung_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "air_ketuban_keruh_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "gerak_janin_normal_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "gerak_janin_jarang_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "gerak_janin_berlebihan_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "anatomi_janin_normal_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "anatomi_janin_curiga_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "kelainan_anatomi_janin_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "doppler_tidak_dilakukan_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "doppler_dilakukan_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "hasilnya_dilakukan_doppler_usg_obstetri" ,"") ; 
				sessionStorage.setItem( "dokter_yang_menangani_usg_obstetri" ,"") ; 
			}
		} else { 
			sessionStorage.setItem( "form-usg-obstetri" , "yes" );
		}

	});

	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function cetaklaporan() {
		parent.AppPrintPage.setTitle('Print Preview USG Obstetri')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-obstetri') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('.koreksi, #float-koreksi').click(function(){
        parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
				$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false).trigger('chosen:updated');
				$('#validasi-modal, #float-validasi').removeClass('disabled'); 
				$('.koreksi').addClass('disabled'); 
				$('#float-koreksi').hide();
				$('#float-validasi').show();
                parent.jQuery.fallr('hide',function(){});
            },
            function(){
                parent.jQuery.fallr('hide',function(){});
            }
        );
    })


	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function () {
		posting('DRAFT');
	});

	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormAssemenUsgObstetriModifiedVersion != "" ? $objPatientNursing->vFormAssemenUsgObstetriModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});

	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('#dokter_yang_menangani_usg_obstetri').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalPemeriksaanUsgObstetri = $("#tanggal_pemeriksaan_usg_obstetri").val();
		post.JamPemeriksaanUsgObstetri = $("#jam_pemeriksaan_usg_obstetri").val();
		
		post.JaninUsgObstetri= '';
		if( $("#janin_tunggal_usg_obstetri").is(':checked') ) { post.JaninUsgObstetri = 'Tunggal'; }
		if( $("#janin_ganda_usg_obstetri").is(':checked') ) { post.JaninUsgObstetri = 'Ganda'; }
		if( $("#janin_triple_usg_obstetri").is(':checked') ) { post.JaninUsgObstetri = 'Triplet'; }
		if( $("#janin_intrauterin_usg_obstetri").is(':checked') ) { post.JaninUsgObstetri = 'Intrauterin'; }
		if( $("#janin_ekstrauterin_usg_obstetri").is(':checked') ) { post.JaninUsgObstetri = 'Kestrausterin'; }
		
		post.JaninLainnyaUsgObstetrii = $("#janin_lainnya_usg_obstetrii").val();
		
		post.PresentasiUsgObstetri= '';
		if( $("#presentasi_kepala_usg_obstetri").is(':checked') ) { post.PresentasiUsgObstetri = 'Kepala'; }
		if( $("#presentasi_bokong_usg_obstetri").is(':checked') ) { post.PresentasiUsgObstetri = 'Bokong'; }
		
		post.PresentasiLainnyaUsgObstetri = $("#presentasi_lainnya_usg_obstetri").val();
		
		post.LetakUsgObstetri= '';
		if( $("#letak_lintang_usg_obstetri").is(':checked') ) { post.LetakUsgObstetri = 'Lintang'; }
		if( $("#letak_kepala_di_usg_obstetri").is(':checked') ) { post.LetakUsgObstetri = 'Kepala'; }
		
		post.PosisiKepalaUsgObstetri = $("#posisi_kepala_usg_obstetri").val();
		post.PosisiKepalaLainnyaUsgObstetri = $("#posisi_kepala_lainnya_usg_obstetri").val();
		
		post.TandaHidupUsgOsbstetri= '';
		if( $("#tanda_hidup_hidup_usg_osbstetri").is(':checked') ) { post.TandaHidupUsgOsbstetri = 'Hidup'; }
		if( $("#tanda_hidup_iufd_usg_osbstetri").is(':checked') ) { post.TandaHidupUsgOsbstetri = 'IUFD'; }
		
		post.DjjUsgObstetri = $("#djj_usg_obstetri").val();
		post.CrlUsgObstetri = $("#crl_usg_obstetri").val();
		post.BpdUsgObstetri = $("#bpd_usg_obstetri").val();
		post.HcUsgObstetri = $("#hc_usg_obstetri").val();
		post.AcUsgObstetri = $("#ac_usg_obstetri").val();
		post.FlUsgObstetri = $("#fl_usg_obstetri").val();
		post.EfwBpdAcUsgObstetri = $("#efw_bpd_ac_usg_obstetri").val();
		post.BiometriLainnyaUsgObstetri = $("#biometri_lainnya_usg_obstetri").val();
		post.UsiaGestasiMingguUsgObstetri = $("#usia_gestasi_minggu_usg_obstetri").val();
		post.UsiaGestasiHariUsgObstetri = $("#usia_gestasi_hari_usg_obstetri").val();
		
		post.UsiaBerdasarkanUsgObstetri= '';
		if( $("#usia_berdasarkan_crl_usg_obstetri").is(':checked') ) { post.UsiaBerdasarkanUsgObstetri = 'CRL'; }
		if( $("#usia_berdasarkan_bpd_usg_obstetri").is(':checked') ) { post.UsiaBerdasarkanUsgObstetri = 'BPD'; }
		if( $("#usia_berdasarkan_hc_usg_obstetri").is(':checked') ) { post.UsiaBerdasarkanUsgObstetri = 'HC'; }
		
		post.UsiaGestasiLainnyaUsgObstetri = $("#usia_gestasi_lainnya_usg_obstetri").val();
		
		post.PlasentaUsgObstetri= '';
		if( $("#plasenta_normal_usg_obstetri").is(':checked') ) { post.PlasentaUsgObstetri = 'Normal'; }
		if( $("#plasenta_abnormal_usg_obstetri").is(':checked') ) { post.PlasentaUsgObstetri = 'Abnormal'; }
		
		post.MasalahPlasentaUsgObstetri = $("#masalah_plasenta_usg_obstetri").val();
		post.LokasiImplantasiUsgObstetri = $("#lokasi_implantasi_usg_obstetri").val();
		
		post.DerajatMaturasiUsgObstetri= '';
		if( $("#derajat_maturasi_0_usg_obstetri").is(':checked') ) { post.DerajatMaturasiUsgObstetri = '0'; }
		if( $("#derajat_maturasi_1_usg_obstetri").is(':checked') ) { post.DerajatMaturasiUsgObstetri = '1'; }
		if( $("#derajat_maturasi_2_usg_obstetri").is(':checked') ) { post.DerajatMaturasiUsgObstetri = '2'; }
		if( $("#derajat_maturasi_3_usg_obstetri").is(':checked') ) { post.DerajatMaturasiUsgObstetri = '3'; }
		
		post.MvpAmnionNormalUsgObstetri = $("#mvp_amnion_normal_usg_obstetri").val();
		post.MvpAmnionOligohidramnionUsgObstetri = $("#mvp_amnion_oligohidramnion_usg_obstetri").val();
		post.MvpAmnionHidramnionUsgObstetri = $("#mvp_amnion_hidramnion_usg_obstetri").val();
		
		post.AirKetubanUsgObstetri= '';
		if( $("#air_ketuban_jernih_usg_obstetri").is(':checked') ) { post.AirKetubanUsgObstetri = 'Jernih'; }
		if( $("#air_ketuban_mengandung_usg_obstetri").is(':checked') ) { post.AirKetubanUsgObstetri = 'Mengandung'; }
		if( $("#air_ketuban_keruh_usg_obstetri").is(':checked') ) { post.AirKetubanUsgObstetri = 'Keruh'; }
		
		post.GerakJaninUsgObstetri= '';
		if( $("#gerak_janin_normal_usg_obstetri").is(':checked') ) { post.GerakJaninUsgObstetri = 'Normal'; }
		if( $("#gerak_janin_jarang_usg_obstetri").is(':checked') ) { post.GerakJaninUsgObstetri = 'Sedikit'; }
		if( $("#gerak_janin_berlebihan_usg_obstetri").is(':checked') ) { post.GerakJaninUsgObstetri = 'Banyak'; }
		
		post.AnatomiJaninUsgObstetri= '';
		if( $("#anatomi_janin_normal_usg_obstetri").is(':checked') ) { post.AnatomiJaninUsgObstetri = 'normal'; }
		if( $("#anatomi_janin_curiga_usg_obstetri").is(':checked') ) { post.AnatomiJaninUsgObstetri = 'Curiga'; }
		
		post.KelainanAnatomiJaninUsgObstetri = $("#kelainan_anatomi_janin_usg_obstetri").val();
		
		post.DopplerUsgObstetri= '';
		if( $("#doppler_tidak_dilakukan_usg_obstetri").is(':checked') ) { post.DopplerUsgObstetri = 'Tidak'; }
		if( $("#doppler_dilakukan_usg_obstetri").is(':checked') ) { post.DopplerUsgObstetri = 'Dilakukan'; }
		
		post.HasilnyaDilakukanDopplerUsgObstetr = $("#hasilnya_dilakukan_doppler_usg_obstetri").val();
		post.DokterUsgObstetriaId = $("#dokter_yang_menangani_usg_obstetri").val();
		
		

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/AsesmenUsgObstetri')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#form_usgobstetri').removeClass('btn-primary').addClass('btn-success').html('USG Obstetri <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					sessionStorage.setItem( "tanggal_pemeriksaan_usg_obstetri" , "" );
					sessionStorage.setItem( "jam_pemeriksaan_usg_obstetri" , "" );
					sessionStorage.setItem( "janin_tunggal_usg_obstetri" , "" );
					sessionStorage.setItem( "janin_ganda_usg_obstetri" , "" );
					sessionStorage.setItem( "janin_triple_usg_obstetri" , "" );
					sessionStorage.setItem( "janin_lainnya_usg_obstetrii" , "" );
					sessionStorage.setItem( "presentasi_kepala_usg_obstetri" , "" );
					sessionStorage.setItem( "presentasi_bokong_usg_obstetri" , "" );
					sessionStorage.setItem( "presentasi_lainnya_usg_obstetri" , "" );
					sessionStorage.setItem( "letak_lintang_usg_obstetri" , "" );
					sessionStorage.setItem( "letak_kepala_di_usg_obstetri" , "" );
					sessionStorage.setItem( "posisi_kepala_usg_obstetri" , "" );
					sessionStorage.setItem( "posisi_kepala_lainnya_usg_obstetri" , "" );
					sessionStorage.setItem( "tanda_hidup_hidup_usg_osbstetri" , "" );
					sessionStorage.setItem( "tanda_hidup_iufd_usg_osbstetri" , "" );
					sessionStorage.setItem( "djj_usg_obstetri" , "" );
					sessionStorage.setItem( "crl_usg_obstetri" , "" );
					sessionStorage.setItem( "bpd_usg_obstetri" , "" );
					sessionStorage.setItem( "hc_usg_obstetri" , "" );
					sessionStorage.setItem( "ac_usg_obstetri" , "" );
					sessionStorage.setItem( "fl_usg_obstetri" , "" );
					sessionStorage.setItem( "efw_bpd_ac_usg_obstetri" , "" );
					sessionStorage.setItem( "biometri_lainnya_usg_obstetri" , "" );
					sessionStorage.setItem( "usia_gestasi_minggu_usg_obstetri" , "" );
					sessionStorage.setItem( "usia_gestasi_hari_usg_obstetri" , "" );
					sessionStorage.setItem( "usia_berdasarkan_crl_usg_obstetri" , "" );
					sessionStorage.setItem( "usia_berdasarkan_bpd_usg_obstetri" , "" );
					sessionStorage.setItem( "usia_berdasarkan_hc_usg_obstetri" , "" );
					sessionStorage.setItem( "usia_gestasi_lainnya_usg_obstetri" , "" );
					sessionStorage.setItem( "plasenta_normal_usg_obstetri" , "" );
					sessionStorage.setItem( "plasenta_abnormal_usg_obstetri" , "" );
					sessionStorage.setItem( "masalah_plasenta_usg_obstetri" , "" );
					sessionStorage.setItem( "lokasi_implantasi_usg_obstetri" , "" );
					sessionStorage.setItem( "derajat_maturasi_0_usg_obstetri" , "" );
					sessionStorage.setItem( "derajat_maturasi_1_usg_obstetri" , "" );
					sessionStorage.setItem( "derajat_maturasi_2_usg_obstetri" , "" );
					sessionStorage.setItem( "derajat_maturasi_3_usg_obstetri" , "" );
					sessionStorage.setItem( "mvp_amnion_normal_usg_obstetri" , "" );
					sessionStorage.setItem( "mvp_amnion_oligohidramnion_usg_obstetri" , "" );
					sessionStorage.setItem( "mvp_amnion_hidramnion_usg_obstetri" , "" );
					sessionStorage.setItem( "air_ketuban_jernih_usg_obstetri" , "" );
					sessionStorage.setItem( "air_ketuban_mengandung_usg_obstetri" , "" );
					sessionStorage.setItem( "air_ketuban_keruh_usg_obstetri" , "" );
					sessionStorage.setItem( "gerak_janin_normal_usg_obstetri" , "" );
					sessionStorage.setItem( "gerak_janin_jarang_usg_obstetri" , "" );
					sessionStorage.setItem( "gerak_janin_berlebihan_usg_obstetri" , "" );
					sessionStorage.setItem( "anatomi_janin_normal_usg_obstetri" , "" );
					sessionStorage.setItem( "anatomi_janin_curiga_usg_obstetri" , "" );
					sessionStorage.setItem( "kelainan_anatomi_janin_usg_obstetri" , "" );
					sessionStorage.setItem( "doppler_tidak_dilakukan_usg_obstetri" , "" );
					sessionStorage.setItem( "doppler_dilakukan_usg_obstetri" , "" );
					sessionStorage.setItem( "hasilnya_dilakukan_doppler_usg_obstetri" , "" );
					sessionStorage.setItem( "dokter_yang_menangani_usg_obstetri" , "" );
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#form_usgobstetri').removeClass('btn-primary').addClass('btn-success').html('USG Obstetri <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();

				} else {
					parent.toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$('#dokter_yang_menangani_usg_obstetri').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});

};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormAssemenUsgObstetri ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormAssemenUsgObstetriModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#versi_form').attr('placeholder', '~".$objPatientNursing->vFormAssemenUsgObstetriModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>

});
</script>