<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

// simulasi error;

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	
	$json = json_decode($objPatientNursing->RegisterJson);
	$tindakanTanggal1 = $json->TindakanTanggal1;
	$tindakanTanggal2 = $json->TindakanTanggal2;
	$tindakanTanggal3 = $json->TindakanTanggal3;
	$tindakanTanggal4 = $json->TindakanTanggal4;
	$tindakanTanggal5 = $json->TindakanTanggal5;
	$statusIndex = $json->StatusIndex;
	$arrObjCompetence = HrisRefCompetence::LoadAll();

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
$umurDalamTahun = $diff->y;

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}
$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);



$objSystemUser = SystemUser::LoadById($objUser->Id); 
?>
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
	.chosen-container
	{
		width: 100% !important;
	}
	.uniqueClassTextAlignRight {
		text-align: right;
	}
	tfoot .uniqueClassTextAlignRight {
		padding-right: 8px !important;
	}
	.uniqueClassTextAlignCenter {
		text-align: center;
	}
	.uniqueClassHidden {
		display: none;
	}
	.uniqueClassDisplayHidden {
		display: none;
	}
	.uniqueClassDisplayNone {
		display: none;
	}

	.dataTables_length {
		padding-left: 15px;
		padding-top: 10px;
		padding-right: 40px;
	}
	.subform-diagnosa {
		padding-bottom: 20px;
	}
	#aktifitas .col-md-1,
	#aktifitas .col-md-10,
	#aktifitas .col-md-11,
	#aktifitas .col-md-12,
	#aktifitas .col-md-2,
	#aktifitas .col-md-3,
	#aktifitas .col-md-4,
	#aktifitas .col-md-5,
	#aktifitas .col-md-6,
	#aktifitas .col-md-7,
	#aktifitas .col-md-8,
	#aktifitas .col-md-9 {
		padding-left: 8px !important;
		padding-right: 7px !important;
	}
	.form-horizontal .form-group {margin-bottom: 10px;}
	.visit.off, .non-visit.off { display: none;}
	.btn.toolbar {margin-left: 10px;}
	#search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
	.pemeriksaan-selesai .action { display: none; }
</style>
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<script>

	// alert('<?= $umurDalamTahun; ?>');
</script>

<div id="e-rm-form-gizi" class="hidden">true</div>

<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>

<!-- Modal -->
<div id="modalGambarEswl" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Upload Gambar</h4>
	  </div>
	  <div class="modal-body">
		<form>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">No RM</div>
				<div class="col-sm-8">
					<input type="text" class="form-control" value="<?= $objPatientNursing->Mr ?>" readonly>
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Nama</div>
				<div class="col-sm-8">
					<input type="text" class="form-control" value="<?= $objPatientNursing->FirstName ?>" readonly>
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Upload Data</div>
				<div class="col-sm-8">
					<input type="file" name="filegambareswl" id="filegambareswl" class="form-control">
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Deskripsi</div>
				<div class="col-sm-8">
					<textarea name="deskripsigambareswl" id="deskripsigambareswl" class="form-control"></textarea>
				</div>
			</div>
		<form>
	  </div>
	  <div class="modal-footer">
		<button type="button" id="simpanGambarEswl" class="btn btn-success">Simpan</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Close</button> 
	  </div>
	</div>

  </div>
</div>



<div class="row">
	<div class="col-xs-12">
		<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
			<div class="box-header">
				<i class="fa fa-user"></i>
				<h3 class="box-title">Data Pasien</h3>
			</div>
			<div class="box-body">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Nama</label>
							<div class="col-sm-8">
								<?php
								$namaPasien = ViewHelper::autoFullName($objPatientNursing->FirstName, $objHmisPatient->Predicate, $objPatientNursing->CreateTime->Timestamp, $objPatientNursing->DateOfBirth->Timestamp, $objPatientNursing->Gender);
								?>
								<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $namaPasien ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Alamat</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Umur</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="dpjp" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
							</div>
						</div>
						<?php if($objPatientNursing->NursingCategory == 3){ ?>
							<div class="form-group">
								<label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
								<div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
									<input type="text" class="form-control input-sm" id="ppjp" required value="<?= $strPpjp ?>" readonly>
								</div>
							</div>
						<?php } ?>

					</div>


					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Cara bayars</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
							<div class="col-sm-8">
								<?php
								if($objPatientNursing->DepartmentName){
									$namaDepartemen = $objPatientNursing->DepartmentName;
								}elseif($objPatientNursing->TransferDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->TransferDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}elseif($objPatientNursing->StartCheckinDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->StartCheckinDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}
								?>
								<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $namaDepartemen ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">TT</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" required value="<?= $objPatientNursing->NursingBedName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="dxU" id="dxU" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">ID</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>

<div class="row sudah-simpan">
    <div class="col-md-1"></div>
    <div class="col-md-10">
        <div class="callout callout-success">
            <h3><i class="fa fa-key"></i> Tanda Tangan!</h3>
            <p>Data telah ditandatangani dengan Signature<br>
            <b class="clientUserId"><?= $objPatientNursing->vSignatureIdSPPR ? $objPatientNursing->vSignatureIdSPPR : $objSystemUser->Id; ?></b>
            </p>
        </div>
    </div>
    <div class="col-md-1">
    </div>
</div>

<!-- <form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/StartService')?>" > -->
	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">

	<div class="row">

		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-header">
			    		<i class="fa fa-user"></i>
			    		<h3 class="box-title">FORM SURAT PENGANTAR PERMINTAAN RAWAT (SPPR)</h3>
				</div>
				

				<div class="row" style="height: 8px;">
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Tanggal Permintaan</b></div></span>
							<input type="text" class="form-control input-date" name="tgl_permintaan_sppr" id="tgl_permintaan_sppr" placeholder="Tanggal Permintaan" autocomplete="off" value="<?= $objPatientNursing->vTglPermintaanSPPR ? date('d-m-Y', strtotime($objPatientNursing->vTglPermintaanSPPR)) : "" ; ?>">
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style=" text-align: left;border:none;" ><div style="width: 110px; padding-right: 0px;" ><b>Ketentuan Rawat</b></div></span>
							<span class="input-group-addon" style=" text-align: left;border:none;" ><div style="width: 10px; padding-right: 0px;" ><b>:</b></div></span>
							<label class="radio-inline" style="padding-top:4px;"><input type="radio" name="KetentuanRawat" id="segera" value="Segera" <?= ($objPatientNursing->vKetentuanPerawatanSPPR == 'Segera' ) ? 'checked' : '' ?>>Segera</label>
							<label class="radio-inline" style="padding-top:4px;"><input type="radio" name="KetentuanRawat" id="bisaditunda" value="Bisa Ditunda" <?= $objPatientNursing->vKetentuanPerawatanSPPR == 'Bisa Ditunda' ? 'checked' : '' ?>>Bisa Ditunda</label>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Ruang perawatan</b></div></span>
							<select name="ruang_sppr" id="ruang_sppr" class="form-control ruang" style="width: 300px;" data-placeholder="Pilih Ruangan">
								<option value=""></option>
									<option value="<?= $objPatientNursing->vRuangSPPRId ?>" selected><?= $objPatientNursing->vRuangSPPRNama ?> </option>

							</select>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Dokter Rawat Inap</b></div></span>
							<select name="dokter_sppr" id="dokter_sppr" class="form-control doctor" style="width: 300px;" data-placeholder="Pilih Dokter">
								<option value="<?= $objPatientNursing->vDokterSPPRId ?>" selected><?= $objPatientNursing->vDokterSPPRNama ?></option>
							</select>
						</div>
					</div>
				</div>

				<!--
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Nama Pasien</b></div></span>
							<input type="text" class="form-control" name="nama_pasien" id="nama_pasien" placeholder="Nama Pasien" autocomplete="off" value="<?= $objPatientNursing->FirstName ; ?>" readonly>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Tanggal Lahir</b></div></span>
							<input type="text" class="form-control" name="tgl_lahir" id="tgl_lahir" placeholder="Tgl Lahir" autocomplete="off" value="<?= $lahir ; ?>" readonly>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>No RM</b></div></span>
							<input type="text" class="form-control" name="mr" id="mr" placeholder="No RM" autocomplete="off" value="<?= $objPatientNursing->Mr ; ?>" readonly>
						</div>
					</div>
				</div>
				-->
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Diagnosa</b></div></span>
							<input type="text" class="form-control" name="diagnosa" id="diagnosa" placeholder="Diagnosa" autocomplete="off" value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ; ?>" readonly>

						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Kebutuhan pasien <br>prioritas</b></div></span>
							<textarea name="kebutuhan_prioritas_sppr" id="kebutuhan_prioritas_sppr" rows="4" class="form-control" placeholder="Kebutuhan pasien prioritas" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKebutuhanPasienPrioritasSPPR ?></textarea>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Prosedur / Operasi</b></div></span>
							<textarea name="prosedur_operasi_sppr" id="prosedur_operasi_sppr" rows="4" class="form-control" placeholder="Prosedur / Operasi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vProsedurOperasiSPPR ?></textarea>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>DPJP</b></div></span>
							<input type="text" class="form-control" name="dpjp" id="dpjp" placeholder="DPJP" autocomplete="off" value="<?= $objPatientNursing->DoctorName ; ?>" readonly>
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>GCS</b></div></span>
							<input type="text" class="form-control" name="gcs_sppr" id="gcs_sppr" placeholder="GCS" autocomplete="off" value="<?= $objPatientNursing->vGCSSPPR ; ?>">
						</div>
					</div>
				</div>
				<div class="row" style="padding: 2px 15px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 120px; padding-right: 0px;" ><b>Alat Terpasang</b></div></span>
							<input type="text" class="form-control" name="alat_terpasang_sppr" id="alat_terpasang_sppr" placeholder="Alat Terpasang" autocomplete="off" value="<?= $objPatientNursing->vAlatTerpasangSPPR ; ?>">
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>




<!-- </form> -->
<div class="alert alert-success sudah-simpan" role="alert">
	<strong>Selesai!</strong> Surat Pengantar Permintaan Rawat telah di tanda tangani Oleh <b class="clientUserName"><?=$objPatientNursing->vSignatureUsernameSPPR ? $objPatientNursing->vSignatureUsernameSPPR : $objSystemUser->LoginName?></b> pada <b class="clientTimeStamp"><?=$objPatientNursing->vSignatureTimeStampSPPR ? $objPatientNursing->vSignatureTimeStampSPPR : "" ?></b> dari komputer dengan IP <b class="clientIP"><?=$objPatientNursing->vSignatureIPSPPR ? $objPatientNursing->vSignatureIPSPPR : System::getClientIpAddress();?></b>.
</div>
		
		
<div class="row">
	<div class="col-xs-12">
		<a class="btn btn-danger sudah-simpan koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
		<a href="#" type="button" class="btn btn-success show-modal" ><i class="fa fa-save" style="width:18px;"></i> Simpan dan Tanda Tangan</a>
		<a href="#" id="save" class="btn btn-danger"><i class="fa fa-save" style="width:18px;"></i> Simpan Draft</a>
		<div class="input-group" style="display:inline-block;">
			<input type="number" id="nama_versi" class="form-control sudah-simpan"  placeholder="" style="width:130px;border-radius:3px 0px 0px 3px;" >
			<a href="#" id="cetak_laporan" class="btn btn-info" style="margin-left:0px;display:inline-block;">Print Preview</a>
		</div>
		<a href="#" id="back" class="btn pull-right btn-default">Kembali</a>
	</div>
</div>



<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->

    <div class="modal-content betulDPJP">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Konfirmasi</h4>
      </div>
      <div class="modal-body">
        <p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
            pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
        </p>

        <div>
            <hr>
            <label><b>Password</b></label>
            <input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
            <div class="checkbox">
                <label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger sudah-simpan" id="tandatanganiperubahan" > Setuju &amp; Simpan Perubahan</button>
        <button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
      </div>
    </div>

<!--    <div class="modal-content bukanDPJP">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title" style="text-align:center;font-size:24px;font-weight:bold;">PERINGATAN</h4>
      </div>
      <div class="modal-body" style="text-align:center;">
	  <i class="fa fa-ban" style="color:red!important;font-size:150px;padding:20px;"></i><br>
	  
        <p style="font-size:20px;">HANYA DPJP YANG BERHAK TANDA TANGAN</p>

        
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Tutup</button>
      </div>
    </div> -->

  </div>
</div>

<!-- Modal -->


<style>
.ui-state-focus
{
	color:White;
	background:#96B202;
	outline:none;
}
.ui-autocomplete-wrapper {
}
.ui-autocomplete {
	list-style-type: none;
	padding: 0;
	font-weight: bold;
}
</style>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script>
	var SignatureActorSPPR = "" ;
	if (strActor == "IGD") {
		SignatureActorSPPR = "PERAWAT IGD" ;
	}
	if (strActor == "RNAP") {
		SignatureActorSPPR = "PERAWAT RAWAT INAP" ;
	}
	if (strActor == "POLI") {
		SignatureActorSPPR = "PERAWAT POLI" ;
	}
	if (strActor == "DOKTER") {
		SignatureActorSPPR = "DOKTER" ;
	}
</script>
<script type="text/javascript">

//	alert('PageId : '+strPageId+'\nActorId : '+strActorId+'\nNursingId : <?= $strId ?>\nDepartmenId :'+strDepartmentId+'\nActorName'+strActor);
//	alert('test');
var FormGizi = function(){

	'use strict';
	

	<?php $objSystemUser = SystemUser::LoadById($objUser->Id); ?>	
	var revisionNumber = parseInt('<?=$objPatientNursing->vSignatureSPPRModifiedVersion != "" ? $objPatientNursing->vSignatureSPPRModifiedVersion : "0" ;?>');
	var clientIP = "<?=System::getClientIpAddress();?>";
	var clientUserId = "<?=$objSystemUser->Id;?>";
	var clientUserName = "<?=$objSystemUser->LoginName;?>"	;
	var DPJPId = "<?=$objPatientNursing->DoctorId;?>";
	var personalId = "<?=$objSystemUser->ReferenceId;?>";
	
/*	if (personalId != DPJPId) {
		$('.betulDPJP').remove();
	} else {
		$('.bukanDPJP').remove();
	}
*/	
	if ( revisionNumber > 0 ) {
		//alert(revisionNumber);
		sudahTTD();
	} else {
		$('.sudah-simpan').hide();
		//$('#float-print').prop('disabled', true);
		//$('#float-print').removeClass('btn-blue');
		//$('#float-print').addClass('btn btn-primary disabled');
		//alert(revisionNumber);
	}
	
	$('#nama_versi').attr('max', revisionNumber);
	$('#nama_versi').attr('min', 1);
	
	$('#nama_versi').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});
	
	function tambah_revisionNumber() {
		revisionNumber = revisionNumber + 1;
		$('#nama_versi').attr("placeholder", "Versi 1 ~ " + revisionNumber);
		$('#nama_versi').attr("max", revisionNumber);
	};
	
	
	function sudahTTD() {
		$('#nama_versi').attr("placeholder", "Versi 1 ~ " + revisionNumber);
		$('#float-simpan').prop('disabled', true);
		$('#float-simpan').removeClass('btn-green');
		$('#float-simpan').addClass('btn btn-success disabled show-modal');
		$('#float-simpan').removeAttr('id');
		$('#save').remove();
		$('#tandatanganiperubahan').show();
		$('#tandatangani').hide();
		$('.sudah-simpan').show();
		$('#float-print').addClass('btn-blue');
		$('#float-print').removeClass('btn btn-primary disabled');
		$('#float-print').prop('disabled', false);
		
		 disableEdit()
	}
	
	function disableEdit() {
		$('#tgl_permintaan_sppr, #segera, #bisaditunda, #ruang_sppr, #dokter_sppr, #gcs_sppr, #alat_terpasang_sppr, #kebutuhan_prioritas_sppr, #prosedur_operasi_sppr').prop('disabled', true);
		$('#edit, .show-modal').addClass('disabled');
		$('.show-modal').prop('disabled', true);
		$('#dokter_sppr, #ruang_sppr').prop('disabled', true).trigger("chosen:updated");
		$('.show-modal i').removeClass('fa-circle-o-notch fa-spin');
		$('.show-modal i').addClass('fa-save');
		$('.koreksi').removeClass('disabled');
	}
	
	function bolehEdit(){
		$('#edit, .show-modal').removeClass('disabled');
		$('.show-modal').prop('disabled', false);
		$('#dokter_sppr, #ruang_sppr').prop('disabled', false).trigger("chosen:updated");
		$('#tgl_permintaan_sppr, #segera, #bisaditunda, #ruang_sppr, #dokter_sppr, #gcs_sppr, #alat_terpasang_sppr, #kebutuhan_prioritas_sppr, #prosedur_operasi_sppr').prop('disabled', false);
		$('.koreksi').addClass('disabled');
	}

	
	$('.show-modal').click(function(){
        $('#modal-area').modal('show');
        $('#password').val('');
		$('#check-setuju').prop('checked', false);
    });
	

    $('.koreksi').click(function(){
        jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
                bolehEdit();
                jQuery.fallr('hide',function(){});
            },
            function(){
                jQuery.fallr('hide',function(){});
            }
        );
    })
	
	
	function efekSebelumSimpan() {
		if (revisionNumber > 0){
			$('.show-modal i').removeClass('fa-save');
			$('.show-modal i').addClass('fa-circle-o-notch fa-spin');
		} else {
			$('#float-simpan').hide();
			$('#float-loading').show();
			$('#save i').removeClass('fa-save');
			$('#save i').addClass('disabled fa-circle-o-notch fa-spin');
		}
	}
	
	function efekSesudahSimpanVerif() {
		$('.show-modal i').addClass('fa-save');
		$('.show-modal i').removeClass('fa-circle-o-notch fa-spin');
		disableEdit();
		tambah_revisionNumber();
		sudahTTD();
		$('#float-loading').hide();
		$('.show-modal').show();
		$('.clientTimeStamp').html(new Date().getFullYear() + "-" + (new Date().getMonth() < 9 ? "0" + (new Date().getMonth() + 1) : new Date().getMonth() + 1) + "-" + new Date().getDate() +  " " + new Date().getHours() + ":" + new Date().getMinutes() + ":" + new Date().getSeconds());
		$('.clientUserName').html(clientUserName);
		$('.clientUserId').html(clientUserId);
		$('.clientIP').html(clientIP);
	}
	
	function efekSesudahSimpan() {
		$('#save i').addClass('fa-save');
		$('#save i').removeClass('disabled fa-circle-o-notch fa-spin');
		$('#float-simpan').show();
		$('#float-loading').hide();
	}
	
	function efekErrorSimpan() {
		if (revisionNumber > 0){
			$('.show-modal i').removeClass('fa-circle-o-notch fa-spin');
			$('.show-modal i').addClass('fa-save');
		} else {
			$('#save i').addClass('fa-save');
			$('#save i').removeClass('disabled fa-circle-o-notch fa-spin');
			$('#save').show();
			$('#float-simpan').show();
			$('#float-loading').hide();
		}
	}
	
		
	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}
	
	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	$('#content').off('click', '#tandatanganiperubahan').on('click', '#tandatanganiperubahan', function () {
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});
	


  
	// cetak di applikasi

	var __width__ = window.innerWidth , __height__ = window.innerHeight , boolpreviewPageActive = false ;

	<?php $strpreviewPageAll = System::GetId(); ?>

	function disable_scrolling(){

	   // Create a style sheet we will only use to disable scrolling :

	   scroll_style_element = document.createElement('style');
	   document.head.appendChild(scroll_style_element);
	   const scroll_style_sheet = scroll_style_element.sheet;
	   scroll_style_sheet.insertRule('html{height:100%;overflow-y:hidden;}', scroll_style_sheet.cssRules.length);

	}

	function enable_scrolling(){
	   if( scroll_style_element ) { document.head.removeChild(scroll_style_element); }
	   // window.onscroll = function() {};
	}

	var btnPrintEvent = function(){ 
		$("#<?= $strpreviewPageAll ?>").get(0).contentWindow.print();
		return true; 
	};
	var btnPrint = new Ext.Button({ formBind: true, text: 'Cetak', style: { marginTop: '' }, enableKeyEvents: true});
	btnPrint.setHandler(btnPrintEvent, this);
	var btnPrintListener = function(c) {
		c.getEl().on('keydown', function(e){
			// alert('key from close button');
			var key=e.getKey();
			e.preventDefault(); e.stopPropagation();
			if(key==vk_TAB||key==vk_LEFT)
			{
				e.preventDefault(); e.stopPropagation();
				return true;
			}
			else if(key==vk_RETURN||key==vk_ESCAPE)
			{
				e.preventDefault(); e.stopPropagation();
				return true;
			}
			return true;
		}, this);
	};
	btnPrint.addListener('render', btnPrintListener);

	var previewPage = new Ext.Window({
		layout: 'fit'
		 , pageX: 10 , pageY: 10 , width: 1330 , height: 600
		//, width: (850) , height: ( __height__ - 40 )
		, title: 'Preview'
		, constrain: false
		, closeAction: 'hide'
		, closable : true
		, modal: true
		, center: true
		, resizable: true
		, plain: true
		// , tbar: previewPageToolbar
		, items: [ {
			// html: '<div contenteditable="true"> testing all erm area </div>'
			html: 
				''
				+ '<iframe id="<?= $strpreviewPageAll ?>" name="<?= $strpreviewPageAll ?>" frameBorder="0" style="width: 100%; height: 100%; overflow: auto; margin-left: 5px; margin-right: 15px;  margin-top: 5px; padding-bottom: 5px;padding-right:5px; border: none;" />'
			, listeners: { input: { fn: function() { console.log("Changed one"); } , element: "element" , selector: "div" } }
		} ]
		, buttons: [
			 // btnReloadERM , btnClosepreviewPage
		btnPrint
		
	]
	});
	var previewPagewindowListener = function(c) {
		c.getEl().on('keydown', function(e){
			 // alert('key from windows');
			 var key=e.getKey();
			 if(key==vk_INSERT){
				  e.preventDefault(); e.stopPropagation();
			 }
			 else if(key==vk_ESCAPE||key==vk_SPACE||key==vk_RETURN)
			 {
				  e.preventDefault(); e.stopPropagation();
				  return true;
			 }
			 else if(key==vk_ESCAPE)
			 {
				  e.preventDefault(); e.stopPropagation();
				  previewPage.hide();
				  return true;
			 }
		});
	};
	previewPage.addListener('render', previewPagewindowListener);
	previewPage.on('hide', function() {
		boolpreviewPageActive = false;
		// alert('Close previewPage');
		enable_scrolling();
	});
	previewPage.on('show', function() {
		boolpreviewPageActive = true;
		// alert('Open previewPage');
		// Ext.fly(txtFilter.getId()).focus();
		txtFilter.focus(500);
	});

	var openpreviewPage = function(url) {
		// showLoader();
		var $iframe = $( "#<?= $strpreviewPageAll ?>" );
    	// $iframe.attr( 'src' , '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-mata') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
    	$iframe.attr( 'src' , url );

		// hideLoader();
		try {
			window.scrollTo({ top: 420 + 0 });
		} catch (error) {
			console.error(error);
			window.scrollTo(0, 420);
		}
		disable_scrolling();
		$("#<?= $strpreviewPageAll ?>").css({'height':( __height__ - 85 ) + 'px','width':( __width__ - 35 ) + 'px','margin':'0px'});
		$("#<?= $strpreviewPageAll ?>").scrollTop(0);

		previewPage.setWidth( __width__ - 20 );
		previewPage.setHeight( __height__ - 20 );
		previewPage.show();

	};

	// cetak di applikasi
	
	function cetaklaporan() {
		var ModifiedVersion = $('#nama_versi').val();
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		// printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-mata') ?>', strOption);
		openpreviewPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-sppr') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion );
	}
	

	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});


	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});

	
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		if ( revisionNumber > 0 ) {
		cetaklaporan();
		} else {
		toastr.error('Berkas belum ditandatangani , tidak dapat dicetak','Kesalahan');
		}
	});
	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		if ( revisionNumber > 0 ) {
		cetaklaporan();
		} else {
		toastr.error('Berkas belum ditandatangani , tidak dapat dicetak','Kesalahan');
		}
	});
	
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function unInitialize() {
		setTimeout(function(){
			Reflect.deleteProperty(window, 'FormGizi');
		},100);
	}


	function print() {
		var Id = '<?= $objPatientNursing->Id ?>';
		console.log(Id);
		setContent('<?= QApplication::UrlCreator('form-medis-rajal/print-eswl')?>?pageId='+sessionStorage.pageId,'content');
	}
	function openInNewTab(url) {
		var win = window.open(url, '_blank');
		win.focus();
	} 

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		posting('DRAFT');
	});


	$('#content').off('click', '#back').on('click', '#back', function (event) {
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TglPermintaanSPPR = $('#tgl_permintaan_sppr').val();

		post.KetentuanPerawatanSPPR = '';
		if( $("#segera").is(':checked') ) {
			if( post.KetentuanPerawatanSPPR ) {
				post.KetentuanPerawatanSPPR = post.KetentuanPerawatanSPPR + ',' + 'Segera';
			} else {
				post.KetentuanPerawatanSPPR = 'Segera';
			}
		}
		if( $("#bisaditunda").is(':checked') ) {
			if( post.KetentuanPerawatanSPPR ) {
				post.KetentuanPerawatanSPPR = post.KetentuanPerawatanSPPR + ',' + 'Bisa Ditunda';
			} else {
				post.KetentuanPerawatanSPPR = 'Bisa Ditunda';
			}
		}
		
		post.RuangSPPRId = $('#ruang_sppr').val();
		post.DokterSPPRId = $('#dokter_sppr').val();
		post.GCSSPPR = $('#gcs_sppr').val();
		post.AlatTerpasangSPPR = $('#alat_terpasang_sppr').val();

		post.KebutuhanPasienPrioritasSPPR = $('#kebutuhan_prioritas_sppr').val();
		post.ProsedurOperasiSPPR = $('#prosedur_operasi_sppr').val();
		
		post.SignatureActorSPPR = SignatureActorSPPR;



		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanRJ/SavePerawatanSPPR')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				efekSebelumSimpan()
				//$('#save').hide();
				//$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					efekSesudahSimpanVerif()
					//back();
					//unInitialize();
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					efekSesudahSimpan();
					//back();
					//unInitialize();
				} else {
					toastr.error( result.message , 'Error');
					efekErrorSimpan()
				}
			}
			, complete: function(xhr,status){
				hideLoader();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

};

$('#content').ready(function(){
	FormGizi();
	$("#gizi_status").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_biokimia").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_klinis").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pola_makan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_susunan_makanan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pemberian_asi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_diagnosa").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '350px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_evaluasi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#dokter_eswl").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#asisten_eswl").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#anti_profilaksis").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#analgenikum").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#sedation").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});

});

$('#content').off('click', '.page-tindakan').on('click', '.page-tindakan', function () {
	//'hmis-patient-medical-service-rnap/tindakan'
	var Id = '<?= $objPatientNursing->Id ?>';
	console.log(Id);
	var backFromAssementAwal = window.sessionStorage.getItem('backFromAssementAwal');
	if( backFromAssementAwal ) {
		setContent(backFromAssementAwal,'content');
		return true;
	}
	var segmenSebelumnya = window.sessionStorage.getItem('segmenSebelumnya');
	if( segmenSebelumnya ) {
		setContent('<?= QApplication::UrlCreator('')?>/'+segmenSebelumnya+'?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
		return true;
	}
});


var urlRuang = "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmenRanap/?pageId=')?><?=$strPageId?>&search=";
$('.ruang').each(function () {
    $(this).ajaxChosen({
        type: 'GET' 
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('SearchDepartment/SearchDepartmenRanap/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return urlRuang + strSearch
        }
    });
});

var urlDoctor = "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>&search=";
$('.doctor').each(function () {
    $(this).ajaxChosen({
        type: 'GET' 
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return urlDoctor + strSearch
        }
    });
});

	 //------------------upload Gambar-----------------

	var urlPreviewGambarEswl = '<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/HospitalFileService/Content/?pageId='+sessionStorage.pageId+'&Id=';

	$('#content').off('click', '#uploadGambarEswl').on('click', '#uploadGambarEswl', function () {
		$('#modalGambarEswl').modal('show');
	});

	$('#content').off('click', '#previewGambarEswl').on('click', '#previewGambarEswl', function () {
		var idfile = $('#previewGambarEswl').data('idfile');
		window.open(urlPreviewGambarEswl + idfile, '_blank').focus();
	});


	$('#simpanGambarEswl').click(function(){
		var fd = new FormData();
		var files = $('#filegambareswl')[0].files;
		
		// Check file selected or not
		if(files.length == 0 ){
			alert("Please select a file.");
			return null;
		}
		fd.append("pageId", strPageId);
		fd.append("actorId", strActorId);
		fd.append("nursingId", '<?= $objPatientNursing->Id ?>');
		fd.append("department", strDepartmentId);

		fd.append('deskripsifile', $('#deskripsigambareswl').val());
		fd.append('file',files[0]);

		$.ajax({
			url: '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadGambarEswl')?>',
			type: 'post',
			data: fd,
			contentType: false,
			processData: false,
			success: function(response){
				if(response.status == 'success'){
					$('#modalGambarEswl').modal('hide');
					toastr.info(response.message,'Informasi');
					$('#uploadGambarEswl').html('Upload Gambar <i class="fa fa-check"></i>');
					$('#previewGambarEswl').show();
					$('#previewGambarEswl').data('idfile', response.id);
				}else{
					alert('file not uploaded');
				}
			},
		});
	})

	var statusUploadGambarEswl = false;
	<?php
	$objSystemFileManager = SystemFileManager::QuerySingle(
		QQ::AndCondition(
			QQ::Equal(QQN::SystemFileManager()->PatientNursingId, $objPatientNursing->Id)
			, QQ::Equal(QQN::SystemFileManager()->Category, 'GAMBAR ESWL')
			, QQ::Equal(QQN::SystemFileManager()->State, 'A')
		)
	);

	if($objSystemFileManager){
	?>
		statusUploadGambarEswl = true;
		$('#previewGambarEswl').data('idfile', '<?= $objSystemFileManager->Id ?>');
	<?php
	}
	?>

	if(statusUploadGambarEswl){
		$('#uploadGambarEswl').html('Upload Gambar Eswl<i class="fa fa-check"></i>');
		$('#previewGambarEswl').show();
	};


</script>