<?php
function tpltSkriningGizi($objPatientNursing = null, $prefix = null){
    $ori_turun = $prefix.'TurunBb';
    $edit_turun = $prefix.'TurunBbEdit';
    $ori_asupan = $prefix.'AsupanMakanKurang';
    $edit_asupan = $prefix.'AsupanMakanKurangEdit';
    $ori_status = $prefix.'StatusGiziAnak';
    $edit_status = $prefix.'StatusGiziAnakEdit';

    $turun = $objPatientNursing->$edit_turun ? $objPatientNursing->$edit_turun : $objPatientNursing->$ori_turun;
    $asupan = $objPatientNursing->$edit_asupan ? $objPatientNursing->$edit_asupan : $objPatientNursing->$ori_asupan;
    //$status = $objPatientNursing->$edit_status ? $objPatientNursing->$edit_status: $objPatientNursing->$ori_status;
    $statusgizi = $objPatientNursing->vKeperawatanAnakStatusGiziAnak; 

?>
<div class="row" style="margin-bottom: 5px;">
    <div class="col-md-4">
        <label class="control-label" for="penurunanbb">
            <b>Penurunan berat BB (kg) dlam 3 bulan
            terakhir </b>
        </label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="penurunanbb" name="penurunanbb" class="form-control">
                <option value="">--Pilih--</option>
                <option value="TIDAK ADA" <?= $turun == 'TIDAK ADA' ? 'selected' : '' ?>>Tidak Ada(0)</option>
                <option value="TIDAK YAKIN" <?= $turun == 'TIDAK YAKIN' ? 'selected' : '' ?>>Tidak yakin/Tidak tahu/Baju terasa lebih longgar</option>
                <option value="TURUN 1-5" <?= $turun == 'TURUN 1-5' ? 'selected' : '' ?>>penurunan BB 1-5 (1)</option>
                <option value="TURUN 6-10" <?= $turun == 'TURUN 6-10' ? 'selected' : '' ?>>penurunan BB 6-10 (2)</option>
                <option value="TURUN 11-15" <?= $turun == 'TURUN 11-15' ? 'selected' : '' ?>>penurunan BB 11-15 (3)</option>
                <option value="TURUN LEBIH 15" <?= $turun == 'TURUN LEBIH 15' ? 'selected' : '' ?>>penurunan &gt; 15 (4)</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="asupanberkurang">
            <b>Asupan makanan berkurang </b>
        </label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="asupanberkurang" name="asupanberkurang" class="form-control">
                <option value="">--Pilih--</option>
                <option value="YA" <?= $asupan == 'YA' ? 'selected' : '' ?>>Ya(1)</option>
                <option value="TIDAK" <?= $asupan == 'TIDAK' ? 'selected' : '' ?>>Tidak(0)</option>
            </select>
        </div>
    </div>
    <!--<div class="col-md-4">
        <label class="control-label" for="statusgizi"><b>Status Gizi Anak</b></label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <input type="text" name="statusgizi" id="statusgizi" class="form-control" value="<?= $statusgizi ?>">
        </div>
    </div>-->

</div>

<script>
    var segmenSkriningGizi = {
        ambilValue : function (){
            return {
                TurunBb : $('#penurunanbb').val(),
                AsupanMakanKurang : $('#asupanberkurang').val(),
                StatusGiziAnak: $('#statusgizi').val(),
            }
        },
        ambilValueEdit : function (){
            var obj = {};
            var penurunanbb = $('#penurunanbb');
            var asupanberkurang = $('#asupanberkurang');
            var statusgizi = $('#statusgizi');
            if(penurunanbb.data('status') == 'edit'){
                obj.TurunBb = penurunanbb.val();
            }
            if(asupanberkurang.data('status') == 'edit'){
                obj.AsupanMakanKurang = asupanberkurang.val();
            }
            if(statusgizi.data('status') == 'edit'){
                obj.StatusGiziAnak = statusgizi.val();
            }
            return obj;
        }
    }
</script>
<?php
}
?>