

<!----------------- MENU FLOATING START ----------------------->
<div class="dock">
  <div class="dock-container">
    <button class="btn-primary btn" id="float-e-rm" >
      <div class="name">Lihat e-Rekam Medis</div>
      <i class="fa fa-history"></i>
    </button>
    <button class="btn-primary btn" id="float-riwayat">
      <div class="name">Lihat Riwayat</div>
      <i class="fa fa-book"></i>
    </button>
    <button class="btn btn-primary" id="float-tindakan">
      <div class="name">Tindakan Pemeriksaan, Tindakan Medis</div>
      <i class="fa fa-medkit"></i>
    </button>
    <button class="btn-primary btn" id="float-e-resep">
      <div class="name">Pemberian e-Resep</div>
      <i class="fa fa-check-square-o"></i>
    </button>
    <button class="btn-primary btn" id="float-print">
      <div class="name">Print&nbsp;Preview</div>
      <i class="fa fa-print"></i>
    </button>
    <button class="btn-danger btn" id="float-koreksi" style="display:none;">
      <div class="name">Koreksi</div>
      <i class="fa fa-pencil"></i>
    </button>
    <button class="btn-success btn" id="float-validasi" style="display:none;">
      <div class="name">Validasi</div>
      <i class="fa fa-save"></i>
    </button>
    <button class="btn-success btn disabled" id="float-loading" style="display:none;">
      <div class="name">Simpan</div>
      <i class="fa fa-spinner fa-lg fa-spin "></i>
    </button>
    <button class="btn-success btn hide-validasi" id="float-simpan">
      <div class="name">Simpan</div>
      <i class="fa fa-save"></i>
    </button>
  </div>
</div>
<script>

$("#content").off('click', '#float-e-rm').on('click', '#float-e-rm', function () {
	parent.ParentERM();
});
$("#content").off('click', '#float-riwayat').on('click', '#float-riwayat', function () {
	parent.ParentNursingHistory();
});
$("#content").off('click', '#float-tindakan').on('click', '#float-tindakan', function () {
	parent.ParentMenuBilling();
});
$("#content").off('click', '#float-e-resep').on('click', '#float-e-resep', function () {
	parent.ParentMenuEresep();
});
</script>

<style>
.dock {
	width: 53px;
	height: auto;
	border-radius: 10px;
	position: fixed;
	top: 50%;
	margin-top:-90px;
	right: 0;
	z-index: 200;
	border: 1px solid #bbb;
}

.dock-container {
	width: 100%;
	height: 100%;
	background: rgba(10, 50, 100, 0.1);
	box-shadow: 1px 3px 10px #aaa;
	padding: 7px 7px 0px 7px;
	border-radius: 10px;
	backdrop-filter: blur(2px);
	-webkit-backdrop-filter: blur(2px);
	border: 1px solid rgba(255, 255, 255, 0.18)
}

.dock-container li, .dock-container button {
	width: 35px;
	height: 35px;
	list-style: none;
	transition: .2s;
	transform-origin: 50% 100%;
	margin-bottom: 7px;
	padding: 0px 0px !important;
	text-shadow: 0 1px 0 rgba(0, 0, 0, 0.2);
	box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2);
	border-radius: 6px;
	text-align: center;
	vertical-align: middle;
	touch-action: manipulation;
	cursor: pointer;
	border: 1px solid transparent;
	line-height: 39px;
	color: #fff;
}

.dock-container li .name, .dock-container button .name {
	position: absolute;
	margin-top: -2px;
	right: 95px;
	background: rgba(10, 50, 100, 0.5);
	color: rgba(255, 255, 255, 1);
	height: 28px;
	padding: 10px 15px;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 5px;
	transition: .05s;
	visibility: hidden;
	pointer-events: none;
}

.dock-container li:hover .name, .dock-container button:hover .name {
	visibility: visible !important;
	right: 55px;
}
.dock-container li i, .dock-container button i {
	font-size: 21px;
}





.border-checkbox {
    display: none;
}
.border-checkbox-label {
    position: relative;
    display: inline-block;
    cursor: pointer;
    height: 20px;
    line-height: 20px;
    padding-left: 30px;
    margin-right: 15px;

}
.border-checkbox-label:before {
    border: 2px solid #4099ff;
}
.border-checkbox-label:before {
    content: " ";
    display: block;
    border: 2px solid #4099ff;
    width: 20px;
    height: 20px;
    position: absolute;
    left: 0;
}

.border-checkbox-label:after {
    content: " ";
    display: block;
    width: 6px;
    height: 12px;
    opacity: .9;
    border-right: 2px solid #eee;
    border-top: 2px solid #eee;
    position: absolute;
    left: 4px;
    top: 11px;
    -webkit-transform: scaleX(-1) rotate(135deg);
    transform: scaleX(-1) rotate(135deg);
    -webkit-transform-origin: left top;
    transform-origin: left top;
}

@keyframes ripple {
    0% {
        -webkit-box-shadow: 0 0 0 1px transparent;
        box-shadow: 0 0 0 1px transparent
    }

    50% {
        -webkit-box-shadow: 0 0 0 10px rgba(0,0,0,.05);
        box-shadow: 0 0 0 10px rgba(0,0,0,.05)
    }

    100% {
        -webkit-box-shadow: 0 0 0 10px transparent;
        box-shadow: 0 0 0 10px transparent
    }
}

@keyframes check {
    0% {
        height: 0;
        width: 0
    }

    25% {
        height: 0;
        width: 6px
    }

    50% {
        height: 12px;
        width: 6px
    }
}
.border-checkbox:checked+.border-checkbox-label:before {
    -webkit-animation: ripple .3s linear forwards;
    animation: ripple .3s linear forwards
}
.border-checkbox:checked+.border-checkbox-label:after {
    -webkit-animation: check linear .5s;
    animation: check linear .5s;
    opacity: 1;
    border-color: #4099ff
}
</style>

