
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>--> 

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">ASESMEN GIGI</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">

<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">ASESMEN GIGI</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:5px;">
        <div class="row">
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
                <label class="control-label" for="tanggalasesmen_poli_bedah_mulut"><b>Tanggal Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalasesmen_poli_bedah_mulut" type="text" class="form-control input-date" name="tanggalasesmen_poli_bedah_mulut" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->vTanggalAsesmenPoliBedahMulut != "" ? $objPatientNursing->vTanggalAsesmenPoliBedahMulut : date("d-m-Y") ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-xs-6 col-md-6" style="margin-bottom:;">
                <label class="control-label" for="jamasesmen_poli_bedah_mulut"><b>Jam Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamasesmen_poli_bedah_mulut" type="text" class="form-control" name="jamasesmen_poli_bedah_mulut" placeholder="HH:mm" value="<?= $objPatientNursing->vJamAsesmenPoliBedahMulut != "" ? $objPatientNursing->vJamAsesmenPoliBedahMulut : date("H:i"); ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
        </div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Keluhan Utama</b></label>
				<textarea name="keluhan_utama_poli_bedah_mulut" id="keluhan_utama_poli_bedah_mulut" rows="4" class="form-control" placeholder="Keluhan Utama" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKeluhanUtamaPoliBedahMulut ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;padding-top:5px;">
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Anamnea Khusus (Riwayat penyakit sekarang)</b></label>
				<textarea name="anamnea_khusus_poli_bedah_mulut" id="anamnea_khusus_poli_bedah_mulut" rows="4" class="form-control" placeholder="Anamnea Khusus (Riwayat penyakit sekarang)" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vAnamneaKhususPoliBedahMulut ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Riwayat Penyakit Dahulu</b></label>
				<textarea name="riwayat_penyakit_dahulu_poli_bedah_mulut" id="riwayat_penyakit_dahulu_poli_bedah_mulut" rows="4" class="form-control" placeholder="Riwayat Penyakit Dahulu" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatPenyakitDahuluPoliBedahMulut ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Riwayat Alergi</b></label>
				<textarea name="riwayat_alergi_poli_bedah_mulut" id="riwayat_alergi_poli_bedah_mulut" rows="4" class="form-control" placeholder="Riwayat Alergi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatAlergiPoliBedahMulut ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Riwayat Pengobatan</b></label>
				<textarea name="riwayat_pengobatan_poli_bedah_mulut" id="riwayat_pengobatan_poli_bedah_mulut" rows="4" class="form-control" placeholder="Riwayat Pengobatan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatPengobatanPoliBedahMulut ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="">
				<label class="control-label" for=""><b>Riwayat Operasi</b></label>
				<textarea name="riwayat_operasi_poli_bedah_mulut" id="riwayat_operasi_poli_bedah_mulut" rows="4" class="form-control" placeholder="Riwayat Operasi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRiwayatOperasiPoliBedahMulut ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien">
    <div class="box-body" style="padding:20px;">
		<div class="row">
			<div class="col-md-12">
				<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
				<div>
					<?php
					$sumberGambar = __USER_ASSETS__.'/images/gigi.png';

					$gambarTersimpan = $objPatientNursing->vLokasiAnatomiBedahMulut ? $objPatientNursing->vLokasiAnatomiBedahMulut : $sumberGambar;
					?>
					<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
					<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
				</div>
				<div align="center">
					<canvas id="myCanvas" width="500" height="260" style="border:2px solid black; touch-action: none;" ></canvas>
					<div style="display:inline-block;margin-top:15px;">
					<button href="#" class="btn btn-warning btn-xs hideSelesai" id="edit">Mulai Sunting</button>
					<button href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Gambar</button>
					<button href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Gambar</button>
					<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Gambar</button>
					</div>
				</div>
			</div>
			<div class="col-md-12">
				<div class="row" style="">
					<div class="col-md-6">
						<label class="control-label" for="" ><b>Pemeriksaan Fisik</b></label>
						<textarea name="pemeriksaan_fisik_poli_bedah_mulut" id="pemeriksaan_fisik_poli_bedah_mulut" rows="4" class="form-control" placeholder="Pemeriksaan Psikiatri" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vPemeriksaanFisikPoliBedahMulut ?></textarea>
					</div>
					<div class="col-md-6">
						<label class="control-label" for=""><b>Hasil  Pemeriksaan Penunjang ( &#60; 30 hari )</b></label>
						<textarea name="hasil_pemeriksaan_penunjang_poli_bedah_mulut" id="hasil_pemeriksaan_penunjang_poli_bedah_mulut" rows="4" class="form-control" placeholder="Hasil  Pemeriksaan Penunjang ( &#60; 30 hari )" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vHasilPenunjangPoliBedahMulut ?></textarea>
					</div>
					<div class="col-md-6">
						<label class="control-label" for=""><b>Diagnosa</b></label>
						<textarea name="diagnosa_poli_bedah_mulut" id="diagnosa_poli_bedah_mulut" rows="4" class="form-control" placeholder="Diagnosa" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vDiagnosaPoliBedahMulut ?></textarea>
					</div>
					<div class="col-md-6">
						<label class="control-label" for=""><b>Pengobatan / Tindakan / Rencana Pemeriksaan</b></label>
						<textarea name="pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut" id="pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut" rows="4" class="form-control" placeholder="Pengobatan / Tindakan / Rencana Pemeriksaan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vPengobatanTindakanPoliBedahMulut ?></textarea>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">TINDAK LANJUT</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:5px;">
		<div class="row">
			<div class="col-md-3" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>MRS Ruang</b></label>
				<input type="text" class="form-control" placeholder="MRS Ruang" id="mrs_ruang_poli_bedah_mulut" value="<?= $objPatientNursing->vMrsRuangPoliBedahMulut ; ?>" >
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Kontrol tanggal</b></label>
              <div class="input-group">
				  <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
					<input type="text" class="form-control input-date" placeholder="Kontrol tanggal" id="kontrol_tanggal_poli_bedah_mulut" data-mask="00-00-0000" value="<?= $objPatientNursing->vKontrolTanggalPoliBedahMulut ; ?>" >
				</div>
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Rujuk ke</b></label>
				<input type="text" class="form-control" placeholder="Rujuk ke" id="rujuk_ke_poli_bedah_mulut" value="<?= $objPatientNursing->vRujukKePoliBedahMulut ; ?>" >
			</div>
			<div class="col-md-3" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Indikasi Rujuk</b></label>
				<input type="text" class="form-control" placeholder="Indikasi Rujuk" id="indikasi_rujuk_poli_bedah_mulut" value="<?= $objPatientNursing->vIndikasiRujukPoliBedahMulut ; ?>" >
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien">
	<div class="box-header" style="text-align:left;border-bottom:1px solid #eee;padding:6px 12px;">
		<h3 class="box-title" style="font-size:16px;">DOKTER</h3>
	</div>
    <div class="box-body" style="padding:20px;padding-top:5px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<label class="control-label" for=""><b>Dokter yang menangani</b></label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_yang_menangani_poli_bedah_mulut" id="dokter_yang_menangani_poli_bedah_mulut" data-placeholder="Pilih Dokter yang menangani">
					<option value="<?= $objPatientNursing->vDokterPoliBedahMulutId != "" ? $objPatientNursing->vDokterPoliBedahMulutId : $objPatientNursing->DoctorId ; ?>" selected ><?= $objPatientNursing->vDokterPoliBedahMulutNama != "" ? $objPatientNursing->vDokterPoliBedahMulutNama : $objPatientNursing->DoctorName; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>


</div>

<div class="row">
	<div class="col-xs-12">
		<div>
			<button class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</button> 
			<button id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</button>
			<button id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-circle-o-notch fa-spin" style="margin-right:2px;"></i> Simpan</button>
			<button href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </button>
			<button href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </button>
			<button id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</button>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<button id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</button>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormAssementAwalBedahMulutModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormAssementAwalBedahMulutEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAssementAwalBedahMulutEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAssementAwalBedahMulutLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAssementAwalBedahMulutLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormAssementAwalBedahMulutTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAssementAwalBedahMulutTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAssementAwalBedahMulutIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormAssementAwalBedahMulut) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormAssementAwalBedahMulutEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAssementAwalBedahMulutEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAssementAwalBedahMulutLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAssementAwalBedahMulutLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormAssementAwalBedahMulutTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAssementAwalBedahMulutTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAssementAwalBedahMulutIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
	
	
	$("#tanggalasesmen_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("tanggalasesmen_poli_bedah_mulut" , $("#tanggalasesmen_poli_bedah_mulut").val() );
	});
	$("#jamasesmen_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("jamasesmen_poli_bedah_mulut" , $("#jamasesmen_poli_bedah_mulut").val() );
	});
	$("#keluhan_utama_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("keluhan_utama_poli_bedah_mulut" , $("#keluhan_utama_poli_bedah_mulut").val() );
	});
	$("#anamnea_khusus_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("anamnea_khusus_poli_bedah_mulut" , $("#anamnea_khusus_poli_bedah_mulut").val() );
	});
	$("#riwayat_penyakit_dahulu_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_penyakit_dahulu_poli_bedah_mulut" , $("#riwayat_penyakit_dahulu_poli_bedah_mulut").val() );
	});
	$("#riwayat_alergi_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_alergi_poli_bedah_mulut" , $("#riwayat_alergi_poli_bedah_mulut").val() );
	});
	$("#riwayat_pengobatan_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_pengobatan_poli_bedah_mulut" , $("#riwayat_pengobatan_poli_bedah_mulut").val() );
	});
	$("#riwayat_operasi_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_operasi_poli_bedah_mulut" , $("#riwayat_operasi_poli_bedah_mulut").val() );
	});
	$("#pemeriksaan_fisik_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("pemeriksaan_fisik_poli_bedah_mulut" , $("#pemeriksaan_fisik_poli_bedah_mulut").val() );
	});
	$("#hasil_pemeriksaan_penunjang_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("hasil_pemeriksaan_penunjang_poli_bedah_mulut" , $("#hasil_pemeriksaan_penunjang_poli_bedah_mulut").val() );
	});
	$("#diagnosa_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("diagnosa_poli_bedah_mulut" , $("#diagnosa_poli_bedah_mulut").val() );
	});
	$("#pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut" , $("#pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut").val() );
	});
	$("#mrs_ruang_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("mrs_ruang_poli_bedah_mulut" , $("#mrs_ruang_poli_bedah_mulut").val() );
	});
	$("#kontrol_tanggal_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("kontrol_tanggal_poli_bedah_mulut" , $("#kontrol_tanggal_poli_bedah_mulut").val() );
	});
	$("#rujuk_ke_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("rujuk_ke_poli_bedah_mulut" , $("#rujuk_ke_poli_bedah_mulut").val() );
	});
	$("#indikasi_rujuk_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("indikasi_rujuk_poli_bedah_mulut" , $("#indikasi_rujuk_poli_bedah_mulut").val() );
	});
	$("#dokter_yang_menangani_poli_bedah_mulut").bind('input propertychange', function () {
		sessionStorage.setItem("dokter_yang_menangani_poli_bedah_mulut" , $("#dokter_yang_menangani_poli_bedah_mulut").val() );
	});
	
	$(document).ready(function() {
		
		if( sessionStorage.getItem("form-asesmen-paru") == "yes" ) {
			if( sessionStorage.getItem("form-asesmen-paru-nursing-id") == '<?= $objPatientNursing->Id; ?>' ){
				if ( sessionStorage.getItem("tanggalasesmen_poli_bedah_mulut") ) {
					$("#tanggalasesmen_poli_bedah_mulut").val(sessionStorage.getItem("tanggalasesmen_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("jamasesmen_poli_bedah_mulut") ) {
					$("#jamasesmen_poli_bedah_mulut").val(sessionStorage.getItem("jamasesmen_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("keluhan_utama_poli_bedah_mulut") ) {
					$("#keluhan_utama_poli_bedah_mulut").val(sessionStorage.getItem("keluhan_utama_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("anamnea_khusus_poli_bedah_mulut") ) {
					$("#anamnea_khusus_poli_bedah_mulut").val(sessionStorage.getItem("anamnea_khusus_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("riwayat_penyakit_dahulu_poli_bedah_mulut") ) {
					$("#riwayat_penyakit_dahulu_poli_bedah_mulut").val(sessionStorage.getItem("riwayat_penyakit_dahulu_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("riwayat_alergi_poli_bedah_mulut") ) {
					$("#riwayat_alergi_poli_bedah_mulut").val(sessionStorage.getItem("riwayat_alergi_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("riwayat_pengobatan_poli_bedah_mulut") ) {
					$("#riwayat_pengobatan_poli_bedah_mulut").val(sessionStorage.getItem("riwayat_pengobatan_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("riwayat_operasi_poli_bedah_mulut") ) {
					$("#riwayat_operasi_poli_bedah_mulut").val(sessionStorage.getItem("riwayat_operasi_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("pemeriksaan_fisik_poli_bedah_mulut") ) {
					$("#pemeriksaan_fisik_poli_bedah_mulut").val(sessionStorage.getItem("pemeriksaan_fisik_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("hasil_pemeriksaan_penunjang_poli_bedah_mulut") ) {
					$("#hasil_pemeriksaan_penunjang_poli_bedah_mulut").val(sessionStorage.getItem("hasil_pemeriksaan_penunjang_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("diagnosa_poli_bedah_mulut") ) {
					$("#diagnosa_poli_bedah_mulut").val(sessionStorage.getItem("diagnosa_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut") ) {
					$("#pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut").val(sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("mrs_ruang_poli_bedah_mulut") ) {
					$("#mrs_ruang_poli_bedah_mulut").val(sessionStorage.getItem("mrs_ruang_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("kontrol_tanggal_poli_bedah_mulut") ) {
					$("#kontrol_tanggal_poli_bedah_mulut").val(sessionStorage.getItem("kontrol_tanggal_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("rujuk_ke_poli_bedah_mulut") ) {
					$("#rujuk_ke_poli_bedah_mulut").val(sessionStorage.getItem("rujuk_ke_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("indikasi_rujuk_poli_bedah_mulut") ) {
					$("#indikasi_rujuk_poli_bedah_mulut").val(sessionStorage.getItem("indikasi_rujuk_poli_bedah_mulut") );
				}
				if ( sessionStorage.getItem("dokter_yang_menangani_poli_bedah_mulut") ) {
					$("#dokter_yang_menangani_poli_bedah_mulut").val(sessionStorage.getItem("dokter_yang_menangani_poli_bedah_mulut") );
				}
			} else {
				sessionStorage.setItem( "form-asesmen-paru-nursing-id" , '<?= $objPatientNursing->Id; ?>' );
				sessionStorage.setItem( "tanggalasesmen_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "jamasesmen_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "keluhan_utama_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "anamnea_khusus_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "riwayat_penyakit_dahulu_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "riwayat_alergi_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "riwayat_pengobatan_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "riwayat_operasi_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "pemeriksaan_fisik_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "hasil_pemeriksaan_penunjang_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "diagnosa_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "mrs_ruang_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "kontrol_tanggal_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "rujuk_ke_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "indikasi_rujuk_poli_bedah_mulut" ,"") ; 
				sessionStorage.setItem( "dokter_yang_menangani_poli_bedah_mulut" ,"") ; 
			}
		}  else { 
			sessionStorage.setItem( "form-asesmen-paru" , "yes" );
		}
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/gigi.png';
			$urlGambar = $objPatientNursing->vLokasiAnatomiBedahMulut ? $objPatientNursing->vLokasiAnatomiBedahMulut : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(500);
			image.scaleToHeight(260);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(500);
				image.scaleToHeight(260);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar').click(function() {

			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'BEDAH MULUT');
			fd.append("gambar", blob, 'gigi.png');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadBedahMulut')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})

		})

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	});
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function cetaklaporan() {
 		parent.AppPrintPage.setTitle('Print Preview Asesmen Gigi')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-bedah-mulut') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	
	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function (event) {
		cetaklaporan();
	});

    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormAssementAwalBedahMulutModifiedVersion != "" ? $objPatientNursing->vFormAssementAwalBedahMulutModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalAsesmenPoliBedahMulut = $('#tanggalasesmen_poli_bedah_mulut').val();
		post.JamAsesmenPoliBedahMulut = $('#jamasesmen_poli_bedah_mulut').val()
		post.KeluhanUtamaPoliBedahMulut = $('#keluhan_utama_poli_bedah_mulut').val()
		post.AnamneaKhususPoliBedahMulut = $('#anamnea_khusus_poli_bedah_mulut').val()
		post.RiwayatPenyakitDahuluPoliBedahMulut = $('#riwayat_penyakit_dahulu_poli_bedah_mulut').val()
		post.RiwayatAlergiPoliBedahMulut = $('#riwayat_alergi_poli_bedah_mulut').val()
		post.RiwayatPengobatanPoliBedahMulut = $('#riwayat_pengobatan_poli_bedah_mulut').val()
		post.RiwayatOperasiPoliBedahMulut = $('#riwayat_operasi_poli_bedah_mulut').val()
		post.PemeriksaanFisikPoliBedahMulut = $('#pemeriksaan_fisik_poli_bedah_mulut').val()
		post.HasilPenunjangPoliBedahMulut = $('#hasil_pemeriksaan_penunjang_poli_bedah_mulut').val()
		post.DiagnosaPoliBedahMulut = $('#diagnosa_poli_bedah_mulut').val()
		post.PengobatanTindakanPoliBedahMulut = $('#pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut').val()
		post.MrsRuangPoliBedahMulut = $('#mrs_ruang_poli_bedah_mulut').val()
		post.KontrolTanggalPoliBedahMulut = $('#kontrol_tanggal_poli_bedah_mulut').val()
		post.RujukKePoliBedahMulut = $('#rujuk_ke_poli_bedah_mulut').val()
		post.IndikasiRujukPoliBedahMulut = $('#indikasi_rujuk_poli_bedah_mulut').val()
		post.DokterPoliBedahMulutId = $('#dokter_yang_menangani_poli_bedah_mulut').val()
		
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/AsesmenAwalBedahMulut')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#asesmenbedahmulut').removeClass('btn-primary').addClass('btn-success').html('Asesmen Gigi <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					sessionStorage.setItem( "tanggalasesmen_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "jamasesmen_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "keluhan_utama_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "anamnea_khusus_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "riwayat_penyakit_dahulu_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "riwayat_alergi_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "riwayat_pengobatan_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "riwayat_operasi_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "pemeriksaan_fisik_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "hasil_pemeriksaan_penunjang_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "diagnosa_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "mrs_ruang_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "kontrol_tanggal_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "rujuk_ke_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "indikasi_rujuk_poli_bedah_mulut" , "" );
					sessionStorage.setItem( "dokter_yang_menangani_poli_bedah_mulut" , "" );
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#asesmenbedahmulut').removeClass('btn-primary').addClass('btn-success').html('Asesmen Gigi <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();

				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
		
	});
	$('#dokter_yang_menangani_poli_bedah_mulut').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('#dokter_yang_menangani_poli_bedah_mulut').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	
};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormAssementAwalBedahMulut ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormAssementAwalBedahMulutModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#versi_form').attr('placeholder', '~".$objPatientNursing->vFormAssementAwalBedahMulutModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>


});

</script>
