
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

	// $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
	// $waktuakhir = date_create();
	$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
	$umurDalamTahun = $diff->y;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> 
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>-->
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script type="text/javascript">
	// alert('start assement-awal');
</script>

<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>'; 
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#nama_versi{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<div class="row" style="margin-bottom: 10px;display:inline-block;width:100%;text-align:center;">
	<div class="col-md-12">
		<h1 class="panel-title1">ASESMEN AWAL GERIATRI</h1>
	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">


<div id="asesmen_awal_medis" name="asesmen_awal_medis" style="display: none;">active</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>ASESMEN AWAL GERIATRI</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="tanggalasesmen">Tanggal Asesmen</label>
				<div class="input-group" style="width:100%;">
					<input id="tanggalasesmen" type="text" class="form-control input-tanggal-asesmen" name="tanggalasesmen" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->GeneralTanggalAsesmen ? $objPatientNursing->GeneralTanggalAsesmen : $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>" style="z-index:0">
                 <label style="border:none;position:absolute;top:3px;right:15px;z-index:5;background:none!important" for="tanggalasesmen" class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></label>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="jamasesmen">Jam Asesmen</label>
				<div class="input-group" style="width:100%;">
					<input id="jamasesmen" type="text" class="form-control timepicker" name="jamasesmen" placeholder="HH:mm" value="<?= $objPatientNursing->GeneralJamAsesmen ? $objPatientNursing->GeneralJamAsesmen : date('H:i') ?>" data-mask="00:00">
                 <label style="border:none;position:absolute;top:3px;right:15px;z-index:5;background:none!important" for="jamasesmen" class="input-group-addon"><i class="glyphicon glyphicon-time"></i></label>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="no_telp_pasien">Nomor Telp Pasien</label>
				<div class="input-group" style="width:100%;">
					<input id="no_telp_pasien" type="text" class="form-control" name="no_telp_pasien" placeholder="Nomor Telp Pasien" value="<?= $objPatientNursing->MobilePhone ?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="pekerjaan_pasien">Pekerjaan Pasien</label>
				<div class="input-group" style="width:100%;">
					<input id="pekerjaan_pasien" type="text" class="form-control" name="pekerjaan_pasien" placeholder="Pekerjaan Pasien" value="<?= $objPatientNursing->OccupationDescription?>" style="z-index:0">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 0px;">
				<label class="control-label" style="margin-bottom:0px;font-weight:bold;margin-top:10px;margin-bottom:0px;" >ORANG YANG TINGGAL SERUMAH</label><br>
				<label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="jumlah_anak">Jumlah Anak</label>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:;font-weight:bold;text-align:left;">Laki-laki</div></span>
					<input id="jumlah_anak_lakilaki" type="number" class="form-control" name="jumlah_anak_lakilaki" placeholder="Laki-laki" value="<?= $objPatientNursing->vJumlahAnakLakiLaki?>" style="z-index:0" >
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:;font-weight:bold;text-align:left;">Perempuan</div></span>
					<input id="jumlah_anak_perempuan" type="number" class="form-control" name="jumlah_anak_perempuan" placeholder="Perempuan" value="<?= $objPatientNursing->vJumlahAnakPerempuan?>" style="z-index:0" ">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 0px;">
				<label class="control-label" style="margin-bottom:0px;font-weight:bold;text-align:left;" for="jumlah_cucu">Jumlah Cucu</label>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:;font-weight:bold;text-align:left;">Laki-laki</div></span>
					<input id="jumlah_cucu_lakilaki" type="number" class="form-control" name="jumlah_cucu_lakilaki" placeholder="Laki-laki" value="<?= $objPatientNursing->vJumlahCucuLakiLaki?>" style="z-index:0" >
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:;font-weight:bold;text-align:left;">Perempuan</div></span>
					<input id="jumlah_cucu_perempuan" type="number" class="form-control" name="jumlah_cucu_perempuan" placeholder="Perempuan" value="<?= $objPatientNursing->vJumlahCucuPerempuan?>" style="z-index:0" >
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 0px;">
				<label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="jumlah_cicit">Jumlah Cicit</label>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:;font-weight:bold;text-align:left;">Laki-laki</div></span>
					<input id="jumlah_cicit_lakilaki" type="number" class="form-control" name="jumlah_cicit_lakilaki" placeholder="Laki-laki" value="<?= $objPatientNursing->vJumlahCicitLakiLaki?>" >
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:;font-weight:bold;text-align:left;">Perempuan</div></span>
					<input id="jumlah_cicit_perempuan" type="number" class="form-control" name="jumlah_cicit_perempuan" placeholder="Perempuan" value="<?= $objPatientNursing->vJumlahCicitPerempuan?>">
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>ANAMNESIS</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="keluhanutama">Keluhan Utama</label>
				<textarea class="form-control autoresize" style="border-width:1px;margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="keluhanutama" name="keluhanutama" placeholder="Keluhan Utama" autocomplete="on"><?= $objPatientNursing->GeneralKeluhanUtama ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="riwayatpenyakitsekarang">Riwayat Penyakit Sekarang</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="riwayatpenyakitsekarang" name="riwayatpenyakitsekarang" placeholder="Riwayat Penyakit Sekarang"><?= $objPatientNursing->GeneralRiwayatPenyakitSekarang ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="riwayatpenyakitdahulu">Riwayat Penyakit Dahulu</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="riwayatpenyakitdahulu" name="riwayatpenyakitdahulu" placeholder="Riwayat Penyakit Dahulu"><?= $objPatientNursing->GeneralRiwayatPenyakitDahulu ? $objPatientNursing->GeneralRiwayatPenyakitDahulu : $objHmisPatient->RiwayatPenyakitDahulu ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="riwayatpenyakitkeluarga">Riwayat Penyakit Keluarga</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="riwayatpenyakitkeluarga" name="riwayatpenyakitkeluarga" placeholder="Riwayat Penyakit Keluarga"><?= $objPatientNursing->GeneralRiwayatPenyakitKeluarga ? $objPatientNursing->GeneralRiwayatPenyakitKeluarga : $objHmisPatient->HistoryOfFamilialDisease ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="riwayat_pembedahan_rawatinap">Riwayat Pembedahan/Rawat Inap</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="riwayat_pembedahan_rawatinap" name="riwayat_pembedahan_rawatinap" placeholder="Riwayat Pembedahan / Rawat Inap"><?= $objPatientNursing->vRiwayatPembedahanRawatInap ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="riwayat_pengobatan">Riwayat Pengobatan</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="riwayat_pengobatan" name="riwayat_pengobatan" placeholder="Riwayat Pengobatan"><?= $objPatientNursing->vRiwayatPengobatan ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="riwayat_alergi">Riwayat Alergi</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="riwayat_alergi" name="riwayat_alergi" placeholder="Riwayat Operasi"><?= $objPatientNursing->vRiwayatAlergi ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="riwayat_kebiasaan">Riwayat Kebiasaan / Hobi / Kegiatan / Status Sosial-Ekonomi</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="riwayat_kebiasaan" name="riwayat_kebiasaan" placeholder="Riwayat Operasi"><?= $objPatientNursing->vRiwayatKebiasaan ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>ANAMNESIS GIZI</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:80px;text-align:left;font-weight:bold;">Berat Badan</div></span>
					<input id="berat_badan" type="text" class="form-control" name="berat_badan" placeholder="Berat Badan" value="<?= $objPatientNursing->GeneralBb?>">
					<span class="input-group-addon"><div style="width:34px;text-align:center;font-weight:bold;">Kg</div></span>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:80px;text-align:left;font-weight:bold;">Tinggi Badan</div></span>
					<input id="tinggi_badan" type="text" class="form-control" name="tinggi_badan" placeholder="Tinggi Badan" value="<?= $objPatientNursing->GeneralTb?>">
					<span class="input-group-addon"><div style="width:34px;text-align:center;font-weight:bold;">Cm</div></span>
				</div>
			</div>
			<div class="col-md-6">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:80px;text-align:left;font-weight:bold;">Status Gizi</div></span>
					<input id="status_gizi" type="text" class="form-control" name="status_gizi" placeholder="Status Gizi" value="<?= $objPatientNursing->vStatusGizi?>">
					<span class="input-group-addon"><div style="width:34px;text-align:center;font-weight:bold;">Kg/m&#178;</div></span>
				</div>
			</div>
		</div>
	</div>
</div>


<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>PENAPISAN (TOTAL SKOR : <span class='totalSkor1'>0</span> )</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>1. Apakah ada penurunan asupan makanan dalam jangka waktu 3 bulan oleh karena kehilangna nafsu makan, masalah pencernaan,kesulitan menelan, atau mengunyah</b></label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_nafsu_makan" id="penampisan_nafsu_makan_1" value="Nafsu makan yang sangat berkurang" <?= $objPatientNursing->vPenapisanNafsuMakan == 'Nafsu makan yang sangat berkurang' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_nafsu_makan_1">Nafsu makan yang sangat berkurang (0)</label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_nafsu_makan" id="penampisan_nafsu_makan_2" value="Nafsu makan yang sedikit berkurang" <?= $objPatientNursing->vPenapisanNafsuMakan == 'Nafsu makan yang sedikit berkurang' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_nafsu_makan_2">Nafsu makan yang sedikit berkurang (1)</label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_nafsu_makan" id="penampisan_nafsu_makan_3" value="Nafsu makan biasa saja" <?= $objPatientNursing->vPenapisanNafsuMakan == 'Nafsu makan biasa saja' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_nafsu_makan_3">Nafsu makan biasa saja (2)</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>2. Penurunan berat badan dalam 3 bulan terakhir</b></label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_berat_badan" id="penampisan_berat_badan_1" value="Penurunan berat badan lebih dari 3kg" <?= $objPatientNursing->vPenapisanBeratBadan == 'Penurunan berat badan lebih dari 3kg' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_berat_badan_1">Penurunan berat badan lebih dari 3kg (0)</label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_berat_badan" id="penampisan_berat_badan_2" value="Tidak tahu" <?= $objPatientNursing->vPenapisanBeratBadan == 'Tidak tahu' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_berat_badan_2">Tidak tahu (1)</label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_berat_badan" id="penampisan_berat_badan_3" value="Penurunan berat badan 1 - 3 kg" <?= $objPatientNursing->vPenapisanBeratBadan == 'Penurunan berat badan 1 - 3 kg' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_berat_badan_3">Penurunan berat badan 1 - 3 kg (2)</label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_berat_badan" id="penampisan_berat_badan_4" value="Tidak ada penurunan berat badan" <?= $objPatientNursing->vPenapisanBeratBadan == 'Tidak ada penurunan berat badan' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_berat_badan_4">Tidak ada penurunan berat badan (3)</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>3. Mobilitas</b></label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_mobilitas" id="penampisan_mobilitas_1" value="Harus berbaring di tempat tidur/menggunakan kursi roda" <?= $objPatientNursing->vPenapisanMobilitas == 'Harus berbaring di tempat tidur/menggunakan kursi roda' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_mobilitas_1">Harus berbaring di tempat tidur/menggunakan kursi roda (0)</label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_mobilitas" id="penampisan_mobilitas_2" value="Keluar dari tempat tidur atau kursi roda, tetapi tidak keluar rumah" <?= $objPatientNursing->vPenapisanMobilitas == 'Keluar dari tempat tidur atau kursi roda, tetapi tidak keluar rumah' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_mobilitas_2">Keluar dari tempat tidur atau kursi roda, tetapi tidak keluar rumah (1)</label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_mobilitas" id="penampisan_mobilitas_3" value="Bisa keluar rumah" <?= $objPatientNursing->vPenapisanMobilitas == 'Bisa keluar rumah' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_mobilitas_3">Bisa keluar rumah (2)</label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>4. Menderita stress psykologis atau penyakit akut dalam 3 bulan terakhir</b></label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_psykologis" id="penampisan_psykologis_1" value="YA" <?= $objPatientNursing->vPenapisanPsykologis == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_psykologis_1">Ya (0)</label>
				<input class="border-checkbox" type="checkbox" name="penampisan_psykologis" id="penampisan_psykologis_2" value="TIDAK" <?= $objPatientNursing->vPenapisanPsykologis == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_psykologis_2">Tidak (1)</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>5. Masalah Neuropsykologis</b></label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_neuropsykologis" id="penampisan_neuropsykologis_1" value="Dimensia berat atau depresi berat" <?= $objPatientNursing->vPenapisanNeuropsykologis == 'Dimensia berat atau depresi berat' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_neuropsykologis_1">Dimensia berat atau depresi berat (0)</label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_neuropsykologis" id="penampisan_neuropsykologis_2" value="Dimensia ringan" <?= $objPatientNursing->vPenapisanNeuropsykologis == 'Dimensia ringan' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_neuropsykologis_2">Dimensia ringan (1)</label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_neuropsykologis" id="penampisan_neuropsykologis_3" value="Tidak ada masalah psykologis" <?= $objPatientNursing->vPenapisanNeuropsykologis == 'Tidak ada masalah psykologis' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_neuropsykologis_3">Tidak ada masalah psykologis (2)</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>6. Indeks massa tubuh ( IMT )</b></label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_imt" id="penampisan_imt_1" value="IMT lebih dari 19" <?= $objPatientNursing->vPenapisanImt == 'IMT lebih dari 19' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_imt_1">IMT lebih dari 19 (0)</label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_imt" id="penampisan_imt_2" value="IMT antara 19 - 21" <?= $objPatientNursing->vPenapisanImt == 'IMT antara 19 - 21' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_imt_2">IMT antara 19 - 21 (1)</label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_imt" id="penampisan_imt_3" value="IMT antara 21 - 23" <?= $objPatientNursing->vPenapisanImt == 'IMT antara 21 - 23' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_imt_3">IMT antara 21 - 23 (2)</label><br>
				<input class="border-checkbox" type="checkbox" name="penampisan_imt" id="penampisan_imt_4" value="IMT Lebih besar dari 23" <?= $objPatientNursing->vPenapisanImt == 'IMT Lebih besar dari 23' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="penampisan_imt_4">IMT Lebih besar dari 23 (3)</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>Skor penapisan MNA : <span class='totalSkor1'>0</span> <span class='totalSkor1-label1'>(12 - 14 Normal)</span> <span class='totalSkor1-label2'>(8 - 11 Berisiko Malnutrisi)</span> <span class='totalSkor1-label3'>(0 - 7 Malnutrisi)</span></b></label><br>
			</div>
		</div>
	</div>
</div>


<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>ANAMNESIS SISTEM</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>1. Menurut pendapat ibu, bagaimana keadaan kesehatan ibu secara umum saat ini?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="keadaan_kesehatan" id="keadaan_kesehatan_1" value="Baik sekali" <?= $objPatientNursing->vKeadaanKesehatan == 'Baik sekali' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="keadaan_kesehatan_1">Baik sekali</label>
				<input class="border-checkbox" type="checkbox" name="keadaan_kesehatan" id="keadaan_kesehatan_2" value="Baik" <?= $objPatientNursing->vKeadaanKesehatan == 'Baik' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="keadaan_kesehatan_2">Baik</label>
				<input class="border-checkbox" type="checkbox" name="keadaan_kesehatan" id="keadaan_kesehatan_3" value="Cukup / Lumayan" <?= $objPatientNursing->vKeadaanKesehatan == 'Cukup / Lumayan' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="keadaan_kesehatan_3">Cukup / Lumayan</label>
				<input class="border-checkbox" type="checkbox" name="keadaan_kesehatan" id="keadaan_kesehatan_4" value="Buruk" <?= $objPatientNursing->vKeadaanKesehatan == 'Buruk' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="keadaan_kesehatan_4">Buruk</label>
				<input class="border-checkbox" type="checkbox" name="keadaan_kesehatan" id="keadaan_kesehatan_5" value="Buruk sekali" <?= $objPatientNursing->vKeadaanKesehatan == 'Buruk sekali' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="keadaan_kesehatan_5">Buruk sekali</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>2. Ringkasan gejala khas, Jantung dan pembuluh darah</b></label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Nyeri dada ?</label>
				<input class="border-checkbox" type="checkbox" name="nyeri_dada" id="nyeri_dada_1" value="YA" <?= $objPatientNursing->vNyeriDada == 'YA'? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="nyeri_dada_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="nyeri_dada" id="nyeri_dada_2" value="TIDAK" <?= $objPatientNursing->vNyeriDada == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="nyeri_dada_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Sesak nafas waktu kerja ?</label>
				<input class="border-checkbox" type="checkbox" name="sesak_nafas" id="sesak_nafas_1" value="YA" <?= $objPatientNursing->vSesakNafasWaktuKerja == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sesak_nafas_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="sesak_nafas" id="sesak_nafas_2" value="TIDAK" <?= $objPatientNursing->vSesakNafasWaktuKerja == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sesak_nafas_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Terbangun tengah malam karena sesak ?</label>
				<input class="border-checkbox" type="checkbox" name="terbangun_tengah_malam" id="terbangun_tengah_malam_1" value="YA" <?= $objPatientNursing->vTerbangunTengahMalamKarenaSesak == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="terbangun_tengah_malam_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="terbangun_tengah_malam" id="terbangun_tengah_malam_2" value="TIDAK" <?= $objPatientNursing->vTerbangunTengahMalamKarenaSesak == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="terbangun_tengah_malam_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Sesak saat berbaring tanpa bantal ?</label>
				<input class="border-checkbox" type="checkbox" name="sesak_saat_berbaring" id="sesak_saat_berbaring_1" value="YA" <?= $objPatientNursing->vSesakSaatBerbaringTanpaBantal == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sesak_saat_berbaring_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="sesak_saat_berbaring" id="sesak_saat_berbaring_2" value="TIDAK" <?= $objPatientNursing->vSesakSaatBerbaringTanpaBantal == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sesak_saat_berbaring_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Bengkak pada kaki / tungkai ?</label>
				<input class="border-checkbox" type="checkbox" name="bengkak_kaki" id="bengkak_kaki_1" value="YA" <?= $objPatientNursing->vBengkakPadaKakiTungkai == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="bengkak_kaki_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="bengkak_kaki" id="bengkak_kaki_2" value="TIDAK" <?= $objPatientNursing->vBengkakPadaKakiTungkai == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="bengkak_kaki_2">Tidak</label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>3. Paru</b></label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Sesak nafas ?</label>
				<input class="border-checkbox" type="checkbox" name="paru_sesak_nafas" id="paru_sesak_nafas_1" value="YA" <?= $objPatientNursing->vSesakNafas == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="paru_sesak_nafas_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="paru_sesak_nafas" id="paru_sesak_nafas_2" value="TIDAK" <?= $objPatientNursing->vSesakNafas == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="paru_sesak_nafas_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Demam ?</label>
				<input class="border-checkbox" type="checkbox" name="demam" id="demam_1" value="YA" <?= $objPatientNursing->vDemam == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="demam_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="demam" id="demam_2" value="TIDAK" <?= $objPatientNursing->vDemam == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="demam_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Dahak ?</label>
				<input class="border-checkbox" type="checkbox" name="dahak" id="dahak_1" value="YA" <?= $objPatientNursing->vDahak == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="dahak_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="dahak" id="dahak_2" value="TIDAK" <?= $objPatientNursing->vDahak == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="dahak_2">Tidak</label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>4. Saluran lambung usus</b></label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Nafsu makan menurun ?</label>
				<input class="border-checkbox" type="checkbox" name="nafsu_makan_menurun" id="nafsu_makan_menurun_1" value="YA" <?= $objPatientNursing->vNafsuMakanMenurun == 'YA'  ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="nafsu_makan_menurun_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="nafsu_makan_menurun" id="nafsu_makan_menurun_2" value="TIDAK" <?= $objPatientNursing->vNafsuMakanMenurun == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="nafsu_makan_menurun_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Gangguan menelan ?</label>
				<input class="border-checkbox" type="checkbox" name="gangguan_menelan" id="gangguan_menelan_1" value="YA" <?= $objPatientNursing->vGangguanMenelan == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="gangguan_menelan_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="gangguan_menelan" id="gangguan_menelan_2" value="TIDAK" <?= $objPatientNursing->vGangguanMenelan == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="gangguan_menelan_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Gangguan mengunyah ?</label>
				<input class="border-checkbox" type="checkbox" name="gangguan_mengunyah" id="gangguan_mengunyah_1" value="YA" <?= $objPatientNursing->vGangguanMengunyah == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="gangguan_mengunyah_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="gangguan_mengunyah" id="gangguan_mengunyah_2" value="TIDAK" <?= $objPatientNursing->vGangguanMengunyah == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="gangguan_mengunyah_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Sakit perut ?</label>
				<input class="border-checkbox" type="checkbox" name="sakit_perut" id="sakit_perut_1" value="YA" <?= $objPatientNursing->vSakitPerut == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sakit_perut_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="sakit_perut" id="sakit_perut_2" value="TIDAK" <?= $objPatientNursing->vSakitPerut == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sakit_perut_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Perut terasa kembung ?</label>
				<input class="border-checkbox" type="checkbox" name="perut_terasa_kembung" id="perut_terasa_kembung_1" value="YA" <?= $objPatientNursing->vPerutTerasaKembung == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="perut_terasa_kembung_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="perut_terasa_kembung" id="perut_terasa_kembung_2" value="TIDAK" <?= $objPatientNursing->vPerutTerasaKembung == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="perut_terasa_kembung_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Mencret ?</label>
				<input class="border-checkbox" type="checkbox" name="mencret" id="mencret_1" value="YA" <?= $objPatientNursing->vMencret == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="mencret_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="mencret" id="mencret_2" value="TIDAK" <?= $objPatientNursing->vMencret == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="mencret_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Tinja berdarah ?</label>
				<input class="border-checkbox" type="checkbox" name="tingja_berdarah" id="tingja_berdarah_1" value="YA" <?= $objPatientNursing->vTinjaBerdarah == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="tingja_berdarah_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="tingja_berdarah" id="tingja_berdarah_2" value="TIDAK" <?= $objPatientNursing->vTinjaBerdarah == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="tingja_berdarah_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Pembuangan tinja tiap hari ?</label>
				<input class="border-checkbox" type="checkbox" name="pembuangan_tinja_tiap_hari" id="pembuangan_tinja_tiap_hari_1" value="YA" <?= $objPatientNursing->vPembuanganTinjaTiapHari == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pembuangan_tinja_tiap_hari_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="pembuangan_tinja_tiap_hari" id="pembuangan_tinja_tiap_hari_2" value="TIDAK" <?= $objPatientNursing->vPembuanganTinjaTiapHari == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pembuangan_tinja_tiap_hari_2">Tidak</label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>5. Saluran kemih</b></label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Gangguan berkemih (termasuk Inkontinesia urine) ?</label>
				<input class="border-checkbox" type="checkbox" name="gangguan_berkemih" id="gangguan_berkemih_1" value="YA" <?= $objPatientNursing->vGangguanBerkemih == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="gangguan_berkemih_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="gangguan_berkemih" id="gangguan_berkemih_2" value="TIDAK" <?= $objPatientNursing->vGangguanBerkemih == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="gangguan_berkemih_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Nyeri waktu berkemih ?</label>
				<input class="border-checkbox" type="checkbox" name="nyeri_waktu_berkemih" id="nyeri_waktu_berkemih_1" value="YA" <?= $objPatientNursing->vNyeriWaktuBerkemih == 'YA'? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="nyeri_waktu_berkemih_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="nyeri_waktu_berkemih" id="nyeri_waktu_berkemih_2" value="TIDAK" <?= $objPatientNursing->vNyeriWaktuBerkemih == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="nyeri_waktu_berkemih_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Pancaran air kemih kurang ?</label>
				<input class="border-checkbox" type="checkbox" name="pancaran_air_kemih_kurang" id="pancaran_air_kemih_kurang_1" value="YA" <?= $objPatientNursing->vPancaranAirKemihKurang == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pancaran_air_kemih_kurang_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="pancaran_air_kemih_kurang" id="pancaran_air_kemih_kurang_2" value="TIDAK" <?= $objPatientNursing->vPancaranAirKemihKurang == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pancaran_air_kemih_kurang_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Air kemih menetes ?</label>
				<input class="border-checkbox" type="checkbox" name="air_kemih_menetes" id="air_kemih_menetes_1" value="YA" <?= $objPatientNursing->vAirKemihMenetes == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="air_kemih_menetes_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="air_kemih_menetes" id="air_kemih_menetes_2" value="TIDAK" <?= $objPatientNursing->vAirKemihMenetes == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="air_kemih_menetes_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Bangun malam untuk berkemih ?</label>
				<input class="border-checkbox" type="checkbox" name="bangun_malam_untuk_berkemih" id="bangun_malam_untuk_berkemi_1" value="YA" <?= $objPatientNursing->vBangunMalamUntukBerkemih == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="bangun_malam_untuk_berkemi_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="bangun_malam_untuk_berkemih" id="bangun_malam_untuk_berkemi_2" value="TIDAK" <?= $objPatientNursing->vBangunMalamUntukBerkemih == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="bangun_malam_untuk_berkemi_2">Tidak</label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>6. Darah</b></label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Mudah timbul lebam di kulit ?</label>
				<input class="border-checkbox" type="checkbox" name="mudah_timbul_lebam_dikulit" id="mudah_timbul_lebam_dikulit_1" value="YA" <?= $objPatientNursing->vMudahTimbulLebamDiKulit == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="mudah_timbul_lebam_dikulit_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="mudah_timbul_lebam_dikulit" id="mudah_timbul_lebam_dikulit_2" value="TIDAK" <?= $objPatientNursing->vMudahTimbulLebamDiKulit == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="mudah_timbul_lebam_dikulit_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Bila luka, perdarahan lambat berhenti ?</label>
				<input class="border-checkbox" type="checkbox" name="perdarahan_lambat_berhenti" id="perdarahan_lambat_berhenti_1" value="YA" <?= $objPatientNursing->vPerdarahanLambatBerhenti == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="perdarahan_lambat_berhenti_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="perdarahan_lambat_berhenti" id="perdarahan_lambat_berhenti_2" value="TIDAK" <?= $objPatientNursing->vPerdarahanLambatBerhenti == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="perdarahan_lambat_berhenti_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Kelenjar getah being bengkak ?</label>
				<input class="border-checkbox" type="checkbox" name="kelenjar_getah_bening_bengkak" id="kelenjar_getah_bening_bengkak_1" value="YA" <?= $objPatientNursing->vKelenjarGetahBeningBengkak == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kelenjar_getah_bening_bengkak_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="kelenjar_getah_bening_bengkak" id="kelenjar_getah_bening_bengkak_2" value="TIDAK" <?= $objPatientNursing->vKelenjarGetahBeningBengkak == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kelenjar_getah_bening_bengkak_2">Tidak</label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>7. Sendi otot</b></label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Kekakuan sendi ?</label>
				<input class="border-checkbox" type="checkbox" name="kekuatan_sendi" id="kekuatan_sendi_1" value="YA" <?= $objPatientNursing->vKekuatanSendi == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kekuatan_sendi_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="kekuatan_sendi" id="kekuatan_sendi_2" value="TIDAK" <?= $objPatientNursing->vKekuatanSendi == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kekuatan_sendi_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Bengkak sendi ?</label>
				<input class="border-checkbox" type="checkbox" name="bengkak_sendi" id="bengkak_sendi_1" value="YA" <?= $objPatientNursing->vBengkakSendi == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="bengkak_sendi_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="bengkak_sendi" id="bengkak_sendi_2" value="TIDAK" <?= $objPatientNursing->vBengkakSendi == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="bengkak_sendi_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Nyeri otot ?</label>
				<input class="border-checkbox" type="checkbox" name="nyeri_otot" id="nyeri_otot_1" value="YA" <?= $objPatientNursing->vNyeriOtot == 'YA'? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="nyeri_otot_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="nyeri_otot" id="nyeri_otot_2" value="TIDAK" <?= $objPatientNursing->vNyeriOtot == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="nyeri_otot_2">Tidak</label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>8. Endokrin</b></label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Benjolan di leher (depan/samping) ?</label>
				<input class="border-checkbox" type="checkbox" name="benjolan_dileher" id="benjolan_dileher_1" value="YA" <?= $objPatientNursing->vBenjolanDiLeher == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="benjolan_dileher_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="benjolan_dileher" id="benjolan_dileher_2" value="TIDAK" <?= $objPatientNursing->vBenjolanDiLeher == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="benjolan_dileher_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Gemetaran ?</label>
				<input class="border-checkbox" type="checkbox" name="gemetaran" id="gemetaran_1" value="YA" <?= $objPatientNursing->vGemetaran == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="gemetaran_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="gemetaran" id="gemetaran_2" value="TIDAK" <?= $objPatientNursing->vGemetaran == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="gemetaran_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Lebih suka udara dingin ?</label>
				<input class="border-checkbox" type="checkbox" name="lebih_suka_udara_dingin" id="lebih_suka_udara_dingin_1" value="YA" <?= $objPatientNursing->vLebihSukaUdaraDingin == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="lebih_suka_udara_dingin_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="lebih_suka_udara_dingin" id="lebih_suka_udara_dingin_2" value="TIDAK" <?= $objPatientNursing->vLebihSukaUdaraDingin == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="lebih_suka_udara_dingin_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Banyak keringat ?</label>
				<input class="border-checkbox" type="checkbox" name="banyak_keringat" id="banyak_keringat_1" value="YA" <?= $objPatientNursing->vBanyakKeringat == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="banyak_keringat_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="banyak_keringat" id="banyak_keringat_2" value="TIDAK" <?= $objPatientNursing->vBanyakKeringat == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="banyak_keringat_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Lekas lelah/lemas ?</label>
				<input class="border-checkbox" type="checkbox" name="lekas_lelah" id="lekas_lelah_1" value="YA" <?= $objPatientNursing->vLekasLelah == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="lekas_lelah_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="lekas_lelah" id="lekas_lelah_2" value="TIDAK" <?= $objPatientNursing->vLekasLelah == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="lekas_lelah_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Berat badan turun ?</label>
				<input class="border-checkbox" type="checkbox" name="berat_badan_menurun" id="berat_badan_menurun_1" value="YA" <?= $objPatientNursing->vBeratBadanTurun == 'YA'  ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="berat_badan_menurun_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="berat_badan_menurun" id="berat_badan_menurun_2" value="TIDAK" <?= $objPatientNursing->vBeratBadanTurun == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="berat_badan_menurun_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Operasi gondok ?</label>
				<input class="border-checkbox" type="checkbox" name="operasi_gondok" id="operasi_gondok_1" value="YA" <?= $objPatientNursing->vOperasiGondok == 'YA'? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="operasi_gondok_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="operasi_gondok" id="operasi_gondok_2" value="TIDAK" <?= $objPatientNursing->vOperasiGondok == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="operasi_gondok_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Rasa haus bertambah ?</label>
				<input class="border-checkbox" type="checkbox" name="rasa_haus_bertambah" id="rasa_haus_bertambah_1" value="YA" <?= $objPatientNursing->vRasaHausBertambah == 'YA'  ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="rasa_haus_bertambah_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="rasa_haus_bertambah" id="rasa_haus_bertambah_2" value="TIDAK" <?= $objPatientNursing->vRasaHausBertambah == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="rasa_haus_bertambah_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Mudah mengantuk ?</label>
				<input class="border-checkbox" type="checkbox" name="mudah_mengantuk" id="mudah_mengantuk_1" value="YA" <?= $objPatientNursing->vMudahNgantuk == 'YA'  ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="mudah_mengantuk_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="mudah_mengantuk" id="mudah_mengantuk_2" value="TIDAK" <?= $objPatientNursing->vMudahNgantuk == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="mudah_mengantuk_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Tidak tahan dingin ?</label>
				<input class="border-checkbox" type="checkbox" name="tidak_tahan_dingin" id="tidak_tahan_dingin_1" value="YA" <?= $objPatientNursing->vTidakTahanDingin == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="tidak_tahan_dingin_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="tidak_tahan_dingin" id="tidak_tahan_dingin_2" value="TIDAK" <?= $objPatientNursing->vTidakTahanDingin == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="tidak_tahan_dingin_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">sering lupa, sulit berkonsentrasi, lambat berpikir ?</label>
				<input class="border-checkbox" type="checkbox" name="sering_lupa_sulit_berkonsentrasi" id="sering_lupa_sulit_berkonsentrasi_1" value="YA" <?= $objPatientNursing->vSeringLupaSulitKonsentrasiLambatBerpikir == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sering_lupa_sulit_berkonsentrasi_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="sering_lupa_sulit_berkonsentrasi" id="sering_lupa_sulit_berkonsentrasi_2" value="TIDAK" <?= $objPatientNursing->vSeringLupaSulitKonsentrasiLambatBerpikir == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sering_lupa_sulit_berkonsentrasi_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Mudah tersinggung ?</label>
				<input class="border-checkbox" type="checkbox" name="mudah_tersinggung" id="mudah_tersinggung_1" value="YA" <?= $objPatientNursing->vMudahTersinggung == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="mudah_tersinggung_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="mudah_tersinggung" id="mudah_tersinggung_2" value="TIDAK" <?= $objPatientNursing->vMudahTersinggung == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="mudah_tersinggung_2">Tidak</label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>9. Saraf</b></label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Pusing, sakit kepala (rasa berputar/tanpa berputar) ?</label>
				<input class="border-checkbox" type="checkbox" name="pusing_sakit_kepala" id="pusing_sakit_kepala_1" value="YA" <?= $objPatientNursing->vPusingSakitKepala == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pusing_sakit_kepala_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="pusing_sakit_kepala" id="pusing_sakit_kepala_2" value="TIDAK" <?= $objPatientNursing->vPusingSakitKepala == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pusing_sakit_kepala_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Kesulitan mengingat sesuatu/konsentrasi ?</label>
				<input class="border-checkbox" type="checkbox" name="kesulitan_mengingat" id="kesulitan_mengingat_1" value="YA" <?= $objPatientNursing->vKesulitanMengingat == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kesulitan_mengingat_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="kesulitan_mengingat" id="kesulitan_mengingat_2" value="TIDAK" <?= $objPatientNursing->vKesulitanMengingat == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kesulitan_mengingat_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Pingsan sesaat ?</label>
				<input class="border-checkbox" type="checkbox" name="pingsan_sesaat" id="pingsan_sesaat_1" value="YA" <?= $objPatientNursing->vPingsanSesaat == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pingsan_sesaat_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="pingsan_sesaat" id="pingsan_sesaat_2" value="TIDAK" <?= $objPatientNursing->vPingsanSesaat == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pingsan_sesaat_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Gangguan pengelihatan ?</label>
				<input class="border-checkbox" type="checkbox" name="gangguan_pengelihatan" id="gangguan_pengelihatan_1" value="YA" <?= $objPatientNursing->vGangguanPengelihatan == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="gangguan_pengelihatan_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="gangguan_pengelihatan" id="gangguan_pengelihatan_2" value="TIDAK" <?= $objPatientNursing->vGangguanPengelihatan == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="gangguan_pengelihatan_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Gangguan pendengaran ?</label>
				<input class="border-checkbox" type="checkbox" name="gangguan_pendengaran" id="gangguan_pendengaran_1" value="YA" <?= $objPatientNursing->vGangguanPendengaran == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="gangguan_pendengaran_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="gangguan_pendengaran" id="gangguan_pendengaran_2" value="TIDAK" <?= $objPatientNursing->vGangguanPendengaran == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="gangguan_pendengaran_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Rasa baal/kesemutan anggota badan ?</label>
				<input class="border-checkbox" type="checkbox" name="rasa_kesemutah" id="rasa_kesemutah_1" value="YA" <?= $objPatientNursing->vRasaKesemutan == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="rasa_kesemutah_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="rasa_kesemutah" id="rasa_kesemutah_2" value="TIDAK" <?= $objPatientNursing->vRasaKesemutan == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="rasa_kesemutah_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Kesulitan tidur ?</label>
				<input class="border-checkbox" type="checkbox" name="kesulitan_tidur" id="kesulitan_tidur_1" value="YA" <?= $objPatientNursing->vKesulitanTidur == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kesulitan_tidur_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="kesulitan_tidur" id="kesulitan_tidur_2" value="TIDAK" <?= $objPatientNursing->vKesulitanTidur == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kesulitan_tidur_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Kelemahan anggota tubuh ?</label>
				<input class="border-checkbox" type="checkbox" name="kelemahan_anggota_tubuh" id="kelemahan_anggota_tubuh_1" value="YA" <?= $objPatientNursing->vKelemahanAnggotaTubuh == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kelemahan_anggota_tubuh_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="kelemahan_anggota_tubuh" id="kelemahan_anggota_tubuh_2" value="TIDAK" <?= $objPatientNursing->vKelemahanAnggotaTubuh == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kelemahan_anggota_tubuh_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Lumpuh ?</label>
				<input class="border-checkbox" type="checkbox" name="lumpuh" id="lumpuh_1" value="YA" <?= $objPatientNursing->vLumpuh == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="lumpuh_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="lumpuh" id="lumpuh_2" value="TIDAK" <?= $objPatientNursing->vLumpuh == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="lumpuh_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Kejang - kejang ?</label>
				<input class="border-checkbox" type="checkbox" name="kejang_kejang" id="kejang_kejang_1" value="YA" <?= $objPatientNursing->vKejangKejang == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kejang_kejang_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="kejang_kejang" id="kejang_kejang_2" value="TIDAK" <?= $objPatientNursing->vKejangKejang == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kejang_kejang_2">Tidak</label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>10. Jiwa</b></label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Sering lupa ?</label>
				<input class="border-checkbox" type="checkbox" name="sering_lupa" id="sering_lupa_1" value="YA" <?= $objPatientNursing->vSeringLupa == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sering_lupa_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="sering_lupa" id="sering_lupa_2" value="TIDAK" <?= $objPatientNursing->vSeringLupa == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sering_lupa_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Kekuatan aneh ?</label>
				<input class="border-checkbox" type="checkbox" name="kekuatan_aneh" id="kekuatan_aneh_1" value="YA" <?= $objPatientNursing->vKekuatanAneh == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kekuatan_aneh_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="kekuatan_aneh" id="kekuatan_aneh_2" value="TIDAK" <?= $objPatientNursing->vKekuatanAneh == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kekuatan_aneh_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Mengembara ?</label>
				<input class="border-checkbox" type="checkbox" name="mengembara" id="mengembara_1" value="YA" <?= $objPatientNursing->vMengembara == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="mengembara_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="mengembara" id="mengembara_2" value="TIDAK" <?= $objPatientNursing->vMengembara == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="mengembara_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Murung ?</label>
				<input class="border-checkbox" type="checkbox" name="murung" id="murung_1" value="YA" <?= $objPatientNursing->vMurung == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="murung_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="murung" id="murung_2" value="TIDAK" <?= $objPatientNursing->vMurung == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="murung_2">Tidak</label><br>
				<label class="control-label" style="margin-right:10px;margin-left:5px;">Sering menangis ?</label>
				<input class="border-checkbox" type="checkbox" name="sering_menangis" id="sering_menangis_1" value="YA" <?= $objPatientNursing->vSeringMenangis == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sering_menangis_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="sering_menangis" id="sering_menangis_2" value="TIDAK" <?= $objPatientNursing->vSeringMenangis == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sering_menangis_2">Tidak</label><br>
			</div>
		</div>
	</div>
</div>


<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>ANAMNESIS PSIKIATRI</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>Geriatric Depression Scale (GDS)</b></label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>1. Apakah anda sebenarnya puas dengan kehidupan anda?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="sebenarnya_puas_dengan_kehidupan" id="sebenarnya_puas_dengan_kehidupan1" value="YA" <?= $objPatientNursing->vApakahAndaSebenarnyaPuasDenganKehidupanAnda == 'YA'  ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sebenarnya_puas_dengan_kehidupan1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="sebenarnya_puas_dengan_kehidupan" id="sebenarnya_puas_dengan_kehidupan2" value="TIDAK" <?= $objPatientNursing->vApakahAndaSebenarnyaPuasDenganKehidupanAnda == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sebenarnya_puas_dengan_kehidupan2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>2. Apakah anda telah meninggalkan banyak kegiatan dan minat atau kesenangan?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="meninggalkan_banyak_kegiatan" id="meninggalkan_banyak_kegiatan_1" value="YA" <?= $objPatientNursing->vApakahAndaTelahMeninggalkanBanyakKegiatanDanMinatAtauKesenangan == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="meninggalkan_banyak_kegiatan_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="meninggalkan_banyak_kegiatan" id="meninggalkan_banyak_kegiatan_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaTelahMeninggalkanBanyakKegiatanDanMinatAtauKesenangan == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="meninggalkan_banyak_kegiatan_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>3. Apakah anda merasakan keidupan kosong?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="merasa_kehidupan_kosong" id="merasa_kehidupan_kosong_1" value="YA" <?= $objPatientNursing->vApakahAndaMerasakanKehidupanKosong == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_kehidupan_kosong_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="merasa_kehidupan_kosong" id="merasa_kehidupan_kosong_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaMerasakanKehidupanKosong == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_kehidupan_kosong_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>4. Apakah anda sering merasa bosan?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="sering_merasa_bosan" id="sering_merasa_bosan_1" value="YA" <?= $objPatientNursing->vApakahAndaSeringMerasaBosan == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sering_merasa_bosan_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="sering_merasa_bosan" id="sering_merasa_bosan_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaSeringMerasaBosan == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="sering_merasa_bosan_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>5. Apakah anda mempunyai semangat yang baik setiap saat?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="semangat_yang_baik" id="semangat_yang_baik_1" value="YA" <?= $objPatientNursing->vApakahAndaMempunyaiSemangatYangBaikSetiapSaat == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="semangat_yang_baik_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="semangat_yang_baik" id="semangat_yang_baik_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaMempunyaiSemangatYangBaikSetiapSaat == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="semangat_yang_baik_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>6. Apakah anda takut sesuatu yang buruk akan terjadi pada anda?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="takut_sesuatu_yang_buruk" id="takut_sesuatu_yang_buruk_1" value="YA" <?= $objPatientNursing->vApakahAndaTakutSesuatuYangBurukAkanTerjadiPadaAnda == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="takut_sesuatu_yang_buruk_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="takut_sesuatu_yang_buruk" id="takut_sesuatu_yang_buruk_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaTakutSesuatuYangBurukAkanTerjadiPadaAnda == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="takut_sesuatu_yang_buruk_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>7. Apakah anda merasa bahagia untuk sebagian besar hidup anda?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="merasa_bahagia_hidup" id="merasa_bahagia_hidup_1" value="YA" <?= $objPatientNursing->vApakahAndaMerasaBahagiaUntukSebagianBesarHidupAnda == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_bahagia_hidup_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="merasa_bahagia_hidup" id="merasa_bahagia_hidup_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaMerasaBahagiaUntukSebagianBesarHidupAnda == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_bahagia_hidup_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>8. Apakah anda sering merasa tidak berdaya?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="merasa_tidak_berdaya" id="merasa_tidak_berdaya_1" value="YA" <?= $objPatientNursing->vApakahAndaSeringMerasaTidakBerdaya == 'YA'? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_tidak_berdaya_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="merasa_tidak_berdaya" id="merasa_tidak_berdaya_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaSeringMerasaTidakBerdaya == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_tidak_berdaya_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>9. Apakah anda lebih senang tinggal dirumah dari pada pergi keluar?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="lebih_senang_dirumah" id="lebih_senang_dirumah_1" value="YA" <?= $objPatientNursing->vApakahAndaLebihSenangTinggalDirumahDariPadaPergiKeluar == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="lebih_senang_dirumah_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="lebih_senang_dirumah" id="lebih_senang_dirumah_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaLebihSenangTinggalDirumahDariPadaPergiKeluar == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="lebih_senang_dirumah_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>10. Apakah anda merasa mempunyai banyak masalah dengan daya ingat anda?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="merasa_mempunyai_banyak_masalah" id="merasa_mempunyai_banyak_masalah_1" value="YA" <?= $objPatientNursing->vApakahAndaMerasaMempunyaiBanyakMasalahDenganDayaIngatAnda == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_mempunyai_banyak_masalah_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="alergiobmerasa_mempunyai_banyak_masalahat" id="merasa_mempunyai_banyak_masalah_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaMerasaMempunyaiBanyakMasalahDenganDayaIngatAnda == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_mempunyai_banyak_masalah_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>11. Apakah anda pikir bahwa hidup anda sekarang menyenangkan?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="hidup_menyenangkan" id="hidup_menyenangkan_1" value="YA" <?= $objPatientNursing->vApakahAndaPikirBahwaHidupAndaSekarangMenyenangkan == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="hidup_menyenangkan_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="hidup_menyenangkan" id="hidup_menyenangkan_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaPikirBahwaHidupAndaSekarangMenyenangkan == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="hidup_menyenangkan_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>12. Apakah anda merasa tidak berharga seperti perasaan anda kini?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="merasa_tidak_berharga" id="merasa_tidak_berharga_1" value="YA" <?= $objPatientNursing->vApakahAndaMerasaTidakBerhargaSepertiPerasaanAndaKini == 'YA'? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_tidak_berharga_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="merasa_tidak_berharga" id="merasa_tidak_berharga_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaMerasaTidakBerhargaSepertiPerasaanAndaKini == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_tidak_berharga_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>13. Apakah anda merasa penuh semangat?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="merasa_penuh_semangat" id="merasa_penuh_semangat_1" value="YA" <?= $objPatientNursing->vApakahAndaMerasaPenuhSemangat == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_penuh_semangat_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="merasa_penuh_semangat" id="merasa_penuh_semangat_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaMerasaPenuhSemangat == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_penuh_semangat_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>14. Apakah anda merasa anda tidak ada harapan?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="merasa_tidak_ada_harapan" id="merasa_tidak_ada_harapan_1" value="YA" <?= $objPatientNursing->vApakahAndaMerasaAndaTidakAdaHarapan == 'YA'? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_tidak_ada_harapan_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="merasa_tidak_ada_harapan" id="merasa_tidak_ada_harapan_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaMerasaAndaTidakAdaHarapan == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_tidak_ada_harapan_2">Tidak</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>15. Apakah anda berpikir bahwa orang lain lebih baik keadaannya dari anda?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="merasa_orang_lain_lebih_baik" id="merasa_orang_lain_lebih_baik_1" value="YA" <?= $objPatientNursing->vApakahAndaBerpikirBahwaOrangLainLebihBaikDariAnda == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_orang_lain_lebih_baik_1">Ya</label>
				<input class="border-checkbox" type="checkbox" name="merasa_orang_lain_lebih_baik" id="merasa_orang_lain_lebih_baik_2" value="TIDAK" <?= $objPatientNursing->vApakahAndaBerpikirBahwaOrangLainLebihBaikDariAnda == 'TIDAK' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="merasa_orang_lain_lebih_baik_2">Tidak</label>
			</div>
		</div>
	</div>
</div>


<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>STATUS KOGNISI</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>Pengkajian dengan menggunakan SPMSQ <i>(Short Portable Mental Status Quesionaire)</i> adalah penilaian fungsi intelektual lansia</b></label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>1. Tanggal berapa hari ini?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="tanggal_berapa_hari_ini" id="tanggal_berapa_hari_ini_1" value="BENAR" <?= $objPatientNursing->vTanggalBeranapHariIni == 'BENAR' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="tanggal_berapa_hari_ini_1">Benar</label>
				<input class="border-checkbox" type="checkbox" name="tanggal_berapa_hari_ini" id="tanggal_berapa_hari_ini_2" value="SALAH" <?= $objPatientNursing->vTanggalBeranapHariIni == 'SALAH' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="tanggal_berapa_hari_ini_2">Salah</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>2. Hari apa sekarang?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="hari_apa_sekarang" id="hari_apa_sekarang_1" value="BENAR" <?= $objPatientNursing->vHariApaSekarang == 'BENAR' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="hari_apa_sekarang_1">Benar</label>
				<input class="border-checkbox" type="checkbox" name="hari_apa_sekarang" id="hari_apa_sekarang_2" value="SALAH" <?= $objPatientNursing->vHariApaSekarang == 'SALAH' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="hari_apa_sekarang_2">Salah</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>3. Apa nama tempat ini?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="apa_nama_tempat_ini" id="apa_nama_tempat_ini_1" value="BENAR" <?= $objPatientNursing->vApaNamaTempatIni == 'BENAR' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="apa_nama_tempat_ini_1">Benar</label>
				<input class="border-checkbox" type="checkbox" name="apa_nama_tempat_ini" id="apa_nama_tempat_ini_2" value="SALAH" <?= $objPatientNursing->vApaNamaTempatIni == 'SALAH' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="apa_nama_tempat_ini_2">Salah</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>4. Dimana alamat anda?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="diaman_alamat_anda" id="diaman_alamat_anda_1" value="BENAR" <?= $objPatientNursing->vDimanaAlamatAnda == 'BENAR' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="diaman_alamat_anda_1">Benar</label>
				<input class="border-checkbox" type="checkbox" name="diaman_alamat_anda" id="diaman_alamat_anda_2" value="SALAH" <?= $objPatientNursing->vDimanaAlamatAnda == 'SALAH' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="diaman_alamat_anda_2">Salah</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>5. Berapa umur anda?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="berapa_umur_anda" id="berapa_umur_anda_1" value="BENAR" <?= $objPatientNursing->vBerapaUmurAnda == 'BENAR' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="berapa_umur_anda_1">Benar</label>
				<input class="border-checkbox" type="checkbox" name="berapa_umur_anda" id="berapa_umur_anda_2" value="SALAH" <?= $objPatientNursing->vBerapaUmurAnda == 'SALAH' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="berapa_umur_anda_2">Salah</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>6. Kapan anda lahir (minimal tahun kelahiran)?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="kapan_anda_lahir" id="kapan_anda_lahir_1" value="BENAR" <?= $objPatientNursing->vKapanAndaLahir == 'BENAR' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kapan_anda_lahir_1">Benar</label>
				<input class="border-checkbox" type="checkbox" name="kapan_anda_lahir" id="kapan_anda_lahir_2" value="SALAH" <?= $objPatientNursing->vKapanAndaLahir == 'SALAH' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kapan_anda_lahir_2">Salah</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>7. Siapa presiden indonesia sekarang?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="siapa_presiden_indonesia_sekarang" id="siapa_presiden_indonesia_sekarang_1" value="BENAR" <?= $objPatientNursing->vSiapaPresidenIndonesiaSekarang == 'BENAR' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="siapa_presiden_indonesia_sekarang_1">Benar</label>
				<input class="border-checkbox" type="checkbox" name="siapa_presiden_indonesia_sekarang" id="siapa_presiden_indonesia_sekarang_2" value="SALAH" <?= $objPatientNursing->vSiapaPresidenIndonesiaSekarang == 'SALAH' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="siapa_presiden_indonesia_sekarang_2">Salah</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>8. Siapa presiden indonesia sebelumnya?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="siapa_presiden_indonesia_sebelumnya" id="siapa_presiden_indonesia_sebelumnya_1" value="BENAR" <?= $objPatientNursing->vSiapaPresidenIndonesiaSebelumnya == 'BENAR' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="siapa_presiden_indonesia_sebelumnya_1">Benar</label>
				<input class="border-checkbox" type="checkbox" name="siapa_presiden_indonesia_sebelumnya" id="siapa_presiden_indonesia_sebelumnya_2" value="SALAH" <?= $objPatientNursing->vSiapaPresidenIndonesiaSebelumnya == 'SALAH' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="siapa_presiden_indonesia_sebelumnya_2">Salah</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>9. Siapa nama ibu anda?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="siapa_nama_ibu_anda" id="siapa_nama_ibu_anda_1" value="BENAR" <?= $objPatientNursing->vSiapaNamaIbuAnda == 'BENAR' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="siapa_nama_ibu_anda_1">Benar</label>
				<input class="border-checkbox" type="checkbox" name="siapa_nama_ibu_anda" id="siapa_nama_ibu_anda_2" value="SALAH" <?= $objPatientNursing->vSiapaNamaIbuAnda == 'SALAH' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="siapa_nama_ibu_anda_2">Salah</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>10. Kurangi 3 dari 20 dan tepat pengurangan 3 dari setiap angka baru, semua secara menurun?</b></label><br>
				<input class="border-checkbox" type="checkbox" name="kurangi3_dari20" id="kurangi3_dari20_1" value="BENAR" <?= $objPatientNursing->vKurangi3Dari20 == 'BENAR'? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kurangi3_dari20_1">Benar</label>
				<input class="border-checkbox" type="checkbox" name="kurangi3_dari20" id="kurangi3_dari20_2" value="SALAH" <?= $objPatientNursing->vKurangi3Dari20 == 'SALAH' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kurangi3_dari20_2">Salah</label>
			</div>
		</div>
	</div>
</div>


<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>STATUS FUNGSIONAL</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>Indeks Katz</b></label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<input class="border-checkbox" type="checkbox" name="kemandirian_skor_a" id="kemandirian_skor_a" value="YA" <?= $objPatientNursing->vKemandirianSkorA == 'YA'  ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kemandirian_skor_a"><b> Kemandirian dalam hal makan, minum, berpidah, ke kamar kecil, berpakaian dan mandi. (Skor : A)</b></label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<input class="border-checkbox" type="checkbox" name="kemandirian_skor_b" id="kemandirian_skor_b" value="YA" <?= $objPatientNursing->vKemandirianSkorB == 'YA'? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kemandirian_skor_b"><b>Kemandirian dalam aktivitas hidup sehari hari, kecuali satu dari fungsi tersebut (Skor : B)</b></label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<input class="border-checkbox" type="checkbox" name="kemandirian_skor_c" id="kemandirian_skor_c" value="YA" <?= $objPatientNursing->vKemandirianSkorC == 'YA'? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kemandirian_skor_c"><b>Kemandirian dalam aktivitas hidup sehari hari kecuali mandi dan satu fungsi tambahan (Skor : C)</b></label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<input class="border-checkbox" type="checkbox" name="kemandirian_skor_d" id="kemandirian_skor_d" value="YA" <?= $objPatientNursing->vKemandirianSkorD == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kemandirian_skor_d"><b>Kemandirian dalam aktivitas hidup sehari hari, kecuali mandi, berpakaian dan satu fungsi tambahan (Skor : D)</b></label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<input class="border-checkbox" type="checkbox" name="kemandirian_skor_e" id="kemandirian_skor_e" value="YA" <?= $objPatientNursing->vKemandirianSkorE == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kemandirian_skor_e"><b>Kemandirian dalam aktivitas hidup sehari hari, kecuali mandi, ke kamar kecil dansatu fungsi tambahan (Skor : E)</b></label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<input class="border-checkbox" type="checkbox" name="kemandirian_skor_f" id="kemandirian_skor_f" value="YA" <?= $objPatientNursing->vKemandirianSkorF == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kemandirian_skor_f"><b>Kemeandirian dahal aktivitas hidup sehari hari, kecuali berpakaian, ke kamar mandi san satu fungsi tambahan (Skor : F)</b></label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<input class="border-checkbox" type="checkbox" name="kemandirian_skor_g" id="kemandirian_skor_g" value="YA" <?= $objPatientNursing->vKemandirianSkorG == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kemandirian_skor_g"><b>Kemandirian dalam aktivitas hidup sehari hari, kecuali mandi dan satu fungsi tambahan (Skor : G)</b></label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<input class="border-checkbox" type="checkbox" name="kemandirian_skor_h" id="kemandirian_skor_h" value="YA" <?= $objPatientNursing->vKemandirianSkorLainLain == 'YA' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="kemandirian_skor_h"><b>Tergantung pada sedikitnya dua fungsi, tetapi tidak dapat diklasifikasikan sebagai C,D,E dan F (Skor : Lain-lain)</b></label>
			</div>
		</div>
	</div>
</div>


<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>PENGKAJIAN KUALITAS HIDUP</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>Pemeriksa EQ - 5D bagian pertama</b></label><br>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>1. Mobilitas</b></label><br>
				<input class="border-checkbox" type="checkbox" name="pengkajian_mobilitas" id="pengkajian_mobilitas_1" value="Saya tidak mempunyai masalah untuk berjalan" <?= $objPatientNursing->vPengkajianKualitasMobilitas == 'Saya tidak mempunyai masalah untuk berjalan' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_mobilitas_1">Saya tidak mempunyai masalah untuk berjalan</label>
				<input class="border-checkbox" type="checkbox" name="pengkajian_mobilitas" id="pengkajian_mobilitas_2" value="Saya ada masalah untuk berjalan" <?= $objPatientNursing->vPengkajianKualitasMobilitas == 'Saya ada masalah untuk berjalan' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_mobilitas_2">Saya ada masalah untuk berjalan</label>
				<input class="border-checkbox" type="checkbox" name="pengkajian_mobilitas" id="pengkajian_mobilitas_3" value="Saya hanya mampu berbaring" <?= $objPatientNursing->vPengkajianKualitasMobilitas == 'Saya hanya mampu berbaring' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_mobilitas_3">Saya hanya mampu berbaring</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>2. Perawatan diri sendiri</b></label><br>
				<input class="border-checkbox" type="checkbox" name="pengkajian_perawatan_diri" id="pengkajian_perawatan_diri_1" value="Saya tidak punya kesulitan dalam perawatan diri sendiri" <?= $objPatientNursing->vPengkajianKualitasPerawatanDiri == 'Saya tidak punya kesulitan dalam perawatan diri sendiri' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_perawatan_diri_1">Saya tidak punya kesulitan dalam perawatan diri sendiri</label>
				<input class="border-checkbox" type="checkbox" name="pengkajian_perawatan_diri" id="pengkajian_perawatan_diri_2" value="Saya mengalami kesulitan untuk membasuh badan, mandi atau berpakaian" <?= $objPatientNursing->vPengkajianKualitasPerawatanDiri == 'Saya mengalami kesulitan untuk membasuh badan, mandi atau berpakaian' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_perawatan_diri_2">Saya mengalami kesulitan untuk membasuh badan, mandi atau berpakaian</label>
				<input class="border-checkbox" type="checkbox" name="pengkajian_perawatan_diri" id="pengkajian_perawatan_diri_3" value="Saya tidak mampu membasuh badan, mandi atau berpakaian sendiri" <?= $objPatientNursing->vPengkajianKualitasPerawatanDiri == 'Saya tidak mampu membasuh badan, mandi atau berpakaian sendiri' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_perawatan_diri_3">Saya tidak mampu membasuh badan, mandi atau berpakaian sendiri</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>3. Aktivitas sehari hari</b></label><br>
				<input class="border-checkbox" type="checkbox" name="pengkajian_aktivitas_sehari_hari" id="pengkajian_aktivitas_sehari_hari_1" value="Saya tidak punya kesulitan dalam melaksanakankegiatan sehari hari" <?= $objPatientNursing->vPengkajianKualitasAktivitasSehariHari == 'Saya tidak punya kesulitan dalam melaksanakankegiatan sehari hari' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_aktivitas_sehari_hari_1">Saya tidak punya kesulitan dalam melaksanakankegiatan sehari hari</label>
				<input class="border-checkbox" type="checkbox" name="pengkajian_aktivitas_sehari_hari" id="pengkajian_aktivitas_sehari_hari_2" value="Saya mempunyai keterbatasan dalam melaksanakan kegiatan sehari hari" <?= $objPatientNursing->vPengkajianKualitasAktivitasSehariHari == 'Saya mempunyai keterbatasan dalam melaksanakan kegiatan sehari hari' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_aktivitas_sehari_hari_2">Saya mempunyai keterbatasan dalam melaksanakan kegiatan sehari hari</label>
				<input class="border-checkbox" type="checkbox" name="pengkajian_aktivitas_sehari_hari" id="pengkajian_aktivitas_sehari_hari_3" value="Saya tidak mampu melaksanakan kegiatan sehari hari" <?= $objPatientNursing->vPengkajianKualitasAktivitasSehariHari == 'Saya tidak mampu melaksanakan kegiatan sehari hari' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_aktivitas_sehari_hari_3">Saya tidak mampu melaksanakan kegiatan sehari hari</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>4. Rasa nyeri / tidak nyaman</b></label><br>
				<input class="border-checkbox" type="checkbox" name="pengkajian_rasa_nyeri" id="pengkajian_rasa_nyeri_1" value="Saya tidak mempunyai keluhan rasa nyeri ataurasa tidak nyaman" <?= $objPatientNursing->vPengkajianKualitasRasaNyeri == 'Saya tidak mempunyai keluhan rasa nyeri ataurasa tidak nyaman' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_rasa_nyeri_1">Saya tidak mempunyai keluhan rasa nyeri ataurasa tidak nyaman</label>
				<input class="border-checkbox" type="checkbox" name="pengkajian_rasa_nyeri" id="pengkajian_rasa_nyeri_2" value="Saya suka merasakan agak nyeri / agak kurang nyaman" <?= $objPatientNursing->vPengkajianKualitasRasaNyeri == 'Saya suka merasakan agak nyeri / agak kurang nyaman' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_rasa_nyeri_2">Saya suka merasakan agak nyeri / agak kurang nyaman</label>
				<input class="border-checkbox" type="checkbox" name="pengkajian_rasa_nyeri" id="pengkajian_rasa_nyeri_3" value="Saya tidak mampu melaksanakan kegiatan sehari hari" <?= $objPatientNursing->vPengkajianKualitasRasaNyeri == 'Saya tidak mampu melaksanakan kegiatan sehari hari' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_rasa_nyeri_3">Saya tidak mampu melaksanakan kegiatan sehari hari</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>5. Rasa cemas / depresi</b></label><br>
				<input class="border-checkbox" type="checkbox" name="pengkajian_rasa_cemas" id="pengkajian_rasa_cemas_1" value="Saya tidak merasa agak cemas / gelisah atau depresi (jiwa tertekan)" <?= $objPatientNursing->vPengkajianKualitasRasaCemas == 'Saya tidak merasa agak cemas / gelisah atau depresi (jiwa tertekan)' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_rasa_cemas_1">Saya tidak merasa agak cemas / gelisah atau depresi (jiwa tertekan)</label>
				<input class="border-checkbox" type="checkbox" name="pengkajian_rasa_cemas" id="pengkajian_rasa_cemas_2" value="Saya suka merasa agak cemas atau depresi" <?= $objPatientNursing->vPengkajianKualitasRasaCemas == 'Saya suka merasa agak cemas atau depresi' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_rasa_cemas_2">Saya suka merasa agak cemas atau depresi</label>
				<input class="border-checkbox" type="checkbox" name="pengkajian_rasa_cemas" id="pengkajian_rasa_cemas_3" value="Saya merasa sangat cemas atau sangat depresi" <?= $objPatientNursing->vPengkajianKualitasRasaCemas == 'Saya merasa sangat cemas atau sangat depresi' ? 'checked' : '' ?>>
				<label class="border-checkbox-label" for="pengkajian_rasa_cemas_3">Saya merasa sangat cemas atau sangat depresi</label>
			</div>
			<div class="col-md-12" style="margin-bottom:10px;">
				<label class="control-label" style="margin-right:10px;"><b>Nilai berdasarkan tabel/referensi diatas</b></label><br>
					<input id="nilai_berdasarkan_tabel_referensi" type="text" class="form-control" name="nilai_berdasarkan_tabel_referensi" placeholder="Nilai berdasarkan tabel/referensi diatas" value="<?= $objPatientNursing->vPengkajianKualitasNilaiBerdasarkanTabelReferensi?>">
			</div>
		</div>
	</div>
</div>


<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>PEMERIKSAAN FISIK</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:120px;text-align:left;font-weight:bold;">Keadaan Umum</div></span>
					<input id="keadaan_umum" type="text" class="form-control" name="keadaan_umum" placeholder="Keadaan Umum" value="<?= $objPatientNursing->GeneralObjective?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:120px;text-align:left;font-weight:bold;">Kesadaran</div></span>
					<input id="kesadaran" type="text" class="form-control" name="kesadaran" placeholder="Kesadaran" value="<?= $objPatientNursing->vKesadaran?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:120px;text-align:left;font-weight:bold;">Tekanan darah</div></span>
					<input id="sistolik" type="text" class="form-control" name="sistolik" placeholder="Sistolik" value="<?= $objPatientNursing->GeneralSistolik?>" style="width:50%;">
					<input id="diastolik" type="text" class="form-control" name="diastolik" placeholder="Diastolik" value="<?= $objPatientNursing->GeneralDiastolik?>" style="width:50%;">
					<span class="input-group-addon"><div style="width:34px;text-align:center;font-weight:bold;">mmHg</div></span>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:120px;text-align:left;font-weight:bold;">Frekuensi nadi</div></span>
					<input id="nadi" type="text" class="form-control" name="nadi" placeholder="Frekuensi nadi" value="<?= $objPatientNursing->GeneralNadi?>">
					<span class="input-group-addon"><div style="width:34px;text-align:center;font-weight:bold;">x/mnt</div></span>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:120px;text-align:left;font-weight:bold;">Frekuensi Nafas</div></span>
					<input id="rr" type="text" class="form-control" name="rr" placeholder="Frekuensi Nafas" value="<?= $objPatientNursing->GeneralRr?>">
					<span class="input-group-addon"><div style="width:34px;text-align:center;font-weight:bold;">x/mnt</div></span>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 15px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:120px;text-align:left;font-weight:bold;">Suhu</div></span>
					<input id="suhu" type="text" class="form-control" name="suhu" placeholder="Suhu" value="<?= $objPatientNursing->GeneralSuhu?>">
					<span class="input-group-addon"><div style="width:34px;text-align:center;font-weight:bold;">°C</div></span>
				</div>
			</div>
<!--			<div class="col-md-6" style="margin-bottom: 15px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:120px;text-align:left;font-weight:bold;">Berat Badan</div></span>
					<input id="bb" type="text" class="form-control" name="bb" placeholder="Berat Badan" value="<?= $objPatientNursing->GeneralBb?>">
					<span class="input-group-addon"><div style="width:34px;text-align:center;font-weight:bold;">kg</div></span>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 15px;">
				<div class="input-group" style="width:100%;">
					<span class="input-group-addon"><div style="width:120px;text-align:left;font-weight:bold;">Tinggi Badan</div></span>
					<input id="bb" type="text" class="form-control" name="bb" placeholder="Tinggi Badan" value="<?= $objPatientNursing->GeneralTb?>">
					<span class="input-group-addon"><div style="width:34px;text-align:center;font-weight:bold;">cm</div></span>
				</div>
			</div>
-->			<div class="col-md-12" style="margin-bottom:0px;">
				<label class="control-label" style="margin-right:10px;"><b>SISTEM ORGAN</b></label><br>
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Kulit</b></label><br>
					<input id="kulit" type="text" class="form-control" name="kulit" placeholder="Kulit" value="<?= $objPatientNursing->vKulit?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Kepala</b></label><br>
					<input id="kepala" type="text" class="form-control" name="kepala" placeholder="Kepala" value="<?= $objPatientNursing->vKepala?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Rambut</b></label><br>
					<input id="rambut" type="text" class="form-control" name="rambut" placeholder="Rambut" value="<?= $objPatientNursing->vRambut?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Wajah</b></label><br>
					<input id="wajah" type="text" class="form-control" name="wajah" placeholder="Wajah" value="<?= $objPatientNursing->vWajah?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Mata</b></label><br>
					<input id="mata" type="text" class="form-control" name="mata" placeholder="Mata" value="<?= $objPatientNursing->vMata?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Telinga</b></label><br>
					<input id="telinga" type="text" class="form-control" name="telinga" placeholder="Telinga" value="<?= $objPatientNursing->vTelinga?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Hidung</b></label><br>
					<input id="hidung" type="text" class="form-control" name="hidung" placeholder="Hidung" value="<?= $objPatientNursing->vHidung?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Gigi dan Mulut</b></label><br>
					<input id="gigi_dan_mulut" type="text" class="form-control" name="gigi_dan_mulut" placeholder="Gigi dan Mulut" value="<?= $objPatientNursing->vGigiDanMulut?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Leher</b></label><br>
					<input id="leher" type="text" class="form-control" name="leher" placeholder="Leher" value="<?= $objPatientNursing->GeneralFisikLeher?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Dada</b></label><br>
					<input id="dada" type="text" class="form-control" name="dada" placeholder="Dada" value="<?= $objPatientNursing->GeneralFisikDada?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Paru</b></label><br>
					<input id="paru" type="text" class="form-control" name="paru" placeholder="Paru" value="<?= $objPatientNursing->vParu?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Jantung dan pembuluh darah</b></label><br>
					<input id="jantung_dan_pembuluh_darah" type="text" class="form-control" name="jantung_dan_pembuluh_darah" placeholder="Jantung dan pembuluh darah" value="<?= $objPatientNursing->vJantungDanPembuluhDarah?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Abdomen</b></label><br>
					<input id="abdomen" type="text" class="form-control" name="abdomen" placeholder="Abdomen" value="<?= $objPatientNursing->GeneralFisikAbdomen?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Rektum / anus</b></label><br>
					<input id="rektum" type="text" class="form-control" name="rektum" placeholder="Rektum / anus" value="<?= $objPatientNursing->vRektum?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Alat kelamin</b></label><br>
					<input id="alat_kelamin" type="text" class="form-control" name="alat_kelamin" placeholder="Alat kelamin" value="<?= $objPatientNursing->vAlatKelamin?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Ekstremitas</b></label><br>
					<input id="ekstremitas" type="text" class="form-control" name="ekstremitas" placeholder="Ekstremitas" value="<?= $objPatientNursing->GeneralFisikExtremitas?>">
			</div>
			<div class="col-md-6" style="margin-bottom: 5px;">
				<label class="control-label" style="margin-right:10px;"><b>Status lokalis</b></label><br>
					<input id="status_lokalis" type="text" class="form-control" name="status_lokalis" placeholder="Status lokalis" value="<?= $objPatientNursing->vStatusLokalis?>">
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>DATA PENUNJANG</b></span>
    </div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="laboratorium_ekg_rad_dll">Laboratorium, EKG, Radiologi, dll</label>
				<textarea class="form-control autoresize" style="border-width:1px;margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="laboratorium_ekg_rad_dll" name="laboratorium_ekg_rad_dll" placeholder="Laboratorium, EKG, Radiologi, dll" autocomplete="on"><?= $objPatientNursing->vPenunjangLabEkgRadDll ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="diagnosa">Diagnosa</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="diagnosa" name="diagnosa" placeholder="Diagnosa"><?= $objPatientNursing->GeneralDiagnosaMedis ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="terapi_medikamentosa">Terapi Medikamentosa</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="terapi_medikamentosa" name="terapi_medikamentosa" placeholder="Terapi Medikamentosa"><?= $objPatientNursing->vTerapiMedikamentosa  ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="terapi_non_medikamentosa">Terapi Non Medikamentosa</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="terapi_non_medikamentosa" name="terapi_non_medikamentosa" placeholder="Terapi Non Medikamentosa"><?= $objPatientNursing->vTerapiNonMedikamentosa  ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 col-lg-12" style="margin-bottom: 5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="rencana_tindak_lanjut">Rencana tindak lanjut</label>
				<textarea class="form-control autoresize" style="margin-top:0px;overflow: hidden; word-wrap: break-word; resize: none; height: 40px; width: 100%;" id="rencana_tindak_lanjut" name="rencana_tindak_lanjut" placeholder="Rencana tindak lanjut"><?= $objPatientNursing->GeneralRencanaTindakan  ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="nama_versi" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vAsesmenAwalGeneralModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormAsesmenGeriatriEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAsesmenGeriatriEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAsesmenGeriatriLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAsesmenGeriatriLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormAsesmenGeriatriTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAsesmenGeriatriTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAsesmenGeriatriIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormAsesmenGeriatri) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormAsesmenGeriatriEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAsesmenGeriatriEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAsesmenGeriatriLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAsesmenGeriatriLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormAsesmenGeriatriTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAsesmenGeriatriTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAsesmenGeriatriIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="height:50%;">
</div>


<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

        <div>
            <hr>
            <label><b>Password</b></label>
            <input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
            <div class="checkbox">
                <label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
            </div>
        </div>
	  </div>
	  <div class="modal-footer">
		<button type="button" class="btn btn-danger" style="display:none;" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button>
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>


</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">


	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
	
   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
	$('input[type="checkbox"]').change(function() {
	  if ($(this).prop('checked')) {
		$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
	  }
	});
	
	
	<?php $objSystemUser = SystemUser::LoadById($objUser->Id); ?>
	var revisionNumber = parseInt('<?=$objPatientNursing->vAsesmenAwalGeneralModifiedVersion != "" ? $objPatientNursing->vAsesmenAwalGeneralModifiedVersion : "0" ;?>');
	var clientIP = "<?=System::getClientIpAddress();?>";
	var clientUserId = "<?=$objSystemUser->Id;?>";
	var clientUserName = "<?=$objSystemUser->LoginName;?>"	;
	var DPJPId = "<?=$objPatientNursing->DoctorId;?>";
	var personalId = "<?=$objSystemUser->ReferenceId;?>";
	
$(document).ready(function() {
	
	if ( revisionNumber > 0 ) {
		sudahTTD();
	} else {
		$('.sudah-simpan').hide();
		//$('#float-print').prop('disabled', true);
		//$('#float-print').removeClass('btn-blue');
		//$('#float-print').addClass('btn btn-primary disabled');
	}
	

	
	
	$('#nama_versi').attr('max', revisionNumber);
	$('#nama_versi').attr('min', 1);
	
	$('#nama_versi').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});
	
	function tambah_revisionNumber() {
		revisionNumber = revisionNumber + 1;
		$('#nama_versi').attr("placeholder", "Versi 1 ~ " + revisionNumber);
		$('#nama_versi').attr("max", revisionNumber);
	};
	
	
	function sudahTTD() {
		$('#nama_versi').attr("placeholder", "Versi 1 ~ " + revisionNumber);
		$('#float-simpan').prop('disabled', true);
		$('#float-simpan').removeClass('btn-green');
		$('#float-simpan').addClass('btn btn-success disabled');
		
		$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function () {
			$('#modal-area').modal("show");
		});
		
		//$('#float-simpan').addClass('btn btn-success disabled show-modal');
		//$('#float-simpan').removeAttr('id');
		$('#save').remove();
		$('#tandatanganiperubahan').show();
		$('#tandatangani').hide();
		$('.sudah-simpan').show();
		$('.print_preview').css('visibility', 'visible');
		$('#float-print').addClass('btn-blue');
		$('#float-print').removeClass('btn btn-primary disabled');
		$('#float-print').prop('disabled', false);
		 disableEdit()
	}
	
	function disableEdit() {
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true);
		$('#edit, .show-modal').addClass('disabled');
		$('.show-modal').prop('disabled', true);
		$('#FormPage select').prop('disabled', true).trigger("chosen:updated");
		//$('.show-modal i:first').removeClass('fa-circle-o-notch fa-spin');
		//$('.show-modal i:first').addClass('fa-save');
		$('.koreksi').removeClass('disabled');
	}
	
	function bolehEdit(){
		$('#edit, .show-modal, #float-simpan').removeClass('disabled');
		$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function () {
			$('#modal-area').modal("show");
		});
		$('.show-modal, #float-simpan').prop('disabled', false);
		$('#FormPage select').prop('disabled', false).trigger("chosen:updated");
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false);
		$('.koreksi').addClass('disabled');
	}

	$('.show-modal').click(function(){
        $('#modal-area').modal('show');
    });
	

    $('.koreksi').click(function(){
        parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
                bolehEdit();
                 parent.jQuery.fallr('hide',function(){});
            },
            function(){
                 parent.jQuery.fallr('hide',function(){});
            }
        );
    })


	
	function efekSebelumSimpan() {
		if (revisionNumber > 0){
		} else {
			$('#float-simpan').hide();
			$('#float-loading').show();
		}
	}
	
	function efekSesudahSimpanVerif() {
		disableEdit();
		tambah_revisionNumber();
		sudahTTD();
		$('#float-loading').hide();
		$('#float-simpan').show();
		$('.show-modal').show();
		//$('.clientTimeStamp').html(new Date().getDate() + "-" + (new Date().getMonth() < 9 ? "0" + (new Date().getMonth() + 1) : new Date().getMonth() + 1) + "-" + new Date().getFullYear() +  " " + new Date().getHours() + ":" + new Date().getMinutes() + ":" + new Date().getSeconds());
		//$('.clientUserName').html(clientUserName);
		//$('.clientUserId').html(clientUserId);
		//$('.clientIP').html(clientIP);
	}
	
	function efekSesudahSimpan() {
		$('#float-simpan').show();
		$('#float-loading').hide();
	}
	
	function efekErrorSimpan() {
		if (revisionNumber > 0){
			
		} else {
			$('#save').show();
			$('#float-simpan').show();
			$('#float-loading').hide();
		}
	}
	
		
	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}
	
	
	function cetaklaporan() {
		var ModifiedVersion = $('#nama_versi').val();
 		parent.AppPrintPage.setTitle('Print Preview Asesmen Awal Geriatri');
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('hmis-patient-medical-service-rnap/print-asesmen-geriatri') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion);
	}
	
	$('.input-tanggal-asesmen').datepicker({
		format: "dd-mm-yyyy",
		autoclose: true,
		maxDate: new Date('<?= date('d-m-Y') ?>'),
		minDate: new Date('<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>'),
		// endDate: null
	});
	
	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	$('#content').off('click', '#tandatanganiperubahan').on('click', '#tandatanganiperubahan', function () {
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});
	
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	
 
	
	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			//$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});
	
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			//$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});

	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});

	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.GeneralTanggalAsesmen = $('#tanggalasesmen').val();
		post.GeneralJamAsesmen = $('#jamasesmen').val();
		post.MobilePhone = $('#no_telp_pasien').val();
		post.OccupationDescription = $('#pekerjaan_pasien').val();
		post.vJumlahAnakLakiLaki = $('#jumlah_anak_lakilaki').val();
		post.vJumlahAnakPerempuan = $('#jumlah_anak_perempuan').val();
		post.vJumlahCucuLakiLaki = $('#jumlah_cucu_lakilaki').val();
		post.vJumlahCucuPerempuan = $('#jumlah_cucu_perempuan').val();
		post.vJumlahCicitLakiLaki = $('#jumlah_cicit_lakilaki').val();
		post.vJumlahCicitPerempuan = $('#jumlah_cicit_perempuan').val();
		post.GeneralKeluhanUtama = $('#keluhanutama').val();
		post.GeneralRiwayatPenyakitSekarang = $('#riwayatpenyakitsekarang').val();
		post.GeneralRiwayatPenyakitDahulu = $('#riwayatpenyakitdahulu').val();
		post.GeneralRiwayatPenyakitKeluarga = $('#riwayatpenyakitkeluarga').val();
		post.vRiwayatPembedahanRawatInap = $('#riwayat_pembedahan_rawatinap').val();
		post.vRiwayatPengobatan = $('#riwayat_pengobatan').val();
		post.vRiwayatAlergi = $('#riwayat_alergi').val();
		post.vRiwayatKebiasaan = $('#riwayat_kebiasaan').val();
		post.GeneralBb = $('#berat_badan').val();
		post.GeneralTb = $('#tinggi_badan').val();
		post.vStatusGizi = $('#status_gizi').val();
		post.vPenapisanNafsuMakan = $("input[name='penampisan_nafsu_makan']:checked").val() ? $("input[name='penampisan_nafsu_makan']:checked").val() : '';
		post.vPenapisanBeratBadan = $("input[name='penampisan_berat_badan']:checked").val() ? $("input[name='penampisan_berat_badan']:checked").val() : '';
		post.vPenapisanMobilitas = $("input[name='penampisan_mobilitas']:checked").val() ? $("input[name='penampisan_mobilitas']:checked").val() : '';
		post.vPenapisanPsykologis = $("input[name='penampisan_psykologis']:checked").val() ? $("input[name='penampisan_psykologis']:checked").val() : '';
		post.vPenapisanNeuropsykologis = $("input[name='penampisan_neuropsykologis']:checked").val() ? $("input[name='penampisan_neuropsykologis']:checked").val() : '';
		post.vPenapisanImt = $("input[name='penampisan_imt']:checked").val() ? $("input[name='penampisan_imt']:checked").val() : '';
		post.vKeadaanKesehatan = $("input[name='keadaan_kesehatan']:checked").val() ? $("input[name='keadaan_kesehatan']:checked").val() : '';
		post.vNyeriDada = $("input[name='nyeri_dada']:checked").val() ? $("input[name='nyeri_dada']:checked").val() : '';
		post.vSesakNafasWaktuKerja = $("input[name='sesak_nafas']:checked").val() ? $("input[name='sesak_nafas']:checked").val() : '';
		post.vTerbangunTengahMalamKarenaSesak = $("input[name='terbangun_tengah_malam']:checked").val() ? $("input[name='terbangun_tengah_malam']:checked").val() : '';
		post.vSesakSaatBerbaringTanpaBantal = $("input[name='sesak_saat_berbaring']:checked").val() ? $("input[name='sesak_saat_berbaring']:checked").val() : '';
		post.vBengkakPadaKakiTungkai = $("input[name='bengkak_kaki']:checked").val() ? $("input[name='bengkak_kaki']:checked").val() : '';
		post.vSesakNafas = $("input[name='paru_sesak_nafas']:checked").val() ? $("input[name='paru_sesak_nafas']:checked").val() : '';
		post.vDemam = $("input[name='demam']:checked").val() ? $("input[name='demam']:checked").val() : '';
		post.vDahak = $("input[name='dahak']:checked").val() ? $("input[name='dahak']:checked").val() : '';
		post.vNafsuMakanMenurun = $("input[name='nafsu_makan_menurun']:checked").val() ? $("input[name='nafsu_makan_menurun']:checked").val() : '';
		post.vGangguanMenelan = $("input[name='gangguan_menelan']:checked").val() ? $("input[name='gangguan_menelan']:checked").val() : '';
		post.vGangguanMengunyah = $("input[name='gangguan_mengunyah']:checked").val() ? $("input[name='gangguan_mengunyah']:checked").val() : '';
		post.vSakitPerut = $("input[name='sakit_perut']:checked").val() ? $("input[name='sakit_perut']:checked").val() : '';
		post.vPerutTerasaKembung = $("input[name='perut_terasa_kembung']:checked").val() ? $("input[name='perut_terasa_kembung']:checked").val() : '';
		post.vMencret = $("input[name='mencret']:checked").val() ? $("input[name='mencret']:checked").val() : '';
		post.vTinjaBerdarah = $("input[name='tingja_berdarah']:checked").val() ? $("input[name='tingja_berdarah']:checked").val() : '';
		post.vPembuanganTinjaTiapHari = $("input[name='pembuangan_tinja_tiap_hari']:checked").val() ? $("input[name='pembuangan_tinja_tiap_hari']:checked").val() : '';
		post.vGangguanBerkemih = $("input[name='gangguan_berkemih']:checked").val() ? $("input[name='gangguan_berkemih']:checked").val() : '';
		post.vNyeriWaktuBerkemih = $("input[name='nyeri_waktu_berkemih']:checked").val() ? $("input[name='nyeri_waktu_berkemih']:checked").val() : '';
		post.vPancaranAirKemihKurang = $("input[name='pancaran_air_kemih_kurang']:checked").val() ? $("input[name='pancaran_air_kemih_kurang']:checked").val() : '';
		post.vAirKemihMenetes = $("input[name='air_kemih_menetes']:checked").val() ? $("input[name='air_kemih_menetes']:checked").val() : '';
		post.vBangunMalamUntukBerkemih = $("input[name='bangun_malam_untuk_berkemih']:checked").val() ? $("input[name='bangun_malam_untuk_berkemih']:checked").val() : '';
		post.vMudahTimbulLebamDiKulit = $("input[name='mudah_timbul_lebam_dikulit']:checked").val() ? $("input[name='mudah_timbul_lebam_dikulit']:checked").val() : '';
		post.vPerdarahanLambatBerhenti = $("input[name='perdarahan_lambat_berhenti']:checked").val() ? $("input[name='perdarahan_lambat_berhenti']:checked").val() : '';
		post.vKelenjarGetahBeningBengkak = $("input[name='kelenjar_getah_bening_bengkak']:checked").val() ? $("input[name='kelenjar_getah_bening_bengkak']:checked").val() : '';
		post.vKekuatanSendi = $("input[name='kekuatan_sendi']:checked").val() ? $("input[name='kekuatan_sendi']:checked").val() : '';
		post.vBengkakSendi = $("input[name='bengkak_sendi']:checked").val() ? $("input[name='bengkak_sendi']:checked").val() : '';
		post.vNyeriOtot = $("input[name='nyeri_otot']:checked").val() ? $("input[name='nyeri_otot']:checked").val() : '';
		post.vBenjolanDiLeher = $("input[name='benjolan_dileher']:checked").val() ? $("input[name='benjolan_dileher']:checked").val() : '';
		post.vGemetaran = $("input[name='gemetaran']:checked").val() ? $("input[name='gemetaran']:checked").val() : '';
		post.vLebihSukaUdaraDingin = $("input[name='lebih_suka_udara_dingin']:checked").val() ? $("input[name='lebih_suka_udara_dingin']:checked").val() : '';
		post.vBanyakKeringat = $("input[name='banyak_keringat']:checked").val() ? $("input[name='banyak_keringat']:checked").val() : '';
		post.vLekasLelah = $("input[name='lekas_lelah']:checked").val() ? $("input[name='lekas_lelah']:checked").val() : '';
		post.vBeratBadanTurun = $("input[name='berat_badan_menurun']:checked").val() ? $("input[name='berat_badan_menurun']:checked").val() : '';
		post.vOperasiGondok = $("input[name='operasi_gondok']:checked").val() ? $("input[name='operasi_gondok']:checked").val() : '';
		post.vRasaHausBertambah = $("input[name='rasa_haus_bertambah']:checked").val() ? $("input[name='rasa_haus_bertambah']:checked").val() : '';
		post.vMudahNgantuk = $("input[name='mudah_mengantuk']:checked").val() ? $("input[name='mudah_mengantuk']:checked").val() : '';
		post.vTidakTahanDingin = $("input[name='tidak_tahan_dingin']:checked").val() ? $("input[name='tidak_tahan_dingin']:checked").val() : '';
		post.vSeringLupaSulitKonsentrasiLambatBerpikir = $("input[name='sering_lupa_sulit_berkonsentrasi']:checked").val() ? $("input[name='sering_lupa_sulit_berkonsentrasi']:checked").val() : '';
		post.vMudahTersinggung = $("input[name='mudah_tersinggung']:checked").val() ? $("input[name='mudah_tersinggung']:checked").val() : '';
		post.vPusingSakitKepala = $("input[name='pusing_sakit_kepala']:checked").val() ? $("input[name='pusing_sakit_kepala']:checked").val() : '';
		post.vKesulitanMengingat = $("input[name='kesulitan_mengingat']:checked").val() ? $("input[name='kesulitan_mengingat']:checked").val() : '';
		post.vPingsanSesaat = $("input[name='pingsan_sesaat']:checked").val() ? $("input[name='pingsan_sesaat']:checked").val() : '';
		post.vGangguanPengelihatan = $("input[name='gangguan_pengelihatan']:checked").val() ? $("input[name='gangguan_pengelihatan']:checked").val() : '';
		post.vGangguanPendengaran = $("input[name='gangguan_pendengaran']:checked").val() ? $("input[name='gangguan_pendengaran']:checked").val() : '';
		post.vRasaKesemutan = $("input[name='rasa_kesemutah']:checked").val() ? $("input[name='rasa_kesemutah']:checked").val() : '';
		post.vKesulitanTidur = $("input[name='kesulitan_tidur']:checked").val() ? $("input[name='kesulitan_tidur']:checked").val() : '';
		post.vKelemahanAnggotaTubuh = $("input[name='kelemahan_anggota_tubuh']:checked").val() ? $("input[name='kelemahan_anggota_tubuh']:checked").val() : '';
		post.vLumpuh = $("input[name='lumpuh']:checked").val() ? $("input[name='lumpuh']:checked").val() : '';
		post.vKejangKejang = $("input[name='kejang_kejang']:checked").val() ? $("input[name='kejang_kejang']:checked").val() : '';
		post.vSeringLupa = $("input[name='sering_lupa']:checked").val() ? $("input[name='sering_lupa']:checked").val() : '';
		post.vKekuatanAneh = $("input[name='kekuatan_aneh']:checked").val() ? $("input[name='kekuatan_aneh']:checked").val() : '';
		post.vMengembara = $("input[name='mengembara']:checked").val() ? $("input[name='mengembara']:checked").val() : '';
		post.vMurung = $("input[name='murung']:checked").val() ? $("input[name='murung']:checked").val() : '';
		post.vSeringMenangis = $("input[name='sering_menangis']:checked").val() ? $("input[name='sering_menangis']:checked").val() : '';
		post.vApakahAndaSebenarnyaPuasDenganKehidupanAnda = $("input[name='sebenarnya_puas_dengan_kehidupan']:checked").val() ? $("input[name='sebenarnya_puas_dengan_kehidupan']:checked").val() : '';
		post.vApakahAndaTelahMeninggalkanBanyakKegiatanDanMinatAtauKesenangan = $("input[name='meninggalkan_banyak_kegiatan']:checked").val() ? $("input[name='meninggalkan_banyak_kegiatan']:checked").val() : '';
		post.vApakahAndaMerasakanKehidupanKosong = $("input[name='merasa_kehidupan_kosong']:checked").val() ? $("input[name='merasa_kehidupan_kosong']:checked").val() : '';
		post.vApakahAndaSeringMerasaBosan = $("input[name='sering_merasa_bosan']:checked").val() ? $("input[name='sering_merasa_bosan']:checked").val() : '';
		post.vApakahAndaMempunyaiSemangatYangBaikSetiapSaat = $("input[name='semangat_yang_baik']:checked").val() ? $("input[name='semangat_yang_baik']:checked").val() : '';
		post.vApakahAndaTakutSesuatuYangBurukAkanTerjadiPadaAnda = $("input[name='takut_sesuatu_yang_buruk']:checked").val() ? $("input[name='takut_sesuatu_yang_buruk']:checked").val() : '';
		post.vApakahAndaMerasaBahagiaUntukSebagianBesarHidupAnda = $("input[name='merasa_bahagia_hidup']:checked").val() ? $("input[name='merasa_bahagia_hidup']:checked").val() : '';
		post.vApakahAndaSeringMerasaTidakBerdaya = $("input[name='merasa_tidak_berdaya']:checked").val() ? $("input[name='merasa_tidak_berdaya']:checked").val() : '';
		post.vApakahAndaLebihSenangTinggalDirumahDariPadaPergiKeluar = $("input[name='lebih_senang_dirumah']:checked").val() ? $("input[name='lebih_senang_dirumah']:checked").val() : '';
		post.vApakahAndaMerasaMempunyaiBanyakMasalahDenganDayaIngatAnda = $("input[name='merasa_mempunyai_banyak_masalah']:checked").val() ? $("input[name='merasa_mempunyai_banyak_masalah']:checked").val() : '';
		post.vApakahAndaPikirBahwaHidupAndaSekarangMenyenangkan = $("input[name='hidup_menyenangkan']:checked").val() ? $("input[name='hidup_menyenangkan']:checked").val() : '';
		post.vApakahAndaMerasaTidakBerhargaSepertiPerasaanAndaKini = $("input[name='merasa_tidak_berharga']:checked").val() ? $("input[name='merasa_tidak_berharga']:checked").val() : '';
		post.vApakahAndaMerasaPenuhSemangat = $("input[name='merasa_penuh_semangat']:checked").val() ? $("input[name='merasa_penuh_semangat']:checked").val() : '';
		post.vApakahAndaMerasaAndaTidakAdaHarapan = $("input[name='merasa_tidak_ada_harapan']:checked").val() ? $("input[name='merasa_tidak_ada_harapan']:checked").val() : '';
		post.vApakahAndaBerpikirBahwaOrangLainLebihBaikDariAnda = $("input[name='merasa_orang_lain_lebih_baik']:checked").val() ? $("input[name='merasa_orang_lain_lebih_baik']:checked").val() : '';
		post.vTanggalBeranapHariIni = $("input[name='tanggal_berapa_hari_ini']:checked").val() ? $("input[name='tanggal_berapa_hari_ini']:checked").val() : '';
		post.vHariApaSekarang = $("input[name='hari_apa_sekarang']:checked").val() ? $("input[name='hari_apa_sekarang']:checked").val() : '';
		post.vApaNamaTempatIni = $("input[name='apa_nama_tempat_ini']:checked").val() ? $("input[name='apa_nama_tempat_ini']:checked").val() : '';
		post.vDimanaAlamatAnda = $("input[name='diaman_alamat_anda']:checked").val() ? $("input[name='diaman_alamat_anda']:checked").val() : '';
		post.vBerapaUmurAnda = $("input[name='berapa_umur_anda']:checked").val() ? $("input[name='berapa_umur_anda']:checked").val() : '';
		post.vKapanAndaLahir = $("input[name='kapan_anda_lahir']:checked").val() ? $("input[name='kapan_anda_lahir']:checked").val() : '';
		post.vSiapaPresidenIndonesiaSekarang = $("input[name='siapa_presiden_indonesia_sekarang']:checked").val() ? $("input[name='siapa_presiden_indonesia_sekarang']:checked").val() : '';
		post.vSiapaPresidenIndonesiaSebelumnya = $("input[name='siapa_presiden_indonesia_sebelumnya']:checked").val() ? $("input[name='siapa_presiden_indonesia_sebelumnya']:checked").val() : '';
		post.vSiapaNamaIbuAnda = $("input[name='siapa_nama_ibu_anda']:checked").val() ? $("input[name='siapa_nama_ibu_anda']:checked").val() : '';
		post.vKurangi3Dari20 = $("input[name='kurangi3_dari20']:checked").val() ? $("input[name='kurangi3_dari20']:checked").val() : '';
		post.vKemandirianSkorA = $("input[name='kemandirian_skor_a']:checked").val() ? $("input[name='kemandirian_skor_a']:checked").val() : '';
		post.vKemandirianSkorB = $("input[name='kemandirian_skor_b']:checked").val() ? $("input[name='kemandirian_skor_b']:checked").val() : '';
		post.vKemandirianSkorC = $("input[name='kemandirian_skor_c']:checked").val() ? $("input[name='kemandirian_skor_c']:checked").val() : '';
		post.vKemandirianSkorD = $("input[name='kemandirian_skor_d']:checked").val() ? $("input[name='kemandirian_skor_d']:checked").val() : '';
		post.vKemandirianSkorE = $("input[name='kemandirian_skor_e']:checked").val() ? $("input[name='kemandirian_skor_e']:checked").val() : '';
		post.vKemandirianSkorF = $("input[name='kemandirian_skor_f']:checked").val() ? $("input[name='kemandirian_skor_f']:checked").val() : '';
		post.vKemandirianSkorG = $("input[name='kemandirian_skor_g']:checked").val() ? $("input[name='kemandirian_skor_g']:checked").val() : '';
		post.vKemandirianSkorLainLain = $("input[name='kemandirian_skor_h']:checked").val() ? $("input[name='kemandirian_skor_h']:checked").val() : '';
		post.vPengkajianKualitasMobilitas = $("input[name='pengkajian_mobilitas']:checked").val() ? $("input[name='pengkajian_mobilitas']:checked").val() : '';
		post.vPengkajianKualitasPerawatanDiri = $("input[name='pengkajian_perawatan_diri']:checked").val() ? $("input[name='pengkajian_perawatan_diri']:checked").val() : '';
		post.vPengkajianKualitasAktivitasSehariHari = $("input[name='pengkajian_aktivitas_sehari_hari']:checked").val() ? $("input[name='pengkajian_aktivitas_sehari_hari']:checked").val() : '';
		post.vPengkajianKualitasRasaNyeri = $("input[name='pengkajian_rasa_nyeri']:checked").val() ? $("input[name='pengkajian_rasa_nyeri']:checked").val() : '';
		post.vPengkajianKualitasRasaCemas = $("input[name='pengkajian_rasa_cemas']:checked").val() ? $("input[name='pengkajian_rasa_cemas']:checked").val() : '';
		post.vPengkajianKualitasNilaiBerdasarkanTabelReferensi = $('#nilai_berdasarkan_tabel_referensi').val();
		post.GeneralObjective = $('#keadaan_umum').val();
		post.vKesadaran = $('#kesadaran').val();
		post.GeneralSistolik = $('#sistolik').val();
		post.GeneralDiastolik = $('#diastolik').val();
		post.GeneralNadi = $('#nadi').val();
		post.GeneralRr = $('#rr').val();
		post.GeneralSuhu = $('#suhu').val();
		post.vKulit = $('#kulit').val();
		post.vKepala = $('#kepala').val();
		post.vRambut = $('#rambut').val();
		post.vWajah = $('#wajah').val();
		post.vMata = $('#mata').val();
		post.vTelinga = $('#telinga').val();
		post.vHidung = $('#hidung').val();
		post.vGigiDanMulut = $('#gigi_dan_mulut').val();
		post.GeneralFisikLeher = $('#leher').val();
		post.GeneralFisikDada = $('#dada').val();
		post.vParu = $('#paru').val();
		post.vJantungDanPembuluhDarah = $('#jantung_dan_pembuluh_darah').val();
		post.GeneralFisikAbdomen = $('#abdomen').val();
		post.vRektum = $('#rektum').val();
		post.vAlatKelamin = $('#alat_kelamin').val();
		post.GeneralFisikExtremitas = $('#ekstremitas').val();
		post.vStatusLokalis = $('#status_lokalis').val();
		post.vPenunjangLabEkgRadDll = $('#laboratorium_ekg_rad_dll').val();
		post.GeneralDiagnosaMedis = $('#diagnosa').val();
		post.vTerapiMedikamentosa = $('#terapi_medikamentosa').val();
		post.vTerapiNonMedikamentosa = $('#terapi_non_medikamentosa').val();
		post.GeneralRencanaTindakan = $('#rencana_tindak_lanjut').val();

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveAsesmenGeriatri')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#float-validasi').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					parent.toastr.success( 'Data Terkirim', 'Informasi');
					efekSesudahSimpanVerif();
					parent.boolChange = false;
					$('.clientUserName').text(result.FullName);
					$('.clientTimeStamp').text(result.TimeStamp);
					$('.clientIP').text(result.Ip);
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.$('#assasement_awal_geriatri').removeClass('btn-primary').addClass('btn-success').html('Asesmen Awal Geriatri <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					efekSesudahSimpan();
					parent.boolChange = false;
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.$('#assasement_awal_geriatri').removeClass('btn-primary').addClass('btn-success').html('Asesmen Awal Geriatri <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					toastr.error( result.message , 'Errors');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
				efekErrorSimpan()
			}
		});

	}
});



//-------------
	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.chosen').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('input[type="checkbox"]').change(function() {
	  if ($(this).prop('checked')) {
		$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
	  }
	});
	
$('#content').ready(function(){
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormAsesmenGeriatri ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vAsesmenAwalGeneralModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#nama_versi').attr('placeholder', '~".$objPatientNursing->vAsesmenAwalGeneralModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>


})

</script>

</div>
</div>