
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa_poli_jiwa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    textarea, input{
        font-weight: 400;
    }
</style>
<div id="e-rm-form-gizi" class="hidden">true</div>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">ASESMEN JIWA</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
					<div class="form-group">
						<label class="col-sm-4 control-label" for="w1-username">ID</label>
						<div class="col-sm-8">
							<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
						</div>
					</div>
            </div>
        </div>
    </div>
</div>

<!--  <form> -->
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="box-header" style="padding-bottom:0px;">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Asesmen Awal</h3>
    </div>
    <div class="box-body" style="padding-top:0px;">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggalasesmen_poli_jiwa"><b>Tanggal Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalasesmen_poli_jiwa" type="text" class="form-control input-date" name="tanggalasesmen_poli_jiwa" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->vTanggalAsesmenPoliJiwa ?>" style="z-index:0" data-mask="00-00-0000">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="jamasesmen_poli_jiwa"><b>Jam Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamasesmen_poli_jiwa" type="text" class="form-control" name="jamasesmen_poli_jiwa" placeholder="HH:mm" value="<?= $objPatientNursing->vJamAsesmenPoliJiwa ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
        </div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 5px;">
				<label class="control-label" for=""><b>Keluhan Utama</b></label>
				<textarea name="keluhan_utama_poli_jiwa" id="keluhan_utama_poli_jiwa" rows="4" class="form-control" placeholder="Keluhan Utama" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKeluhanUtamaPoliJiwa ?></textarea>
			</div>
		</div>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Riwayat penyakit sekarang (Auto Anamnesis)</b></label>
				<textarea name="anamnea_khusus_poli_jiwa" id="anamnea_khusus_poli_jiwa" rows="4" class="form-control" placeholder="Anamnea Khusus (Riwayat penyakit sekarang)" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vAnamneaKhususPoliJiwa ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Hetero Anamnesis</b></label>
				<textarea name="anamnesa_hetero_poli_jiwa" id="anamnesa_hetero_poli_jiwa" rows="4" class="form-control" placeholder="Hetero Anamnesis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vAnamnesaHeteroPoliJiwa ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Faktor Pencetus Penyebab</b></label>
				<textarea name="faktor_pencetus_penyebab_poli_jiwa" id="faktor_pencetus_penyebab_poli_jiwa" rows="4" class="form-control" placeholder="Faktor Pencetus Penyebab" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vFaktorPencetusPenyebabPoliJiwa ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Faktor Keluarga</b></label>
				<textarea name="faktor_keluarga_poli_jiwa" id="faktor_keluarga_poli_jiwa" rows="4" class="form-control" placeholder="Faktor Keluarga" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vFaktorKeluargaPoliJiwa ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-3" style="">
				<label class="control-label" for=""><b>Riwayat Napza</b></label>
				<input type="text" class="form-control" placeholder="Riwayat Napza" id="riwayat_napza_poli_jiwa" value="<?= $objPatientNursing->vRiwayatNapzaPoliJiwa ; ?>" >
			</div>
			<div class="col-md-3" style="">
				<label class="control-label" for=""><b>Lama Pakai</b></label>
				<input type="text" class="form-control" placeholder="Lama Pakai" id="lama_pakai_poli_jiwa" value="<?= $objPatientNursing->vLamaPakaiPoliJiwa ; ?>" >
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Jenis Zat</b></label>
				<input type="text" class="form-control" placeholder="Jenis Zat" id="jenis_zat_poli_jiwa" value="<?= $objPatientNursing->vJenisZatPoliJiwa ; ?>" >
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Cara Pemakaian</b></label>
				<textarea name="cara_pemakaian_poli_jiwa" id="cara_pemakaian_poli_jiwa" rows="4" class="form-control" placeholder="Cara Pemakaian" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vCaraPemakaianPoliJiwa ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Latar Belakang</b></label>
				<textarea name="latar_belakang_poli_jiwa" id="latar_belakang_poli_jiwa" rows="4" class="form-control" placeholder="Latar Belakang" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vLatarBelakangPoliJiwa ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Faktor Premorbid</b></label>
				<textarea name="faktor_premorbid_poli_jiwa" id="faktor_premorbid_poli_jiwa" rows="4" class="form-control" placeholder="Faktor Premorbid" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vFaktorPremorbidPoliJiwa ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Faktor Organik</b></label>
				<textarea name="faktor_organik_poli_jiwa" id="faktor_organik_poli_jiwa" rows="4" class="form-control" placeholder="Faktor Organik" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vFaktorOrganikPoliJiwa ?></textarea>
			</div>
		</div>

	</div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="row" style="margin:10px 10px; padding-bottom:0px;">
        <h4 class="box-title">Status Psikiatri</h4>
    </div>

    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Kesan Umum</b></label>
				<textarea name="kesan_umum_poli_jiwa" id="kesan_umum_poli_jiwa" rows="4" class="form-control" placeholder="Kesan Umum" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKesanUmumPoliJiwa ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Kesadaran</b></label>
				<textarea name="kesadaran_poli_jiwa" id="kesadaran_poli_jiwa" rows="4" class="form-control" placeholder="Kesadaran" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vKesadaranPoliJiwa ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Mood / afek</b></label>
				<textarea name="mood_afek_poli_jiwa" id="mood_afek_poli_jiwa" rows="4" class="form-control" placeholder="Mood / afek" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vMoodAfekPoliJiwa ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Proses Pikir</b></label>
				<textarea name="proses_pikir_poli_jiwa" id="proses_pikir_poli_jiwa" rows="4" class="form-control" placeholder="Proses Pikir" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vProsesPikirPoliJiwa ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Pencerapan</b></label>
				<textarea name="pencerapan_poli_jiwa" id="pencerapan_poli_jiwa" rows="4" class="form-control" placeholder="Pencerapan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vPencerapanPoliJiwa ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Intelegensia</b></label>
				<textarea name="intelegensia_poli_jiwa" id="intelegensia_poli_jiwa" rows="4" class="form-control" placeholder="Intelegensia" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vIntelegensiaPoliJiwa ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Dorongan Insting</b></label>
				<textarea name="dorongan_insting_poli_jiwa" id="dorongan_insting_poli_jiwa" rows="4" class="form-control" placeholder="Dorongan Insting" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vDoronganInstingPoliJiwa ?></textarea>
			</div>
			<div class="col-md-6" style="">
				<label class="control-label" for=""><b>Psikomotor</b></label>
				<textarea name="psikomotor_poli_jiwa" id="psikomotor_poli_jiwa" rows="4" class="form-control" placeholder="Psikomotor" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vPsikomotorPoliJiwa ?></textarea>
			</div>
		</div>

	</div>
</div>
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-12" style="">
				<label class="control-label" for=""><b>STATUS PENYAKIT DALAM</b></label>
				<textarea name="status_penyakit_dalam_poli_jiwa" id="status_penyakit_dalam_poli_jiwa" rows="4" class="form-control" placeholder="Status Penyakit Dalam" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vStatusPenyakitDalamPoliJiwa ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="">
				<label class="control-label" for=""><b>STATUS NEUROLOGIS</b></label>
				<textarea name="status_neurologi_poli_jiwa" id="status_neurologi_poli_jiwa" rows="4" class="form-control" placeholder="Status Neurologi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vStatusNeurologiPoliJiwa ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="">
				<label class="control-label" for=""><b>DIAGNOSIS KERJA / DIAGNOSIS BANDING</b></label>
				<textarea name="diagnosa_poli_jiwa" id="diagnosa_poli_jiwa" rows="4" class="form-control" placeholder="Diagnosa" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vDiagnosaPoliJiwa ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="">
				<label class="control-label" for=""><b>TINDAKAN / TERAPI</b></label>
				<textarea name="pengobatan_tindakan_rencana_pemeriksaan_poli_jiwa" id="pengobatan_tindakan_rencana_pemeriksaan_poli_jiwa" rows="4" class="form-control" placeholder="Tindakan / Terapi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vPengobatanTindakanPoliJiwa ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="">
				<label class="control-label" for=""><b>RENCANA KERJA</b></label>
				<textarea name="rencana_kerja_poli_jiwa" id="rencana_kerja_poli_jiwa" rows="4" class="form-control" placeholder="Rencana Kerja" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vRencanaKerjaPoliJiwa ?></textarea>
			</div>
		</div>
		<div class="row">
			<div class="col-md-12" style="">
				<label class="control-label" for=""><b>DISPOSISI</b></label>
				<textarea name="disposisi_poli_jiwa" id="disposisi_poli_jiwa" rows="4" class="form-control" placeholder="Disposisi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vDisposisiPoliJiwa ?></textarea>
			</div>
		</div>

	</div>
</div>



<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
    <div class="box-header" style="">
		<i class="fa fa-user-md"></i>
        <h3 class="box-title">Dokter</h3>
    </div>
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom:5px;">
				<div class="input-group">
					<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
						<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Dokter yang menangani</b></div>
					</span>
					<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="dokter_yang_menangani_poli_jiwa" id="dokter_yang_menangani_poli_jiwa" data-placeholder="Pilih Dokter yang menangani">
					<option value="<?= $objPatientNursing->vDokterPoliJiwaId ; ?>" selected ><?= $objPatientNursing->vDokterPoliJiwaNama; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>



<!-- </form> -->
<div class="row">
	<div class="col-xs-12">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
		<button id="back"type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>
<?php if ($objPatientNursing->vFormAssementAwalJiwa) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormAssementAwalJiwaEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAssementAwalJiwaEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAssementAwalJiwaLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAssementAwalJiwaLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormAssementAwalJiwaTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAssementAwalJiwaTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAssementAwalJiwaIP ?></b>.
		</div>
	</div>
</div>
<div class="row" style="height:50%;">
</div>
<?php } ?>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
	
	
	$("#tanggalasesmen_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("tanggalasesmen_poli_jiwa" , $("#tanggalasesmen_poli_jiwa").val() );
	});
	$("#jamasesmen_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("jamasesmen_poli_jiwa" , $("#jamasesmen_poli_jiwa").val() );
	});
	$("#keluhan_utama_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("keluhan_utama_poli_jiwa" , $("#keluhan_utama_poli_jiwa").val() );
	});
	$("#anamnea_khusus_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("anamnea_khusus_poli_jiwa" , $("#anamnea_khusus_poli_jiwa").val() );
	});
	$("#anamnesa_hetero_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("anamnesa_hetero_poli_jiwa" , $("#anamnesa_hetero_poli_jiwa").val() );
	});
	$("#faktor_pencetus_penyebab_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("faktor_pencetus_penyebab_poli_jiwa" , $("#faktor_pencetus_penyebab_poli_jiwa").val() );
	});
	$("#faktor_keluarga_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("faktor_keluarga_poli_jiwa" , $("#faktor_keluarga_poli_jiwa").val() );
	});
	$("#riwayat_napza_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_napza_poli_jiwa" , $("#riwayat_napza_poli_jiwa").val() );
	});
	$("#lama_pakai_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("lama_pakai_poli_jiwa" , $("#lama_pakai_poli_jiwa").val() );
	});
	$("#jenis_zat_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("jenis_zat_poli_jiwa" , $("#jenis_zat_poli_jiwa").val() );
	});
	$("#cara_pemakaian_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("cara_pemakaian_poli_jiwa" , $("#cara_pemakaian_poli_jiwa").val() );
	});
	$("#latar_belakang_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("latar_belakang_poli_jiwa" , $("#latar_belakang_poli_jiwa").val() );
	});
	$("#faktor_premorbid_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("faktor_premorbid_poli_jiwa" , $("#faktor_premorbid_poli_jiwa").val() );
	});
	$("#faktor_organik_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("faktor_organik_poli_jiwa" , $("#faktor_organik_poli_jiwa").val() );
	});
	$("#kesan_umum_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("kesan_umum_poli_jiwa" , $("#kesan_umum_poli_jiwa").val() );
	});
	$("#kesadaran_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("kesadaran_poli_jiwa" , $("#kesadaran_poli_jiwa").val() );
	});
	$("#mood_afek_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("mood_afek_poli_jiwa" , $("#mood_afek_poli_jiwa").val() );
	});
	$("#proses_pikir_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("proses_pikir_poli_jiwa" , $("#proses_pikir_poli_jiwa").val() );
	});
	$("#pencerapan_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("pencerapan_poli_jiwa" , $("#pencerapan_poli_jiwa").val() );
	});
	$("#intelegensia_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("intelegensia_poli_jiwa" , $("#intelegensia_poli_jiwa").val() );
	});
	$("#dorongan_insting_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("dorongan_insting_poli_jiwa" , $("#dorongan_insting_poli_jiwa").val() );
	});
	$("#psikomotor_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("psikomotor_poli_jiwa" , $("#psikomotor_poli_jiwa").val() );
	});
	$("#status_penyakit_dalam_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("status_penyakit_dalam_poli_jiwa" , $("#status_penyakit_dalam_poli_jiwa").val() );
	});
	$("#status_neurologi_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("status_neurologi_poli_jiwa" , $("#status_neurologi_poli_jiwa").val() );
	});
	$("#rencana_kerja_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("rencana_kerja_poli_jiwa" , $("#rencana_kerja_poli_jiwa").val() );
	});
	$("#disposisi_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("disposisi_poli_jiwa" , $("#disposisi_poli_jiwa").val() );
	});



	$("#riwayat_penyakit_dahulu_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_penyakit_dahulu_poli_jiwa" , $("#riwayat_penyakit_dahulu_poli_jiwa").val() );
	});
	$("#riwayat_alergi_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_alergi_poli_jiwa" , $("#riwayat_alergi_poli_jiwa").val() );
	});
	$("#riwayat_pengobatan_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_pengobatan_poli_jiwa" , $("#riwayat_pengobatan_poli_jiwa").val() );
	});
	$("#riwayat_operasi_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("riwayat_operasi_poli_jiwa" , $("#riwayat_operasi_poli_jiwa").val() );
	});
	$("#pemeriksaan_psikiatri_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("pemeriksaan_psikiatri_poli_jiwa" , $("#pemeriksaan_psikiatri_poli_jiwa").val() );
	});
	$("#hasil_pemeriksaan_penunjang_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("hasil_pemeriksaan_penunjang_poli_jiwa" , $("#hasil_pemeriksaan_penunjang_poli_jiwa").val() );
	});
	$("#diagnosa_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("diagnosa_poli_jiwa" , $("#diagnosa_poli_jiwa").val() );
	});
	$("#pengobatan_tindakan_rencana_pemeriksaan_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("pengobatan_tindakan_rencana_pemeriksaan_poli_jiwa" , $("#pengobatan_tindakan_rencana_pemeriksaan_poli_jiwa").val() );
	});
	$("#mrs_ruang_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("mrs_ruang_poli_jiwa" , $("#mrs_ruang_poli_jiwa").val() );
	});
	$("#kontrol_tanggal_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("kontrol_tanggal_poli_jiwa" , $("#kontrol_tanggal_poli_jiwa").val() );
	});
	$("#rujuk_ke_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("rujuk_ke_poli_jiwa" , $("#rujuk_ke_poli_jiwa").val() );
	});
	$("#indikasi_rujuk_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("indikasi_rujuk_poli_jiwa" , $("#indikasi_rujuk_poli_jiwa").val() );
	});
	$("#dokter_yang_menangani_poli_jiwa").bind('input propertychange', function () {
		sessionStorage.setItem("dokter_yang_menangani_poli_jiwa" , $("#dokter_yang_menangani_poli_jiwa").val() );
	});
	
	$(document).ready(function() {
		
		if( sessionStorage.getItem("form-asesmen-paru") == "yes" ) {
			if( sessionStorage.getItem("form-asesmen-paru-nursing-id") == '<?= $objPatientNursing->Id; ?>' ){
				if ( sessionStorage.getItem("tanggalasesmen_poli_jiwa") ) {
					$("#tanggalasesmen_poli_jiwa").val(sessionStorage.getItem("tanggalasesmen_poli_jiwa") );
				}
				if ( sessionStorage.getItem("jamasesmen_poli_jiwa") ) {
					$("#jamasesmen_poli_jiwa").val(sessionStorage.getItem("jamasesmen_poli_jiwa") );
				}
				if ( sessionStorage.getItem("keluhan_utama_poli_jiwa") ) {
					$("#keluhan_utama_poli_jiwa").val(sessionStorage.getItem("keluhan_utama_poli_jiwa") );
				}
				if ( sessionStorage.getItem("anamnea_khusus_poli_jiwa") ) {
					$("#anamnea_khusus_poli_jiwa").val(sessionStorage.getItem("anamnea_khusus_poli_jiwa") );
				}
				if ( sessionStorage.getItem("anamnesa_hetero_poli_jiwa") ) {
					$("#anamnesa_hetero_poli_jiwa").val(sessionStorage.getItem("anamnesa_hetero_poli_jiwa") );
				}
				if ( sessionStorage.getItem("faktor_pencetus_penyebab_poli_jiwa") ) {
					$("#faktor_pencetus_penyebab_poli_jiwa").val(sessionStorage.getItem("faktor_pencetus_penyebab_poli_jiwa") );
				}
				if ( sessionStorage.getItem("faktor_keluarga_poli_jiwa") ) {
					$("#faktor_keluarga_poli_jiwa").val(sessionStorage.getItem("faktor_keluarga_poli_jiwa") );
				}
				if ( sessionStorage.getItem("riwayat_napza_poli_jiwa") ) {
					$("#riwayat_napza_poli_jiwa").val(sessionStorage.getItem("riwayat_napza_poli_jiwa") );
				}
				if ( sessionStorage.getItem("lama_pakai_poli_jiwa") ) {
					$("#lama_pakai_poli_jiwa").val(sessionStorage.getItem("lama_pakai_poli_jiwa") );
				}
				if ( sessionStorage.getItem("jenis_zat_poli_jiwa") ) {
					$("#jenis_zat_poli_jiwa").val(sessionStorage.getItem("jenis_zat_poli_jiwa") );
				}
				if ( sessionStorage.getItem("cara_pemakaian_poli_jiwa") ) {
					$("#cara_pemakaian_poli_jiwa").val(sessionStorage.getItem("cara_pemakaian_poli_jiwa") );
				}
				if ( sessionStorage.getItem("latar_belakang_poli_jiwa") ) {
					$("#latar_belakang_poli_jiwa").val(sessionStorage.getItem("latar_belakang_poli_jiwa") );
				}
				if ( sessionStorage.getItem("faktor_premorbid_poli_jiwa") ) {
					$("#faktor_premorbid_poli_jiwa").val(sessionStorage.getItem("faktor_premorbid_poli_jiwa") );
				}
				if ( sessionStorage.getItem("faktor_organik_poli_jiwa") ) {
					$("#faktor_organik_poli_jiwa").val(sessionStorage.getItem("faktor_organik_poli_jiwa") );
				}
				if ( sessionStorage.getItem("kesan_umum_poli_jiwa") ) {
					$("#kesan_umum_poli_jiwa").val(sessionStorage.getItem("kesan_umum_poli_jiwa") );
				}
				if ( sessionStorage.getItem("kesadaran_poli_jiwa") ) {
					$("#kesadaran_poli_jiwa").val(sessionStorage.getItem("kesadaran_poli_jiwa") );
				}
				if ( sessionStorage.getItem("mood_afek_poli_jiwa") ) {
					$("#mood_afek_poli_jiwa").val(sessionStorage.getItem("mood_afek_poli_jiwa") );
				}
				if ( sessionStorage.getItem("proses_pikir_poli_jiwa") ) {
					$("#proses_pikir_poli_jiwa").val(sessionStorage.getItem("proses_pikir_poli_jiwa") );
				}
				if ( sessionStorage.getItem("pencerapan_poli_jiwa") ) {
					$("#pencerapan_poli_jiwa").val(sessionStorage.getItem("pencerapan_poli_jiwa") );
				}
				if ( sessionStorage.getItem("intelegensia_poli_jiwa") ) {
					$("#intelegensia_poli_jiwa").val(sessionStorage.getItem("intelegensia_poli_jiwa") );
				}
				if ( sessionStorage.getItem("dorongan_insting_poli_jiwa") ) {
					$("#dorongan_insting_poli_jiwa").val(sessionStorage.getItem("dorongan_insting_poli_jiwa") );
				}
				if ( sessionStorage.getItem("psikomotor_poli_jiwa") ) {
					$("#psikomotor_poli_jiwa").val(sessionStorage.getItem("psikomotor_poli_jiwa") );
				}
				if ( sessionStorage.getItem("status_penyakit_dalam_poli_jiwa") ) {
					$("#status_penyakit_dalam_poli_jiwa").val(sessionStorage.getItem("status_penyakit_dalam_poli_jiwa") );
				}
				if ( sessionStorage.getItem("status_neurologi_poli_jiwa") ) {
					$("#status_neurologi_poli_jiwa").val(sessionStorage.getItem("status_neurologi_poli_jiwa") );
				}
				if ( sessionStorage.getItem("rencana_kerja_poli_jiwa") ) {
					$("#rencana_kerja_poli_jiwa").val(sessionStorage.getItem("rencana_kerja_poli_jiwa") );
				}
				if ( sessionStorage.getItem("disposisi_poli_jiwa") ) {
					$("#disposisi_poli_jiwa").val(sessionStorage.getItem("disposisi_poli_jiwa") );
				}


				if ( sessionStorage.getItem("riwayat_penyakit_dahulu_poli_jiwa") ) {
					$("#riwayat_penyakit_dahulu_poli_jiwa").val(sessionStorage.getItem("riwayat_penyakit_dahulu_poli_jiwa") );
				}
				if ( sessionStorage.getItem("riwayat_alergi_poli_jiwa") ) {
					$("#riwayat_alergi_poli_jiwa").val(sessionStorage.getItem("riwayat_alergi_poli_jiwa") );
				}
				if ( sessionStorage.getItem("riwayat_pengobatan_poli_jiwa") ) {
					$("#riwayat_pengobatan_poli_jiwa").val(sessionStorage.getItem("riwayat_pengobatan_poli_jiwa") );
				}
				if ( sessionStorage.getItem("riwayat_operasi_poli_jiwa") ) {
					$("#riwayat_operasi_poli_jiwa").val(sessionStorage.getItem("riwayat_operasi_poli_jiwa") );
				}
				if ( sessionStorage.getItem("pemeriksaan_psikiatri_poli_jiwa") ) {
					$("#pemeriksaan_psikiatri_poli_jiwa").val(sessionStorage.getItem("pemeriksaan_psikiatri_poli_jiwa") );
				}
				if ( sessionStorage.getItem("hasil_pemeriksaan_penunjang_poli_jiwa") ) {
					$("#hasil_pemeriksaan_penunjang_poli_jiwa").val(sessionStorage.getItem("hasil_pemeriksaan_penunjang_poli_jiwa") );
				}
				if ( sessionStorage.getItem("diagnosa_poli_jiwa") ) {
					$("#diagnosa_poli_jiwa").val(sessionStorage.getItem("diagnosa_poli_jiwa") );
				}
				if ( sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_poli_jiwa") ) {
					$("#pengobatan_tindakan_rencana_pemeriksaan_poli_jiwa").val(sessionStorage.getItem("pengobatan_tindakan_rencana_pemeriksaan_poli_jiwa") );
				}
				if ( sessionStorage.getItem("mrs_ruang_poli_jiwa") ) {
					$("#mrs_ruang_poli_jiwa").val(sessionStorage.getItem("mrs_ruang_poli_jiwa") );
				}
				if ( sessionStorage.getItem("kontrol_tanggal_poli_jiwa") ) {
					$("#kontrol_tanggal_poli_jiwa").val(sessionStorage.getItem("kontrol_tanggal_poli_jiwa") );
				}
				if ( sessionStorage.getItem("rujuk_ke_poli_jiwa") ) {
					$("#rujuk_ke_poli_jiwa").val(sessionStorage.getItem("rujuk_ke_poli_jiwa") );
				}
				if ( sessionStorage.getItem("indikasi_rujuk_poli_jiwa") ) {
					$("#indikasi_rujuk_poli_jiwa").val(sessionStorage.getItem("indikasi_rujuk_poli_jiwa") );
				}
				if ( sessionStorage.getItem("dokter_yang_menangani_poli_jiwa") ) {
					$("#dokter_yang_menangani_poli_jiwa").val(sessionStorage.getItem("dokter_yang_menangani_poli_jiwa") );
				}
			} else {
				sessionStorage.setItem( "form-asesmen-paru-nursing-id" , '<?= $objPatientNursing->Id; ?>' );
				sessionStorage.setItem( "tanggalasesmen_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "jamasesmen_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "keluhan_utama_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "anamnea_khusus_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "anamnesa_hetero_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "faktor_pencetus_penyebab_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "faktor_keluarga_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "riwayat_napza_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "lama_pakai_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "jenis_zat_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "cara_pemakaian_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "latar_belakang_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "faktor_premorbid_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "faktor_organik_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "kesan_umum_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "kesadaran_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "mood_afek_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "proses_pikir_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "pencerapan_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "intelegensia_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "dorongan_insting_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "psikomotor_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "status_penyakit_dalam_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "status_neurologi_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "rencana_kerja_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "disposisi_poli_jiwa" ,"") ; 


				sessionStorage.setItem( "riwayat_penyakit_dahulu_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "riwayat_alergi_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "riwayat_pengobatan_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "riwayat_operasi_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "pemeriksaan_psikiatri_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "hasil_pemeriksaan_penunjang_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "diagnosa_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "mrs_ruang_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "kontrol_tanggal_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "rujuk_ke_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "indikasi_rujuk_poli_jiwa" ,"") ; 
				sessionStorage.setItem( "dokter_yang_menangani_poli_jiwa" ,"") ; 
			}
		}  else { 
			sessionStorage.setItem( "form-asesmen-paru" , "yes" );
		}
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/jiwa.jpg';
			$urlGambar = $objPatientNursing->vLokasiAnatomiJiwa ? $objPatientNursing->vLokasiAnatomiJiwa : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "red";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar').click(function() {

			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'JIWA');
			fd.append("gambar", blob, 'jiwa.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadJiwa')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})

		})

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	});
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    setContent('<?= QApplication::UrlCreator('hmis-patient-medical-service/tindakan')?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
	}

	// cetak di applikasi
	
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		// printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-form-usg-mata') ?>', strOption);
 		parent.AppPrintPage.setTitle('Print Preview Asesmen Jiwa')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-jiwa-rsmz') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
/*	
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		printPreview('ina', '<?= QApplication::UrlCreator('form-medis-rajal/print-asesmen-awal-jiwa') ?>', strOption);
	}
*/
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
		
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function (event) {
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
		setContent(goBackLink(),'content');
	});

	$('#menu-simpan').off('click').on('click',function(){
		$('#save').click();
	});
    
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function (event) {
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
		setContent(goBackLink(),'content');
	});
	
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
	});
	
	$('#content').off('click', '#float-print').on('click', '#float-print', function (event) {
		cetaklaporan();
	});
	
	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalAsesmenPoliJiwa = $('#tanggalasesmen_poli_jiwa').val();
		post.JamAsesmenPoliJiwa = $('#jamasesmen_poli_jiwa').val()
		post.KeluhanUtamaPoliJiwa = $('#keluhan_utama_poli_jiwa').val()
		post.AnamneaKhususPoliJiwa = $('#anamnea_khusus_poli_jiwa').val()
		post.AnamnesaHeteroPoliJiwa = $('#anamnesa_hetero_poli_jiwa').val()
		post.FaktorPencetusPenyebabPoliJiwa = $('#faktor_pencetus_penyebab_poli_jiwa').val()
		post.FaktorKeluargaPoliJiwa = $('#faktor_keluarga_poli_jiwa').val()
		post.RiwayatNapzaPoliJiwa = $('#riwayat_napza_poli_jiwa').val()
		post.LamaPakaiPoliJiwa = $('#lama_pakai_poli_jiwa').val()
		post.JenisZatPoliJiwa = $('#jenis_zat_poli_jiwa').val()
		post.CaraPemakaianPoliJiwa = $('#cara_pemakaian_poli_jiwa').val()
		post.LatarBelakangPoliJiwa = $('#latar_belakang_poli_jiwa').val()
		post.FaktorPremorbidPoliJiwa = $('#faktor_premorbid_poli_jiwa').val()
		post.FaktorOrganikPoliJiwa = $('#faktor_organik_poli_jiwa').val()
		post.KesanUmumPoliJiwa = $('#kesan_umum_poli_jiwa').val()
		post.KesadaranPoliJiwa = $('#kesadaran_poli_jiwa').val()
		post.MoodAfekPoliJiwa = $('#mood_afek_poli_jiwa').val()
		post.ProsesPikirPoliJiwa = $('#proses_pikir_poli_jiwa').val()
		post.PencerapanPoliJiwa = $('#pencerapan_poli_jiwa').val()
		post.IntelegensiaPoliJiwa = $('#intelegensia_poli_jiwa').val()
		post.DoronganInstingPoliJiwa = $('#dorongan_insting_poli_jiwa').val()
		post.PsikomotorPoliJiwa = $('#psikomotor_poli_jiwa').val()
		post.StatusPenyakitDalamPoliJiwa = $('#status_penyakit_dalam_poli_jiwa').val()
		post.StatusNeurologiPoliJiwa = $('#status_neurologi_poli_jiwa').val()
		post.RencanaKerjaPoliJiwa = $('#rencana_kerja_poli_jiwa').val()
		post.DisposisiPoliJiwa = $('#disposisi_poli_jiwa').val()


		post.RiwayatPenyakitDahuluPoliJiwa = $('#riwayat_penyakit_dahulu_poli_jiwa').val()
		post.RiwayatAlergiPoliJiwa = $('#riwayat_alergi_poli_jiwa').val()
		post.RiwayatPengobatanPoliJiwa = $('#riwayat_pengobatan_poli_jiwa').val()
		post.RiwayatOperasiPoliJiwa = $('#riwayat_operasi_poli_jiwa').val()
		post.PemeriksaanPsikiatriPoliJiwa = $('#pemeriksaan_psikiatri_poli_jiwa').val()
		post.HasilPenunjangPoliJiwa = $('#hasil_pemeriksaan_penunjang_poli_jiwa').val()
		post.DiagnosaPoliJiwa = $('#diagnosa_poli_jiwa').val()
		post.PengobatanTindakanPoliJiwa = $('#pengobatan_tindakan_rencana_pemeriksaan_poli_jiwa').val()
		post.MrsRuangPoliJiwa = $('#mrs_ruang_poli_jiwa').val()
		post.KontrolTanggalPoliJiwa = $('#kontrol_tanggal_poli_jiwa').val()
		post.RujukKePoliJiwa = $('#rujuk_ke_poli_jiwa').val()
		post.IndikasiRujukPoliJiwa = $('#indikasi_rujuk_poli_jiwa').val()
		post.DokterPoliJiwaId = $('#dokter_yang_menangani_poli_jiwa').val()
		
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/AsesmenAwalJiwa')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					parent.toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#asesmenawaljiwarsmz').removeClass('btn-primary').addClass('btn-success').html('Asesmen Jiwa <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					sessionStorage.setItem( "tanggalasesmen_poli_jiwa" , "" );
					sessionStorage.setItem( "jamasesmen_poli_jiwa" , "" );
					sessionStorage.setItem( "keluhan_utama_poli_jiwa" , "" );
					sessionStorage.setItem( "anamnea_khusus_poli_jiwa" , "" );
					sessionStorage.setItem( "anamnesa_hetero_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "faktor_pencetus_penyebab_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "faktor_keluarga_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "riwayat_napza_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "lama_pakai_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "jenis_zat_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "cara_pemakaian_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "latar_belakang_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "faktor_premorbid_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "faktor_organik_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "kesan_umum_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "kesadaran_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "mood_afek_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "proses_pikir_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "pencerapan_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "intelegensia_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "dorongan_insting_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "psikomotor_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "status_penyakit_dalam_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "status_neurologi_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "rencana_kerja_poli_jiwa" ,"") ; 
					sessionStorage.setItem( "disposisi_poli_jiwa" ,"") ; 



					sessionStorage.setItem( "riwayat_penyakit_dahulu_poli_jiwa" , "" );
					sessionStorage.setItem( "riwayat_alergi_poli_jiwa" , "" );
					sessionStorage.setItem( "riwayat_pengobatan_poli_jiwa" , "" );
					sessionStorage.setItem( "riwayat_operasi_poli_jiwa" , "" );
					sessionStorage.setItem( "pemeriksaan_psikiatri_poli_jiwa" , "" );
					sessionStorage.setItem( "hasil_pemeriksaan_penunjang_poli_jiwa" , "" );
					sessionStorage.setItem( "diagnosa_poli_jiwa" , "" );
					sessionStorage.setItem( "pengobatan_tindakan_rencana_pemeriksaan_poli_jiwa" , "" );
					sessionStorage.setItem( "mrs_ruang_poli_jiwa" , "" );
					sessionStorage.setItem( "kontrol_tanggal_poli_jiwa" , "" );
					sessionStorage.setItem( "rujuk_ke_poli_jiwa" , "" );
					sessionStorage.setItem( "indikasi_rujuk_poli_jiwa" , "" );
					sessionStorage.setItem( "dokter_yang_menangani_poli_jiwa" , "" );
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#asesmenawaljiwarsmz').removeClass('btn-primary').addClass('btn-success').html('Asesmen Jiwa <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();

				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#triage").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$('#dokter_yang_menangani_poli_jiwa').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});

	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.ruang, .doctor').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormAssementAwalJiwa == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
});

</script>

</div>
</div>