<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

    // $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
    // $waktuakhir = date_create();
    $diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
    $umurDalamTahun = $diff->y;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->

<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>'; 
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr>
			<td>Nama&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr>
			<td>No. RM&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr>
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr>
			<td>Alamat&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr>
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr>
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr>
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr>
			<td>DPJP&nbsp;&nbsp;</td>
			<td>: <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;

window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-6">
        <h1 class="panel-title1">ASESMEN AWAL MEDIS</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Asesmen Awal Medis</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <label class="control-label" for="tanggalasesmen"><b>Tanggal Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                    <input id="tanggalasesmen" type="text" class="form-control input-date" name="tanggalasesmen" placeholder="Tanggal Asesmen" value="<?= $objPatientNursing->GeneralTanggalAsesmen ? $objPatientNursing->GeneralTanggalAsesmen : $objPatientNursing->NursingStartDate->PhpDate('d-m-Y') ?>" style="z-index:0">
                </div>
            </div>
            <div class="col-md-6">
                <label class="control-label" for="jamasesmen"><b>Jam Asesmen</b></label>
                <div class="input-group">
                    <span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
                    <input id="jamasesmen" type="text" class="form-control" name="jamasesmen" placeholder="HH:mm" value="<?= $objPatientNursing->GeneralJamAsesmen ? $objPatientNursing->GeneralJamAsesmen : date('H:i') ?>" style="z-index:0" data-mask="00:00">
                </div>
            </div>
        </div>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="radio-inline"><b>Keadaan Umum: </b></label>
                    <label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="BAIK" <?= $objPatientNursing->GeneralKeadaanUmum == 'BAIK' ? 'checked' : '' ?>>Baik</label>
                    <label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="SESAK" <?= $objPatientNursing->GeneralKeadaanUmum == 'SESAK' ? 'checked' : '' ?>>Sesak</label>
                    <label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="PUCAT" <?= $objPatientNursing->GeneralKeadaanUmum == 'PUCAT' ? 'checked' : '' ?>>Pucat</label>
                    <label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="LEMAH" <?= $objPatientNursing->GeneralKeadaanUmum == 'LEMAH' ? 'checked' : '' ?>>Lemah</label>
                    <label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="KESADARAN MENURUN" <?= $objPatientNursing->GeneralKeadaanUmum == 'KESADARAN MENURUN' ? 'checked' : '' ?>>Kesadaran Menurun</label>
                    <label class="radio-inline keadaanumum"><input type="radio" name="keadaanumum" value="LAINNYA" <?= $objPatientNursing->GeneralKeadaanUmum == 'LAINNYA' ? 'checked' : '' ?>>Lainnya</label>
                </div>
            </div>
            <div class="col-md-12 keadaanumumrow">
                <div class="form-group" style="padding: 0 15px;">
                    <label for="uraiankeadaanumum"><b>Sebutkan:</b></label>
                    <textarea class="form-control" rows="2" id="uraiankeadaanumum" name="uraiankeadaanumum" placeholder="Keadaan Umum"><?= $objPatientNursing->GeneralUraianKeadaanUmum ?></textarea>
                </div>
            </div>

            <div class="col-md-12">
                <div class="form-group">
                    <label class="radio-inline"><b>Kesan Sakit: </b></label>
                    <label class="radio-inline kesansakit"><input type="radio" name="kesansakit" value="RINGAN" <?= $objPatientNursing->GeneralKesanSakit == 'RINGAN' ? 'checked' : '' ?>>Ringan</label>
                    <label class="radio-inline kesansakit"><input type="radio" name="kesansakit" value="SEDANG" <?= $objPatientNursing->GeneralKesanSakit == 'SEDANG' ? 'checked' : '' ?>>Sedang</label>
                    <label class="radio-inline kesansakit"><input type="radio" name="kesansakit" value="BERAT" <?= $objPatientNursing->GeneralKesanSakit == 'BERAT' ? 'checked' : '' ?>>Berat</label>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-body">
        <div class="row" style="margin-bottom: 5px;">
            <div class="col-md-4">
                <?php
                $arrGcs = explode('-', $objPatientNursing->GeneralGcs);
                $gcs1 = $arrGcs[0];
                $gcs2 = $arrGcs[1];
                $gcs3 = $arrGcs[2];
                ?>
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>GCS:</b></span></span>
                    <select id="gcs1" class="form-control" style="width:33.3%">
                        <option value="">-</option>
                        <option value="1" <?= $gcs1 == '1' ?'selected' : '' ?>>1</option>
                        <option value="2" <?= $gcs1 == '2' ?'selected' : '' ?>>2</option>
                        <option value="3" <?= $gcs1 == '3' ?'selected' : '' ?>>3</option>
                        <option value="4" <?= $gcs1 == '4' ?'selected' : '' ?>>4</option>
                    </select>
                    <select id="gcs2" class="form-control" style="width:33.3%">
                        <option value="">-</option>
                        <option value="1" <?= $gcs2 == '1' ?'selected' : '' ?>>1</option>
                        <option value="2" <?= $gcs2 == '2' ?'selected' : '' ?>>2</option>
                        <option value="3" <?= $gcs2 == '3' ?'selected' : '' ?>>3</option>
                        <option value="4" <?= $gcs2 == '4' ?'selected' : '' ?>>4</option>
                        <option value="5" <?= $gcs2 == '5' ?'selected' : '' ?>>5</option>
                    </select>
                    <select id="gcs3" class="form-control" style="width:33.3%">
                        <option value="">-</option>
                        <option value="1" <?= $gcs3 == '1' ?'selected' : '' ?>>1</option>
                        <option value="2" <?= $gcs3 == '2' ?'selected' : '' ?>>2</option>
                        <option value="3" <?= $gcs3 == '3' ?'selected' : '' ?>>3</option>
                        <option value="4" <?= $gcs3 == '4' ?'selected' : '' ?>>4</option>
                        <option value="5" <?= $gcs3 == '5' ?'selected' : '' ?>>5</option>
                        <option value="6" <?= $gcs3 == '6' ?'selected' : '' ?>>6</option>
                    </select>
                    <!-- <input type="text" class="form-control" name="gcs" id="gcs" placeholder="GCS" value="<?= $objPatientNursing->GeneralGcs ?>"> -->
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>TD:</b></span></span>
                    <input type="text" class="form-control" name="sistolik" id="sistolik" placeholder="sistolik" value="<?= $objPatientNursing->GeneralSistolik ?>" style="width:50%">
                    <input type="text" class="form-control" name="diastolik" id="diastolik" placeholder="diastolik" value="<?= $objPatientNursing->GeneralDiastolik ?>" style="width:50%">
                    <span class="input-group-addon"><span class="text-35">mmHg</span></span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>N:</b></span></span>
                    <input type="text" class="form-control" name="nadi" id="nadi" placeholder="Nadi" value="<?= $objPatientNursing->GeneralNadi ?>">
                    <span class="input-group-addon"><span class="text-35">x/m</span></span>
                </div>
            </div>
        </div>
        <div class="row" style="margin-bottom: 5px;">
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>RR:</b></span></span>
                    <input type="text" class="form-control" name="rr" id="rr" placeholder="RR" autocomplete="on"  value="<?= $objPatientNursing->GeneralRr ?>">
                    <span class="input-group-addon"><span class="text-35">x/m</span></span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>Suhu:</b></span></span>
                    <input type="text" class="form-control" name="suhu" id="suhu" placeholder="Suhu" value="<?= $objPatientNursing->GeneralSuhu ?>">
                    <span class="input-group-addon"><span class="text-35">&#8451;</span></span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>BB:</b></span></span>
                    <input type="text" class="form-control" name="bb" id="bb" placeholder="Berat Badan"  value="<?= $objPatientNursing->GeneralBb ?>">
                    <span class="input-group-addon"><span class="text-35">kg</span></span>
                </div>
            </div>
        </div>
        <div class="row" style="margin-bottom: 5px;">
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span><b>Saturasi Oksigen:</b></span></span>
                    <input type="text" class="form-control" name="saturasioksigen" id="saturasioksigen" placeholder="Saturasi Oksigen" value="<?= $objPatientNursing->GeneralSaturasiOksigen ?>">
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35"><b>TB:</b></span></span>
                    <input type="text" class="form-control" name="tb" id="tb" placeholder="Tinggi Badan" value="<?= $objPatientNursing->GeneralTb ?>">
                    <span class="input-group-addon"><span class="text-35">cm</span></span>
                </div>
            </div>
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35x"><b>Kondisi Pupil:</b></span></span>
                    <select id="kondisipupil" class="form-control">
                        <option selected value="">belum diisi</option>
                        <option value="MIDRIASIS" <?= $objPatientNursing->GeneralKondisiPupil == 'MIDRIASIS' ?'selected' : '' ?>>Midriasis</option>
                        <option value="ISOCHOR" <?= $objPatientNursing->GeneralKondisiPupil == 'ISOCHOR' ?'selected' : '' ?>>Isochor(Normal)</option>
                        <option value="UNISCHOR" <?= $objPatientNursing->GeneralKondisiPupil == 'UNISCHOR' ?'selected' : '' ?>>Unischor</option>
                    </select>
                </div>
            </div>
        </div>
        <div class="row" style="margin-bottom: 5px;">
            <div class="col-md-4">
                <div class="input-group">
                    <span class="input-group-addon"><span class="text-35x"><b>Reflek Pupil:</b></span></span>
                    <select id="reflekpupil" class="form-control">
                        <option value="">belum diisi</option>
                        <option value="TIDAK ADA" <?= $objPatientNursing->GeneralReflekPupil == 'TIDAK ADA' ?'selected' : '' ?>>TIDAK ADA</option>
                        <option value="ADA" <?= $objPatientNursing->GeneralReflekPupil == 'ADA' ?'selected' : '' ?>>ADA</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
</div>

</div>

<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-circle-o-notch fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormAsesmenAwalMedisVitalSignModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormAsesmenAwalMedisVitalSignEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAsesmenAwalMedisVitalSignEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAsesmenAwalMedisVitalSignLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAsesmenAwalMedisVitalSignLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormAsesmenAwalMedisVitalSignTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAsesmenAwalMedisVitalSignTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAsesmenAwalMedisVitalSignIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormAsesmenAwalMedisVitalSign) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormAsesmenAwalMedisVitalSignEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormAsesmenAwalMedisVitalSignEmployeeId)->FirstName.' ('.$objPatientNursing->vFormAsesmenAwalMedisVitalSignLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormAsesmenAwalMedisVitalSignLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormAsesmenAwalMedisVitalSignTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormAsesmenAwalMedisVitalSignTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormAsesmenAwalMedisVitalSignIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="height:50%;">
</div>



<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label style="float:right;padding:0px;margin-left:17px;"><input type="checkbox" id="check-setuju" name="check-setuju" style="float:left;">Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});
	
	

	$('#save').addClass('disabled');
	$('#float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('#ICD9, .dokter').each(function() {
	  const $chosenInput = $(this).chosen();
	  $chosenInput.on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});

    
	function cetaklaporan() {
 		parent.AppPrintPage.setTitle('Print Preview Vital Sign')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('hmis-patient-medical-service-ok/print-laporan') ?>?Id=<?= $objPatientNursing->Id ?>&VersiForm='+$('#versi_form').val());
	}
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	function posting(mode){
		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $objPatientNursing->Id ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}
		
		post.TanggalAsesmen = $('#tanggalasesmen').val();
		post.JamAsesmen = $('#jamasesmen').val();
		post.KeadaanUmum = $("input[name='keadaanumum']:checked").val() ? $("input[name='keadaanumum']:checked").val() : '';
		post.UraianKeadaanUmum = $('#uraiankeadaanumum').val();
		post.KesanSakit = $("input[name='kesansakit']:checked").val() ? $("input[name='kesansakit']:checked").val() : '';
		post.Gcs = $('#gcs1').val() + '-' + $('#gcs2').val() + '-' + $('#gcs3').val();
		post.Sistolik = $('#sistolik').val();
		post.Diastolik = $('#diastolik').val();
		post.Nadi = $('#nadi').val();
		post.Rr = $('#rr').val();
		post.Suhu = $('#suhu').val();
		post.SaturasiOksigen = $('#saturasioksigen').val();
		post.Bb = $('#bb').val();
		post.Tb = $('#tb').val();
		post.ReflekPupil = $('#reflekpupil').val();
		post.KondisiPupil = $('#kondisipupil').val();
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingAssessment/AsesmenAwalMedisVitalSign')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#float-validasi').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#asesmenawalvitalsign').removeClass('btn-primary').addClass('btn-success').html('Vital Sign <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#asesmenawalvitalsign').removeClass('btn-primary').addClass('btn-success').html('Vital Sign <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					parent.toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}
	$('.koreksi, #float-koreksi').click(function(){
        parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
				$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false).trigger('chosen:updated');
				$('#validasi-modal').removeClass('disabled'); 
				$('.koreksi').addClass('disabled'); 
				$('#float-koreksi').hide();
				$('#float-validasi').show();
                parent.jQuery.fallr('hide',function(){});
            },
            function(){
                parent.jQuery.fallr('hide',function(){});
            }
        );
    })


	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function () {
		posting('DRAFT');
	});

	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });

    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormAsesmenAwalMedisVitalSignModifiedVersion != "" ? $objPatientNursing->vFormAsesmenAwalMedisVitalSignModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});
$('#content').ready(function(){
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('#cetak_laporan').hide();
	$('#float-print').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormAsesmenAwalMedisVitalSign ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormAsesmenAwalMedisVitalSignModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi-modal').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		//$('#versi_form').val('".$objPatientNursing->vFormAsesmenAwalMedisVitalSignModifiedVersion."');
	" : "" ?>
	
});
	
</script>
</div>
</div>
