<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">

<div class="dock">
  <div class="dock-container">
    <button class="btn-primary btn" id="float-e-rm" >
      <div class="name">Lihat e-Rekam Medis</div>
      <i class="fa fa-history"></i>
    </button>
    <button class="btn-success btn disabled" id="float-loading" style="display:none;">
      <div class="name">Simpan</div>
      <i class="fa fa-spinner fa-lg fa-spin "></i>
    </button>
    <button class="btn-success btn hide-validasi" id="float-simpan">
      <div class="name">Simpan</div>
      <i class="fa fa-save"></i>
    </button>
  </div>
</div>
<script>

$("#content").off('click', '#float-e-rm').on('click', '#float-e-rm', function () {
	parent.ParentERM('e-rekam-medis/detail/?'+'page='+strPage+'&patientId=<?= $objPatientNursing->PatientId; ?>');
});
</script>
<style>
.dock {
	width: 53px;
	height: auto;
	border-radius: 10px;
	position: fixed;
	top: 50%;
	margin-top:-90px;
	right: 0;
	z-index: 200;
	border: 1px solid #bbb;
}

.dock-container {
	width: 100%;
	height: 100%;
	background: rgba(10, 50, 100, 0.1);
	box-shadow: 1px 3px 10px #aaa;
	padding: 7px 7px 0px 7px;
	border-radius: 10px;
	backdrop-filter: blur(2px);
	-webkit-backdrop-filter: blur(2px);
	border: 1px solid rgba(255, 255, 255, 0.18)
}

.dock-container li, .dock-container button {
	width: 35px;
	height: 35px;
	list-style: none;
	transition: .2s;
	transform-origin: 50% 100%;
	margin-bottom: 7px;
	padding: 0px 0px !important;
	text-shadow: 0 1px 0 rgba(0, 0, 0, 0.2);
	box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2);
	border-radius: 6px;
	text-align: center;
	vertical-align: middle;
	touch-action: manipulation;
	cursor: pointer;
	border: 1px solid transparent;
	line-height: 39px;
	color: #fff;
}

.dock-container li .name, .dock-container button .name {
	position: absolute;
	margin-top: -2px;
	right: 95px;
	background: rgba(10, 50, 100, 0.5);
	color: rgba(255, 255, 255, 1);
	height: 28px;
	padding: 10px 15px;
	display: flex;
	align-items: center;
	justify-content: center;
	border-radius: 5px;
	transition: .05s;
	visibility: hidden;
	pointer-events: none;
}

.dock-container li:hover .name, .dock-container button:hover .name {
	visibility: visible !important;
	right: 55px;
}
.dock-container li i, .dock-container button i {
	font-size: 21px;
}





.border-checkbox {
    display: none;
}
.border-checkbox-label {
    position: relative;
    display: inline-block;
    cursor: pointer;
    height: 20px;
    line-height: 20px;
    padding-left: 30px;
    margin-right: 15px;

}
.border-checkbox-label:before {
    border: 2px solid #4099ff;
}
.border-checkbox-label:before {
    content: " ";
    display: block;
    border: 2px solid #4099ff;
    width: 20px;
    height: 20px;
    position: absolute;
    left: 0;
}

.border-checkbox-label:after {
    content: " ";
    display: block;
    width: 6px;
    height: 12px;
    opacity: .9;
    border-right: 2px solid #eee;
    border-top: 2px solid #eee;
    position: absolute;
    left: 4px;
    top: 11px;
    -webkit-transform: scaleX(-1) rotate(135deg);
    transform: scaleX(-1) rotate(135deg);
    -webkit-transform-origin: left top;
    transform-origin: left top;
}

@keyframes ripple {
    0% {
        -webkit-box-shadow: 0 0 0 1px transparent;
        box-shadow: 0 0 0 1px transparent
    }

    50% {
        -webkit-box-shadow: 0 0 0 10px rgba(0,0,0,.05);
        box-shadow: 0 0 0 10px rgba(0,0,0,.05)
    }

    100% {
        -webkit-box-shadow: 0 0 0 10px transparent;
        box-shadow: 0 0 0 10px transparent
    }
}

@keyframes check {
    0% {
        height: 0;
        width: 0
    }

    25% {
        height: 0;
        width: 6px
    }

    50% {
        height: 12px;
        width: 6px
    }
}
.border-checkbox:checked+.border-checkbox-label:before {
    -webkit-animation: ripple .3s linear forwards;
    animation: ripple .3s linear forwards
}
.border-checkbox:checked+.border-checkbox-label:after {
    -webkit-animation: check linear .5s;
    animation: check linear .5s;
    opacity: 1;
    border-color: #4099ff
}

</style>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$strExecutionDir = dirname(__FILE__);
$prefix_funct = 'GIZI';

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

	// $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
	// $waktuakhir = date_create();
	$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
	$umurDalamTahun = $diff->y;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>'; 
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
	.chosen-container
	{
		width: 100% !important;
	}

</style>

<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<script>
	// alert('<?= $umurDalamTahun; ?>');
</script>

<div id="e-rm-form-gizi" class="hidden">true</div>

<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>

<div class="row">
	<div class="col-xs-12">
		<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
			<div class="box-header">
				<i class="fa fa-user"></i>
				<h3 class="box-title">Data Pasien</h3>
			</div>
			<div class="box-body">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Nama</label>
							<div class="col-sm-8">
								<?php
								$namaPasien = ViewHelper::autoFullName($objPatientNursing->FirstName, $objHmisPatient->Predicate, $objPatientNursing->CreateTime->Timestamp, $objPatientNursing->DateOfBirth->Timestamp, $objPatientNursing->Gender);
								?>
								<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $namaPasien ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Alamat</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Umur</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="dpjp" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
							</div>
						</div>
						<?php if($objPatientNursing->NursingCategory == 3){ ?>
							<div class="form-group">
								<label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
								<div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
									<input type="text" class="form-control input-sm" id="ppjp" required value="<?= $strPpjp ?>" readonly>
								</div>
							</div>
						<?php } ?>

					</div>


					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
							<div class="col-sm-8">
								<?php
								if($objPatientNursing->DepartmentName){
									$namaDepartemen = $objPatientNursing->DepartmentName;
								}elseif($objPatientNursing->TransferDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->TransferDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}elseif($objPatientNursing->StartCheckinDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->StartCheckinDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}
								?>
								<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $namaDepartemen ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">TT</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" required value="<?= $objPatientNursing->NursingBedName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="dxU" id="dxU" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">ID</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="row">
	<div class="col-xs-12">
		<div class="box form-horizontal">
			<div class="box-body" style="padding:6px 12px;">
				<div class="row">
					<div class="col-sm-12" style="">
						<button id="asesmen_gizi" class="btn btn-primary btn-xs" style="margin:1px 1px 1px 0px;">Asesmen Gizi</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/StartService')?>" >
	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>ASSESMENT</b></span>
    </div>
	<div class="box-body">
		<div class="row">
			<div class="col-md-12">
				<textarea name="adime_assesment" id="adime_assesment" rows="4" class="form-control autoresize" placeholder="Assesment" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vAssesmentAdime ?></textarea>
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>DIAGNOSA</b></span>
    </div>
	<div class="box-body"">
		<div class="row">
			<div class="col-md-12">
				<textarea name="adime_diagnosa" id="adime_diagnosa" rows="4" class="form-control autoresize" placeholder="Diagnosa" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vDiagnosaAdime ?></textarea>
			</div>
		</div>
	</div>
</div>
<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>INTERVENSI</b></span>
    </div>
	<div class="box-body"">
		<div class="row">
			<div class="col-md-12">
				<textarea name="adime_intervensi" id="adime_intervensi" rows="4" class="form-control autoresize" placeholder="Assesment" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vIntervensiAdime ?></textarea>
			</div>
		</div>
	</div>
</div>
<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>MONITORING</b></span>
    </div>
	<div class="box-body"">
		<div class="row">
			<div class="col-md-12">
				<textarea name="adime_monitoring" id="adime_monitoring" rows="4" class="form-control autoresize" placeholder="Monitoring" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vMonitoringAdime ?></textarea>
			</div>
		</div>
	</div>
</div>
<div class="box" style="border-top-width:0px;">
    <div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		  <span class="control-label"  style="margin-bottom:0px;"><b>EVALUASI</b></span>
    </div>
	<div class="box-body"">
		<div class="row">
			<div class="col-md-12">
				<textarea name="adime_evaluasi" id="adime_evaluasi" rows="4" class="form-control autoresize" placeholder="Evaluasi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vEvaluasiAdime ?></textarea>
			</div>
		</div>
	</div>
</div>

</form>

<div class="row">
	<div class="col-xs-12">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-spinner fa-lg fa-spin"></i> Simpan</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="save-draft" class="btn btn-danger hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan Draft</button>
		<button id="save-draft-loading" class="btn btn-danger disabled"  style="display: none;"><i class="fa fa-spinner fa-lg fa-spin" style="margin-right:2px;"></i> Simpan Draft</button>
		<!--
		<button id="cetak_laporan" class="btn disabled  btn-info"><i class="fa fa-print"></i> Print</button>
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
	</div>
</div>

<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<div>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>
<style>



</style>


<style>

.ui-state-focus
{
	color:White;
	background:#96B202;
	outline:none;
}
.ui-autocomplete-wrapper {
}
.ui-autocomplete {
	list-style-type: none;
	padding: 0;
	font-weight: bold;
}

</style>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

$('#content').off('click', '#asesmen_gizi').on('click', '#asesmen_gizi', function (event) {
	sessionStorage.setItem('exitForm','<?= QApplication::UrlCreator(QApplication::$ModulName.'/tindakan')?>?pageId='+sessionStorage.pageId+'&Id=<?= $objPatientNursing->Id; ?>');
	var level = "";
	setContent('<?= QApplication::UrlCreator('perawatan-gizi/content-tindakan')?>/?pageId='+sessionStorage.pageId+'&Id='+strId+'&level='+level,'content');
});


function resizeTextarea() {
	$(this).css('height', 'auto');
	$(this).css('height', $(this)[0].scrollHeight + 'px');
}
$('.autoresize').on('input', resizeTextarea).trigger('input');
	
var FormGizi = function(){

	'use strict';

	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});

	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function unInitialize() {
		setTimeout(function(){
			Reflect.deleteProperty(window, 'FormGizi');
		},100);
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
		console.log(Id);
		setContent('<?= QApplication::UrlCreator('perawatan-gizi/main')?>?pageId='+sessionStorage.pageId,'content');
	}

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});


	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#save-draft').on('click', '#save-draft', function () {
		posting('DRAFT');
	});

	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function () {
		parent.jFallr("Yakin simpan data ADIME? <br>Pasien : <?= $objPatientNursing->FirstName ?><br>RM : <?= $objPatientNursing->Mr ?>",
			function(){
				posting('ADIME');
				parent.jQuery.fallr('hide',function(){});
				return false;
			},
			function(){
				parent.jQuery.fallr('hide',function(){});
				return false;
			}
		);
	});

	$('#content').off('click','#float-print').on('click','#float-print',function(){
		//cetaklaporan();
	});
	$('#float-print').removeClass('btn-blue');
	$('#float-print').addClass('btn disabled btn-primary');
	
	$('#content').off('click','#float-kembali, #back').on('click','#float-kembali, #back',function(){
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
		back();
	});

	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.AssesmentAdime = $('#adime_assesment').val();
		post.DiagnosaAdime = $('#adime_diagnosa').val();
		post.IntervensiAdime = $('#adime_intervensi').val();
		post.MonitoringAdime = $('#adime_monitoring').val();
		post.EvaluasiAdime = $('#adime_evaluasi').val();

		
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/SaveAdime')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				if(mode == 'DRAFT'){
					$('#save-draft').hide();
					$('#save-draft-loading').show();
				} else if (mode == 'ADIME') {
					$('#save').hide();
					$('#save-loading').show();
					$('#float-simpan').hide();
					$('#float-loading').show();
				}
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'ADIME' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( result.message, 'Informasi');
					$('#save').show();
					$('#save-loading').hide();
					$('#float-simpan').show();
					$('#float-loading').hide();
					parent.$('#asesmen_<?= $objPatientNursing->Id ?>').removeClass('btn-primary').addClass('btn-success').html('EKG <i style="color:yellow;" class="fa fa-check"></i>');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
					$('#save-draft').show();
					$('#save-draft-loading').hide();
				} else {
					toastr.error( result.message , 'Error');
					if(mode == 'DRAFT'){
						$('#save-draft').show();
						$('#save-draft-loading').hide();
					} else if (mode == 'VERIFIKASI') {
						$('#save').show();
						$('#save-loading').hide();
						$('#float-simpan').show();
						$('#float-loading').hide();
					}
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
				if(mode == 'DRAFT'){
					$('#save-draft').show();
					$('#save-draft-loading').hide();
				} else if (mode == 'ADIME') {
					$('#save').show();
					$('#save-loading').hide();
					$('#float-simpan').show();
					$('#float-loading').hide();
				}
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#gizi_status").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_biokimia").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_klinis").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pola_makan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_susunan_makanan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pemberian_asi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_diagnosa").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#gizi_evaluasi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$('#nama_nutrisionis').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});

};

$('#content').ready(function(){
	FormGizi();
});

</script>

</div>
</div>