<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

// simulasi error;

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	
	$json = json_decode($objPatientNursing->RegisterJson);
	$tindakanTanggal1 = $json->TindakanTanggal1;
	$tindakanTanggal2 = $json->TindakanTanggal2;
	$tindakanTanggal3 = $json->TindakanTanggal3;
	$tindakanTanggal4 = $json->TindakanTanggal4;
	$tindakanTanggal5 = $json->TindakanTanggal5;
	$statusIndex = $json->StatusIndex;
	$arrObjCompetence = HrisRefCompetence::LoadAll();

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
$umurDalamTahun = $diff->y;

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}
$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);
?>
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>';
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
			 , PresentClassName: '<?= $objPatientNursing->PresentClassName; ?>'
			 , PresentClassCode: '<?= $objPatientNursing->PresentClassCode; ?>'
			 , PresentClassId: '<?= $objPatientNursing->PresentClassId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
	.chosen-container
	{
		width: 100% !important;
	}
	.uniqueClassTextAlignRight {
		text-align: right;
	}
	tfoot .uniqueClassTextAlignRight {
		padding-right: 8px !important;
	}
	.uniqueClassTextAlignCenter {
		text-align: center;
	}
	.uniqueClassHidden {
		display: none;
	}
	.uniqueClassDisplayHidden {
		display: none;
	}
	.uniqueClassDisplayNone {
		display: none;
	}

	.dataTables_length {
		padding-left: 15px;
		padding-top: 10px;
		padding-right: 40px;
	}
	.subform-diagnosa {
		padding-bottom: 20px;
	}
	#aktifitas .col-md-1,
	#aktifitas .col-md-10,
	#aktifitas .col-md-11,
	#aktifitas .col-md-12,
	#aktifitas .col-md-2,
	#aktifitas .col-md-3,
	#aktifitas .col-md-4,
	#aktifitas .col-md-5,
	#aktifitas .col-md-6,
	#aktifitas .col-md-7,
	#aktifitas .col-md-8,
	#aktifitas .col-md-9 {
		padding-left: 8px !important;
		padding-right: 7px !important;
	}
	.form-horizontal .form-group {margin-bottom: 10px;}
	.visit.off, .non-visit.off { display: none;}
	.btn.toolbar {margin-left: 10px;}
	#search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
	.pemeriksaan-selesai .action { display: none; }
</style>
<link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css">

<script>
	// alert('<?= $umurDalamTahun; ?>');
</script>

<div id="e-rm-form-gizi" class="hidden">true</div>

<div class="row" style="margin-bottom: 10px;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>

<div class="row">
	<div class="col-xs-12">
		<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
			<div class="box-header">
				<i class="fa fa-user"></i>
				<h3 class="box-title">Data Pasien</h3>
			</div>
			<div class="box-body">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Nama</label>
							<div class="col-sm-8">
								<?php
								$namaPasien = ViewHelper::autoFullName($objPatientNursing->FirstName, $objHmisPatient->Predicate, $objPatientNursing->CreateTime->Timestamp, $objPatientNursing->DateOfBirth->Timestamp, $objPatientNursing->Gender);
								?>
								<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $namaPasien ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Alamat</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Umur</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="dpjp" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
							</div>
						</div>
						<?php if($objPatientNursing->NursingCategory == 3){ ?>
							<div class="form-group">
								<label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
								<div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
									<input type="text" class="form-control input-sm" id="ppjp" required value="<?= $strPpjp ?>" readonly>
								</div>
							</div>
						<?php } ?>

					</div>


					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
							<div class="col-sm-8">
								<?php
								if($objPatientNursing->DepartmentName){
									$namaDepartemen = $objPatientNursing->DepartmentName;
								}elseif($objPatientNursing->TransferDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->TransferDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}elseif($objPatientNursing->StartCheckinDepartmentId){
									$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->StartCheckinDepartmentId);
									$namaDepartemen = $objDepartment->Name;
								}
								?>
								<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $namaDepartemen ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">TT</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" required value="<?= $objPatientNursing->NursingBedName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="dxU" id="dxU" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">ID</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="nursingId" id="nursingId" required value="<?= $objPatientNursing->Id ?>" readonly>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<div class="row">
	<div class="col-xs-12">
		<div class="box form-horizontal">
			<div class="box-body" style="padding:6px 12px;">
				<div class="row">
					<div class="col-sm-12" style="">
						<button id="form_adime" class="btn btn-primary btn-xs" style="margin:1px 1px 1px 0px;">ADIME</button>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php 
   require (__DOCROOT__ . __ASSETS__ . '/user/php/floating-menu.php');
?>

<script>
	var InitializeFishEye = function(){
		function unInitialize() {
			setTimeout(function(){
				Reflect.deleteProperty(window, 'InitializeFishEye');
			},100);
		}
		$(".fisheye").simpletooltip({
			position: "left"
			, color: "#FFFFFF"
			, background_color: "#0088BE"
			, border_color: "#00669C"
			, border_width: 4
			, click: true
			, hideOnLeave: true
		});
		unInitialize();
	}
	$('#content').ready(function(){
		InitializeFishEye();
	});
</script>

<form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/StartService')?>" >
	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>

				<?php if( $umurDalamTahun > 18 ) { ?>

				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >ANTROPOMETRI DEWASA</div>
				</div>

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Tinggi Badan:</b></span></span>
							<input type="text" class="form-control" name="gizi_tb" id="gizi_tb" placeholder="TB" autocomplete="off" value="<?= $objPatientNursing->vGiziTbT0 ; ?>">
							<span class="input-group-addon"><span class="text-35">cm;</span></span>
						</div>
					</div>
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Berat Badan:</b></span></span>
							<input type="text" class="form-control" name="gizi_bb" id="gizi_bb" placeholder="BB" autocomplete="off" value="<?= $objPatientNursing->vGiziBbT0 ; ?>">
							<span class="input-group-addon"><span class="text-35">Kg</span></span>
						</div>
					</div>
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>BBI:</b></span></span>
							<input type="text" class="form-control" name="gizi_bbi" id="gizi_bbi" placeholder="BBI" autocomplete="off" value="<?= $objPatientNursing->vGiziBbiT0 ; ?>">
							<span class="input-group-addon"><span class="text-35">Kg</span></span>
						</div>
					</div>
				</div>

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>IMT:</b></span></span>
							<input type="text" class="form-control" name="gizi_imt" id="gizi_imt" placeholder="IMT" autocomplete="off" value="<?= $objPatientNursing->vGiziImtT0 ; ?>">
							<span class="input-group-addon" style="width: 100px;"><span class="text-35">Kg/M</span></span>
						</div>
					</div>
				</div>

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Status Gizi</b></span></span>
							<select id="gizi_status" class="form-control" style="width: 220px;">
								<option value="" <?= $objPatientNursing->vGiziStatusT0 == '' ? 'selected' : '' ?> >BELUM DIISI</option>
								<option value="BURUK" <?= $objPatientNursing->vGiziStatusT0 == 'BURUK' ? 'selected' : '' ?>>BURUK</option>
								<option value="KURANG" <?= $objPatientNursing->vGiziStatusT0 == 'KURANG' ? 'selected' : '' ?>>KURANG</option>
								<option value="NORMAL" <?= $objPatientNursing->vGiziStatusT0 == 'NORMAL' ? 'selected' : '' ?>>NORMAL</option>
								<option value="LEBIH" <?= $objPatientNursing->vGiziStatusT0 == 'LEBIH' ? 'selected' : '' ?>>LEBIH</option>
								<option value="OBESITAS" <?= $objPatientNursing->vGiziStatusT0 == 'OBESITAS' ? 'selected' : '' ?>>OBESITAS</option>
							</select>
						</div>
					</div>
				</div>

				<?php } else { ?>

				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >ANTROPOMETRI ANAK</div>
				</div>

				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-3">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 100px; margin-top: 3px;" ><b>Tinggi Badan</b></div></span>
							<input type="text" class="form-control" name="gizi_tb" id="gizi_tb" placeholder="TB" autocomplete="off" value="<?= $objPatientNursing->vGiziTbT0 ?>">
							<span class="input-group-addon"><span class="text-35">cm;</span></span>
						</div>
					</div>
					<div class="col-md-3">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 100px; margin-top: 3px;" ><b>Berat Badan</b></div></span>
							<input type="text" class="form-control" name="gizi_bb" id="gizi_bb" placeholder="BB" autocomplete="off" value="<?= $objPatientNursing->vGiziBbT0 ?>">
							<span class="input-group-addon"><span class="text-35">Kg</span></span>
						</div>
					</div>
					<div class="col-md-3">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 100px; margin-top: 3px;" ><b>BBI</b></div></span>
							<input type="text" class="form-control" name="gizi_bbi" id="gizi_bbi" placeholder="BBI" autocomplete="off" value="<?= $objPatientNursing->vGiziBbiT0 ?>">
							<span class="input-group-addon"><span class="text-35">Kg</span></span>
						</div>
					</div>
					<div class="col-md-3">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 80px; margin-top: 3px;" ><b>IMT</b></div></span>
							<input type="text" class="form-control" name="gizi_imt" id="gizi_imt" placeholder="IMT" autocomplete="off" value="<?= $objPatientNursing->vGiziImtT0 ?>">
							<span class="input-group-addon" style=""><span class="text-35">Kg/M</span></span>
						</div>
					</div>
				</div>

				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-3">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 100px; margin-top: 3px;" ><b>TB Sesuai Usia</b></div></span>
							<input type="text" class="form-control" name="gizi_tbu" id="gizi_tbu" placeholder="TBU" autocomplete="off" value="<?= $objPatientNursing->vGiziTbuT0 ?>">
							<!-- <span class="input-group-addon"><span class="text-35">cm;</span></span> -->
						</div>
					</div>
					<div class="col-md-3">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 100px; margin-top: 3px;" ><b>BB Sesuai Usia</b></div></span>
							<input type="text" class="form-control" name="gizi_bbu" id="gizi_bbu" placeholder="BBU" autocomplete="off" value="<?= $objPatientNursing->vGiziBbuT0 ?>">
							<!-- <span class="input-group-addon"><span class="text-35">Kg</span></span> -->
						</div>
					</div>
					<div class="col-md-3">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 100px; margin-top: 3px;" ><b>BB / TB</b></div></span>
							<input type="text" class="form-control" name="gizi_bbtb" id="gizi_bbtb" placeholder="BBTB" autocomplete="off" value="<?= $objPatientNursing->vGiziBbtbT0 ?>">
							<!-- <span class="input-group-addon"><span class="text-35">Kg</span></span> -->
						</div>
					</div>
					<div class="col-md-3">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 80px; margin-top: 3px;" ><b>% BBI:</b></div></span>
							<input type="text" class="form-control" name="gizi_imtu" id="gizi_imtu" placeholder="% BBI" autocomplete="off" value="<?= $objPatientNursing->vGiziImtuT0 ?>">
							<span class="input-group-addon"><span class="text-35"> % </span></span>
						</div>
					</div>
				</div>

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="width: 120px;"><span class="text-35"><b>Status Gizi</b></span></span>
							<select id="gizi_status" class="form-control" style="width: 220px;">
								<option value="" <?= $objPatientNursing->vGiziStatusT0 == '' ? 'selected' : '' ?> >BELUM DIISI</option>
								<option value="BURUK" <?= $objPatientNursing->vGiziStatusT0 == 'BURUK' ? 'selected' : '' ?>>BURUK</option>
								<option value="KURANG" <?= $objPatientNursing->vGiziStatusT0 == 'KURANG' ? 'selected' : '' ?>>KURANG</option>
								<option value="NORMAL" <?= $objPatientNursing->vGiziStatusT0 == 'NORMAL' ? 'selected' : '' ?>>NORMAL</option>
								<option value="LEBIH" <?= $objPatientNursing->vGiziStatusT0 == 'LEBIH' ? 'selected' : '' ?>>LEBIH</option>
								<option value="OBESITAS" <?= $objPatientNursing->vGiziStatusT0 == 'OBESITAS' ? 'selected' : '' ?>>OBESITAS</option>
							</select>
						</div>
					</div>
				</div>

				<?php } ?>

			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 100px; padding-right: 0px;" ><b>Biokimia</b></div></span>
							<select id="gizi_status_biokimia" name="gizi_status_biokimia"  class="form-control" style="width: 220px;">
								<option value="" <?= $objPatientNursing->vGiziStatusBiokimiaT0 == '' ? 'selected' : '' ?> >BELUM DIISI</option>
								<option value="NORMAL" <?= $objPatientNursing->vGiziStatusBiokimiaT0 == 'NORMAL' ? 'selected' : '' ?>>NORMAL</option>
								<option value="BERMASALAH" <?= $objPatientNursing->vGiziStatusBiokimiaT0 == 'BERMASALAH' ? 'selected' : '' ?>>BERMASALAH</option>
							</select>
						</div>
					</div>
				</div>

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 100px; padding-right: 0px;" ><b>Masalah</b></div></span>
							<textarea name="gizi_masalah_biokimia" id="gizi_masalah_biokimia" rows="4" class="form-control" placeholder="Masalah Biokimia" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vGiziMasalahBiokimiaT0 ?></textarea>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 100px; padding-right: 0px;" ><b>Klinis</b></div></span>
							<select id="gizi_status_klinis" name="status_klinis"  class="form-control" style="width: 220px;">
								<option value="" <?= $objPatientNursing->vGiziStatusKlinisT0 == '' ? 'selected' : '' ?> >BELUM DIISI</option>
								<option value="NORMAL" <?= $objPatientNursing->vGiziStatusKlinisT0 == 'NORMAL' ? 'selected' : '' ?>>NORMAL</option>
								<option value="BERMASALAH" <?= $objPatientNursing->vGiziStatusKlinisT0 == 'BERMASALAH' ? 'selected' : '' ?>>BERMASALAH</option>
							</select>
						</div>
					</div>
				</div>

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 100px; padding-right: 0px;" ><b>Masalah</b></div></span>
							<textarea name="gizi_masalah_klinis" id="gizi_masalah_klinis" rows="4" class="form-control" placeholder="Masalah Klinis" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vGiziMasalahKlinisT0 ?></textarea>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">


				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >RIWAYAT GIZI</div>
				</div>

				<div class="row" style="padding-bottom: 2px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 100px; padding-right: 0px;" ><b>Alergi Makanan</b></div></span>
							<textarea name="gizi_alergi_makanan" id="gizi_alergi_makanan" rows="4" class="form-control" placeholder="Isi Alergi Makanan bila ada" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vGiziAlergiMakananT0 ?></textarea>
						</div>
					</div>
				</div>

				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 100px; padding-right: 0px;" ><b>Pola Makan</b></div></span>
							<select id="gizi_pola_makan" name="gizi_pola_makan"  class="form-control" style="width: 220px;">
								<option value="" <?= $objPatientNursing->vGiziPolaMakanT0 == '' ? 'selected' : '' ?> >BELUM DIISI</option>
								<option value="TERATUR" <?= $objPatientNursing->vGiziPolaMakanT0 == 'TERATUR' ? 'selected' : '' ?>>TERATUR</option>
								<option value="TIDAK-TERATUR" <?= $objPatientNursing->vGiziPolaMakanT0 == 'TIDAK-TERATUR' ? 'selected' : '' ?>>TIDAK-TERATUR</option>
							</select>
						</div>
					</div>
				</div>

				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 100px; padding-right: 0px;" ><b>Susunan Makan</b></div></span>
							<select id="gizi_susunan_makanan" name="gizi_susunan_makanan"  class="form-control" style="width: 220px;">
								<option value="" <?= $objPatientNursing->vGiziSusunanMakananT0 == '' ? 'selected' : '' ?> >BELUM DIISI</option>
								<option value="SEIMBANG" <?= $objPatientNursing->vGiziSusunanMakananT0 == 'SEIMBANG' ? 'selected' : '' ?>>SEIMBANG</option>
								<option value="TIDAK-SEIMBANG" <?= $objPatientNursing->vGiziSusunanMakananT0 == 'TIDAK-SEIMBANG' ? 'selected' : '' ?>>TIDAK-SEIMBANG</option>
							</select>
						</div>
					</div>
				</div>
				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-4">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 100px; padding-right: 0px;" ><b>Diberikan ASI</b></div></span>
							<select id="gizi_pemberian_asi" name="gizi_pemberian_asi"  class="form-control" style="width: 220px;">
								<option value="" <?= $objPatientNursing->vGiziPemberianASIT0 == '' ? 'selected' : '' ?> >BELUM DIISI</option>
								<option value="ASI" <?= $objPatientNursing->vGiziPemberianASIT0 == 'ASI' ? 'selected' : '' ?>>ASI</option>
								<option value="TIDAK-ASI" <?= $objPatientNursing->vGiziPemberianASIT0 == 'TIDAK-ASI' ? 'selected' : '' ?>>TIDAK-ASI</option>
							</select>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >RIWAYAT PENYAKIT DAHULU</div>
				</div>

				<div class="row" style="padding-bottom: 2px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 100px; padding-right: 0px;" ><b>Riwayat Sakit</b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="gizi_hipertensi" id="gizi_hipertensi" <?= ( stripos( '@'.$objPatientNursing->vGiziRiwayatPenyakitDahuluT0 , 'HIPERTENSI' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="gizi_hipertensi" style="margin-left: 5px; margin-top: 5px;" >Hipertensi</label>
								<input type="checkbox" name="gizi_dm" id="gizi_dm" <?= ( stripos( '@'.$objPatientNursing->vGiziRiwayatPenyakitDahuluT0 , 'DM' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="gizi_dm" style="margin-left: 5px; margin-top: 5px;" >DM</label>
								<input type="checkbox" name="gizi_jantung" id="gizi_jantung" value="YA" <?= ( stripos( '@'.$objPatientNursing->vGiziRiwayatPenyakitDahuluT0 , 'JANTUNG' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="gizi_jantung" style="margin-left: 5px; margin-top: 5px;" >Jantung</label>
								<input type="checkbox" name="gizi_ginjal" id="gizi_ginjal" value="YA" <?= ( stripos( '@'.$objPatientNursing->vGiziRiwayatPenyakitDahuluT0 , 'GINJAL' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="gizi_ginjal" style="margin-left: 5px; margin-top: 5px;" >Ginjal</label>
							</div>
						</div>
					</div>
				</div>


				<div class="row" style="padding-bottom: 0px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 100px; padding-right: 0px;" ><b>Sakit Lainnya</b></div></span>
							<textarea name="gizi_riwayat_penyakit_dahulu_lain_lain" id="gizi_riwayat_penyakit_dahulu_lain_lain" rows="4" class="form-control" placeholder="Isi Riwayat Sakit Lainnya [ Bila ada ]" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vGiziRiwayatPenyakitDahuluLainLainT0 ?></textarea>
						</div>
					</div>
				</div>

				<div class="row" style="height: 5px;"></div>

			</div>
		</div>
	</div>

	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >RIWAYAT PENYAKIT SEKARANG</div>
				</div>

				<div class="row" style="padding-bottom: 0px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 100px; padding-right: 0px;" ><b>Nafsu Makan</b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="gizi_nafsu_makan_baik" id="gizi_nafsu_makan_baik" <?= ( stripos( '@'.$objPatientNursing->vGiziNafsuMakanT0 , 'BAIK' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="gizi_nafsu_makan_baik" style="margin-left: 5px; margin-top: 5px;" >Baik</label>
								<input type="checkbox" name="gizi_nafsu_makan_kurang" id="gizi_nafsu_makan_kurang" <?= ( stripos( '@'.$objPatientNursing->vGiziNafsuMakanT0 , 'KURANG' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="gizi_nafsu_makan_kurang" style="margin-left: 5px; margin-top: 5px;" >Kurang</label>
								<input type="checkbox" name="gizi_nafsu_makan_sulit_menelan" id="gizi_nafsu_makan_sulit_menelan" value="YA" <?= ( stripos( '@'.$objPatientNursing->vGiziNafsuMakanT0 , 'SULIT MENELAN' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="gizi_nafsu_makan_sulit_menelan" style="margin-left: 5px; margin-top: 5px;" >Sulit Menelan</label>
								<input type="checkbox" name="gizi_nafsu_makan_sulit_mengunyah" id="gizi_nafsu_makan_sulit_mengunyah" value="YA" <?= ( stripos( '@'.$objPatientNursing->vGiziNafsuMakanT0 , 'SULIT MENGUNYAH' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="gizi_nafsu_makan_sulit_mengunyah" style="margin-left: 5px; margin-top: 5px;" >Sulit Mengunyah</label>
								<input type="checkbox" name="gizi_nafsu_makan_mual" id="gizi_nafsu_makan_mual" value="YA" <?= ( stripos( '@'.$objPatientNursing->vGiziNafsuMakanT0 , 'MUAL' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="gizi_nafsu_makan_mual" style="margin-left: 5px; margin-top: 5px;" >Mual</label>
								<input type="checkbox" name="gizi_nafsu_makan_muntah" id="gizi_nafsu_makan_muntah" value="YA" <?= ( stripos( '@'.$objPatientNursing->vGiziNafsuMakanT0 , 'MUNTAH' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 20px;" ><label for="gizi_nafsu_makan_muntah" style="margin-left: 5px; margin-top: 5px;" >Muntah</label>
							</div>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>



	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 20px;">
				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;margin-top:5px;" ><b>DIAGNOSA GIZI</b></div>
				</div>
				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12">
						<div class="input-group" style="width:100%">
							<span class="input-group-addon" style="width: 125px;"><span style="padding-right: 15px;" ><b>Diagnosa Gizi</b></span></span>
							<select id="gizi_diagnosa" name="gizi_diagnosa"  class="form-control" style="width:100%" data-placeholder="BELUM DIISI"   multiple>
								<option></option>
								<option id="diagnosa_gizi_1" value="Tidak ada masalah gizi [NO-1.1]" <?= ( stripos( '@'.$objPatientNursing->vDiagnosaGiziT0 , 'Tidak ada masalah gizi [NO-1.1]' ) > 0 ) ? 'selected' : '' ?>>Tidak ada masalah gizi [NO-1.1]</option>
								<option id="diagnosa_gizi_2" value="Kekurangan intake makanan dan minuman oral [NI-2.1]" <?= ( stripos( '@'.$objPatientNursing->vDiagnosaGiziT0 , 'Kekurangan intake makanan dan minuman oral [NI-2.1]' ) > 0 ) ? 'selected' : '' ?>>Kekurangan intake makanan dan minuman oral [NI-2.1]</option>
								<option id="diagnosa_gizi_3" value="Peningkatan kebutuhan zat gizi [NI-5.1]" <?= ( stripos( '@'.$objPatientNursing->vDiagnosaGiziT0 , 'Peningkatan kebutuhan zat gizi [NI-5.1]' ) > 0 ) ? 'selected' : '' ?>>Peningkatan kebutuhan zat gizi [NI-5.1]</option>
								<option id="diagnosa_gizi_4" value="Penurunan kebutuhan zat gizi [NI-5.4]" <?= ( stripos( '@'.$objPatientNursing->vDiagnosaGiziT0 , 'Penurunan kebutuhan zat gizi [NI-5.4]' ) > 0 ) ? 'selected' : '' ?>>Penurunan kebutuhan zat gizi [NI-5.4]</option>
								<option id="diagnosa_gizi_5" value="Tidak konsisten dalam mengonsumsi KH [NI-5.8.4]"<?= ( stripos( '@'.$objPatientNursing->vDiagnosaGiziT0 , 'Tidak konsisten dalam mengonsumsi KH [NI-5.8.4]' ) > 0 ) ? 'selected' : '' ?>>Tidak konsisten dalam mengonsumsi KH [NI-5.8.4]</option>
								<option id="diagnosa_gizi_6"  value="Malnutrisi [NC-4.1]" <?= ( stripos( '@'.$objPatientNursing->vDiagnosaGiziT0 , 'Malnutrisi [NC-4.1]' ) > 0 ) ? 'selected' : '' ?>>Malnutrisi [NC-4.1]</option>
								<option id="diagnosa_gizi_7" value="Pengetahuan yang kurang dikaitkan pangan dan gizi [NB-1.1]" <?= ( stripos( '@'.$objPatientNursing->vDiagnosaGiziT0 , 'Pengetahuan yang kurang dikaitkan pangan dan gizi [NB-1.1]' ) > 0 ) ? 'selected' : '' ?>>Pengetahuan yang kurang dikaitkan pangan dan gizi [NB-1.1]</option>
								<option id="diagnosa_gizi_8" value="Kekeliruan pola makan [NB-1.5]"<?= ( stripos( '@'.$objPatientNursing->vDiagnosaGiziT0 , 'Kekeliruan pola makan [NB-1.5]' ) > 0 ) ? 'selected' : '' ?>>Kekeliruan pola makan [NB-1.5]</option>
								<option id="diagnosa_gizi_9" value="Intake makanan yang tidak aman [NB-3.1]" <?= ( stripos( '@'.$objPatientNursing->vDiagnosaGiziT0 , 'Intake makanan yang tidak aman [NB-3.1]' ) > 0 ) ? 'selected' : '' ?>>Intake makanan yang tidak aman [NB-3.1]</option>
							</select>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>


	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="">
					<div class="col-md-12" style="margin-left: 10px; margin-bottom: 5px;" >Intervensi Gizi</div>
				</div>

				<div class="row" style="padding-bottom: 2px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: left;" ><div style="width: 100px; padding-right: 0px;" ><b>Intervensi</b></div></span>
							<textarea name="gizi_intervensi" id="gizi_intervensi" rows="4" class="form-control" placeholder="Intervensi Gizi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vGiziIntervensiT0 ?></textarea>
						</div>
					</div>
				</div>

				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 100px; margin-top: 3px;" ><b>Energi / Kalori</b></div></span>
							<input type="text" class="form-control" name="gizi_kalori" id="gizi_kalori" placeholder="Energi / Kalori" autocomplete="off" value="<?= $objPatientNursing->vGiziKaloriT0 ?>">
							<span class="input-group-addon"><span class="text-35">Kkal</span></span>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 100px; margin-top: 3px;" ><b>Protein</b></div></span>
							<input type="text" class="form-control" name="gizi_protein" id="gizi_protein" placeholder="Protein" autocomplete="off" value="<?= $objPatientNursing->vGiziProteinT0 ?>">
							<span class="input-group-addon"><span class="text-35">g</span></span>
						</div>
					</div>
				</div>

				<div class="row" style="padding-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 100px; margin-top: 3px;" ><b>Lemak</b></div></span>
							<input type="text" class="form-control" name="gizi_lemak" id="gizi_lemak" placeholder="Lemak" autocomplete="off" value="<?= $objPatientNursing->vGiziLemakT0 ?>">
							<span class="input-group-addon"><span class="text-35">g</span></span>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 80px; margin-top: 3px;" ><b>Karbohidrat</b></div></span>
							<input type="text" class="form-control" name="gizi_karbohidrat" id="gizi_karbohidrat" placeholder="Karbohidrat" autocomplete="off" value="<?= $objPatientNursing->vGiziKarbohidratT0 ?>">
							<span class="input-group-addon" style=""><span class="text-35">g</span></span>
						</div>
					</div>
				</div>

				<!--
				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 100px; margin-top: 3px;" ><b>Diet</b></div></span>
							<select id="gizi_diit" name="gizi_diit"  class="form-control" style="width: 220px;">
								<option value="" <?= $objPatientNursing->vDiagnosaGiziT0 == '' ? 'selected' : '' ?> >BELUM DIISI</option>
								<option value="BIASA" <?= $objPatientNursing->vDiagnosaGiziT0 == 'BIASA' ? 'selected' : '' ?>>BIASA</option>
								<option value="TKTP" <?= $objPatientNursing->vDiagnosaGiziT0 == 'TKTP' ? 'selected' : '' ?>>TKTP</option>
								<option value="DM B1" <?= $objPatientNursing->vDiagnosaGiziT0 == 'DM B1' ? 'selected' : '' ?>>DM B1</option>
								<option value="DM B2" <?= $objPatientNursing->vDiagnosaGiziT0 == 'DM B2' ? 'selected' : '' ?>>DM B2</option>
								<option value="DM RG" <?= $objPatientNursing->vDiagnosaGiziT0 == 'DM RG' ? 'selected' : '' ?>>DM RG</option>
								<option value="RL" <?= $objPatientNursing->vDiagnosaGiziT0 == 'RL' ? 'selected' : '' ?>>RL</option>
								<option value="RGRL" <?= $objPatientNursing->vDiagnosaGiziT0 == 'RGRL' ? 'selected' : '' ?>>RGRL</option>
								<option value="RS" <?= $objPatientNursing->vDiagnosaGiziT0 == 'RS' ? 'selected' : '' ?>>RS</option>
								<option value="RSRL" <?= $objPatientNursing->vDiagnosaGiziT0 == 'RSRL' ? 'selected' : '' ?>>RSRL</option>
								<option value="RP" <?= $objPatientNursing->vDiagnosaGiziT0 == 'RP' ? 'selected' : '' ?>>RP</option>
								<option value="R PURIN" <?= $objPatientNursing->vDiagnosaGiziT0 == 'R PURIN' ? 'selected' : '' ?>>R PURIN</option>
								<option value="KANKER" <?= $objPatientNursing->vDiagnosaGiziT0 == 'KANKER' ? 'selected' : '' ?>>KANKER</option>
							</select>
						</div>
					</div>
				</div>
				-->

				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 100px; padding-right: 5px; margin-top: 3px;" ><b>Diet</b></div></span>
							<input type="text" class="form-control" name="gizi_diit" id="gizi_diit" placeholder="BIASA TKTP DM-B1 DM-B2 DM-RG RL RGRL" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vGiziDiitT0 ; ?>">
						</div>
					</div>
				</div>

				<script>
					// alert('<?= $objPatientNursing->vGiziBentukMakananT0; ?>');
				</script>

				<div class="row" style="padding-bottom: 2px;">
					<div class="col-md-12">
							<?php
								$string = '@'.$objPatientNursing->vGiziBentukMakananT0;
								$array = explode(',', str_replace('@', '', $string));

								$b_bk = in_array('BK', $array);
								$b_bk_cincang = in_array('BK-CINCANG', $array);
							?>
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 100px; padding-right: 0px;" ><b>Bentuk Makanan</b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="gizi_nasi" id="gizi_nasi" <?= ( stripos( '@'.$objPatientNursing->vGiziBentukMakananT0 , 'NASI' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="gizi_nasi" style="margin-left: 10px; margin-top: 5px;" >NASI</label>
								<input type="checkbox" name="gizi_tim" id="gizi_tim" <?= ( stripos( '@'.$objPatientNursing->vGiziBentukMakananT0 , 'TIM' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 10px;" ><label for="gizi_tim" style="margin-left: 10px; margin-top: 5px;" >TIM</label>
								<input type="checkbox" name="gizi_bk" id="gizi_bk" <?= $b_bk ? 'checked' : ''?> style="margin-top: -1px; margin-left: 10px;" ><label for="gizi_bk" style="margin-left: 10px; margin-top: 5px;" >BK</label>
								<input type="checkbox" name="gizi_bk_cincang" id="gizi_bk_cincang" <?= $b_bk_cincang ? 'checked' : ''?> style="margin-top: -1px; margin-left: 10px;" ><label for="gizi_bk_cincang" style="margin-left: 10px; margin-top: 5px;" >BK CINCANG</label>
								<input type="checkbox" name="gizi_bh_cincang_kaldu" id="gizi_bh_cincang_kaldu" <?= ( stripos( '@'.$objPatientNursing->vGiziBentukMakananT0 , 'BH-CINCANG-KALDU' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 10px;" ><label for="gizi_bh_cincang_kaldu" style="margin-left: 10px; margin-top: 5px;" >BH CINCANG KALDU</label>
								<input type="checkbox" name="gizi_bh_gula" id="gizi_bh_gula" <?= ( stripos( '@'.$objPatientNursing->vGiziBentukMakananT0 , 'BH-GULA' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 10px;" ><label for="gizi_bh_gula" style="margin-left: 10px; margin-top: 5px;" >BH GULA</label>
								<input type="checkbox" name="gizi_bh_ge" id="gizi_bh_ge" <?= ( stripos( '@'.$objPatientNursing->vGiziBentukMakananT0 , 'BH-GE' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 10px;" ><label for="gizi_bh_ge" style="margin-left: 10px; margin-top: 5px;" >BH GE</label>
								<input type="checkbox" name="gizi_cair" id="gizi_cair" <?= ( stripos( '@'.$objPatientNursing->vGiziBentukMakananT0 , 'CAIR' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 10px;" ><label for="gizi_cair" style="margin-left: 10px; margin-top: 5px;" >CAIR</label>
							</div>
						</div>
					</div>
				</div>

				<div class="row" style="padding-bottom: 2px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 100px; padding-right: 5px; margin-right: 0px !important;" ><b>Pemberian</b></div></span>
							<div class="form-control" style="padding-top: 0px;">
								<input type="checkbox" name="gizi_oral" id="gizi_oral" <?= ( stripos( '@'.$objPatientNursing->vGiziPemberianMakanT0 , 'ORAL' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px;" ><label for="gizi_oral" style="margin-left: 10px; margin-top: 5px;" >ORAL</label>
								<input type="checkbox" name="gizi_enteral" id="gizi_enteral" <?= ( stripos( '@'.$objPatientNursing->vGiziPemberianMakanT0 , 'ENTERAL' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 10px;" ><label for="gizi_enteral" style="margin-left: 10px; margin-top: 5px;" >ENTERAL</label>
								<input type="checkbox" name="gizi_parenteral" id="gizi_parenteral" <?= ( stripos( '@'.$objPatientNursing->vGiziPemberianMakanT0 , 'PARENTERAL' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 10px;" ><label for="gizi_parenteral" style="margin-left: 10px; margin-top: 5px;" >PARENTERAL</label>
							</div>
						</div>
					</div>
				</div>

				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 100px; padding-right: 5px; margin-top: 3px;" ><b>Frekuensi</b></div></span>
							<input type="text" class="form-control" name="gizi_frekuensi" id="gizi_frekuensi" placeholder="Frekuensi" autocomplete="off" value="<?= $objPatientNursing->vGiziFrekuensiT0 ?>">
						</div>
					</div>
				</div>

				<div class="row" style="padding-bottom: 2px;">
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: right;" ><div style="width: 100px; padding-right: 0px;" ><b>Monitoring</b></div></span>
							<textarea name="gizi_monitoring" id="gizi_monitoring" rows="4" class="form-control" placeholder="Intervensi Gizi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 80px; width: 100%;"><?= $objPatientNursing->vGiziMonitoringT0 ?></textarea>
						</div>
					</div>
				</div>

				<div class="row" style="margin-bottom: 2px;">
					<div class="col-md-6">
						<div class="input-group">
							<span class="input-group-addon" style="vertical-align: top; text-align: center;" ><div style="width: 100px; margin-top: 3px;" ><b>Periode Evaluasi</b></div></span>
							<select id="gizi_evaluasi" name="gizi_evaluasi"  class="form-control" style="width: 220px;">
								<option value="" <?= $objPatientNursing->vGiziEvaluasiT0 == '' ? 'selected' : '' ?> >BELUM DIISI</option>
								<option value="1" <?= $objPatientNursing->vGiziEvaluasiT0 == '1' ? 'selected' : '' ?>>1 HARI</option>
								<option value="7" <?= $objPatientNursing->vGiziEvaluasiT0 == '7' ? 'selected' : '' ?>>7 HARI</option>
							</select>
						</div>
					</div>
				</div>

			</div>
		</div>
	</div>


	
	<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 0px;padding-top:10px;">
		<div class="box-body" style="padding-top:0px;">
			<div class="row">
				<div class="col-md-6" style="margin-bottom: 5px;">
					<label class="control-label" for="nama_nutrisionis"><b>Nama Nutrisionis</b></label>
					<div class="input-group"  style="width:100%;">
						<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="nama_nutrisionis" id="nama_nutrisionis" data-placeholder="BELUM DIISI">
						<option value="<?= $objPatientNursing->vGiziNutrisionisId ; ?>" selected ><?= $objPatientNursing->vGiziNutrisionisNama; ?></option>
						</select>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;">
		<div class="box-body" style="padding-top:0px;">
			<div class="row">
				<div class="col-md-6">
					<label class="control-label" for="tanggal_pengisian"><b>Tanggal Pengisian</b></label>
					<div class="input-group">
						<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
						<input id="tanggal_pengisian" type="text" class="form-control input-date" name="tanggal_pengisian" placeholder="dd-mm-yyyy" value="<?= $objPatientNursing->vGiziTanggalPengisian ?>" style="z-index:0" data-mask="00-00-0000">
					</div>
				</div>
				<div class="col-md-6">
					<label class="control-label" for="jam_pengisian"><b>Jam Pengisian</b></label>
					<div class="input-group">
						<span class="input-group-addon"><i class="glyphicon glyphicon-time"></i></span>
						<input id="jam_pengisian" type="text" class="form-control" name="jam_pengisian" placeholder="HH:mm" value="<?= $objPatientNursing->vGiziJamPengisian ?>" style="z-index:0" data-mask="00:00">
					</div>
				</div>
			</div>
		</div>
	</div>	


</form>

<div class="row">
	<div class="col-xs-6">
		<button id="save-loading" disabled class="btn btn btn-info" style="display: none;" ><i class="fa fa-circle-o-notch fa-spin"></i> Tunggu</button>
		<button id="save" class="btn btn-success"><i class="fa fa-save"></i> Simpan</button>
		<button id="cetak_laporan" class="btn btn-info"><i class="fa fa-print"></i> Print</button>
		<!--
		<button id="sign" class="btn btn-success"><i class="fa fa-save"></i> Simpan & Tanda Tangan</button>
		-->
	</div>
	<div class="col-xs-6 btn-group">
		<button id="back" type="button" class="page-kembali mb-xs mt-xs mr-xs btn btn-sm btn-default pull-right toolbar"><i class="fa fa-out"></i> Kembali</button>
	</div>
</div>


<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

		<div>
			<hr>
			<label><b>Password<b></label>
			<input type="password" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
			<div class="checkbox">
				<label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
			</div>
		</div>
	  </div>
	  <div class="modal-footer">
		<!-- <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button> -->
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>
<!-- Modal -->

<style>



</style>


<style>

.ui-state-focus
{
	color:White;
	background:#96B202;
	outline:none;
}
.ui-autocomplete-wrapper {
}
.ui-autocomplete {
	list-style-type: none;
	padding: 0;
	font-weight: bold;
}

</style>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

$('#content').off('click', '#form_adime').on('click', '#form_adime', function (event) {
	sessionStorage.setItem('exitForm','<?= QApplication::UrlCreator(QApplication::$ModulName.'/tindakan')?>?pageId='+sessionStorage.pageId+'&Id=<?= $objPatientNursing->Id; ?>');
	var level = "";
	setContent('<?= QApplication::UrlCreator('perawatan-gizi/adime')?>/?pageId='+sessionStorage.pageId+'&Id='+strId+'&level='+level,'content');
});
var FormGizi = function(){

	'use strict';

	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});

	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function unInitialize() {
		setTimeout(function(){
			Reflect.deleteProperty(window, 'FormGizi');
		},100);
	}

	function back() {
		var Id = '<?= $objPatientNursing->Id ?>';
		console.log(Id);
		setContent('<?= QApplication::UrlCreator('perawatan-gizi/main')?>?pageId='+sessionStorage.pageId,'content');
	}
	
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		printPreview('ina', '<?= QApplication::UrlCreator('perawatan-gizi/cetak-laporan-gizi') ?>', strOption);
	}

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
		posting('DRAFT');
	});
	
	$('#content').off('click', '#cetak_laporan').on('click', '#cetak_laporan', function (event) {
		cetaklaporan();
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function (event) {
		event.preventDefault();
		posting('DRAFT');
	});

	$('#float-print').off('click').on('click',function(){
		cetaklaporan();
	});

	$('#content').off('click','#float-kembali, #back').on('click','#float-kembali, #back',function(){
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
		back();
	});
	

	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.GiziTb = $('#gizi_tb').val();
		post.GiziBb = $('#gizi_bb').val();
		post.GiziBbi = $('#gizi_bbi').val();

		post.GiziTbu = $('#gizi_tbu').val();
		post.GiziBbu = $('#gizi_bbu').val();
		post.GiziBbtb = $('#gizi_bbtb').val();

		post.GiziImtu = $('#gizi_imtu').val();
		post.GiziImt = $('#gizi_imt').val();

		post.GiziStatus = $('#gizi_status').val();

		post.GiziStatusBiokimia = $('#gizi_status_biokimia').val();
		post.GiziMasalahBiokimia = $('#gizi_masalah_biokimia').val();

		post.GiziStatusKlinis = $('#gizi_status_klinis').val();
		post.GiziMasalahKlinis = $('#gizi_masalah_klinis').val() ;

		post.GiziAlergiMakanan = $('#gizi_alergi_makanan').val() ;

		post.GiziPolaMakan = $('#gizi_pola_makan').val();
		post.GiziSusunanMakanan = $('#gizi_susunan_makanan').val();


		post.GiziPemberianMakan = $('#gizi_alergi_makanan').val() ;
		post.GiziPemberianASI = $('#gizi_pemberian_asi').val();


		console.log( $("#gizi_hipertensi").is(':checked') );

		post.GiziRiwayatPenyakitDahulu = '';
		if( $("#gizi_hipertensi").is(':checked') ) {
			if( post.GiziRiwayatPenyakitDahulu ) {
				post.GiziRiwayatPenyakitDahulu = post.GiziRiwayatPenyakitDahulu + ',' + 'HIPERTENSI';
			} else {
				post.GiziRiwayatPenyakitDahulu = 'HIPERTENSI';
			}
		}
		if( $("#gizi_dm").is(':checked') ) {
			if( post.GiziRiwayatPenyakitDahulu ) {
				post.GiziRiwayatPenyakitDahulu = post.GiziRiwayatPenyakitDahulu + ',' + 'DM';
			} else {
				post.GiziRiwayatPenyakitDahulu = 'DM';
			}
		}
		if( $("#gizi_jantung").is(':checked') ) {
			if( post.GiziRiwayatPenyakitDahulu ) {
				post.GiziRiwayatPenyakitDahulu = post.GiziRiwayatPenyakitDahulu + ',' + 'JANtUNG';
			} else {
				post.GiziRiwayatPenyakitDahulu = 'JANtUNG';
			}
		}
		if( $("#gizi_ginjal").is(':checked') ) {
			if( post.GiziRiwayatPenyakitDahulu ) {
				post.GiziRiwayatPenyakitDahulu = post.GiziRiwayatPenyakitDahulu + ',' + 'GINJAL';
			} else {
				post.GiziRiwayatPenyakitDahulu = 'GINJAL';
			}
		}
		post.GiziRiwayatPenyakitDahuluLainLain = $("#gizi_riwayat_penyakit_dahulu_lain_lain").val() ? $("#gizi_riwayat_penyakit_dahulu_lain_lain").val() : $("#gizi_riwayat_penyakit_dahulu_lain_lain").text();

		post.GiziNafsuMakan = '';
		if( $("#gizi_nafsu_makan_baik").is(':checked') ) {
			if( post.GiziNafsuMakan ) {
				post.GiziNafsuMakan = post.GiziNafsuMakan + ',' + 'BAIK';
			} else {
				post.GiziNafsuMakan = 'BAIK';
			}
		}
		if( $("#gizi_nafsu_makan_kurang").is(':checked') ) {
			if( post.GiziNafsuMakan ) {
				post.GiziNafsuMakan = post.GiziNafsuMakan + ',' + 'KURANG';
			} else {
				post.GiziNafsuMakan = 'KURANG';
			}
		}
		if( $("#gizi_nafsu_makan_sulit_menelan").is(':checked') ) {
			if( post.GiziNafsuMakan ) {
				post.GiziNafsuMakan = post.GiziNafsuMakan + ',' + 'SULIT MENELAN';
			} else {
				post.GiziNafsuMakan = 'SULIT MENELAN';
			}
		}
		if( $("#gizi_nafsu_makan_sulit_mengunyah").is(':checked') ) {
			if( post.GiziNafsuMakan ) {
				post.GiziNafsuMakan = post.GiziNafsuMakan + ',' + 'SULIT MENGUNYAH';
			} else {
				post.GiziNafsuMakan = 'SULIT MENGUNYAH';
			}
		}
		if( $("#gizi_nafsu_makan_mual").is(':checked') ) {
			if( post.GiziNafsuMakan ) {
				post.GiziNafsuMakan = post.GiziNafsuMakan + ',' + 'MUAL';
			} else {
				post.GiziNafsuMakan = 'MUAL';
			}
		}
		if( $("#gizi_nafsu_makan_mual").is(':checked') ) {
			if( post.GiziNafsuMakan ) {
				post.GiziNafsuMakan = post.GiziNafsuMakan + ',' + 'MUNTAH';
			} else {
				post.GiziNafsuMakan = 'MUNTAH';
			}
		}

		post.DiagnosaGizi = '';
		if( $("#diagnosa_gizi_1").is(':selected') ) {
			if( post.DiagnosaGizi ) {
				post.DiagnosaGizi = post.DiagnosaGizi + ',' + 'Tidak ada masalah gizi [NO-1.1]';
			} else {
				post.DiagnosaGizi = 'Tidak ada masalah gizi [NO-1.1]';
			}
		}
		if( $("#diagnosa_gizi_2").is(':selected') ) {
			if( post.DiagnosaGizi ) {
				post.DiagnosaGizi = post.DiagnosaGizi + ',' + 'Kekurangan intake makanan dan minuman oral [NI-2.1]';
			} else {
				post.DiagnosaGizi = 'Kekurangan intake makanan dan minuman oral [NI-2.1]';
			}
		}
		if( $("#diagnosa_gizi_3").is(':selected') ) {
			if( post.DiagnosaGizi ) { 
			post.DiagnosaGizi = post.DiagnosaGizi + ',' + 'Peningkatan kebutuhan zat gizi [NI-5.1]';
			} else { post.DiagnosaGizi = 'Peningkatan kebutuhan zat gizi [NI-5.1]'; } 
		}
		if( $("#diagnosa_gizi_4").is(':selected') ) {  if( post.DiagnosaGizi ) { post.DiagnosaGizi = post.DiagnosaGizi + ',' + 'Penurunan kebutuhan zat gizi [NI-5.4]'; } else { post.DiagnosaGizi = 'Penurunan kebutuhan zat gizi [NI-5.4]'; } }
		if( $("#diagnosa_gizi_5").is(':selected') ) {  if( post.DiagnosaGizi ) { post.DiagnosaGizi = post.DiagnosaGizi + ',' + 'Tidak konsisten dalam mengonsumsi KH [NI-5.8.4]'; } else { post.DiagnosaGizi = 'Tidak konsisten dalam mengonsumsi KH [NI-5.8.4]'; } }
		if( $("#diagnosa_gizi_6").is(':selected') ) {  if( post.DiagnosaGizi ) { post.DiagnosaGizi = post.DiagnosaGizi + ',' + 'Malnutrisi [NC-4.1]'; } else { post.DiagnosaGizi = 'Malnutrisi [NC-4.1]'; } }
		if( $("#diagnosa_gizi_7").is(':selected') ) {  if( post.DiagnosaGizi ) { post.DiagnosaGizi = post.DiagnosaGizi + ',' + 'Pengetahuan yang kurang dikaitkan pangan dan gizi [NB-1.1]'; } else { post.DiagnosaGizi = 'Pengetahuan yang kurang dikaitkan pangan dan gizi [NB-1.1]'; } }
		if( $("#diagnosa_gizi_8").is(':selected') ) {  if( post.DiagnosaGizi ) { post.DiagnosaGizi = post.DiagnosaGizi + ',' + 'Kekeliruan pola makan [NB-1.5]'; } else { post.DiagnosaGizi = 'Kekeliruan pola makan [NB-1.5]'; } }
		if( $("#diagnosa_gizi_9").is(':selected') ) {  if( post.DiagnosaGizi ) { post.DiagnosaGizi = post.DiagnosaGizi + ',' + 'Intake makanan yang tidak aman [NB-3.1]'; } else { post.DiagnosaGizi = 'Intake makanan yang tidak aman [NB-3.1]'; } }

		post.GiziIntervensi = $('#gizi_intervensi').val();

		post.GiziKalori = $('#gizi_kalori').val();
		post.GiziProtein = $('#gizi_protein').val();
		post.GiziLemak = $('#gizi_lemak').val();
		post.GiziKarbohidrat = $('#gizi_karbohidrat').val();

		post.GiziDiit = $('#gizi_diit').val();

		post.GiziBentukMakanan = '';
		if( $("#gizi_nasi").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'NASI';
			} else {
				post.GiziBentukMakanan = 'NASI';
			}
		}
		if( $("#gizi_tim").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'TIM';
			} else {
				post.GiziBentukMakanan = 'TIM';
			}
		}
		if( $("#gizi_bk").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'BK';
			} else {
				post.GiziBentukMakanan = 'BK';
			}
		}
		if( $("#gizi_bk_cincang").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'BK-CINCANG';
			} else {
				post.GiziBentukMakanan = 'BK-CINCANG';
			}
		}
		if( $("#gizi_bh_cincang_kaldu").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'BH-CINCANG-KALDU';
			} else {
				post.GiziBentukMakanan = 'BH-CINCANG-KALDU';
			}
		}
		if( $("#gizi_bh_gula").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'BH-GULA';
			} else {
				post.GiziBentukMakanan = 'BH-GULA';
			}
		}
		if( $("#gizi_bh_ge").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'BH-GE';
			} else {
				post.GiziBentukMakanan = 'BH-GE';
			}
		}
		if( $("#gizi_cair").is(':checked') ) {
			if( post.GiziBentukMakanan ) {
				post.GiziBentukMakanan = post.GiziBentukMakanan + ',' + 'CAIR';
			} else {
				post.GiziBentukMakanan = 'CAIR';
			}
		}

		post.GiziPemberianMakan = '';
		if( $("#gizi_oral").is(':checked') ) {
			if( post.GiziPemberianMakan ) {
				post.GiziPemberianMakan = post.GiziPemberianMakan + ',' + 'ORAL';
			} else {
				post.GiziPemberianMakan = 'ORAL';
			}
		}
		if( $("#gizi_enteral").is(':checked') ) {
			if( post.GiziPemberianMakan ) {
				post.GiziPemberianMakan = post.GiziPemberianMakan + ',' + 'ENTERAL';
			} else {
				post.GiziPemberianMakan = 'ENTERAL';
			}
		}
		if( $("#gizi_parenteral").is(':checked') ) {
			if( post.GiziPemberianMakan ) {
				post.GiziPemberianMakan = post.GiziPemberianMakan + ',' + 'PARENTERAL';
			} else {
				post.GiziPemberianMakan = 'ENTERAL';
			}
		}

		post.GiziFrekuensi = $('#gizi_frekuensi').val();
		post.GiziMonitoring = $("#gizi_monitoring").val();

		post.GiziEvaluasi = $("#gizi_evaluasi").val();
		
		post.GiziNutrisionisId = $('#nama_nutrisionis').val();

		post.FormLaporanGizi = "Y";
		post.GiziTanggalPengisian = $('#tanggal_pengisian').val();
		post.GiziJamPengisian = $('#jam_pengisian').val();
		
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveAssessmentAwalGizi')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
				} else if( result.status != 'error' ){
					toastr.info( result.message , 'Informasi');
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				hideLoader();
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$("#gizi_status").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_biokimia").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_status_klinis").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pola_makan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_susunan_makanan").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_pemberian_asi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '220px !important;'
		, allow_single_deselect: true
	});
	$("#gizi_diagnosa").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$("#gizi_evaluasi").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	$('#nama_nutrisionis').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});

};

$('#content').ready(function(){
	FormGizi();
});

</script>