<?php
function tempTumbuhKembang($objPatientNursing = null, $prefix = null){
    /**
     * dipakai: dokter-anak, ...., ....
     */
    $ori_LingkarKepala = $prefix.'LingkarKepala';
    $edit_LingkarKepala = $prefix.'LingkarKepalaEdit';
    $ori_BeratBadan = $prefix.'BeratBadan';
    $edit_BeratBadan = $prefix.'BeratBadanEdit';
    $ori_PanjangBadan = $prefix.'PanjangBadan';
    $edit_PanjangBadan = $prefix.'PanjangBadanEdit';
    $ori_AsiSampaiUmur = $prefix.'AsiSampaiUmur';
    $edit_AsiSampaiUmur = $prefix.'AsiSampaiUmurEdit';
    $ori_SusuFormula = $prefix.'SusuFormula';
    $edit_SusuFormula = $prefix.'SusuFormulaEdit';
    $ori_MakanTambahan = $prefix.'MakanTambahan';
    $edit_MakanTambahan = $prefix.'MakanTambahanEdit';
    $ori_Tengkurap = $prefix.'Tengkurap';
    $edit_Tengkurap = $prefix.'TengkurapEdit';
    $ori_Duduk = $prefix.'Duduk';
    $edit_Duduk = $prefix.'DudukEdit';
    $ori_Merangkak = $prefix.'Merangkak';
    $edit_Merangkak = $prefix.'MerangkakEdit';
    $ori_Berdiri = $prefix.'Berdiri';
    $edit_Berdiri = $prefix.'BerdiriEdit';
    $ori_Berjalan = $prefix.'Berjalan';
    $edit_Berjalan = $prefix.'BerjalanEdit';
    $ori_MasaNeonatus = $prefix.'MasaNeonatus';
    $edit_MasaNeonatus = $prefix.'MasaNeonatusEdit';
    $ori_MasaNeonatusUraian = $prefix.'MasaNeonatusUraian';
    $edit_MasaNeonatusUraian = $prefix.'MasaNeonatusUraianEdit';
    $ori_Jaundice = $prefix.'Jaundice';
    $edit_Jaundice = $prefix.'JaundiceEdit';
    $ori_JaundiceUraian = $prefix.'JaundiceUraian';
    $edit_JaundiceUraian = $prefix.'JaundiceUraianEdit';
    $ori_KelainanTumbuhKembang = $prefix.'KelainanTumbuhKembang';
    $edit_KelainanTumbuhKembang = $prefix.'KelainanTumbuhKembangEdit';

    $LingkarKepala = $objPatientNursing->$edit_LingkarKepala ? $objPatientNursing->$edit_LingkarKepala : $objPatientNursing->$ori_LingkarKepala;
    $BeratBadan = $objPatientNursing->$edit_BeratBadan ? $objPatientNursing->$edit_BeratBadan : $objPatientNursing->$ori_BeratBadan;
    $PanjangBadan = $objPatientNursing->$edit_PanjangBadan ? $objPatientNursing->$edit_PanjangBadan : $objPatientNursing->$ori_PanjangBadan;
    $AsiSampaiUmur = $objPatientNursing->$edit_AsiSampaiUmur ? $objPatientNursing->$edit_AsiSampaiUmur : $objPatientNursing->$ori_AsiSampaiUmur;
    $SusuFormula = $objPatientNursing->$edit_SusuFormula ? $objPatientNursing->$edit_SusuFormula : $objPatientNursing->$ori_SusuFormula;
    $MakanTambahan = $objPatientNursing->$edit_MakanTambahan ? $objPatientNursing->$edit_MakanTambahan : $objPatientNursing->$ori_MakanTambahan;
    $Tengkurap = $objPatientNursing->$edit_Tengkurap ? $objPatientNursing->$edit_Tengkurap : $objPatientNursing->$ori_Tengkurap;
    $Duduk = $objPatientNursing->$edit_Duduk ? $objPatientNursing->$edit_Duduk : $objPatientNursing->$ori_Duduk;
    $Merangkak = $objPatientNursing->$edit_Merangkak ? $objPatientNursing->$edit_Merangkak : $objPatientNursing->$ori_Merangkak;
    $Berdiri = $objPatientNursing->$edit_Berdiri ? $objPatientNursing->$edit_Berdiri : $objPatientNursing->$ori_Berdiri;
    $Berjalan = $objPatientNursing->$edit_Berjalan ? $objPatientNursing->$edit_Berjalan : $objPatientNursing->$ori_Berjalan;
    $MasaNeonatus = $objPatientNursing->$edit_MasaNeonatus ? $objPatientNursing->$edit_MasaNeonatus : $objPatientNursing->$ori_MasaNeonatus;
    $MasaNeonatusUraian = $objPatientNursing->$edit_MasaNeonatusUraian ? $objPatientNursing->$edit_MasaNeonatusUraian : $objPatientNursing->$ori_MasaNeonatusUraian;
    $Jaundice = $objPatientNursing->$edit_Jaundice ? $objPatientNursing->$edit_Jaundice : $objPatientNursing->$ori_Jaundice;
    $JaundiceUraian = $objPatientNursing->$edit_JaundiceUraian ? $objPatientNursing->$edit_JaundiceUraian : $objPatientNursing->$ori_JaundiceUraian;
    $KelainanTumbuhKembang = $objPatientNursing->$edit_KelainanTumbuhKembang ? $objPatientNursing->$edit_KelainanTumbuhKembang : $objPatientNursing->$ori_KelainanTumbuhKembang;
?>
<div class="row">
    <div class="col-md-6 mb-2">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-165"><b>Lingkar Kepala Saat Lahir:</b></span></span>
            <input type="text" class="form-control" name="lingkarkepala" id="lingkarkepala" placeholder="" value="<?php echo $LingkarKepala; ?>">
            <span class="input-group-addon"><span class="text-55">cm</span></span>
        </div>
    </div>
    <div class="col-md-6 mb-2">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-165"><b>Berat Badan Saat Lahir:</b></span></span>
            <input type="text" class="form-control" name="beratbadan" id="beratbadan" placeholder="" value="<?php echo $BeratBadan; ?>">
            <span class="input-group-addon"><span class="text-55">gram</span></span>
        </div>
    </div>
    <div class="col-md-6 mb-2">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-165"><b>Panjang Badan:</b></span></span>
            <input type="text" class="form-control" name="panjang" id="panjang" placeholder="" value="<?php echo $PanjangBadan; ?>">
            <span class="input-group-addon"><span class="text-55">cm</span></span>
        </div>
    </div>
    <div class="col-md-6 mb-2">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-165"><b>ASI Sampai Umur:</b></span></span>
            <input type="text" class="form-control" name="asi" id="asi" placeholder="" value="<?php echo $AsiSampaiUmur; ?>">
            <span class="input-group-addon"><span class="text-55">Bln/Tahun</span></span>
        </div>
    </div>
    <div class="col-md-6 mb-2">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-165"><b>Susu Formula Mulai:</b></span></span>
            <input type="text" class="form-control" name="sufor" id="sufor" placeholder="" value="<?php echo $SusuFormula; ?>">
            <span class="input-group-addon"><span class="text-55">Bln/Tahun</span></span>
        </div>
    </div>
    <div class="col-md-6 mb-2">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-165"><b>Makanan Tambahan Mulai:</b></span></span>
            <input type="text" class="form-control" name="makan" id="makan" placeholder="" value="<?php echo $MakanTambahan; ?>">
            <span class="input-group-addon"><span class="text-55">Bln/Tahun</span></span>
        </div>
    </div>
    <div class="col-md-6 mb-2">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-165"><b>Tengkurap:</b></span></span>
            <input type="text" class="form-control" name="tengkurap" id="tengkurap" placeholder="" value="<?php echo $Tengkurap; ?>">
            <span class="input-group-addon"><span class="text-55">Bulan</span></span>
        </div>
    </div>
    <div class="col-md-6 mb-2">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-165"><b>Duduk:</b></span></span>
            <input type="text" class="form-control" name="duduk" id="duduk" placeholder="" value="<?php echo $Duduk; ?>">
            <span class="input-group-addon"><span class="text-55">Bulan</span></span>
        </div>
    </div>
    <div class="col-md-6 mb-2">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-165"><b>Merangkak:</b></span></span>
            <input type="text" class="form-control" name="merangkak" id="merangkak" placeholder="" value="<?php echo $Merangkak; ?>">
            <span class="input-group-addon"><span class="text-55">Bulan</span></span>
        </div>
    </div>
    <div class="col-md-6 mb-2">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-165"><b>Berdiri:</b></span></span>
            <input type="text" class="form-control" name="berdiri" id="berdiri" placeholder="" value="<?php echo $Berdiri; ?>">
            <span class="input-group-addon"><span class="text-55">Bulan</span></span>
        </div>
    </div>
    <div class="col-md-6 mb-2">
        <div class="input-group">
            <span class="input-group-addon"><span class="text-165"><b>Berjalan:</b></span></span>
            <input type="text" class="form-control" name="berjalan" id="berjalan" placeholder="" value="<?php echo $Berjalan; ?>">
            <span class="input-group-addon"><span class="text-55">Bulan</span></span>
        </div>
    </div>
    <div class="col-md-12 mb-2">
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="radio-inline"><b>Masa Neonatus: </b></label>
            <label class="radio-inline masaneonatus"><input type="radio" name="masaneonatus" id="masaneonatustidak" value="TIDAK ADA" <?= $MasaNeonatus == 'TIDAK ADA' ? 'checked' : '' ?>>Tidak Ada</label>
            <label class="radio-inline masaneonatus"><input type="radio" name="masaneonatus" id="masaneonatusada" value="ADA" <?= $MasaNeonatus == 'ADA' ? 'checked' : '' ?>>Ada</label>
        </div>
    </div>
    <div class="col-md-12 mb-2 ">
        <div class="form-group" style="padding: 0 15px;">
            <label for="uraianmasaneonatus"><b>Jelaskan:</b></label>
            <textarea class="form-control" rows="2" id="uraianmasaneonatus" name="uraianmasaneonatus" placeholder=""><?= $MasaNeonatusUraian ? $MasaNeonatusUraian : '' ?></textarea>
        </div>
    </div>
    <div class="col-md-12">
        <div class="form-group">
            <label class="radio-inline"><b>Jaundice / RDS / PJB / Kelainan kongenital: </b></label>
            <label class="radio-inline jaundice"><input type="radio" name="jaundice" id="jaundiceya" value="YA" <?= $Jaundice == 'YA' ? 'checked' : '' ?>>Ada</label>
            <label class="radio-inline jaundice"><input type="radio" name="jaundice" id="jaundicetidak" value="TIDAK" <?= $Jaundice == 'TIDAK' ? 'checked' : '' ?>>Tidak Ada</label>
        </div>
    </div>
    <div class="col-md-12 mb-2 ">
        <div class="form-group" style="padding: 0 15px;">
            <label for="uraianjaundice"><b>Jelaskan:</b></label>
            <textarea class="form-control" rows="2" id="uraianjaundice" name="uraianjaundice" placeholder=""><?= $JaundiceUraian ? $JaundiceUraian : '' ?></textarea>
        </div>
    </div>
    <div class="col-md-12 mb-2">
        <div class="form-group" style="padding: 0 15px;">
            <label for="ktks"><b>Kelainan Tumbuh Kembang Sekarang:</b></label>
            <textarea class="form-control" rows="2" id="ktks" name="ktks" placeholder=""><?= $KelainanTumbuhKembang ? $KelainanTumbuhKembang : '' ?></textarea>
        </div>
    </div>
</div>

<script>
    var segmenTumbuhKembang = {
        stateEditMasaNeonatus : false,
        stateEditJaundice : false,
        ambilValue : function (){
            var obj = {};
            obj.LingkarKepala = $('#lingkarkepala').val();
            obj.BeratBadan = $('#beratbadan').val();
            obj.PanjangBadan = $('#panjang').val();
            obj.AsiSampaiUmur = $('#asi').val();
            obj.SusuFormula = $('#sufor').val();
            obj.MakanTambahan = $('#makan').val();
            obj.Tengkurap = $('#tengkurap').val();
            obj.Duduk = $('#duduk').val();
            obj.Merangkak = $('#merangkak').val();
            obj.Berdiri = $('#berdiri').val();
            obj.Berjalan = $('#berjalan').val();
            obj.MasaNeonatus = $("input[name='masaneonatus']:checked").val() ? $("input[name='masaneonatus']:checked").val() : '';
            if(obj.MasaNeonatus == 'ADA'){
                obj.MasaNeonatusUraian = $('#uraianmasaneonatus').val();
            }
            obj.Jaundice = $("input[name='jaundice']:checked").val() ? $("input[name='jaundice']:checked").val() : '';
            if(obj.Jaundice == 'YA'){
                obj.JaundiceUraian = $('#uraianjaundice').val();
            }
            obj.KelainanTumbuhKembang = $('#ktks').val();

            return obj;
        },
        ambilValueEdit : function (){
            var obj = {};
            var lingkarkepala = $('#lingkarkepala');
            var beratbadan = $('#beratbadan');
            var panjang = $('#panjang');
            var asi = $('#asi');
            var sufor = $('#sufor');
            var makan = $('#makan');
            var tengkurap = $('#tengkurap');
            var duduk = $('#duduk');
            var merangkak = $('#merangkak');
            var berdiri = $('#berdiri');
            var berjalan = $('#berjalan');
            var ktks = $('#ktks');

            if(lingkarkepala.data('status') == 'edit'){
                obj.LingkarKepala = lingkarkepala.val();
            }
            if(beratbadan.data('status') == 'edit'){
                obj.BeratBadan = beratbadan.val();
            }
            if(panjang.data('status') == 'edit'){
                obj.PanjangBadan = panjang.val();
            }
            if(asi.data('status') == 'edit'){
                obj.AsiSampaiUmur = asi.val();
            }
            if(sufor.data('status') == 'edit'){
                obj.SusuFormula = sufor.val();
            }
            if(makan.data('status') == 'edit'){
                obj.MakanTambahan = makan.val();
            }
            if(tengkurap.data('status') == 'edit'){
                obj.Tengkurap = tengkurap.val();
            }
            if(duduk.data('status') == 'edit'){
                obj.Duduk = duduk.val();
            }
            if(merangkak.data('status') == 'edit'){
                obj.Merangkak = merangkak.val();
            }
            if(berdiri.data('status') == 'edit'){
                obj.Berdiri = berdiri.val();
            }
            if(berjalan.data('status') == 'edit'){
                obj.Berjalan = berjalan.val();
            }
            if(this.stateEditMasaNeonatus){
                obj.MasaNeonatus = $("input[name='masaneonatus']:checked").val() ? $("input[name='masaneonatus']:checked").val() : '';
                if(obj.MasaNeonatus == 'ADA'){
                    obj.MasaNeonatusUraian = $('#uraianmasaneonatus').val();
                }
            }
            if(this.stateEditJaundice){
                obj.Jaundice = $("input[name='jaundice']:checked").val() ? $("input[name='jaundice']:checked").val() : '';
                if(obj.Jaundice == 'YA'){
                    obj.JaundiceUraian = $('#uraianjaundice').val();
                }
            }
            if(ktks.data('status') == 'edit'){
                obj.KelainanTumbuhKembang = ktks.val();
            }
            return obj;
        }
    }

    $("input[name='masaneonatus']").click(function(){
        segmenTumbuhKembang.stateEditMasaNeonatus = true;
    })
    $("input[name='jaundice']").click(function(){
        segmenTumbuhKembang.stateEditJaundice = true;
    })
</script>
<?php
}
?>