
<?php require (__DIR__ . '/../aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/../aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$strExecutionDir = dirname(__FILE__);
$prefix_funct = 'Keperawatan';

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
	$_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
	$strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
	$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

	$boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
	// $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
	$emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

	//$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
	$lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
	$umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

	if($objPatientNursing->Address){
		$al = array($objPatientNursing->Address);
	}else{
		$al = array($objPatientNursing->DomicilyAddress);
	}
	if ($objPatientNursing->DomicilyVillageName)
		$al[] = $objPatientNursing->DomicilyVillageName;
	if ($objPatientNursing->DomicilySubDistrictName)
		$al[] = $objPatientNursing->DomicilySubDistrictName;
	if ($objPatientNursing->DomicilyDistrictName)
		$al[] = $objPatientNursing->DomicilyDistrictName;
	if ($objPatientNursing->DomicilyProvinceName)
		$al[] = $objPatientNursing->DomicilyProvinceName;
	$alamat = implode(', ', $al);
	$alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

	// $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
	// $waktuakhir = date_create();
	$diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
	$umurDalamTahun = $diff->y;
} else {
	//$boolPelayanan = false;
	//$emergency = NULL;
	echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
	return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
	$objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
	if($objMedicalDoctor){
		/*
		$objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
		$objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
		$objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
		*/
	}
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->
<?php if($objPatientNursing){ ?>
	<script>
		strMode = '<?= $strMode ?>'; 
		strOriginalId = '<?= $strOriginId ?>';
		// alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
		// alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
		strFirstName = '<?= $objPatientNursing->FirstName; ?>';
		strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
		strNoMr = '<?= $objPatientNursing->Mr; ?>';
		strMr = '<?= $objPatientNursing->Mr; ?>';
		strPatientId = '<?= $objPatientNursing->PatientId; ?>';
		strId = '<?= $objPatientNursing->Id; ?>';
		boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
		strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
		strActivityId = null;
		intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
		strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
		strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
		strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
		boolSaveWithoutReload = false;
		formTime = '<?= $formTime?>';
		formId = '<?= $formId ?>';
		startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
		objPatientNursing = {
			 Id: '<?= $objPatientNursing->Id; ?>'
			 , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
			 , Mr: '<?= $objPatientNursing->Mr; ?>'
			 , FirstName: '<?= $objPatientNursing->FirstName; ?>'
			 , Gender: '<?= $objPatientNursing->Gender; ?>'
			 , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
			 , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
			 , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
			 , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
			 , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
			 , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
			 , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
			 , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
			 , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
			 , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
		 };
	</script>
<?php } else { ?>
	<script>
		strFirstName = '';
		strDateOfBirth = '';
		strNoMr = '';
		strMr = '';
		strPatientId = '';
		strId = '';
		boolSelesai = false;
		strActivityId = null;
		intNursingCategory = 0;
		boolSaveWithoutReload = false;
		formTime = '';
		formId = '';
		startRange = '';
		objPatientNuring = {};
	</script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#nama_versi{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<div class="row" style="margin-bottom: 10px;">
	<div class="col-md-12">
		<!--
		<h1 class="panel-title1">KEPERAWATAN RAWAT JALAN</h1>
		-->
		<h1 class="panel-title1">CATATAN PERKEMBANGAN PASIEN TERINTEGRASI</h1>
	</div>
</div>

<div class="row">
	<div class="col-sm-11">

		<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
			<div class="box-header">
				<i class="fa fa-user"></i>
				<h3 class="box-title">Data Pasien</h3>
			</div>
			<div class="box-body">
				<div class="row">
					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Nama</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ? $objPatientNursing->FullName : $objPatientNursing->FirstName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Alamat</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Umur</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
							</div>
						</div>

					</div>
					<div class="col-md-6">
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
							<div class="col-sm-8">
								<input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
							</div>
						</div>

					</div>
				</div>
			</div>
		</div>

		<?php if($objPatientNursing->KeperawatanVerifikasi){?>
		<div class="row">
			<div class="col-md-1"></div>
			<div class="col-md-6">
				<div class="callout callout-success">
					<h3><i class="fa fa-key"></i> Tanda Tangan!</h3>
					<p>Data telah ditandatangani dengan Signature<br>
					<b><?= $objPatientNursing->KeperawatanVerifikasi ?></b>
					</p>
				</div>
			</div>
			<div class="col-md-5">
				<div id="koreksi" class="callout callout-warning" style="">
					<h3><i class="fa fa-key"></i> Koreksi Data!</h3>
					<p><b>Perhatian !!!</b>Semua data yang di koreksi akan disalin dan ditandai<br>
					</p>
				</div>
			</div>
		</div>
		<?php } ?>


<div id="FormPage">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<?php
					require (__DOCROOT__ . __SUBDIRECTORY__ . '/src/ddfa-form-medis-rajal/template-input/vital-sign-std.php');
					tpltVitalSign($objPatientNursing, $prefix_funct);
					?>
				</div>
			</div>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<?php
					require (__DOCROOT__ . __SUBDIRECTORY__ . '/src/ddfa-form-medis-rajal/template-input/gcs.php');
					tpltGcs($objPatientNursing, $prefix_funct);
					?>
				</div>
			</div>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<?php
					require (__DOCROOT__ . __SUBDIRECTORY__ . '/src/ddfa-form-medis-rajal/template-input/subjective.php');
					tpltSubjective($objPatientNursing, $prefix_funct);
					?>
				</div>
			</div>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<?php
					require (__DOCROOT__ . __SUBDIRECTORY__ . '/src/ddfa-form-medis-rajal/template-input/objective.php');
					tpltObjective($objPatientNursing, $prefix_funct);
					?>
				</div>
			</div>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<?php
					require (__DOCROOT__ . __SUBDIRECTORY__ . '/src/ddfa-form-medis-rajal/template-input/assesment.php');
					tpltAssesment($objPatientNursing, $prefix_funct);
					?>
				</div>
			</div>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<?php
					require (__DOCROOT__ . __SUBDIRECTORY__ . '/src/ddfa-form-medis-rajal/template-input/plan.php');
					tpltPlan($objPatientNursing, $prefix_funct);
					?>
				</div>
			</div>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<div class="row" style="margin-bottom: 5px;">
						<div class="col-md-12">
							<label class="control-label" for="konsultasi">
								<b>Konsultasi Online / Elektronis</b>
							</label>
							<div class="">
								<textarea id="konsultasi" name="konsultasi" class="form-control" placeholder="Konsultasi Online / Elektronis"><?= $konsultasi ?></textarea>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<div class="row" style="margin-bottom: 5px;">
						<div class="col-md-4">
							<div class="input-group">
								<span class="input-group-addon"><span class="text-35"><b>Waktu Pengisian</b></span></span>
								<input data-proses="OK" type="text" class="form-control datetimepicker" name="waktu_pengisian" id="waktu_pengisian" placeholder="Waktu Pengisian" value="<?= '' ?>">
							</div>
						</div>
					</div>
				</div>
			</div>
			<script>
			var segmenKonsultasi = {
				ambilValue : function (){
					return {
						Konsultasi : $('#konsultasi').val()
					}
				},
				ambilValueEdit : function (){
					var obj = {};
					var konsultasi = $('#konsultasi');
					if(konsultasi.data('status') == 'edit'){
						obj.Konsultasi = konsultasi.val();
					}
					return obj;
				}
			}
			</script>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<div class="row" style="margin-bottom: 5px;">
						<div class="col-md-12">
							<label class="control-label" for="jawaban_konsultasi">
								<b>Jawaban Konsultasi</b>
							</label>
							<div class="">
								<textarea id="jawaban_konsultasi" name="jawaban_konsultasi" class="form-control" placeholder="Jawaban Konsultasi"><?= $jawaban_konsultasi ?></textarea>
							</div>
						</div>
					</div>
				</div>
			</div>
			<script>
			var segmenJawabanKonsultasi = {
				ambilValue : function (){
					return {
						JawabanKonsultasi : $('#jawaban_konsultasi').val()
					}
				},
				ambilValueEdit : function (){
					var obj = {};
					var jawaban_konsultasi = $('#jawaban_konsultasi');
					if(jawaban_konsultasi.data('status') == 'edit'){
						obj.JawabanKonsultasi = jawaban_konsultasi.val();
					}
					return obj;
				}
			}
			</script>

			<!--
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<div class="row" style="margin-bottom: 5px;">
						<div class="col-md-12">
							<label class="control-label" for="diit_besok_pagi">
								<b>Diit Besok Pagi</b>
							</label>
							<div class="">
								<textarea id="diit_besok_pagi" name="diit_besok_pagi" class="form-control" placeholder="Diit Besok Pagi"><?= $diit_besok_pagi ?></textarea>
							</div>
						</div>
					</div>
				</div>
			</div>
			<script>
			var segmenDiitBesokPagi = {
				ambilValue : function (){
					return {
						DiitBesokPagi : $('#diit_besok_pagi').val()
					}
				},
				ambilValueEdit : function (){
					var obj = {};
					var diit_besok_pagi = $('#diit_besok_pagi');
					if(diit_besok_pagi.data('status') == 'edit'){
						obj.DiitBesokPagi = diit_besok_pagi.val();
					}
					return obj;
				}
			}
			</script>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<div class="row" style="margin-bottom: 5px;">
						<div class="col-md-12">
							<label class="control-label" for="diit_besok_siang">
								<b>Diit Besok Siang</b>
							</label>
							<div class="">
								<textarea id="diit_besok_siang" name="diit_besok_siang" class="form-control" placeholder="Diit Besok Siang"><?= $diit_besok_siang ?></textarea>
							</div>
						</div>
					</div>
				</div>
			</div>
			<script>
			var segmenDiitBesokSiang = {
				ambilValue : function (){
					return {
						DiitBesokSiang : $('#diit_besok_siang').val()
					}
				},
				ambilValueEdit : function (){
					var obj = {};
					var diit_besok_siang = $('#diit_besok_siang');
					if(diit_besok_siang.data('status') == 'edit'){
						obj.DiitBesokSiang = diit_besok_siang.val();
					}
					return obj;
				}
			}
			</script>

			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
				<div class="box-body">
					<div class="row" style="margin-bottom: 5px;">
						<div class="col-md-12">
							<label class="control-label" for="diit_besok_sore">
								<b>Diit Besok Sore</b>
							</label>
							<div class="">
								<textarea id="diit_besok_sore" name="diit_besok_sore" class="form-control" placeholder="Diit Besok Sore"><?= $diit_besok_sore ?></textarea>
							</div>
						</div>
					</div>
				</div>
			</div>
			<script>
			var segmenDiitBesokSore = {
				ambilValue : function (){
					return {
						DiitBesokSore : $('#diit_besok_sore').val()
					}
				},
				ambilValueEdit : function (){
					var obj = {};
					var diit_besok_sore = $('#diit_besok_sore');
					if(diit_besok_sore.data('status') == 'edit'){
						obj.DiitBesokSore = diit_besok_sore.val();
					}
					return obj;
				}
			}
			</script>
			-->

	<div class="box box-info form-horizontal box-info-pasien">
		<div class="box-header with-border" style="">
			  <span class="box-title" style="margin-bottom:0px;"><b>UPLOAD LAMPIRAN CPPT </b></span>
		</div>
		<div class="box-body" style="padding-bottom:20px;">
			<div class="row">
				<div class="col-md-12">
					<a id="upload_expertises" class="btn btn-primary"> Upload <span><span class="CountUpload">0</span>/3</span></a> 
				</div>
				<div class="col-md-12">
					<script>
					 
					function ModalHasilExpertise(urlfile, title) {
						$('.modal-hasil-title').text(title);
						$('.modal-hasil-expertise').html('<img src="'+urlfile+'">');
						$('#modalGambarExpertise').modal('show');
					};
								
					function deleteItem(id) {
						var _deleteItem = function() {
							showLoader();
							jQuery.fallr('hide', function () {
								var formTime = '<?= $formTime?>';
								var formId = '<?= $formId ?>';
								var request = $.post('<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/PatientNursingAssessment/DeleteLampiranCPPT',{'pageId' : sessionStorage.pageId,'formId' : formId,'formTime' : formTime,'id' : id});
								request.done(function(response){
									hideLoader();
									if(response.status == 'success')
									{
										toastr[response.status](response.message,'Informasi');
										//console.log(response.IdFile)
										$('.'+response.IdFile).remove();
										$(".img_upload_container").css("min-height","0");
										var countUpload = parseInt($('.CountUpload').text())
										countUpload -= 1;
										$('.CountUpload').text(countUpload);
										$('#upload_expertises').removeClass('disabled');
									}
									else
									{
										var first = response.status.substr(0,1).toUpperCase();
										var last = response.status.substr(1).toLowerCase();
										toastr[response.type](response.message,first+last);
									}
								});
								request.fail(function() {
									toastr['warning']('Halaman tidak ditemukan', 'Peringatan');
								});
							});
						};

						jFallr(
							'Perhatian !!! ' + '<br />' +
							'Hapus data ' + '<br />' +
							'Mohon konfirmasi hapus [ Ya / Tidak ] !'
							, _deleteItem
						);

					}
					</script>
					<div class="img_upload_container" style="min-height:0;transition:0.5s;">
					
					</div>
				</div>
			</div>
		</div>
	</div>

</div>
			<div class="box box-info form-horizontal" style="padding-bottom: 25px;">
				<div class="box-body">
					<div class="row">
						<div class="col-md-12">
								<a href="#" disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</a>
								<a href="#" class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan </a>
							<!--<?php
							if($objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4'){
							?>
							 <button>Simpan</button> 
							<?php
							}
							?>
							<?php if($objPatientNursing->KeperawatanVerifikasi){ ?>
								<button class="btn btn-danger" id="btn-modal-perubahan"><i class="fa fa-pencil"></i> Simpan Perubahan</button>
								<button class="btn btn-danger" id="btn-modal-konfirmasi-edit"><i class="fa fa-pencil"></i> Edit</button>
								<a href="#" id="cetak-laporan" class="btn btn-warning"><i class="fa fa-print"></i> Cetak Laporan</a>
							<?php } else { ?>
								
								<a href="#" class="btn btn-danger" id="open-modal"><i class="fa fa-pencil"></i> Simpan &amp; Tanda Tangan</a>
								<a href="#" disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Draft</a>
								
								<a href="#" disabled class="btn btn-success" id="tombol-save-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan</a>
								<a href="#" class="btn btn-success" id="tombol-save"><i class="fa fa-save"></i> Simpan </a>
							<?php } ?>
							<a href="#" class="page-tindakan btn btn-default">Kembali ke Tindakan</a> -->
						</div>
					</div>
				</div>
			</div>

		<!-- </form> -->
	</div>
</div>

<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

		<div>
			<hr>
			<label><b>Password</b></label>
            <input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
			<div class="checkbox">
				<label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
			</div>
		</div>
	  </div>
	  <div class="modal-footer">
	  <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button>
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>

<!-- Modal -->
<div id="modalMicroLaringoscopy" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Upload Lampiran Laporan Operasi</h4>
	  </div>
	  <div class="modal-body">
		<form>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">No RM</div>
				<div class="col-sm-8">
					<input type="text" class="form-control" value="<?= $objPatientNursing->Mr ?>" readonly>
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Nama</div>
				<div class="col-sm-8">
					<input type="text" class="form-control" value="<?= $objPatientNursing->FirstName ?>" readonly>
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Upload Data</div>
				<div class="col-sm-8">
					<input type="file" name="file_micro_laringoscopy" id="file_micro_laringoscopy" class="form-control">
				</div>
			</div>
			<div class="row" style="padding-top: 2px">
				<div class="col-sm-4">Deskripsi</div>
				<div class="col-sm-8">
					<textarea name="deskripsi_file_micro_laringoscopy" id="deskripsi_file_micro_laringoscopy" class="form-control"></textarea>
				</div>
			</div>
		<form>
	  </div>
	  <div class="modal-footer">
		<button type="button" id="simpanMicroLaringoscopy" class="btn btn-success">Simpan</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	  </div>
	</div>

  </div>
</div>


<!-- Modal -->
<div id="modalGambarExpertise" class="modal fade" role="dialog">
  <div class="modal-dialog modal-lg">

<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title modal-hasil-title">Hasil Expertise</h4>
	  </div>
	  <div class="modal-body modal-hasil-expertise">
	  <img style="width:100%;overflow:hidden;border-radius:10px;" src="">
	  </div>
	  <div class="modal-footer">
		<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
	  </div>
	</div>
  </div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">


$('.datetimepicker').datetimepicker({
  format: 'Y-m-d H:i:s',
  autoclose: true
});

	var countUpload = parseInt($('.CountUpload').text());
	if (countUpload > 2) {
		$('#upload_expertises').addClass('disabled');
		console.log('berhasil');
	} 

$('#content').ready(function(){	

	$('#content').off('click', '#upload_expertises').on('click', '#upload_expertises', function () {
		$('#modalMicroLaringoscopy').modal('show');
	});
	
	$('#simpanMicroLaringoscopy').click(function(){
		var fd = new FormData();
		var files = $('#file_micro_laringoscopy')[0].files;
		
		// Check file selected or not
		if(files.length == 0 ){
			alert("Please select a file.");
			return null;
		}
		fd.append("pageId", strPageId);
		fd.append("actorId", strActorId);
		fd.append("nursingId", '<?= $objPatientNursing->Id ?>');
		fd.append("department", '<?= $objPatientNursing->DepartmentId ?>');
		fd.append("keyId", '<?= $strExamId ?>');

		fd.append('deskripsifile', $('#deskripsi_file_micro_laringoscopy').val());
		fd.append('file',files[0]);

		$.ajax({
			url: '<?= QApplication::UrlActionCreator('PatientNursingAssessment/UploadLampiranCPPT')?>',
			type: 'post',
			data: fd,
			contentType: false,
			processData: false,
			success: function(response){
				if(response.status == 'success'){
					$('#modalMicroLaringoscopy').modal('hide');
					toastr.info(response.message,'Informasi');
					$(".img_upload_container").css("min-height","300px");
					var urlFile = "<?= QApplication::UrlCreator('control/'.base64_encode(QApplication::$ModulName.'/'.QApplication::$ActionName))?>/HospitalFileService/Content/?pageId="+sessionStorage.strPageId+"&Id=" + response.id;
					var deleteFile = "deleteItem('"+response.id+"')";
					var modalUrlFile = "ModalHasilExpertise('"+response.urlFile+"')";
					var countUpload = parseInt($('.CountUpload').text())
					countUpload += 1;
					$('.CountUpload').text(countUpload);
					if ( countUpload > 2 ) {$('#upload_expertises').addClass('disabled');}
					setTimeout(function() {
					  $('.img_upload_container').append('<div class="hasil_upload_cover ' + response.id + '" data-id="'+ response.id +'"><img class="hasil_upload" onclick="'+modalUrlFile+'" src="'+urlFile+'" ><span onclick="'+deleteFile+'" class="delete_upload">&times;</span></div>');
					  $("div#info-time").click();
					}, 500);
				}else{
					alert('file not uploaded');
				}
			},
		});
	})	
	
var ObjectData = {};
ObjectData.Nyeri = '<?= $objPatientNursing->GeneralNyeri ?>';
console.log('ks nyeri:'+ObjectData.Nyeri)
// var drawer;


function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

$(document).ready(function() {
	$('#tombol-save-loading').hide();
});

<?php
	if($objPatientNursing->DepartmentName){
		$namaDepartemen = $objPatientNursing->DepartmentName;
	}elseif($objPatientNursing->TransferDepartmentId){
		$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->TransferDepartmentId);
		$namaDepartemen = $objDepartment->Name;
	}elseif($objPatientNursing->StartCheckinDepartmentId){
		$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->StartCheckinDepartmentId);
		$namaDepartemen = $objDepartment->Name;
	}
	?>
function kirimData(mode){
	ObjectData.pageId = strPageId;
	ObjectData.actorId = strActorId;
	ObjectData.nursingId = '<?= $strId ?>'; //nursing id
	ObjectData.department = '<?= $objPatientNursing->DepartmentId ?>';
	ObjectData.departmentName = '<?= $namaDepartemen ?>';
	
	ObjectData.vWaktuPengisian = $('#waktu_pengisian').val();
	
	ObjectData.vLampiranCPPT1 = $('.hasil_upload_cover').eq(0).attr("data-id");
	ObjectData.vLampiranCPPT2 = $('.hasil_upload_cover').eq(1).attr("data-id");
	ObjectData.vLampiranCPPT3 = $('.hasil_upload_cover').eq(2).attr("data-id");

	if(mode == 'DRAF'){
		ObjectData.Password = null;
		ObjectData.UserId = null;
	}else if('VERIFIKASI'){
		ObjectData.Password = $('#password').val();
		ObjectData.UserId = strStaffId;
	}else{
		return null;
	}
	ObjectData.Mode = mode;

	var ObjectVitalSign = segmenVitalSign.ambilValue();
	var ObjectGcs = segmenGcs.ambilValue();
	var ObjectSubjective = segmenSubjective.ambilValue();
	var ObjectObjective = segmenObjective.ambilValue();
	var ObjectAssesment = segmenAssesment.ambilValue();
	var ObjectPlan = segmenPlan.ambilValue();
	var ObjectKonsultasi = segmenKonsultasi.ambilValue();
	var ObjectJawabanKonsultasi = segmenJawabanKonsultasi.ambilValue();
	//var ObjectDiitBesokPagi = segmenDiitBesokPagi.ambilValue();
	//var ObjectDiitBesokSiang = segmenDiitBesokSiang.ambilValue();
	//var ObjectDiitBesokSore = segmenDiitBesokSore.ambilValue();

	var ObjectDataKirim = Object.assign({},
		ObjectData,
		ObjectVitalSign,
		ObjectGcs,
		ObjectSubjective,
		ObjectObjective,
		ObjectAssesment,
		ObjectPlan,
		ObjectKonsultasi,
		ObjectJawabanKonsultasi,
		//ObjectDiitBesokPagi,
		//ObjectDiitBesokSiang,
		//ObjectDiitBesokSore
	);

	console.log(ObjectDataKirim)
	$.ajax({
		url: "<?= QApplication::UrlActionCreator('PatientNursingAssessment/StandartDokter')?>"
		, success: function(result){
			if(result.status == 'error'){
				parent.toastr.error(result.message, 'Informasi');
			}else{
				parent.toastr.info('Data Terkirim', 'Informasi');
				parent.boolChange = false;
				//parent.$('#asesmenanak').removeClass('btn-primary').addClass('btn-success').html('Klinik Anak <i style="color:yellow;" class="fa fa-check"></i>');
				parent.AppPage.hide();
			}
		}
		, timeout: 5* 60 * 1000
		, error: function(xhr,status,error){
			console.log(xhr);
			alert('Gagal menyimpan data');
		}
		, beforeSend: function(xhr){
			$('#tombol-save').hide();
			$('#tombol-save-loading').show();
			$('#float-loading').show();
			$('#float-simpan').hide();
		}
		, complete: function(xhr,status){
			$('#tombol-save').show();
			$('#tombol-save-loading').hide();
			$('#float-simpan').show();
			$('#float-loading').hide();
		}
		, type: "POST"
		, data: ObjectDataKirim
	});

}


function kirimPerubahan(){
	ObjectData.pageId = strPageId;
	ObjectData.actorId = strActorId;
	ObjectData.nursingId = '<?= $strId ?>'; //nursing id
	ObjectData.department = strDepartmentId;

	ObjectData.Password = $('#password').val();
	ObjectData.UserId = strStaffId;

	ObjectData.PrefixPost = '<?= $prefix_funct ?>';

	//gunakan ambilValueEdit() jangan pakai ambilValue() krn data edit saja yg dikirim
	var ObjectVitalSign = segmenVitalSign.ambilValueEdit();
	var ObjectGcs = segmenGcs.ambilValueEdit();
	var ObjectSubjective = segmenSubjective.ambilValueEdit();
	var ObjectObjective = segmenObjective.ambilValueEdit();
	var ObjectAssesment = segmenAssesment.ambilValueEdit();
	var ObjectPlan = segmenPlan.ambilValueEdit();
	var ObjectKonsultasi = segmenKonsultasi.ambilValue();
	var ObjectJawabanKonsultasi = segmenJawabanKonsultasi.ambilValue();
	//var ObjectDiitBesokPagi = segmenDiitBesokPagi.ambilValue();
	//var ObjectDiitBesokSiang = segmenDiitBesokSiang.ambilValue();
	//var ObjectDiitBesokSore = segmenDiitBesokSore.ambilValue();

	var ObjectDataKirim = Object.assign({},
		ObjectData,
		ObjectVitalSign,
		ObjectGcs,
		ObjectSubjective,
		ObjectObjective,
		ObjectAssesment,
		ObjectPlan,
		ObjectKonsultasi,
		ObjectJawabanKonsultasi,
		//ObjectDiitBesokPagi,
		//ObjectDiitBesokSiang,
		//ObjectDiitBesokSore
	);

	console.log(ObjectDataKirim)
	$.ajax({
		url: "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/EditKeperawatan')?>", 
		success: function(result){
			if(result.status == 'error'){
				toastr.error(result.message, 'Informasi');
			}
			else{
				toastr.info('Perubahan Terkirim', 'Informasi');
				window.location.reload();
			}
		},
		timeout: 5* 60 * 1000,
		error: function(xhr,status,error){
			console.log(xhr);
			alert('Gagal menyimpan data | '+ status);
		},
		beforeSend: function(xhr){
			$('#tombol-save').hide();
			$('#tombol-save-loading').show();
		},
		complete: function(xhr,status){
			$('#tombol-save').show();
			$('#tombol-save-loading').hide();
		},
		type: "POST",
		data: ObjectDataKirim
	});
}

$('#content').off('click', '#open-modal').on('click', '#open-modal', function () {
	$('#modal-area').modal("show");
	$('#tandatangani').show();
	$('#tandatanganiperubahan').hide();
});

$('#content').off('click', '#btn-modal-perubahan').on('click', '#btn-modal-perubahan', function () {
	$('#modal-area').modal("show");
	$('#tandatanganiperubahan').show();
	$('#tandatangani').hide();

});

$('#content').off('click', '#tombol-save, #float-simpan').on('click', '#tombol-save, #float-simpan', function (event) {
	event.preventDefault();
	console.log('simpan asesmen awal');
	kirimData('DRAF');
});

function validasiSimpan(){
	var password = $('#password');
	var checkSetuju = $('#check-setuju');

	if(!password.val()){
		toastr.warning('Password Masih Kosong', 'Peringatan');
		return null;
	}
	if(! checkSetuju.prop('checked')){
		toastr.warning('Anda Harus Menyetujui', 'Peringatan');
		return null;
	}
	return true;
}


$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
	if(validasiSimpan()){
		kirimData('VERIFIKASI');
	}
});


$('#content').off('click', '#tandatanganiperubahan').on('click', '#tandatanganiperubahan', function () {
	if(validasiSimpan()){
		kirimPerubahan();
	}
});

	
	$('#content').off('click', '#back').on('click', '#back', function(event){
		event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
	});

  
$('#content').off('click', '.page-tindakan').on('click', '.page-tindakan',function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();

});
$('#content').off('click','#float-kembali').on('click','#float-kembali',function(event){
        event.preventDefault();
        event.stopPropagation();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        back();
});



function openInNewTab(url) {
	var win = window.open(url, '_blank');
	win.focus();
} 

$('.input-date').datepicker({
	format: "dd-mm-yyyy",
	autoclose: true,
	endDate: null
});

function convertDateToISO(strDateIna) {
	return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}


$('#content').off('click', '#float-print').on('click','#float-print',function(){
	alert('under_construction')
});


$("input, textarea").attr('autocomplete', 'off');
<?php if($objPatientNursing->KeperawatanVerifikasi){ ?>
	$("#formasesmen input, #formasesmen textarea, #formasesmen select").prop('disabled', true);
	$('#btn-modal-konfirmasi-edit').show();
	$('#btn-modal-perubahan').hide();
	
	$('#btn-modal-konfirmasi-edit').click(function(){
		jFallr("Edit Dokumen Ini [Ya/Tidak]?",
			konfirmasiEditPerubahan,
			function(){
				jQuery.fallr('hide',function(){});
			}
		);
	});

	function konfirmasiEditPerubahan(){
		$("#formasesmen input, #formasesmen textarea, #formasesmen select").prop('disabled', false);
		$('#btn-modal-perubahan').show();
		$('#btn-modal-konfirmasi-edit').hide();
		jQuery.fallr('hide',function(){});
	}

	$("#formasesmen input, #formasesmen textarea, #formasesmen select").click(function(){
		$(this).data('status', 'edit'); //tanam state edit di element
	});

<?php } ?>
$('#float-print').hide()

});
</script>
<style>
.box-body, .box-footer{padding:10px;}
</style>

</div>
</div>
