<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>


<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!--<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
 <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">HAK DAN KEWAJIBAN PASIEN</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">


	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>
				<div class="row" style="margin-bottom: 2px; padding-top:50px;">
					<div class="" style="max-width:800px; margin:0 auto;padding:0px 50px;">
						<p  style="font-size:18px;text-align:center;"><b>HAK DAN KEWAJIBAN PASIEN</b></p></br>
						<b style="font-size:16px;">HAK PASIEN :</b></br>
						<b style="font-size:16px;">Dasar Hukum UNDANG-UNDANG NO.44 TAHUN 2009 PASAL 32</b>

						<div class='text-justify' style="padding-left:20px;">
							<table style="font-size:16px;">
								<tr style="vertical-align:top; ">
									<td>1.</td><td>Memperoleh informasi mengenai tata tertib dan peraturan yang berlaku di Rumah Sakit;</td>
								</tr>
								<tr style="vertical-align:top;">
									<td>2.</td><td>Memperoleh informasi tentang hak dan kewajiban pasien;</td>
								</tr>
								<tr style="vertical-align:top;">
									<td>3.</td><td>Memperoleh layanan yang manusiawi, adil, jujur, dan tanpa diskrimnasi;</td>
								</tr>
								<tr style="vertical-align:top;">
									<td>4.</td><td>Memperoleh layanan kesehatan yang bermutu sesuai dengan standar profesi dan standar prosedur operasional;</td>
								</tr>
								<tr style="vertical-align:top;">
									<td>5.</td><td>Memperoleh layannan yang efektif dan efisien sehingga pasien terhindar dari kerugian fisik dan materi;</td>
								</tr>
								<tr style="vertical-align:top;">
									<td>6.</td><td>Mengajukan pengaduan atas kualitas pelayanan yang didapatkan;</td></tr><tr style="vertical-align:top;">
									<td>7.</td><td>Memilih dokter dan kelas perawatan sesuai dengan keinginannya dan peraturan yang berlaku di Rumah Sakit;</td></tr><tr style="vertical-align:top;">
									<td>8.</td><td>Meminta konsultasi tentang penyakit yang dideritanya kepada dokter lain yang mempunyai Surat Izin Praktik (SIP) baik di dalam maupun di luar Rumah Sakit;</td></tr><tr style="vertical-align:top;">
									<td>9.</td><td>Mendapatkan privasi dan kerahasiaan penyakit yang diderita termasuk data-data medisnya;</td></tr><tr style="vertical-align:top;">
									<td>10.</td><td>Mendapat informasi yang meliputi doagnosis dan tata cara tindakan medis, tujuan tindakan medis, alternatif tindakan, risiko dan komplikasi yang mungkin terjadi, dan prognosis terhadap tindakan yang dilakukan serta perkiraan biaya pengobatan;</td></tr><tr style="vertical-align:top;">
									<td>11.</td><td>Memberikan persetujuan atau menolak atas tindakan yang akan dilakukan oleh tenaga kesehatan terhadap penyakit yang dideritanya;</td></tr><tr style="vertical-align:top;">
									<td>12.</td><td>Didampingi keluarganya yang dalam keadaan kritis;</td></tr><tr style="vertical-align:top;">
									<td>13.</td><td>Menjalankan ibadah sesuai agama atau kepercayaan yang dianutnya selama hal itu tidak mengganggu pasien lainnya;</td></tr style="vertical-align:top;">
									<td>14.</td><td>Memperoleh keamanan dan keselamatan dirinya selama dalam perawatan di Rumah Sakit;</td></tr><tr style="vertical-align:top;">
									<td>15.</td><td>Mengajukan usul, saran, perbaikan atas perlakuan Rumah Sakit terhadap dirinya;</td></tr><tr style="vertical-align:top;">
									<td>16.</td><td>Menolak pelayanan bimbingan rohani yang tidak sesuai dengan agama dan kepercayaan yang dianutnya;</td></tr><tr style="vertical-align:top;">
									<td>17.</td><td>Menggugat dan atau menuntut Rumah Sakit apabila Rumah Sakit diduga memberikan pelayanan yang tidak sesuai dengan standar baik secara perdata ataupun pidana; dan</td></tr><tr style="vertical-align:top;">
									<td>18.</td><td>Mengeluhkan pelayanan Rumah Sakit yang tidak sesuai dengan standar pelayanan melalui media cetak dan elektronik sesuai dengan ketentuan peraturan perundangan-undangan.</td></tr>
							</table></br>
							<b style="font-size:16px;">KEWAJIBAN PASIEN :</b>
							</br>
							<div  style="font-size:16px;">
								<table><tr style="vertical-align:top;">
										<td>1.</td><td>Pasien dan Keluarganya berkewajiban untuk mentaati segala peraturan dan tata tertib Rumah Sakit.</td></tr><tr style="vertical-align:top;">
										<td>2.</td><td>Pasien berkewajiban untuk mentaati segala instruksi dokter dan perawat dalam pengobatannya.</td></tr><tr style="vertical-align:top;">
										<td>3.</td><td>Pasien berkewajiban memberikan informasi dengan jujur dan selengkapnya tentang penyakit yang dideritanya kepada dokter yang merawat.</td></tr><tr style="vertical-align:top;">
										<td>4.</td><td>Pasien dan atau penanggungnya berkewajiban untuk melunasi semua imbalan atas jasa pelayanan Rumah Sakit / Dokter.</td></tr><tr style="vertical-align:top;">
										<td>5.</td><td>Pasien dan atau penanggungnya berkewajiban memenuhi hal-hal yang telah disepakati/ perjanjian yang telah dibuatnya.</td></tr style="vertical-align:top;">
								</table></div>
							</br>
								<p  style="font-size:16px;">Apabila Pasien belum dinyatakan pulang oleh DPJP tetapi Pasien / keluarga tetap bersikeras untuk pulang maka seluruh keputusan dan akibat lain-lain ( Medis dan Non Medis ) menjadi tanggung jawab pihak Pasien.
								</p>
								<p  style="font-size:16px;">Yang bertanda tangan di bawah ini menyatakan bahwa telah menerima informasi dan memahami Hak dan Kewajiban Pasien serta telah mengetahui tata tertib yang berlaku di Rumah Sakit Tingkat III Baladhika Husada.</p></br>




						</div>
				</div>
			</div>
		</div>
	</div>
</div>




<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:15px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
				<div class="col-md-6">
					<div class="row">
						<div class="col-md-6" style="margin-bottom:5px;">
							<label class="control-label" for="nama_hak"><b>Nama</b></label>
							<div class="input-group" style="width:100%;">
								<input type="text" class="form-control " name='nama_hak' id='nama_hak' placeholder="Nama" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->FullName ; ?>" readonly disabled>
							</div>
						</div>
						<div class="col-md-6" style="margin-bottom:5px;">
							<label class="control-label" for="no_rm_hak"><b>No.RM</b></label>
							<div class="input-group" style="width:100%;">
								<input type="text" class="form-control " name='no_rm_hak' id='no_rm_hak' placeholder="No.RM" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->Mr ; ?>"  readonly disabled>
							</div>
						</div>
						<div class="col-md-6" style="margin-bottom:5px;">
							<label class="control-label" for="jenis_kelamin_hak"><b>Jenis Kelamin</b></label>
							<div class="input-group" style="width:100%;"><?php $objPatientNursing->Gender == "MALE" ? $jenisKelamin = 'Laki-laki' : $jenisKelamin = 'Perempuan'; ?>
								<input type="text" class="form-control" name='jenis_kelamin_hak' id='jenis_kelamin_hak' placeholder="Jenis Kelamin" autocomplete="off" style="width: 100%;" value="<?= $jenisKelamin ; ?>" readonly disabled>
							</div>
						</div>
						<div class="col-md-6" style="margin-bottom:5px;">
							<label class="control-label" for="tanggal_lahir_hak"><b>Tanggal Lahir</b></label>
							<div class="input-group" style="width:100%;">
								<input type="text" class="form-control" name='tanggal_lahir_hak' id='tanggal_lahir_hak' placeholder="Tanggal Lahir" autocomplete="off" style="width: 100%;" value="<?= $lahir ; ?>"  readonly disabled>
							</div>
						</div>
						<div class="col-md-12" style="margin-bottom:5px;">
							<label class="control-label" for="wali_keluarga"><b>Wali / Keluarga</b></label>
							<div class="input-group" style="width:100%;">
								<input type="text" class="form-control" name='wali_keluarga' id='wali_keluarga' placeholder="Isi jika diwakilkan" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vWaliKeluargaHKP ; ?>">
							</div>
						</div>
						<div class="col-md-12" style="margin-bottom:5px;">
							<label class="control-label" for="tanggal_pengisian_hkp"><b>Tanggal Pengisian</b></label>
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;background:#;" >
									<div style="width: 20px; text-align:center;font-size:18px;" ><i class="fa fa-calendar" aria-hidden="true"></i></div>
								</span>
								<input type="text" class="form-control input-date" name='tanggal_pengisian_hkp' id='tanggal_pengisian_hkp' placeholder="Tanggal Pengisian" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vTanggalPengisianHKP != "" ? $objPatientNursing->vTanggalPengisianHKP : date("d-m-Y") ; ?>" data-mask="00-00-0000">
							</div>
						</div>
						<div class="col-md-12" style="margin-bottom:5px;">
							<label class="control-label" for="jam_pengisian_hkp"><b>Jam Pengisian</b></label>
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;background:#;" >
									<div style="width: 20px; text-align:center;font-size:18px;" ><i class="fa fa-clock-o" aria-hidden="true"></i></div>
								</span>
								<input type="text" class="form-control timepicker" name='jam_pengisian_hkp' id='jam_pengisian_hkp' placeholder="Jam Pengisian" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vJamPengisianHKP != "" ? $objPatientNursing->vJamPengisianHKP : date("H:i") ; ?>" data-mask="00:00">
							</div>
						</div>
					</div>
					<?php $objSystemUser = SystemUser::LoadById($objUser->Id); ?>
					<div class="row">
						<div class="col-md-12" style="margin-top:25px;">
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
									<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Petugas</b></div>
								</span>
								<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="petugas_hkp" id="petugas_hkp" data-placeholder="Petugas">
								<option value="<?= $objPatientNursing->vPetugasHKPId != "" ? $objPatientNursing->vPetugasHKPId : $objSystemUser->ReferenceId ; ?>" selected ><?= $objPatientNursing->vPetugasHKPNama != "" ? $objPatientNursing->vPetugasHKPNama : ( $objSystemUser->ReferenceId ? HmisRefEmployee::LoadById($objSystemUser->ReferenceId)->FirstName : $objSystemUser->FullName ); ?></option>
								</select>
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-6">
					<div class="col-md-12" style="">
						<div style="width: 100%; padding:3px 0px 0px 0px;text-align:center;" >
						<b>TANDA TANGAN WALI / PASIEN</b>
						</div>
					</div>
				<div class="col-md-12" style="">
					<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
					<div>
						<?php
						$sumberGambar = __USER_ASSETS__.'/images/putih.jpg';

						$gambarTersimpan = $objPatientNursing->vLokasiTandaTanganHakDanKewajiban ? $objPatientNursing->vLokasiTandaTanganHakDanKewajiban : $sumberGambar;
						?>
						<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
						<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
					</div>
					<div align="center">
						<canvas id="myCanvas" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
						<div style="display:inline-block;margin-top:10px;">
						<a href="#" class="btn btn-success btn-xs hideSelesai" id="edit">Mulai Tanda Tangan</a>
						<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Tanda Tangan</a>
						<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Tanda Tangan</a>
						<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Tanda Tangan</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>



</div>	


<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormHakDanKewajibanPasienModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormHakDanKewajibanPasienEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormHakDanKewajibanPasienEmployeeId)->FirstName.' ('.$objPatientNursing->vFormHakDanKewajibanPasienLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormHakDanKewajibanPasienLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormHakDanKewajibanPasienTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormHakDanKewajibanPasienTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormHakDanKewajibanPasienIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormHakDanKewajibanPasien) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormHakDanKewajibanPasienEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormHakDanKewajibanPasienEmployeeId)->FirstName.' ('.$objPatientNursing->vFormHakDanKewajibanPasienLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormHakDanKewajibanPasienLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormHakDanKewajibanPasienTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormHakDanKewajibanPasienTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormHakDanKewajibanPasienIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
	
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTandaTanganHakDanKewajiban ? $objPatientNursing->vLokasiTandaTanganHakDanKewajiban : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			parent.boolChange = true;
			$('#save').removeClass('disabled');
			$('#float-simpan').removeClass('disabled');
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar').click(function() {

			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD HKP');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDHakdanKewajiban')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})

		})

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	});
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function cetaklaporan() {
		parent.AppPrintPage.setTitle('Print Preview Hak dan Kewajiban Pasien')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('keperawatan-pasien/print-hak-dan-kewajiban') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('.koreksi, #float-koreksi').click(function(){
        parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
				$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false).trigger('chosen:updated');
				$('#validasi-modal, #float-validasi').removeClass('disabled'); 
				$('.koreksi').addClass('disabled'); 
				$('#float-koreksi').hide();
				$('#float-validasi').show();
                parent.jQuery.fallr('hide',function(){});
            },
            function(){
                parent.jQuery.fallr('hide',function(){});
            }
        );
    })
	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function (event) {
        event.preventDefault();
        event.stopPropagation();
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
		
	});
	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormHakDanKewajibanPasienModifiedVersion != "" ? $objPatientNursing->vFormHakDanKewajibanPasienModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});

	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('#petugas_hkp').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}


		post.WaliKeluargaHKP = $('#wali_keluarga').val();
		post.TanggalPengisianHKP = $('#tanggal_pengisian_hkp').val();
		post.JamPengisianHKP = $('#jam_pengisian_hkp').val();
		post.PetugasHKPId = $('#petugas_hkp').val();
		
		
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveHakdanKewajiban')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#float-validasi').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#hak_dan_kewajiban').removeClass('btn-primary').addClass('btn-success').html('Hak dan Kewajiban <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#hak_dan_kewajiban').removeClass('btn-primary').addClass('btn-success').html('Hak dan Kewajiban <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					parent.toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#float-simpan').show();
				$('#float-loading').hide();
				$('#save').show();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$('#petugas_hkp').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormHakDanKewajibanPasien ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormHakDanKewajibanPasienModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#versi_form').attr('placeholder', '~".$objPatientNursing->vFormHakDanKewajibanPasienModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>


});

</script>

</div>
</div>