<?php
$pageTitle = 'Index Pasien ';
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$level = System::GetValue('level',null,'string');
$strId = System::GetValue('Id',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}
if($strId){
    $objPatientNursing = HmisPatientNursing::LoadById($strId);
    $al = array($objPatientNursing->Address);
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
    $lahir = $strLahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    $json = json_decode($objPatientNursing->RegisterJson);
    $tindakanTanggal1 = $json->TindakanTanggal1;
    $tindakanTanggal2 = $json->TindakanTanggal2;
    $tindakanTanggal3 = $json->TindakanTanggal3;
    $tindakanTanggal4 = $json->TindakanTanggal4;
    $statusIndex = $json->StatusIndex;
    /*
     <option value="">Pilih Cara Pulang</option>
                            <option value="Sembuh">Sembuh</option>
                            <option value="Pulang Paksa / APS">Pulang Paksa / APS</option>
                            <option value="Dirujuk">Dirujuk</option>
                            <option value="Meninggal">Meninggal</option>
     */
    $arrayCaraPulang = array(
        '' => 'Pilih Cara Pulang',
        'Sembuh' => 'Sembuh',
        'Membaik' => 'Membaik',
        'Pulang Paksa' => 'Pulang Paksa / APS',
        'Dirujuk' => 'Dirujuk',
        'Dirujuk RS Lebih Tinggi' => 'Dirujuk RS Lebih Tinggi',
        'Dirujuk RS Lain' => 'Dirujuk RS Lain',
        'MRS' => 'Masuk Rawat Inap',
        'Meninggal' => 'Meninggal',
    );
    if ($objPatientNursing->NursingCategory == 1) {
        $pageTitle .= 'Rawat Jalan';
        $referer = $level == 1 ? 'terindex-rajal' : 'index-rajal';
        unset($arrayCaraPulang['Meninggal']);
    } elseif ($objPatientNursing->NursingCategory == 2) {
        $pageTitle .= 'IGD';
        $referer = $level == 1 ? 'terindex-radar' : 'index-radar';
    } elseif ($objPatientNursing->NursingCategory == 3) {
        $pageTitle .= 'Rawat Inap';
        $referer = $level == 1 ? 'terindex-ranap' : 'index-ranap';
        unset($arrayCaraPulang['MRS']);
    }

    $arrObjCompetence = HrisRefCompetence::LoadAll();
}

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');
?>
<style>
.form-horizontal .form-group {margin-bottom: 10px;}
</style>

<?php
if($objPatientNursing->NursingCategory == '3' && $objPatientNursing->CurrentState != '5'){
?>
    <div class="row">
        <div class="col-md-2"></div>
        <div class="col-md-8" style="margin: 10px 0; border-left: 6px solid red; padding: 10px; text-align: left; background-color: #fcc;">
            <h4>PERINGATAN</h4>
            <b><?= $objPatientNursing->DepartmentName ?> belum melakukan Checkout pada Pasien ini.</b><br>
            Harap hubungi ruangan sebelum melakukan proses lebih lanjut.
        </div>
        <div class="col-md-2"></div>
    </div>
<?php
}
?>

<form id="form-krs" action="<?= QApplication::UrlActionCreator('PatientNursingMedicalRecord/SaveKRS')?>" role="form" class="form-horizontal">
    <input type="hidden" name="nursingId" value="<?= $objPatientNursing->Id ?>" />
    <input type="hidden" name="statusIndex" value="1" id="status-index">
<section class="panel">
    <header class="panel-heading">
        <!--<h2 class="panel-title">Tindakan Penunjang</h2>-->
        <!--<p class="panel-subtitle"></p>-->
    </header>
    <div class="panel-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FirstName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <?php if($objPatientNursing->NursingCategory == 3){ ?>
                    <div class="form-group">
                        <label class="col-sm-4 control-label" for="w1-username">DPJP</label>
                        <div class="col-sm-8">
                            <input type="text" class="form-control input-sm" id="dpjp" required value="<?= $objPatientNursing->DoctorName ?>" readonly>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-sm-4 control-label" for="w1-username">PPJP</label>
                        <div class="col-sm-8">
                            <?php
                            $strPpjp = "";
                            if($objPatientNursing->PpjpId){
                                $objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
                                $strPpjp = $objPpjp->FirstName;
                            }
                            ?>
                            <input type="text" class="form-control input-sm" id="ppjp" required value="<?= $strPpjp ?>" readonly>
                        </div>
                    </div>
                <?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Poli</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Keluar</label>
                    <div class="col-sm-8">
                        <div class="input-group input-append">
                            <input type="text" class="form-control input-sm" name="keluar" id="keluar" value="<?= $objPatientNursing->NursingEndDate ? $objPatientNursing->NursingEndDate->PhpDate('d-m-Y') : ''?>" >
                            <span class="input-group-addon add-on"><i class="fa fa-calendar"></i></span>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Setor</label>
                    <div class="col-sm-8">
                        <div class="input-group input-append">
                            <input type="text" class="form-control input-sm" name="setor" id="setor" value="<?= $objPatientNursing->DocumentBackBackDate ? $objPatientNursing->DocumentBackBackDate->PhpDate('d-m-Y') : ''?>" >
                            <span class="input-group-addon add-on"><i class="fa fa-calendar"></i></span>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter Pn.</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="dokter" id="dokter" value="<?= $objPatientNursing->DoctorName ?>" readonly>
                    </div>
                </div>
            </div>
        </div>

        <hr>

        <div class="row">
            <div class="col-md-12">
                <h4>Diagnosa</h4>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-3">
                        <input name="diagnosedesc1" type="text" class="form-control input-sm-2" id="diagnosedesc1" placeholder="Diagnosa Berkas" value="<?= $objPatientNursing->DiagnoseDescription1 ? $objPatientNursing->DiagnoseDescription1 : $objPatientNursing->AdmissionDiagnoseDescription1 ?>" />
                    </div>
                    <div class="col-sm-4">
                        <select name="diagnosecode1" id="diagnosecode1" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php 
                            $strDiagnoseCode1 = $objPatientNursing->DiagnoseCode1 ? $objPatientNursing->DiagnoseCode1 : $objPatientNursing->AdmissionDiagnoseCode1 ;
                            if ($strDiagnoseCode1) {
                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($strDiagnoseCode1);
                                ?>
                            <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                            <?php } ?>
                        </select>
                    </div>
                    <div class="col-sm-2">
                        <select name="jenisKasus1" id="jenisKasus1" class="form-control input-sm-2" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <option value="">--Jenis Kasus 1--</option>
                            <option value="baru" <?= ( $objPatientNursing->DiagnoseCase1=='baru') ? 'selected' : '' ?>>Baru</option>
                            <option value="lama" <?= ( $objPatientNursing->DiagnoseCase1=='lama') ? 'selected' : '' ?>>Lama</option>
                        </select>
                    </div>
                    <div class="col-sm-1">
                        <span class="diagnoselabel1" style="font-weight: bold"></span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Diagnosa Sekunder</label>
                    <div class="col-sm-3">
                        <input name="diagnosedesc2" type="text" class="form-control input-sm-2" id="diagnosedesc2" placeholder="Diagnosa Berkas" value="<?= $objPatientNursing->DiagnoseDescription2 ? $objPatientNursing->DiagnoseDescription2 : $objPatientNursing->AdmissionDiagnoseDescription2 ?>"/>
                    </div>
                    <div class="col-sm-4">
                        <select name="diagnosecode2" id="diagnosecode2" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php 
                            $strDiagnoseCode2 = $objPatientNursing->DiagnoseCode2 ? $objPatientNursing->DiagnoseCode2 :$objPatientNursing->AdmissionDiagnoseCode2;
                            if ($strDiagnoseCode2) {
                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($strDiagnoseCode2);
                                ?>
                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                            <?php } ?>
                        </select>
                    </div>
                    <div class="col-sm-2">
                        <select name="jenisKasus2" id="jenisKasus2" class="form-control input-sm-2" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <option value="">--Jenis Kasus--</option>
                            <option value="baru" <?= ( $objPatientNursing->DiagnoseCase2=='baru') ? 'selected' : '' ?>>Baru</option>
                            <option value="lama" <?= ( $objPatientNursing->DiagnoseCase2=='lama') ? 'selected' : '' ?>>Lama</option>
                        </select>
                    </div>
                    <div class="col-sm-1">
                        <span class="diagnoselabel2" style="font-weight: bold"></span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Komplikasi 1</label>
                    <div class="col-sm-3">
                        <input name="diagnosedesc3" type="text" class="form-control input-sm-2" id="diagnosedesc3" placeholder="Diagnosa Berkas" value="<?= $objPatientNursing->DiagnoseDescription3 ? $objPatientNursing->DiagnoseDescription3 : $objPatientNursing->AdmissionDiagnoseDescription3 ?>"/>
                    </div>
                    <div class="col-sm-4">
                        <select name="diagnosecode3" id="diagnosecode3" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php 
                            $strDiagnoseCode3 = $objPatientNursing->DiagnoseCode3 ? $objPatientNursing->DiagnoseCode3 : $objPatientNursing->AdmissionDiagnoseCode3;
                            if ($strDiagnoseCode3) {
                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($strDiagnoseCode3);
                                ?>
                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                            <?php } ?>
                        </select>
                    </div>
                    <div class="col-sm-2">
                        <select name="jenisKasus3" id="jenisKasus3" class="form-control input-sm-2" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <option value="">--Jenis Kasus--</option>
                            <option value="baru" <?= ( $objPatientNursing->DiagnoseCase3=='baru') ? 'selected' : '' ?>>Baru</option>
                            <option value="lama" <?= ( $objPatientNursing->DiagnoseCase3=='lama') ? 'selected' : '' ?>>Lama</option>
                        </select>
                    </div>
                    <div class="col-sm-1">
                        <span class="diagnoselabel3" style="font-weight: bold"></span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Komplikasi 2</label>
                    <div class="col-sm-3">
                        <input name="diagnosedesc4" type="text" class="form-control input-sm-2" id="diagnosedesc4" placeholder="Diagnosa Berkas" value="<?= $objPatientNursing->DiagnoseDescription4 ? $objPatientNursing->DiagnoseDescription4 : $objPatientNursing->AdmissionDiagnoseDescription4 ?>" />
                    </div>
                    <div class="col-sm-4">
                        <select name="diagnosecode4" id="diagnosecode4" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php
                            $strDiagnoseCode4 = $objPatientNursing->DiagnoseCode4 ? $objPatientNursing->DiagnoseCode4 : $objPatientNursing->AdmissionDiagnoseCode4;
                            if ($strDiagnoseCode4) {
                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($strDiagnoseCode4);
                                ?>
                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                            <?php } ?>
                        </select>
                    </div>
                    <div class="col-sm-2">
                        <select name="jenisKasus4" id="jenisKasus4" class="form-control input-sm-2" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <option value="">--Jenis Kasus--</option>
                            <option value="baru" <?= ( $objPatientNursing->DiagnoseCase4=='baru') ? 'selected' : '' ?>>Baru</option>
                            <option value="lama" <?= ( $objPatientNursing->DiagnoseCase4=='lama') ? 'selected' : '' ?>>Lama</option>
                        </select>
                    </div>
                    <div class="col-sm-1">
                        <span class="diagnoselabel4" style="font-weight: bold"></span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Komplikasi 3</label>
                    <div class="col-sm-3">
                        <input name="diagnosedesc5" type="text" class="form-control input-sm-2" id="diagnosedesc5" placeholder="Diagnosa Berkas" value="<?= $objPatientNursing->DiagnoseDescription5 ?>"/>
                    </div>
                    <div class="col-sm-4">
                        <select name="diagnosecode5" id="diagnosecode5" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php 
                            $strDiagnoseCode5 = $objPatientNursing->DiagnoseCode5 ? $objPatientNursing->DiagnoseCode5 : $objPatientNursing->AdmissionDiagnoseCode5;
                            if ($strDiagnoseCode5) {
                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($strDiagnoseCode5);
                                ?>
                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                            <?php } ?>
                        </select>
                    </div>
                    <div class="col-sm-2">
                        <select name="jenisKasus5" id="jenisKasus5" class="form-control input-sm-2" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <option value="">--Jenis Kasus--</option>
                            <option value="baru" <?= ( $objPatientNursing->DiagnoseCase5=='baru') ? 'selected' : '' ?>>Baru</option>
                            <option value="lama" <?= ( $objPatientNursing->DiagnoseCase5=='lama') ? 'selected' : '' ?>>Lama</option>
                        </select>
                    </div>
                    <div class="col-sm-1">
                        <span class="diagnoselabel5" style="font-weight: bold"></span>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Komplikasi 4</label>
                    <div class="col-sm-3">
                        <input name="diagnosedesc6" type="text" class="form-control input-sm-2" id="diagnosedesc6" placeholder="Diagnosa Berkas" />
                    </div>
                    <div class="col-sm-4">
                        <select name="diagnosecode6" id="diagnosecode6" class="form-control input-sm-2 diagnosa" id="kompd" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>></select>
                    </div>
                    <div class="col-sm-2">
                        <select name="jenisKasus6" id="jenisKasus6" class="form-control input-sm-2" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <option value="">--Jenis Kasus--</option>
                            <option value="baru">Baru</option>
                            <option value="lama">Lama</option>
                        </select>
                    </div>
                    <div class="col-sm-1">
                        <span class="diagnoselabel6" style="font-weight: bold"></span>
                    </div>
                </div>
                <hr>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <h4>Tindakan</h4>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Tindakan 1</label>
                    <div class="col-sm-3">
                        <select name="tindakan1" id="tindakan1" class="form-control input-sm-2 tindakan" placeholder="Search Tindakan" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php if ($objPatientNursing->PlanningTreatmentCode1) {
                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->PlanningTreatmentCode1);
                                ?>
                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                            <?php } ?>
                        </select>
                    </div>
                    <div class="col-sm-4">
                        <input type="text" class="form-control input-sm" name="tindakanfree1" id="tindakanfree1" value="<?= $objPatientNursing->PlanningTreatmentDescription1 ?>"/>
                    </div>
                    <div class="col-sm-2">
                        <input type="text" value="<?= $tindakanTanggal1 ?>" class="form-control input-sm input-date" tabindex="8" name="tgl1" id="tgl1" placeholder="Tanggal" autocomplete="off">
                    </div>
                    <div class="col-sm-1">
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Tindakan 2</label>
                    <div class="col-sm-3">
                        <select name="tindakan2" id="tindakan2" class="form-control input-sm-2 tindakan" placeholder="Search Tindakan" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php if ($objPatientNursing->PlanningTreatmentCode2) {
                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->PlanningTreatmentCode2);
                                ?>
                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                            <?php } ?>
                        </select>
                    </div>
                    <div class="col-sm-4">
                        <input type="text" class="form-control input-sm" name="tindakanfree2" id="tindakanfree2" value="<?= $objPatientNursing->PlanningTreatmentDescription2 ?>"/>
                    </div>
                    <div class="col-sm-2">
                        <input type="text" value="<?= $tindakanTanggal2 ?>"class="form-control input-sm input-date" tabindex="10" name="tgl2" id="tgl2" placeholder="Tanggal" autocomplete="off">
                    </div>
                    <div class="col-sm-1">
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Tindakan 3</label>
                    <div class="col-sm-3">
                        <select name="tindakan3" id="tindakan3" class="form-control input-sm-2 tindakan" placeholder="Search Tindakan" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php if ($objPatientNursing->PlanningTreatmentCode3) {
                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->PlanningTreatmentCode3);
                                ?>
                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                            <?php } ?>
                        </select>
                    </div>
                    <div class="col-sm-4">
                        <input type="text"  class="form-control input-sm" name="tindakanfree3" id="tindakanfree3" value="<?= $objPatientNursing->PlanningTreatmentDescription3 ?>"/>
                    </div>
                    <div class="col-sm-2">
                        <input type="text" value="<?= $tindakanTanggal3 ?>" class="form-control input-sm input-date" tabindex="12" name="tgl3" id="tgl3" placeholder="Tanggal" autocomplete="off">
                    </div>
                    <div class="col-sm-1">
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Tindakan 4</label>
                    <div class="col-sm-3">
                        <select name="tindakan4" id="tindakan4" class="form-control input-sm-2 tindakan" placeholder="Search Tindakan" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php if ($objPatientNursing->PlanningTreatmentCode4) {
                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->PlanningTreatmentCode4);
                                ?>
                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                            <?php } ?>
                        </select>
                    </div>
                    <div class="col-sm-4">
                        <input type="text" class="form-control input-sm" name="tindakanfree4" id="tindakanfree4" value="<?= $objPatientNursing->PlanningTreatmentDescription4 ?>" />
                    </div>
                    <div class="col-sm-2">
                        <input type="text" value="<?= $tindakanTanggal4 ?>"class="form-control input-sm input-date" tabindex="14" name="tgl4" id="tgl4" placeholder="Tanggal" autocomplete="off">
                    </div>
                    <div class="col-sm-1">
                    </div>
                </div>
                <hr>

                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Dokter Pn.Jawab</label>
                    <div class="col-sm-4">
                        <select data-plugin-selecttwo class="form-control dokter" tabindex="14" title="" name="dokter" id="dokter" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php if($objPatientNursing&&$objPatientNursing->DoctorId) { ?>
                                <option value="<?= $objPatientNursing->DoctorId; ?>" selected ><?= $objPatientNursing->DoctorName; ?></option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <?php if ($objPatientNursing->NursingCategory == 3) { ?>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Dokter 1</label>
                    <div class="col-sm-4">
                        <select data-plugin-selectTwo class="form-control dokter" tabindex="15" title=""  name="dokter1" id="dokter1" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php if($objPatientNursing&&$objPatientNursing->DokterId1) { ?>
                                <option value="<?= $objPatientNursing->DokterId1; ?>" selected ><?= $objPatientNursing->DokterName1; ?></option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Dokter 2</label>
                    <div class="col-sm-4">
                        <select data-plugin-selectTwo tabindex="16" class="form-control dokter" title=""  name="dokter2" id="dokter2" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php if($objPatientNursing&&$objPatientNursing->DokterId2) { ?>
                                <option value="<?= $objPatientNursing->DokterId2; ?>" selected ><?= $objPatientNursing->DokterName2; ?></option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Dokter 3</label>
                    <div class="col-sm-4">
                        <select data-plugin-selectTwo class="form-control dokter" tabindex="15" title=""  name="dokter3" id="dokter3" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php if($objPatientNursing&&$objPatientNursing->DokterId3) { ?>
                                <option value="<?= $objPatientNursing->DokterId3; ?>" selected ><?= $objPatientNursing->DokterName3; ?></option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Dokter 4</label>
                    <div class="col-sm-4">
                        <select data-plugin-selectTwo tabindex="16" class="form-control dokter" title=""  name="dokter4" id="dokter4" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php if($objPatientNursing&&$objPatientNursing->DokterId4) { ?>
                                <option value="<?= $objPatientNursing->DokterId4; ?>" selected ><?= $objPatientNursing->DokterName4; ?></option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Dokter 5</label>
                    <div class="col-sm-4">
                        <select data-plugin-selectTwo tabindex="16" class="form-control dokter" title=""  name="dokter5" id="dokter5" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php if($objPatientNursing&&$objPatientNursing->DokterId5) { ?>
                                <option value="<?= $objPatientNursing->DokterId5; ?>" selected ><?= $objPatientNursing->DokterName5; ?></option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <?php }?>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Jenis SMF</label>
                    <div class="col-sm-4">
                        <select tabindex="17" class="form-control populate" title=""  name="smf" id="smf" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <option>-- Pilih SMF --</option>
                            <?php foreach ($arrObjCompetence as $objCompetence) {?>
                                <option value="<?= $objCompetence->Id .'::' . $objCompetence->Name ?>" <?= $objPatientNursing->CompetenceId == $objCompetence->Id ? 'selected' : ''?>><?= $objCompetence->Description ?></option>
                            <?php } ?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Cara Pulang</label>
                    <div class="col-sm-4">
                        <select tabindex="18" class="form-control populate" title=""  name="carapulang" id="carapulang" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                            <?php foreach ($arrayCaraPulang as $key => $value) { ?>
                            <option value="<?= $key?>" <?= $objPatientNursing->ReferalOutReason == $key ? 'selected' : ''?>><?= $value?></option>
                            <?php } ?>
                        </select>
                    </div>
                    <div class="form-group col-sm-6 modeDirujuk">
                        <label class="col-sm-4 control-label" for="w1-username">Dirujuk Ke</label>
                        <div class="col-sm-8">
                            <div class="row">
                                <div class="col-md-12">
                                    <input name="dirujukKe" id="dirujukKe" class="form-control" value="<?= $objPatientNursing->ReferalOutTo ?>">
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="form-group modeMeninggal">
                    <hr>
                    <label class="col-sm-2 control-label" for="w1-username">Waktu Meninggal</label>
                    <div class="col-sm-4">
                        <div class="row">
                            <div class="col-md-7">
                                <input name="tanggalMeninggal" id="tanggalMeninggal" class="form-control input-date" value="<?= $objPatientNursing->WaktuMeninggal ? $objPatientNursing->WaktuMeninggal->PhpDate('d-m-Y') : '' ?>">
                            </div>
                            <div class="col-md-5">
                                <input name="jamMeninggal" id="jamMeninggal" class="form-control input-time" value="<?= $objPatientNursing->WaktuMeninggal ? $objPatientNursing->WaktuMeninggal->PhpDate('H:i:s') : '' ?>">
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <hr>
        <div class="col-md-12" style="margin-top: 10px;margin-bottom: 10px;">
            <button type="button" id="kembali" class="mb-xs mt-xs mr-xs btn btn-default pull-left"><i class="fa fa-out"></i> Kembali</button>
            <?php if ($statusIndex < 2) {
                if ($level == 1) {
            ?>
            <a href="#" id="selesai" class="mb-xs mt-xs mr-xs btn btn-success pull-right" style="margin-left: 15px;"><i class="fa fa-check"></i> Selesai</a>
            <?php } ?>
            <a href="#" id="simpan" class="mb-xs mt-xs mr-xs btn btn-danger pull-right"><i class="fa fa-save"></i> Simpan</a>
            <!--<a href="index.php?x=history_pasien2&rm=412330" class="mb-xs mr-xs btn btn-warning pull-right disabled" target="_blank" style="margin-right: 10px;" ><i class="fa fa-cogs"> History Pasien</i></a>-->
            <?php } ?>
        </div>
    </div>
</section>
</form>

<div class="template" style="display: none;">
    <div class="col-md-12" style="margin-top: 20px;">
        <table width="100%" class="table" border="0" style="border-collapse: collapse; float: left;margin-bottom: -4px; ">
            <tr>
                <td class="td" style="padding-left: 2px; padding-top: 6px;">Diagnosa</td>
                <td class="td" style="width: 200px; padding-top: 2px;">
                    <select name="diagnosa" id="diagnosa" style="width: 200px;" tabindex="2">
                    </select>
                </td>
                <td class="td" style="padding-left: 2px; padding-top: 6px;">Kasus</td>
                <td style="padding-left: 2px; padding-top: 2px;">
                    <select class="form-control" name="kasus" id="kasus">
                        <option value="BARU">BARU</option>
                        <option value="LAMA">LAMA</option>
                    </select>
                </td>
                <td style="padding-left: 2px; padding-top: 2px;">
                    <a href="#" class="mb-xs mt-xs mr-xs btn btn-info" id="add-diagnosa" style="height: 30px; "><i class="fa fa-check"></i> OK</a>
                </td>
            </tr>
        </table>
    </div>
    <div class="col-md-12">
        <table id="patient_nursing_diagnosa_list" class="table table-striped table-hover table-responsive dataTable"></table>
    </div>
</div>
<script>
var statusIndex = <?= $statusIndex ? $statusIndex : '0' ?>;
if (statusIndex == 2) {
    $('#form-krs select, #form-krs input').addClass('disabled').prop('readonly', true);
}

$('.diagnosa').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , noresetSearch: true
        , processItems: function(data){
            return data;
        }
        , generateUrl: function(strSearch) {
            return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=diagnose&search=' + strSearch
        }
    }, {
        allow_single_deselect: true
    }).on('change', function(e) {
        var ini = $(this);
        var id = '.diagnoselabel' + ini.attr('id').substr(12,1);
        $(id).text(ini.val());
    });
}).trigger("change");

$('.tindakan').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            return data;
        }
        , generateUrl: function(strSearch) {
            return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=procedure&search=' + strSearch
        }
    }, {
        allow_single_deselect: true
    }).on('change', function(e) {
        // NOTHING
    });
});

$('.dokter').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
        }
    }, {
                allow_single_deselect: true //jejak jejak
            }).on('change', function(e) {
        // NOTHING
    });
});

$('#content').off('click', '#simpan').on('click', '#simpan', function() {
    $('#status-index').val(1);
    if( $('#diagnosecode1').val() && ! $('#jenisKasus1').val() ){
        jFallr('Jenis Kasus 1 Belum Terisi!', function () {
                    jQuery.fallr('hide');
                    $('#jenisKasus1').focus();
                }, null);
    }else if(! $('#smf').val() || $('#smf').val() == '-- Pilih SMF --' ){
        toastr['warning']('Jenis SMF masih kosong', 'Peringatan');
    }else if(! $('#diagnosecode1').val() ){
        toastr['warning']('Diagnose Code 1 masih kosong', 'Peringatan');
    }else{
        PatientNursingSave();
    }
});

$('#content').off('click', '#selesai').on('click', '#selesai', function() {
    $('#status-index').val(2);
    if( $('#diagnosecode1').val() && ! $('#jenisKasus1').val() ){
        jFallr('Jenis Kasus 1 Belum Terisi!', function () {
                    jQuery.fallr('hide');
                    $('#jenisKasus1').focus();
                }, null);
    }else if(! $('#diagnosecode1').val() ){
        toastr['warning']('Diagnose Code 1 masih kosong', 'Peringatan');
    }else if(! $('#smf').val() || $('#smf').val() == '-- Pilih SMF --' ){
        toastr['warning']('Jenis SMF masih kosong', 'Peringatan');
    }else if(! $('#carapulang').val() ){
        toastr['warning']('Cara Pulang masih kosong', 'Peringatan');
    }else if($('#carapulang').val() === 'Meninggal' && ($('#tanggalMeninggal').val() == "" || $('#jamMeninggal').val() == "")){
        toastr['warning']('Waktu meninggal masih kosong', 'Peringatan');
        return false;
    }
    
    else{
        PatientNursingSave();
    }
});

$('#content').off('click', '#kembali').on('click', '#kembali', function() {
    kembali();
});

function preAction(form) {
    // alert('Pre');
    return true;
}

function pageValidation(form) {
    // alert('Configuration Page');
    // alert('Validation');
    return true;
}

function completeAction(form) {
    // alert('Pre');
    return true;
}

function successAction(response) {}

function PatientNursingSave(){
    //if(boolPosting){ $.jnoty( 'Sedang menyimpan mohon ditunggu' , { theme: 'jnoty-default' , life: 4000 , closeTemplate: '' , position: 'bottom-right' , icon: '' }); return false; }
    //jQuery.fallr('hide',function(){});

    $( "#simpan" ).addClass('disabled');

    var oForm = $('#form-krs');
    var event = oForm.attr("event"); // alert(event);
    var event = oForm.attr("page");


    var progressBar = $(this).find('.progress-bar');
    $(oForm).ajaxSubmit({
        type: 'POST'
        //, beforeSubmit: function(){ $('#loader').show(); if (preAction) { preAction(); } }
        //, uploadProgress: function (event, position, total, percentComplete){
        //    //progressBar.width(percentComplete + '%');
        //    //progressBar.html('' + percentComplete + ' % Complete');
        //}
        , success: function(response){
            $('#loader').hide();
            if(response.status == 'success'){
                kembali();
            }else
                $( "#simpan" ).removeClass('disabled');
        }
        //, complete: function(){ $('#loader').hide(); if (completeAction) { completeAction(); enabledButton(); } }
        //, error: function(){ $('#loader').hide(); if (postFailed) { postFailed(); enabledButton(); } }
        , timeout: 5*60*1000
        , resetForm: false
    });
}

function kembali() {
    setContent('<?= QApplication::UrlCreator(QApplication::$ModulName.'/' . $referer)?>/','content');
}

function convertDateToISO(strDateIna) {
    return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}

(function(){
    var tanggal_masuk_moment = moment($('#masuk').val(),'DD/MM/YYYY');
    var tanggal_keluar_moment = moment($('#keluar').val(),'DD/MM/YYYY');
    var selisih_bulan_moment = tanggal_keluar_moment.diff(tanggal_masuk_moment,'months');
    console.log('moment selisih '+selisih_bulan_moment);
    if(selisih_bulan_moment >= 2){
        $('#keluar').css("background-color", "yellow");
    }
})();


//-------------
function switchModePerawatan(){
    var jenisPerawatan = $('#jenisPerawatan').val();
    switch(jenisPerawatan){
        case 'OPERATIF':
            $('.modePersalinan').hide();
            $('.modeKelahiran').hide();
            $('.modeOperatif').show();
        break;
        case 'PERSALINAN':
            $('.modeOperatif').hide();
            $('.modeKelahiran').hide();
            $('.modePersalinan').show();
        break;
        case 'KELAHIRAN':
            $('.modeOperatif').hide();
            $('.modePersalinan').hide();
            $('.modeKelahiran').show();
        break;
        default:
            $('.modeOperatif').hide();
            $('.modePersalinan').hide();
            $('.modeKelahiran').hide();
        break;

    }
}
switchModePerawatan();
$('#jenisPerawatan').change(switchModePerawatan);

function modeMeninggal(){
    var carapulang = $('#carapulang').val();
    if(carapulang == 'Meninggal'){
        $('.modeMeninggal').show();
    }else{
        $('.modeMeninggal').hide();
    }
}
modeMeninggal();
$('#carapulang').change(modeMeninggal);
//-----------------
$('.input-date').datepicker({
    format: "dd-mm-yyyy",
    autoclose: true,
    endDate: null
});

$('.input-date').inputmask('99-99-9999');
$('.input-time').inputmask('99:99:99');

$('.input-time').blur(function(elm){
    if($(elm.target).val()){
        var cekJam = $(elm.target).val();

        var aTime   = moment(cekJam, 'HH:mm:ss', true);
        var isTimeValid = aTime.isValid();
        if(! isTimeValid){
            toastr.warning('Format Jam Tidak Sesuai', 'Peringatan');
            $(elm.target).focus();
        }
    }
});
$('.input-date').blur(function(elm){
    if($(elm.target).val()){
        var cekTanggal = $(elm.target).val();

        var aDate   = moment(cekTanggal, 'DD-MM-YYYY', true);
        var isDateValid = aDate.isValid();
        if(! isDateValid){
            toastr.warning('Format Tanggal Tidak Sesuai', 'Peringatan');
            $(elm.target).focus();
        }
    }
});

function modeMeninggal(){
    var carapulang = $('#carapulang').val();
    if(carapulang == 'Meninggal'){
        $('.modeMeninggal').show();
    }else{
        $('.modeMeninggal').hide();
    }
}
modeMeninggal();
$('#carapulang').change(modeMeninggal);

function modeRujukan(){
    var carapulang = $('#carapulang').val();
    if(carapulang.includes('Dirujuk')){
        $('.modeDirujuk').show();
    }else{
        $('.modeDirujuk').hide();
    }
}
modeRujukan();
$('#carapulang').change(modeRujukan);
</script>
