<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>


<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}
$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!--<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
 <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>



<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:15px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
			<div class="row">
				<div class="" style="max-width:800px; margin:0 auto;padding:0px 50px;">
					<table  style="border-collapse:collapse;table-layout:fixed;width:100%;font-size:16px;" class="test">
						  <tr>
							<td colspan="100" style="text-align:center;font-size:18px;padding:15px;"><b>IDENTITAS PASIEN</b></td>
						  </tr>
						  <tr>
							<td colspan="35">Nama Pasien</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->FullName ?></td>
						  </tr>
						  <tr>
							<td colspan="35">Tempat / Tgl Lahir Pasien</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->PlaceOfBirth.' / '.$objPatientNursing->DateOfBirth->phpdate('d-m-Y') ; ?>, Umur : <?php
								$today = $objPatientNursing->NursingStartDate;
								$diff = $today->diff($objPatientNursing->DateOfBirth);
								echo $diff->y.' th';
							?>
							</td>    
						  </tr>
						  <tr>
							<td colspan="35">No. Identitas / KTP / Paspor / Sim</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->IdentityNumber; ?> <?= $objPatientNursing->FamilyNumber; ?></td>
						  </tr>
						  <tr>
							<td colspan="35">Jenis Kelamin</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= ($objPatientNursing->Gender == 'MALE')?'LAKI-LAKI' : 'PEREMPUAN' ?></td>    
						  </tr>
						  <tr>
							<td colspan="35">Pendidikan Terakhir</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->EducationDegreeDescription; ?></td>    
						  </tr>
						  <tr>
							<td colspan="35">Pekerjaan</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->OccupationDescription; ?></td>
						  </tr>
						  <tr>
							<td colspan="35">Tgl Masuk</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->NursingStartDate->phpdate('d-m-Y').', Jam : '.$objPatientNursing->NursingStartTime->phpdate('H:i:s'); ?></td>    
						  </tr>
						  <tr>
							<td colspan="35">Tgl Keluar</td>
							<td colspan="1">:</td>
							<td colspan="64"><?php
								if($objPatientNursing->NursingEndDate){
									$objPatientNursing->NursingEndDate->phpdate('d-m-Y').', Jam : '.$objPatientNursing->NursingEndTime->phpdate('H:i:s'); 
								};
								?>
							</td>
						  </tr>
						  <tr>
							<td colspan="35">Tgl Meninggal</td>
							<td colspan="1">:</td>
							<td colspan="64"><?php
								if($objPatientNursing->DeathDate){
									$objPatientNursing->DeathDate->phpdate('d-m-Y').', Jam : '.$objPatientNursing->DeathTime->phpdate('H:i:s'); 
								};

							?>
							</td>
						  </tr>
						  <tr>
							<td colspan="35">Alamat / Domisili</td>
							<td colspan="1">:</td>
							<td colspan="64"><?php
								$DomicilyAddress = $objPatientNursing->DomicilyAddress;
								if($objPatientNursing->DomicilyBlockNumber){
									$DomicilyBlockNumber = ' RT '.$objPatientNursing->DomicilyBlockNumber;
								}                
								if($objPatientNursing->DomicilyAreaNumber){
									$DomicilyAreaNumber = ' RW '.$objPatientNursing->DomicilyAreaNumber;
								}                
								if($objPatientNursing->DomicilyVillageName){
									$DomicilyVillageName = ' KEL/DESA '.$objPatientNursing->DomicilyVillageName;
								}
								if($objPatientNursing->DomicilySubDistrictName){
									$DomicilySubDistrictName = ' KEC. '.$objPatientNursing->DomicilySubDistrictName;
								}
								if($objPatientNursing->DomicilyDistrictName){
									if(strpos($objPatientNursing->DomicilyDistrictName,'KABUPATEN')!==false){
										$DomicilyDistrictName = str_replace('KABUPATEN','KAB.',$objPatientNursing->DomicilyDistrictName);
									} else {
										$DomicilyDistrictName = $objPatientNursing->DomicilyDistrictName;
									}
								}
								if($objPatientNursing->DomicilyProvinceName){
									$DomicilyProvinceName = ' PROP. '.$objPatientNursing->DomicilyProvinceName;
								}
								if($objPatientNursing->DomicilyCountry){
									$DomicilyCountry = ' NEGARA '.$objPatientNursing->DomicilyCountry;
								}
								
								echo
								$DomicilyAddress
								.$DomicilyBlockNumber
								.$DomicilyAreaNumber
								.$DomicilyVillageName
								.$DomicilySubDistrictName
								.$DomicilyDistrictName
								.$DomicilyCity
								.$DomicilyProvinceName
								.$DomicilyCountry
							
							; ?></td>
						  </tr>
						  <tr>
							<td colspan="35">Ruang Kelas</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->DepartmentName.' '.$objPatientNursing->PresentClassName ; ?></td>
						  </tr>
						  <tr>
							<td colspan="35">Status Perkawinan</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->MaritalStateDescription ?></td>
						  </tr>
						  <tr>
							<td colspan="35">Agama</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->ReligionDescription ?></td>
						  </tr>
						  <tr>
							<td colspan="35">Keyakinan</td>
							<td colspan="1">:</td>
							<td colspan="64"></td>
						  </tr>
						  <tr>
							<td colspan="35">Bahasa</td>
							<td colspan="1">:</td>
							<td colspan="64"><?php
								if(($objPatientNursing->DailyLanguage == '0')||(!$objPatientNursing->DailyLanguage)){
									echo '&nbsp;';
								} else if($objPatientNursing->DailyLanguage == '1'){
									echo 'INDONESIA';
								} else if($objPatientNursing->DailyLanguage == '2'){
									echo 'INGGRIS';
								} else if($objPatientNursing->DailyLanguage == '3'){
									echo 'DAERAH';
								} else {
									echo 'LAINNYA';
								}
							?></td>
						  </tr>
						  <tr>
							<td colspan="35">Suku Bangsa</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->EthnicDescription ?></td>
						  </tr>
						  <tr>
							<td colspan="35">Kewarganegaraan</td>
							<td colspan="1">:</td>
							<td colspan="64"><?php
								if(($objHmisPatient->CitizenShip == '0')||(!$objHmisPatient->CitizenShip)){
									echo '&nbsp;';
								} else if($objHmisPatient->CitizenShip == '1'){
									echo 'WNI';
								} else {
									echo 'WNA';
								}
							?></td>
						  </tr>
						  <tr>
							<td colspan="35">No. Telp Rumah / Hp</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= ($objPatientNursing->HomePhone != "") && ($objPatientNursing->MobilePhone  != "" ) ? $objPatientNursing->HomePhone ." / ". $objPatientNursing->MobilePhone :  ($objPatientNursing->HomePhone != "" ? $objPatientNursing->HomePhone : ($objPatientNursing->MobilePhone !="" ? $objPatientNursing->MobilePhone : "-" )) ?></td>
						  </tr>
						  <tr>
							<td colspan="35">Penanggung Jawab Pasien</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->EmergencyContact; ?></td>
						  </tr>
						  <tr>
							<td colspan="35">Hubungan Dengan Pasien</td>
							<td colspan="1">:</td>
							<td colspan="64"><?php
								if(($objPatientNursing->EmergencyContactRelation=='0')||(!$objPatientNursing->EmergencyContactRelation)){
									echo '&nbsp;';
								} else if($objPatientNursing->EmergencyContactRelation=='1'){
									echo 'AYAH';
								} else if($objPatientNursing->EmergencyContactRelation=='2'){
									echo 'IBU';
								} else if($objPatientNursing->EmergencyContactRelation=='3'){
									echo 'SAUDARA KANDUNG';
								} else if($objPatientNursing->EmergencyContactRelation=='4'){
									echo 'SAUDARA';
								} else if($objPatientNursing->EmergencyContactRelation=='5'){
									echo 'TEMAN';
								} else if($objPatientNursing->EmergencyContactRelation=='6'){
									echo 'SUAMI';
								} else if($objPatientNursing->EmergencyContactRelation=='7'){
									echo 'ISTRI';
								} else if($objPatientNursing->EmergencyContactRelation=='8'){
									echo 'ANAK';
								} else {
									echo $objPatientNursing->EmergencyContactRelation;
								}        
								; ?></td>
						  </tr>
						  <tr>
							<td colspan="35">Usia Penanggung Jawab</td>
							<td colspan="1">:</td>
							<td colspan="64"><?php
								if($objPatientNursing->EmergencyContactBirthOfDate){
									$today = $objPatientNursing->NursingStartDate;
									$diff = $today->diff($objPatientNursing->EmergencyContactBirthOfDate);
									echo $diff->y.' th';            
								}
							?></td>
						  </tr>
						  <tr>
							<td colspan="35">Pekerjaan Penanggung Jawab</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->EmergencyContactOccupation; ?></td>
						  </tr>
						  <tr>
							<td colspan="35">No.Telp / Hp Penanggung Jawab</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->EmergencyContactPhone; ?></td>
						  </tr>
						  <tr>
							<td colspan="35">Dokter Penanggung Jawab</td>
							<td colspan="1">:</td>
							<td colspan="64"><?= $objPatientNursing->DoctorName; ?></td>    
						  </tr>
						  <tr>
							<td colspan="35">Status Pembayaran</td>
							<td colspan="1">:</td>
							<td colspan="64"><?php if ( $objPatientNursing->ContractServiceName == 'TUNAI' || 	$objPatientNursing->ContractServiceName == 'UMUM' ) 
										{ ?>
											<?= "TUNAI" ?>
												<?php } 
												else 
												{ ?>
											<?= $objPatientNursing->ContractServiceName; ?><?= $objPatientNursing->InsuranceNumber != "" ? " / $objPatientNursing->InsuranceNumber" : '' ; ?> 
												<?php } ?>
							</td>
						  </tr>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>

<div id="FormPage">
<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 10px;padding-top:15px;">
    <div class="box-body" style="padding-top:0px;">
		<div class="row">
				<div class="col-md-6">
					<div class="row">
						<div class="col-md-12" style="margin-bottom:5px;">
							<label class="control-label" for="tanggal_pengisian_lembar_identitas"><b>Tanggal Pengisian</b></label>
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;background:#;" >
									<div style="width: 20px; text-align:center;font-size:18px;" ><i class="fa fa-calendar" aria-hidden="true"></i></div>
								</span>
								<input type="text" class="form-control input-date" name='tanggal_pengisian_lembar_identitas' id='tanggal_pengisian_lembar_identitas' placeholder="Tanggal Pengisian" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vTanggalPengisianLembarIdentitas != "" ? $objPatientNursing->vTanggalPengisianLembarIdentitas : date("d-m-Y") ; ?>" data-mask="00-00-0000">
							</div>
						</div>
						<div class="col-md-12" style="margin-bottom:5px;">
							<label class="control-label" for="jam_pengisian_lembar_identitas"><b>Jam Pengisian</b></label>
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;background:#;" >
									<div style="width: 20px; text-align:center;font-size:18px;" ><i class="fa fa-clock-o" aria-hidden="true"></i></div>
								</span>
								<input type="text" class="form-control timepicker" name='jam_pengisian_lembar_identitas' id='jam_pengisian_lembar_identitas' placeholder="Jam Pengisian" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vJamPengisianLembarIdentitas != "" ? $objPatientNursing->vJamPengisianLembarIdentitas : date("H:i") ; ?>" data-mask="00:00">
							</div>
						</div>
					</div>
					<?php $objSystemUser = SystemUser::LoadById($objUser->Id); ?>
					<div class="row">
						<div class="col-md-12" style="margin-top:25px;">
							<div class="input-group">
								<span class="input-group-addon" style="vertical-align: top; text-align: left;padding:0px;" >
									<div style="width: 170px; line-height:28px;padding:0px 10px;" ><b>Petugas Rekam Medis</b></div>
								</span>
								<select data-plugin-selecttwo class="form-control" tabindex="14" title="" name="petugas_rekam_medis_lembar_identitas" id="petugas_rekam_medis_lembar_identitas" data-placeholder="Pemberi Informasi">
								<option value="<?= $objPatientNursing->vPetugasRekamMedisLembarIdentitasId != "" ? $objPatientNursing->vPetugasRekamMedisLembarIdentitasId : $objSystemUser->ReferenceId  ; ?>" selected ><?= $objPatientNursing->vPetugasRekamMedisLembarIdentitasNama != "" ? $objPatientNursing->vPetugasRekamMedisLembarIdentitasNama : ( $objSystemUser->ReferenceId ? HmisRefEmployee::LoadById($objSystemUser->ReferenceId)->FirstName : $objSystemUser->FullName ); ?></option>
								</select>
							</div>
						</div>
					</div>
				</div>
				<div class="col-md-6">
					<div class="col-md-12" style="">
						<div style="width: 100%; padding:3px 0px 0px 0px;text-align:center;" >
						<b>TANDA TANGAN WALI / PASIEN</b>
						</div>
					</div>
				<div class="col-md-12" style="">
					<!-- <div id="canvas-editor" style="position: absolute; left: 0; top: 0;"></div> -->
					<div>
						<?php
						$sumberGambar = __USER_ASSETS__.'/images/putih.jpg';

						$gambarTersimpan = $objPatientNursing->vLokasiTTDLembarIdentitas ? $objPatientNursing->vLokasiTTDLembarIdentitas : $sumberGambar;
						?>
						<img id="gambarCanvas" src="<?= $sumberGambar ?>" style="display: none">
						<img id="gambarTersimpan" src="<?= $gambarTersimpan ?>" style="display: none">
					</div>
					<div align="center">
						<canvas id="myCanvas" width="400" height="400" style="border:2px solid black; touch-action: none;" ></canvas>
						<div style="display:inline-block;margin-top:10px;">
						<a href="#" class="btn btn-success btn-xs hideSelesai" id="edit">Mulai Tanda Tangan</a>
						<a href="#" class="btn btn-danger btn-xs disabled hideSelesai" id="clearArea">Reset Tanda Tangan</a>
						<a href="#" class="btn btn-success btn-xs disabled hideSelesai" id="simpanGambar">Simpan Tanda Tangan</a>
						<button disabled class="btn btn-success btn-xs" id="simpanGambar-loading"><i class="fa fa-circle-o-notch fa-spin"></i> Simpan Tanda Tangan</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
</div>


<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormLembarIdentitasModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormLembarIdentitasEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormLembarIdentitasEmployeeId)->FirstName.' ('.$objPatientNursing->vFormLembarIdentitasLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormLembarIdentitasLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormLembarIdentitasTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormLembarIdentitasTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormLembarIdentitasIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormLembarIdentitas) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormLembarIdentitasEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormLembarIdentitasEmployeeId)->FirstName.' ('.$objPatientNursing->vFormLembarIdentitasLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormLembarIdentitasLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormLembarIdentitasTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormLembarIdentitasTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormLembarIdentitasIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>
<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
	
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas');
		var imgTersimpan = document.getElementById('gambarTersimpan');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDLembarIdentitas ? $objPatientNursing->vLokasiTTDLembarIdentitas : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit').click(function(){
			parent.boolChange = true;
			$('#save').removeClass('disabled');
			$('#float-simpan').removeClass('disabled');
			canvas.isDrawingMode = true;
			$('#clearArea').removeClass('disabled');
			$('#simpanGambar').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea').show();
			$('#simpanGambar').show();
			$('#edit').hide();
			return false;
		})


		$('#clearArea').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar').click(function() {

			var canvas = document.getElementById('myCanvas');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD LEMBAR IDENTITAS');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDLembarIdentitas')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').hide();
					$('#simpanGambar-loading').show();
				},
				complete: function(xhr,status){
					$('#edit').removeClass('disabled');
					$('#clearArea').addClass('disabled');
					$('#simpanGambar').addClass('disabled');
					$('#simpanGambar').hide();
					$('#clearArea').hide();
					$('#simpanGambar-loading').hide();
					$('#edit').show();
				}
			})

		})

		$('#clearArea').hide();
		$('#simpanGambar').hide();
		$('#tombol-save-loading').hide();
		$('#simpanGambar-loading').hide();
	});
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}
	
	function cetaklaporan() {
		parent.AppPrintPage.setTitle('Print Preview Lembar Identitas')
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('keperawatan-pasien/print-lembar-identitas') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>' );
	}
	
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function (event) {
        event.preventDefault();
        event.stopPropagation();
		if($('#simpanGambar').is(":visible")){
			$('#simpanGambar').click();
			posting('DRAFT');
		} else {
			posting('DRAFT');
		}
		
	});
	
	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormLembarIdentitasModifiedVersion != "" ? $objPatientNursing->vFormLembarIdentitasModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});

	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"], #edit').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('#petugas_rekam_medis_lembar_identitas').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	
	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.TanggalPengisianLembarIdentitas = $('#tanggal_pengisian_lembar_identitas').val();
		post.JamPengisianLembarIdentitas = $('#jam_pengisian_lembar_identitas').val();
		post.PetugasRekamMedisLembarIdentitasId = $('#petugas_rekam_medis_lembar_identitas').val();
		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveLembarIdentitas')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#lembar_identitas').removeClass('btn-primary').addClass('btn-success').html('Lembar Identitas <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#lembar_identitas').removeClass('btn-primary').addClass('btn-success').html('Lembar Identitas <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					parent.toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$('#petugas_rekam_medis_lembar_identitas').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormLembarIdentitas ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormLembarIdentitasModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#versi_form').attr('placeholder', '~".$objPatientNursing->vFormLembarIdentitasModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>

});

</script>