<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>



<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);


$IndikasiAlasanMrs =  $objPatientNursing->IndikasiAlasanMrs;
$RingkasanRiwayatPenyakit = $objPatientNursing->RingkasanRiwayatPenyakitEdit ? $objPatientNursing->RingkasanRiwayatPenyakitEdit : $objPatientNursing->RingkasanRiwayatPenyakit;
$PemeriksaanPenunjang = $objPatientNursing->PemeriksaanPenunjangEdit ? $objPatientNursing->PemeriksaanPenunjangEdit : $objPatientNursing->PemeriksaanPenunjang;

$PengobatanTindakLanjut = $objPatientNursing->PengobatanTindakLanjutEdit ? $objPatientNursing->PengobatanTindakLanjutEdit : $objPatientNursing->PengobatanTindakLanjut;
$InformasiUntukPasien = $objPatientNursing->InformasiUntukPasienEdit ? $objPatientNursing->InformasiUntukPasienEdit : $objPatientNursing->InformasiUntukPasien;
$TindakLanjutUntukPasien = $objPatientNursing->TindakLanjutUntukPasienEdit ? $objPatientNursing->TindakLanjutUntukPasienEdit : $objPatientNursing->TindakLanjutUntukPasien;

$Suhu = $objPatientNursing->SuhuEdit ? $objPatientNursing->SuhuEdit : $objPatientNursing->Suhu;
$Nadi = $objPatientNursing->NadiEdit ? $objPatientNursing->NadiEdit : $objPatientNursing->Nadi;
$RespirationRate = $objPatientNursing->RespirationRateEdit ? $objPatientNursing->RespirationRateEdit : $objPatientNursing->RespirationRate;
$TekananDarah = $objPatientNursing->TekananDarahEdit ? $objPatientNursing->TekananDarahEdit : $objPatientNursing->TekananDarah;
$KondisiPasienPulang = $objPatientNursing->KondisiPasienPulangEdit ? $objPatientNursing->KondisiPasienPulangEdit : $objPatientNursing->KondisiPasienPulang;
$SebabKematian = $objPatientNursing->SebabKematianEdit ? $objPatientNursing->SebabKematianEdit : $objPatientNursing->SebabKematian;


?>
<!--
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
-->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>

<?php if( strlen($objHmisPatient->vProgramRehabilitasiMedikId) ){ 
		$objPatientNursing1 = HmisPatientNursing::LoadById($objHmisPatient->vProgramRehabilitasiMedikId);
?>
    <script>
		//alert('IdJadwal : <?= $objHmisPatient->vProgramRehabilitasiMedikId ; ?> \nEnd Program : <?= $objHmisPatient->vProgramBerakhirPadaTanggal ; ?> \n<?= date('Ymd', strtotime($objHmisPatient->vProgramBerakhirPadaTanggal)) ." > ". date('Ymd', strtotime($objPatientNursing->NursingStartDate->PhpDate('d-m-Y'))) ?>'  );
    </script>
<?php } ?>


<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>
<div class="row" style="margin-bottom: 10px;text-align:center;">
	<div class="col-xs-12">
		<h1 class="panel-title1">Data Perawatan <?= $objPatientNursing->DepartmentName ?></h1>
	</div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP_id" id="DPJP_id" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">


	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">
	



<div class="box" style="border-top-width:0px;">
	<div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		<span class="control-label"  style="margin-bottom:0px;"><b>FORM REHABILITASI / UJI FUNGSI</b></span>
	</div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <span class="control-label" style="margin-bottom:0px;font-weight:bold;">Tanggal Pelayanan</span>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="tgl_pelayanan" id="tgl_pelayanan" placeholder="Tanggal Pelayanan" autocomplete="off" value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="anamnesa_rehab">Anamnesa</label>
				<div class="input-group" style="width:100%;">
					<textarea name="anamnesa_rehab" id="anamnesa_rehab" rows="2" class="form-control autoresize" placeholder="Anamnesa" style="overflow: hidden; word-wrap: break-word; resize: none; height: 50px; width: 100%;"><?= $objPatientNursing->vAnamnesaRehab?></textarea>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="pemeriksaan_fisik_uji_fungsi">Pemeriksaan Fisik dan Uji Fungsi</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="pemeriksaan_fisik_uji_fungsi" id="pemeriksaan_fisik_uji_fungsi" placeholder="Pemeriksaan Fisik dan Uji Fungsi" autocomplete="off" value="<?= $objPatientNursing->vPemeriksaanFisikUjiFungsi ; ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="diagnosa_medis">Diagnosis Medis (ICD - 10)</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="diagnosa_medis" id="diagnosa_medis" placeholder="Diagnosa" autocomplete="off" value="<?= $objPatientNursing->AdmissionDiagnoseDescription1  ; ?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="diagnosecode1"><span class="diagnoselabel1" style="font-weight: bold"></span>&nbsp;</label>
                <select name="diagnosecode1" id="diagnosecode1" class="form-control diagnosa" data-placeholder="Search Diagnosa">
                    <?php if ($objPatientNursing->AdmissionDiagnoseCode1) {
                        $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode1);
                        ?>
                        <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                    <?php } ?>
                </select>
            </div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="diagnosa_fungsi">Diagnosis Fungsi (ICD - 10)</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="diagnosa_fungsi" id="diagnosa_fungsi" placeholder="Diagnosa" autocomplete="off" value="<?= $objPatientNursing->AdmissionDiagnoseDescription2  ; ?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="diagnosecode2"><span class="diagnoselabel2" style="font-weight: bold"></span>&nbsp;</label>
                <select name="diagnosecode2" id="diagnosecode2" class="form-control diagnosa" data-placeholder="Search Diagnosa" >
                    <?php if ($objPatientNursing->AdmissionDiagnoseCode2) {
                        $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode2);
                        ?>
                        <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                    <?php } ?>
                </select>
            </div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="pemeriksaan_penunjang_rehab">Pemeriksaan Penunjang</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="pemeriksaan_penunjang_rehab" id="pemeriksaan_penunjang_rehab" placeholder="Pemeriksaan Penunjang" autocomplete="off" value="<?= $objPatientNursing->vPemeriksaanPenujangRehab ; ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="tata_laksana">Tata Laksana KFR (ICR9 CM)</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="tata_laksana" id="tata_laksana" placeholder="Tata Laksana KFR" autocomplete="off" value="<?= $objPatientNursing->PlanningTreatmentDescription1 ?>">
				</div>
			</div>
            <div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="tindakanlabel1"><span class="tindakanlabel1" style="font-weight: bold"></span>&nbsp;</label>
                <select name="tindakan1" id="tindakan1" class="form-control treatment" data-placeholder="Search Tindakan" >
                    <?php if ($objPatientNursing->PlanningTreatmentCode1) {
                        $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->PlanningTreatmentCode1);
                        ?>
                        <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                    <?php } ?>
                </select>
            </div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="anjuran_rehab">Anjuran</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="anjuran_rehab" id="anjuran_rehab" placeholder="Anjuran" autocomplete="off" value="<?= $objPatientNursing->vAnjuranRehab ; ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="evaluasi_rehab">Evaluasi</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="evaluasi_rehab" id="evaluasi_rehab" placeholder="Evaluasi" autocomplete="off" value="<?= $objPatientNursing->vEvaluasiRehab ; ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Suspek Penyakit Akibat Kerja</label>
				<div class="input-group" style="width:100%;">
					<div class="form-control" style="height:34px;padding-top:4px;">
						<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox"  name="SuspekPenyakitRehab" value="Ya"  <?= $objPatientNursing->vSuspekPenyakitAkibatKerjaRehab == 'Ya' ? 'checked' : '' ?>>Ya</label>
						<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox"  name="SuspekPenyakitRehab"value="Tidak"  <?= $objPatientNursing->vSuspekPenyakitAkibatKerjaRehab == 'Tidak' ? 'checked' : '' ?>>Tidak</label>
					</div>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="penjelasan_suspek_penyakit_rehab">Penjelasan Suspek Penyakit Akibat Kerja</label>
				<div class="input-group" style="width:100%;">
					<textarea name="penjelasan_suspek_penyakit_rehab" id="penjelasan_suspek_penyakit_rehab" rows="2" class="form-control autoresize" placeholder="Penjelasan Suspek Penyakit" style="overflow: hidden; word-wrap: break-word; resize: none; height: 50px; width: 100%;"><?= $objPatientNursing->vPenjelasanSuspekPenyakitRehab?></textarea>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="box" style="border-top-width:0px;">
	<div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		<span class="control-label"  style="margin-bottom:0px;"><b>TINDAKAN UJI FUNGSI / PROSEDUR KFR</b></span>
	</div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="instrumen_uji_fungsi">Instrumen Uji Fungsi / Prsedur KFR</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="instrumen_uji_fungsi" id="instrumen_uji_fungsi" placeholder="Instrumen Uji Fungsi / Prsedur KFR" autocomplete="off" value="<?= $objPatientNursing->vInstrumenUjiFungsiRehab ; ?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <span class="control-label" style="margin-bottom:0px;font-weight:bold;">Jam Pemeriksaan</span>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control timepicker" data-mask="00:00" name="jam_pemeriksaan" id="jam_pemeriksaan" placeholder="Jam Pemeriksaan" autocomplete="off" value="<?= $objPatientNursing->vJamPemeriksaanRehab?>" >
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="hasil_yang_didapat">Hasil yang didapat</label>
				<div class="input-group" style="width:100%;">
					<textarea name="hasil_yang_didapat" id="hasil_yang_didapat" rows="2" class="form-control autoresize" placeholder="Hasil yang didapat" style="overflow: hidden; word-wrap: break-word; resize: none; height: 50px; width: 100%;"><?= $objPatientNursing->vHasilYangDidapatRehab ; ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="kesimpulan_rehab">Kesimpulan</label>
				<div class="input-group" style="width:100%;">
					<textarea name="kesimpulan_rehab" id="kesimpulan_rehab" rows="2" class="form-control autoresize" placeholder="Kesimpulan" style="overflow: hidden; word-wrap: break-word; resize: none; height: 50px; width: 100%;"><?= $objPatientNursing->vKesimpulanRehab ; ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="rekomendasi_rehab">Rekomendasi</label>
				<div class="input-group" style="width:100%;">
					<textarea name="rekomendasi_rehab" id="rekomendasi_rehab" rows="2" class="form-control autoresize" placeholder="Rekomendasi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 50px; width: 100%;"><?= $objPatientNursing->vRekomendasiRehab ; ?></textarea>
				</div>
			</div>
			<div class="col-md-6">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="dpjp">Dokter Penanggung Jawab Pelayanan</label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" name="dpjp" id="dpjp" data-placeholder="Pilih Dokter SpKFR">
					<option value="<?= $objPatientNursing->vDokterRehab1Id != "" ? $objPatientNursing->vDokterRehab1Id : $objPatientNursing->DoctorId; ?>" selected ><?= $objPatientNursing->vDokterRehab1Nama != "" ? $objPatientNursing->vDokterRehab1Nama : $objPatientNursing->DoctorName ; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>

		

<div class="box" style="border-top-width:0px;">
	<div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		<span class="control-label"  style="margin-bottom:0px;"><b>PERMINTAAN TERAPI</b></span>
	</div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="permintaan_terapi_rehab">Permintaan Terapi</label>
				<div class="input-group" style="width:100%;">
					<textarea name="permintaan_terapi_rehab" id="permintaan_terapi_rehab" rows="2" class="form-control autoresize" placeholder="Permintaan Terapi" style="overflow: hidden; word-wrap: break-word; resize: none; height: 50px; width: 100%;"><?= $objPatientNursing->vPermintaanTerapiRehab?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="program_rehab">Program</label>
				<div class="input-group" style="width:100%;">
					<textarea name="program_rehab" id="program_rehab" rows="2" class="form-control" placeholder="Program" style="overflow: hidden; word-wrap: break-word; resize: none; height: 50px; width: 100%;"><?= $objPatientNursing->vProgramRehab ? $objPatientNursing->vProgramRehab : $objPatientNursing1->vProgramRehab ?></textarea>
				</div>
			</div>
			<div class="col-md-12" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Siklus</label>
				<div class="input-group siklus" style="width:100%;">
					<div class="form-control" style="height:34px;padding-top:4px;">
						<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox"  name="siklus_program" value="2"  <?= $objPatientNursing->vSiklusRehab == '2' ? 'checked' : '' ?>>2 Hari</label>
						<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox"  name="siklus_program" value="3"  <?= $objPatientNursing->vSiklusRehab == '3' || $objPatientNursing->vSiklusRehab == '' ? 'checked' : '' ?>>3 Hari</label>
						<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox"  name="siklus_program" value="4"  <?= $objPatientNursing->vSiklusRehab == '4' ? 'checked' : '' ?>>4 Hari</label>
						<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox"  name="siklus_program" value="5"  <?= $objPatientNursing->vSiklusRehab == '5' ? 'checked' : '' ?>>5 Hari</label>
						<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox"  name="siklus_program" value="6"  <?= $objPatientNursing->vSiklusRehab == '6' ? 'checked' : '' ?>>6 Hari</label>
						<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox"  name="siklus_program" value="7"  <?= $objPatientNursing->vSiklusRehab == '7' ? 'checked' : '' ?>>7 Hari</label>
						<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox"  name="siklus_program" value="14"  <?= $objPatientNursing->vSiklusRehab == '14' ? 'checked' : '' ?>>14 Hari</label>
					</div>
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="">Jumlah</label>
				<select data-plugin-selecttwo class="form-control" name="pengulangan_siklus" id="pengulangan_siklus" data-placeholder="Pilin Jumlah Siklus">
					<option></option>
					<option value="1" <?= $objPatientNursing->vPengulanganSiklus == "1" ? "selected" : "" ; ?> >1</option>
					<option value="2" <?= $objPatientNursing->vPengulanganSiklus == "2" ? "selected" : "" ; ?> >2</option>
					<option value="3" <?= $objPatientNursing->vPengulanganSiklus == "3" ? "selected" : "" ; ?> >3</option>
					<option value="4" <?= $objPatientNursing->vPengulanganSiklus == "4" ? "selected" : "" ; ?> >4</option>
					<option value="5" <?= $objPatientNursing->vPengulanganSiklus == "5" ? "selected" : "" ; ?> >5</option>
					<option value="6" <?= $objPatientNursing->vPengulanganSiklus == "6" ? "selected" : "" ; ?> >6</option>
					<option value="7" <?= $objPatientNursing->vPengulanganSiklus == "7" ? "selected" : "" ; ?> >7</option>
					<option value="8" <?= $objPatientNursing->vPengulanganSiklus == "8" || $objPatientNursing->vPengulanganSiklus == "" ? "selected" : "" ; ?> >8</option>
					<option value="9" <?= $objPatientNursing->vPengulanganSiklus == "9" ? "selected" : "" ; ?> >9</option>
					<option value="10" <?= $objPatientNursing->vPengulanganSiklus == "10" ? "selected" : "" ; ?> >10</option>
				</select>
			</div>
			<script>
			$(document).ready(() => {
				const jumlah1 = $('#pengulangan_siklus');
				const jumlah = jumlah1.val();
				const siklus1 = $(".siklus");
				const siklus = $("input[name='siklus_program']:checked").val() ? $("input[name='siklus_program']:checked").val() : '';
				const program = $('#program_rehab').val();
				
				function addDays(date, days) {
					return moment(date).add(days, 'days').toDate();
				}
				
				function formatDate(date) {
					return moment(date).format('DD-MM-YYYY');
				}
				
				function getStartDate() {
					var startDate = moment($('#tgl_pelayanan').val(), 'DD-MM-YYYY');
					return startDate.toDate(); 
				}
				
				
				if (jumlah && siklus) {
					const hasil = jumlah * siklus;
					console.log(`Anda memilih ${hasil} siklus`);
					const newDateSiklus1 = addDays(getStartDate(), hasil);
					const dateSiklus1 = formatDate(newDateSiklus1);
					console.log(dateSiklus1);
					$("#tanggal_perkiraan").text(dateSiklus1);
					$(".tanggal_perkiraan_container").show();
				}

				jumlah1.on('change', () => {
					const jumlah = jumlah1.val();
					const siklus = $("input[name='siklus_program']:checked").val() ? $("input[name='siklus_program']:checked").val() : '';
					const program = $('#program_rehab').val();
					if (jumlah && siklus) {
						const hasil = jumlah * siklus;
						console.log(`Anda memilih ${hasil} siklus`);
						const newDateSiklus1 = addDays(getStartDate(), hasil);
						const dateSiklus1 = formatDate(newDateSiklus1);
						console.log(dateSiklus1);
						$("#tanggal_perkiraan").text(dateSiklus1);
						$(".tanggal_perkiraan_container").show();
					} else {
						$("#tanggal_perkiraan").val("");
						$(".tanggal_perkiraan_container").hide();
					}
				});
				
				siklus1.on('change', () => {
					const jumlah = jumlah1.val();
					const siklus = $("input[name='siklus_program']:checked").val() ? $("input[name='siklus_program']:checked").val() : '';
					const program = $('#program_rehab').val();
					if (jumlah && siklus) {
						const hasil = jumlah * siklus;
						console.log(`Anda memilih ${hasil} siklus`);
						const newDateSiklus1 = addDays(getStartDate(), hasil);
						const dateSiklus1 = formatDate(newDateSiklus1);
						console.log(dateSiklus1);
						$("#tanggal_perkiraan").text(dateSiklus1);
						$(".tanggal_perkiraan_container").show();
					} else {
						$("#tanggal_perkiraan").text("");
						$(".tanggal_perkiraan_container").hide();
					}
				});
			});
			</script>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="hasil_siklus">Program Berakhir Pada Tanggal <span style="" class="tanggal_perkiraan_container" >( Perkiraan sekitar : <span id="tanggal_perkiraan"></span> )</span></label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control input-date" name="hasil_siklus" id="hasil_siklus" placeholder="Program Berahir Pada Tanggal" autocomplete="off" value="<?= $objPatientNursing->vProgramBerakhirPadaTanggal ? date('d-m-Y', strtotime($objPatientNursing->vProgramBerakhirPadaTanggal)) : date('d-m-Y', strtotime($objPatientNursing->NursingStartDate->PhpDate('d-m-Y') . ' +60 days')) ; ?>">
				</div>
			</div>
			
<!--			<?php //if ( $objHmisPatient->vProgramBerakhirPadaTanggal && date('Ymd', strtotime($objHmisPatient->vProgramBerakhirPadaTanggal)) > date('Ymd', strtotime($objPatientNursing->NursingStartDate->PhpDate('d-m-Y'))) ) { ?>
			<div class="col-md-6" style="margin-bottom: 7px;padding-left:0px;padding-top:5px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;">&nbsp;</label>
				<div class="input-group" style="width:100%;">
					<label class="checkbox-inline" style="padding-top:0px;"  ><input type="checkbox" id="jadwal_baru" name="jadwal_baru" value="Jadwal Baru">Jadwal Baru</label>
				</div>
			</div>
			<?php //} ?>
-->	</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="terapis_rehab">Terapis</label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" name="terapis_rehab" id="terapis_rehab" data-placeholder="Pilih Terapis">
					<option value="<?= $objPatientNursing->vTerapisRehabId != "" ? $objPatientNursing->vTerapisRehabId : "" ; ?>" selected ><?= $objPatientNursing->vTerapisRehabNama != "" ? $objPatientNursing->vTerapisRehabNama : "" ; ?></option>
					</select>
				</div>
				</div>
		</div>
	</div>
</div>
		
	
  <!-- The Modal -->
<div class="modal fade" id="myModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title" style="text-align:center;">JADWAL KONTROL</h4
      </div>

      <!-- Modal body -->
      <div class="modal-body">
		<table style="margin-bottom:15px;">
			<tr>
				<td>Siklus Pemeriksaan&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td>:&nbsp;&nbsp;</td>
				<td><?= $objPatientNursing1->vSiklusRehab?> hari</td>
			</tr>
			<tr>
				<td>Jumlah</td>
				<td>:</td>
				<td><?= $objPatientNursing1->vPengulanganSiklus?> kali</td>
			</tr>
			<tr>
				<td>Sampai Tanggal</td>
				<td>:</td>
				<td><?= $objPatientNursing1->vProgramBerakhirPadaTanggal ? date('d-m-Y', strtotime($objPatientNursing1->vProgramBerakhirPadaTanggal)) : "" ?></td>
			</tr>
		</table>
	  <hr>
          <table class="table table-striped" style="margin-bottom:0px;">
			<thead>
			  <tr>
				<th>No</th>
				<th>Nama</th>
				<th>Tanggal</th>
				<th>Lihat Hasil</th>
			  </tr>
			</thead>
			<tbody>
			  <?php if($objPatientNursing1->vPengulanganSiklus > 0 ) { ?>
			  <tr style="border:<?= $nomerKontrol == 1 ? "2px solid blue" : "" ?>">
				<td>1</td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab1 ? "Pemeriksaan" : "" ?></td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab1 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab1)) : "" ?></td>
				<td></td>
			  </tr>
			  <?php }
			  if($objPatientNursing1->vPengulanganSiklus > 1 ) { ?>
			  <tr style="border:<?= $nomerKontrol == 2 ? "2px solid blue" : "" ?>">
				<td>2</td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab2 ? "Kontrol ke 1" : "" ?></td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab2 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab2)) : ""  ?></td>
				<td></td>
			  </tr>
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 2 ) { ?>
			  <tr style="border:<?= $nomerKontrol == 3 ? "2px solid blue" : "" ?>">
				<td>3</td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab3 ? "Kontrol ke 2" : "" ?></td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab3 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab3)) : ""  ?></td>
				<td></td>
			  </tr>
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 3 ) { ?>
			  <tr style="border:<?= $nomerKontrol == 4 ? "2px solid blue" : "" ?>">
				<td>4</td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab4 ? "Kontrol ke 3" : "" ?></td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab4 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab4)) : ""   ?></td>
				<td></td>
			  </tr>
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 4 ) { ?>
			  <tr style="border:<?= $nomerKontrol == 5 ? "2px solid blue" : "" ?>">
				<td>5</td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab5 ? "Kontrol ke 4" : "" ?></td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab5 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab5)) : ""  ?></td>
				<td></td>
			  </tr>
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 5 ) { ?>
			  <tr style="border:<?= $nomerKontrol == 6 ? "2px solid blue" : "" ?>">
				<td>6</td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab6 ? "Kontrol ke 5" : "" ?></td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab6 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab6)) : ""  ?></td>
				<td></td>
			  </tr>
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 6 ) { ?>
			  <tr style="border:<?= $nomerKontrol == 7 ? "2px solid blue" : "" ?>">
				<td>7</td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab7 ? "Kontrol ke 6" : "" ?></td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab7 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab7)) : ""  ?></td>
				<td></td>
			  </tr>
			  <?php }
			  if($objPatientNursing1->vPengulanganSiklus > 7 ) { ?>
			  <tr style="border:<?= $nomerKontrol == 8 ? "2px solid blue" : "" ?>">
				<td>8</td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab8 ? "Kontrol ke 7" : "" ?></td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab8 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab8)) : ""  ?></td>
				<td></td>
			  </tr>
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 8 ) { ?>
			  <tr style="border:<?= $nomerKontrol == 9 ? "2px solid blue" : "" ?>">
				<td>9</td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab9 ? "Kontrol ke 8" : "" ?></td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab9 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab9)) : ""  ?></td>
				<td></td>
			  </tr>
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 9 ) { ?>
			  <tr style="border:<?= $nomerKontrol == 10 ? "2px solid blue" : "" ?>">
				<td>10</td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab10 ? "Kontrol ke 9" : "" ?></td>
				<td><?= $objPatientNursing1->vTanggalPelayananRehab10 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab10)) : ""  ?></td>
				<td></td>
			  </tr>
			  <?php } ?>
			</tbody>
		  </table>
		<!--
		<table style="">
			<tr>
				<td><div style="width:30px;height:16px;border:3px solid blue;float:left;margin-right:5px;"></div><span> = Posisi saat ini</span></td>
			</tr>
		</table>
		-->
	</div>

      <!-- Modal footer -->
      <div class="modal-footer" style="padding-bottom:0px;">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
      </div>

    </div>
  </div>
</div>
</div>


</div>


<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormRehabilitasiUjiFungsiModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormRehabilitasiUjiFungsiEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormRehabilitasiUjiFungsiEmployeeId)->FirstName.' ('.$objPatientNursing->vFormRehabilitasiUjiFungsiLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormRehabilitasiUjiFungsiLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormRehabilitasiUjiFungsiTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormRehabilitasiUjiFungsiTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormRehabilitasiUjiFungsiIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormRehabilitasiUjiFungsi) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormRehabilitasiUjiFungsiEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormRehabilitasiUjiFungsiEmployeeId)->FirstName.' ('.$objPatientNursing->vFormRehabilitasiUjiFungsiLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormRehabilitasiUjiFungsiLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormRehabilitasiUjiFungsiTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormRehabilitasiUjiFungsiTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormRehabilitasiUjiFungsiIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>

<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

		<div>
			<hr>
			<label><b>Password<b></label>
			<input type="text" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
			<div class="checkbox">
				<label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
			</div>
		</div>
	  </div>
	  <div class="modal-footer">
		<!-- <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button> -->
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>
<!-- Modal -->
</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

console.log("")
var FormGizi = function(){

	'use strict';


	$('#dpjp').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});

	$('#terapis_rehab').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
	
    $('.diagnosa').each(function() {
        $(this).ajaxChosen({
            type: 'GET'
            , dataType: 'json'
        },{
            useAjax: function(e){ return true; }
            , minLength: 0
            , noresetSearch: true
            , processItems: function(data){
                return data;
            }
            , generateUrl: function(strSearch) {
                return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=diagnose&search=' + strSearch
            }
        }, {
            allow_single_deselect: true
        }).on('change', function(e) {
            var ini = $(this);
            var id = '.diagnoselabel' + ini.attr('id').substr(12,1);
            $(id).text(ini.val());
        });
    }).trigger('change');
	
	
    $('.treatment').each(function() {
        $(this).ajaxChosen({
            type: 'GET'
            , dataType: 'json'
        },{
            useAjax: function(e){ return true; }
            , minLength: 0
            , processItems: function(data){
                return data;
            }
            , generateUrl: function(strSearch) {
                return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=procedure&search=' + strSearch
            }
        }, {
            allow_single_deselect: true
        }).on('change', function(e) {
            var ini2 = $(this);
            var id2 = '.tindakanlabel' + ini2.attr('id').substr(8,1);
            $(id2).text(ini2.val());
        });
    }).trigger('change');
	
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
	
	$('input[type="checkbox"]').change(function() {
	  if ($(this).prop('checked')) {
		$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
	  }
	});
	
   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function unInitialize() {
		setTimeout(function(){
			Reflect.deleteProperty(window, 'FormGizi');
		},100);
	}
	
	function cetaklaporan() {
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		parent.AppPrintPage.setTitle('Print Preview Rehabilitasi')
		parent.openAppPrintPage('<?= QApplication::UrlCreator('form-medis-rajal/print-form-rehabilitasi') ?>?'+ strOption);
	}


	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	$('#content').off('click', '#back').on('click', '#back', function(event){
        event.preventDefault();
        event.stopPropagation();
		unInitialize();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
	
	$('#content').off('click', '#float-kembali').on('click', '#float-kembali', function(event){
        event.preventDefault();
        event.stopPropagation();
		unInitialize();
		$('#float-kembali').hide();
		$('#float-kembali-loading').show();
        if (sessionStorage.exitForm) {
        setContent(sessionStorage.exitForm,'content');
        } else {
            setContent(goBackLink(),'content');
        }
	});
	
	function SimpanData(){
        var agree = function() {
            parent.jQuery.fallr('hide',function(){
				posting('DRAFT');
			});
        };
		var cancel = function() {
             parent.jQuery.fallr('hide',function(){
            });
        };
		 parent.jFallr(
		<?php if( strlen($objHmisPatient->vProgramRehabilitasiMedikId) && $objHmisPatient->vProgramRehabilitasiMedikId != $objPatientNursing->Id ){ ?>
			'Terdapat siklus pemeriksaan Rehabilitasi sebelumnya, apakah anda yakin untuk membuat siklus baru ?<br>' +
		<?php } else { ?>
			'Simpan Data Pemeriksaan Rehabilitasi ?<br>' +
		<?php } ?>
			"Pasien : <?= $objPatientNursing->FirstName; ?> [<?= $objPatientNursing->Mr; ?>] "
			, agree
			, cancel
		);
	}
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function(event){
        event.preventDefault();
        event.stopPropagation();
		SimpanData();
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
        event.preventDefault();
        event.stopPropagation();
		SimpanData();
	});
	
	$('#menu-cetak').off('click').on('click',function(){
		var url = '<?= QApplication::UrlCreator('form-medis-rajal/print-rehabilitasi')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>';
		openInNewTab(url);
		unInitialize();
		//print();
	});

	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.MobilePhone = $('#no_telp').val();
		post.vHubunganDenganTertanggung = $("input[name='hubungan_pasien']:checked").val() ? $("input[name='hubungan_pasien']:checked").val() : '';
		post.vTanggalPelayananRehab = $('#tgl_pelayanan').val();
		post.vTanggalPelayananRehab1 = $('#tgl_pelayanan').val();
		post.vTanggalPelayananRehab1Id = '<?= $strId ?>';
		
		
		post.vJamPemeriksaanRehab = $('#jam_pemeriksaan').val();
		post.vAnamnesaRehab = $('#anamnesa_rehab').val();
		post.vPemeriksaanFisikUjiFungsi = $('#pemeriksaan_fisik_uji_fungsi').val();
		post.AdmissionDiagnoseDescription1 = $('#diagnosa_medis').val();
		post.AdmissionDiagnoseCode1 = $('#diagnosecode1').val();
		post.AdmissionDiagnoseDescription2 = $('#diagnosa_fungsi').val();
		post.AdmissionDiagnoseCode2 = $('#diagnosecode2').val();
		post.vPemeriksaanPenujangRehab = $('#pemeriksaan_penunjang_rehab').val();
		post.PlanningTreatmentDescription1 = $('#tata_laksana').val();
		post.PlanningTreatmentCode1 = $('#tindakan1').val();
		post.vAnjuranRehab = $('#anjuran_rehab').val();
		post.vEvaluasiRehab = $('#evaluasi_rehab').val();
		post.vSuspekPenyakitAkibatKerjaRehab = $("input[name='SuspekPenyakitRehab']:checked").val() ? $("input[name='SuspekPenyakitRehab']:checked").val() : '';
		post.vPenjelasanSuspekPenyakitRehab = $('#penjelasan_suspek_penyakit_rehab').val();

		post.vPermintaanTerapiRehab = $('#permintaan_terapi_rehab').val();
		post.vProgramRehab = $('#program_rehab').val();
		post.vSiklusRehab = $("input[name='siklus_program']:checked").val() ? $("input[name='siklus_program']:checked").val() : '';
		post.vPengulanganSiklus = $('#pengulangan_siklus').val();
		post.vProgramBerakhirPadaTanggal = $('#hasil_siklus').val() ? $('#hasil_siklus').val() : ( $('#tanggal_perkiraan').text() ? $('#tanggal_perkiraan').text() : "" ) ;

		post.vTerapisRehabId = $('#terapis_rehab').val();
		post.vInstrumenUjiFungsiRehab = $('#instrumen_uji_fungsi').val();
		post.vHasilYangDidapatRehab = $('#hasil_yang_didapat').val();
		post.vKesimpulanRehab = $('#kesimpulan_rehab').val();
		post.vRekomendasiRehab = $('#rekomendasi_rehab').val();
		post.vDokterRehab1Id = $('#dpjp').val();
		
		post.vJadwalBaru = $("input[name='jadwal_baru']:checked").val() ? $("input[name='jadwal_baru']:checked").val() : '';
		

		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/SaveRehabilitasiUjiFungsi')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#save-loading').show();
				$('#float-simpan').hide();
				$('#float-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#rehabilitasi').removeClass('btn-primary').addClass('btn-success').html('Rehabilitasi <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#rehabilitasi').removeClass('btn-primary').addClass('btn-success').html('Rehabilitasi <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('#dpjp, #terapis_rehab, .diagnosa, .treatment ').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});


};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormRehabilitasiUjiFungsi ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormRehabilitasiUjiFungsiModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#versi_form').attr('placeholder', '~".$objPatientNursing->vFormRehabilitasiUjiFungsiModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>


});

</script>