<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>


<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

$objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);


$IndikasiAlasanMrs =  $objPatientNursing->IndikasiAlasanMrs;
$RingkasanRiwayatPenyakit = $objPatientNursing->RingkasanRiwayatPenyakitEdit ? $objPatientNursing->RingkasanRiwayatPenyakitEdit : $objPatientNursing->RingkasanRiwayatPenyakit;
$PemeriksaanPenunjang = $objPatientNursing->PemeriksaanPenunjangEdit ? $objPatientNursing->PemeriksaanPenunjangEdit : $objPatientNursing->PemeriksaanPenunjang;

$PengobatanTindakLanjut = $objPatientNursing->PengobatanTindakLanjutEdit ? $objPatientNursing->PengobatanTindakLanjutEdit : $objPatientNursing->PengobatanTindakLanjut;
$InformasiUntukPasien = $objPatientNursing->InformasiUntukPasienEdit ? $objPatientNursing->InformasiUntukPasienEdit : $objPatientNursing->InformasiUntukPasien;
$TindakLanjutUntukPasien = $objPatientNursing->TindakLanjutUntukPasienEdit ? $objPatientNursing->TindakLanjutUntukPasienEdit : $objPatientNursing->TindakLanjutUntukPasien;

$Suhu = $objPatientNursing->SuhuEdit ? $objPatientNursing->SuhuEdit : $objPatientNursing->Suhu;
$Nadi = $objPatientNursing->NadiEdit ? $objPatientNursing->NadiEdit : $objPatientNursing->Nadi;
$RespirationRate = $objPatientNursing->RespirationRateEdit ? $objPatientNursing->RespirationRateEdit : $objPatientNursing->RespirationRate;
$TekananDarah = $objPatientNursing->TekananDarahEdit ? $objPatientNursing->TekananDarahEdit : $objPatientNursing->TekananDarah;
$KondisiPasienPulang = $objPatientNursing->KondisiPasienPulangEdit ? $objPatientNursing->KondisiPasienPulangEdit : $objPatientNursing->KondisiPasienPulang;
$SebabKematian = $objPatientNursing->SebabKematianEdit ? $objPatientNursing->SebabKematianEdit : $objPatientNursing->SebabKematian;


?>
<!--
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
-->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>

<?php if ($objPatientNursing->vIdPemeriksaan) {
		$objPatientNursing1 = HmisPatientNursing::LoadById($objPatientNursing->vIdPemeriksaan);
		//echo 'idhmispatient : '.$objHmisPatient->vProgramRehabilitasiMedikId."<br>";
		//echo 'idpemeriksaan : '.$objPatientNursing->vIdPemeriksaan;
} else if (strlen($objHmisPatient->vProgramRehabilitasiMedikId)) {
		$objPatientNursing1 = HmisPatientNursing::LoadById($objHmisPatient->vProgramRehabilitasiMedikId);
		//echo 'idhmispatient : '.$objHmisPatient->vProgramRehabilitasiMedikId."<br>";
		//echo 'idpemeriksaan : '.$objPatientNursing->vIdPemeriksaan;
}?>
    <script>
	//	alert('IdJadwal : <?= $objHmisPatient->vProgramRehabilitasiMedikId ; ?> \nEnd Program : <?= $objHmisPatient->vProgramBerakhirPadaTanggal ; ?> \n<?= date('Ymd', strtotime($objHmisPatient->vProgramBerakhirPadaTanggal)) ." > ". date('Ymd', strtotime($objPatientNursing->NursingStartDate->PhpDate('d-m-Y'))) ?>'  );
    </script>

<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">

	<input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
	<input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
	<input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
	<input type="hidden" id="formName" name="formName" value="e-rm-rajal">
	<input type="hidden" id="reqAjax" name="reqAjax" value="yes">
	<input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
	<input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

	<input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
	<input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

	<input type="hidden" id="post_id" name="post_id" value="<?= $objPatientNursing->Id; ?>">
	<input type="hidden" id="post_actor_id" name="post_actor_id" value="poli" >

	<input type="hidden" id="nokaHidden" name="nokaHidden" value="<?= $objPatientNursing->RegisterMembershipNumber ?>">
	<input type="hidden" id="sepHidden" name="sepHidden" value="<?= $objPatientNursing->NomorSep ?>">
	<input type="hidden" id="hakKelasHidden" name="hakKelasHidden" value="<?= $objPatientNursing->RegisterServiceLevelCode ? 'KELAS-'.$objPatientNursing->RegisterServiceLevelCode : '' ?>">

	<input type="hidden" id="mode" name="mode" value="poli">
	
<div style="margin-bottom:20px;">
<input type="hidden" id="tgl_pelayanan" placeholder="Jadwal 1"  autocomplete="off" value="<?= date('d-m-Y', strtotime($objPatientNursing->NursingStartDate->PhpDate('d-m-Y'))) ?>" readonly>
</div>

<div class="box" style="border-top-width:0px;">
	<div class="box-header with-border" style="text-align:;border-left:3px solid #4099ff !important">
		<span class="control-label"  style="margin-bottom:0px;"><b>PERMINTAAN TERAPI </b></span>
	</div>
	<div class="box-body" style="padding-top:12px!important;">
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 15px;">
			<h3 style="text-align:center;">KONTROL KE - <?= $nomerKontrol?> DARI <?= $objPatientNursing1->vPengulanganSiklus - 1 ?></h3>

			</div>
			<div class="col-md-12" style="margin-bottom: 15px;text-align:center;">
				<a  class="btn btn-primary btn-md" onclick="showJadwal();" style="width:105px;margin:0px auto;">
				  Lihat Jadwal
				</a>
			<?php $objUser = unserialize($_SESSION[__USER_LOGIN__]); $objSystemUser = SystemUser::LoadById($objUser->Id);
			if ( $objPatientNursing->DoctorId == $objSystemUser->ReferenceId) { ?>
				<a class="btn btn-info btn-md" onclick="showSiklusBaru();" style="margin:0px auto;">
				  Siklus Pemeriksaan Baru
				</a>
			<?php } ?>
			</div>
			<?php if (strlen($notifikasi) > 0) { ?>
			<div class="col-md-12" style="margin-bottom: 15px;">
			<h3 style="text-align:center;"><?= $notifikasi ?></h3>
			</div>
			<?php } ?>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="program_rehab">Program</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="program_rehab" id="program_rehab" placeholder="Program" autocomplete="off" value="<?= $objPatientNursing->vProgramRehab ?  $objPatientNursing->vProgramRehab : $objPatientNursing1->vProgramRehab ; ?>">
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="diagnosa_medis">Diagnosis Medis (ICD - 10)</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="diagnosa_medis" id="diagnosa_medis" placeholder="Diagnosa" autocomplete="off" value="<?= $objPatientNursing->AdmissionDiagnoseDescription1  ; ?>">
				</div>
			</div>
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="diagnosecode1"><span class="diagnoselabel1" style="font-weight: bold"></span>&nbsp;</label>
                <select name="diagnosecode1" id="diagnosecode1" class="form-control diagnosa" data-placeholder="Search Diagnosa">
                    <?php if ($objPatientNursing->AdmissionDiagnoseCode1) {
                        $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode1);
                        ?>
                        <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                    <?php } ?>
                </select>
            </div>
		</div>
		<div class="row">
			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="tata_laksana">Tindakan Medis (ICR9 CM)</label>
				<div class="input-group" style="width:100%;">
					<input type="text" class="form-control" name="tata_laksana" id="tata_laksana" placeholder="Tata Laksana KFR" autocomplete="off" value="<?= $objPatientNursing->PlanningTreatmentDescription1 ?>">
				</div>
			</div>
            <div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="tindakanlabel1"><span class="tindakanlabel1" style="font-weight: bold"></span>&nbsp;</label>
                <select name="tindakan1" id="tindakan1" class="form-control treatment" data-placeholder="Search Tindakan" >
                    <?php if ($objPatientNursing->PlanningTreatmentCode1) {
                        $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->PlanningTreatmentCode1);
                        ?>
                        <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                    <?php } ?>
                </select>
            </div>
		</div>
		<div class="row">
			<div class="col-md-12" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="evaluasi_kontrol_sebelumnya">Evaluasi Pemeriksaan/Kontrol Sebelumnya</label>
				<div class="input-group" style="width:100%;">
					<textarea name="evaluasi_kontrol_sebelumnya" id="evaluasi_kontrol_sebelumnya" rows="2" class="form-control autoresize" placeholder="Evaluasi Pemeriksaan/Kontrol Sebelumnya" style="overflow: hidden; word-wrap: break-word; resize: none; height: 50px; width: 100%;"><?= $objPatientNursing->vEvaluasiKontrolSebelumnya?></textarea>
				</div>
			</div>
		</div>
	<div class="row">
<!-- -->			<div class="col-md-6" style="margin-bottom: 7px;">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="terapis_rehab">Terapis</label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" name="terapis_rehab" id="terapis_rehab" data-placeholder="Pilih Terapis">
					<option value="<?= $objPatientNursing->vTerapisRehabId != "" ? $objPatientNursing->vTerapisRehabId : "" ; ?>" selected ><?= $objPatientNursing->vTerapisRehabNama != "" ? $objPatientNursing->vTerapisRehabNama : "" ; ?></option>
					</select>
				</div>
			</div>
			<div class="col-md-6">
			  <label class="control-label" style="margin-bottom:0px;font-weight:bold;" for="dpjp_rehab">Dokter Penanggung Jawab Pelayanan</label>
				<div class="input-group" style="width:100%;">
					<select data-plugin-selecttwo class="form-control" name="dpjp_rehab" id="dpjp_rehab" data-placeholder="Pilih Dokter SpKFR">
					<option value="<?= $objPatientNursing->vDokterRehab1Id != "" ? $objPatientNursing->vDokterRehab1Id : $objPatientNursing->DoctorId; ?>" selected ><?= $objPatientNursing->vDokterRehab1Nama != "" ? $objPatientNursing->vDokterRehab1Nama : $objPatientNursing->DoctorName ; ?></option>
					</select>
				</div>
			</div>
		</div>
	</div>
</div>

<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi" style="display:none;"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-lg fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<button href="#" type="button" class="btn btn-success" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </button>
			<a id="validasi-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-lg fa-spinner fa-spin" style="margin-right:2px;"></i> Validasi</a>
			<button href="#" type="button" class="btn btn-success" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </button>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div id="cetak_container" style="display:none;">
				<input type="number" id="nama_versi" class="form-control sudah-validasi"  placeholder="~1" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
			<button href="#" type="button" class="btn btn-success show-modal sudah-tte" id="file_tte" style="display:none;"><i class="fa fa-check-square-o"></i> File TTE </button>
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormRehabilitasiUjiFungsiKontrolModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormRehabilitasiUjiFungsiKontrolEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormRehabilitasiUjiFungsiKontrolEmployeeId)->FirstName.' ('.$objPatientNursing->vFormRehabilitasiUjiFungsiKontrolLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormRehabilitasiUjiFungsiKontrolLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormRehabilitasiUjiFungsiKontrolTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormRehabilitasiUjiFungsiKontrolTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormRehabilitasiUjiFungsiKontrolIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormRehabilitasiUjiFungsiKontrol) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormRehabilitasiUjiFungsiKontrolEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormRehabilitasiUjiFungsiKontrolEmployeeId)->FirstName.' ('.$objPatientNursing->vFormRehabilitasiUjiFungsiKontrolLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormRehabilitasiUjiFungsiKontrolLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormRehabilitasiUjiFungsiKontrolTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormRehabilitasiUjiFungsiKontrolTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormRehabilitasiUjiFungsiKontrolIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>


<div class="row" style="height:50%;">
</div>
  <!-- The Modal -->
<div class="modal fade" id="myModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title" style="text-align:center;">JADWAL KONTROL</h4>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
		<table style="margin-bottom:15px;">
			<tr>
				<td>Siklus Pemeriksaan&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				<td>:&nbsp;&nbsp;</td>
				<td><?= $objPatientNursing1->vSiklusRehab?> hari</td>
			</tr>
			<tr>
				<td>Jumlah</td>
				<td>:</td>
				<td><?= $objPatientNursing1->vPengulanganSiklus?> kali</td>
			</tr>
			<tr>
				<td>Sampai Tanggal</td>
				<td>:</td>
				<td><?= $objPatientNursing1->vProgramBerakhirPadaTanggal ? date('d-m-Y', strtotime($objPatientNursing1->vProgramBerakhirPadaTanggal)) : "" ?></td>
			</tr>
		</table>
	  <hr>
          <table class="table table-striped" style="margin-bottom:0px;">
			<thead>
			  <tr>
				<th>No</th>
				<th>Nama</th>
				<th>Tanggal</th>
				<th>Lihat Hasil</th>
			  </tr>
			</thead>
			<tbody>
			  <tr style="border:<?= $nomerKontrol == 0 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-1">
				<td>1</td>
				<td>Pemeriksaan</td>
				<td class="<?= $nomerKontrol == 0 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab1 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab1)) : "" ?></td>
				<td>
				<span onclick="previewJadwal('<?= $objPatientNursing1->vTanggalPelayananRehab1Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 0 ? "currentJadwal" : "" ?> tampilkan-1"  style="display:none;">Tampilkan</span>
				</td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 1 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-2">
				<td>2</td>
				<td>Kontrol ke 1</td>
				<td class="<?= $nomerKontrol == 1 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab2 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab2)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab2Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 1 ? "currentTampilkan" : "" ?> tampilkan-2" style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 2 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-3">
				<td>3</td>
				<td>Kontrol ke 2</td>
				<td class="<?= $nomerKontrol == 2 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab3 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab3)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab3Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 2 ? "currentTampilkan" : "" ?> tampilkan-3"  style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 3 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-4">
				<td>4</td>
				<td>Kontrol ke 3</td>
				<td class="<?= $nomerKontrol == 3 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab4 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab4)) : ""   ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab4Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 3 ? "currentTampilkan" : "" ?> tampilkan-4"  style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 4 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-5">
				<td>5</td>
				<td>Kontrol ke 4</td>
				<td class="<?= $nomerKontrol == 4 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab5 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab5)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab5Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 4 ? "currentTampilkan" : "" ?> tampilkan-5"  style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 5 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-6">
				<td>6</td>
				<td>Kontrol ke 5</td>
				<td class="<?= $nomerKontrol == 5 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab6 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab6)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab6Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 5 ? "currentTampilkan" : "" ?> tampilkan-6"  style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 6 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-7">
				<td>7</td>
				<td>Kontrol ke 6</td>
				<td class="<?= $nomerKontrol == 6 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab7 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab7)) : ""  ?></td>
				<td>
				<?php if ($objPatientNursing1->vTanggalPelayananRehab7) { ?>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab7Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 6 ? "currentTampilkan" : "" ?> tampilkan-7"  style="display:none;">Tampilkan</span>
				<?php } ?></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 7 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-8">
				<td>8</td>
				<td>Kontrol ke 7</td>
				<td class="<?= $nomerKontrol == 7 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab8 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab8)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab8Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 7 ? "currentTampilkan" : "" ?> tampilkan-8"  style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 8 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-9">
				<td>9</td>
				<td>Kontrol ke 8</td>
				<td class="<?= $nomerKontrol == 8 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab9 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab9)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab9Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 8 ? "currentTampilkan" : "" ?> tampilkan-9"  style="display:none;">Tampilkan</span></td>
			  </tr>
			  <tr style="border:<?= $nomerKontrol == 9 ? "2px solid #aaa" : "" ?>;display:none;" class="showjadwal-10">
				<td>10</td>
				<td>Kontrol ke 9</td>
				<td class="<?= $nomerKontrol == 9 ? "currentTanggal" : "" ?>" ><?= $objPatientNursing1->vTanggalPelayananRehab10 ? date('d-m-Y', strtotime($objPatientNursing1->vTanggalPelayananRehab10)) : ""  ?></td>
				<td>
				<span onclick="previewJadwalKontrol('<?= $objPatientNursing1->vTanggalPelayananRehab10Id ?>');" class="btn btn-primary badge <?= $nomerKontrol == 9 ? "currentTampilkan" : "" ?> tampilkan-10"  style="display:none;">Tampilkan</span></td>
			  </tr>
			</tbody>
		  </table>
		  <script>
			  <?php if($objPatientNursing1->vPengulanganSiklus > 0 ) { ?>
			   $('.showjadwal-1').show();
			  <?php }
			  if($objPatientNursing1->vPengulanganSiklus > 1 ) { ?>
			   $('.showjadwal-2').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 2 ) { ?>
			   $('.showjadwal-3').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 3 ) { ?>
			   $('.showjadwal-4').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 4 ) { ?>
			   $('.showjadwal-5').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 5 ) { ?>
			   $('.showjadwal-6').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 6 ) { ?>
			   $('.showjadwal-7').show();
			  <?php }
			  if($objPatientNursing1->vPengulanganSiklus > 7 ) { ?>
			   $('.showjadwal-8').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 8 ) { ?>
			   $('.showjadwal-9').show();
			  <?php } 
			  if($objPatientNursing1->vPengulanganSiklus > 9 ) { ?>
			   $('.showjadwal-10').show();
			  <?php } ?>
			  
			  
			  <?php if($objPatientNursing1->vTanggalPelayananRehab1Id){ ?>
			   $('.tampilkan-1').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab2Id){ ?>
			   $('.tampilkan-2').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab3Id){ ?>
			   $('.tampilkan-3').show();
			  <?php }
			  if($objPatientNursing1->vTanggalPelayananRehab4Id){ ?>
			   $('.tampilkan-4').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab5Id){ ?>
			   $('.tampilkan-5').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab6Id){ ?>
			   $('.tampilkan-6').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab7Id){ ?>
			   $('.tampilkan-7').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab8Id){ ?>
			   $('.tampilkan-8').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab9Id){ ?>
			   $('.tampilkan-9').show();
			  <?php } 
			  if($objPatientNursing1->vTanggalPelayananRehab10Id){ ?>
			   $('.tampilkan-10').show();
			  <?php } ?>
		  </script>
		<!--
		<table style="">
			<tr>
				<td><div style="width:30px;height:16px;border:3px solid blue;float:left;margin-right:5px;"></div><span> = Posisi saat ini</span></td>
			</tr>
		</table>
		-->
	</div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Tutup</button>
      </div>

    </div>
  </div>
</div>


  <!-- The Modal -->
<div class="modal fade" id="siklusModal">
  <div class="modal-dialog">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title" style="text-align:center;">MEMBUAT ULANG SIKLUS PEMERIKSAAN</h4>
      </div>

      <!-- Modal body -->
      <div class="modal-body">
		<span>Apakah Anda ingin membuat ulang siklus pemeriksaan?</span>
		<br><br>
		<span><b>Tindakan ini akan :</b></span>
		<br>
		<span>- Memuat formulir utama agar dapat memulai kembali siklus pemeriksaan dari awal.</span>
<!--		<br>
		<span>- Memberikan Anda kesempatan untuk memperbarui informasi dan keluhan terbaru.</span>
 -->         
		  <script>
			 
		  </script>
	</div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-primary pull-left" onclick="menujuFormRehabilitasi()">Lanjutkan</button>
        <button type="button" class="btn btn-danger pull-right tutupmodal" data-dismiss="modal">Tutup</button>
      </div>

    </div>
  </div>
</div>

<!--</form>-->



<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
  <div class="modal-dialog">

	<!-- Modal content-->
	<div class="modal-content">
	  <div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">&times;</button>
		<h4 class="modal-title">Konfirmasi</h4>
	  </div>
	  <div class="modal-body">
		<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
			pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
		</p>

		<div>
			<hr>
			<label><b>Password<b></label>
			<input type="text" name="password" id="password" class="form-control" placeholder="Konfirmasi Password">
			<div class="checkbox">
				<label><input type="checkbox" id="check-setuju" name="check-setuju">Setuju</label>
			</div>
		</div>
	  </div>
	  <div class="modal-footer">
		<!-- <button type="button" class="btn btn-danger" id="tandatanganiperubahan"> Setuju &amp; Simpan Perubahan</button> -->
		<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
		<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
	  </div>
	</div>

  </div>
</div>
<!-- Modal -->
</div>
<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');

?>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">
	
	function showJadwal() {
        $("#myModal").modal({ backdrop: "static", keyboard: false});
    }
	
	function showSiklusBaru() {
        $("#siklusModal").modal({ backdrop: "static", keyboard: false});
    }
	
	
	function menujuFormRehabilitasi(){
        var agree = function() {
            parent.jQuery.fallr('hide',function(){
				$('.tutupmodal').click();
				parent.AppPage.setTitle('Rehabilitasi')
				parent.openAppPage('<?= QApplication::UrlCreator('iframe-form/form-rehabilitasi-1')?>/?Id='+strId);
			});
        };
		var cancel = function() {
            parent.jQuery.fallr('hide',function(){
            });
        };
		parent.jFallr(
			'Apakah anda yakin untuk memuat halaman formulir utama Rehabilitasi?<br>' //+
			//"<?= $objPatientNursing->FirstName; ?> [<?= $objPatientNursing->Mr; ?>] ?"
			, agree
			, cancel
		);
	}
	
	function cetaklaporan() {
		parent.AppPrintPage.setTitle('Print Preview Rehabilitasi')
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>';
		parent.openAppPrintPage('<?= QApplication::UrlCreator('form-medis-rajal/print-form-rehabilitasi1') ?>?'+ strOption);

	}
	
	function previewJadwal(IdNursing) {
		parent.AppPrintPage.setTitle('Print Preview Jadwal')
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id='+IdNursing;
		parent.openAppPrintPage('<?= QApplication::UrlCreator('form-medis-rajal/print-form-rehabilitasi') ?>?'+ strOption);

	}
	
	function previewJadwalKontrol(IdNursing) {
		parent.AppPrintPage.setTitle('Print Preview Jadwal Kontrol')
		var strOption = 'page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id='+IdNursing;
		parent.openAppPrintPage('<?= QApplication::UrlCreator('form-medis-rajal/print-form-rehabilitasi1') ?>?'+ strOption);

	}

console.log("")
var FormGizi = function(){

	'use strict';


	$('#dpjp_rehab').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});

	$('#terapis_rehab').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	
	
    $('.diagnosa').each(function() {
        $(this).ajaxChosen({
            type: 'GET'
            , dataType: 'json'
        },{
            useAjax: function(e){ return true; }
            , minLength: 0
            , noresetSearch: true
            , processItems: function(data){
                return data;
            }
            , generateUrl: function(strSearch) {
                return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=diagnose&search=' + strSearch
            }
        }, {
            allow_single_deselect: true
        }).on('change', function(e) {
            var ini = $(this);
            var id = '.diagnoselabel' + ini.attr('id').substr(12,1);
            $(id).text(ini.val());
        });
    }).trigger('change');
	
	
    $('.treatment').each(function() {
        $(this).ajaxChosen({
            type: 'GET'
            , dataType: 'json'
        },{
            useAjax: function(e){ return true; }
            , minLength: 0
            , processItems: function(data){
                return data;
            }
            , generateUrl: function(strSearch) {
                return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=procedure&search=' + strSearch
            }
        }, {
            allow_single_deselect: true
        }).on('change', function(e) {
            var ini2 = $(this);
            var id2 = '.tindakanlabel' + ini2.attr('id').substr(8,1);
            $(id2).text(ini2.val());
        });
    }).trigger('change');
	
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
	
	$('input[type="checkbox"]').change(function() {
	  if ($(this).prop('checked')) {
		$('input[name="' + $(this).attr('name') + '"]').not(this).prop('checked', false);
	  }
	});
	
   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}

	function unInitialize() {
		setTimeout(function(){
			Reflect.deleteProperty(window, 'FormGizi');
		},100);
	}

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});

	$('#content').off('click', '#sign').on('click', '#sign', function (event) {
		$('#modal-area').modal("show");
		$('#tandatangani').show();
	});

	$('#content').off('click', '#tandatangani').on('click', '#tandatangani', function (event) {
		event.preventDefault();
		console.log('simpan asesmen awal');
		if(validasiSimpan()){
			posting('VERIFIKASI');
		}
	});

	var validasiSimpan = function(){
		var password = $('#password');
		var checkSetuju = $('#check-setuju');

		if( !password.val() ){
			toastr.warning('Password Masih Kosong', 'Peringatan');
			return null;
		}
		if( !checkSetuju.prop('checked') ){
			toastr.warning('Anda Harus Menyetujui', 'Peringatan');
			return null;
		}
		return true;
	}

	
	function SimpanData(){
        var agree = function() {
            parent.jQuery.fallr('hide',function(){
				posting('DRAFT');
			});
        };
		var cancel = function() {
             parent.jQuery.fallr('hide',function(){
            });
        };
		 parent.jFallr(
			'Simpan Data Pemeriksaan Rehabilitasi <br>' +
			"<?= $objPatientNursing->FirstName; ?> [<?= $objPatientNursing->Mr; ?>] ?"
			, agree
			, cancel
		);
	}
	$('#content').off('click', '#float-simpan').on('click', '#float-simpan', function(event){
        event.preventDefault();
        event.stopPropagation();
		SimpanData();
	});

	$('#content').off('click', '#save').on('click', '#save', function (event) {
        event.preventDefault();
        event.stopPropagation();
		SimpanData();
	});
	
	$('#menu-cetak').off('click').on('click',function(){
		var url = '<?= QApplication::UrlCreator('form-medis-rajal/print-rehabilitasi')?>?pageid='+strPageId+'&departmentId='+strDepartment+'&Id=<?= $strId ?>';
		openInNewTab(url);
		unInitialize();
		//print();
	});

	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		
		
		post.vIdPemeriksaan = '<?= $objPatientNursing1->Id;?>';
		
		post.vTanggalPelayananRehab = $('#tgl_pelayanan').val();
		post.vProgramRehab = $('#program_rehab').val();
		post.vEvaluasiKontrolSebelumnya = $('#evaluasi_kontrol_sebelumnya').val();
		
		post.AdmissionDiagnoseDescription1 = $('#diagnosa_medis').val();
		post.AdmissionDiagnoseCode1 = $('#diagnosecode1').val();
		post.PlanningTreatmentDescription1 = $('#tata_laksana').val();
		post.PlanningTreatmentCode1 = $('#tindakan1').val();
		
		
		post.vTerapisRehabId = $('#terapis_rehab').val();
		post.vDokterRehab1Id = $('#dpjp_rehab').val();
		

		console.log(post);
		parent.toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingAssessmentKeperawatan/SaveRehabilitasiUjiFungsi2')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#save').hide();
				$('#save-loading').show();
				$('#float-simpan').hide();
				$('#float-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					parent.toastr.success( 'Data Terkirim', 'Informasi');
					//back();
					//unInitialize();
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('.currentTanggal').html('<?= date('d-m-Y', strtotime($objPatientNursing->NursingStartDate->PhpDate('d-m-Y'))) ?>');
					$('.currentTampilkan').attr("onclick","previewJadwalKontrol('<?= $objPatientNursing->Id ?>')")
					$('.currentTampilkan').show();
					//back();
					//unInitialize();
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#rehabilitasi').removeClass('btn-primary').addClass('btn-success').html('Rehabilitasi <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

};

$('#content').ready(function(){
	FormGizi();
	$('#tanda_tangan_elektronik, #validasi-modal, #float-koreksi, .koreksi, #validasi-loading').remove(); // tanpa tte, validasi
	$("#pengulangan_siklus").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100% !important;'
		, allow_single_deselect: true
	});
	/*
	$('#cetak_laporan').addClass('disabled');
	$('#float-print').addClass('btn disabled');
	<?= $objPatientNursing->vFormRehabilitasiUjiFungsiKontrol == '1.0' ? "$('#cetak_laporan').removeClass('disabled');$('#float-print').removeClass('btn disabled');" : "" ?>
	
	*/
	
	$('#validasi-modal, #tanda_tangan_elektronik').addClass('disabled'); 
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormRehabilitasiUjiFungsiKontrol ? "
		$('#cetak_laporan, #float-print, #validasi-modal').removeClass('disabled');
		$('#notif-disimpan, #save, #float-simpan').show();
		$('#float-loading, #save-loading').hide();
		" : "" ?>
<?php if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
	$('#validasi-modal').addClass('disabled');
<?php } ?>
	<?= $objPatientNursing->vFormRehabilitasiUjiFungsiKontrolModifiedVersion  ? "
		$('#validasi-loading, #float-loading, #save, #save-loading, #float-simpan, #float-loading, #notif-disimpan, #cetak_laporan').hide();
		$('#validasi-modal, #float-koreksi, #notif-diverifikasi, #cetak_container, .koreksi').show();
		$('#cetak_container').css('display','inline-block');
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal, #float-validasi').addClass('disabled'); 
		$('#nama_versi').attr('placeholder', '~".$objPatientNursing->vRingkasanPulangModifiedVersion."');
	" : "" ?>
<?= ($objPatientNursing->vFormRehabilitasiUjiFungsiKontrolModifiedVersion) && ($objSystemUser->ReferenceId == $objPatientNursing->DoctorId) ? "
	$('#tanda_tangan_elektronik').removeClass('disabled'); 
" : "" ?>


});

</script>