
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

 $objSystemUser = SystemUser::LoadById($objUser->Id);
$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}


$IndikasiAlasanMrs =  $objPatientNursing->IndikasiAlasanMrs;
$RingkasanRiwayatPenyakit =  $objPatientNursing->RingkasanRiwayatPenyakit;
$PemeriksaanPenunjang =  $objPatientNursing->PemeriksaanPenunjang;

$PengobatanTindakLanjut = $objPatientNursing->PengobatanTindakLanjut;
$InformasiUntukPasien = $objPatientNursing->InformasiUntukPasien;
$TindakLanjutUntukPasien = $objPatientNursing->TindakLanjutUntukPasien;

$Suhu =  $objPatientNursing->Suhu;
$Nadi =   $objPatientNursing->Nadi;
$RespirationRate =  $objPatientNursing->RespirationRate;
$TekananDarah =  $objPatientNursing->TekananDarah;
$KondisiPasienPulang =  $objPatientNursing->KondisiPasienPulang;
$SebabKematian =  $objPatientNursing->SebabKematian;


?>
<!--
<script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script>
-->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.cetak_container{display:inline-block;}
#nama_versi{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
#text-notif-tte {color:#fff;background-image: linear-gradient(45deg,#008d4c, #008d4c,#5cb85c, #008d4c,#008d4c);animation: example 1.2s linear infinite;border:1px solid #008d4c;}
@keyframes example {0% {background-position: 0px 0px;}100%{background-position: 930px 0px;}}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<div class="row" style="margin-bottom: 10px;text-align:center;">
    <div class="col-md-12">
        <h1 class="panel-title1">RINGKASAN PULANG RUANGAN <?= $objPatientNursing->DepartmentName ?></h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
				<?php if($objPatientNursing->NursingCategory == 3){ ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Perawat PPJP</label>
                    <div class="col-sm-8">
									<?php
									$strPpjp = "";
									if($objPatientNursing->PpjpId){
										$objPpjp = HmisRefEmployee::LoadById($objPatientNursing->PpjpId);
										$strPpjp = $objPpjp->FirstName;
									}
									?>
                        <input type="text" class="form-control input-sm" name="PPJP" id="PPJP" required value="<?= $strPpjp?>" readonly>
                    </div>
                </div>
				<?php } ?>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">


<?php
    if($objPatientNursing->RingkasanPulangVerifikasi){
        $objSystemUser = SystemUser::LoadById($objPatientNursing->RingkasanPulangVerifikasi);
        $strVerifikator = $objSystemUser->LoginName;
        $strVerifikatorFullName = $objSystemUser->FullName;
    }else{
        $strVerifikator = '';
    }

    ?>
    
<div class="row sudah-simpan" style="display:none;">
    <div class="col-md-1"></div>
    <div class="col-md-10">
        <div class="callout callout-success">
            <h3><i class="fa fa-key"></i> Tanda Tangan!</h3>
            <p>Data telah ditandatangani dengan Signature<br>
            <b class="clientUserId"><?= $objPatientNursing->RingkasanPulangVerifikasi ?></b>
            </p>
        </div>
    </div>
    <div class="col-md-1">
    </div>
</div>


<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Ringkasan Pulang</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Indikasi Alasan MRS</label>
                    <div class="col-sm-10">
                        <textarea id="indikasiAlasanMrs" class="form-control input-sm"><?= $IndikasiAlasanMrs ?></textarea>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Diagnosa Masuk</label>
                    <div class="col-sm-10">
                        <textarea id="diagnosaMasuk" class="form-control input-sm"><?= $objPatientNursing->ReferalInDiagnoseDescription ?></textarea>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Ringkasan Riwayat Penyakit & Pemeriksaan Fisik Yang Signifikan</label>
                    <div class="col-sm-10">
                        <textarea id="ringkasanRiwayat" class="form-control" row="11" required><?= $RingkasanRiwayatPenyakit ?></textarea>
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Pemeriksaan Penunjang</label>
                    <div class="col-sm-10">
                        <textarea id="pemeriksaanPenunjang" class="form-control input-sm"><?= $PemeriksaanPenunjang ?></textarea>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Ringkasan Pulang</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-12">


                <?php
                if ($objPatientNursing->DateOfBirth)
                    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);
                else
                    $umur = '';

                $json = json_decode($objPatientNursing->RegisterJson);
                $tindakanTanggal1 = $json->TindakanTanggal1;
                $tindakanTanggal2 = $json->TindakanTanggal2;
                $tindakanTanggal3 = $json->TindakanTanggal3;
                $tindakanTanggal4 = $json->TindakanTanggal4;
                $statusIndex = $json->StatusIndex;
                $arrObjCompetence = HrisRefCompetence::LoadAll();
                ?>
 <!--               <form class="form-horizontal" role="form" id="form-utama" action="<?= QApplication::UrlActionCreator('/PatientNursingMedicalService/StartService')?>"> -->

                    <input type="hidden" id="formPageId" name="formPageId" value="<?= __PAGE__ ?>">
                    <input type="hidden" id="formId" name="formId" value="<?= $formId ?>">
                    <input type="hidden" id="formTime" name="formTime" value="<?= $formTime ?>">
                    <input type="hidden" id="reqAjax" name="reqAjax" value="yes">
                    <input type="hidden" id="actionMode" name="actionMode" value="<?= QApplication::$ActionName ?>">
                    <input type="hidden" id="path" name="path" value="<?= base64_encode(dirname(__FILE__)) ?>">

                    <input type="hidden" id="page_id" name="page_id" value="<?= __PAGE__ ?>">
                    <input type="hidden" id="post_page_id" name="post_page_id" value="<?= __PAGE__ ?>">

                    <input name="post_id" id="post_id" value="<?= $objPatientNursing->Id; ?>" type="hidden">

                    <?php if($objPatientNursing&&$objPatientNursing->DoctorId) { ?>
                        <input name="post_doctor_id" id="post_doctor_id" value="<?= $objPatientNursing->DoctorId; ?>" type="hidden">
                    <?php } else { ?>
                        <input name="post_doctor_id" id="post_doctor_id" value="<?= $objMedicalDoctor->Id; ?>" type="hidden">
                    <?php } ?>

                    <div class="panel-body">
                        <div class="row">
                            <div class="col-md-12">
                                <h4>Diagnosa</h4>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="w1-username">Diagnosa Utama</label>
                                    <div class="col-sm-4">
                                        <input name="diagnosedesc1" type="text" class="form-control input-sm-2" id="diagnosedesc1" placeholder="Diagnosa Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription1 ?>" />
                                    </div>
                                    <div class="col-sm-5">
                                        <select name="diagnosecode1" id="diagnosecode1" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                                            <?php if ($objPatientNursing->AdmissionDiagnoseCode1) {
                                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode1);
                                                ?>
                                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-1">
                                        <span class="diagnoselabel1" style="font-weight: bold"></span>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="w1-username">Diagnosa Sekunder</label>
                                    <div class="col-sm-4">
                                        <input name="diagnosedesc2" type="text" class="form-control input-sm-2" id="diagnosedesc2" placeholder="Diagnosa Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription2 ?>"/>
                                    </div>
                                    <div class="col-sm-5">
                                        <select name="diagnosecode2" id="diagnosecode2" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                                            <?php if ($objPatientNursing->AdmissionDiagnoseCode2) {
                                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode2);
                                                ?>
                                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-1">
                                        <span class="diagnoselabel2" style="font-weight: bold"></span>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="w1-username">Komplikasi 1</label>
                                    <div class="col-sm-4">
                                        <input name="diagnosedesc3" type="text" class="form-control input-sm-2" id="diagnosedesc3" placeholder="Diagnosa Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription3 ?>"/>
                                    </div>
                                    <div class="col-sm-5">
                                        <select name="diagnosecode3" id="diagnosecode3" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                                            <?php if ($objPatientNursing->AdmissionDiagnoseCode3) {
                                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode3);
                                                ?>
                                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-1">
                                        <span class="diagnoselabel3" style="font-weight: bold"></span>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="w1-username">Komplikasi 2</label>
                                    <div class="col-sm-4">
                                        <input name="diagnosedesc4" type="text" class="form-control input-sm-2" id="diagnosedesc4" placeholder="Diagnosa Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription4 ?>" />
                                    </div>
                                    <div class="col-sm-5">
                                        <select name="diagnosecode4" id="diagnosecode4" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                                            <?php if ($objPatientNursing->AdmissionDiagnoseCode4) {
                                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode4);
                                                ?>
                                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-1">
                                        <span class="diagnoselabel4" style="font-weight: bold"></span>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="w1-username">Komplikasi 3</label>
                                    <div class="col-sm-4">
                                        <input name="diagnosedesc5" type="text" class="form-control input-sm-2" id="diagnosedesc5" placeholder="Diagnosa Berkas" value="<?= $objPatientNursing->AdmissionDiagnoseDescription5 ?>"/>
                                    </div>
                                    <div class="col-sm-5">
                                        <select name="diagnosecode5" id="diagnosecode5" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                                            <?php if ($objPatientNursing->AdmissionDiagnoseCode5) {
                                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode5);

                                                ?>
                                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-1">
                                        <span class="diagnoselabel5" style="font-weight: bold"></span>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="w1-username">Komplikasi 4</label>
                                    <div class="col-sm-4">
                                        <input name="diagnosedesc6" type="text" class="form-control input-sm-2" id="diagnosedesc6" placeholder="Diagnosa Berkas"  value="<?= $objPatientNursing->AdmissionDiagnoseDescription6 ?>" />
                                    </div>
                                    <div class="col-sm-5">
                                        
                                        <select name="diagnosecode6" id="diagnosecode6" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                                            <?php if ($objPatientNursing->AdmissionDiagnoseCode6) {
                                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->AdmissionDiagnoseCode6);

                                                ?>
                                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-1">
                                        <span class="diagnoselabel6" style="font-weight: bold"></span>
                                    </div>
                                </div>
                                <hr>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12">
                                <h4>Tindakan</h4>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="w1-username">Tindakan 1</label>
                                    <div class="col-sm-3">
                                        <select name="tindakan1" id="tindakan1" class="form-control input-sm-2 treatment" placeholder="Search Tindakan" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                                            <?php if ($objPatientNursing->PlanningTreatmentCode1) {
                                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->PlanningTreatmentCode1);
                                                ?>
                                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control input-sm" name="tindakanfree1" id="tindakanfree1" value="<?= $objPatientNursing->PlanningTreatmentDescription1 ?>"/>
                                    </div>
                                    <div class="col-sm-2">
                                        <!-- <input type="text" value="<?= $tindakanTanggal1 ?>" class="form-control input-sm input-date" tabindex="8" name="tgl1" id="tgl1" placeholder="Tanggal" autocomplete="off"> -->
                                    </div>
                                    <div class="col-sm-1">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="w1-username">Tindakan 2</label>
                                    <div class="col-sm-3">
                                        <select name="tindakan2" id="tindakan2" class="form-control input-sm-2 treatment" placeholder="Search Tindakan" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                                            <?php if ($objPatientNursing->PlanningTreatmentCode2) {
                                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->PlanningTreatmentCode2);
                                                ?>
                                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control input-sm" name="tindakanfree2" id="tindakanfree2" value="<?= $objPatientNursing->PlanningTreatmentDescription2 ?>"/>
                                    </div>
                                    <div class="col-sm-2">
                                        <!-- <input type="text" value="<?= $tindakanTanggal2 ?>"class="form-control input-sm input-date" tabindex="10" name="tgl2" id="tgl2" placeholder="Tanggal" autocomplete="off"> -->
                                    </div>
                                    <div class="col-sm-1">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="w1-username">Tindakan 3</label>
                                    <div class="col-sm-3">
                                        <select name="tindakan3" id="tindakan3" class="form-control input-sm-2 treatment" placeholder="Search Tindakan" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                                            <?php if ($objPatientNursing->PlanningTreatmentCode3) {
                                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->PlanningTreatmentCode3);
                                                ?>
                                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="text"  class="form-control input-sm" name="tindakanfree3" id="tindakanfree3" value="<?= $objPatientNursing->PlanningTreatmentDescription3 ?>"/>
                                    </div>
                                    <div class="col-sm-2">
                                        <!-- <input type="text" value="<?= $tindakanTanggal3 ?>" class="form-control input-sm input-date" tabindex="12" name="tgl3" id="tgl3" placeholder="Tanggal" autocomplete="off"> -->
                                    </div>
                                    <div class="col-sm-1">
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-sm-2 control-label" for="w1-username">Tindakan 4</label>
                                    <div class="col-sm-3">
                                        <select name="tindakan4" id="tindakan4" class="form-control input-sm-2 treatment" placeholder="Search Tindakan" <?= $statusIndex == 2 ? 'disabled' : ''?>>
                                            <?php if ($objPatientNursing->PlanningTreatmentCode4) {
                                                $objICD = HmisRefCodeDiagnoseProcedure::LoadByCode($objPatientNursing->PlanningTreatmentCode4);
                                                ?>
                                                <option value="<?= $objICD ? $objICD->Code : ''?>"><?= $objICD ? $objICD->Description : ''?></option>
                                            <?php } ?>
                                        </select>
                                    </div>
                                    <div class="col-sm-4">
                                        <input type="text" class="form-control input-sm" name="tindakanfree4" id="tindakanfree4" value="<?= $objPatientNursing->PlanningTreatmentDescription4 ?>" />
                                    </div>
                                    <div class="col-sm-2">
                                        <!-- <input type="text" value="<?= $tindakanTanggal4 ?>"class="form-control input-sm input-date" tabindex="14" name="tgl4" id="tgl4" placeholder="Tanggal" autocomplete="off"> -->
                                    </div>
                                    <div class="col-sm-1">
                                    </div>
                                </div>
                                <hr>
                            </div>
                        </div>

                    </div>
<!--                </form> -->
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Pengobatan dan Tindak Lanjut</label>
                    <div class="col-sm-10">
                        <textarea id="pengobatanTindakLanjut" class="form-control input-sm"><?= $PengobatanTindakLanjut ?></textarea>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Informasi Untuk Pasien</label>
                    <div class="col-sm-10">
                        <textarea id="informasiUntukPasien" class="form-control input-sm"><?= $InformasiUntukPasien ?></textarea>
                    </div>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label class="col-sm-2 control-label" for="w1-username">Tindak Lanjut Untuk Pasien</label>
                    <div class="col-sm-10">
                        <textarea id="tindakLanjutUntukPasien" class="form-control input-sm"><?= $TindakLanjutUntukPasien ?></textarea>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<div class="box box-info form-horizontal" style="padding-bottom: 25px;">
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Kondisi PX Waktu Pulang</label>
                    <div class="col-sm-8">
					
					<?php
						$arrayCaraPulang = array(
							'Sembuh' => 'Sembuh',
							'Pulang' => 'Pulang',
							'Pulang Paksa' => 'Pulang Paksa / APS',
							'Dirujuk' => 'Dirujuk',
							'Dirujuk RS Lebih Tinggi' => 'Dirujuk RS Lebih Tinggi',
							'Dirujuk RS Lain' => 'Dirujuk RS Lain',
							// 'MRS' => 'Masuk Rawat Inap',
							'Meninggal' => 'Meninggal',
							'Lain-lain' => 'Lain-lain',
							'Rujuk Ke Faskes Rujukan' => 'Rujuk Ke Faskes Rujukan',
							'Rujuk Balik' => 'Rujuk Balik',
						);
					?>
					
                        <select id="kondisiPasienPulang" class="form-control">
                            <option value=""></option>
							<?php foreach ($arrayCaraPulang as $key => $value) { ?>
							<option value="<?= $key?>" <?= $KondisiPasienPulang == $key ? 'selected' : ''?>><?= $value?></option>
							<?php } ?>
                        </select>
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Sebab Kematian</label>
                    <div class="col-sm-8">
                        <input id="sebabKematian" name="sebabKematian" class="form-control" value="<?= $SebabKematian ?>">
                    </div>
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Suhu (C)</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="suhu" id="suhu" value="<?= $Suhu ?>">
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nadi (x/menit)</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nadi" id="nadi" value="<?= $Nadi ?>">
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">RR (x/menit)</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rr" id="rr" value="<?= $RespirationRate ?>">
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">TD (mmHg)</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="td" id="td" value="<?= $TekananDarah ?>">
                    </div>
                </div>
            </div>
        </div>
	</div>
</div>
</div>
<!-- </form> -->


<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi" style="display:none;"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-lg fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<button href="#" type="button" class="btn btn-success" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </button>
			<a id="validasi-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-lg fa-spinner fa-spin" style="margin-right:2px;"></i> Validasi</a>
			<button href="#" type="button" class="btn btn-success" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </button>
			<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div id="cetak_container" style="display:none;">
				<input type="number" id="nama_versi" class="form-control sudah-validasi"  placeholder="~1" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>
			<button href="#" type="button" class="btn btn-success show-modal sudah-tte" id="file_tte" style="display:none;"><i class="fa fa-check-square-o"></i> File TTE </button>
		</div>
	</div>
</div>



<div class="row" id="notif-tte" style="margin-top:20px;display:none;">	
	<div class="col-md-12">
		<div class="alert" id="text-notif-tte" role="alert" style="margin-bottom:0px;">
			Tanda Tangan Elektronik oleh <b><?= $objPatientNursing->vTTERingkasanPulangEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vTTERingkasanPulangEmployeeId)->FirstName.' ('.$objPatientNursing->vTTERingkasanPulangLoginName.')' : $objPatientNursing->vTTERingkasanPulangLoginName ; ?></b> pada <b><?=  $objPatientNursing->vTTERingkasanPulangTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vTTERingkasanPulangTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vTTERingkasanPulangIP ?></b>.
		</div>
	</div>
</div>
<div class="row" id="notif-diverifikasi" style="margin-top:20px;display:none;">	
	<div class="col-md-12">
		<div class="alert alert-success" id="text-notif-diverifikasi" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormRingkasanPulangEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormRingkasanPulangEmployeeId)->FirstName.' ('.$objPatientNursing->vFormRingkasanPulangLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormRingkasanPulangLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormRingkasanPulangTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormRingkasanPulangTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormRingkasanPulangIP ?></b>.
		</div>
	</div>
</div>
<div class="row" id="notif-disimpan" style="margin-top:20px;display:none;">	
	<div class="col-md-12">
		<div class="alert" id="text-notif-disimpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Disimpan terakhir oleh <b><?= $objPatientNursing->vFormRingkasanPulangEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormRingkasanPulangEmployeeId)->FirstName.' ('.$objPatientNursing->vFormRingkasanPulangLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormRingkasanPulangLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormRingkasanPulangTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormRingkasanPulangTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormRingkasanPulangIP ?></b>.
		</div>
	</div>
</div>
<div class="row" id="notif-validasi"  style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;" role="alert">
			*Validasi hanya dapat dilakukan oleh <b>DPJP</b>.
		</div>
	</div>
</div>
<div class="row" style="height:50%;">
</div>

<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>
<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}
//alert('<?= $objPatientNursing->vFormRingkasanPulang ?>')
</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

//console.log('<?=System::getPublicVariable('mode_validasi')?>')
//alert('DPJP Name = <?=$objPatientNursing->DoctorName;?> \nDPJP  Id = <?=$objPatientNursing->DoctorId ?> \nUsername = <?=$objSystemUser->LoginName;?> \nPersonal Name = <?=$objSystemUser->FullName;?> \nPersonal Id = <?=$objSystemUser->ReferenceId;?> ')
	
console.log('<?= $objPatientNursing->vRingkasanPulangModifiedLoginName; ?>');	
var FormGizi = function(){

	
	function cetaklaporan() {
		var ModifiedVersion = $('#nama_versi').val() ? $('#nama_versi').val() : '' ;
		parent.AppPrintPage.setTitle('Preview Ringkasan Pulang');
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('hmis-patient-medical-service-rnap/print-laporan-ringkasan-rsmz') ?>' + '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion );
	}
	

	function previewSebelumTTE() {
		var ModifiedVersion = $('#nama_versi').val();
		var strOption = '?page=<?= __PAGE__?>&activity_id=<?=$objPatientNursing->ActivityId?>&Id=<?=$objPatientNursing->Id?>&ModifiedVersion='+ ModifiedVersion;
 		parent.AppPrintPage.setTitle('Print Preview Ringkasan Pulang')
		parent.btnPassphrasee.show();
		parent.openAppPrintPage( '<?= QApplication::UrlCreator('hmis-patient-medical-service-rnap/print-laporan-ringkasan-rsmz') ?>' + strOption , 'Ringkasan Pulang' , 'DOKUMEN PDF TTE' , 'RINGKASAN PULANG' , 'vTTERingkasanPulang' );
	}
	
	
	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});
        
   function resizeTextarea() {
        $(this).css('height', 'auto');
        $(this).css('height', $(this)[0].scrollHeight + 'px');
    }
    $('.autoresize').on('input', resizeTextarea).trigger('input');
	
	
	$('#content').off('click', '#tanda_tangan_elektronik').on('click', '#tanda_tangan_elektronik', function () {
		previewSebelumTTE();
	});
	

	
	$('#content').off('click', '#pdfUrl').on('click', '#pdfUrl', function (event) {
		previewPage.setTitle('File PDF');
		btnDownload.purgeListeners();
		
		btnDownload.on('click', function () {
			toastr.info('Download Starting', 'Informasi');
			showLoader(2);
			fetch($("#pdfSourceUrl").text()).then(resp => resp.arrayBuffer()).then(resp => {
				const file = new Blob([resp], {type: 'application/pdf'});
				const fileURL = URL.createObjectURL(file);
				const link = document.createElement('a');
				link.href = fileURL;
				link.download = "Ringkasan Pulang.pdf";
				link.click();
			});
		});
		
		btnDownload.show()
		openpreviewPage($("#pdfSourceUrl").text()); 
	});
	$('#content').off('click', '#pdfTteUrl').on('click', '#pdfTteUrl', function (event) {
		btnDownload.show()
		previewPage.setTitle('File PDF TTE');
		btnDownload.purgeListeners();
		
		btnDownload.on('click', function () {
			toastr.info('Download Starting', 'Informasi');
			showLoader(2);
			fetch($("#pdfTteSourceUrl").text()).then(resp => resp.arrayBuffer()).then(resp => {
				const file = new Blob([resp], {type: 'application/pdf'});
				const fileURL = URL.createObjectURL(file);
				const link = document.createElement('a');
				link.href = fileURL;
				link.download = "Ringkasan Pulang TTE.pdf";
				link.click();
			});
		});

		openpreviewPage($("#pdfTteSourceUrl").text()); 
	});
	
	
	<?php
	if($objPatientNursing->DepartmentName){
		$namaDepartemen = $objPatientNursing->DepartmentName;
	}elseif($objPatientNursing->TransferDepartmentId){
		$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->TransferDepartmentId);
		$namaDepartemen = $objDepartment->Name;
	}elseif($objPatientNursing->StartCheckinDepartmentId){
		$objDepartment = HmisRefDepartment::LoadById($objPatientNursing->StartCheckinDepartmentId);
		$namaDepartemen = $objDepartment->Name;
	}
	?>
	
		
	$('.koreksi, #float-koreksi').click(function(){
        parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
				$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false).trigger('chosen:updated');
				$('#validasi-modal, #float-validasi').removeClass('disabled'); 
				$('.koreksi').addClass('disabled'); 
				$('#float-koreksi').hide();
				$('#float-validasi').show();
                parent.jQuery.fallr('hide',function(){});
            },
            function(){
                parent.jQuery.fallr('hide',function(){});
            }
        );
    })


	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function () {
		posting('DRAFT');
	});

	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vRingkasanPulangModifiedVersion != "" ? $objPatientNursing->vRingkasanPulangModifiedVersion : "0" ;?>');
	$('#nama_versi').attr('max', revisionNumber);
	$('#nama_versi').attr('min', 1);
	$('#nama_versi').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});
	
	function tambah_revisionNumber() {
		revisionNumber = revisionNumber + 1;
		$('#nama_versi').attr("placeholder", "~" + revisionNumber);
		$('#nama_versi').attr("max", revisionNumber);
	};
	

	
	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}

		post.IndikasiAlasanMrs = $('#indikasiAlasanMrs').val();
		post.ReferalInDiagnoseDescription = $('#diagnosaMasuk').val();
		post.RingkasanRiwayatPenyakit = $('#ringkasanRiwayat').val();
		post.PemeriksaanPenunjang = $('#pemeriksaanPenunjang').val();


		post.AdmissionDiagnoseDescription1 = $('#diagnosedesc1').val();
		post.AdmissionDiagnoseCode1 = $('#diagnosecode1').val();
		post.AdmissionDiagnoseDescription2 = $('#diagnosedesc2').val();
		post.AdmissionDiagnoseCode2 = $('#diagnosecode2').val();
		post.AdmissionDiagnoseDescription3 = $('#diagnosedesc3').val();
		post.AdmissionDiagnoseCode3 = $('#diagnosecode3').val();
		post.AdmissionDiagnoseDescription4 = $('#diagnosedesc4').val();
		post.AdmissionDiagnoseCode4 = $('#diagnosecode4').val();
		post.AdmissionDiagnoseDescription5 = $('#diagnosedesc5').val();
		post.AdmissionDiagnoseCode5 = $('#diagnosecode5').val();
		post.AdmissionDiagnoseDescription6 = $('#diagnosedesc6').val();
		post.AdmissionDiagnoseCode6 = $('#diagnosecode6').val();
        
		post.PlanningTreatmentCode1 = $('#tindakan1').val();
		post.PlanningTreatmentDescription1 = $('#tindakanfree1').val();
		post.PlanningTreatmentCode2 = $('#tindakan2').val();
		post.PlanningTreatmentDescription2 = $('#tindakanfree2').val();
		post.PlanningTreatmentCode3 = $('#tindakan3').val();
		post.PlanningTreatmentDescription3 = $('#tindakanfree3').val();
		post.PlanningTreatmentCode4 = $('#tindakan4').val();
		post.PlanningTreatmentDescription4 = $('#tindakanfree4').val();
        
		post.PengobatanTindakLanjut = $('#pengobatanTindakLanjut').val();
		post.InformasiUntukPasien = $('#informasiUntukPasien').val();
		post.TindakLanjutUntukPasien = $('#tindakLanjutUntukPasien').val();
        
		post.KondisiPasienPulang = $('#kondisiPasienPulang').val();
		post.SebabKematian = $('#sebabKematian').val();
		post.Suhu = $('#suhu').val();
		post.RespirationRate = $('#rr').val();
		post.Nadi = $('#nadi').val();
		post.TekananDarah = $('#td').val();
        
        
        
		console.log(post);
		parent.toastr.info('Menyimpan Data', 'Informasi');
		parent.showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SaveRingkasanPulang')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				if (mode == 'DRAFT'){
					$('#save, #float-simpan, #float-validasi').hide();
					$('#float-loading, #save-loading').show();
				} else if (mode == 'VERIFIKASI'){
					$('#validasi-loading, #float-loading').show();
					$('#validasi-modal, #float-validasi, #float-simpan').hide();
				}
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					parent.toastr.success( 'Data Terkirim', 'Informasi');
					$('#validasi-loading, #float-loading, #save, #save-loading, #float-simpan, #float-loading, #notif-disimpan, #cetak_laporan').hide();
					$('#validasi-modal, #float-koreksi, #notif-diverifikasi, #cetak_container, .koreksi').show();
					$('#cetak_container').css('display','inline-block');
					$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
					$('#validasi-modal, #float-validasi').addClass('disabled'); 
					$('#tanda_tangan_elektronik').removeClass('disabled'); 
					$('#text-notif-diverifikasi').html(result.TextSudahValidasi);
					tambah_revisionNumber();
					parent.boolChange = false;
					//parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan, #float-print').removeClass('disabled');
					<?php if ($objSystemUser->ReferenceId == $objPatientNursing->DoctorId) { ?>
						$('#validasi-modal').removeClass('disabled');
					<?php } ?>
					$('#notif-disimpan, #save, #float-simpan').show();
					$('#float-loading, #save-loading').hide();
					$('#text-notif-disimpan').html(result.TextSudahSimpan);
					<?php $modeValidasi = System::getPublicVariable('mode_validasi'); ?>
					<?php if(($modeValidasi == "tanda_tangan") && ($objSystemUser->ReferenceId == $objPatientNursing->DoctorId)) { ?>	
						$('#tanda_tangan_elektronik').show();
						$('#tanda_tangan_elektronik').removeClass('disabled'); 
					<?php }?>
					parent.boolChange = false;
					//parent.AppPage.hide();
				} else {
					toastr.error( result.message , 'Errors');
					$('#save, #float-simpan').show();
					$('#float-loading, #save-loading').hide();
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
			}
		});

	}

	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});

    $("#keadaan_pulang").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%!important;'
		, allow_single_deselect: true
	});
    
    $('.diagnosa').each(function() {
        $(this).ajaxChosen({
            type: 'GET'
            , dataType: 'json'
        },{
            useAjax: function(e){ return true; }
            , minLength: 0
            , noresetSearch: true
            , processItems: function(data){
                return data;
            }
            , generateUrl: function(strSearch) {
                return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=diagnose&search=' + strSearch
            }
        }, {
            allow_single_deselect: true
        }).on('change', function(e) {
            var ini = $(this);
            var id = '.diagnoselabel' + ini.attr('id').substr(12,1);
            $(id).text(ini.val());
        });
    }).trigger('change');
    
    
    $('.treatment').each(function() {
        $(this).ajaxChosen({
            type: 'GET'
            , dataType: 'json'
        },{
            useAjax: function(e){ return true; }
            , minLength: 0
            , processItems: function(data){
                return data;
            }
            , generateUrl: function(strSearch) {
                return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=procedure&search=' + strSearch
            }
        }, {
            allow_single_deselect: true
        }).on('change', function(e) {
            var ini2 = $(this);
            var id2 = '.tindakanlabel' + ini2.attr('id').substr(8,1);
            $(id2).text(ini2.val());
        });
    }).trigger('change');
	

    if( is_android_ready==true ) {
        $('#info-time').css({"bottom": "35px"});
        $('#device-android').css({"bottom": "35px"});
        $('#device-android').show();
    }

    var allowedKeys = ['0','1','2','3','4','5','6','7','8','9','/','-', 'Backspace', 'Tab'];

    $('#rr, #nadi, #suhu, #tekanan_darah').on('keydown', function(e) {
        if (allowedKeys.indexOf(e.key) === -1) {
            e.preventDefault();
        }
    });


    $( "#rr" ).blur(function() {
       if( $("#rr").val() ) {
          var rr = parseInt( $("#rr").val() );
          if( rr >= 1  && rr < 80 ) {
              $("#rr").val( rr );
          } else {
              $("#rr").val('');
          }
          if( rr > 80 ) {
              toastr.error('nafas diatas 80 , diatas batas yg diijinkan , silah cek ulang','Kesalahan');
          }
          if( rr < 1 ) {
              toastr.error('nafas dibawah 2 , dibawah batas yg diijinkan , silah cek ulang','Kesalahan');
          }
       }
    });

    $( "#nadi" ).blur(function() {
       if( $("#nadi").val() ) {
          var nadi = parseInt( $("#nadi").val() );
          if( nadi > 10  && nadi < 250 ) {
              $("#nadi").val( nadi );
          } else {
              $("#nadi").val('');
          }
          if( nadi > 250 ) {
              toastr.error('Denyut Nadi diatas 250 , diatas range yg diijinkan , silah cek ulang','Kesalahan');
          }
          if( nadi < 5 ) {
              toastr.error('Denyut Nadi dibawah 5 , dibawah range yg diijinkan , silah cek ulang','Kesalahan');
          }
       }
    });

    $( "#suhu" ).blur(function() {
       if( $("#suhu").val() ) {
          var suhu = parseInt( $("#suhu").val() );
          if( suhu > -20  && suhu < 100 ) {
              $("#suhu").val( suhu );
          } else {
              $("#suhu").val('');
          }
          if( suhu > 100 ) {
              toastr.error('Suhu diatas 100 , diatas range yg diijinkan , silah cek ulang','Terlalu Panas');
          }
          if( suhu < -20 ) {
              toastr.error('Tekanan Suhu dibawah -20 , dibawah range yg diijinkan , silah cek ulang','Terlalu Dingin');
          }
       }
    });
	
	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save, #float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save, #float-simpan').removeClass('disabled');
	  });
	});
	$('.ruang, .doctor').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save, #float-simpan').removeClass('disabled');
	  });
	});
	
	
	
};

</script>

<?php

require (__DOCROOT__ . __ASSETS__ . '/user/php/contentFooter.php');
?>

<script>
console.log('FileManagerId : <?= $objPatientNursing->vRingkasanPulangTteId ?>')
console.log('LinkPdf : <?= $objPatientNursing->vRingkasanPulangPdfUrl ?>')
console.log('LinkPdfTTE : <?= $objPatientNursing->vRingkasanPulangTtePdfUrl ?>')

$('#content').ready(function(){
	FormGizi();	
	$('#validasi-modal, #tanda_tangan_elektronik').addClass('disabled'); 
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormRingkasanPulang ? "
		$('#cetak_laporan, #float-print, #validasi-modal').removeClass('disabled');
		$('#notif-disimpan, #save, #float-simpan').show();
		$('#float-loading, #save-loading').hide();
		" : "" ?>
<?php if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
	$('#validasi-modal').addClass('disabled');
<?php } ?>
	<?= $objPatientNursing->vRingkasanPulangModifiedVersion  ? "
		$('#validasi-loading, #float-loading, #save, #save-loading, #float-simpan, #float-loading, #notif-disimpan, #cetak_laporan').hide();
		$('#validasi-modal, #float-koreksi, #notif-diverifikasi, #cetak_container, .koreksi').show();
		$('#cetak_container').css('display','inline-block');
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal, #float-validasi').addClass('disabled'); 
		$('#nama_versi').attr('placeholder', '~".$objPatientNursing->vRingkasanPulangModifiedVersion."');
	" : "" ?>
<?= ($objPatientNursing->vRingkasanPulangModifiedVersion) && ($objSystemUser->ReferenceId == $objPatientNursing->DoctorId) ? "
	$('#tanda_tangan_elektronik').removeClass('disabled'); 
" : "" ?>

<?php 	if($modeValidasi == "verifikasi_tanda_tangan") { ?>
	$('#validasi-modal').show();
	<?php if($objPatientNursing->vRingkasanPulangModifiedVersion != "" && ($objSystemUser->ReferenceId == $objPatientNursing->DoctorId)) { ?>
	$('#tanda_tangan_elektronik').show();
	$('#tanda_tangan_elektronik').removeClass('disabled'); 
	<?php } ?>
<?php } else if($modeValidasi == "verifikasi") { ?>	
	$('#validasi-modal').show();
	$('#tanda_tangan_elektronik').hide();
<?php }  else if($modeValidasi == "tanda_tangan") { ?>	
	$('#validasi-modal').hide();
	$('#tanda_tangan_elektronik').show();
	<?= $objPatientNursing->vFormRingkasanPulang ? "
		$('#tanda_tangan_elektronik').removeClass('disabled'); 
	" : "" ?>
<?php }?>


<?php if($objPatientNursing->vTTERingkasanPulangId != "") { ?>
	$('#file_tte, #notif-tte').show();
	$('#notif-validasi, #notif-diverifikasi').hide();
	function fileTTE() {
		parent.btnDownload.purgeListeners();
		parent.btnDownload.on('click', function () {
			parent.toastr.info('Download Starting', 'Informasi');
			parent.showLoader(30);
			fetch('<?= str_replace("/var/www", "", $objPatientNursing->vTTERingkasanPulangUrl); ?>').then(resp => resp.arrayBuffer()).then(resp => {
				const file = new Blob([resp], {type: 'application/pdf'});
				const fileURL = URL.createObjectURL(file);
				const link = document.createElement('a');
				link.href = fileURL;
				link.download = "<?= $objPatientNursing->Mr ?> <?= $objPatientNursing->FirstName ?> - Ringkasan Pulang TTE.pdf";
				link.click();
				parent.hideLoader();
			});
		});
		parent.btnDownload.show();
		parent.AppPrintPage.setTitle('File TTE Ringkasan Pulang')
		parent.openAppPrintPage( '<?= str_replace("/var/www", "", $objPatientNursing->vTTERingkasanPulangUrl); ?>');
	}
	$('#content').off('click', '#file_tte').on('click', '#file_tte', function () {
		fileTTE();
	});
<?php } ?>

});

<?php if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
	$('.koreksi, #float-koreksi, #validasi-modal').addClass('disabled');
<?php } ?>
</script>

</div>
</div>