
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $objHmisPatient = HmisRefPatient::LoadById($objPatientNursing->PatientId);

    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;

    // $waktuawal  = date_create($objPatientNursing->DateOfBirth->('Y-m-d H:i:s'));
    // $waktuakhir = date_create();
    $diff  = date_diff($objPatientNursing->DateOfBirth, $objPatientNursing->CreateTime);
    $umurDalamTahun = $diff->y;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);
require (__DOCROOT__ . __ASSETS__ . '/user/php/contentHeader.php');

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}

?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
<!-- <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.min.css">
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawerjs.standalone.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/localization_en.js"></script>
<script src="<?= __ASSETS__ ?>/plugins/drawerjs/drawer-js-config.js"></script> -->

<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>'; 
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
    .chosen-container
    {
        width: 100% !important;
    }
    .uniqueClassTextAlignRight {
        text-align: right;
    }
    tfoot .uniqueClassTextAlignRight {
        padding-right: 8px !important;
    }
    .uniqueClassTextAlignCenter {
        text-align: center;
    }
    .uniqueClassHidden {
        display: none;
    }
    .uniqueClassDisplayHidden {
        display: none;
    }
    .uniqueClassDisplayNone {
        display: none;
    }

    .dataTables_length {
        padding-left: 15px;
        padding-top: 10px;
        padding-right: 40px;
    }
    .subform-diagnosa {
        padding-bottom: 20px;
    }
    #aktifitas .col-md-1,
    #aktifitas .col-md-10,
    #aktifitas .col-md-11,
    #aktifitas .col-md-12,
    #aktifitas .col-md-2,
    #aktifitas .col-md-3,
    #aktifitas .col-md-4,
    #aktifitas .col-md-5,
    #aktifitas .col-md-6,
    #aktifitas .col-md-7,
    #aktifitas .col-md-8,
    #aktifitas .col-md-9 {
        padding-left: 8px !important;
        padding-right: 7px !important;
    }
    .form-horizontal .form-group {margin-bottom: 10px;}
    .visit.off, .non-visit.off { display: none;}
    .btn.toolbar {margin-left: 10px;}
    #search_patient_nursing_list_wrapper .dataTables_scrollBody { min-height: 350px;}
    .pemeriksaan-selesai .action { display: none; }
    .text-35{
        display: block;
        width:35px;
        text-align: center;
    }
    .text-55{
        display: block;
        width:55px;
        text-align: center;
    }
    .text-165{
        display: block;
        width:165px;
        text-align: center;
    }
    .mb-2{
        margin-bottom: 5px;
    }
    textarea, input{
        font-weight: 900;
    }
</style>
<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-6">
        <h1 class="panel-title1">JADWAL OPERASI</h1>
    </div>
</div>


<div class="row">
    <div class="col-sm-11">

        <div class="box box-info form-horizontal box-info-pasien" style="margin-bottom: 25px;">
            <div class="box-header">
                <i class="fa fa-user"></i>
                <h3 class="box-title">Data Pasien</h3>
            </div>
            <div class="box-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                            </div>
                        </div>

                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                            <div class="col-sm-8">
                                <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                            </div>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-sm-11">
        <div class="input-group row col-xs-12 animated fadeInRight" >
            <div class="col-md-6">
                <input name="search_medical_record" id="search_medical_record" type="text" class="form-control" placeholder="Pencarian" autocomplete="off" tabindex="0" value="" >
            </div>
            <div class="col-md-6">
                <buttom href="#" id="openModal" class="btn btn-primary btn-sm pull-right" style="margin-left: 10px"><i class="fa fa-plus"></i> Tambah</buttom>
                <button type="button" class="btn btn-warning btn-sm pull-right" style="margin-left: 10px" id="refreshtombol"><i class="fa fa-refresh"></i> Refresh</button>
                <div id="rangeWaktu" class="pull-right" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc">
                    <i class="glyphicon glyphicon-calendar fa fa-calendar"></i>
                    <span></span> <b class="caret"></b>
                </div>
            </div>
        </div>
        <div class="input-group col-xs-12 " style="padding-bottom: 80px;" >
            <style>
                table.dataTable thead tr {
                    background-color: azure;
                }
                table.dataTable tbody th, table.dataTable tbody td {
                    padding: 4px 6px; /* e.g. change 8x to 4px here */
                    height: 15px;
                }
            </style>
            <div class="row">
                <div class="table-responsive col-md-12">
                    <table id="search_patient_nursing_list" class="table table-striped table-bordered table-responsive dataTable" style="width:100%;">
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="table-responsive col-md-12">
                </div>
            </div>
        </div>
    </div>
</div>
    

<!-- Modal -->
<div id="modalTambahOperasi" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Jadwal Operasi</h4>
      </div>
      <div class="modal-body">
        <div class="row">
            <div class="col-sm-5" style="line-height:34px">
                <label><b>Nomor RM</b></label>
            </div>
            <div class="col-sm-7">
                <input disabled class="form-control" value="<?= $objPatientNursing->Mr ?>">
            </div>
        </div>
        <div class="row">
            <div class="col-sm-5" style="line-height:34px">
                <label><b>Nomor Kartu</b></label>
            </div>
            <div class="col-sm-7">
                <input class="form-control" id="noka" placeholder="Nomor Kartu" value="">
            </div>
        </div>
        <div class="row">
            <div class="col-sm-5" style="line-height:34px">
                <label><b>Nama Peserta</b></label>
            </div>
            <div class="col-sm-7">
                <input disabled class="form-control" value="<?= $objPatientNursing->FirstName ?>">
            </div>
        </div>
        <div class="row">
            <div class="col-sm-5" style="line-height:34px">
                <label><b>Ruang Operasi</b></label>
            </div>
            <div class="col-sm-7">
            <select name="ruangOperasi" id="ruangOperasi" class="form-control input-sm-2 ruang" placeholder="Ruang Operasi" >
            </select>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-5" style="line-height:34px">
                <label><b>Tanggal operasi</b></label>
            </div>
            <div class="col-sm-7">
                <input id="tanggalOperasi" class="form-control input-date" placeholder="dd-mm-yyyy">
            </div>
        </div>
        <div class="row">
            <div class="col-sm-5" style="line-height:34px">
                <label><b>Waktu Operasi</b></label> 
            </div>
            <div class="col-sm-3">
            <div class="input-group input-append">
            <input name="mulaiJadwal" id="mulaiJadwal" type="time" class="form-control timepicker"  placeholder="Mulai Jadwal" >
            <span class="input-group-addon add-on"> - </span>
            <input name="selesaiJadwal" id="selesaiJadwal" type="time" class="form-control timepicker" placeholder="Selesai Jadwal" >
            </select>
            </div>
            </div>
        </div>

        <div class="row">
            <div class="col-sm-5" style="line-height:34px">
                <label><b>Diagnosa</b></label>
            </div>
            <div class="col-sm-7">
            <select name="diagnosa" id="diagnosa" class="form-control input-sm-2 diagnosa" placeholder="Search Diagnosa" >
            </select>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-5" style="line-height:34px">
                <label><b>Jenis Tindakan</b></label>
            </div>
            <div class="col-sm-7">
                <select name="jenistindakan" id="jenistindakan" class="form-control input-sm-2 treatment" placeholder="Search Tindakan" >
                </select>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-5" style="line-height:34px">
                <label><b>Dokter</b></label>
            </div>
            <div class="col-sm-7">
                <select name="dokter" id="dokter" class="form-control doctor" style="width: 300px;">
                </select>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-5" style="line-height:34px">
                <?php
                $jnsNursing = $objPatientNursing->NursingCategory == 1 ? 'Poli' : 'Ruang';
                ?>
                <label><b>Nama <?= $jnsNursing ?></b></label>
            </div>
            <div class="col-sm-7">
                <input disabled class="form-control" id="nmpoli">
            </div>
        </div>
      </div>
      <div class="modal-footer">
        <button href="#" id="simpanOperasi" class="btn btn-primary">Simpan</button>
        <button href="#" id="editOperasi" class="btn btn-warning">Edit</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>

<script>
$(document).off('click', '.page-tindakan').on('click', '.page-tindakan', function () {
    //'hmis-patient-medical-service-rnap/tindakan'
    var Id = '<?= $objPatientNursing->Id ?>';
    console.log(Id);
    <?php
    if($objPatientNursing->NursingCategory == 3){
        $linkKembali = QApplication::UrlCreator('hmis-patient-medical-service-rnap/tindakan');
    }else{
        $linkKembali = QApplication::UrlCreator('hmis-patient-medical-service/tindakan');
    }
    ?>
    setContent('<?= $linkKembali ?>?pageId='+sessionStorage.pageId+'&Id='+Id,'content');
});

var ObjectData = {};
var EditDataId = '';

$('#openModal').click(function(){
    EditDataId = '';
    $('#noka').val('<?= $objPatientNursing->RegisterMembershipNumber ?>');
    $('#diagnosa').val('');
    $('#jenistindakan').val('');
    $('#dokter').val('');
    $('#tanggalOperasi').val('');
    $('#mulaiJadwal').val('');
    $('#selesaiJadwal').val('');
    $('#ruangOperasi').val('');

    $('#editOperasi').hide();
    $('#simpanOperasi').show();

    $('#modalTambahOperasi').modal('show');
    $('#nmpoli').val(strDepartmentName);
})

$('#simpanOperasi').click(function(){
    kirimOperasi('SIMPAN');
})

$(document).off('click', '.openModalEdit').on('click', '.openModalEdit', function () {
    var data = tablePre.row( $(this).parents('tr') ).data();
    EditDataId = data.Id;

    $('#noka').val(data.NomorKartu);
    $('#diagnosa').val(data.ProfileDiagnose);
    $('#jenistindakan').val(data.ProfileProcedure);
    $('#dokter').val('');
    $('#tanggalOperasi').val(data.ScheduleTime);
    $('#mulaiJadwal').val(data.MulaiJadwal);
    $('#selesaiJadwal').val(data.SelesaiJadwal);
    $('#ruangOperasi').val(data.RuangOperasi);

    $('#editOperasi').show();
    $('#simpanOperasi').hide();

    $('#modalTambahOperasi').modal('show');
    $('#nmpoli').val(strDepartmentName);
})

$('#editOperasi').click(function(){
    kirimOperasi('EDIT', {Id : EditDataId});
})

var kirimOperasi = function(mode, tambahan){

    ObjectData.pageId = strPageId;
    ObjectData.actorId = strActorId;
    ObjectData.nursingId = '<?= $strId ?>'; //nursing id
    ObjectData.department = strDepartmentId;
    
    ObjectData.PatientNuring = '<?= $objPatientNursing->Id ?>';
    ObjectData.NomorKartu = $('#noka').val();
    ObjectData.KodeDiagnosa = $('#diagnosa').val();
    ObjectData.JenisTindakan = $('#jenistindakan').val();
    ObjectData.Dokter = $('#dokter').val();
    ObjectData.MulaiJadwal = $('#mulaiJadwal').val();
    ObjectData.SelesaiJadwal = $('#selesaiJadwal').val();
    ObjectData.RuangOperasi = $('#ruangOperasi').val();

    console.log(ObjectData)
    if(! ObjectData.KodeDiagnosa){
        toastr.error('Diagnosa masih kosong', 'Informasi');
        return null;
    }
    if(! ObjectData.JenisTindakan){
        toastr.error('Tindakan masih kosong', 'Informasi');
        return null;
    }

	/*
    if(! ObjectData.RuangOperasi){
        toastr.error('Ruang operasi masih kosong', 'Informasi');
        return null;
    }
	*/

    if(! $('#tanggalOperasi').val()){
        toastr.error('Tanggal operasi masih kosong', 'Informasi');
        return null;
    }else{
        ObjectData.TanggalOperasi = convertDateToISO( $('#tanggalOperasi').val() );
    }

	/*
    if(! ObjectData.MulaiJadwal){
        toastr.error('Waktu mulai operasi masih kosong', 'Informasi');
        return null;
    }
    if(! ObjectData.SelesaiJadwal){
        toastr.error('Waktu selesai operasi masih kosong', 'Informasi');
        return null;
    }
	*/

    if(mode == 'EDIT'){
        var urlController = "<?= QApplication::UrlActionCreator('JadwalOperasi/Edit')?>"
        ObjectData.Id = tambahan.Id;
    }
    else{
        var urlController = "<?= QApplication::UrlActionCreator('JadwalOperasi/Tambah')?>"
    }
    $.ajax({
        url: urlController, 
        success: function(result){
            if(result.status == 'error'){
                toastr.error(result.message, 'Informasi');
            }
            toastr.info('Data Terkirim', 'Informasi');
            reload();
            $('#modalTambahOperasi').modal('hide');
        },
        timeout: 5* 60 * 1000,
        error: function(xhr,status,error){
            console.log(xhr);
            alert('Gagal menyimpan data');
        },
        beforeSend: function(xhr){
            $('#tombol-save').hide();
            $('#tombol-save-loading').show();
        },
        complete: function(xhr,status){
            $('#tombol-save').show();
            $('#tombol-save-loading').hide();
        },
        type: "POST",
        data: ObjectData
    });
}

$('.input-date').datepicker({
    format: "dd-mm-yyyy",
    autoclose: true,
    endDate: null
});


//----------------------
var startDate = moment().subtract(29, 'days');
var endDate = moment();
var startRange = startDate.format('DD.MM.YYYY') + ' - ' + endDate.format('DD.MM.YYYY'); //'<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
$('#rangeWaktu span').html(startRange);
$('#content').scrollTop();
$('#refreshtombol').on('click', function(){reload()});

$('#rangeWaktu').daterangepicker({
    format: 'DD/MM/YYYY',
    startDate: moment().subtract(29, 'days'),
    endDate: moment(),
    dateLimit: { days: 60 },
    showDropdowns: true,
    showWeekNumbers: true,
    timePicker: false,
    timePickerIncrement: 1,
    timePicker12Hour: true,
    ranges: {
        'Hari ini': [moment(), moment()],
        'Kemarin': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
        '7 Hari terakhir': [moment().subtract(6, 'days'), moment()],
        '30 Hari terakhir': [moment().subtract(29, 'days'), moment()],
        'Bulan ini': [moment().startOf('month'), moment().endOf('month')],
        'Bulan Lalu': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
    },
    opens: 'left',
    drops: 'down',
    buttonClasses: ['btn', 'btn-sm'],
    applyClass: 'btn-primary',
    cancelClass: 'btn-default',
    separator: ' to ',
    locale: {
        applyLabel: 'Submit',
        cancelLabel: 'Cancel',
        fromLabel: 'From',
        toLabel: 'To',
        customRangeLabel: 'Custom',
        daysOfWeek: ['Mg', 'Sn', 'Sl', 'Rb', 'Km', 'Jm','Sb'],
        monthNames: ['Januari', 'Februari', 'Maret', 'April', 'Mei', 'Juni', 'Juli', 'Agustus', 'September', 'Oktober', 'November', 'Desember'],
        firstDay: 1
    }
}, function(start, end, label) {
    var newRange = start.format('DD.MM.YYYY') + ' - ' + end.format('DD.MM.YYYY');
    $('#rangeWaktu span').html(newRange);
    // alert( 'new range - ' + newRange );
    reload();
    $('#content').scrollTop();
});

$("#search_medical_record").on("keypress", function (e) {
    // mencegah post
    if(e.keyCode==vk_RETURN){ e.preventDefault(); }
});
var tablePre = searchTimer = searchKeyword = null;
$("#search_medical_record").on("input", function (e) {
    // mencegah post
    e.preventDefault();
    searchKeyword = $("#search_medical_record").val();
    if(searchTimer){ clearTimeout(searchTimer); searchTimer = null; }
    searchTimer = setTimeout(function(){
        clearTimeout(searchTimer); searchTimer = null;
        $('#search_patient_nursing_list').DataTable().search(searchKeyword).draw();
    }, 500);
    // callPending();
});

__startTime = performance.now();

var selectedIndex = 0;
var tablePre = $('#search_patient_nursing_list').DataTable({
    //'dom':'<"row"<"col-sm-6"<"toolbar">><"col-sm-6"f>r><"row"<"col-sm-6"i><"col-sm-6"p>>t<"row"<"col-sm-6"i><"col-sm-6"p>>'
    'dom': 't<"row"<"col-sm-5"i><"col-sm-7"p>>'
    , 'language': {
        'processing': '<img src="<?= __USER_ASSETS__ ?>/images/spinner.gif">'
    }
    , 'processing': true
    , 'serverSide': true
    , 'ordering' : true
    , 'info': true
    , 'paging': true
    // , 'pageLength': 10
    , 'lengthMenu': [50]
    , 'autoHeight': true
    //, 'sScrollY' : "100%"
    //, 'select': false
    //, 'keys': true
    , 'order': [[0, 'desc']]
    , "ajax": {
        'url' :'<?= QApplication::UrlActionCreator('JadwalOperasi/DaftarJadwal') ?>',
        'type' : 'POST',
        'data': function(d){
            d.pageId = strPageId;
            // d.departmentId = strDepartment;
            // d.section = 'preService';
            d.range = $('#rangeWaktu span').html();
            d.patientId = '<?= $objPatientNursing->PatientId ?>';
        }
    }
    , "columns": [
        {
            'title': 'Id'
            ,'data': 'Id'
            ,'width': '40px'
            ,'searchable': false
            // ,'sortable': true
            ,'visible': false
        }
        ,{
            'title': 'No'
            ,'data': 'No'
            ,'width': '40px'
            ,'searchable': false
            // ,'sortable': true
            ,'visible': true
            ,'className': "uniqueClassTextAlignRight"
        }
        ,{
            'title': 'Diagnose'
            ,'data': 'Diagnose'
            ,'searchable': true
            // ,'sortable': true
        }
        ,{
            'title': 'Procedure'
            ,'data': 'Procedure'
            ,'searchable': true
            // ,'sortable': true
        }
        , {
            'title': 'No.RM'
            ,'data': 'Mr'
            ,'searchable': true
            // ,'sortable': true
            ,'visible': false
            ,'className': "uniqueClassTextAlignRight"
        }
        // , {
        //     'title': 'Ruang'
        //     ,'data': 'DepartmentName'
        //     ,'visible': false
        //     ,'searchable': false
        //     // ,'sortable': true
        // }
        , {
            'title': 'Ruang'
            ,'data': 'RuangOperasi'
            ,'searchable': false
            // ,'sortable': true
        }

        , {
            'title': 'Schedule'
            //,'data': 'ScheduleTime'
            ,'data': 'Schedule'
            ,'searchable': false
            // ,'sortable': true
        }
        , {
            'title': 'Dokter'
            ,'data': 'DoctorName'
            ,'searchable': false
            // ,'sortable': true
        }
        ,{
            'title': 'Waktu Input'
            ,'data': 'CreateTime'
            ,'searchable': false
            // ,'sortable': true
        }
        ,{
            'title': 'Opsi'
            ,'data': 'Id'
            ,'searchable': false
            ,'visible': true
            ,'render': function ( data, type, row, meta ) {
                if(row.Selesai){
                    return 'Telah Dilakukan';
                }
                if(row.Verifikasi == 'VERIFIKASI'){
                    return 'Telah Diverifikasi';
                }
                return '<button class="btn btn-sm btn-primary openModalEdit" id="'+data+'">Edit</button>';
            }
        }
        
    ]
    , rowCallback: function(){
    }
});
function reload()
{
    tablePre.ajax.reload();
}
function convertDateToISO(strDateIna) {
    return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
}

$('.diagnosa').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , noresetSearch: true
        , processItems: function(data){
            return data;
        }
        , generateUrl: function(strSearch) {
            return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=diagnose&search=' + strSearch
        }
    }).on('change', function(e) {
        // NOTHING
        var ini = $(this);
        var id = '.diagnoselabel' + ini.attr('id').substr(12,1);
        console.log(id);
        $(id).text(ini.val());
    });
}).trigger("change");

$('.treatment').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            return data;
        }
        , generateUrl: function(strSearch) {
            return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchICD/?pageId=')?><?=$strPageId?>"+ '&type=procedure&search=' + strSearch
        }
    }, {
        allow_single_deselect: true
    }).on('change', function(e) {
        // NOTHING
    });
});
$('.ruang').each(function() {
    $(this).ajaxChosen({
        type: 'GET'
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            return data;
        }
        , generateUrl: function(strSearch) {
            return "<?= QApplication::UrlActionCreator('PatientNursingMedicalService/SearchRuangOk/?pageId=')?><?=$strPageId?>"+ '&type=RUANG OK&search=' + strSearch
        }
    }, {
        allow_single_deselect: true
    }).on('change', function(e) {
        // NOTHING
    });
});

var urlDoctor = "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>&search=";
$('.doctor').each(function () {
    $(this).ajaxChosen({
        type: 'GET'
        , dataType: 'json'
    },{
        useAjax: function(e){ return true; }
        , minLength: 0
        , processItems: function(data){
            // alert(JSON.stringify(data));
            return data;
        }
        , generateUrl: function(strSearch){
            // alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            return urlDoctor + strSearch
        }
    });
});
</script>
</div>
</div>