<?php
function tpltSkriningResikoJatuh($objPatientNursing = null, $prefix = null){
    $ori_lemah = $prefix.'LemahAnggotaGerak';
    $edit_lemah = $prefix.'LemahAnggotaGerakEdit';
    $ori_jatuh3 = $prefix.'JatuhTigaTahun';
    $edit_jatuh3 = $prefix.'JatuhTigaTahunEdit';
    $ori_jatuh_dewasa = $prefix.'JatuhTtDewasa';
    $edit_jatuh_dewasa = $prefix.'JatuhTtDewasaEdit';

    $lemah = $objPatientNursing->$edit_lemah ? $objPatientNursing->$edit_lemah : $objPatientNursing->$ori_lemah;
    $jatuh3 = $objPatientNursing->$edit_jatuh3 ? $objPatientNursing->$edit_jatuh3 : $objPatientNursing->$ori_jatuh3;
    $jatuh_dewasa = $objPatientNursing->$edit_jatuh_dewasa ? $objPatientNursing->$edit_jatuh_dewasa : $objPatientNursing->$ori_jatuh_dewasa;
?>
<div class="row" style="margin-bottom: 5px;">
    <div class="col-md-4">
        <label class="control-label" for="lemahanggotagerak">
            <b>Apakah pasien mempunyai kelemahan
            anggota gerak / penurunan kesadaran ?</b>
        </label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="lemahanggotagerak" name="lemahanggotagerak" class="form-control">
                <option value="">--Pilih--</option>
                <option value="YA" <?= $lemah == 'YA' ? 'selected' : '' ?>>YA</option>
                <option value="TIDAK" <?= $lemah == 'TIDAK' ? 'selected' : '' ?>>TIDAK</option>
            </select>
        </div>
    </div>
    <div class="col-md-4">
        <label class="control-label" for="jatuhkurang">
            <b>Apakah pasien pernah jatuh saat usia
                kurang dari 3 tahun ?</b>
        </label>
        <div class="input-group">
            <span class="input-group-addon"><i class="fa fa-file"></i></span>
            <select id="jatuhkurang" name="jatuhkurang" class="form-control">
                <option value="">--Pilih--</option>
                <option value="YA" <?= $jatuh3 == 'YA' ? 'selected' : '' ?>>YA</option>
                <option value="TIDAK" <?= $jatuh3 == 'TIDAK' ? 'selected' : '' ?>>TIDAK</option>
            </select>
        </div>
    </div>
    <?php if($prefix == 'KeperawatanAnak'){ ?>
        <div class="col-md-4">
            <label class="control-label" for="jatuhtt">
                <b>Apakah pasien pernah jatuh saat
                    diletakkan di tempat tidur dewasa ?</b>
            </label>
            <div class="input-group">
                <span class="input-group-addon"><i class="fa fa-file"></i></span>
                <select id="jatuhtt" name="jatuhtt" class="form-control">
                    <option value="">--Pilih--</option>
                    <option value="YA" <?= $jatuh_dewasa == 'YA' ? 'selected' : '' ?>>YA</option>
                    <option value="TIDAK" <?= $jatuh_dewasa == 'TIDAK' ? 'selected' : '' ?>>TIDAK</option>
                </select>
            </div>
        </div>
    <?php } ?>
</div>

<script>
    var segmenSkriningResikoJatuh = {
        ambilValue : function (){
            return {
                LemahAnggotaGerak : $('#lemahanggotagerak').val(),
                JatuhTigaTahun : $('#jatuhkurang').val(),
                JatuhTtDewasa : $('#jatuhtt').val(),
            }
        },
        ambilValueEdit : function (){
            var obj = {};
            var lemahanggotagerak = $('#lemahanggotagerak');
            var jatuhkurang = $('#jatuhkurang');
            var jatuhtt = $('#jatuhtt');
            if(lemahanggotagerak.data('status') == 'edit'){
                obj.LemahAnggotaGerak = lemahanggotagerak.val();
            }
            if(jatuhkurang.data('status') == 'edit'){
                obj.JatuhTigaTahun = jatuhkurang.val();
            }
            if(jatuhtt.data('status') == 'edit'){
                obj.JatuhTtDewasa = jatuhtt.val();
            }
            return obj;
        }
    }
</script>
<?php
}
?>