<?php
// REVISI 20210321 --> template html dipastikan lebih kompatibel dengan lib html2pdf
function printSegmenFull($objPatientNursing = null, $prefix = null, $judul = "", $kodeDept = ""){
    $direktori_aset = __SUBDIRECTORY__ . '/assets/user/images/asesmen_awal_aset/';

    $ori_TanggalAsesmen = $prefix.'TanggalAsesmen';
    $edit_TanggalAsesmen = $prefix.'TanggalAsesmenEdit';
    $ori_JamAsesmen = $prefix.'JamAsesmen';
    $edit_JamAsesmen = $prefix.'JamAsesmenEdit';
    $ori_Sistolik = $prefix.'Sistolik';
    $edit_Sistolik = $prefix.'SistolikEdit';
    $ori_Diastolik = $prefix.'Diastolik';
    $edit_Diastolik = $prefix.'DiastolikEdit';
    $ori_Nadi = $prefix.'Nadi';
    $edit_Nadi = $prefix.'NadiEdit';
    $ori_Rr = $prefix.'Rr';
    $edit_Rr = $prefix.'RrEdit';
    $ori_Suhu = $prefix.'Suhu';
    $edit_Suhu = $prefix.'SuhuEdit';
    $ori_Bb = $prefix.'Bb';
    $edit_Bb = $prefix.'BbEdit';
    $ori_Tb = $prefix.'Tb';
    $edit_Tb = $prefix.'TbEdit';
    $ori_PenampilanFisik = $prefix.'PenampilanFisik';
    $edit_PenampilanFisik = $prefix.'PenampilanFisikEdit';
    $ori_StatusEmosional = $prefix.'StatusEmosional';
    $edit_StatusEmosional = $prefix.'StatusEmosionalEdit';
    $ori_HubunganAnggotaKeluarga = $prefix.'HubunganAnggotaKeluarga';
    $edit_HubunganAnggotaKeluarga = $prefix.'HubunganAnggotaKeluargaEdit';
    $ori_StatusEkonomi = $prefix.'StatusEkonomi';
    $edit_StatusEkonomi = $prefix.'StatusEkonomiEdit';
    $ori_SukuBangsa = $prefix.'SukuBangsa';
    $edit_SukuBangsa = $prefix.'SukuBangsaEdit';
    $ori_Keyakinan = $prefix.'Keyakinan';
    $edit_Keyakinan = $prefix.'KeyakinanEdit';
    $ori_MasalahSpiritual = $prefix.'MasalahSpiritual';
    $edit_MasalahSpiritual = $prefix.'MasalahSpiritualEdit';
    $ori_SpiritualCare = $prefix.'SpiritualCare';
    $edit_SpiritualCare = $prefix.'SpiritualCareEdit';
    $ori_SkriningNyeri = $prefix.'SkriningNyeri';
    $edit_SkriningNyeri = $prefix.'SkriningNyeriEdit';
    $ori_PenyebabNyeri = $prefix.'PenyebabNyeri';
    $edit_PenyebabNyeri = $prefix.'PenyebabNyeriEdit';
    $ori_KualitasNyeri = $prefix.'KualitasNyeri';
    $edit_KualitasNyeri = $prefix.'KualitasNyeriEdit';
    $ori_LokasiNyeri = $prefix.'LokasiNyeri';
    $edit_LokasiNyeri = $prefix.'LokasiNyeriEdit';
    $ori_SkalaNyeri = $prefix.'SkalaNyeri';
    $edit_SkalaNyeri = $prefix.'SkalaNyeriEdit';
    $ori_DurasiNyeri = $prefix.'DurasiNyeri';
    $edit_DurasiNyeri = $prefix.'DurasiNyeriEdit';
    $ori_FrekuensiNyeri = $prefix.'FrekuensiNyeri';
    $edit_FrekuensiNyeri = $prefix.'FrekuensiNyeriEdit';
    $ori_IntensitasNyeri = $prefix.'IntensitasNyeri';
    $edit_IntensitasNyeri = $prefix.'IntensitasNyeriEdit';
    $ori_PengkajianWajah = $prefix.'PengkajianWajah';
    $edit_PengkajianWajah = $prefix.'PengkajianWajahEdit';
    $ori_PengkajianKaki = $prefix.'PengkajianKaki';
    $edit_PengkajianKaki = $prefix.'PengkajianKakiEdit';
    $ori_PengkajianAktifitas = $prefix.'PengkajianAktifitas';
    $edit_PengkajianAktifitas = $prefix.'PengkajianAktifitasEdit';
    $ori_PengkajianMenangis = $prefix.'PengkajianMenangis';
    $edit_PengkajianMenangis = $prefix.'PengkajianMenangisEdit';
    $ori_PengkajianBersuara = $prefix.'PengkajianBersuara';
    $edit_PengkajianBersuara = $prefix.'PengkajianBersuaraEdit';
    $ori_PengkajianTotal = $prefix.'PengkajianTotal';
    $edit_PengkajianTotal = $prefix.'PengkajianTotalEdit';
    $ori_LemahAnggotaGerak = $prefix.'LemahAnggotaGerak';
    $edit_LemahAnggotaGerak = $prefix.'LemahAnggotaGerakEdit';
    $ori_JatuhTigaTahun = $prefix.'JatuhTigaTahun';
    $edit_JatuhTigaTahun = $prefix.'JatuhTigaTahunEdit';
    $ori_JatuhTtDewasa = $prefix.'JatuhTtDewasa';
    $edit_JatuhTtDewasa = $prefix.'JatuhTtDewasaEdit';
    $ori_TurunBb = $prefix.'TurunBb';
    $edit_TurunBb = $prefix.'TurunBbEdit';
    $ori_AsupanMakanKurang = $prefix.'AsupanMakanKurang';
    $edit_AsupanMakanKurang = $prefix.'AsupanMakanKurangEdit';
    $ori_StatusFungsional = $prefix.'StatusFungsional';
    $edit_StatusFungsional = $prefix.'StatusFungsionalEdit';
    $ori_MasalahKeperawatan = $prefix.'MasalahKeperawatan';
    $edit_MasalahKeperawatan = $prefix.'MasalahKeperawatanEdit';
    $ori_Tujuan = $prefix.'Tujuan';
    $edit_Tujuan = $prefix.'TujuanEdit';
    $ori_Implementasi = $prefix.'Implementasi';
    $edit_Implementasi = $prefix.'ImplementasiEdit';
    $ori_Edukasi = $prefix.'Edukasi';
    $edit_Edukasi = $prefix.'EdukasiEdit';

    $id_user_penyelesai = 'IdUserPenyelesaiAsesmen'.$prefix;
    $ip_user_penyelesai = 'IpUserPenyelesaiAsesmen'.$prefix;
    $waktu_selesai_asesmen = 'WaktuSelesaiAsesmen'.$prefix;


    $TanggalAsesmen = $objPatientNursing->$edit_TanggalAsesmen ? $objPatientNursing->$edit_TanggalAsesmen : $objPatientNursing->$ori_TanggalAsesmen;
    $JamAsesmen = $objPatientNursing->$edit_JamAsesmen ? $objPatientNursing->$edit_JamAsesmen : $objPatientNursing->$ori_JamAsesmen;
    $Sistolik = $objPatientNursing->$edit_Sistolik ? $objPatientNursing->$edit_Sistolik : $objPatientNursing->$ori_Sistolik;
    $Diastolik = $objPatientNursing->$edit_Diastolik ? $objPatientNursing->$edit_Diastolik : $objPatientNursing->$ori_Diastolik;
    $Nadi = $objPatientNursing->$edit_Nadi ? $objPatientNursing->$edit_Nadi : $objPatientNursing->$ori_Nadi;
    $Rr = $objPatientNursing->$edit_Rr ? $objPatientNursing->$edit_Rr : $objPatientNursing->$ori_Rr;
    $Suhu = $objPatientNursing->$edit_Suhu ? $objPatientNursing->$edit_Suhu : $objPatientNursing->$ori_Suhu;
    $Bb = $objPatientNursing->$edit_Bb ? $objPatientNursing->$edit_Bb : $objPatientNursing->$ori_Bb;
    $Tb = $objPatientNursing->$edit_Tb ? $objPatientNursing->$edit_Tb : $objPatientNursing->$ori_Tb;
    $PenampilanFisik = $objPatientNursing->$edit_PenampilanFisik ? $objPatientNursing->$edit_PenampilanFisik : $objPatientNursing->$ori_PenampilanFisik;
    $StatusEmosional = $objPatientNursing->$edit_StatusEmosional ? $objPatientNursing->$edit_StatusEmosional : $objPatientNursing->$ori_StatusEmosional;
    $HubunganAnggotaKeluarga = $objPatientNursing->$edit_HubunganAnggotaKeluarga ? $objPatientNursing->$edit_HubunganAnggotaKeluarga : $objPatientNursing->$ori_HubunganAnggotaKeluarga;
    $StatusEkonomi = $objPatientNursing->$edit_StatusEkonomi ? $objPatientNursing->$edit_StatusEkonomi : $objPatientNursing->$ori_StatusEkonomi;
    $SukuBangsa = $objPatientNursing->$edit_SukuBangsa ? $objPatientNursing->$edit_SukuBangsa : $objPatientNursing->$ori_SukuBangsa;
    $Keyakinan = $objPatientNursing->$edit_Keyakinan ? $objPatientNursing->$edit_Keyakinan : $objPatientNursing->$ori_Keyakinan;
    $MasalahSpiritual = $objPatientNursing->$edit_MasalahSpiritual ? $objPatientNursing->$edit_MasalahSpiritual : $objPatientNursing->$ori_MasalahSpiritual;
    $SpiritualCare = $objPatientNursing->$edit_SpiritualCare ? $objPatientNursing->$edit_SpiritualCare : $objPatientNursing->$ori_SpiritualCare;
    $SkriningNyeri = $objPatientNursing->$edit_SkriningNyeri ? $objPatientNursing->$edit_SkriningNyeri : $objPatientNursing->$ori_SkriningNyeri;
    $PenyebabNyeri = $objPatientNursing->$edit_PenyebabNyeri ? $objPatientNursing->$edit_PenyebabNyeri : $objPatientNursing->$ori_PenyebabNyeri;
    $KualitasNyeri = $objPatientNursing->$edit_KualitasNyeri ? $objPatientNursing->$edit_KualitasNyeri : $objPatientNursing->$ori_KualitasNyeri;
    $LokasiNyeri = $objPatientNursing->$edit_LokasiNyeri ? $objPatientNursing->$edit_LokasiNyeri : $objPatientNursing->$ori_LokasiNyeri;
    $SkalaNyeri = $objPatientNursing->$edit_SkalaNyeri ? $objPatientNursing->$edit_SkalaNyeri : $objPatientNursing->$ori_SkalaNyeri;
    $DurasiNyeri = $objPatientNursing->$edit_DurasiNyeri ? $objPatientNursing->$edit_DurasiNyeri : $objPatientNursing->$ori_DurasiNyeri;
    $FrekuensiNyeri = $objPatientNursing->$edit_FrekuensiNyeri ? $objPatientNursing->$edit_FrekuensiNyeri : $objPatientNursing->$ori_FrekuensiNyeri;
    $IntensitasNyeri = $objPatientNursing->$edit_IntensitasNyeri ? $objPatientNursing->$edit_IntensitasNyeri : $objPatientNursing->$ori_IntensitasNyeri;
    if($prefix == 'KeperawatanAnak'){
        $PengkajianWajah = $objPatientNursing->$edit_PengkajianWajah ? $objPatientNursing->$edit_PengkajianWajah : $objPatientNursing->$ori_PengkajianWajah;
        $PengkajianKaki = $objPatientNursing->$edit_PengkajianKaki ? $objPatientNursing->$edit_PengkajianKaki : $objPatientNursing->$ori_PengkajianKaki;
        $PengkajianAktifitas = $objPatientNursing->$edit_PengkajianAktifitas ? $objPatientNursing->$edit_PengkajianAktifitas : $objPatientNursing->$ori_PengkajianAktifitas;
        $PengkajianMenangis = $objPatientNursing->$edit_PengkajianMenangis ? $objPatientNursing->$edit_PengkajianMenangis : $objPatientNursing->$ori_PengkajianMenangis;
        $PengkajianBersuara = $objPatientNursing->$edit_PengkajianBersuara ? $objPatientNursing->$edit_PengkajianBersuara : $objPatientNursing->$ori_PengkajianBersuara;
        $PengkajianTotal = $objPatientNursing->$edit_PengkajianTotal ? $objPatientNursing->$edit_PengkajianTotal : $objPatientNursing->$ori_PengkajianTotal;
    }
    $LemahAnggotaGerak = $objPatientNursing->$edit_LemahAnggotaGerak ? $objPatientNursing->$edit_LemahAnggotaGerak : $objPatientNursing->$ori_LemahAnggotaGerak;
    $JatuhTigaTahun = $objPatientNursing->$edit_JatuhTigaTahun ? $objPatientNursing->$edit_JatuhTigaTahun : $objPatientNursing->$ori_JatuhTigaTahun;
    $JatuhTtDewasa = $objPatientNursing->$edit_JatuhTtDewasa ? $objPatientNursing->$edit_JatuhTtDewasa : $objPatientNursing->$ori_JatuhTtDewasa;
    $TurunBb = $objPatientNursing->$edit_TurunBb ? $objPatientNursing->$edit_TurunBb : $objPatientNursing->$ori_TurunBb;
    $AsupanMakanKurang = $objPatientNursing->$edit_AsupanMakanKurang ? $objPatientNursing->$edit_AsupanMakanKurang : $objPatientNursing->$ori_AsupanMakanKurang;
    $StatusFungsional = $objPatientNursing->$edit_StatusFungsional ? $objPatientNursing->$edit_StatusFungsional : $objPatientNursing->$ori_StatusFungsional;
    $MasalahKeperawatan = $objPatientNursing->$edit_MasalahKeperawatan ? $objPatientNursing->$edit_MasalahKeperawatan : $objPatientNursing->$ori_MasalahKeperawatan;
    $Tujuan = $objPatientNursing->$edit_Tujuan ? $objPatientNursing->$edit_Tujuan : $objPatientNursing->$ori_Tujuan;
    $Implementasi = $objPatientNursing->$edit_Implementasi ? $objPatientNursing->$edit_Implementasi : $objPatientNursing->$ori_Implementasi;
    $Edukasi = $objPatientNursing->$edit_Edukasi ? $objPatientNursing->$edit_Edukasi : $objPatientNursing->$ori_Edukasi;

    $IdUserPenyelesaiAsesmen = $objPatientNursing->$id_user_penyelesai;
    $IpUserPenyelesaiAsesmen = $objPatientNursing->$ip_user_penyelesai;
    $WaktuSelesaiAsesmen = $objPatientNursing->$waktu_selesai_asesmen;
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Page Title</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <style>
        body{
            width: 21cm;
        }
        @media print
        {
            .noprint {
                display:none;
            }
        }
    </style>
</head>
<body>
    <div class="noprint">
        <a href="#" onclick="window.close()"><img src="<?= __USER_ASSETS__ ?>/images/arrow.jpg" alt="" class="" title="back" width="30" height="30"></a>
        <a href="#" onclick="window.print()"><img src="<?= __USER_ASSETS__ ?>/images/print-icon.png" alt="" title="Print Dot Matrix" width="30" height="30"></a>
    </div>
    <table style="border-collapse: collapse;">
        <tr>
            <td style="border-bottom: 3px black solid;">
                <?php $pathFoto = '/assets/images/picture_left.jpg'; ?>
                <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                    <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" style="width:70px; margin-right:5px">
                <?php } else { ?>
                    &nbsp;
                <?php } ?>
            </td>
            <td style="text-align: center; border-bottom: 3px black solid;">
                <span style="font-size:17px">
                    <?= System::getPublicVariable('title') ?>
                    <br>
                    <b><?= System::getPublicVariable('nama') ?></b>
                </span>
                <br>
                <?= System::getPublicVariable('alamat') ?>
            </td>
            <td style="border-bottom: 3px black solid;">
                <?php $pathFoto = '/assets/images/picture_middle.jpg'; ?>
                <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                    <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" style="width:70px; margin-left:5px">
                <?php } else { ?>
                    &nbsp;
                <?php } ?>
                <?php $pathFoto = '/assets/images/picture_right.jpg'; ?>
                <?php if( file_exists( __DOCROOT__ . __SUBDIRECTORY__ .$pathFoto ) ) { ?>
                    <img src="<?=  __SUBDIRECTORY__ . $pathFoto ?>" style="width:70px; margin-left:5px">
                <?php } else { ?>
                    &nbsp;
                <?php } ?>
            </td>
            <td style="width:50px">

            </td>
            <td>
                <h4><?= $kodeDept ?></h4>
            </td>
        </tr>
    </table>

    <h2 style="text-align:center"><?= $judul ?></h2>   
    
    <table>
        <tr>
            <td>No. RM</td>
            <td>: <?= $objPatientNursing->Mr ?></td>
        </tr>
        <tr>
            <td>Nama</td>
            <td>: <?= $objPatientNursing->FirstName ?></td>
        </tr>
        <tr>
            <td>Tgl. Lahir </td>
            <td>: <?= $objPatientNursing->DateOfBirth ? $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') : '' ?></td>
        </tr>
    </table>

    <table border="1" style="border-collapse: collapse;">
        <tr>
            <td style="width:370px">
                <table>
                    <tr>
                        <td>Tanggal:</td>
                        <td style="width:100px"><?= $TanggalAsesmen ?></td>
                        <td>Jam:</td>
                        <td style="width:100px"><?= $JamAsesmen ?></td>
                    </tr>
                </table>
            </td>
            <td style="width:200px"></td>
        </tr>
        <tr>
            <td style="width:370px">

                <table>
                    <tr>
                        <td>1.</td>
                        <td>TD:</td>
                        <td width="40px"><?= $Sistolik .'/'.$Diastolik ?></td>
                        <td>mmHg</td>
                        <td>N:</td>
                        <td width="40px"><?= $Nadi ?></td>
                        <td>x/mt</td>
                        <td>RR:</td>
                        <td width="40px"><?= $Rr ?></td>
                        <td>x/mnt</td>
                        <td>S:</td>
                        <td width="40px"><?= $Suhu ?></td>
                        <td>C</td>
                    </tr>
                </table>

                <table>
                    <tr>
                        <td>2.</td>
                        <td>TB:</td>
                        <td width="40px"><?= $Tb ?></td>
                        <td>cm</td>
                        <td>BB:</td>
                        <td width="40px"><?= $Bb ?></td>
                        <td>Kg</td>
                    </tr>
                </table>

                <table>
                    <tr>
                        <td>3.</td>
                        <td>Riwayat Bio Psiko Sosio Ekonomi Cultural Spiritual :</td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            <ul>
                                <li>Penampilan fisik : <?= $PenampilanFisik ?></li>
                                <li>Status emosional : <?= $StatusEmosional ?></li>
                                <li>Hub. dengan anggota keluarga : <?= $HubunganAnggotaKeluarga ?></li>
                                <li>Status Ekonomi : <?= $StatusEkonomi ?></li>
                                <li>Suku Bangsa : <?= $SukuBangsa ?></li>
                                <li>Keyakinan: <?= $Keyakinan ?></li>
                                <li>Masalah spiritual : <?= $MasalahSpiritual ?></li>
                                <li>Butuh spiritual care (kyai,pendeta,dll):
                                    <?= $SpiritualCare == 'YA' ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?>Ya  
                                    <?= $SpiritualCare == 'TIDAK' ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> Tidak
                            </ul>
                        </td>
                    </tr>
                    <tr>
                        <td>4.</td>
                        <td>Skrining Nyeri : <?= $SkriningNyeri ?></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            Penyebab nyeri : <?= $SkriningNyeri ?>
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>Kualitas nyeri : <?= $KualitasNyeri ?></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>Lokasi nyeri : <?= $LokasiNyeri ?></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>Skala nyeri :  <?= $SkalaNyeri ?>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; (1-10)</td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>Durasi Nyeri : <?= $DurasiNyeri ?></td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>Frekuensi Nyeri : <?= $FrekuensiNyeri ?></td>
                    </tr>
                </table>

                <div style="text-align:center">
                    <!-- <?php var_dump($IntensitasNyeri) ?> -->
                    <h5>Skala Nyeri <br> Intensitas Nyeri “ WONG BEKER FACE PAIN RATING SCALE “ (NRS)</h5>
                    <?php
                    switch($IntensitasNyeri){
                        case '0':
                            $gbr_intensitas_nyeri = $direktori_aset.'wong_baker_face_0.png';
                            break;
                        case '1':
                            $gbr_intensitas_nyeri = $direktori_aset.'wong_baker_face_1.png';
                            break;
                        case '2':
                            $gbr_intensitas_nyeri = $direktori_aset.'wong_baker_face_2.png';
                            break;
                        case '3':
                            $gbr_intensitas_nyeri = $direktori_aset.'wong_baker_face_3.png';
                            break;
                        case '4':
                            $gbr_intensitas_nyeri = $direktori_aset.'wong_baker_face_4.png';
                            break;
                        case '5':
                            $gbr_intensitas_nyeri = $direktori_aset.'wong_baker_face_5.png';
                            break;
                        case '6':
                            $gbr_intensitas_nyeri = $direktori_aset.'wong_baker_face_6.png';
                            break;
                        case '7':
                            $gbr_intensitas_nyeri = $direktori_aset.'wong_baker_face_7.png';
                            break;
                        case '8':
                            $gbr_intensitas_nyeri = $direktori_aset.'wong_baker_face_8.png';
                            break;
                        case '9':
                            $gbr_intensitas_nyeri = $direktori_aset.'wong_baker_face_9.png';
                            break;
                        case '10':
                            $gbr_intensitas_nyeri = $direktori_aset.'wong_baker_face_10.png';
                            break;
                        default:
                            $gbr_intensitas_nyeri = $direktori_aset.'wong_baker_face_null.png';
                    }
                    ?>
                    <img src="<?= $gbr_intensitas_nyeri ?>" style="height: 100px">
                </div>

                <table>
                    <tr>
                        <td>5. </td>
                        <td>Skrining Resiko Jatuh :</td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            <b>a. </b>Apakah pasien mempunyai kelemahan anggota <br> gerak / penurunan kesadaran ?
                            <br>
                            <?= $LemahAnggotaGerak == 'YA' ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?>Ya
                            &nbsp;&nbsp;
                            <?= $LemahAnggotaGerak == 'TIDAK' ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> Tidak
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            <b>b. </b>Apakah pasien pernah jatuh saat usia &lt; 3 tahun ?
                            <br>
                            <?= $JatuhTigaTahun == 'YA' ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?>Ya
                            &nbsp;&nbsp;
                            <?= $JatuhTigaTahun == 'TIDAK' ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> Tidak
                            <br>Hasil:
                            <br>
                            <?= ($LemahAnggotaGerak == 'TIDAK' && $JatuhTigaTahun == 'TIDAK') ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> 
                            Resiko Rendah ( Bila A dan B tidak )
                            <br>
                            <?= ($LemahAnggotaGerak == 'YA' && $JatuhTigaTahun == 'YA') ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> 
                            Resiko Tinggi ( Bila A dan B ya )
                        </td>
                    </tr>
                </table>

            </td>
            <td style="width:200px" valign="top">

                <table>
                    <tr>
                        <td>6.</td>
                        <td>Skrining Gizi</td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            <?php
                            $scoreTurun = 0;
                            if($TurunBb == 'TIDAK ADA'){
                                $scoreTurun += 0;
                                $turunTidakAda = true;
                            }
                            if($TurunBb == 'TIDAK YAKIN'){
                                $scoreTurun += 0;
                                $turunTidakYakin = true;
                            }
                            if($TurunBb != '' && $TurunBb != 'TIDAK ADA' && $TurunBb != 'TIDAK YAKIN'){
                                $scoreTurun += 0;
                                $adaPenurunan = true;
                            }
                            if($TurunBb == 'TURUN 1-5'){
                                $scoreTurun += 1;
                                $turun1 = true;
                            }
                            if($TurunBb == 'TURUN 6-10'){
                                $scoreTurun += 2;
                                $turun6 = true;
                            }
                            if($TurunBb == 'TURUN 11-15'){
                                $scoreTurun += 3;
                                $turun11 = true;
                            }
                            if($TurunBb == 'TURUN LEBIH 15'){
                                $scoreTurun += 4;
                                $turun15 = true;
                            }
                            if($AsupanMakanKurang == 'YA'){
                                $scoreTurun += 1;
                            }

                            ?>
                            a. Penurunan berat BB (kg) dalam 3 bulan terakhir:
                            <br>
                            <?= $turunTidakAda ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> Tidak ada (0)
                            <br>
                            <?= $turunTidakYakin ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> Tidak yakin / Tidak tahu / Baju terasa lebih longgar
                            <br>
                            <?= $adaPenurunan ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> Ada penurunan BB
                            <br>
                            <?= $turun1 ? '1-5 (1) ' : '' ?>
                            <?= $turun6 ? '6-10 (2) ' : '' ?>
                            <?= $turun11 ? '11-15 (3) ' : '' ?>
                            <?= $turun15 ? '&gt;15 (4) ' : '' ?>
                            <br>
                            Asupan makanan berkurang: 
                            <?= $AsupanMakanKurang == 'YA' ? 'Ya (1)' : '' ?>
                            <?= $AsupanMakanKurang == 'TIDAK' ? 'Tdk (0)' : '' ?>
                            <br>
                            Hasil: <b><?= $scoreTurun ?></b>
                            <br> <?= ($scoreTurun > 2) ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> Beresiko malnutrisi ( Nilai &#8805; 2 )
                            <br> <?= ($scoreTurun < 2) ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> Tidak beresiko malnutrisi ( Nilai &lt; 2 )
                        </td>
                    </tr>
                    <tr>
                        <td>7.</td>
                        <td>Status Fungsional:</td>
                    </tr>
                    <tr>
                        <td></td>
                        <td>
                            <?= $StatusFungsional == 'MANDIRI' ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> Mandiri
                            <br> <?= $StatusFungsional == 'PERLU BANTUAN' ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> Perlu Bantuan:
                            <br> <?= $StatusFungsional == 'KETERGANTUNGAN TOTAL' ? '<img src="'.$direktori_aset.'kotak-centang.png" style="width:18px;">' : '<img src="'.$direktori_aset.'kotak.png" style="width:18px;">' ?> Ketergantungan Total
                        </td>
                    </tr>
                    <tr>
                        <td>8.</td>
                        <td>
                            Masalah Keperawatan :
                        </td>
                    </tr>
                    <tr>
                        <td style="height:150px"></td>
                        <td valign="top"> <?= $MasalahKeperawatan ?> </td>
                    </tr>
                    <tr>
                        <td>9.</td>
                        <td>
                            Tujuan / Target Terukur :
                        </td>
                    </tr>
                    <tr style="height:150px">
                        <td></td>
                        <td valign="top"><?= $Tujuan ?></td>
                    </tr>
                </table>

            </td>
        </tr>

        <tr>
            <td colspan="2" style="padding:0">
                <table border="1" style="border-collapse: collapse; margin:0">
                    <tr>
                        <td style="width:200px" valign="top">
                            IMPLEMENTASI
                            <br><?= $Implementasi ?>
                        </td>
                        <td style="width:200px" valign="top">
                            EDUKASI
                            <br><?= $Edukasi ?>
                        </td>
                        <td style="width:160px; text-align: center;">
                            Nama dan Tanda Tangan<br>Pasien/Keluarga pasien
                            <br><br><br><br>
                        </td>
                        <td style="width:158px; text-align: center;">
                            Nama dan Tanda Tangan Perawat
                            <!-- <br><br><br> -->
                            <div id="qrcode"></div>
                            ..............
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
    

<script src="<?= __ASSETS__ ?>/user/js/qrcode.js"></script>
<script>
    "use strict";
    var textQrcode = "<?= $objPatientNursing->Id .' '. $IdUserPenyelesaiAsesmen.' '.$IpUserPenyelesaiAsesmen.' '.$WaktuSelesaiAsesmen ?>";
    var qrcode = new QRCode("qrcode", {
        text: textQrcode,
        width: 70,
        height: 70,
        colorDark : "#000000",
        colorLight : "#ffffff",
        correctLevel : QRCode.CorrectLevel.H
    });
</script>
</body>
</html>

<?php
}
?>