
<?php require (__DIR__ . '/aa-quick-form-header.php'); ?>

<div style="width:100%;background:#F2F5FA;">
<div style="padding:20px;width:100%;max-width:1000px;margin:0px auto;" id="content">
<?php require (__DIR__ . '/aa-float-menu.php'); ?>

<?php
$objUser = unserialize($_SESSION[__USER_LOGIN__]); $intTabIndex = 0;

$start = QDateTime::Now();
$strId = System::GetValue('Id',null,'string');
$strMode = System::GetValue('mode',null,'string');
$strOriginId = System::GetValue('origin',null,'string');
if($strId){
    $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'] = $strId;
} else {
    $strId = $_SESSION[__SESSION__][__PAGE__]['PatientNursingId'];
}

$objPatientNursing = HmisPatientNursing::LoadById($strId);
if ($objPatientNursing) {
    $boolPelayanan = $objPatientNursing->CurrentState == '3' || $objPatientNursing->CurrentState == '4' ;
    // $objPatientNursing = HmisPatientNursingActive::LoadByMr('140192');
    $emergency = $objPatientNursing->NursingCategory == '2' ? $objPatientNursing->EmergencyState : NULL;

    //$pageTitle = 'Tindakan Pasien'; // . $objPatientNursing->DepartmentName;
    $lahir = $objPatientNursing->DateOfBirth->PhpDate('d-m-Y');
    $umur = ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false);

    if($objPatientNursing->Address){
        $al = array($objPatientNursing->Address);
    }else{
        $al = array($objPatientNursing->DomicilyAddress);
    }
    if ($objPatientNursing->DomicilyVillageName)
        $al[] = $objPatientNursing->DomicilyVillageName;
    if ($objPatientNursing->DomicilySubDistrictName)
        $al[] = $objPatientNursing->DomicilySubDistrictName;
    if ($objPatientNursing->DomicilyDistrictName)
        $al[] = $objPatientNursing->DomicilyDistrictName;
    if ($objPatientNursing->DomicilyProvinceName)
        $al[] = $objPatientNursing->DomicilyProvinceName;
    $alamat = implode(', ', $al);
    $alamat = $objPatientNursing->DomicilyAddress ? $objPatientNursing->DomicilyAddress : $objPatientNursing->Address;
} else {
    //$boolPelayanan = false;
    //$emergency = NULL;
    echo "<h2>Patient tidak ditemukan</h2><p>ID Perawatan <i>$strId</i> tidak ditemukan</p>";
    return;
}

$objNursingClass = HmisRefBedEntity::LoadById($objPatientNursing->NursingBedId);

if(isset($_SESSION[__SESSION__][__PAGE__]['PilihDoctor'])){
    $objMedicalDoctor = HmisRefEmployee::LoadById($_SESSION[__SESSION__][__PAGE__]['PilihDoctor']);
    if($objMedicalDoctor){
        /*
        $objPatientNursing->DoctorName = $objMedicalDoctor->FirstName ;
        $objPatientNursing->DoctorCode = $objMedicalDoctor->EmployeeNumber ;
        $objPatientNursing->DoctorId = $objMedicalDoctor->Id ;
        */
    }
}


?>
<!-- <script src="<?= __ASSETS__ ?>/user/js/bootstrap-timepicker.min.js"></script> -->
<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>

<script src="<?= __ASSETS__ ?>/fabricjs/fabric.js"></script>
<!--<script src="<?= __ASSETS__ ?>/plugins/grudus-timepicker/grudus-timepicker.js"></script>
<script src="<?= __ASSETS__ ?>/user/js/ui.helper.js"></script>
 <script src="<?= __ASSETS__ ?>/user/js/nursing-billing.ext.js"></script> -->
<?php if($objPatientNursing){ ?>
    <script>
        strMode = '<?= $strMode ?>';
        strOriginalId = '<?= $strOriginId ?>';
        // alert(['<?= $_SESSION[__SESSION__][__PAGE__]['PilihDoctor']; ?>','<?= __PAGE__; ?>']);
        // alert(['<?= System::GetValue('Id',null,'string'); ?>','<?= $objPatientNursing->FirstName; ?>']);
        strFirstName = '<?= $objPatientNursing->FirstName; ?>';
        strDateOfBirth = '<?= $objPatientNursing->DateOfBirth->PhpDate('d/m/Y'); ?>';
        strNoMr = '<?= $objPatientNursing->Mr; ?>';
        strMr = '<?= $objPatientNursing->Mr; ?>';
        strPatientId = '<?= $objPatientNursing->PatientId; ?>';
        strId = '<?= $objPatientNursing->Id; ?>';
        boolSelesai = <?= intval($objPatientNursing->CurrentState) >= 4 ? 'true' : 'false'; ?>;
        strPresentClassId = '<?= $objPatientNursing->PresentClassId?>';
        strActivityId = null;
        intNursingCategory = <?= $objPatientNursing->NursingCategory ?>;
        strServiceStartDateTime = <?= $objPatientNursing->NursingServiceStartDateTime ? "'" . $objPatientNursing->NursingServiceStartDateTime->PhpDate('Y-m-d H:i:s') . "'" : 'null'?>;
        strGroupName = '<?= $objHmisRefDepartment->GroupName ?>';
        strNursingBedStartDateTime = <?= $objPatientNursing->NursingBedStartDateTime ? "'" . $objPatientNursing->NursingBedStartDateTime->PhpDate('d/m/Y H:i:s') . "'" : 'null'?>;
        boolSaveWithoutReload = false;
        formTime = '<?= $formTime?>';
        formId = '<?= $formId ?>';
        startRange = '<?= $start->PhpDate('d.m.Y') ?> - <?= $start->PhpDate('d.m.Y') ?>';
        objPatientNursing = {
             Id: '<?= $objPatientNursing->Id; ?>'
             , OnPartition: '<?= $objPatientNursing->OnPartition; ?>'
             , Mr: '<?= $objPatientNursing->Mr; ?>'
             , FirstName: '<?= $objPatientNursing->FirstName; ?>'
             , Gender: '<?= $objPatientNursing->Gender; ?>'
             , DateOfBirth: '<?= $objPatientNursing->DateOfBirth; ?>'
             , DoctorName: '<?= addslashes($objPatientNursing->DoctorName); ?>'
             , DoctorCode: '<?= addslashes($objPatientNursing->DoctorCode); ?>'
             , DoctorId: '<?= $objPatientNursing->DoctorId; ?>'
             , DepartmentName: '<?= $objPatientNursing->DepartmentName; ?>'
             , DepartmentCode: '<?= $objPatientNursing->DepartmentCode; ?>'
             , DepartmentId: '<?= $objPatientNursing->DepartmentId; ?>'
             , ContractServiceName: '<?= $objPatientNursing->ContractServiceName; ?>'
             , ContractServiceCode: '<?= $objPatientNursing->ContractServiceCode; ?>'
             , ContractServiceId: '<?= $objPatientNursing->ContractServiceId; ?>'
         };
    </script>
<?php } else { ?>
    <script>
        strFirstName = '';
        strDateOfBirth = '';
        strNoMr = '';
        strMr = '';
        strPatientId = '';
        strId = '';
        boolSelesai = false;
        strActivityId = null;
        intNursingCategory = 0;
        boolSaveWithoutReload = false;
        formTime = '';
        formId = '';
        startRange = '';
        objPatientNuring = {};
    </script>
<?php } ?>
<style>
.ext-el-mask{width:100%!important;height:100%!important;}
.chosen-container{width: 100% !important;}
html, body{background:#F2F5FA;height:100%;}
.print_preview{width:240px;}

.dock2 {
width: auto;
height: auto;
border-radius: 3px;
position: fixed;
top: 20px;
transform:translate(0%,0%);
float:right;  
right:20px;  
z-index: 100;
background:#48A34B;
color:#fff;
display:none;
box-sizing:border-box;
}
.dock-container2 {
width: 100%;
height: 100%;
padding: 10px;
box-shadow: 2px 2px 5px rgba(0,0,0,0.5);
border-radius: 3px;
overflow-y:auto;
overflow-x:hidden;
}
.animated {
  animation-duration: 0.5s;
}
.print-container{display:inline-block;}
#versi_form{border:4px solid #3c8dbc!important;float:left;border-radius:3px 0px 0px 3px!important;}
#cetak_laporan_validasi{border-radius:0px 3px 3px 0px}
input.checkbox{
	width: 30px;
        height: 30px;
}
</style>
<div class="dock2">
	<div class="dock-container2">
	<table style="color:#fff;">
		<tr style="vertical-align:top;">
			<td style="width:140px;">Nama&nbsp;&nbsp;</td>
			<td>:</td><td style="width:360px;"> <?= $objPatientNursing->FirstName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>No. RM&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Mr ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tgl.Lahir / Umur&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DateOfBirth->PhpDate('d-m-Y') . ' / ' . ViewHelper::stringUmur($objPatientNursing->DateOfBirth->getTimestamp(), $objPatientNursing->CreateTime->getTimestamp(), false) ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Alamat&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->Address ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Asal Poli / Ruangan&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DepartmentName ?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Tanggal Masuk&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>Diagnosa Utama&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->AdmissionDiagnoseDescription1?></td>
		</tr>
		<tr style="vertical-align:top;">
			<td>DPJP&nbsp;&nbsp;</td>
			<td>:&nbsp;</td><td> <?= $objPatientNursing->DoctorName?></td>
		</tr>
	</table>
	</div>
</div>
<script>
const scrollThreshold1 = 300;
const scrollThreshold2 = 440;
const scrollThreshold3 = 524;
const widthThreshold1 = 990;
const widthThreshold2 = 770;


window.onscroll = function() {
  let scrollThreshold = 0;
  if (window.innerWidth > widthThreshold1) {
    scrollThreshold = scrollThreshold1;
  } else if (window.innerWidth > widthThreshold2) {
    scrollThreshold = scrollThreshold2;
  } else {
    scrollThreshold = scrollThreshold3;
  }

  if (window.pageYOffset >= scrollThreshold) {
    document.querySelector('.dock2').style.display = 'block';
	$('.dock2').addClass('animated fadeInDown');
  } else {
    document.querySelector('.dock2').style.display = 'none';
	$('.dock2').removeClass('animated fadeInDown');
  }
  //document.querySelector('#scroll-position').textContent = window.pageYOffset;
};
window.onresize = function() {
  //document.querySelector('#window-width').textContent = window.innerWidth;
};
</script>

<link rel="stylesheet" type="text/css" href="<?= __ASSETS__ ?>/plugins/grudus-timepicker/index.css">
<!-- <link rel="stylesheet" href="<?= __ASSETS__ ?>/user/css/bootstrap-timepicker.min.css"> -->
<div class="row" style="margin-bottom: 10px;">
    <div class="col-md-12">
        <h1 class="panel-title1" style="text-align:center;">PENGANTAR PERMINTAAN PEMERIKSAAN RADIOLOGI</h1>
    </div>
</div>

<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: ;">
    <div class="box-header">
        <i class="fa fa-user"></i>
        <h3 class="box-title">Data Pasien</h3>
    </div>
    <div class="box-body">
        <div class="row">
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">No Rekam Medik</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="rekmed" id="rekmed" required value="<?= $objPatientNursing->Mr ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Nama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="nama" id="nama" required value="<?= $objPatientNursing->FullName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Alamat</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="alamat" id="alamat" required value="<?= $alamat ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Umur</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" id="umur" required value="<?= $lahir . ' / ' . $umur ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Diagnosa Utama</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->AdmissionDiagnoseDescription1; ?>" readonly>
                    </div>
                </div>

            </div>
            <div class="col-md-6">
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Cara bayar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="telp" id="telp" required value="<?= $objPatientNursing->ContractServiceName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Ruang / Kamar</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="ruang" id="ruang" required value="<?= $objPatientNursing->DepartmentName ?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Tanggal Masuk</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="masuk" id="masuk" required value="<?= $objPatientNursing->NursingStartDate->PhpDate('d-m-Y')?>" readonly>
                    </div>
                </div>
                <div class="form-group">
                    <label class="col-sm-4 control-label" for="w1-username">Dokter DPJP</label>
                    <div class="col-sm-8">
                        <input type="text" class="form-control input-sm" name="DPJP" id="DPJP" required value="<?= $objPatientNursing->DoctorName?>" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="FormPage">

	
	<div class="row">
		<div class="col-xs-12">
			<div class="box box-info form-horizontal box-info-pasien" style="padding-bottom: 25px;">

				<div class="row" style="margin-bottom: 5px;">
					<div class="col-md-12" style="height: 0px;" ></div>
				</div>
				<div class="col-md-6" style="margin-bottom:10px">
					<label class="control-label" for="dokter_pengirim"><b>Dokter Pengirim</b></label>
					<div class="input-group" style="width:100%">
						<select data-plugin-selecttwo class="form-control doctor" tabindex="14" title="" name="dokter_pengirim" id="dokter_pengirim" data-placeholder="Dokter Pengirim" style="width:100%">

							<option value="<?= $objPatientNursing->vDokterPengirimRadId ?>" selected><?= $objPatientNursing->vDokterPengirimRadNama ?></option>
	
						</select>

					</div>
				</div>
				<div class="col-md-6" style="margin-bottom:10px">
					<label class="control-label" for="gejala_klinis_rad"><b>Keterangan Klinis :</b></label>
					<div class="input-group" style="width:100%">
						<input type="text" class="form-control" name='gejala_klinis_rad' id='gejala_klinis_rad' placeholder="Keterangan Klinis" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vGejalaKlinisRad ; ?>">

					</div>
				</div>



				<div class="row" style="padding:0px 12px;margin-bottom:10px;">
					<div class="col-md-12" style="background-color:#CCCCFF; margin-top:30px;margin-bottom:10px;">
						<label class="control-label" for="skull_unit_rad" style="padding-bottom:10px"><b>A. SKULL UNIT </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="skull_ap_pa" id="skull_ap_pa" <?= ( stripos( '@'.$objPatientNursing->vSkullUnitRad , 'Skull AP/PA' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="skull_ap_pa" style="margin-left: 5px; margin-top: 5px;" >Skull AP/PA</label>
								<input type="checkbox" name="skull_lateral" id="skull_lateral" <?= ( stripos( '@'.$objPatientNursing->vSkullUnitRad , 'Skull Lateral/Sella Tursica' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="skull_lateral" style="margin-left: 5px; margin-top: 5px;" >Skull Lateral/Sella Tursica</label>
								<input type="checkbox" name="orbita_ap_pa" id="orbita_ap_pa" <?= ( stripos( '@'.$objPatientNursing->vSkullUnitRad , 'Orbita AP/PA' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="orbita_ap_pa" style="margin-left: 5px; margin-top: 5px;" >Orbita AP/PA</label>
								<input type="checkbox" name="theese" id="theese" <?= ( stripos( '@'.$objPatientNursing->vSkullUnitRad , 'Thesee (foramen Opticum)' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="theese" style="margin-left: 5px; margin-top: 5px;" >Thesee (foramen Opticum)</label>
		
							</div>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="nasal_bones_lateral" id="nasal_bones_lateral" <?= ( stripos( '@'.$objPatientNursing->vSkullUnitRad , 'Nasal Bones Lateral' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="nasal_bones_lateral" style="margin-left: 5px; margin-top: 5px;" >Nasal Bones Lateral</label>
								<input type="checkbox" name="waters" id="waters" <?= ( stripos( '@'.$objPatientNursing->vSkullUnitRad , 'Waters (Sinus Paranasalis)' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="waters" style="margin-left: 5px; margin-top: 5px;" >Waters (Sinus Paranasalis)</label>
								<input type="checkbox" name="sculer" id="sculer" <?= ( stripos( '@'.$objPatientNursing->vSkullUnitRad , 'Sculer D/S (mastoid)' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="sculer" style="margin-left: 5px; margin-top: 5px;" >Sculer D/S (mastoid)</label>
								<input type="checkbox" name="stenvers" id="stenvers" <?= ( stripos( '@'.$objPatientNursing->vSkullUnitRad , 'Stenvers' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="stenvers" style="margin-left: 5px; margin-top: 5px;" >Stenvers</label>
							</div>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="tmj" id="tmj" <?= ( stripos( '@'.$objPatientNursing->vSkullUnitRad , 'TMJ D/S (Open + Close)' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="tmj" style="margin-left: 5px; margin-top: 5px;" >TMJ D/S (Open + Close)</label>
								<input type="checkbox" name="eisler" id="eisler" <?= ( stripos( '@'.$objPatientNursing->vSkullUnitRad , 'Eisler (mandibula)' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="eisler" style="margin-left: 5px; margin-top: 5px;" >Eisler (mandibula)</label>
								<input type="checkbox" name="mandibulaAp" id="mandibulaAp" <?= ( stripos( '@'.$objPatientNursing->vSkullUnitRad , 'MandibulaAP' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="mandibulaAp" style="margin-left: 5px; margin-top: 5px;" >MandibulaAP</label>
								<input type="checkbox" name="basicCranil" id="basicCranil" <?= ( stripos( '@'.$objPatientNursing->vSkullUnitRad , 'Basic Cranil' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="basicCranil" style="margin-left: 5px; margin-top: 5px;" >Basic Cranil</label>
							</div>

						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;margin-top: 5px;">
							<span class="input-group-addon" style="margin-left:25px; vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Lainnya :</b></div>
							</span>
							<input type="text" class="form-control" name='skull_unit_lainnya' id='skull_unit_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vSkullUnitLainnya ; ?>">
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:10px;margin-top: 10px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="thorax_rad" style="padding-bottom:4px"><b>B. THORAX</b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="thorax_ap_pa" id="thorax_ap_pa" <?= ( stripos( '@'.$objPatientNursing->vThoraxRad , 'Thorax AP/PA' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="thorax_ap_pa" style="margin-left: 5px; margin-top: 5px;" >Thorax AP/PA</label>
								<input type="checkbox" name="thorax_lateral" id="thorax_lateral" <?= ( stripos( '@'.$objPatientNursing->vThoraxRad , 'Thorax Lateral D/S' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="thorax_lateral" style="margin-left: 5px; margin-top: 5px;" >Thorax Lateral D/S</label>
								<input type="checkbox" name="thorax_rld" id="thorax_rld" <?= ( stripos( '@'.$objPatientNursing->vThoraxRad , 'Thorax RLD/LLD' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="thorax_rld" style="margin-left: 5px; margin-top: 5px;" >Thorax RLD/LLD</label>
								<input type="checkbox" name="top_lordotic" id="top_lordotic" <?= ( stripos( '@'.$objPatientNursing->vThoraxRad , 'Top Lordotic' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="top_lordotic" style="margin-left: 5px; margin-top: 5px;" >Top Lordotic</label>
								<input type="checkbox" name="sternum" id="sternum" <?= ( stripos( '@'.$objPatientNursing->vThoraxRad , 'Sternum' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="sternum" style="margin-left: 5px; margin-top: 5px;" >Sternum</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Lainnya :</b></div>
							</span>
							<input type="text" class="form-control" name='thorax_lainnya' id='thorax_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vThoraxRadLainnya ; ?>">
						</div>
					</div>

				</div>

				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="abdomen_rad" style="padding-bottom:4px"><b>C. ABDOMEN</b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="bof" id="bof" <?= ( stripos( '@'.$objPatientNursing->vAbdomenRad , 'BOF' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="bof" style="margin-left: 5px; margin-top: 5px;" >BOF</label>
								<input type="checkbox" name="bof_tampak_penis" id="bof_tampak_penis" <?= ( stripos( '@'.$objPatientNursing->vAbdomenRad , 'BOF tampak Penis' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="bof_tampak_penis" style="margin-left: 5px; margin-top: 5px;" >BOF tampak Penis</label>
								<input type="checkbox" name="bof_lld_rld" id="bof_lld_rld" <?= ( stripos( '@'.$objPatientNursing->vAbdomenRad , 'BOF LLD/RLD' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="bof_lld_rld" style="margin-left: 5px; margin-top: 5px;" >BOF LLD/RLD</label>
								<input type="checkbox" name="pelvis_ap" id="pelvis_ap" <?= ( stripos( '@'.$objPatientNursing->vAbdomenRad , 'Pelvis AP' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="pelvis_ap" style="margin-left: 5px; margin-top: 5px;" >Pelvis AP</label>
								<input type="checkbox" name="pelvis_frog_leg" id="pelvis_frog_leg" <?= ( stripos( '@'.$objPatientNursing->vAbdomenRad , 'PELVIS Frog Leg' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="pelvis_frog_leg" style="margin-left: 5px; margin-top: 5px;" >PELVIS Frog Leg</label>

							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Lainnya :</b></div>
							</span>
							<input type="text" class="form-control" name='abdomen_lainnya' id='abdomen_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vAbdomenRadLainnya ; ?>">
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="pemeriksaan_lain_rad" style="padding-bottom:4px"><b>D. PEMERIKSAAN LAIN</b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="mammography" id="mammography" <?= ( stripos( '@'.$objPatientNursing->vPemeriksaanLainRad , 'Mammography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="mammography" style="margin-left: 5px; margin-top: 5px;" >Mammography</label>
								<input type="checkbox" name="panoramic" id="panoramic" <?= ( stripos( '@'.$objPatientNursing->vPemeriksaanLainRad , 'Panoramic' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="panoramic" style="margin-left: 5px; margin-top: 5px;" >Panoramic</label>
								<input type="checkbox" name="dental_intraoral" id="dental_intraoral" <?= ( stripos( '@'.$objPatientNursing->vPemeriksaanLainRad , 'Dental Intraoral' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="dental_intraoral" style="margin-left: 5px; margin-top: 5px;" >Dental Intraoral</label>
							</div>
						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='pemeriksaan_lainnya' id='pemeriksaan_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vPemeriksaanLainnyaRad ; ?>">
						</div>
					</div>
				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-9" style="background-color:#CCCCFF;">
						<label class="control-label" for="ekstremitas_atas_rad" style="padding-bottom:4px"><b>E. EKSTREMITAS ATAS</b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="manus_ap_lat" id="manus_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasAtasRad , 'Manus AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="manus_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Manus AP + Lat</label>
								<input type="checkbox" name="wrist_ap_lat" id="wrist_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasAtasRad , 'Wrist AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="wrist_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Wrist AP + Lat</label>
								<input type="checkbox" name="anterbrachi_ap_lat" id="anterbrachi_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasAtasRad , 'Anterbrachi AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="anterbrachi_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Anterbrachi AP + Lat</label>
								<input type="checkbox" name="elbow_ap_lat" id="elbow_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasAtasRad , 'Elbow AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="elbow_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Elbow AP + Lat</label>
								<input type="checkbox" name="humerus_ap_lat" id="humerus_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasAtasRad , 'Humerus AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="humerus_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Humerus AP + Lat</label>

							</div>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="shoulder_ekso_endo" id="shoulder_ekso_endo" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasAtasRad , 'Shoulder Ekso + Endo' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="shoulder_ekso_endo" style="margin-left: 5px; margin-top: 5px;" >Shoulder Ekso + Endo</label>
								<input type="checkbox" name="shoulder_axial" id="shoulder_axial" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasAtasRad , 'Shoulder Axial' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="shoulder_axial" style="margin-left: 5px; margin-top: 5px;" >Shoulder Axial</label>
								<input type="checkbox" name="scapula_ap_lat" id="scapula_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasAtasRad , 'Scapula AP / Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="scapula_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Scapula AP / Lat</label>
								<input type="checkbox" name="clavicula_ap_axial" id="clavicula_ap_axial" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasAtasRad , 'Clavicula AP /Axial' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="clavicula_ap_axial" style="margin-left: 5px; margin-top: 5px;" >Clavicula AP /Axial</label>

							</div>

						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='ektremitas_atas_lainnya' id='ektremitas_atas_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vEkstremitasAtasRadLainnya ; ?>">
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="ekstremitas_bawah" style="padding-bottom:4px"><b>F. EKSTREMITAS BAWAH</b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="pedis_ap_obliq" id="pedis_ap_obliq" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasBawahRad , 'Peldis AP + Obliq' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="pedis_ap_obliq" style="margin-left: 5px; margin-top: 5px;" >Peldis AP + Obliq</label>
								<input type="checkbox" name="calcaneus_lateral_axial" id="calcaneus_lateral_axial" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasBawahRad , 'Calcaneus Lateral / Axial' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="calcaneus_lateral_axial" style="margin-left: 5px; margin-top: 5px;" >Calcaneus Lateral / Axial</label>
								<input type="checkbox" name="ankle_ap_lat" id="ankle_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasBawahRad , 'Ankle AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ankle_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Ankle AP + Lat</label>
								<input type="checkbox" name="ankle_mortis_view" id="ankle_mortis_view" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasBawahRad , 'Ankle Mortis View' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ankle_mortis_view" style="margin-left: 5px; margin-top: 5px;" >Ankle Mortis View</label>

							</div>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="cruris_ap_lat" id="cruris_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasBawahRad , 'Cruris AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cruris_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Cruris AP + Lat</label>
								<input type="checkbox" name="genu_ap_lat" id="genu_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasBawahRad , 'Genu AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="genu_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Genu AP + Lat</label>
								<input type="checkbox" name="genu_sky_line" id="genu_sky_line" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasBawahRad , 'Genu Sky Line' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="genu_sky_line" style="margin-left: 5px; margin-top: 5px;" >Genu Sky Line</label>
								<input type="checkbox" name="genu_vagus_valrus" id="genu_vagus_valrus" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasBawahRad , 'Genu Vagus + Valrus' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="genu_vagus_valrus" style="margin-left: 5px; margin-top: 5px;" >Genu Vagus + Valrus</label>

							</div>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="femur_ap_lat" id="femur_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasBawahRad , 'Femur AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="femur_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Femur AP + Lat</label>
								<input type="checkbox" name="hip_ap_lat" id="hip_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasBawahRad , 'HIP AP / Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="hip_ap_lat" style="margin-left: 5px; margin-top: 5px;" >HIP AP / Lat</label>
								<input type="checkbox" name="hip_axial" id="hip_axial" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasBawahRad , 'HIP Axial' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="hip_axial" style="margin-left: 5px; margin-top: 5px;" >HIP Axial</label>
								<input type="checkbox" name="hip_alar_obturator" id="hip_alar_obturator" <?= ( stripos( '@'.$objPatientNursing->vEkstremitasBawahRad , 'HIP Alar + Obturator' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="hip_alar_obturator" style="margin-left: 5px; margin-top: 5px;" >HIP Alar + Obturator</label>

							</div>

						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='ekstremitas_bawah_lainnya' id='ekstremitas_bawah_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vEkstremitasBawahRadLainnya ; ?>">
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="vertebrate_rad" style="padding-bottom:4px"><b>G. VERTEBRATE</b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="cervical_ap_lat" id="cervical_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vVertebrataRad , 'Cervical AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cervical_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Cervical AP + Lat</label>
								<input type="checkbox" name="cervical_obliq" id="cervical_obliq" <?= ( stripos( '@'.$objPatientNursing->vVertebrataRad , 'Cervical Obliq' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cervical_obliq" style="margin-left: 5px; margin-top: 5px;" >Cervical Obliq</label>
								<input type="checkbox" name="cervical_flexi_ekstensi" id="cervical_flexi_ekstensi" <?= ( stripos( '@'.$objPatientNursing->vVertebrataRad , 'Cervical Flexi + Ekstesi' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cervical_flexi_ekstensi" style="margin-left: 5px; margin-top: 5px;" >Cervical Flexi + Ekstesi</label>
								<input type="checkbox" name="thoraco_lumbal_ap_lat" id="thoraco_lumbal_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vVertebrataRad , 'Thoraco Lumbal AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="thoraco_lumbal_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Thoraco Lumbal AP + Lat</label>
								<input type="checkbox" name="lumbosacral_ap_lat" id="lumbosacral_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vVertebrataRad , 'Lumbosacral AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lumbosacral_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Lumbosacral AP + Lat</label>

							</div>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="lumbosacral_obliq" id="lumbosacral_obliq" <?= ( stripos( '@'.$objPatientNursing->vVertebrataRad , 'Lumbosacral Obliq' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="lumbosacral_obliq" style="margin-left: 5px; margin-top: 5px;" >Lumbosacral Obliq</label>
								<input type="checkbox" name="sacrum_ap_lat" id="sacrum_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vVertebrataRad , 'Sacrum AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="sacrum_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Sacrum AP + Lat</label>
								<input type="checkbox" name="cocygous_ap_lat" id="cocygous_ap_lat" <?= ( stripos( '@'.$objPatientNursing->vVertebrataRad , 'Cocygous AP + Lat' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cocygous_ap_lat" style="margin-left: 5px; margin-top: 5px;" >Cocygous AP + Lat</label>
								<input type="checkbox" name="scoliosis_program" id="scoliosis_program" <?= ( stripos( '@'.$objPatientNursing->vVertebrataRad , 'Scoliosis Program (6 Posisi)' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="scoliosis_program" style="margin-left: 5px; margin-top: 5px;" >Scoliosis Program (6 Posisi)</label>

							</div>

						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='vertebrata_lainnya' id='vertebrata_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vVertebrataRadLainnya;?>">
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="fludroradiografi_rad" style="padding-bottom:4px"><b>H. FLUDRORADIOGRAFI </b></label>
					</div>
					<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="ivp" id="ivp" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'IVP' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ivp" style="margin-left: 5px; margin-top: 5px;" >IVP</label>
								<input type="checkbox" name="urethrography" id="urethrography" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Urethrography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="urethrography" style="margin-left: 5px; margin-top: 5px;" >Urethrography</label>
								<input type="checkbox" name="fistulography" id="fistulography" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Fistulography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="fistulography" style="margin-left: 5px; margin-top: 5px;" >Fistulography</label>
								<input type="checkbox" name="cystography" id="cystography" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Cystography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="cystography" style="margin-left: 5px; margin-top: 5px;" >Cystography</label>
								<input type="checkbox" name="antegrade_pyelography" id="antegrade_pyelography" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Antegrade Pyelography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="antegrade_pyelography" style="margin-left: 5px; margin-top: 5px;" >Antegrade Pyelography</label>
								<input type="checkbox" name="retrograde_pyelography" id="retrograde_pyelography" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Retrograde Pyelography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="retrograde_pyelography" style="margin-left: 5px; margin-top: 5px;" >Retrograde Pyelography</label>
							</div>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="hsg" id="hsg" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'HSG' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="hsg" style="margin-left: 5px; margin-top: 5px;" >HSG</label>
								<input type="checkbox" name="refluk_study" id="refluk_study" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Refluk Study' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="refluk_study" style="margin-left: 5px; margin-top: 5px;" >Refluk Study</label>
								<input type="checkbox" name="slalography" id="slalography" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Slalography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="slalography" style="margin-left: 5px; margin-top: 5px;" >Slalography</label>
								<input type="checkbox" name="dacryocystography" id="dacryocystography" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Dacryocystography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="dacryocystography" style="margin-left: 5px; margin-top: 5px;" >Sacryocystography</label>
								<input type="checkbox" name="phlebography" id="phlebography" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Phlebography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="phlebography" style="margin-left: 5px; margin-top: 5px;" >Phlebography</label>
								<input type="checkbox" name="limphography" id="limphography" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Limphography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="limphography" style="margin-left: 5px; margin-top: 5px;" >Limphography</label>

							</div>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="arteriography" id="arteriography" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Arteriography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="arteriography" style="margin-left: 5px; margin-top: 5px;" >Arteriography</label>
								<input type="checkbox" name="colon_in_loop" id="colon_in_loop" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Colon In Loop' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="colon_in_loop" style="margin-left: 5px; margin-top: 5px;" >Colon In Loop</label>
								<input type="checkbox" name="ugi" id="ugi" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'UGI' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="ugi" style="margin-left: 5px; margin-top: 5px;" >UGI</label>
								<input type="checkbox" name="barium_follow_trough" id="barium_follow_trough" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Barium Follow Trough' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="barium_follow_trough" style="margin-left: 5px; margin-top: 5px;" >Barium Follow Trough</label>
								<input type="checkbox" name="oesophagography" id="oesophagography" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Oesophagography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="oesophagography" style="margin-left: 5px; margin-top: 5px;" >Oesophagography</label>
								<input type="checkbox" name="appendicography" id="appendicography" <?= ( stripos( '@'.$objPatientNursing->vFludroradografiRad , 'Appendicography' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="appendicography" style="margin-left: 5px; margin-top: 5px;" >Appendicography</label>

							</div>

						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='fludroradografi_lainnya' id='fludroradografi_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vFludroradografiRadLainnya ; ?>">
						</div>
					</div>

				</div>
				<div class="row" style="padding:0px 12px;margin-bottom:5px;">
					<div class="col-md-12" style="background-color:#CCCCFF;">
						<label class="control-label" for="ultrasonography" style="padding-bottom:4px"><b>I. ULTRASONOGRAPHY</b></label>
					</div>
						<div class="col-md-12">
						<div class="input-group">
							<span class="input-group-addon" style="border:none;padding:6px 0px;"><div style="width:11px;"><b></b></div></span>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="usg_abdomen_atas_bawah" id="usg_abdomen_atas_bawah" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Abdomen Atas + Bawah' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_abdomen_atas_bawah" style="margin-left: 5px; margin-top: 5px;" >USG Abdomen Atas + Bawah</label>
								<input type="checkbox" name="usg_abdomen_atas" id="usg_abdomen_atas" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Abdomen Atas' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_abdomen_atas" style="margin-left: 5px; margin-top: 5px;" >USG Abdomen Atas</label>
								<input type="checkbox" name="usg_abdomen_bawah" id="usg_abdomen_bawah" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Abdomen Bawah' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_abdomen_bawah" style="margin-left: 5px; margin-top: 5px;" >USG Abdomen Bawah</label>
								<input type="checkbox" name="usg_urologi" id="usg_urologi" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Urologi' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_urologi" style="margin-left: 5px; margin-top: 5px;" >USG Urologi</label>

							</div>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="usg_kadungan" id="usg_kadungan" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Kadungan' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_kadungan" style="margin-left: 5px; margin-top: 5px;" >USG Kadungan</label>
								<input type="checkbox" name="usg_mammas" id="usg_mammas" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Mammas' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_mammas" style="margin-left: 5px; margin-top: 5px;" >USG Mammas</label>
								<input type="checkbox" name="usg_tastis" id="usg_tastis" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Tastis' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_tastis" style="margin-left: 5px; margin-top: 5px;" >USG Tastis</label>
								<input type="checkbox" name="usg_kepala_bayi" id="usg_kepala_bayi" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Kepala Bayi' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_kepala_bayi" style="margin-left: 5px; margin-top: 5px;" >USG Kepala Bayi</label>
								<input type="checkbox" name="usg_tyroid" id="usg_tyroid" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Tyroid' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_tyroid" style="margin-left: 5px; margin-top: 5px;" >USG Tyroid</label>

							</div>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="usg_muscolusketalet" id="usg_muscolusketalet" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Muscolusketalet' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_muscolusketalet" style="margin-left: 5px; margin-top: 5px;" >USG Muscolusketalet</label>
								<input type="checkbox" name="usg_ekstremitas_dopler" id="usg_ekstremitas_dopler" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Ekstremitas Dopler' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_ekstremitas_dopler" style="margin-left: 5px; margin-top: 5px;" >USG Ekstremitas Dopler</label>
								<input type="checkbox" name="usg_4d" id="usg_4d" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG 4D' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_4d" style="margin-left: 5px; margin-top: 5px;" >USG 4D</label>
								<input type="checkbox" name="usg_transesretal_vaginal" id="usg_transesretal_vaginal" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Transesretal / Vaginal' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="kornea" style="margin-left: 5px; margin-top: 5px;" >USG Transesretal/Vaginal</label>
							</div>
							<div class="form-control" style="padding-top: 0px;border:none;height:auto;">
								<input type="checkbox" name="usg_thorax_marker" id="usg_thorax_marker" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Thorax Marker' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_thorax_marker" style="margin-left: 5px; margin-top: 5px;" >USG Thorax Marker</label>
								<input type="checkbox" name="usg_gulding_fnab" id="usg_gulding_fnab" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Gulding Fnab' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_gulding_fnab" style="margin-left: 5px; margin-top: 5px;" >USG Gulding Fnab</label>
								<input type="checkbox" name="usg_carotin_doppler" id="usg_carotin_doppler" <?= ( stripos( '@'.$objPatientNursing->vUltrasonographyRad , 'USG Carotin Doppler + Doppler' ) > 0 ) ? 'checked' : '' ?> style="margin-top: -1px; margin-left: 15px;" ><label for="usg_carotin_doppler" style="margin-left: 5px; margin-top: 5px;" >USG Carotin Doppler + Doppler</label>
				
							</div>

						</div>
					</div>
					<div class="col-md-6">
						<div class="input-group" style="margin-left:30px;">
							<span class="input-group-addon" style="vertical-align: middle; text-align: left;border:;" >
								<div style="width: 60px; padding-right: 5px; margin-top: 3px;" ><b>Sebutkan :</b></div>
							</span>
							<input type="text" class="form-control" name='ultrasonography_lainnya' id='ultrasonography_lainnya' placeholder="Lainnya" autocomplete="off" style="width: 100%;" value="<?= $objPatientNursing->vUltrasonographyRadLainnya ; ?>">
						</div>
					</div>

				</div>


			</div>
		</div>
	</div>
	
</div>









<div class="row">
	<div class="col-xs-12">
		<div>
			<a class="btn btn-danger sudah-validasi koreksi"><i class="fa fa-pencil"></i> Koreksi</a> 
			<a id="save" class="btn btn-success hide-validasi" style=""><i class="fa fa-save" style="margin-right:2px;"></i> Simpan</a>
			<a id="save-loading" class="btn btn-success disabled"  style="display: none;"><i class="fa fa-spinner fa-spin" style="margin-right:2px;"></i> Simpan</a>
			<a href="#" type="button" class="btn btn-success show-modal" id="validasi-modal" style=""><i class="fa fa-check-square-o" style=";"></i> Validasi </a>
			<a href="#" type="button" class="btn btn-success show-modal" id="tanda_tangan_elektronik" style=""><i class="fa fa-check-square-o" style=";"></i> Tanda Tangan Elektronik </a>
			<!--<a id="cetak_laporan" class="btn btn-primary hide-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			<div class="print-container">
				<input type="number" id="versi_form" class="form-control sudah-validasi"  placeholder="" style="height:33.6px;display:inline;width:70px;border-radius:3px;" >
				<a id="cetak_laporan_validasi" class="btn btn-primary sudah-validasi"><i class="fa fa-print" style="margin-right:2px;"></i> Print</a>
			</div>-->
		</div>
	</div>
</div>

<?php if ($objPatientNursing->vFormPermintaanPemeriksaanRadModifiedVersion) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert alert-success hasil-simpan" role="alert" style="margin-bottom:0px;">
			Diverifikasi oleh <b><?= $objPatientNursing->vFormPermintaanPemeriksaanRadEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormPermintaanPemeriksaanRadEmployeeId)->FirstName.' ('.$objPatientNursing->vFormPermintaanPemeriksaanRadLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormPermintaanPemeriksaanRadLoginId)->FullName ; ?></b> pada <b><?=  $objPatientNursing->vFormPermintaanPemeriksaanRadTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormPermintaanPemeriksaanRadTimeStamp)) : "" ;  ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormPermintaanPemeriksaanRadIP ?></b>.
		</div>
	</div>
</div>
<?php } else if ($objPatientNursing->vFormPermintaanPemeriksaanRad) { ?>
<div class="row sudah-simpan" style="margin-top:20px;">	
	<div class="col-md-12">
		<div class="alert hasil-simpan" style="background:#eee;border:1px solid #d2d6de;margin-bottom:0px;" role="alert">
			Permintaan terakhir oleh <b><?= $objPatientNursing->vFormPermintaanPemeriksaanRadEmployeeId ? HmisRefEmployee::LoadById($objPatientNursing->vFormPermintaanPemeriksaanRadEmployeeId)->FirstName.' ('.$objPatientNursing->vFormPermintaanPemeriksaanRadLoginName.')' : SystemUser::LoadById($objPatientNursing->vFormPermintaanPemeriksaanRadLoginId)->FullName ; ?></b> pada <b><?= $objPatientNursing->vFormPermintaanPemeriksaanRadTimeStamp ? date('d-m-Y H:i:s', strtotime($objPatientNursing->vFormPermintaanPemeriksaanRadTimeStamp)) : "" ; ?></b> dari perangkat dengan IP <b><?= $objPatientNursing->vFormPermintaanPemeriksaanRadIP ?></b>.
		</div>
	</div>
</div>
<?php } ?>

<div class="row" style="height:50%;">
</div>
<!-- Modal -->
<div id="modal-area" class="modal fade" role="dialog">
	<div class="modal-dialog">
		<!-- Modal content-->
		<div class="modal-content">
			<div class="modal-header">
				<button type="button" class="close" data-dismiss="modal">&times;</button>
				<h4 class="modal-title">Konfirmasi</h4>
			</div>
			<div class="modal-body">
				<p>Dengan ini Saya setuju menanda tangani data ini secara digital memakai signature Saya dan tunduk
					pada pakta integritas yang telah saya setujui - tanda tangani dan UU IT tentang transaksi data elektronis 
				</p>
				<div>
					<hr>
					<label><b>Password</b></label>
					<input type="text" name="password" id="password" class="form-control" style="-webkit-text-security:disc;" placeholder="Konfirmasi Password" autocomplete="off">
					<div class="checkbox">
						<label><input type="checkbox" id="check-setuju" name="check-setuju" >Setuju</label>
					</div>
				</div>
			</div>
			<div class="modal-footer">
				<button type="button" class="btn btn-danger" id="tandatangani"> Setuju</button>
				<button type="button" class="btn btn-default" data-dismiss="modal">Batal</button>
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
function showMePicker(input) {
	Timepicker.showPicker({
		onSubmit: function(time){$(input).val(time.formatted())},
		onCancel: function(){$(input).val('')}
	});
}

</script>
<script src="<?= __ASSETS__ ?>/plugins/jquery-mask-plugin/jquery.mask.min.js"></script>
<script type="text/javascript">

var FormGizi = function(){

	'use strict';
	
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_1');
		var imgTersimpan = document.getElementById('gambarTersimpan_1');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi1 ? $objPatientNursing->vLokasiTTDEdukasi1 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_1' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_1'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_1').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_1').removeClass('disabled');
			$('#simpanGambar_1').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_1').show();
			$('#simpanGambar_1').show();
			$('#edit_1').hide();
			return false;
		})


		$('#clearArea_1').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_1'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_1').click(function() {

			var canvas = document.getElementById('myCanvas_1');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_1');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi1')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_1').addClass('disabled');
					$('#simpanGambar_1').hide();
					$('#simpanGambar-loading_1').show();
				},
				complete: function(xhr,status){
					$('#edit_1').removeClass('disabled');
					$('#clearArea_1').addClass('disabled');
					$('#simpanGambar_1').addClass('disabled');
					$('#simpanGambar_1').hide();
					$('#clearArea_1').hide();
					$('#simpanGambar-loading_1').hide();
					$('#edit_1').show();
				}
			})

		})

		$('#clearArea_1').hide();
		$('#simpanGambar_1').hide();
		$('#tombol-save-loading_1').hide();
		$('#simpanGambar-loading_1').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_2');
		var imgTersimpan = document.getElementById('gambarTersimpan_2');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi2 ? $objPatientNursing->vLokasiTTDEdukasi2 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_2' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_2'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_2').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_2').removeClass('disabled');
			$('#simpanGambar_2').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_2').show();
			$('#simpanGambar_2').show();
			$('#edit_2').hide();
			return false;
		})


		$('#clearArea_2').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_2').click(function() {

			var canvas = document.getElementById('myCanvas_2');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_2');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi2')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_2').addClass('disabled');
					$('#simpanGambar_2').hide();
					$('#simpanGambar-loading_2').show();
				},
				complete: function(xhr,status){
					$('#edit_2').removeClass('disabled');
					$('#clearArea_2').addClass('disabled');
					$('#simpanGambar_2').addClass('disabled');
					$('#simpanGambar_2').hide();
					$('#clearArea_2').hide();
					$('#simpanGambar-loading_2').hide();
					$('#edit_2').show();
				}
			})

		})

		$('#clearArea_2').hide();
		$('#simpanGambar_2').hide();
		$('#tombol-save-loading_2').hide();
		$('#simpanGambar-loading_2').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_3');
		var imgTersimpan = document.getElementById('gambarTersimpan_3');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi3 ? $objPatientNursing->vLokasiTTDEdukasi3 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_3' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_3'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_3').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_3').removeClass('disabled');
			$('#simpanGambar_3').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_3').show();
			$('#simpanGambar_3').show();
			$('#edit_3').hide();
			return false;
		})


		$('#clearArea_3').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_3'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_3').click(function() {

			var canvas = document.getElementById('myCanvas_3');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_3');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi3')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_3').addClass('disabled');
					$('#simpanGambar_3').hide();
					$('#simpanGambar-loading_3').show();
				},
				complete: function(xhr,status){
					$('#edit_3').removeClass('disabled');
					$('#clearArea_3').addClass('disabled');
					$('#simpanGambar_3').addClass('disabled');
					$('#simpanGambar_3').hide();
					$('#clearArea_3').hide();
					$('#simpanGambar-loading_3').hide();
					$('#edit_3').show();
				}
			})

		})

		$('#clearArea_3').hide();
		$('#simpanGambar_3').hide();
		$('#tombol-save-loading_3').hide();
		$('#simpanGambar-loading_3').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_4');
		var imgTersimpan = document.getElementById('gambarTersimpan_4');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi4 ? $objPatientNursing->vLokasiTTDEdukasi4 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_4' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_4'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_4').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_4').removeClass('disabled');
			$('#simpanGambar_4').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_4').show();
			$('#simpanGambar_4').show();
			$('#edit_4').hide();
			return false;
		})


		$('#clearArea_4').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_4'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_4').click(function() {

			var canvas = document.getElementById('myCanvas_4');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_4');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi4')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_4').addClass('disabled');
					$('#simpanGambar_4').hide();
					$('#simpanGambar-loading_4').show();
				},
				complete: function(xhr,status){
					$('#edit_4').removeClass('disabled');
					$('#clearArea_4').addClass('disabled');
					$('#simpanGambar_4').addClass('disabled');
					$('#simpanGambar_4').hide();
					$('#clearArea_4').hide();
					$('#simpanGambar-loading_4').hide();
					$('#edit_4').show();
				}
			})

		})

		$('#clearArea_4').hide();
		$('#simpanGambar_4').hide();
		$('#tombol-save-loading_4').hide();
		$('#simpanGambar-loading_4').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_5');
		var imgTersimpan = document.getElementById('gambarTersimpan_5');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi5 ? $objPatientNursing->vLokasiTTDEdukasi5 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_5' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_5'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_5').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_5').removeClass('disabled');
			$('#simpanGambar_5').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_5').show();
			$('#simpanGambar_5').show();
			$('#edit_5').hide();
			return false;
		})


		$('#clearArea_5').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_5'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_5').click(function() {

			var canvas = document.getElementById('myCanvas_5');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_5');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi5')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_5').addClass('disabled');
					$('#simpanGambar_5').hide();
					$('#simpanGambar-loading_5').show();
				},
				complete: function(xhr,status){
					$('#edit_5').removeClass('disabled');
					$('#clearArea_5').addClass('disabled');
					$('#simpanGambar_5').addClass('disabled');
					$('#simpanGambar_5').hide();
					$('#clearArea_5').hide();
					$('#simpanGambar-loading_5').hide();
					$('#edit_5').show();
				}
			})

		})

		$('#clearArea_5').hide();
		$('#simpanGambar_5').hide();
		$('#tombol-save-loading_5').hide();
		$('#simpanGambar-loading_5').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_6');
		var imgTersimpan = document.getElementById('gambarTersimpan_6');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi6 ? $objPatientNursing->vLokasiTTDEdukasi6 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_6' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_6'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_6').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_6').removeClass('disabled');
			$('#simpanGambar_6').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_6').show();
			$('#simpanGambar_6').show();
			$('#edit_6').hide();
			return false;
		})


		$('#clearArea_6').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_6'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_6').click(function() {

			var canvas = document.getElementById('myCanvas_6');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_6');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi6')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_6').addClass('disabled');
					$('#simpanGambar_6').hide();
					$('#simpanGambar-loading_6').show();
				},
				complete: function(xhr,status){
					$('#edit_6').removeClass('disabled');
					$('#clearArea_6').addClass('disabled');
					$('#simpanGambar_6').addClass('disabled');
					$('#simpanGambar_6').hide();
					$('#clearArea_6').hide();
					$('#simpanGambar-loading_6').hide();
					$('#edit_6').show();
				}
			})

		})

		$('#clearArea_6').hide();
		$('#simpanGambar_6').hide();
		$('#tombol-save-loading_6').hide();
		$('#simpanGambar-loading_6').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_7');
		var imgTersimpan = document.getElementById('gambarTersimpan_7');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi7 ? $objPatientNursing->vLokasiTTDEdukasi7 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_7' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_7'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_7').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_7').removeClass('disabled');
			$('#simpanGambar_7').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_7').show();
			$('#simpanGambar_7').show();
			$('#edit_7').hide();
			return false;
		})


		$('#clearArea_7').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_7'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_7').click(function() {

			var canvas = document.getElementById('myCanvas_7');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_7');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi7')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_7').addClass('disabled');
					$('#simpanGambar_7').hide();
					$('#simpanGambar-loading_7').show();
				},
				complete: function(xhr,status){
					$('#edit_7').removeClass('disabled');
					$('#clearArea_7').addClass('disabled');
					$('#simpanGambar_7').addClass('disabled');
					$('#simpanGambar_7').hide();
					$('#clearArea_7').hide();
					$('#simpanGambar-loading_7').hide();
					$('#edit_7').show();
				}
			})

		})

		$('#clearArea_7').hide();
		$('#simpanGambar_7').hide();
		$('#tombol-save-loading_7').hide();
		$('#simpanGambar-loading_7').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_8');
		var imgTersimpan = document.getElementById('gambarTersimpan_8');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi8 ? $objPatientNursing->vLokasiTTDEdukasi8 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_8' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_8'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_8').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_8').removeClass('disabled');
			$('#simpanGambar_8').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_8').show();
			$('#simpanGambar_8').show();
			$('#edit_8').hide();
			return false;
		})


		$('#clearArea_8').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_8'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_8').click(function() {

			var canvas = document.getElementById('myCanvas_8');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_8');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi8')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_8').addClass('disabled');
					$('#simpanGambar_8').hide();
					$('#simpanGambar-loading_8').show();
				},
				complete: function(xhr,status){
					$('#edit_8').removeClass('disabled');
					$('#clearArea_8').addClass('disabled');
					$('#simpanGambar_8').addClass('disabled');
					$('#simpanGambar_8').hide();
					$('#clearArea_8').hide();
					$('#simpanGambar-loading_8').hide();
					$('#edit_8').show();
				}
			})

		})

		$('#clearArea_8').hide();
		$('#simpanGambar_8').hide();
		$('#tombol-save-loading_8').hide();
		$('#simpanGambar-loading_8').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_9');
		var imgTersimpan = document.getElementById('gambarTersimpan_9');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi9 ? $objPatientNursing->vLokasiTTDEdukasi9 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_9' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_9'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_9').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_9').removeClass('disabled');
			$('#simpanGambar_9').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_9').show();
			$('#simpanGambar_9').show();
			$('#edit_9').hide();
			return false;
		})


		$('#clearArea_9').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_9'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_9').click(function() {

			var canvas = document.getElementById('myCanvas_9');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_9');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi9')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_9').addClass('disabled');
					$('#simpanGambar_9').hide();
					$('#simpanGambar-loading_9').show();
				},
				complete: function(xhr,status){
					$('#edit_9').removeClass('disabled');
					$('#clearArea_9').addClass('disabled');
					$('#simpanGambar_9').addClass('disabled');
					$('#simpanGambar_9').hide();
					$('#clearArea_9').hide();
					$('#simpanGambar-loading_9').hide();
					$('#edit_9').show();
				}
			})

		})

		$('#clearArea_9').hide();
		$('#simpanGambar_9').hide();
		$('#tombol-save-loading_9').hide();
		$('#simpanGambar-loading_9').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_10');
		var imgTersimpan = document.getElementById('gambarTersimpan_10');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi10 ? $objPatientNursing->vLokasiTTDEdukasi10 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_10' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_10'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_10').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_10').removeClass('disabled');
			$('#simpanGambar_10').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_10').show();
			$('#simpanGambar_10').show();
			$('#edit_10').hide();
			return false;
		})


		$('#clearArea_10').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_10'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_10').click(function() {

			var canvas = document.getElementById('myCanvas_10');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_10');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi10')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_10').addClass('disabled');
					$('#simpanGambar_10').hide();
					$('#simpanGambar-loading_10').show();
				},
				complete: function(xhr,status){
					$('#edit_10').removeClass('disabled');
					$('#clearArea_10').addClass('disabled');
					$('#simpanGambar_10').addClass('disabled');
					$('#simpanGambar_10').hide();
					$('#clearArea_10').hide();
					$('#simpanGambar-loading_10').hide();
					$('#edit_10').show();
				}
			})

		})

		$('#clearArea_10').hide();
		$('#simpanGambar_10').hide();
		$('#tombol-save-loading_10').hide();
		$('#simpanGambar-loading_10').hide();
	});
	
	
	$(document).ready(function() {
		
		
		
		//canvas draw -start
		var mousePressed = false;
		var lastX, lastY;
		var ctx;
		var img = document.getElementById('gambarCanvas_11');
		var imgTersimpan = document.getElementById('gambarTersimpan_11');


		<?php
			$GambarDefault = __USER_ASSETS__.'/images/putih.jpg';
			$urlGambar = $objPatientNursing->vLokasiTTDEdukasi11 ? $objPatientNursing->vLokasiTTDEdukasi11 : $GambarDefault;
		?>

		var canvas = window.__canvas = new fabric.Canvas( 'myCanvas_11' , { /* isDrawingMode: true */ } );
		fabric.Object.prototype.transparentCorners = false;
		fabric.Object.prototype.selectable = false; // mencegah di pilih ( select ) kemudian di pindah ( move )

		fabric.Image.fromURL('<?= $urlGambar ?>', function(image){
			image.scaleToWidth(400);
			image.scaleToHeight(400);
			canvas.add(image.set({
				id : 'myCanvas_11'
				, alt : 'blank'
			}));
		});

		canvas.freeDrawingBrush = new fabric[ 'Pencil' + 'Brush'](canvas);
		if (canvas.freeDrawingBrush) {
			var brush = canvas.freeDrawingBrush;
			brush.color = "black";
			if (brush.getPatternSrc) {
				brush.source = brush.getPatternSrc.call(brush);
			}
			brush.width = 4;
			brush.shadow = new fabric.Shadow({
				blur: 0,
				offsetX: 0,
				offsetY: 0,
				affectStroke: true,
				color: "#005E7A",
			});
		}

		$('#edit_11').click(function(){
			canvas.isDrawingMode = true;
			$('#clearArea_11').removeClass('disabled');
			$('#simpanGambar_11').removeClass('disabled');
			$('#edit').addClass('disabled');
			$('#clearArea_11').show();
			$('#simpanGambar_11').show();
			$('#edit_11').hide();
			return false;
		})


		$('#clearArea_11').click(function(){
			fabric.Image.fromURL('<?= $GambarDefault ?>', function(image){
				image.scaleToWidth(400);
				image.scaleToHeight(400);
				canvas.add(image.set({
					id : 'myCanvas_11'
					, alt : 'blank'
				}));
			});
			return false;
		})

		//canvas draw -begin
		function dataURItoBlob(dataURI) {
			// convert base64/URLEncoded data component to raw binary data held in a string
			var byteString;
			if (dataURI.split(',')[0].indexOf('base64') >= 0)
				byteString = atob(dataURI.split(',')[1]);
			else
				byteString = unescape(dataURI.split(',')[1]);

			// separate out the mime component
			var mimeString = dataURI.split(',')[0].split(':')[1].split(';')[0];

			// write the bytes of the string to a typed array
			var ia = new Uint8Array(byteString.length);
			for (var i = 0; i < byteString.length; i++) {
				ia[i] = byteString.charCodeAt(i);
			}

			return new Blob([ia], {type:mimeString});
		}
		//canvas draw -end

		$('#simpanGambar_11').click(function() {

			var canvas = document.getElementById('myCanvas_11');
			var hasil = canvas.toDataURL('image/jpeg');
			var blob = dataURItoBlob(hasil);

			var fd = new FormData();
			fd.append("pageId", strPageId);
			fd.append("actorId", strActorId);
			fd.append("nursingId", '<?= $strId ?>');
			fd.append("department", strDepartmentId);
			fd.append("mode", 'TTD EDUKASI_11');
			fd.append("gambar", blob, 'putih.jpg');

			$.ajax({
				type: 'POST',
				data: fd,
				url : '<?= QApplication::UrlActionCreator('PatientNursingAssessment/HandleUploadTTDEdukasi11')?>',
				processData: false,
				contentType: false,
				timeout: 5* 60 * 1000,
				success: function(result){
					toastr.info(result.message, 'Informasi');
				},
				error: function(xhr,status,error){
					console.log(xhr);
					alert('Gagal menyimpan data');
				},
				beforeSend: function(xhr){
					$('#clearArea_11').addClass('disabled');
					$('#simpanGambar_11').hide();
					$('#simpanGambar-loading_11').show();
				},
				complete: function(xhr,status){
					$('#edit_11').removeClass('disabled');
					$('#clearArea_11').addClass('disabled');
					$('#simpanGambar_11').addClass('disabled');
					$('#simpanGambar_11').hide();
					$('#clearArea_11').hide();
					$('#simpanGambar-loading_11').hide();
					$('#edit_11').show();
				}
			})

		})

		$('#clearArea_11').hide();
		$('#simpanGambar_11').hide();
		$('#tombol-save-loading_11').hide();
		$('#simpanGambar-loading_11').hide();
	});
	
	function convertDateToISO(strDateIna) {
		return moment(strDateIna, 'DD-MM-YYYY', true).format('YYYY-MM-DD');
	}
	

	var urlDoctor = "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>&search=";
	$('.doctor').each(function () {
    		$(this).ajaxChosen({
        		type: 'GET' 
        			, dataType: 'json'
    		},{
        	useAjax: function(e){ return true; }
       			, minLength: 0
        		, processItems: function(data){
            		// alert(JSON.stringify(data));
            	return data;
        	}
        	, generateUrl: function(strSearch){
            		// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
            	return urlDoctor + strSearch
        	}
    		});
	});

	//function cetaklaporan() {
	//	parent.AppPrintPage.setTitle('Print Preview Permintaan Pemeriksaan Radiologi')
	//	parent.openAppPrintPage( '<?= QApplication::UrlCreator('form-medis-rajal/print-permintaan-pemeriksaan-rad') ?>' + '?page=<?= __PAGE__?>&IdPermintaan=<?=$objPatientNursing->vIdCetakTerakhirPermintaanPemeriksaanRad?>&Id=<?=$objPatientNursing->Id?>' );
	//}
	

	$('.input-date').datepicker({
		format: "dd-mm-yyyy"
		, autoclose: true
		, endDate: null
	});


	$('#save, #float-simpan').addClass('disabled');

	$('#FormPage input, #FormPage textarea, #FormPage select').each(function() {
	  $(this).on('input', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.input-date, input[type="checkbox"], input[type="radio"]').each(function() {
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	$('.ruang, .doctor').each(function() {
	  const chosenInput = $(this).chosen();
	  $(this).on('change', function() {
		parent.boolChange = true;
		$('#save').removeClass('disabled');
		$('#float-simpan').removeClass('disabled');
	  });
	});
	
	
	$('.koreksi, #float-koreksi').click(function(){
        parent.jFallr("Edit Dokumen Ini [Ya/Tidak]?",
            function(){
				$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', false).trigger('chosen:updated');
				$('#validasi-modal, #float-validasi').removeClass('disabled'); 
				$('.koreksi').addClass('disabled'); 
				$('#float-koreksi').hide();
				$('#float-validasi').show();
                parent.jQuery.fallr('hide',function(){});
            },
            function(){
                parent.jQuery.fallr('hide',function(){});
            }
        );
    })


	$('#content').off('click', '#save, #float-simpan').on('click', '#save, #float-simpan', function () {
		posting('DRAFT');
	});

	$('#content').off('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi').on('click', '#cetak_laporan, #float-print, #cetak_laporan_validasi', function () {
		cetaklaporan();
	});
	
    $('#content').off('click', '#validasi-modal, #float-validasi').on('click', '#validasi-modal, #float-validasi', function () {
        $('#modal-area').modal({ backdrop: "static", keyboard: false});
    });
    $('#content').off('click', '#tandatangani').on('click', '#tandatangani', function () {
        var password = $('#password');
        var checkSetuju = $('#check-setuju');

        if(!password.val()){
            toastr.warning('Password Masih Kosong', 'Peringatan');
            return null;
        }
        if(! checkSetuju.prop('checked')){
            toastr.warning('Anda Harus Menyetujui', 'Peringatan');
            return null;
        }
		posting('VERIFIKASI');
    });
	var revisionNumber = parseInt('<?=$objPatientNursing->vFormPermintaanPemeriksaanRadModifiedVersion != "" ? $objPatientNursing->vFormPermintaanPemeriksaanRadModifiedVersion : "0" ;?>');
	$('#versi_form').attr('max', revisionNumber);
	$('#versi_form').attr('min', 1);
	$('#versi_form').on('input', function() {
		let currentValue = parseInt($(this).val());
		if (currentValue > revisionNumber) {
			$(this).val(revisionNumber);
		}
		if (currentValue < 1) {
			$(this).val(1);
		}
	});

	
	function posting(mode){
		// alert('post');

		var post = {};

		post.pageId = strPageId;
		post.actorId = strActorId;
		post.nursingId = '<?= $strId ?>'; //nursing id
		post.department = strDepartmentId;

		post.mode = mode;
		if( mode=='VERIFIKASI' ){
			post.password = $('#password').val();
		}


		post.DokterPengirimRadId = $('#dokter_pengirim').val();
		post.GejalaKlinisRad = $('#gejala_klinis_rad').val();

		post.SkullUnitRad = '';
		if( $("#skull_ap_pa").is(':checked') ) {
			if( post.SkullUnitRad ) {
				post.SkullUnitRad = post.SkullUnitRad + ',' + 'Skull AP/PA';
			} else {
				post.SkullUnitRad = 'Skull AP/PA';
			}
		}
		if( $("#skull_lateral").is(':checked') ) {
			if( post.SkullUnitRad ) {
				post.SkullUnitRad = post.SkullUnitRad + ',' + 'Skull Lateral/Sella Tursica';
			} else {
				post.SkullUnitRad = 'Skull Lateral/Sella Tursica';
			}
		}
		if( $("#orbita_ap_pa").is(':checked') ) {
			if( post.SkullUnitRad ) {
				post.SkullUnitRad = post.SkullUnitRad + ',' + 'Orbita AP/PA';
			} else {
				post.SkullUnitRad = 'Orbita AP/PA';
			}
		}
		if( $("#theese").is(':checked') ) {
			if( post.SkullUnitRad ) {
				post.SkullUnitRad = post.SkullUnitRad + ',' + 'Thesee (foramen Opticum)';
			} else {
				post.SkullUnitRad = 'Thesee (foramen Opticum)';
			}
		}
		if( $("#nasal_bones_lateral").is(':checked') ) {
			if( post.SkullUnitRad ) {
				post.SkullUnitRad = post.SkullUnitRad + ',' + 'Nasal Bones Lateral';
			} else {
				post.SkullUnitRad = 'Nasal Bones Lateral';
			}
		}
		if( $("#waters").is(':checked') ) {
			if( post.SkullUnitRad ) {
				post.SkullUnitRad = post.SkullUnitRad + ',' + 'Waters (Sinus Paranasalis)';
			} else {
				post.SkullUnitRad = 'Waters (Sinus Paranasalis)';
			}
		}
		if( $("#sculer").is(':checked') ) {
			if( post.SkullUnitRad ) {
				post.SkullUnitRad = post.SkullUnitRad + ',' + 'Sculer D/S (mastoid)';
			} else {
				post.SkullUnitRad = 'Sculer D/S (mastoid)';
			}
		}
		if( $("#stenvers").is(':checked') ) {
			if( post.SkullUnitRad ) {
				post.SkullUnitRad = post.SkullUnitRad + ',' + 'Stenvers';
			} else {
				post.SkullUnitRad = 'Stenvers';
			}
		}
		if( $("#tmj").is(':checked') ) {
			if( post.SkullUnitRad ) {
				post.SkullUnitRad = post.SkullUnitRad + ',' + 'TMJ D/S (Open + Close)';
			} else {
				post.SkullUnitRad = 'TMJ D/S (Open + Close)';
			}
		}
		if( $("#eisler").is(':checked') ) {
			if( post.SkullUnitRad ) {
				post.SkullUnitRad = post.SkullUnitRad + ',' + 'Eisler (mandibula)';
			} else {
				post.SkullUnitRad = 'Eisler (mandibula)';
			}
		}
		if( $("#mandibulaAp").is(':checked') ) {
			if( post.SkullUnitRad ) {
				post.SkullUnitRad = post.SkullUnitRad + ',' + 'MandibulaAP';
			} else {
				post.SkullUnitRad = 'MandibulaAP';
			}
		}
		if( $("#basicCranil").is(':checked') ) {
			if( post.SkullUnitRad ) {
				post.SkullUnitRad = post.SkullUnitRad + ',' + 'Basic Cranil';
			} else {
				post.SkullUnitRad = 'Basic Cranil';
			}
		}

		post.SkullUnitLainnya= $('#skull_unit_lainnya').val();

		post.ThoraxRad = '';
		if( $("#thorax_ap_pa").is(':checked') ) {
			if( post.ThoraxRad ) {
				post.ThoraxRad = post.ThoraxRad + ',' + 'Thorax AP/PA';
			} else {
				post.ThoraxRad = 'Thorax AP/PA';
			}
		}
		if( $("#thorax_lateral").is(':checked') ) {
			if( post.ThoraxRad ) {
				post.ThoraxRad = post.ThoraxRad + ',' + 'Thorax Lateral D/S';
			} else {
				post.ThoraxRad = 'Thorax Lateral D/S';
			}
		}
		if( $("#thorax_rld").is(':checked') ) {
			if( post.ThoraxRad ) {
				post.ThoraxRad = post.ThoraxRad + ',' + 'Thorax RLD/LLD';
			} else {
				post.ThoraxRad = 'Thorax RLD/LLD';
			}
		}
		if( $("#top_lordotic").is(':checked') ) {
			if( post.ThoraxRad ) {
				post.ThoraxRad = post.ThoraxRad + ',' + 'Top Lordotic';
			} else {
				post.ThoraxRad = 'Top Lordotic';
			}
		}
		if( $("#sternum").is(':checked') ) {
			if( post.ThoraxRad ) {
				post.ThoraxRad = post.ThoraxRad + ',' + 'Sternum';
			} else {
				post.ThoraxRad = 'Sternum';
			}
		}

		post.ThoraxRadLainnya = $('#thorax_lainnya').val();
		post.AbdomenRad = '';
		if( $("#bof").is(':checked') ) {
			if( post.AbdomenRad ) {
				post.AbdomenRad = post.AbdomenRad + ',' + 'BOF';
			} else {
				post.AbdomenRad = 'BOF';
			}
		}
		if( $("#bof_tampak_penis").is(':checked') ) {
			if( post.AbdomenRad ) {
				post.AbdomenRad = post.AbdomenRad + ',' + 'BOF tampak Penis';
			} else {
				post.AbdomenRad = 'BOF tampak Penis';
			}
		}
		if( $("#bof_lld_rld").is(':checked') ) {
			if( post.AbdomenRad ) {
				post.AbdomenRad = post.AbdomenRad + ',' + 'BOF LLD/RLD';
			} else {
				post.AbdomenRad = 'BOF LLD/RLD';
			}
		}
		if( $("#pelvis_ap").is(':checked') ) {
			if( post.AbdomenRad ) {
				post.AbdomenRad = post.AbdomenRad + ',' + 'Pelvis AP';
			} else {
				post.AbdomenRad = 'Pelvis AP';
			}
		}
		if( $("#pelvis_frog_leg").is(':checked') ) {
			if( post.AbdomenRad ) {
				post.AbdomenRad = post.AbdomenRad + ',' + 'PELVIS Frog Leg';
			} else {
				post.AbdomenRad = 'PELVIS Frog Leg';
			}
		}

		post.AbdomenRadLainnya = $('#abdomen_lainnya').val();
		post.PemeriksaanLainRad = '';
		if( $("#mammography").is(':checked') ) {
			if( post.PemeriksaanLainRad ) {
				post.PemeriksaanLainRad = post.PemeriksaanLainRad + ',' + 'Mammography';
			} else {
				post.PemeriksaanLainRad = 'Mammography';
			}
		}
		if( $("#panoramic").is(':checked') ) {
			if( post.PemeriksaanLainRad ) {
				post.PemeriksaanLainRad = post.PemeriksaanLainRad + ',' + 'Panoramic';
			} else {
				post.PemeriksaanLainRad = 'Panoramic';
			}
		}
		if( $("#dental_intraoral").is(':checked') ) {
			if( post.PemeriksaanLainRad ) {
				post.PemeriksaanLainRad = post.PemeriksaanLainRad + ',' + 'Dental Intraoral';
			} else {
				post.PemeriksaanLainRad = 'Dental Intraoral';
			}
		}

		post.PemeriksaanLainnyaRad = $('#pemeriksaan_lainnya').val();
		post.EkstremitasAtasRad = '';
		if( $("#manus_ap_lat").is(':checked') ) {
			if( post.EkstremitasAtasRad ) {
				post.EkstremitasAtasRad = post.EkstremitasAtasRad + ',' + 'Manus AP + Lat';
			} else {
				post.EkstremitasAtasRad = 'Manus AP + Lat';
			}
		}
		if( $("#wrist_ap_lat").is(':checked') ) {
			if( post.EkstremitasAtasRad ) {
				post.EkstremitasAtasRad = post.EkstremitasAtasRad + ',' + 'Wrist AP + Lat';
			} else {
				post.EkstremitasAtasRad = 'Wrist AP + Lat';
			}
		}
		if( $("#anterbrachi_ap_lat").is(':checked') ) {
			if( post.EkstremitasAtasRad ) {
				post.EkstremitasAtasRad = post.EkstremitasAtasRad + ',' + 'Anterbrachi AP + Lat';
			} else {
				post.EkstremitasAtasRad = 'Anterbrachi AP + Lat';
			}
		}
		if( $("#elbow_ap_lat").is(':checked') ) {
			if( post.EkstremitasAtasRad ) {
				post.EkstremitasAtasRad = post.EkstremitasAtasRad + ',' + 'Elbow AP + Lat';
			} else {
				post.EkstremitasAtasRad = 'Elbow AP + Lat';
			}
		}
		if( $("#humerus_ap_lat").is(':checked') ) {
			if( post.EkstremitasAtasRad ) {
				post.EkstremitasAtasRad = post.EkstremitasAtasRad + ',' + 'Humerus AP + Lat';
			} else {
				post.EkstremitasAtasRad = 'Humerus AP + Lat';
			}
		}
		if( $("#shoulder_ekso_endo").is(':checked') ) {
			if( post.EkstremitasAtasRad ) {
				post.EkstremitasAtasRad = post.EkstremitasAtasRad + ',' + 'Shoulder Ekso + Endo';
			} else {
				post.EkstremitasAtasRad = 'Shoulder Ekso + Endo';
			}
		}
		if( $("#shoulder_axial").is(':checked') ) {
			if( post.EkstremitasAtasRad ) {
				post.EkstremitasAtasRad = post.EkstremitasAtasRad + ',' + 'Shoulder Axial';
			} else {
				post.EkstremitasAtasRad = 'Shoulder Axial';
			}
		}
		if( $("#scapula_ap_lat").is(':checked') ) {
			if( post.EkstremitasAtasRad ) {
				post.EkstremitasAtasRad = post.EkstremitasAtasRad + ',' + 'Scapula AP / Lat';
			} else {
				post.EkstremitasAtasRad = 'Scapula AP / Lat';
			}
		}
		if( $("#clavicula_ap_axial").is(':checked') ) {
			if( post.EkstremitasAtasRad ) {
				post.EkstremitasAtasRad = post.EkstremitasAtasRad + ',' + 'Clavicula AP /Axial';
			} else {
				post.EkstremitasAtasRad = 'Clavicula AP /Axial';
			}
		}

		post.EkstremitasAtasRadLainnya = $('#ektremitas_atas_lainnya').val();
		post.EkstremitasBawahRad = '';
		if( $("#pedis_ap_obliq").is(':checked') ) {
			if( post.EkstremitasBawahRad ) {
				post.EkstremitasBawahRad = post.EkstremitasBawahRad + ',' + 'Peldis AP + Obliq';
			} else {
				post.EkstremitasBawahRad = 'Peldis AP + Obliq';
			}
		}
		if( $("#calcaneus_lateral_axial").is(':checked') ) {
			if( post.EkstremitasBawahRad ) {
				post.EkstremitasBawahRad  = post.EkstremitasBawahRad + ',' + 'Calcaneus Lateral / Axial';
			} else {
				post.EkstremitasBawahRad = 'Calcaneus Lateral / Axial';
			}
		}
		if( $("#ankle_ap_lat").is(':checked') ) {
			if( post.EkstremitasBawahRad ) {
				post.EkstremitasBawahRad  = post.EkstremitasBawahRad + ',' + 'Ankle AP + Lat';
			} else {
				post.EkstremitasBawahRad = 'Ankle AP + Lat';
			}
		}
		if( $("#ankle_mortis_view").is(':checked') ) {
			if( post.EkstremitasBawahRad ) {
				post.EkstremitasBawahRad  = post.EkstremitasBawahRad + ',' + 'Ankle Mortis View';
			} else {
				post.EkstremitasBawahRad = 'Ankle Mortis View';
			}
		}
		if( $("#cruris_ap_lat").is(':checked') ) {
			if( post.EkstremitasBawahRad ) {
				post.EkstremitasBawahRad  = post.EkstremitasBawahRad + ',' + 'Cruris AP + Lat';
			} else {
				post.EkstremitasBawahRad = 'Cruris AP + Lat';
			}
		}
		if( $("#genu_ap_lat").is(':checked') ) {
			if( post.EkstremitasBawahRad ) {
				post.EkstremitasBawahRad  = post.EkstremitasBawahRad + ',' + 'Genu AP + Lat';
			} else {
				post.EkstremitasBawahRad = 'Genu AP + Lat';
			}
		}
		if( $("#genu_sky_line").is(':checked') ) {
			if( post.EkstremitasBawahRad ) {
				post.EkstremitasBawahRad  = post.EkstremitasBawahRad + ',' + 'Genu Sky Line';
			} else {
				post.EkstremitasBawahRad = 'Genu Sky Line';
			}
		}
		if( $("#genu_vagus_valrus").is(':checked') ) {
			if( post.EkstremitasBawahRad ) {
				post.EkstremitasBawahRad  = post.EkstremitasBawahRad + ',' + 'Genu Vagus + Valrus';
			} else {
				post.EkstremitasBawahRad = 'Genu Vagus + Valrus';
			}
		}
		if( $("#femur_ap_lat").is(':checked') ) {
			if( post.EkstremitasBawahRad ) {
				post.EkstremitasBawahRad  = post.EkstremitasBawahRad + ',' + 'Femur AP + Lat';
			} else {
				post.EkstremitasBawahRad = 'Femur AP + Lat';
			}
		}
		if( $("#hip_ap_lat").is(':checked') ) {
			if( post.EkstremitasBawahRad ) {
				post.EkstremitasBawahRad  = post.EkstremitasBawahRad + ',' + 'HIP AP / Lat';
			} else {
				post.EkstremitasBawahRad = 'HIP AP / Lat';
			}
		}
		if( $("#hip_axial").is(':checked') ) {
			if( post.EkstremitasBawahRad ) {
				post.EkstremitasBawahRad  = post.EkstremitasBawahRad + ',' + 'HIP Axial';
			} else {
				post.EkstremitasBawahRad = 'HIP Axial';
			}
		}
		if( $("#hip_alar_obturator").is(':checked') ) {
			if( post.EkstremitasBawahRad ) {
				post.EkstremitasBawahRad  = post.EkstremitasBawahRad + ',' + 'HIP Alar + Obturator';
			} else {
				post.EkstremitasBawahRad = 'HIP Alar + Obturator';
			}
		}

		post.EkstremitasBawahRadLainnya = $('#ekstremitas_bawah_lainnya').val();
		post.VertebrataRad = '';
		if( $("#cervical_ap_lat").is(':checked') ) {
			if( post.VertebrataRad ) {
				post.VertebrataRad = post.VertebrataRad + ',' + 'Cervical AP + Lat';
			} else {
				post.VertebrataRad = 'Cervical AP + Lat';
			}
		}
		if( $("#cervical_obliq").is(':checked') ) {
			if( post.VertebrataRad ) {
				post.VertebrataRad = post.VertebrataRad + ',' + 'Cervical Obliq';
			} else {
				post.VertebrataRad = 'Cervical Obliq';
			}
		}
		if( $("#cervical_flexi_ekstensi").is(':checked') ) {
			if( post.VertebrataRad ) {
				post.VertebrataRad = post.VertebrataRad + ',' + 'Cervical Flexi + Ekstesi';
			} else {
				post.VertebrataRad = 'Cervical Flexi + Ekstesi';
			}
		}
		if( $("#thoraco_lumbal_ap_lat").is(':checked') ) {
			if( post.VertebrataRad ) {
				post.VertebrataRad = post.VertebrataRad + ',' + 'Thoraco Lumbal AP + Lat';
			} else {
				post.VertebrataRad = 'Thoraco Lumbal AP + Lat';
			}
		}
		if( $("#lumbosacral_ap_lat").is(':checked') ) {
			if( post.VertebrataRad ) {
				post.VertebrataRad = post.VertebrataRad + ',' + 'Lumbosacral AP + Lat';
			} else {
				post.VertebrataRad = 'Lumbosacral AP + Lat';
			}
		}
		if( $("#lumbosacral_obliq").is(':checked') ) {
			if( post.VertebrataRad ) {
				post.VertebrataRad = post.VertebrataRad + ',' + 'Lumbosacral Obliq';
			} else {
				post.VertebrataRad = 'Lumbosacral Obliq';
			}
		}
		if( $("#sacrum_ap_lat").is(':checked') ) {
			if( post.VertebrataRad ) {
				post.VertebrataRad = post.VertebrataRad + ',' + 'Sacrum AP + Lat';
			} else {
				post.VertebrataRad = 'Sacrum AP + Lat';
			}
		}
		if( $("#cocygous_ap_lat").is(':checked') ) {
			if( post.VertebrataRad ) {
				post.VertebrataRad = post.VertebrataRad + ',' + 'Cocygous AP + Lat';
			} else {
				post.VertebrataRad = 'Cocygous AP + Lat';
			}
		}
		if( $("#scoliosis_program").is(':checked') ) {
			if( post.VertebrataRad ) {
				post.VertebrataRad = post.VertebrataRad + ',' + 'Scoliosis Program (6 Posisi)';
			} else {
				post.VertebrataRad = 'Scoliosis Program (6 Posisi)';
			}
		}

		post.VertebrataRadLainnya = $('#vertebrata_lainnya').val();
		post.FludroradografiRad = '';
		if( $("#ivp").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'IVP';
			} else {
				post.FludroradografiRad = 'IVP';
			}
		}
		if( $("#urethrography").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Urethrography';
			} else {
				post.FludroradografiRad = 'Urethrography';
			}
		}
		if( $("#fistulography").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Fistulography';
			} else {
				post.FludroradografiRad = 'Fistulography';
			}
		}
		if( $("#cystography").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Cystography';
			} else {
				post.FludroradografiRad = 'Cystography';
			}
		}
		if( $("#antegrade_pyelography").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Antegrade Pyelography';
			} else {
				post.FludroradografiRad = 'Antegrade Pyelography';
			}
		}
		if( $("#retrograde_pyelography").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Retrograde Pyelography';
			} else {
				post.FludroradografiRad = 'Retrograde Pyelography';
			}
		}
		if( $("#hsg").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'HSG';
			} else {
				post.FludroradografiRad = 'HSG';
			}
		}
		if( $("#refluk_study").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Refluk Study';
			} else {
				post.FludroradografiRad = 'Refluk Study';
			}
		}
		if( $("#slalography").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Slalography';
			} else {
				post.FludroradografiRad = 'Slalography';
			}
		}
		if( $("#dacryocystography").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Dacryocystography';
			} else {
				post.FludroradografiRad = 'Dacryocystography';
			}
		}
		if( $("#phlebography").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Phlebography';
			} else {
				post.FludroradografiRad = 'Phlebography';
			}
		}
		if( $("#limphography").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Limphography';
			} else {
				post.FludroradografiRad = 'Limphography';
			}
		}
		if( $("#arteriography").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Arteriography';
			} else {
				post.FludroradografiRad = 'Arteriography';
			}
		}
		if( $("#colon_in_loop").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Colon In Loop';
			} else {
				post.FludroradografiRad = 'Colon In Loop';
			}
		}
		if( $("#ugi").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'UGI';
			} else {
				post.FludroradografiRad = 'UGI';
			}
		}
		if( $("#barium_follow_trough").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Barium Follow Trough';
			} else {
				post.FludroradografiRad = 'Barium Follow Trough';
			}
		}
		if( $("#oesophagography").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Oesophagography';
			} else {
				post.FludroradografiRad = 'Oesophagography';
			}
		}
		if( $("#appendicography").is(':checked') ) {
			if( post.FludroradografiRad ) {
				post.FludroradografiRad = post.FludroradografiRad + ',' + 'Appendicography';
			} else {
				post.FludroradografiRad = 'Appendicography';
			}
		}

		post.FludroradografiRadLainnya = $('#fludroradografi_lainnya').val();
		
		post.UltrasonographyRad = '';
		if( $("#usg_abdomen_atas_bawah").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Abdomen Atas + Bawah';
			} else {
				post.UltrasonographyRad = 'USG Abdomen Atas + Bawah';
			}
		}
		if( $("#usg_abdomen_atas").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Abdomen Atas';
			} else {
				post.UltrasonographyRad = 'USG Abdomen Atas';
			}
		}
		if( $("#usg_abdomen_bawah").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Abdomen Bawah';
			} else {
				post.UltrasonographyRad = 'USG Abdomen Bawah';
			}
		}
		if( $("#usg_urologi").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Urologi';
			} else {
				post.UltrasonographyRad = 'USG Urologi';
			}
		}
		if( $("#usg_kadungan").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Kadungan';
			} else {
				post.UltrasonographyRad = 'USG Kadungan';
			}
		}
		if( $("#usg_mammas").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Mammas';
			} else {
				post.UltrasonographyRad = 'USG Mammas';
			}
		}
		if( $("#usg_tastis").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Tastis';
			} else {
				post.UltrasonographyRad = 'USG Tastis';
			}
		}
		if( $("#usg_kepala_bayi").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Kepala Bayi';
			} else {
				post.UltrasonographyRad = 'USG Kepala Bayi';
			}
		}
		if( $("#usg_tyroid").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Tyroid';
			} else {
				post.UltrasonographyRad = 'USG Tyroid';
			}
		}
		if( $("#usg_muscolusketalet").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Muscolusketalet';
			} else {
				post.UltrasonographyRad = 'USG Muscolusketalet';
			}
		}
		if( $("#usg_ekstremitas_dopler").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Ekstremitas Dopler';
			} else {
				post.UltrasonographyRad = 'USG Ekstremitas Dopler';
			}
		}
		if( $("#usg_4d").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG 4D';
			} else {
				post.UltrasonographyRad = 'USG 4D';
			}
		}
		if( $("#usg_transesretal_vaginal").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Transesretal / Vaginal';
			} else {
				post.UltrasonographyRad = 'USG Transesretal / Vaginal';
			}
		}
		if( $("#usg_thorax_marker").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Thorax Marker';
			} else {
				post.UltrasonographyRad = 'USG Thorax Marker';
			}
		}
		if( $("#usg_gulding_fnab").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Gulding Fnab';
			} else {
				post.UltrasonographyRad = 'USG Gulding Fnab';
			}
		}
		if( $("#usg_carotin_doppler").is(':checked') ) {
			if( post.UltrasonographyRad ) {
				post.UltrasonographyRad = post.UltrasonographyRad + ',' + 'USG Carotin Doppler + Doppler';
			} else {
				post.UltrasonographyRad = 'USG Carotin Doppler + Doppler';
			}
		}

		post.UltrasonographyRadLainnya = $('#ultrasonography_lainnya').val();



		
		console.log(post);
		toastr.info('Menyimpan Data', 'Informasi');
		//showLoader(20);
		$.ajax({
			url: "<?= QApplication::UrlActionCreator('PatientNursingPerawatanGizi/SavePermintaanPemeriksaanRadRsmz')?>"
			, data: post
			, type: "POST"
			, timeout: 20 * 1000
			, beforeSend: function(xhr){
				$('#float-simpan').hide();
				$('#float-loading').show();
				$('#save').hide();
				$('#save-loading').show();
			}
			, uploadProgress: function (event,position,total,percentComplete){
				// progressBar.width( percentComplete + '%' );
				// progressBar.html( '' + percentComplete + ' % Complete' );
			}
			, success: function(result){
				if( mode == 'VERIFIKASI' && result.status != 'error' ){
					$('#modal-area').modal("hide");
					toastr.success( 'Data Terkirim', 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					$('.koreksi').removeClass('disabled'); 
					$('#float-koreksi').show();
					$('#float-validasi').hide();
					parent.boolChange = false;
					parent.toastr.info( result.message , 'Informasi');
					parent.$('#permintaan_pemeriksaan_rad').removeClass('btn-primary').addClass('btn-success').html('Permintaan Pemeriksaan Radiologi ('+result.vJumlahPermintaanPemeriksaanRad+') <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else if( result.status != 'error' ){
					parent.toastr.info( result.message , 'Informasi');
					$('#cetak_laporan').removeClass('disabled');
					$('#float-print').removeClass('btn disabled');
					parent.boolChange = false;
					parent.$('#permintaan_pemeriksaan_rad').removeClass('btn-primary').addClass('btn-success').html('Permintaan Pemeriksaan Radiologi ('+result.vJumlahPermintaanPemeriksaanRad+') <i style="color:yellow;" class="fa fa-check"></i>');
					parent.AppPage.hide();
				} else {
					toastr.error( result.message , 'Error');
				}
			}
			, complete: function(xhr,status){
				parent.hideLoader();
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
			, error: function(xhr,status,error){
				console.log(xhr);
				alert('Gagal menyimpan data');
				$('#save-loading').hide();
				$('#save').show();
				$('#float-simpan').show();
				$('#float-loading').hide();
			}
		});

	}

	$("#tb").focus();

	var __timer__ = 0; var strTitle = $( "#web-title" ).html();
	$(window).scroll(function() {
		  __timer__ = 4;
	});
	var __update_scroll__ = function () {
		if( $('#e-rm-form-gizi').html()=='true'){
			var height = $(window).scrollTop();
			if( height  > 200 ) {
				// bawah
				$( "#web-title" ).html( strFirstName + ' [' + strNoMr + ']' + ' , ' + strDateOfBirth  );
			} else {
				// normal
				$( "#web-title" ).html( strTitle );
			}
		} else {
			$( "#web-title" ).html( strTitle );
		}
	}
	setInterval( function () {
		if( __timer__ > 1 ) {
			__timer__ = __timer__ - 1;
		}
		if( __timer__ == 1 ) {
			__timer__ = __timer__ - 1;
			__update_scroll__ ();
		}
	}, 250);

	$(".chosen").chosen({
		no_results_text: 'Tidak ditemukan'
		, width: '100%;'
		, allow_single_deselect: true
	});
	$('#edukator_1').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_2').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('.timepicker').timepicker({
		minuteStep:1,
		showMeridian:false,
		defaultTime:false
	});
	$('#edukator_3').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_4').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_5').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_6').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_7').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_8').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_9').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_10').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
	$('#edukator_11').each(function() {
			$(this).ajaxChosen({
				type: 'GET'
				, dataType: 'json'
			},{
				useAjax: function(e){ return true; }
				, minLength: 0
				, processItems: function(data){
					// alert(JSON.stringify(data));
					return data;
				}
				, generateUrl: function(strSearch){
					// alert( 'generateUrl : ' + "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch );
					return "<?= QApplication::UrlActionCreator('EmployeeControl/Search/?pageId=')?><?=$strPageId?>"+ '&search=' + strSearch
				}
			}).on('change', function(e) {
				// NOTHING
			});
	});
};

$('#content').ready(function(){
	FormGizi();	$('#tanda_tangan_elektronik').hide();
	$('#validasi-modal').hide();
	$('.sudah-simpan').hide();
	$('.sudah-validasi').hide();
	$('#cetak_laporan, #float-print').addClass('disabled');
	<?= $objPatientNursing->vFormPermintaanPemeriksaanRad ? "$('#cetak_laporan, #float-print').removeClass('disabled'); $('.sudah-simpan').show();" : "" ?>
	<?= $objPatientNursing->vFormPermintaanPemeriksaanRadModifiedVersion  ? "
		$('#FormPage input, #FormPage select, #FormPage textarea').prop('disabled', true).trigger('chosen:updated');
		$('#validasi-modal').addClass('disabled'); 
		$('#float-validasi').addClass('disabled'); 
		$('.sudah-validasi').show(); 
		$('.hide-validasi').hide(); 
		$('#float-simpan').hide(); 
		$('#float-koreksi').show(); 
		$('#versi_form').attr('placeholder', '~".$objPatientNursing->vFormPermintaanPemeriksaanRadModifiedVersion."');
	" : "" ?>
	
<?php 
$objSystemUser = SystemUser::LoadById($objUser->Id);
	if ($objSystemUser->ReferenceId != $objPatientNursing->DoctorId) { ?>
		$('#validasi-modal, #float-validasi').addClass('disabled');
		$('.koreksi, #float-koreksi').addClass('disabled');
<?php } ?>




});

</script>

</div>
</div>